Raize Components 6

Description

Welcome to Raize Components 6!

Raize Components is a user interface design system for Delphi and C++Builder. At its center is a collection of more than 125 general-purpose native VCL controls. Built on a foundation of technology first created more than fifteen years ago, these high-quality components give developers unsurpassed power and flexibility without sacrificing ease-of-use. In addition to the core set of controls, Raize Components includes more than 100 component designers focused on simplifying user interface development. Now more than ever, developers use Raize Components to build sophisticated user interfaces in less time with less effort.

The primary focus of Raize Components 6 is on the new VCL capabilities that have been added to Embarcadero RAD Studio starting with XE2. Specifically, 64-bit VCL support and the really cool new VCL Styles support. Unlike other releases of RAD Studio which simply required recompiling the existing code base to provide a new set of DCUs and packages, there were a lot of low-level changes made to the VCL in XE2. For example, many controls migrated smoothly to 64-bit, but many others required low-level modifications. In addition, every control in Raize Components was affected by the new VCL Styles. Each control's display code needed to be significantly modified to fully support for VCL Styles when they are available. It has been a lot of work, but we are certain that you will find the end result really cool!

There are other enhancements and fixes included in Raize Components 6, but 64-bit and VCL Styles support are the major new features. Raize Components 6 definitely leverages RAD Studio XE2, and to get the most out of RC6, you need XE2.

Copyright © 1995-2015 by Raize Software, Inc. All Rights Reserved.


Overview

Description

Welcome to Raize Components 6!

Raize Components is a user interface design system for Delphi and C++Builder. At its center is a collection of more than 125 general-purpose native VCL controls. Built on a foundation of technology first created more than fifteen years ago, these high-quality components give developers unsurpassed power and flexibility without sacrificing ease-of-use. In addition to the core set of controls, Raize Components includes more than 100 component designers focused on simplifying user interface development. Now more than ever, developers use Raize Components to build sophisticated user interfaces in less time with less effort.

The primary focus of Raize Components 6 is on the new VCL capabilities that have been added to Embarcadero RAD Studio starting with XE2. Specifically, 64-bit VCL support and the really cool new VCL Styles support. Unlike other releases of RAD Studio which simply required recompiling the existing code base to provide a new set of DCUs and packages, there were a lot of low-level changes made to the VCL in XE2. For example, many controls migrated smoothly to 64-bit, but many others required low-level modifications. In addition, every control in Raize Components was affected by the new VCL Styles. Each control's display code needed to be significantly modified to fully support for VCL Styles when they are available. It has been a lot of work, but we are certain that you will find the end result really cool!

There are other enhancements and fixes included in Raize Components 6, but 64-bit and VCL Styles support are the major new features. Raize Components 6 definitely leverages RAD Studio XE2, and to get the most out of RC6, you need XE2.


What's New in Version 6

The following summarizes the changes made for Raize Component 6.

Description

TRzBorder

Made necessary modifications to TRzBorder to fully support VCL Styles introduced in RAD Studio XE2.

TRzButton , TRzBitBtn , TRzMenuButton , TRzBmpButton

Made necessary modifications to TRzButton and descendants to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to TRzButton and descendants to support 64-bit development.

TRzButtonEdit & TRzDBButtonEdit

Cleaned up the appearance of embedded buttons in TRzButtonEdit under Windows Vista and Windows 7.

Made necessary modifications to TRzButtonEdit to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to TRzButtonEdit to support 64-bit.

TRzCalculator

Made necessary modifications to TRzCalculator to fully support VCL Styles introduced in RAD Studio XE2.

TRzCalendar

Fixed display positioning of separator lines on the TRzCalendar.

Made necessary modifications to TRzCalendar to fully support VCL Styles introduced in RAD Studio XE2.

TRzCheckBox , TRzDBCheckBox & TRzRadioButton

Fixed issue where incorrect custom glyphs was displayed for a TRzCheckBox using the Grayed state and has the HotTrack property set to False;

Fixed issue in TRzCheckBox and TRzRadioButton where the WordWrap property would get automatically set to True when CustomGlyphs were used.

Made necessary modifications to TRzCheckBox and TRzRadioButton to fully support VCL Styles introduced in RAD Studio XE2. Including support for custom glyphs even when VCL Styles are used.

TRzCheckList

Made necessary modifications to TRzCheckList to fully support VCL Styles introduced in RAD Studio XE2. Including support for custom check box glyphs.

Made necessary modifications to TRzCheckList to support 64-bit.

TRzColorEdit

Made necessary modifications to TRzColorEdit to fully support VCL Styles introduced in RAD Studio XE2.

TRzColorPicker

Made necessary modifications to TRzColorPicker to fully support VCL Styles introduced in RAD Studio XE2.

TRzComboBox & TRzDBComboBox

Fixed issue in TRzComboBox where Values entries needed to be unique in order to properly locate an item. Now, multiple items in the list may be set to the same "value". Selecting an item with a duplicate value -- no longer -- results in the first item with that value from being automatically selected.

Fixed issue where the dropdown list would not be sized appropriately if the combo box was set to use a larger font size.

Made necessary modifications to TRzComboBox and TRzDBComboBox to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to TRzComboBox and descendants to support 64-bit development.

TRzDateTimeEdit & TRzDBDateTimeEdit

Added new TwoDigitYearConverter property to TDBRzDateTimeEdit, which controls how 2-digit years are converted to 4-digit years. The default value is ycStandard, which means that 2-digit years are converted using the TwoDigitYearCenturyWindow value. The ycPastNotFuture value means that a date with a 2-digit year is interpreted as a date in the past rather than the future. For example, consider entering '3/15/20' (in the U.S.). With the ycStandard converter value, the date gets converted to '3/15/2020'. But with the ycPastNotFuture converter, the converted date is '3/15/1920'. Entry of 4-digit years are that unaffected by this property.

Added PopupHeight and PopupWidth properties to TRzDBDateTimeEdit. When both of these properties are set to non-zero values, the popup control (i.e. Calendar or TimePicker) is sized to the PopupHeight and PopupWidth values instead of the default auto size values.

Made necessary modifications to TRzDateTimeEdit and TRzDBDateTimeEdit to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to TRzDateTimeEdit and TRzDBDateTimeEdit to support 64-bit development.

TRzDBGrid

Made necessary modifications to TRzDBGrid to fully support VCL Styles introduced in RAD Studio XE2. Including automatic color adjustment for alternate rows when the AltRowShading property is set to True.

Made necessary modifications to TRzDBGrid to support 64-bit development.

TRzDBLookupComboBox

Fixed display issue with the dropdown button in TRzDBLookupComboBox when running under Windows Vista or later.

Made necessary modifications to TRzDBLookupComboBox to fully support VCL Styles introduced in RAD Studio XE2.

TRzDBNavigator

Made necessary modifications to TRzDBNavigator to fully support VCL Styles introduced in RAD Studio XE2. Including displaying the navigation images defined in the VCL Style.

TRzEdit & TRzDBEdit

Fixed issue where the TextHint property would not display correctly in TRzEdit (and descendants) if the FrameVisible property was set to True.

Made necessary modifications to TRzEdit and TRzDBEdit to fully support VCL Styles introduced in RAD Studio XE2.

TRzExpandEdit & TRzDBExpandEdit

Made necessary modifications to TRzExpandEdit and TRzDBExpandEdit to fully support VCL Styles introduced in RAD Studio XE2.

TRzFontComboBox

Fixed display issue with the Preview Panel in the TRzFontComboBox when it is initially displayed.

Made necessary modifications to TRzFontComboBox to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to TRzFontComboBox to support 64-bit development.

TRzFontListBox

Fixed positioning issue with the Font Preview panel in the TRzFontListBox.

Fixed issue in TRzFontListBox and descendants where the GroupFont properties would get inadvertently reset to the base font.

Made necessary modifications to TRzFontListBox to fully support VCL Styles introduced in RAD Studio XE2. Including automatic color adjustment for groups.

Made necessary modifications to TRzFontListBox to support 64-bit development.

TRzFormState

Fixed issue in TRzFormState that prevented original FormCreate event handler from firing, if the TRzFormState was disabled at startup.

TRzGroupBar

Made necessary modifications to TRzGroupBar to fully support VCL Styles introduced in RAD Studio XE2. When VCL Styles are used, the TRzGroupBar utilizes style appropriate colors to colorize the groups depending on the GroupBar style (i.e. CategoryView, TaskList, Outlook).

Made necessary modificatiosn to TRzGroupBar to support 64-bit development.

TRzGroupBox

Made necessary modifications to TRzGroupBox to fully support VCL Styles introduced in RAD Studio XE2. Including automatic color adjustment of frame/border styles.

TRzImageComboBox

Made necessary modifications to TRzImageComboBox to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to TRzImageComboBox to support 64-bit development.

TRzLabel & TRzURLLabel

Made necessary modifications to TRzLabel and TRzURLLabel to fully support VCL Styles introduced in RAD Studio XE2.

TRzLEDDisplay

Made necessary modifications to TRzLEDDisplay to fully support VCL Styles introduced in RAD Studio XE2.

TRzLine

Made necessary modifications to TRzLine to fully support VCL Styles introduced in RAD Studio XE2. Including automatic color conversion of line color and caption color.

TRzListBox , TRzTabbedListBox , TRzEditListBox , TRzRankListBox

Fixed issue in TRzListBox and descendants where the GroupFont properties would get inadvertently reset to the base font.

Fixed issue in TRzListBox and descendants where under very specific circumstances, the horizontal scroll bar may not be displayed even though HorzScrollBar is set to True and the width of the list box is not wide enough to display the full text of one or more items.

Made necessary modifications to TRzListBox, TRzTabbedListBox, TRzEditListBox, and TRzRankListBox to fully support VCL Styles introduced in RAD Studio XE2. Including automatic color adjustment for groups.

Made necessary modifications to TRzListBox (and descendants) to support 64-bit development.

TRzListView

Redesigned the header display painting methods used by the TRzListView.

Redesigned the code used to display the sort indicators in the headers.

Made necessary modifications to TRzListView to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to TRzListView to support 64-bit development.

TRzMemo & TRzDBMemo

Made necessary modifications to TRzMemo and TRzDBMemo to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to TRzMemo and TRzDBMemo to support 64-bit development.

TRzMeter

Made necessary modifications to TRzMeter to fully support VCL Styles introduced in RAD Studio XE2.

TRzNumericEdit & TRzDBNumericEdit

Made necessary modifications to TRzNumericEdit and TRzDBNumericEdit to fully support VCL Styles introduced in RAD Studio XE2.

TRzPageControl & TRzTabControl

Made necessary modifications to TRzPageControl and TRzTabControl to fully support VCL Styles introduced in RAD Studio XE2. Since the TRzPageControl and TRzTabControl support multiple tab styles, the controls do not use the tabs directly from the selected VCL Style. Instead, the controls automatically select appropriate colors from the selected VCL Style to display the tabs.

Moved TRzTabMenuButton.DisplayMenu method to public section.

The menu items in the drop down menu for a TRzPageControl and TRzTabControl now have the same Hint that is assigned to the corresponding tabsheet or tab. The Hint string can be accessed with the Application.Hint property in an Application.OnHint event handler.

TRzPanel

Made necessary modifications to TRzPanel to fully support VCL Styles introduced in RAD Studio XE2. Including automatic color adjustment of frame/border styles.

TRzPathBar

Made necessary modifications to TRzPathBar to fully support VCL Styles introduced in RAD Studio XE2.

TRzProgressDisplay

Fixed issue in TRzProgressDisplay where embedded CRs (#13) would cause the last line to be displayed outside of the bounds of the control instead of forcing a scroll.

Made necessary modifications to TRzProgressDisplay to fully support VCL Styles introduced in RAD Studio XE2.

TRzRadioGroup , TRzDBRadioGroup & TRzCheckGroup

Made necessary modifications to TRzRadioGroup and TRzCheckGroup to fully support VCL Styles introduced in RAD Studio XE2.

TRzRichEdit & TRzDBRichEdit

Made necessary modifications to TRzMemo and TRzDBMemo to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to TRzMemo and TRzDBMemo to support 64-bit development.

TRzSeparator

Fixed display issue in TRzSeparator where no separator would be displayed if ShowGradient was set to False.

Made necessary modifications to TRzSeparator to fully support VCL Styles introduced in RAD Studio XE2.

TRzShellList

Made necessary modifications to TRzShellList to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to shell controls to support 64-bit.

TRzShellTree

The TRzShellTree initializes the new ItemHeightMargin property inherited from the TRzTreeView component to a value of 3, which results in the TRzShellTree matching the spacing used by Windows for its shell tree in Explorer.

Fixed memory leak in TRzShellTree that could occur if the control's window handled needed to be recreated at runtime. For example, changing the BorderStyle property at runtime causes the control's window handle to be recreated. Very few properties caused the window to be recreated. However, the window does get recreated when changing VCL Styles at runtime.

The RefreshNodes and SortNode methods of TRzCustomShellTree are now dynamic methods.

Made necessary modifications to TRzShellTree and TRzShellCombo to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to shell controls to support 64-bit.

TRzSizePanel

Made necessary modifications to TRzSizePanel to fully support VCL Styles introduced in RAD Studio XE2. Including automatic color adjustment of HotSpot bar when VCL Styles are used.

TRzSpinEdit & TRzDBSpinEdit

Cleaned up the appearance of embedded buttons in TRzDBSpinEdit under Windows Vista and Windows 7.

Made necessary modifications to TRzDBSpinEdit and TRzDBSpinner to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications ot TRzDBSpinEdit and TRzDBSpinner to support 64-bit development.

TRzSplitter

Made necessary modifications to TRzSplitter to fully support VCL Styles introduced in RAD Studio XE2. Including automatic color adjustment of HotSpot bar when VCL Styles are used.

Made necessary modifications to TRzSplitter to support 64-bit development.

TRzStatusBar

Made necessary modifications to TRzStatusBar to fully support VCL Styles introduced in RAD Studio XE2. Including automatic color adjustment of frame/border styles.

TRzStatusPane & descendants

Made necessary modifications to TRzStatusPane, TRzGlyphStatus, TRzClockStatus, TRzKeyStatus, TRzResourceStatus, TRzMarqueeStatus, TRzProgressStatus, TRzFieldStatus, and TRzVersionInfoStatus to fully support VCL Styles introduced in RAD Studio XE2.

Fixed issue where TRzResourceStatus would always display 0 KB Free Memory when DisplayStyle was set to dsText.

TRzStringGrid

Added new UseDrawingStyle property to TRzStringGrid. This property only applies when using RAD Studio 2010 or higher. When it is True (the default) the appearance of the grid is controlled by the built-in DrawingStyle property. When UseDrawingStyle is set to False, the appearance of the grid is controlled by the various properties such as LineColor.

Made necessary modifications to TRzStringGrid to fully support VCL Styles introduced in RAD Studio XE2.

Made necessary modifications to TRzStringGrid to support 64-bit.

TRzTimePicker

Fixed display positioning of separator lines on the TRzCalendar.

TRzTimePicker now displays correct themed radio buttons for AM and PM.

Made necessary modifications to TRzTimePicker to fully support VCL Styles introduced in RAD Studio XE2.

TRzToolbar

Fixed issue in TRzToolbar when setting the Align property to something other than alTop or alBottom and AutoSize to True would cause the drop-down menu button to appear and overlap the last button in the display.

Added new DisabledImages property to the TRzToolbar component. This property allows a user to associated a dedicated image list to the control that only contains disabled images. The benefit of this is that the same ImageIndex value can be used for both the Images and DisabledImages lists. The TRzToolButtons that have images will use the DisabledImages list if it is not nil *and* the button's DisabledIndex property is -1. The ImageIndex property will be used to index into the DisabledImages list.

Made necessary modifications to TRzToolbar to fully support VCL Styles introduced in RAD Studio XE2. Including automatic color adjustment of frame/border styles.

Made necessary modifications to TRzToolbar to support 64-bit development.

TRzToolButton

Fixed display issue in TRzToolButton where the button would be drawn flat (i.e. without a border) even if the Flat property was False and the application was compiled without Themes.

Fixed display issue in TRzToolButton where the button would not appear pressed when a drop-down menu was displayed by the button.

Added new DisabledImages property to the TRzToolButton component. This property allows a user to associated a dedicated image list to the control that only contains disabled images. The benefit of this is that the same ImageIndex value can be used for both the Images and DisabledImages lists. The TRzToolButtons that have images will use the DisabledImages list if it is not nil *and* the button's DisabledIndex property is -1. The ImageIndex property will be used to index into the DisabledImages list.

Made necessary modifications to TRzToolButton to fully support VCL Styles introduced in RAD Studio XE2.

TRzTrackBar

When XP/Vista/Win7 themes are used, the TRzTrackBar now displays the thumb as defined in the selected style. This changes fixes the issue where the thumb would appear like a Windows XP even on Windows Vista or 7.

Made necessary modifications to TRzTrackBar to fully support VCL Styles introduced in RAD Studio XE2.

TRzTrayIcon

Updated code in TRzTrayIcon used to restore application window.

TRzTreeView & TRzCheckTree

Fixed issue where changing the background color of a TRzCheckTree at runtime would not change the background color of the check state images.

Added new ItemHeightMargin property that can be used to add some extra spacing between items in a TRzTreeView (or descendant).

Made necessary modifications to TRzTreeView and TRzCheckTree to fully support VCL Styles introduced in RAD Studio XE2.

RzCommon Unit

Added UsingSystemStyle function.

Added ActiveStyleSystemColor and GetStyleStyleColor functions.

Added new DrawFilledBox procedure.

Added Color parameter to DrawFocusBorder.

Made necessary modifications to TRzMenuController to support VCL Styles introduced in RAD Studio XE2. Standard menus and popup menus are not affected when applying VCL Styles. However, with the TRzMenuController, menu items are displayed using appropriate colors and shading from the selected VCL Style so that the menus match the rest of the interface.

Modified several drawing functions to support VCL Styles introduced in RAD Studio XE2.


Technical Support

Description

In addition to the online help system, Raize Software offers technical support via web-based forums and email. When requesting technical support, please be sure to include a detailed description of the problem. Also, please provide the following information:

Version/Build Number of Raize Components (e.g. 6.2.1)

Operating System and Version Number

Development Tool and Version Number (i.e. Delphi XE3 or C++Builder 2010)

Important: Technical support will only be provided to registered users. When sending technical support questions, please include your name and company name (if applicable).

Web-based Forums Support

You may obtain technical support by posting a message to one of the Raize Components-related forums, which are located at www.raize.com/forums. The following forums are available:

General

Panels

Edits

Lists

Buttons

Display

Shell

Widgets

Designers

Email Support

You may also obtain technical support for Raize Components by sending an email message to support@raize.com.


Package Changes

Description

The packages distributed with Raize Components 6 are listed below. The naming convention used in the packages is such that in all future versions of Raize Components, the names of the package DCP files will no longer need to be changed. As always, there are two sets of packages associated with each version of the VCL, one runtime/design package pair for all non-data-aware components and another runtime/design package pair for all data-aware components.

When building an application that uses runtime packages, you may need to deploy the Raize Components runtime packages with your application. The design-time packages are not redistributable.

The following table describes the new package BPL files:

Package Pkg Type RAD Studio VCL Contents

RaizeComponentsVcl120.bpl Runtime 2009 12.0 Non-Data-Aware components

RaizeComponentsVcl140.bpl Runtime 2010 14.0 Non-Data-Aware components

RaizeComponentsVcl150.bpl Runtime XE 15.0 Non-Data-Aware components

RaizeComponentsVcl160.bpl Runtime XE2 16.0 Non-Data-Aware components

RaizeComponentsVclDb120.bpl Runtime 2009 12.0 Data-Aware components

RaizeComponentsVclDb140.bpl Runtime 2010 14.0 Data-Aware components

RaizeComponentsVclDb150.bpl Runtime XE 15.0 Data-Aware components

RaizeComponentsVclDb160.bpl Runtime XE2 16.0 Data-Aware components

RaizeComponentsVcl_Design120.bpl Design 2009 12.0 Raize Components 6.x

RaizeComponentsVcl_Design140.bpl Design 2010 14.0 Raize Components 6.x

RaizeComponentsVcl_Design150.bpl Design XE 15.0 Raize Components 6.x

RaizeComponentsVcl_Design160.bpl Design XE2 16.0 Raize Components 6.x

RaizeComponentsVclDb_Design120.bpl Design 2009 12.0 Raize Components 6.x (Data-Aware)

RaizeComponentsVclDb_Design140.bpl Design 2010 14.0 Raize Components 6.x (Data-Aware)

RaizeComponentsVclDb_Design150.bpl Design XE 15.0 Raize Components 6.x (Data-Aware)

RaizeComponentsVclDb_Design160.bpl Design XE2 16.0 Raize Components 6.x (Data-Aware)

If you are building your own packages that are dependent on the Raize Components units, you will need to add the appropriate DCP package information file to the requires clause of your package. With the new naming convention, the name of the DCP file is same regardless of the version of the VCL.

The following table lists the new package DCP files.

DCP File Contents

RaizeComponentsVcl.dcp Non-Data-Aware package information

RaizeComponentsVclDb.dcp Data-Aware package information


Migration Issues

Description

Raize Components 6 is backward compatible with earlier versions of Raize Components. That is, if you created an application using an earlier version of Raize Components, you will be able to load your forms under version 6.

Package Changes

If you are migrating from Raize Components 4 or 5, there should be no changes necessary in your packages. Simply rebuild them with Raize Components 6 installed.

If you are using an older version of Raize Components, you will need to modify the requires clauses of your packages to reflect the new package names. (Please see the Package Changes section for more details). As a result, there are some potential migration issues for Delphi and C++Builder users.

Delphi Users

If you have an existing project that used an earlier version of Raize Components, the option file (*.dof) for that project will contain references to the Raize Components 3.0 or 2.x runtime packages. The DefProj.dof file in your Delphi Bin directory is automatically updated during the install program, but your existing DOF files are not modified.

IMPORTANT: The runtime package list in a project's DOF file is only used if the project is built with runtime packages. The following steps are not necessary if you are not using runtime packages for your project.

If you are using runtime packages, then you should open the DOF file and look for the Packages entry in the [Directories] section. There you will find the two runtime packages for Raize Components listed. The actual file names will depend on the version of Raize Components you had previous to 6.

*nn represents VCL version number (e.g. 70 for VCL 7.0)

Old Version: Old Runtime Package: Change to:

2.5 Rz25NDnn RaizeComponentsVcl

2.5 Rz25DBnn RaizeComponentsVclDb

2.51 Rz251Nnn RaizeComponentsVcl

2.51 Rz251Dnn RaizeComponentsVclDb

2.52 Rz252Nnn RaizeComponentsVcl

2.52 Rz252Dnn RaizeComponentsVclDb

3.x Rz30Ctlsnn RaizeComponentsVcl

3.x Rz30DBCtlsnn RaizeComponentsVclDb

Simply change the runtime package names to the 6.0 versions also listed in the above table, and then save the project option file.

C++Builder Users

If you have an existing project that used an earlier version of Raize Components, the project (*.bpr) file for that project will contain references to the Raize Components 3.0 or 2.x package BPI files. The Default.bpr file in your Builder Bin directory is automatically updated during the install program, but your existing BPR files are not modified.

As a result, you should open the BPR file and look for the line starting with PACKAGES. There you will find the two BPI files for Raize Components. The actual file names will depend on the version of Raize Components you had previous to version 6.

*nn represents VCL version number (e.g. 70 for VCL 7.0)

Old Version: Old BPI Files: Change to:

2.52 Rz252Nnn.bpi RaizeComponentsVcl.bpi

2.52 Rz252Dnn.bpi RaizeComponentsVclDb.bpi

3.0 Rz30Ctlsnn.bpi RaizeComponentsVcl.bpi

3.0 Rz30DBCtlsnn.bpi RaizeComponentsVclDb.bpi

Simply change the BPI file names to the 6.0 versions also listed in the above table, and then save the project file.


Known Problems

Description

The following are known problems in Raize Components:

1. Using a TRzSplitter on an Ancestor Form or a TFrame

Do not add controls to the panes of a TRzSplitter after creating a descendant form or an inline instance of a frame. If you do, the control will not be parented correctly in the descendant forms or inline instance of the frame.

Work-Around:

To use the TRzSplitter in an ancestor form or frame, you need to perform some steps before creating the descendant forms (or creating inline instances of the frame). First, before dropping any components onto either pane of the splitter, drop a TRzPanel component onto each pane and set the Align property of each panel to alClient. Next, change the BorderOuter property of these panels to fsNone. You can now create your descendant forms and inline frame instances.

Note: It is possible to add a TRzSplitter component to an ancestor form or frame after descendant forms and inline frame instances have been created. However, the process involves several steps including modifying the DFM file of the ancestor form. For details, contact Raize Software.

2. Copying a TRzSplitter to the Same Form

Do not copy a TRzSplitter component to the clipboard and paste a new copy onto the same form. The problem is that the IDE will rename the controls that are contained within each pane because the original copies of the components are already on the same form. Unfortunately, there is no way for the TRzSplitter component to be notified that these name changes take place. As a result, the TRzSplitter will not be able to correctly parent the child components into the correct pane.

Work-Around:

If you need to make a copy of a splitter for use on the same form, drop a new TRzSplitter on the form and then copy the controls from each pane into the new splitter.

3. TRzBalloonHints

Only one instance of this component is needed in an application. Plus, this component should be placed on a form that will be available throughout the lifetime of the application. For example, the main form.


TRzPanel

TRzPanel is a custom panel control for grouping other controls.

Unit
RzPanel

Declaration
TRzPanel=Class(TRzCustomPanel);

Description

This component is an enhanced panel component that provides many ways to customize how the panel is displayed. The BorderInner and BorderOuter properties support many frame styles. The area between the inner and outer borders can be filled by specifying a BorderColor. The BorderSides property can be used to selectively display only some of the sides of the panel (well suited for creating toolbars, status bars, and splitter bars). The AlignmentVertical property along with the standard Alignment property allows the caption to be placed in one of nine different locations on the panel.

The custom component editor provides quick access to many of the panel's properties and provides instant visual feedback plus it adds an extra menu item for quickly setting the panel's Align property to alClient.

The VCL has docking support built-in, and the TRzCustomPanel component (ancestor of TRzPanel) surfaces this ability. However, the TRzCustomPanel goes way beyond just surfacing the new properties. Specifically, the TRzCustomPanel does not use the default Docking Manager when clients are docked to a TRzPanel. Instead, a custom Docking Manager is provided automatically in Raize Components. The major benefit of this custom Docking Manager is that it shows the caption of the client control that is docked rather than the default "grabber" lines. Having the caption appear for each docked client makes it much easier for users to locate each control. If you would like the default grabber lines to appear instead, simply change the ShowDockClientCaptions property to False.


TRzGroupBar

TRzGroupBar is a custom control for managing a collection of user interface command groups.

Unit
RzGroupBar

Declaration
TRzGroupBar=Class(TCustomControl);

Description

Use TRzGroupBar to create a collection of user interface command groups. A command group typically contains a list of clickable items that invoke commands. Typical examples of group bars include the navigational bar (i.e. Outlook Bar) in Microsoft Outlook and the category view in Windows XP's Control Panel (also called the Explorer Bar). Another example of a group bar is the Task List view in Microsoft Office XP. TRzGroupBar is a single component that supports all of these types of display styles. In particular, the Style property can be set to gbsCategoryView, gbsOutlook, and gbsTaskList.

Image lists may be assigned to the SmallImages and LargeImages properties. These images will be accessible to groups and items. That is, unless a group overrides the image lists with alternate versions.

Adding Groups and Items at Design-Time

To add groups at design-time, simply right-click on the group bar and select Add Group. Each has its own set of properties to control its appearance and behavior.

To add items to a group at design-time, simply right-click on the group and select Add Item. Each group maintains its own collection of items. To edit the items using the standard collection editor, double-click on a group, or select Edit Items Collection from the context menu.

Adding Groups and Items at Runtime

The following code fragment illustrates how groups and items can be added to a TRzGroupBar at runtime. To remove a group or item, simply destroy the desired group or item by calling its Free method.

Note: When adding lots of groups at one time, you should wrap your code with BeginUpdateLayout and EndUpdateLayout to boost performance.

procedure TForm1.BtnAddGroupClick(Sender: TObject);
var
 Grp: TRzGroup;
Item: TRzGroupItem;
begin
 Grp := TRzGroup.Create( Self );
Grp.Parent := RzGroupBar1;
Grp.Caption := 'Sample Group';
RzGroupBar1.AddGroup( Grp );

// To insert a new group among existing groups,
// use the InsertGroup method.

Item := Grp.Items.Add;
Item.Caption := 'Item 1';
Item := Grp.Items.Add;
Item.Caption := 'Item 2';
end;


TRzGroupTemplate

TRzGroupTemplate is a custom nonvisual control for managing a collection of user interface commands that will be used to create corresponding TRzGroup controls within a TRzGroupBar.

Unit
RzGroupBar

Declaration
TRzGroupTemplate=Class(TComponent);

Description

Use the TRzGroupTemplate component to define a template (or definition) of items that can be used to dynamically create actual instances of TRzGroup controls on a TRzGroupBar. A TRzGroupTemplate manages its own light-weigh list of items. Each item can be associated with an Action, or separate OnClick event handlers can be created.

Overloaded versions of TRzGroupBar.AddGroup and TRzGroupBar.InsertGroup can accept a TRzGroupTemplate as a parameter and the result of calling either method creates a new TRzGroup control on the group bar and populates the group with items that match those defined in the template.

The light-weight nature of the TRzGroupTemplate makes it ideal for dynamically creating new groups on a group bar.


TRzPageControl

TRzPageControl is a custom control for grouping controls into multiple pages.

Unit
RzTabs

Declaration
TRzPageControl=Class(TRzCustomTabControl);

Description

The TRzPageControl component is a native VCL implementation of a PageControl. That is, TRzPageControl does not wrap around the functionality of the Windows Common PageControl. Each tab has an associated page (a TRzTabSheet ) on which controls can be placed so they will only be shown when the associated tab is selected. Each of the individual pages can be selected at design-time.

The TRzPageControl offers many more display options than the standard TPageControl. In particular, there are four styles of tabs to choose from by using the TabStyle property. Plus, there are options to change the colors of the tabs using the TabColors and UseColoredTabs properties. Tab text is controlled by the TextAlignment, TextAlignmentVertical, TextColors, and TextOrientation properties. Images from an image list can be displayed on tabs using the Images, ImageAlignment, ImageAlignmentVertical, ImageMargin, and ImagePosition properties. Note the actual text and image index used for each tab is specified in the TRzTabSheet.

If you do not require a separate page (of controls) for each tab you should use the TRzTabControl .


TRzTabControl

TRzTabControl is a custom control for displaying a set of tabs.

Unit
RzTabs

Declaration
TRzTabControl=Class(TRzCollectionTabControl);

Description

The TRzTabControl component is a native VCL implementation of a TabControl. That is, TRzTabControl does not wrap around the functionality of the Windows Common TabControl.

The TRzTabControl offers many more display options than the standard TTabControl. In particular, there are four styles of tabs to choose from by using the TabStyle property. Plus, there are options to change the colors of the tabs using the TabColors and UseColoredTabs properties. Tab text is controlled by the TextAlignment, TextAlignmentVertical, TextColors, and TextOrientation properties. Images from an image list can be displayed on tabs using the Images, ImageAlignment, ImageAlignmentVertical, ImageMargin, and ImagePosition properties. Note the actual text and image index used for each tab is specified using the Tabs collection.

There is only one page (i.e. client area) on which to place controls. If you require a separate page for each tab you should use the TRzPageControl instead.


TRzSplitter

TRzSplitter is a specialized panel component designed for splitting two regions of a window.

Description

The TRzSplitter component consists of three areas: the upper-left pane, the lower-right pane, and the splitter bar. The two panes serve as place holders for other components such as list boxes and tree views, and are automatically resized when the user moves the splitter bar. By default, when the user moves the splitter bar, a mask is displayed showing the new position of the bar, and when the user releases the mouse, the bar is repositioned. When the RealTimeDrag property is set to True, the bar is repositioned as the user moves the mouse.

The splitter bar can be oriented either horizontally or vertically via the Orientation property. The appearance of the splitter can be altered using the BorderInner, BorderOuter, SplitterStyle, and SplitterWidth properties. The UpperLeft and properties provide access to the underlying splitter panes. Both of these properties are class properties encapsulating several properties that define the appear of the splitter panes. For example, if the UpperLeft.Visible property is set to False, the upper left pane is removed from view. To access the actual pane object, which is a descendant of TCustomPanel, use the Pane subproperty (e.g. LowerRight.Pane).

Since there are two panes that can serve as containers for other components, pasting controls previously copied to the clipboard requires selecting the destination pane before pasting the controls to the splitter component. The currently selected pane has a dashed line around its perimeter. To change the selected pane, use the SelectedPane property or select the desired pane from the component's popup menu

Form Inheritance Tip

If you plan to use the TRzSplitter in an ancestor form, before dropping any components onto either pane, drop a TRzPanel component on to each pane and set their Align properties to alClient. You will most likely want to change the BorderOuter property of these panel to fsNone. Next, you can drop whatever controls you want onto the two panels. The reason for dropping the panel components down first is to ensure that the controls are correctly streamed in descendant forms.


TRzSizePanel

TRzSizePanel is a custom panel that supports being resized at runtime.

Description

This panel descendant allows a user to change the size of the panel at runtime by moving a size bar with the mouse. The SizeBar is automatically positioned to be on the opposite side of the alignment side. For example, if the panel is aligned alLeft, the SizeBar is located on the right edge. The appearance of the size bar can be modified by using the SizeBarStyle and SizeBarWidth properties.

The TRzSizePanel is great for adding simple splitter support to your applications. In addition, unlike the TRzSplitter component, the TRzSizePanel can be used in an MDI Frame form. Furthermore, since the TRzSizePanel descends from TRzCustomPanel , it uses the same Docking Manager defined for TRzCustomPanel. To enable the custom docking manager, the ShowDockClientCaptions must be set to True.

The TRzSizePanel also supports the HotSpot button on the size bar just like the TRzSplitter component does with its splitter bar. This button allows the user to quickly resize the panel to its minimum width or height (depending on the Align property). When the HotSpot is clicked while in its "closed" position, the panel is resized to its original value. The HotSpot button is only visible when the HotSpotVisible property is True.


TRzToolbar

TRzToolbar is a specialized panel control for creating toolbars.

Unit
RzPanel

Declaration
TRzToolbar=Class(TRzCustomPanel);

Description

TRzToolbar is a specialized panel component for creating toolbars which automatically adjusts its appearance according to the operating system. Of course, the default appearance can be overridden by setting the AutoStyle property to False, and then using the BorderInner, BorderOuter, BorderSides properties to customize the display. A grooved divider line that separates the toolbar from the main menu or from other toolbars is turned on by default. Turn off the divider using the ShowDivider property.

Populating a toolbar with speed buttons is a snap using the custom TRzToolbar component editor. First, you'll need to associate an image list with the toolbar. Next, simply invoke the editor and select the buttons to be created from a palette of more than 130 standard buttons. The selected button is created on the toolbar and is automatically aligned and positioned. In addition, the same bitmap from the palette is used in the new button.

Several properties in TRzToolbar allow you to control all the controls contained in the toolbar from a single point. For example, the ButtonHeight, ButtonWidth, ButtonLayout properties control the size and glyph location for each TRzToolButton on the toolbar. In addition, the TextOptions property controls whether or not the buttons display their Captions and if so, how.

The TextOptions property and the order and visibility of the controls can be modified at runtime using the Customize method. Assign a TRzRegIniFile component to the toolbar and use the SaveLayout and RestoreLayout methods to make changes persistent across sessions.


TRzStatusBar

TRzStatusBar is a specialized panel control for displaying status information.

Unit
RzPanel

Declaration
TRzStatusBar=Class(TRzCustomPanel);

Description

TRzStatusBar is a specialized panel component for displaying status information which automatically adjusts its appearance according to the operating system. Of course, the default appearance can be overridden by setting AutoStyle to False and then using the BorderInner, BorderOuter, BorderSides properties to customize the display. By default, the size grip is visible in the lower right corner. To turn off the size grip, use the ShowSizeGrip property.

The TRzStatusBar component makes a great holder for the Raize status components (i.e. TRzStatusPane , TRzGlyphStatus , TRzClockStatus , TRzDBStatusPane , TRzDBStateStatus , TRzMarqueeStatus , TRzResourceStatus , TRzKeyStatus , TRzVersionInfoStatus , and TRzProgressBar ). Plus, the custom component editor for TRzStatusBar makes it a snap to create status components automatically positioned and aligned within the status bar. Simply right-click on the status bar to display a list of status components.


TRzPathBar

TRzPathBar is a navigational control for managing a collection of links that represent a "you are here" path.

Description

The TRzPathBar component manages the list of items that represent the path. Each item can be associated with an Action, or separate OnClick event handlers can be created. Each item can also be associated with a LinkInfo string or a LinkObject, which can then be used to navigate to the appropriate location in the application.


TRzFlowPanel

TRzFlowPanel is a descendant of TFlowPanel that provides additional display functionality from TRzCustomPanel.

Unit
RzPanel

Declaration
TRzFlowPanel=Class(TCustomFlowPanel,IRzCustomFramingNotification);

Description

Available in BDS 2006 Only

Use TRzFlowPanel to put an empty flow panel on a form. The major difference between a traditional panel and a flow panel is the way in which controls are placed. With a traditional panel, you place a control (such as a button) in a specific location. You can freely move that control to any location within the panel using the mouse. In a flow panel, each control is placed in a specific location, regardless of where you place it with the mouse. The automatic location is controlled by the FlowStyle property. For example, using the default FlowStyle property of LeftRightTopBottom, the first control you add to the flow panel snaps to the top left corner. The second control that you add snaps next to the first control, and so on.


TRzGridPanel

TRzGridPanel is a descendant of TGridPanel that provides additional display functionality from TRzCustomPanel.

Unit
RzPanel

Declaration
TRzGridPanel=Class(TCustomGridPanel,IRzCustomFramingNotification);

Description

Use TRzGridPanel to put an empty grid panel on a form. The major difference between a traditional panel and a grid panel is the way in which controls are placed. With a traditional panel, you place a control (such as a button) in a specific location. You can freely move that control to any location within the panel using the mouse. In a grid panel, you specify the number of rows and columns on the panel, then each component is placed into the next available cell in the grid, regardless of where you place it with the mouse. If each grid contains a control and you add more controls, the location for the new controls is determined by the ExpandStyle property. For example, using the default ExpandStyle property of AddRows, a new row is added to the grid, and each cell in the row can contain a new control.


TRzGroupBox

TRzGroupBox is a specialized panel for grouping related controls.

Unit
RzPanel

Declaration
TRzGroupBox=Class(TRzCustomGroupBox);

Description

The TRzGroupBox component descends from our TRzCustomPanel and thus provides all of the features of our TRzPanel component. As a result, the TRzGroupBox has many more display options over a regular TGroupBox. By default, the GroupStyle property is set to gsStandard, which causes the group box to appear as a standard group box. When the GroupStyle property is set to gsCustom, the inherited border properties from TRzCustomPanel are used to display the borders of the group box. When GroupStyle is set to gsTopLine only the top line of the group box along with the Caption are displayed. This format is used quite frequently in Microsoft Office. The new gsFlat style causes the border to appear flat with rounded corners.

In addition to the advanced bordering features, the TRzGroupBox also provides several features that affect enabling and disabling the group box. For instance, when you set the Enabled property of the group box, the caption of the group box appears disabled. Plus, all of the controls in the group are also automatically disabled. As a result, the group box appears disabled as opposed to simply not accepting input from the user.


TRzRadioGroup

TRzRadioGroup is a specialized group box that manages a set of radio buttons.

Description

This component provides all of the features of the standard TRadioGroup, except that there are many additional ways to customize the appearance of the group box. For example, by ultimately descending from TRzGroupBox , inherits all of the display options introduced in that component.

Plus, the TRzRadioGroup provides additional display options for radio groups. To change the font of the radio buttons and not the font of the group box Caption, use the ItemFont property. To change the position of the radio buttons, use the Columns, StartXPos, StartYPos, and VerticalSpacing properties.

The radio buttons created by the group box are TRzRadioButton components. As a result, TRzRadioGroup has a HotTrack property which controls the corresponding property of the radio buttons.


TRzCheckGroup

TRzCheckGroup is a specialized group box designed to manage a set of check boxes.

Description

This component provides all of the features of the standard TRzRadioGroup , except that instead of radio buttons, the control manages a set of check boxes. Plus, by ultimately descending from TRzGroupBox , it inherits all of the display options introduced in that component.

Plus, the TRzCheckGroup provides additional display options. To change the font of the check boxes and not the font of the group box Caption, use the ItemFont property. To change the position of the check boxes, use the Columns, StartXPos, StartYPos, and VerticalSpacing properties.

The check boxes created by the group box are TRzCheckBox components. As a result, TRzCheckGroup has a HotTrack property which controls the corresponding property of the check boxes.


TRzDBRadioGroup

TRzDBRadioGroup is the data-aware version of TRzRadioGroup.

Description

Data-aware version of TRzRadioGroup . Provides standard DataField and DataSource properties for connecting to a column in a database table. Use TRzDBRadioGroup to group a set of data-aware radio buttons. Radio buttons that are contained directly in the same control component are said to be "grouped"; when a radio button is checked, all other radio buttons in its group become unchecked. Database radio groups provide an easy way to ensure that the user enters one (or at most one) of the options presented for a field. They are also useful for displaying data from fields that have only a few possible values.

To add radio buttons to a TRzDBRadioGroup, edit the Items property in the Object Inspector. Each string in Items makes a radio button appear in the group box with the string as its caption.

When the user selects a radio button, the "value" of the selected button becomes the contents of the linked field for the current record in the dataset. Specify values for the buttons by editing the Values property in the Object Inspector; the first string in Values corresponds to the first string in Items, and so forth. If no Values strings are set, each button's caption serves as its value.


TRzEdit

TRzEdit is an enhanced single-line edit control.

Unit
RzEdit

Declaration
TRzEdit=Class(TRzCustomEdit);

Description

TRzCustomEdit serves as a common ancestor for the edit field based components in Raize Components and is a descendant of TCustomEdit. Therefore, this component provides all of the same features found in the standard TEdit component. In addition, TRzCustomEdit (and thus TRzEdit) supports the Custom Framing properties. Plus, text can be displayed in right-justified format by simply changing the Alignment property to taRightJustify.


TRzMaskEdit

TRzMaskEdit is an enhanced TMaskEdit.

Unit
RzEdit

Declaration
TRzMaskEdit=Class(TRzCustomEdit);

Description

The TRzMaskEdit component provides all of the same features found in the standard TMaskEdit component. In addition, this component supports the Custom Framing properties, and like TRzEdit can display its text in right-justified format by simply changing the Alignment property to taRightJustify.


TRzButtonEdit

TRzButtonEdit is an enhanced single-line edit control containing two embedded button controls.

Description

The TRzButtonEdit component combines a edit field with two buttons, a primary and an alternate. The two buttons are automatically aligned to the right of the edit field, and each one generates its own event when clicked (i.e. OnButtonClick and OnAltBtnClick). The TRzButtonEdit component is often used as a replacement for a combo box. That is, rather than dropping down a list of items, one of the buttons can invoke a dialog box that is used to lookup values. For example, a File Open dialog box or the TRzLookupDialog and TRzDBLookupDialog components.

By default, only the primary button is visible, and each button has an ellipsis for a glyph. To display the alternate button, set the AltBtnVisible property to True. In addition, there are several properties that allow you to change the appearance of each button.


TRzDateTimeEdit

TRzDateTimeEdit is a specialized edit control for selecting dates or times.

Unit
RzEdit

Declaration
TRzDateTimeEdit=Class(TRzCustomEdit);

Description

TRzDateTimeEdit displays a drop-down button in its client area, and when pressed, a TRzCalendar or a TRzTimePicker is displayed. Which popup is displayed depends on the value of the EditType property. The popups can be customized through several properties that are passed onto the popup instance.

Dates and times may also be freely typed into the control. That is, there is no hard mask forcing the user to enter dates or times in a certain format. When the user leaves the field, the date or time is formatted as appropriate.


TRzNumericEdit

TRzNumericEdit is a custom edit field for entering numeric values.

Unit
RzEdit

Declaration
TRzNumericEdit=Class(TRzEdit);

Description

TRzNumericEdit descends from TRzEdit and is specially designed for entering numeric values. The DisplayFormat property controls how the component's contents appear when the control does not have the focus. This component is very similar in functionality to the TRzSpinEdit, but does not support the increment and decrement operations supported by that control. However, it is possible to specify a range of acceptable values using the Max, Min, and CheckRange properties.


TRzSpinEdit

TRzSpinEdit is a specialized single-line edit control for entering numeric values.

Description

The TRzSpinEdit component combines a edit field with two buttons forming a spinner. The edit portion can only accept numeric data and the buttons allow the user to increment and decrement the value. This component can accept integer values as well as floating point values. To only allow integers, set the IntegersOnly property to True. The Increment property is used to specify the amount the Value is incremented or decremented when one of the buttons is pressed. Increment can be a floating point value. PageSize is similar to the Increment except that PageSize is used when the user presses the PgUp or PgDn keys. The IntValue property is useful when the IntegersOnly property is set to True. IntValue automatically casts the Value to an Integer, thus eliminating this task for the developer.


TRzColorEdit

TRzColorEdit is a specialized edit control for selecting colors.

Unit
RzEdit

Declaration
TRzColorEdit=Class(TRzCustomEdit);

Description

TRzColorEdit displays a drop-down button in its client area, and when pressed, a TRzColorPicker is displayed to allow the user to select a color. The TRzColorPicker can be customized through several properties that are passed onto the TRzColorPicker instance.


TRzExpandEdit

Properties

TRzExpandEdit is an enhanced single-line edit control that can dynamically change its size.

Unit
RzEdit

Declaration
TRzExpandEdit=Class(TRzEdit);

Description

The TRzExpandEdit component is a special descendent of TRzEdit that can be resized automatically at runtime. Specifically, the control can be setup so that it expands to a wider size when the control receives the input focus or the user clicks on it with the secondary mouse button. The expanded size of the edit field is controlled by the ExpandedWidth property, and when the edit field is resized is controlled by the ExpandOn property. This control can be quite useful when a form has a large number of controls, but the user would like more room to enter values.


TRzHotKeyEdit

TRzHotKeyEdit is an enhanced edit control for entering keystroke combinations.

Unit
RzEdit

Declaration
TRzHotKeyEdit=Class(THotKey);

Description

TRzHotKeyEdit is an enhanced THotKey control. Specifically it implements the necessary properties and methods to support Custom Framing .


TRzMemo

TRzMemo is an enhanced multi-line edit control.

Unit
RzEdit

Declaration
TRzMemo=Class(TMemo);

Description

The TRzMemo component descends from the standard TMemo component, but offers several additional features. Most notably, this component supports the Custom Framing properties. In addition, the cursor position can be controlled by using the Line and Column properties and the JumpTo method.


TRzRichEdit

TRzRichEdit is an enhanced TRichEdit control.

Unit
RzEdit

Declaration
TRzRichEdit=Class(TRichEdit);

Description

The TRzRichEdit component descends from the standard TRichEdit component, but offers several additional features. Most notably, this component supports the Custom Framing properties. In addition, the cursor position can be controlled by using the Line and Column properties and the JumpTo method.


TRzSpinner

TRzSpinner is a custom control for selecting integer values.

Description

The TRzSpinner component allows a user to specify an integer value using the mouse or arrow keys. However, unlike most spinners which show very small buttons to the right of the edit field, the TRzSpinner component has its decrement button on the left side of the display, while the increment button is on the right side of the display.

These two components also support customizing the appearance of the spinner using the ButtonColor, Images, ImageIndexMinus, ImageIndexPlus and ButtonWidth properties, plus many more.


TRzTrackBar

TRzTrackBar is a custom slider control for selecting positional values.

Unit
RzTrkBar

Declaration
TRzTrackBar=Class(TCustomControl);

Description

The TRzTrackBar component is a slider control that mimics the behavior of the Windows Common Control TrackBar control. The track bar consists of a thumb that is dragged along a track. The thumb rests at periodic positions (tick marks) along the track. The thumb cannot be placed in between these tick marks.

Many of the properties control how the track and thumb are drawn. For example, the ThumbStyle property can be used to change the style of the thumb. Standard choices include pointer, box, flat, and mixer. TRzTrackBar even supports custom thumbs through the CustomThumb bitmap property.

The track width and color are controlled by the TrackWidth and TrackColor properties, respectively. Along the edge of the track tick marks can be displayed for each position by setting the ShowTicks to True. Custom tick marks can even be drawn by setting the TickStyle property to tkOwnerDraw and writing an event handler for the OnDrawTick event.


TRzDateTimePicker

TRzDateTimePicker is an enhanced TDateTimePicker.

Description

Deprecated. Please use the TRzDateTimeEdit instead.

The TRzDateTimePicker component is a custom version of the TDateTimePicker that provides additional properties to support Custom Framing . Specifically, the FrameColor, FrameSides, and FrameStyle properties can be used to create a date-time picker that does not have the standard Ctl3D appearance.


TRzDBEdit

TRzDBEdit is an enhanced data-aware single-line edit control.

Description

Data-aware version of TRzCustomEdit . Provides standard DataField and DataSource properties for connecting to a column in a database table.


TRzDBButtonEdit

TRzDBButtonEdit is a data-aware single-line edit control containing two embedded button controls.

Description

Data-aware version of TRzButtonEdit . Provides standard DataField and DataSource properties for connecting to a column in a database table.


TRzDBDateTimeEdit

TRzDBDateTimeEdit is a specialized data-aware edit control for selecting dates or times.

Description

Data-aware version of TRzDateTimeEdit. Provides standard DataField and DataSource properties for connecting to a column in a database table.

TRzDBDateTimeEdit displays a drop-down button in its client area, and when pressed, a TRzCalendar or a TRzTimePicker is displayed. Which popup is displayed depends on the value of the EditType property. The popups can be customized through several properties that are passed onto the popup instance.

Dates and times may also be freely typed into the control. That is, there is no hard mask forcing the user to enter dates or times in a certain format. When the user leaves the field, the date or time is formatted as appropriate.

NOTE: Two separate TRzDateTimeEdit components (one with EditType = etDate and the other with EditType = etTime) can be connected to the same DateTime database field. Each component will only update the appropriate portion of the database field.


TRzDBNumericEdit

TRzDBNumericEdit is a data-aware edit field for entering numeric values.

Description

TRzDBNumericEdit descends from TRzDBEdit and is specially designed for entering numeric values. The DisplayFormat property controls how the component's contents appear when the control does not have the focus. This component is very similar in functionality to the TRzDBSpinEdit, but does not support the increment and decrement operations supported by that control. However, it is possible to specify a range of acceptable values using the Max, Min, and CheckRange properties.


TRzDBSpinEdit

TRzDBSpinEdit is the data-aware version of TRzSpinEdit.

Description

Data-aware version of TRzSpinEdit . Provides standard DataField and DataSource properties for connecting to a column in a database table. Because the spin edit deals with numeric data, this control must be connected to a database field which also contains numeric data.


TRzDBExpandEdit

Properties

TRzDBExpandEdit is a data-aware single-line edit control that can dynamically change its size.

Unit
RzDBEdit

Description

Data-aware version of TRzExpandEdit component, which is a special descendent of TRzEdit that can be resized automatically at runtime. Specifically, the control can be setup so that it expands to a wider size when the control receives the input focus or the user clicks on it with the secondary mouse button. The expanded size of the edit field is controlled by the ExpandedWidth property, and when the edit field is resized is controlled by the ExpandOn property. This control can be quite useful when a form has a large number of controls, but the user would like more room to enter values.


TRzDBMemo

TRzDBMemo is an enhanced data-aware multi-line edit control.

Description

The TRzDBMemo component descends from the standard data-aware TDBMemo component, but offers several additional features. Most notably, this component supports the Custom Framing properties. In addition, the cursor position can be controlled by using the Line and Column properties and the JumpTo method.


TRzDBRichEdit

TRzDBRichEdit is the data-aware version of TRzRichEdit.

Description

The TRzDBRichEdit component descends from the standard data-aware TDBRichEdit component, but offers several additional features. Most notably, this component supports the Custom Framing properties. In addition, the cursor position can be controlled by using the Line and Column properties and the JumpTo method.


TRzDBSpinner

Properties

TRzDBSpinner is a data-aware custom control for selecting integer values.

Unit
RzDBSpin

Description

Data-aware version of TRzSpinner . Provides standard DataField and DataSource properties for connecting to a column in a database table. Because the spinner deals with integer data, this control must be connected to a database field which also contains integer data.


TRzDBTrackBar

Properties

TRzDBTrackBar is a data-aware custom slider control for selecting positional values.

Unit
RzDBTrak

Description

Data-aware version of TRzTrackBar . Provides standard DataField and DataSource properties for connecting to a column in a database table. In addition, this component provides the Values string list property which is populated with the values to be written to the database table. After a set of values have been entered, the Min and Max positions of the track bar are updated according to the number of items in the list box. At run-time, as the user moves the thumb of the track bar, the value from the Values list corresponding to the selected position is stored in the database field.


TRzDBDateTimePicker

Properties

TRzDBDateTimePicker is an enhanced data-aware TDateTimePicker.

Unit
RzDBDTP

Description

Deprecated. Please use TRzDBDateTimeEdit instead.

The TRzDBDateTimePicker component is the data-aware version of the TRzDateTimePicker component, which is a descendant of the standard TDateTimePicker. By using the standard DataField and DataSource properties, this component can be used to edit any database field containing a date or time value. In addition, as a descendant of TRzDateTimePicker, this component provides the additional properties to support Custom Framing . Specifically, the FrameColor, FrameSides, and FrameStyle properties can be used to create a date-time picker that does not have the standard Ctl3D appearance.


TRzListBox

TRzListBox is an enhanced list box control.

Unit
RzLstBox

Declaration
TRzListBox=Class(TRzCustomListBox);

Description

TRzListBox provides all of the features of a regular TListBox plus adds incremental keyboard searching. That is, as the user types a series of characters the selection bar is moved to the item in the list that most closely matches the characters entered. The read-only SearchString property records the current search string and when a matching item is found the OnMatch event is generated. If the BeepOnInvalidKey property is True, an audible beep is played when the last key pressed creates a non-matching search string.

The TRzListBox component also defines several helper functions that eliminate the need to access the Items property directly.


TRzRankListBox

TRzRankListBox is a specialized list box that supports reordering items through drag-n-drop at runtime.

Unit
RzLstBox

Declaration
TRzRankListBox=Class(TRzListBox);

Description

The TRzRankListBox component is a TRzListBox descendant in which the order of items can be changed at run-time by dragging them with the mouse (or by using the keyboard). Two modes of moving items using the mouse are possible, one where the item is moved as it is dragged (MoveOnDrag = True), the other where the item is only moved when the mouse button is released (MoveOnDrag = False). When an item is moved the OnMoveItem event is fired.

Moving an item using the mouse:

Use Shift+Left-Click (or just Left-Click if ModifierKey is mkNone) to select the item and then drag the item to its new position.

Moving an item using the keyboard:

Select the item to be moved using the arrow/navigation keys. Hold down the Shift key while using the Up, Down, Home or End keys to move the item to its new position.

A TRzRankListBox component inherits all the properties and events of TRzListBox. However, the following properties have been made read-only and can't be changed:

Columns Always 0 (zero)

DragCursor Always crDrag

DragMode Always dmManual

ExtendedSelect Always False

MultiSelect Always False

Sorted Always False


TRzTabbedListBox

TRzTabbedListBox is a specialized list box that supports a list of tab stops used to display items in columns.

Unit
RzLstBox

Declaration
TRzTabbedListBox=Class(TRzCustomTabbedListBox);

Description

This component is an enhanced list box component which understands how to process embedded tab characters to display lines in columnar format. In addition, a horizontal scroll bar can be added to the list box. Tab stop values are specified using the TabStops integer list property. In addition, it inherits the keyboard searching features of TRzListBox .

This component also has a Cells property that functions like the Cells property of the TStringGrid. That is, this property can be used to get and set the string value of an individual cell. In the TRzTabbedListBox component, the string between two tab positions and on a specific line defines a cell.

TRzTabbedListBox also supports right-aligned tab stops. In the Tab Stop editor, there is now a Right Aligned check box that allows you to toggle between left and right aligned tab stops. The change is immediately seen in the preview list. To specify a right-aligned tab stop at runtime, simply specify a negative tab stop value. For example,

RzTabbedListBox1.TabStops[ 0 ] := 20;

RzTabbedListBox1.TabStops[ 1 ] := -50; Right-Aligned

TRzTabbedListBox defines a method called UpdateFromHeader. This method can be passed a THeader or a THeaderControl component and will use the positions of the sections in the header to update the tab stop positions of the list box.


TRzCheckList

TRzCheckList associates a check box with each item in the list.

Description

The TRzCheckList component provides all of the features of the TRzTabbedListBox , plus it also associates a check box with each item in the list. By default, each check box either has a checked or unchecked state. To allow the grayed state, set the AllowGrayed property to True. To determine the state of a particular item, use the ItemState property, or to determine if a particular item is checked, use the ItemChecked property. Individual items in the list can be enabled or disabled by using the ItemEnabled property.

TRzCheckList also supports displaying items in groups. Use the AddGroup method to add an item that will be displayed as a group heading.


TRzEditListBox

TRzEditListBox is an enhanced list box allowing users to edit items at runtime.

Unit
RzLstBox

Declaration
TRzEditListBox=Class(TRzListBox);

Description

The TRzEditListBox component provides automatic support for runtime editing of items in the list box. For example, the user is able to edit an item using the same technique that is used in the common tree view and list view controls. That is, the user simply clicks a second time on an item, or presses the F2 key and a small edit box is displayed in which the user can change the item. Pressing the Enter key updates the list box with the new value. (Note: This component is available in both 16-bit and 32-bit).


TRzFontListBox

TRzFontListBox is a specialized list box for selecting fonts.

Unit
RzLstBox

Declaration
TRzFontListBox=Class(TRzCustomListBox);

Description

This component inherits all the features of TRzListBox plus it provides a convenient way for selecting a font name. The list box lists the names of fonts along with a glyph that indicates the type of font (i.e. True Type, fixed pitched, or printer). The FontType property is used to restrict the list to only those fonts of a certain type, while the FontDevice property is used to select either the screen or the printer as the source of the font list. The FontName, FontSize, and FontStyle properties are used to determine the characteristics of the font selected. And the SelectedFont property is used to obtain a TFont value corresponding to the font name selected in the list.

The ShowStyle property affects what appears in the list. Specifically, you can choose to display the name of the font, a sample of the font, or both. In addition, you can set ShowStyle to ssFontPreview and as the user selects fonts in the list, a preview window is displayed which shows a sample of the font.


TRzComboBox

TRzComboBox is an enhanced combo box control.

Unit
RzCmboBx

Declaration
TRzComboBox=Class(TRzCustomComboBox);

Description

TRzComboBox provides all of the features of a regular TComboBox plus adds incremental keyboard searching. That is, as the user types a series of characters the selection bar is moved to the item in the list that most closely matches the characters entered. The read-only SearchString property records the current search string and when a matching item is found the OnMatch event is generated.

Keyboard searching is slightly different depending on the Style of combo box. That is, when the Style property is set to csDropDown, as the user types, the closest matching item is displayed in the edit portion with the non-matching characters highlighted. This style is often referred to as auto-complete style. As such, to turn off this feature, simply set AutoComplete to False.

If the Style property is set to csDropDownList and the BeepOnInvalidKey property is True, an audible beep is played when the last key pressed creates a non-matching search string.

In addition, the TRzComboBox implements the Custom Framing properties. The TRzComboBox component also defines several helper functions that eliminate the need to access the Items property directly.


TRzImageComboBox

TRzImageComboBox is an enhanced combo box that can associate an image with each item in the drop down list.

Unit
RzCmboBx

Declaration
TRzImageComboBox=Class(TRzCustomImageComboBox);

Description

TRzImageComboBox implements a combo box with an associated image and indentation level for each item. The images are taken from an associated image list. Use the AddItem method to add new items to the list.


TRzFontComboBox

TRzFontComboBox is a specialized combo box for selecting fonts.

Unit
RzCmboBx

Declaration
TRzFontComboBox=Class(TRzCustomComboBox);

Description

This component inherits all the features of TRzComboBox plus it provides a convenient way for selecting a font name. The combo box lists the names of fonts along with a glyph that indicates the type of font (i.e. True Type, fixed pitched, or printer). The FontType property is used to restrict the list to only those fonts of a certain type, while the FontDevice property is used to select either the screen or the printer as the source of the font list. The FontName, FontSize, and FontStyle properties are used to determine the characteristics of the font selected. And the SelectedFont property is used to obtain a TFont value corresponding to the font name selected in the list.

The ShowStyle property affects what appears in the drop down list. Specifically, you can choose to display the name of the font, a sample of the font, or both. Note that the DropDownWidth property can be used to extend the list portion beyond the width of the combo box. In addition, you can set ShowStyle to ssFontPreview and as the user selects fonts in the list, a preview window is displayed which shows a sample of the font.


TRzMRUComboBox

TRzMRUComboBox is a specialized combo box for managing a list of most recently used items.

Unit
RzCmboBx

Declaration
TRzMRUComboBox=Class(TRzCustomComboBox);

Description

This combo box automatically maintains a most recently used list of items. The list is maintained in the Registry. Simply specify the name of the Registry path in the MruPath property. Next, set the MruSection to a string, which will identify the sub-key in the Registry. And finally, set the MruID property to a string, which will be used to identify the MRU list. This list is automatically maintained by the component--no additional coding is necessary.


TRzColorComboBox

TRzColorComboBox is a specialized combo box for selecting colors.

Unit
RzCmboBx

Declaration
TRzColorComboBox=Class(TRzCustomComboBox);

Description

This component provides a convenient way for selecting a color value. The list portion of the combo box contains all of the standard 16 colors, unless the ShowSysColors property is set to True. In this case, the standard 16 plus all of the Windows System colors (e.g. clWindow) are listed. Next to each name is a sample of the color. The SelectedColor property allows a developer to determine the color selected by the user without having to translate an index value. The SelectedColor property can also be used to set the combo box to a particular color value.

The TRzColorComboBox also shows an optional default color (ShowDefaultColor) and custom color entry (ShowCustomColor). The actual color values of these two entries can be modified using the DefaultColor and CustomColor properties.

If ShowCustomColor is True and the user selects the Custom color item from the list, a color selection dialog box is displayed, which allows the user to select a custom color value.


TRzTreeView

TRzTreeView is an enhanced tree view.

Description

The TRzTreeView component descends from the standard TTreeView and implements the Custom Framing properties. In addition, this component defines a SelectionPen property, which controls how the currently selected node is highlighted when the tree view does not have the focus. The SelectionPen is only used when the HideSelection property is False.


TRzCheckTree

TRzCheckTree associates a check box with each node in the tree.

Description

The TRzCheckTree component descends from TRzCustomTreeView and thus inherits all of the features of that base component (and TRzTreeView). In addition, the TRzCheckTree associates a check box with each node in the tree. When the checked state of one of the nodes changes, the states of that node's parent and child nodes are automatically updated by the component. To determine the current state of a node, use the ItemState property or access the node's StateIndex property. The possible states are defined by the following type:

TRzCheckState = ( csUnknown, csUnchecked, csChecked, csPartiallyChecked );

To prevent the check states from cascading up and down the tree when a node is changed, set the CascadeChecks property to False.


TRzListView

TRzListView is an enhanced list view.

Unit
RzListVw

Declaration
TRzListView=Class(TRzCustomListView);

Description

The TRzListView component descends from the standard TListView and implements the Custom Framing properties. In addition, TRzListView defines the FillLastColumn property that when set to True causes the last column shown in a report view to occupy the remaining space of the list view. TRzListView also defines the AlphaSortAll that when set to True instructs the list view to automatically sort the list based on the column clicked on by the user.


TRzStringGrid

TRzStringGrid is a enhanced TStringGrid that supports Custom Framing and additional display options for grid cells.

Description

The TRzStringGrid component descends from the standard TStringGrid component, but offers several additional features. Most notably, this component supports the Custom Framing properties. In addition, the display of grid cells can be controlled using the LineColor and FixedLineColor properties.


TRzDBListBox

TRzDBListBox is an enhanced data-aware list box control.

Description

Data-aware version of TRzListBox . Provides standard DataField and DataSource properties for connecting to a column in a database table.

As user navigates through the records in the database table, if the underlying field contains a value that matches an item in the list, that item is highlight. When the user selects an item, the underlying field is updated with the item's text.


TRzDBComboBox

TRzDBComboBox is an enhanced data-aware combo box control.

Unit
RzDBCmbo

Declaration
TRzDBComboBox=Class(TRzCustomComboBox);

Description

Data-aware version of TRzComboBox . Provides standard DataField and DataSource properties for connecting to a column in a database table. Please note that this component does not automatically populate the list portion of the combo box with records from a database table. Although this can be accomplished by manually adding the records to the list, there is no automatic way of doing so. For a lookup combo box, use the TRzDBLookupComboBox component.

The TRzDBComboBox does support a Values property, which can be used to define a list of associated values to be stored in the selected database field instead of the string values maintained in the Items list. For example, the Items list could be set up to contain the following items: Visa, MasterCard, American Express; while the Values list would contain the following values: VISA, MC, AMEX. If the user selected the American Express item in the drop down, the AMEX value would be stored in the database table.


TRzDBLookupComboBox

TRzDBLookupComboBox is an enhanced TDBLookupComboBox.

Unit
RzDBCmbo

Declaration
TRzDBLookupComboBox=Class(TDBLookupComboBox);

Description

This descendant of TDBLookupComboBox implements the Custom Framing properties. In addition, a number of properties and helper methods have been added to the component such as AllowNull, ClearKeyValue, and GetKeyValue.


TRzDBGrid

TRzDBGrid is a enhanced TDBGrid that supports Custom Framing and additional display options for grid cells.

Unit
RzDBGrid

Declaration
TRzDBGrid=Class(TDBGrid);

Description

The TRzDBGrid component descends from the standard TDBGrid component, but offers several additional features. Most notably, this component supports the Custom Framing properties. In addition, the display of grid cells can be controlled using the LineColor and FixedLineColor properties.


TRzButton

TRzButton is a custom VCL push button control.

Unit
RzButton

Declaration
TRzButton=Class(TRzCustomButton);

__property OnKeyUp

Description

The TRzButton is a custom control that behaves like a standard TButton. However, this component supports multi-line captions. The Caption can also be displayed in 3D text styles by using the TextStyle, TextHighlightColor, TextShadowColor, and TextShadowDepth properties. Plus, you can specify the color of the button face using the Color property.

The new HotTrack style gives the button a Windows XP look and feel without requiring Windows XP. Of course, TRzButton will utilize Windows XP visual styles if available.


TRzBitBtn

Properties

TRzBitBtn is a custom TRzButton that supports displaying images.

Unit
RzButton

Declaration
TRzBitBtn=Class(TRzButton);

Description

The TRzBitBtn is a custom descendant of TRzButton that behaves like a standard TBitBtn . Therefore, it adds the ability to display a image on the button. The Kind, Layout, Margin, and Spacing properties from TBitBtn have been duplicated in TRzBitBtn. As a descendant of TRzButton, TRzBitBtn also supports multi-line captions, 3D text styles, and custom color faces.

In addition, TRzBitBtn supports displaying its image from an image list. Simply set the Images property and then assign an a value to the ImageIndex property.


TRzMenuButton

TRzMenuButton is a specialized push button for displaying a drop-down menu.

Unit
RzButton

Declaration
TRzMenuButton=Class(TRzBitBtn);

Description

This component descends from TRzButton and thus inherits all of the features of TRzButton. In addition, TRzMenuButton supports displaying a popup menu when the button is clicked. Simply assign a TPopupMenu component to the DropDownMenu property. The component automatically displays a drop arrow indicating that a menu will be displayed when clicked. To remove the arrow, use the ShowArrow property.


TRzDialogButtons

TRzDialogButtons is a compound control containing OK, Cancel, and Help buttons.

Description

TRzDialogButtons is a composite component specifically designed for quickly adding OK, Cancel, and Help buttons to a form. In addition to simply creating all the components at once along with all the appropriate properties set automatically, you never have to worry about the placement of the buttons because the component handles positioning the components depending on how the Align property is set for the component.

In addition, the captions and enabled states of each button can be customized (e.g. CaptionOK, EnableCancel). The OnClickOk, OnClickCancel, and OnClickHelp events allow you to provide custom processing whenever any of these buttons are clicked by the user. Also to display glyphs on each button, simply set the ShowGlyphs property to True.


TRzSpinButtons

TRzSpinButtons is a compound control containing two TRzRapidFireButton .

Description

This component is actually used inside the TRzSpinEdit component to manage the two spin buttons. When one of the buttons is pressed, the value in the edit field is updated accordingly. As an individual component, TRzSpinButtons allows developers to provide their own custom responses by handling the OnDownLeftClick and OnUpRightClick events. In addition, the buttons can be arranged horizontally or vertically by changing the Orientation property.


TRzRapidFireButton

Properties

TRzRapidFireButton is a specialized speed button that repeatedly generates OnClick events when held down.

Unit
RzSpnEdt

Description

This component provides all of the features of the standard TSpeedButton component. However, instead of generating a single OnClick event when the button is pressed, TRzRapidFireButton continues to generate OnClick events as long as the button is in the down state. When the button is depressed, the first OnClick event is generated after an InitialDelay. After which, OnClick events are continually generated at intervals defined by the Delay property.


TRzCheckBox

TRzCheckBox is a custom VCL check box control.

Unit
RzRadChk

Declaration
TRzCheckBox=Class(TRzCustomCheckBox);

Description

This component is an enhanced check box component that supports multi-line captions. The glyphs used to display the check state can be customized using the CustomGlyphs property. The TextStyle, LightTextStyle, TextHighlightColor, TextShadowColor, and TextShadowDepth properties are equivalent to those found in the TRzLabel component, and allow the caption to be displayed in three dimensional text styles. Plus, the AlignmentVertical property controls the placement of the caption and the glyph with respect to the bounding rectangle.

The new HotTrack style gives the check box a Windows XP look and feel without requiring Windows XP. Of course, TRzCheckBox will utilize Windows XP visual styles if available.


TRzRadioButton

TRzRadioButton is a custom VCL radio button.

Unit
RzRadChk

Declaration
TRzRadioButton=Class(TRzCustomGlyphButton);

Description

This component is an enhanced radio button component that supports multi-line captions. The glyphs used to display the check state can be customized using the CustomGlyphs property. The TextStyle, LightTextStyle, TextHighlightColor, TextShadowColor, and TextShadowDepth properties are equivalent to those found in the TRzLabel component, and allow the caption to be displayed in three dimensional text styles. Plus, the AlignmentVertical property controls the placement of the caption and the glyph with respect to the bounding rectangle.

The new HotTrack style gives the radio button a Windows XP look and feel without requiring Windows XP. Of course, TRzRadioButton will utilize Windows XP visual styles if available.


TRzToolButton

TRzToolButton is a custom button controls specially designed for use in toolbars.

Unit
RzButton

Declaration
TRzToolButton=Class(TGraphicControl);

Description

TRzToolButton components are custom graphical controls that are specially designed for use in toolbars such as TRzToolbar . In fact, the toolbar design editor creates TRzToolButton instances when you add new buttons to the toolbar. TRzToolButton supports displaying images from an image list. The image list can be assigned directly to the Images property of the TRzToolButton or the control can use the image list assigned to the TRzToolbar. This allows images from multiple images lists to be used in a single toolbar. TRzToolButton supports displaying several different images depending on the state of the control. At a minimum you must specify a value for ImageIndex, but you may also use HotIndex, DisabledIndex, and DownIndex.

A caption may also be displayed by setting the Caption property and setting ShowCaption to True.

TRzToolButton can also display a drop-down menu. Simply change the ToolStyle property to tsDropDown and assign a TPopupMenu to the DropDownMenu property. If an OnClick event is assigned to the button, then a divider line separates the drop-down arrow from the rest of the control and the arrow must be clicked to display the menu. Clicking on the main portion of the button causes the OnClick event to fire. If no OnClick event is assigned, clicking anywhere on the button will cause the menu to be displayed.


TRzSpacer

Properties

TRzSpacer is a graphical control for separating buttons and controls on a toolbar.

Unit
RzPanel

Declaration
TRzSpacer=Class(TGraphicControl);

Description

This component is used to separate controls that are dropped onto the TRzToolbar component. The spacer can appear empty, or as a grooved when the Grooved property is set to True. TRzSpacer components can be automatically added to your toolbars by using the Raize Toolbar Editor.


TRzToolbarButton

TRzToolbarButton is an enhanced TSpeedButton.

Unit
RzButton

Declaration
TRzToolbarButton=Class(TSpeedButton);

Description

You may wish to consider using TRzToolButton instead, as it supports images lists and is more flexible than the TRzToolbarButton.

This enhanced speed button supports a HotGlyph property that is used to reference a bitmap to be displayed as the button's glyph whenever the mouse is positioned over the button. And finally, the TRzToolbarButton defines the IgnoreActionCaption property that allows this component to operate more effectively than a standard speed button when used with Action Lists.


TRzMenuToolbarButton

TRzMenuToolbarButton is a specialized TRzToolbarButton for displaying a drop-down menu.

Unit
RzButton

Declaration
TRzMenuToolbarButton=Class(TRzToolbarButton);

Description

You may wish to consider using TRzToolButton instead, as it supports images lists and can be used to display a drop-down menu.

This component inherits all features of TRzToolbarButton, but also supports displaying a popup menu when clicked. Simply assign a TPopupMenu component to the DropDownMenu property. The component automatically displays a drop arrow indicating that a menu will be displayed when clicked. However, the button is actually split into two regions. The region identified by the arrow causes the menu to appear. The region identified by the caption and/or glyph causes the OnClick event of the button to occur.


TRzShapeButton

TRzShapeButton is a custom button control that determines its shape form a specified bitmap image.

Unit
RzButton

Declaration
TRzShapeButton=Class(TGraphicControl);

Description

The TRzShapeButton component displays a button of the shape, color and texture specified by its Bitmap property. Areas of the bitmap which are the transparent color (i.e. lower-left pixel color) will not be shown, allowing the background underneath the button to show through. A 3D bevel can be added automatically by specifying the BevelWidth. The TRzShapeButton component is a non-windowed component that is a descendant of TGraphicControl.


TRzBmpButton

TRzBmpButton is a custom button control where each state of the button is specified by a separate bitmap image.

Description

This component provides developers with a way to create buttons that consist of a set of bitmaps (set through the Bitmaps property) that represent the different states of the button. Therefore, the entire display of the button (including the borders) can be customized.

First you need to create the bitmaps that represent the different states the button can be in. Minimally, you will need to provide an bitmap for the Up state and a bitmap for the Down state, and you'll get the best results by creating the same size bitmaps for each state. After creating the bitmaps, assign them to the appropriate subproperties of Bitmaps. Next, change the ButtonBorder property to bbNone to remove the border. And finally, set the ButtonSize property to bszButtonToBitmap, which will resize the button so that it is the same size as the bitmaps.


TRzDBNavigator

Properties

TRzDBNavigator is an enhanced dataset navigator.

Unit
RzDBNav

Description

TRzDBNavigator is a custom dataset navigator that utilizes more modern buttons than the TSpeedButtons used by the TDBNavigator. The TRzDBNavigator can also use custom images for each of the buttons by using the Images and ImageIndexes properties.


TRzDBCheckBox

TRzDBCheckBox is a custom VCL data-aware check box control.

Description

Data-aware version of TRzCheckBox . Provides standard DataField and DataSource properties for connecting to a column in a database table. The NullAsUnchecked property instructs the component to display NULL record entries in the unchecked state. When this property is False, NULL entries appear in the grayed state.


TRzFrameController

TRzFrameController is a nonvisual component for managing the Custom Framing properties of multiple controls.

Unit
RzCommon

Declaration
TRzFrameController=Class(TComponent);

Description

This nonvisual component makes it very easy to manage the Custom Framing properties (i.e. FrameColor, FrameHotTrack, FrameHotStyle, FrameHotColor, FrameSides, FrameStyle, FrameVisible, FlatButtons, FocusColor, DisabledColor) of a group of components.

The TRzFrameController manages a list of controls that reference the controller through their FrameController property. When any of the properties of TRzFrameController is changed, the controller iterates through all of the components on the internal list and updates the component's framing properties to match the properties in the controller.

UPGRADE NOTE FOR VERSION 2.0 and 2.1 USERS:

Please note that the behavior of the TRzFrameController is slightly different than it was in version 2.1 and earlier. In previous versions, the controller automatically controlled all components on a form and did not manage an internal list of controls. The new behavior lets developers use multiple frame controllers to control different sets of components on the same form. Likewise, a single TRzFrameController can be used in a DataModule to control the components on multiple forms.

If you used the TRzFrameController from v2.0 or v2.1, you will still be able to load an compile your application. However, because of the change described above, the controller will not alter the components on the form. To correct this, simply load the form into Delphi and set the FrameController property of all components to reference the TRzFrameController component on your form.


TRzGroupController

TRzGroupController is a nonvisual control used to manage the appearance of TRzGroup controls within a TRzGroupBar.

Unit
RzGroupBar

Declaration
TRzGroupController=Class(TComponent);

Description

This nonvisual component makes it very easy to manage the many of the properties that govern the appearance of TRzGroup controls within a TRzGroupBar.

The TRzGroupController manages a list of TRzGroup controls that reference the controller through their GroupController property. When any of the properties of TRzGroupController is changed, the controller iterates through all of the TRzGroup controls on the internal list and updates the group's properties to match the properties in the controller.


TRzMenuController

Properties

TRzMenuController alters the appearance of menu items to reflect a more modern user interface.

Unit
RzCommon

Declaration
TRzMenuController=Class(TComponent);

Description

The TRzMenuController is a nonvisual component that automatically alters the appearance of TMainMenu and TPopupMenu items to reflect a more modern user interface. The main benefit of the TRzMenuController is that you can continue to use the standard VCL menu controls, but also get an updated user interface.

The properties of the TRzMenuController allow you to customize the colors used in displaying the menu items. The various properties match those supported in the TRzToolButton component. This makes it easy to create a consistent user interface that has toolbars and menus that match in appearance.


TRzLabel

TRzLabel is a graphical control for displaying text.

Unit
RzLabel

Declaration
TRzLabel=Class(TLabel,IRzCustomFramingNotification);

Description

The TRzLabel component is a descendant of TLabel, but provides many additional display options. In particular, this component supports several three-dimensional styles through the TextStyle property. In addition, the label can be rotated to any angle using the Angle and Rotation properties. TRzLabel also defines the same set of bordering properties defined in TRzPanel and TRzBorder (e.g. BorderOuter, BorderColor, etc.), which enable the developer to place a border around the label without having to drop separate panel or border control on the form.


TRzURLLabel

TRzURLLabel is a specialized TRzLabel control for presenting clickable URL links on a form.

Unit
RzLabel

Declaration
TRzURLLabel=Class(TRzLabel);

Description

This component allows you to provide a hyperlink to a web page, an email address, or a file. Simply drop the control on a form and set the Caption property to the link for example:

Web page 'http://www.raize.com'

Email 'mailto:support@raize.com?subject=RC3'

File 'C:

If you would like to display a different name for the link, specify the link in the URL property and then use the Caption property to specify the custom string. The UnvisitedColor and VisitedColor properties determine what color the caption is drawn in before and after the control is clicked by the user.


TRzBorder

TRzBorder is a graphical control (i.e. non-container) that displays a customizable border.

Unit
RzBorder

Declaration
TRzBorder=Class(TGraphicControl,IRzCustomFramingNotification);

Description

This component is very similar in appearance to a TRzPanel component. The difference is that the TRzBorder component does not use a window handle and therefore cannot be used as a container for other components. There are many ways to customize how the border is displayed. The BorderInner and BorderOuter properties support many frame styles. The area between the inner and outer borders can be filled by specifying a BorderColor . The BorderSides property can be used to selectively display only some of the sides of the border making it easy to create separator lines (e.g. grooves and bumps).


TRzLine

TRzLine is a graphical control for displaying a line between two points with optional arrows.

Unit
RzLine

Declaration
TRzLine=Class(TGraphicControl);

Description

TRzLine displays a line between the upper-left and lower-right bounding points when the LineSlope property is set to lsDown. When set to lsUp, the line is drawn between the lower-left and upper-right bounding points.

The LineStyle, LineWidth, and LineColor properties control the appearance of the line. The ShowArrows property controls whether arrows are drawn and either end, both ends, or none at all.


TRzSeparator

TRzSeparator is a graphical control for displaying a gradient filled separator bar.

Unit
RzBckgnd

Declaration
TRzSeparator=Class(TGraphicControl);

Description

Use a TRzSeparator to separate areas on a form using a gradient filled separator bar. The Color and HighlightColor properties control the colors used in the fill, while the HighlightLocation determines format of the fill. Use the Orientation property to change between a horizontal separator and a vertical separator.


TRzStatusPane

Properties

TRzStatusPane is a graphical control for displaying status information.

Unit
RzStatus

Declaration
TRzStatusPane=Class(TRzCustomStatusPane);

Description

This direct descendant of TRzCustomStatusPane simply publishes the Alignment, Caption, and CaptionOffset properties. The parent class provides the ability to display a status border, which by default is fsStatus, and the TRzStatusPane class provides the ability to display a caption within the border. The style of the border is controlled by the FrameStyle property. By default the frame is drawn two pixels away from the edge of the control. This distance can be changed by setting the BorderWidth property to a new value.


TRzFieldStatus

Properties

TRzFieldStatus is a status control for displaying a field label next to the status caption.

Unit
RzStatus

Declaration
TRzFieldStatus=Class(TRzCustomFieldStatus);

Description

Use TRzFieldStatus to display status information along with a static text string specified in the FieldLabel property, which identifies the information being displayed.


TRzGlyphStatus

Properties

TRzGlyphStatus is a status control for displaying text and a specified image.

Unit
RzStatus

Declaration
TRzGlyphStatus=Class(TRzCustomGlyphStatus);

Description

This status component is basically a traditional status control with the additional feature of being able to display a glyph within the status frame. The bitmap displayed is controlled by the Glyph property. The glyph can be position either to the right or left of the status control by using the GlyphAlignment property. Its distance from the edge is controlled by the GlyphOffset property. And finally, the glyph can be hidden by setting the ShowGlyph property to False. In addition, the image displayed by the control can be specified using the Images property and setting the ImageIndex property.


TRzMarqueeStatus

Properties

TRzMarqueeStatus is a status pane which scrolls its caption to left or right.

Unit
RzStatus

Declaration
TRzMarqueeStatus=Class(TRzStatusPane);

Description

This TRzStatusPane descendant adds the ability to scroll its Caption either left-to-right or right-to-left. The direction is controlled by the ScrollType property. If ScrollType is set to stNone, then the status pane behaves like a TRzStatusPane. The Scrolling property is used to control whether or not the caption is scrolled, and the ScrollSize and ScrollDelay control the speed of the scrolling text.


TRzClockStatus

TRzClockStatus is a status pane that displays the current date and time.

Unit
RzStatus

Declaration
TRzClockStatus=Class(TRzPollingStatus);

Description

This status component displays the current date and time in a status pane. Use the Format property to control how the date and time is displayed.


TRzKeyStatus

Properties

TRzKeyStatus is a status control for displaying the current state of a keyboard key.

Unit
RzStatus

Declaration
TRzKeyStatus=Class(TRzPollingStatus);

Description

This status component displays the current toggle state of either the CapsLock, NumLock, ScrollLock

, or Insert keyboard keys.  The Key property is used to specify which key to monitor, and the State property is a read only property which is used to query the current state of the selected key.


TRzVersionInfoStatus

Properties

TRzVersionInfoStatus is a specialized status pane for displaying version information recorded in a TRzVersionInfo component.

Unit
RzStatus

Declaration
TRzVersionInfoStatus=Class(TRzCustomFieldStatus);

Description

Use TRzVersionInfoStatus to display version information retrieved by a TRzVersionInfo component. Assign a TRzVersionInfo component to the VersionInfo property and then specify the desired version field in the Field property (the default is vifProductVersion). To identify the version information displayed, you can use the FieldLabel property to specify an identifying string.

Please note that no version information will be displayed at design-time. However, at runtime the specified field value will be displayed.


TRzResourceStatus

Properties

TRzResourceStatus is a status pane for displaying current system resource usage.

Unit
RzStatus

Declaration
TRzResourceStatus=Class(TRzPollingStatus);

Description

This status component is responsible for displaying information pertaining the current state of resource usage. The resource that is monitor will depend on the operating system currently being used. If running under Windows 95/98/Me, then the component monitors the System resource heap. If running under Windows NT/2000/XP, the component monitors the amount of memory available.


TRzProgressBar

TRzProgressBar is a graphical control for displaying a percentage value.

Description

This component is used to display a progress indicator which displays a solid bar extending either to the right or to the top of the control depending the Orientation setting. The progress bar is filled using the color specified in the BarColor property. If the ShowPercent property is True, the Percent property value is displayed in the center of the progress bar. However, ShowPercent has no effect if the BarStyle property is set to bsLED. In this case, the bar is filled with segments, up to NumSegments, instead of a solid bar.

The current progress level can be controlled by setting the Percent property directly or by using the TotalParts and PartsComplete properties. If the latter is used, the IncParts and IncPartsByOne methods can be used to easily increment the PartsComplete property.


TRzProgressDisplay

TRzProgressDisplay is a graphic control that displays progress steps (text messages) in a scrolling display area.

Unit
RzBorder

Declaration
TRzProgressDisplay=Class(TRzBorder);

Description

This component is used to display progress steps (text messages) in a scrolling display area. The AddStep method is used to add a descriptive text message to the next available line in the progress display. Once all of the visible display lines fill up, the oldest message is scrolled out of view and remove from the control.


TRzMeter

TRzMeter is a graphical control for displaying percentage values using a 3-color segmented display.

Unit
RzBorder

Declaration
TRzMeter=Class(TRzBorder);

Description

The TRzMeter component is designed to display a value in a variety of formats. The default view (MeterType = mtLED) is to use multi-color segmented LEDs to display the value. The LEDs are controlled by the Seg1Color, Seg1Count, Seg2Color, Seg2Count, Seg3Color, Seg3Count, and SegSpacing properties. However, it is also possible to use a Bitmap to show the current value relative to the size of the entire control. This component also provides extra properties that enable this component to be used as a progress bar.


TRzLEDDisplay

TRzLEDDisplay is a graphical control for displaying text as an LED grid display.

Unit
RzBorder

Declaration
TRzLEDDisplay=Class(TRzBorder);

Description

The TRzLEDDisplay component provides a digital readout type of display. More precisely, TRzLEDDisplay displays characters as 5 x 7 grids of dots. The Caption property is used to specify the contents of the display. The SegOnColor and the SegOffColor properties control the color of each character. Plus, the Caption displayed by the control can be scrolled using the Scrolling and ScrollType properties.


TRzBackground

TRzBackground provides several ways of customizing a form's background.

Unit
RzBckgnd

Declaration
TRzBackground=Class(TRzCustomBackground);

Description

This component provides extensive form background display support for all kinds of forms including MDI frames. TRzBackground supports gradients with the GradientColorStart, GradientColorStop, GradientDirection, and ShowGradient properties. It also supports texture tiling with the Texture and ShowTexture properties. This component even supports displaying a separate image on top of a gradient or texture fill with the Image and ImageStyle properties.


TRzAnimator

TRzAnimator cycles through images of an ImageList to produce an animated effect.

Description

This component is specially designed to cycle through the images of an ImageList and draw them in an animated fashion. Because the TRzAnimator component uses a TImageList instead of requiring an AVI file, animated areas are much easier to create. Simply setup an image list component with the images to animate and then assign it to the TRzAnimator's ImageList property. Set the Animate property to True, to start the animation.


TRzDBLabel

Properties

TRzDBLabel is a data-aware graphical control for displaying text.

Unit
RzDBLbl

Description

Data-aware version of TRzLabel . Provides standard DataField and DataSource properties for connecting to a column in a database table.


TRzDBStatusPane

Properties

TRzDBStatusPane is a data-aware graphical control for displaying text from a database table.

Unit
RzDBStat

Description

Data-aware version of TRzStatusPane . This status control descendant can be connected to a field in a dataset by setting the DataSource and DataField properties. Whenever the data in the corresponding dataset changes, the contents of the status pane are updated. The FieldLabel property can be used to specify a static text string to prefix the data stored in the dataset. In addition, the Hint property is automatically populated with the name of the data field connected to the component.


TRzDBStateStatus

Properties

TRzDBStateStatus is a graphical control for displaying the state of a dataset.

Unit
RzDBStat

Description

Use this component to display the current state of a dataset. Once the DataSource property is set to a data source, the component displays the state of the dataset connected to the data source. By default, both a glyph and caption are used to indicate the state. Like the TRzGlyphStatus , the position of the glyph can be modified using the GlyphAlignment and GlyphOffset properties. The caption can be repositioned using the CaptionOffset property or turned off using the ShowCaption property. In addition, if you would like to turn off the glyph use the ShowGlyph property.


TRzDBProgressBar

TRzDBProgressBar is a data-aware graphical control for displaying a percentage value.

Description

Data-aware version of TRzProgressBar . Provides standard DataField and DataSource properties for connecting to a column in a database table. However, the TRzDBProgressBar component is slightly different than its non-data-aware counterpart in that the percentage value displayed can be automatically calculated from the data in the table.

There are three ways to display a percentage value.

1. Set the DataField to the desired table column containing a percentage value

2. Set the DataField to one column and the BaseField to another column. The percentage is calculated between the two columns.

Percent := DataField / BaseField * 100

3. Set the DataField to a column in the table and set the BaseValue property to a static value. The percentage is calculated using the BaseValue.


TRzShellTree

TRzShellTree is a specialized tree view for navigating through the shell namespace.

Description

Use TRzShellTree to display the shell namespace in a Windows Explorer-like tree view. You can control what sorts of items appear in the tree with the Options property or manually with the OnAddItem event. Use the SelectedFolder or SelectedPathName properties to retrieve and set the currently selected folder.

You can limit the part of the namespace shown in the tree by setting the BaseFolder property. When set, BaseFolder determines which node will appear as the root of the tree. Do not use the BaseFolder property when the tree is linked to a TRzShellCombo control. The TRzShellCombo control does not currently support basing.

You can link a TRzShellList control to the TRzShellTree component by setting the ShellList property. Thereafter the tree and list will automatically update each other as the user interacts with them. You can also link a TRzShellCombo with a TRzShellTree.


TRzShellList

TRzShellList is a specialized list view for displaying the contents of a shell folder.

Description

Use the TRzShellList to display the contents of a shell folder in a Windows Explorer-like list view. Use the Folder property to get and set the current folder. For single selection lists, use the SelectedItem property to retrieve the selected item data. Use the FileFilter property and / or the OnAddItem event to specify which files should be included in the list.

The control can act independently or automatically together with TRzShellTree or TRzShellCombo controls. To link to a TRzShellTree component set the ShellList property of the tree to the desired TRzShellList component. The components will then automatically work together and present a consistent interface. To link to a TRzShellCombo set the ShellList property of the combo.


TRzShellCombo

TRzShellCombo is a specialized combo box for selecting folders in the shell namespace.

Description

TRzShellCombo is derived from TRzImageComboBox and implements a Windows Explorer-like combobox.

You can modify the behavior of the control with the Options property. Use the SelectedFolder property to get and set the currently selected folder. Use the GoUp method to navigate back up the namespace. Use the FillItems method to initialise or refresh the contents of the control.

The control can act independently or automatically together with TRzShellTree or TRzShellList controls. To link to a TRzShellList control set the ShellList property to the desired list control. To link to a TRzShellTree control set the ShellTree property to the desired tree control. Only one of ShellList or ShellTree properties can be set at a time.


TRzOpenDialog

TRzOpenDialog is a
 dialog-based control for opening files.

Description

The TRzOpenDialog component is a replacement for the standard TOpenDialog component with many more features. The purpose of the dialog is still to let a user specify a file to open. Use the Execute method to display the dialog.

When the user clicks OK, the selected filename is stored in the FileName property.

You can let the user decide which files to make visible in the list box of the Open dialog box with the Filter property. The user can then use the List Files of Type combo box to determine which files display in the list. You set the default filter using the FilterIndex property.

You can permit the user to choose multiple filenames with the Options property so that the Files property contains a list of all the selected filenames in the list. You can customise how the Open dialog box appears and behaves with the Options property.

If you want a file extension automatically appended to the filename typed in the File Name edit box of the Open dialog box use the DefaultExt property.


TRzSaveDialog

TRzSaveDialog is a dialog-based control for saving files.

Description

The TRzSaveDialog component makes a Save dialog box available to your application. The purpose of the dialog box is to allow a user to specify a file to save. Use the Execute method to display the Save dialog box.

When the user chooses OK in the dialog box, the user's filename selection is stored in the dialog box's FileName property, which you can then use to process as you want.

You can let the user decide which set of files are visible in the list box of the Save dialog box with the Filter property. The user can then use the List Files of Type combo box to determine which files display in the list box. You set the default filter using the FilterIndex property.

You can permit the user to choose multiple filenames with the Options property so that the Files property contains a list of all the selected filenames in the list box. You can customise how the Save dialog box appears and behaves with the Options property.

If you want a file extension automatically appended to the filename typed in the File Name edit box of the Save dialog box, use the DefaultExt property.


TRzSelectFolderDialog

TRzSelectFolderDialog is a nonvisual control that displays a dialog

Description

The TRzSelectFolderDialog allows a user to select a folder in the shell namespace (use TRzOpenDialog or TRzSaveDialog to specify a file). When the user selects OK, their selection is stored and can be retrieved with the SelectedPathName or SelectedFolder properties. These properties can also be used to set an initial selected folder before the dialog is executed.

You can filter items out of the tree by responding to the OnAddItem event. You can change the caption of the dialog with the Title property.

You can set the initial dimensions of the dialog with the FormWidth, FormHeight and FormWindowState properties. After the user dismisses the dialog, these properties are adjusted to reflect any changes the user may have made. You can load and store these properties with the ReadStateFromRegistry, ReadStateFromStream, WriteStateToRegistry and WriteStateToStream methods.


TRzDirectoryTree

TRzDirectoryTree is a specialized tree view that allows a user to navigate through the *file* system.

Description

Deprecated. Please use TRzShellTree instead.

The TRzDirectoryTree component is a descendant of TRzCustomTreeView and thus inherits all of the features of that base component (and TRzTreeView). In addition, this component displays all drives and directories for a file system in a format identical to that used in Windows Explorer. This component is provided as a 32-bit replacement for the TDirectoryListBox component. As a result, the TRzDirectoryTree also works with the TRzFileListBox to provide access to the files of a system. And finally, when the ReadOnly property is set to False (it is True by default), the user can rename directories using the built-in editing capabilities of the tree view.


TRzFileListBox

TRzFileListBox is an specialized list box for displaying files in a specified directory.

Description

Deprecated. Please use TRzShellList instead.

This component provides all of the functionality of the TFileListBox component, plus it implements the Custom Framing properties. In addition, this component supports long file names even in 16-bit applications (when running on a Win32-based operating system). The ShowLongNames property can be used to turn off this feature, and the LongFileName property returns the long version of the currently selected file. Plus, this file list box supports multiple columns through the Columns property.

Under Windows 95/98 or Windows NT, the ShortFileName property can be used to obtain the short version of the selected file name. In addition, the glyphs displayed next to each file name are obtained from the shell and correspond to the icon associated with the file type.


TRzDirectoryListBox

TRzDirectoryListBox is a specialized list box aware of the directory structure of the current drive.

Description

Deprecated. Please use TRzShellTree or TRzShellList instead.

This component provides all of the functionality of the TDirectoryListBox component, plus it implements the Custom Framing properties. In addition, it uses updated three dimensional glyphs for folders and supports long directory names. The ShowLongNames property can be used to turn off this feature, and the LongDirName property returns the long version of the currently selected directory name.


TRzDriveComboBox

TRzDriveComboBox is a specialized combo box for selecting drives from the users file system.

Description

Deprecated. Please use TRzShellCombo instead.

This component provides all of the functionality of the TDriveComboBox component, plus it implements the Custom Framing properties. In addition, it uses updated three dimensional glyphs for the different drive types and defines a DriveTypes property, which controls what types of drives will appear in the drop down list.


TRzSelDirDialog

TRzSelDirDialog is a nonvisual control that displays a dialog for selecting a directory.

Description

Deprecated. Please use TRzSelectFolderDialog instead.

This dialog component provides a clean and efficient way to prompt a user to select a directory. Setting the AllowCreate property to True instructs the dialog component to provide an edit field in which the user may enter a new directory name. When the user presses the OK button, the selected directory is checked for existence. If it exists, the dialog is closed. If not, the user is prompted to verify the creation of the new directory. Once accepted, the dialog component creates the directory and closes the dialog box. The selected directory is available in the Directory property.


TRzCalendar

TRzCalendar is a custom panel that displays a month-view calendar from which a user can select a date.

Unit
RzPopups

Declaration
TRzCalendar=Class(TRzCustomPanel);

Description

TRzCalendar is a TRzCustomPanel descendant designed for selecting dates. The user navigates through months and years using the arrows at the top of the control. There are several properties that control the appearance of the calendar. For example, CalendarColors and Elements. The OnGetBoldDays event allows a developer to highlight certain days in boldface.


TRzTimePicker

TRzTimePicker is a custom panel that displays a clock from which a user can select a time.

Unit
RzPopups

Declaration
TRzTimePicker=Class(TRzCustomPanel);

Description

TRzTimePicker provides a visual way of selecting times. The hands of the clock face are moved using the Left-mouse button (hours) and the Right-mouse button (minutes). Holding the Ctrl key down while using the Right-mouse button causes the minutes to be Restricted to 5 minute increments (i.e. 5, 10, 15, etc.) To always restirct minutes, set RestrictMinutes to True. Select AM or PM by clicking the appropriate radio button.

The appearance of the clock face can be customized using the border properties from TRzCustomPanel , the ClockFaceColors property, and the CaptionAM and CaptionPM properties.

By default a special hint window is displayed when the mouse is positioned over the clock face describing how to select a time. To turn this hint off, set ShowHowToUseHint to False.


TRzCalculator

TRzCalculator is a custom panel that displays a calculator with with a user can perform simple mathematical computations.

Unit
RzPopups

Declaration
TRzCalculator=Class(TRzCustomPanel);

Description

TRzCalculator is a TRzCustomPanel descendant designed for performing simple mathematically operations: Addition, Subtraction, Multiplication, and Division. The user manipulates the calculator by clicking the buttons on the panel, or by pressing the corresponding keys on the keyboard. Like a traditional calculator, the user is allowed to enter a continuous expression (e.g. 34 + 25 - 15 * 5 . . .). The result after each step is displayed in the display area and is accessible through the Result property.

There are several properties that control the appearance of the calculator. For example, CalculatorColors allows the developer to customize the appearance of the number, operator, and command buttons, as well as the result area. The TRzCalculator is used in the TRzNumericEdit and TRzDBNumericEdit components when the CalculatorVisible property is set to True.


TRzColorPicker

TRzColorPicker is a custom control for selecting colors.

Unit
RzBorder

Declaration
TRzColorPicker=Class(TRzBorder);

Description

The TRzColorPicker displays a grid of color values. The user simply clicks on a cell to select a color. There are several ways to customize the control. In particular, the ShowNoColor, ShowCustomColor, ShowDefaultColor, and ShowSystemColors properties toggle the visibility of the various regions in the control.


TRzCustomColors

TRzCustomColors is a nonvisual control for managing a set of custom color values for use in TColorDialog components.

Unit
RzCommon

Declaration
TRzCustomColors=Class(TComponent);

Description

TRzCustomColors provides a Colors property for specifying custom color values. Instances of TRzCustomColors can be assigned to the CustomColors properties of TRzColorEdit and TRzColorPicker . This provides a simple way for all instances to share the same set of custom colors.

In addition, you can assign a TRzRegIniFile instance to the RegIniFile property to support storing the custom colors to an INI file or the registry by using the Load and Save methods of TRzCustomColors.


TRzRegIniFile

TRzRegIniFile is a nonvisual component that encapsulates the Registry and an INI file.

Unit
RzCommon

Declaration
TRzRegIniFile=Class(TComponent);

Description

The TRzRegIniFile is used throughout Raize Components for managing persistent information across sessions. The following controls use the TRzRegIniFile component: TRzPropertyStore , TRzFrameController , TRzCustomColors , TRzFormState , TRzColorComboBox , and TRzToolbar .

TRzRegIniFile can be used to read and write data to the Registry or an INI file. Use the PathType property to specify which one, and then use the Path property to specify where the data will be stored. If no Path is specified, a default path is created. When using the Registry, the RegAccess and RegKey properties can be used.


TRzPropertyStore

TRzPropertyStore is a nonvisual component designed to persist property settings.

Description

The TRzPropertyStore component works with the TRzRegIniFile component to persist property settings in your applications.

To use the TRzPropertyStore, simply drop one on the form containing the components whose properties you wish to persist and then connect the TRzPropertyStore to a TRzRegIniFile component. Next, double-click the TRzPropertyStore component (or edit the TRzPropertyStore.Properties property) to display the Properties collection editor. Use the collection editor to add a new TRzPropertyItem, which contains a Component property and a Property property. Both properties have custom drop down list editors to make populating the item a snap. Use the Component drop down list to select the desired component on the form, and then use the Property drop down list to select one of the properties of the selected component. Keep adding items to collection to store more properites. PropertyItems can also be added at runtime using the AddProperty method.

To save the current values of the selected properties call the TRzPropertyStore.Save method, which results in the current values of each property being recorded in the location defined by the connected TRzRegIniFile component. By default, the values are stored in a section (or key) with a name based on the form (e.g. Form1_Properties). Use the Section property to specify a different section/key name. To restore property settings previously saved, simply call the TRzPropertyStore.Load method, which loads all of the property values and applies the changes to the components.

The TRzPropertyStore component will persist the following property types: Integers, Floating-Point Numbers, Booleans, Enumerations, Sets, Classes, and Collections.


TRzFormState

TRzForm
State is a nonvisual control for persisting positional and size information for a form.

Description

Simply drop a TRzFormState component onto a form, and then assign a TRzRegIniFile component to its RegIniFile property and the size and position (as well as the maximized state) of the form will be automatically saved to the persistent store specified by the TRzRegIniFile component. To specify a particular section use the Section property.


TRzFormShape

Properties

TRzFormShape is a custom image control for creating non-rectangular forms.

Unit
RzForms

Description

The TRzFormShape image control creates a new region based on the image specified in the Picture property. Transparent portions of the image are removed from the form. The result is the ability to create non-rectangular forms.

TRzFormShape also automatically handles repositioning the form if the image is clicked and dragged at runtime.


TRzLauncher

TRzLauncher is a nonvisual component for executing another application.

Unit
RzLaunch

Declaration
TRzLauncher=Class(TComponent);

Description

Use a TRzLauncher component to execute (or launch) another application or process, from within a another application. Set the FileName property to the file to be executed, and specify any command line parameters using the Parameters property. The selected program will be started when the Launch method is called. The launched application will start in the same directory as the executable file or in the directory referenced in the StartDir property, if specified. The initial state of the launched application's main window can be specified using the ShowMode property. Valid values include smNormal, smMaximized, and smMinimized. When the launched application terminates, the OnFinished event is generated.

You can use the WaitUntilFinished property to specify whether or not you want your main program to sleep while the launched program executes or continue running.


TRzTrayIcon

TRzTrayIcon is a nonvisual control for managing an icon in the Windows System Tray Notification Area.

Description

This component makes it very easy for developers to create an application that appears in the Windows System Tray Notification Area. Simply drop one of these components on the main form of the application and the program will automatically behave as a system tray program.

To display a popup menu when the tray icon is clicked, simply assign a TPopupMenu component to the PopupMenu property. By default the icon that is displayed is the one associated with the application. However, using the Icons and IconIndex properties, an image list can be used to specify custom icons to be displayed.

TRzTrayIcon also supports displaying balloon style hints over the tray icon. Use the ShowBalloonHint and HideBalloonHint methods.


TRzVersionInfo

Properties

TRzVersionInfo is a nonvisual control that provides access to the version information of an application or file.

Unit
RzStatus

Declaration
TRzVersionInfo=Class(TComponent);

Description

Use TRzVersionInfo to easily get access to the version information recorded in an application or other file. If the FilePath property is empty, then the version information for the current application is retrieved at startup. Setting the FilePath property to some other file will cause the TRzVersionInfo component to update its data with the version information from the specified file.


TRzBalloonHints

TRzBalloonHints replaces the standard VCL hint window with a custom balloon hint style window.

Description

This component allows a developer to customize the appearance of the hint messages that are displayed by an application. The TRzBalloonHints component provides automatic support for multi-line hints in a variety of styles. Simply drop this component on the main form and change the appropriate properties. There is no coding required.


TRzLookupDialog

TRzLookupDialog is a dialog-based control containing a list box and an edit field for searching the list.

Description

This dialog component provides an alternative to using a combo box to perform a lookup. The dialog box that is displayed consists of an edit field for keyboard searching and a list box which holds the items being searched. The edit field can be initialized with the contents of a TEdit component by setting the SearchEdit. To initialize the edit field with a string value, use the SearchString property. Use the List string list property to populate the list box. This can be done at design-time using the string list editor, or at run-time by assigning another string list to the List property. Customize the appearance of the dialog box by using the Caption, Prompt, and ButtonGlyphs properties. The SelectedIndex property can be used to preselect an item in the list as well as indicating the item in the list selected by the user when the dialog is closed.


TRzDBLookupDialog

TRzDBLookupDialog represents a dialog box allowing a user to select a record from a dataset.

Description

This component is used to display the contents of a dataset (i.e. the Dataset property) from which the user can select a record. This component is more flexible than a lookup combo because a TDBGrid is used to display the data within the dialog box. In addition, the data displayed is controlled by the dataset (i.e. a TTable or TQuery). Use the BorderStyle, ButtonGlyphs, Caption, and Prompt properties to adjust the appearance of the dialog box.

The appearance of the DBGrid and DBNavigator on the dialog box can be customized using the GridOptions, ShowNavigator, and VisibleNavButtons properties.

Use the SearchField property to specify which field will be used for keyboard searching. Use the Execute method to display the dialog box. When the Execute method returns, the current record of the Dataset will be positioned at the record selected by the user. The edit field used for keyboard searching can be initialized with the contents of a TEdit component using the SearchEdit property.


TRzSendMessage

TRzSendMessage is a nonvisual control that provides a component wrapper around the Simple Messaging API (MAPI) SendMail function.

Description

The TRzSendMessage component uses the Simple Messaging API (MAPI) functions (MAPI32.DLL) to send mail messages. The Subject and MessageText properties are used to specify the message subject and message body, respectively. For added simplicity, the SubjectEdit and MessageMemo properties can be used to automatically populate the subject and message from an edit field and a memo component, respectively.

This component supports three different recipient lists: ToRecipients, CcRecipients, and BccRecipients. Each is a string list property that can hold any number of recipients. Any number of attached files can be sent along with the message by adding each file name to the Attachments string list property. And finally, use the Send method to send the message.


CustomFraming

Properties

Custom Framing provides several ways to customize the appearance of an editable control.

Description

Every edit field, list box, combo box, tree view, and list view control in Raize Components contains a set of properties that affect the appearance of the component's border and other aspects of the component's appearance. In particular, when active (FrameVisible = True), a control's border can be displayed in 1 of 11 different styles (FrameStyle, FrameColor).

The Custom Framing properties also allow developers to select which sides of the frame will appear. As a result, all of the Raize Components can appear as line-style controls. This makes Raize Components the library of choice for creating applications that mimic paper forms. In addition, the custom framing properties support showing a second frame style whenever the mouse is positioned over the control or the control receives the input focus (i.e. FrameHotTrack, FrameHotStyle, FrameHotColor). Of course, the custom framing properties can be turned off so that the component appears with its default border.

As a side-effect of the custom framing implementation, all components that support custom framing also support new OnMouseEnter and OnMouseLeave events along with MouseEnter and MouseLeave event dispatch methods.

Raize Components 3 expands Custom Framing to include additional ways of altering the appearance of controls. In particular, the new FocusColor property specifies the color to be used whenever a control receives the input focus. Likewise, the DisabledColor property specifies the color to use when the control is disabled.

The complete list of Custom Framing properties include:

Color

DisabledColor

FlatButtonColor

FlatButtons

FocusColor

FrameColor

FrameController

FrameHotColor

FrameHotStyle

FrameHotTrack

FrameSides

FrameStyle

FrameVisible

FramingPreference


CustomFraming.Color

Specifies background color of control.

Declaration
property Color: TColor stored NotUsingController default clWindow;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

CustomFraming.Color Example
CustomFraming


CustomFraming.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor stored NotUsingController default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

CustomFraming.DisabledColor Example
CustomFraming


CustomFraming.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

CustomFraming.FlatButtonColor Example
CustomFraming


CustomFraming.FlatButtons

Determines if buttons appear flat or raised.

Declaration
property FlatButtons: Boolean default False;

__property bool FlatButtons

Description

This property controls whether or not the buttons embedded in each of these controls appears as a normal 3D button or with the Flat style. When set to True, the buttons appear without any border until the mouse is positioned over the button. For combo boxes, the button appears with a border, when the mouse is positioned anywhere on the control.


Raize Components 6

CustomFraming.FlatButtons Example
CustomFraming


CustomFraming.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor stored NotUsingController default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

CustomFraming.FocusColor Example
CustomFraming


CustomFraming.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor stored NotUsingController default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

CustomFraming.FrameColor Example
CustomFraming


CustomFraming.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

CustomFraming.FrameController Example
CustomFraming


CustomFraming.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

CustomFraming.FrameControllerNotifications Example
CustomFraming


CustomFraming.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor stored NotUsingController default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

CustomFraming.FrameHotColor Example
CustomFraming


CustomFraming.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle stored NotUsingController default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

CustomFraming.FrameHotStyle Example
CustomFraming


CustomFraming.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean stored NotUsingController default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

CustomFraming.FrameHotTrack Example
CustomFraming


CustomFraming.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides stored NotUsingController default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

CustomFraming.FrameSides Example
CustomFraming


CustomFraming.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle stored NotUsingController default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

CustomFraming.FrameStyle Example
CustomFraming


CustomFraming.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean stored NotUsingController default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

CustomFraming.FrameVisible Example
CustomFraming


CustomFraming.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

CustomFraming.FramingPreference Example
CustomFraming


Raize Components 6

CustomFraming Properties
CustomFraming

Public
Color
DisabledColor
FlatButtonColor
FlatButtons
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ReadOnlyColor
ReadOnlyColorOnFocus


CustomFraming.ReadOnlyColor

Specifies color to be used when the control's ReadOnly property is True.

Declaration
property ReadOnlyColor: TColor default clInfoBk;

Description

Use ReadOnlyColor to read or change the background color of the control when the control's ReadOnly property is set to True.


Raize Components 6

CustomFraming.ReadOnlyColor Example
CustomFraming


CustomFraming.ReadOnlyColorOnFocus

Determines if the ReadOnlyColor value or the FocusColor value is used to highlight a control when that control has the focus and has its ReadOnly property set to True.

Declaration
property ReadOnlyColorOnFocus: Boolean default False;

__property bool ReadOnlyColorOnFocus

Description

This property determines if the ReadOnlyColor or FocusColor is used to color the control when the control has the focus and has its ReadOnly property set to True. By default, a focused control will use the FocusColor even if the control is read-only. Setting ReadOnlyColorOnFocus to True will cause a focused read-only control to be colored using ReadOnlyColor.


Raize Components 6

CustomFraming.ReadOnlyColorOnFocus Example
CustomFraming


Globals

Description

The Methods popup contains a list of global procedures and functions provided in Raize Components.


Globals.CompareAbsIdLists

Declaration
function CompareAbsIdLists(pidl1, pidl2: PItemIdList): Integer;

PACKAGE int __fastcall CompareAbsIdLists(Shlobj::PItemIDList pidl1, Shlobj::PItemIDList pidl2);

Description

Compares to absolute item id lists. Absolute id lists are relative to the desktop folder.

Returns one of four values:

Code Meaning

MAXINT An error occurred.

less than zero The first item should precede the second (pidl1 < pidl2).

greater than zero (not MAXINT) The first item should follow the second (pidl1 > pidl2).

zero The two items are the same (pidl1 = pidl2).


Raize Components 6

CompareAbsIdLists Example
Globals


Globals.ConcatIdLists

Declaration
function ConcatIdLists(ishm: IMalloc_NRC; First, Second: PItemIdList): PItemIdList;

PACKAGE Shlobj::PItemIDList __fastcall ConcatIdLists(Rzshellintf::IMalloc_NRC *ishm, Shlobj::PItemIDList First, Shlobj::PItemIDList Second);

Description

Concatenates the two item id lists. A new block of memory is allocated using the given ishm allocator. This should be the shell allocator acquired with SHGetMalloc or nil. If nil, then SHGetMalloc is used internally to aquire the shells IMalloc interface. Performance is reduced if you pass nil.

You must free the returned item id list with the shell allocator, or ShellMemFree.


Raize Components 6

ConcatIdLists Example
Globals


Globals.CopyIdList

Declaration
function CopyIdList(ishm: IMalloc_NRC; pidl: PItemIdList): PItemIdList;

PACKAGE Shlobj::PItemIDList __fastcall CopyIdList(Rzshellintf::IMalloc_NRC *ishm, Shlobj::PItemIDList pidl);

Description

Copies an item id list using the given allocator. The ishm parameter must be the shell allocator interface returned with the SHGetMalloc function or nil. If nil, then the SHGetMalloc is used internally to aquire the shells IMalloc interface. Performance is reduced if you pass nil.

You must free the returned item id list with the shell allocator, or ShellMemFree.


Raize Components 6

CopyIdList Example
Globals


Globals.CreateQuickShortcut

Declaration
function CreateQuickShortcut(const linkPathName, targetPathName: string): HResult;

PACKAGE HRESULT __fastcall CreateQuickShortcut(const AnsiString linkPathName, const AnsiString targetPathName);

Description

This is a version of CreateShortcut with reduced flexibility, but easier to use.

LinkPathName is the name of the shortcut file to be created.

TargetPathName is the object to which the new shortcut will point.

Returns S_OK if successful, otherwise returns an OLE error code. You can convert the code to a string with the SysErrorMessage function.


Raize Components 6

CreateQuickShortcut Example
Globals

Delphi Example
OleCheck( CreateQuickShortcut(ShellGetSpecialFolderPath(0, csidlDesktop) + 'Shortcut.lnk', 'myapp.exe') );

C++ Example
HRESULT hr = Uptshellutils::CreateQuickShortcut( ShellGetSpecialFolderPath(0, csidlDesktop) + "Shorcut.lnk", "myapp.exe");

if (Failed(hr))

throw new Exception( SysErrorMessage(hr) );


Globals.CreateShortcut

Declaration
function CreateShortcut(const linkPathName: string; const linkData: TLinkData): HResult;

PACKAGE HRESULT __fastcall CreateShortcut(const AnsiString linkPathName, const TLinkData & linkData);

Description

This function provides access to all shortcut features via the TLinkData record. You typically dont need all this functionality. Most of the time, CreateQuickShortcut is a better alternative.

LinkPathName is the name of the shortcut file to be created.

LinkData is an input record used to access function options.

Returns S_OK if successful, otherwise returns an OLE error code. You can convert the code to a string with the SysErrorMessage function.


Raize Components 6

CreateShortcut Example
Globals


Globals.IdListLen

Declaration
function IdListLen(pidl: PItemIdList): Integer;

PACKAGE int __fastcall IdListLen(Shlobj::PItemIDList pidl);

Description

Returns the length of the given item id list in bytes.

pidl can be nil in which case 0 is returned.


Raize Components 6

IdListLen Example
Globals


Raize Components 6

Globals Methods
Globals

Public
AdjustColor
BlendColors
CenterRect
CenterToForm
CenterToMDIChild
CenterToWindow
ColorHue
ColorLuminance
ColorSaturation
ColorsTooClose
ColorToHSL
CompareAbsIdLists
ComplementaryColor
ConcatIdLists
CopyEx
CopyIdList
CountChar
CreateQuickShortcut
CreateShortcut
DarkerColor
DrawBevel
DrawBorder
DrawBorderSides
DrawBox
DrawBoxCorners
DrawButtonBorder
DrawButtonBorderSides
DrawColorBorder
DrawColorBorderSides
DrawColorButtonBorder
DrawColorButtonBorderSides
DrawCtl3DBorder
DrawCtl3DBorderSides
DrawDashedBorder
DrawGradientPercentBar
DrawLEDBar
DrawPercentBar
DrawSides
ExpandEnvironmentVariables
GetAvgCharWidth
GetDesktopClientRect
GetMinFontHeight
GetNewComponentName
GetXPColorScheme
HSLtoColor
IdListLen
IsTrueTypeFont
LastChar
LighterColor
Max
Min
NetworkVolume
RemoveChar
RemovePrefixChars
ResolveShortcut
RotateFont
RunningAtLeast
RunningUnder
RzShCreateNewFolder
ShellFindCSIDLFromIdList
ShellGetDisplayPathName
ShellGetFolderFromIdList
ShellGetFriendlyNameFromIdList
ShellGetIconIndex
ShellGetIconIndexFromExt
ShellGetIconIndexFromPath
ShellGetIdListFromPath
ShellGetPathFromIdList
ShellGetSpecialFolderIconIndex
ShellGetSpecialFolderPath
ShellGetSystemImageList
ShellMemAlloc
ShellMemFree
ShellMemRealloc
Swap
UNCPathToDriveMapping
VolumeID


Globals.NetworkVolume

Declaration
function NetworkVolume(Drive: Char): string;

PACKAGE AnsiString __fastcall NetworkVolume(char Drive);

Description

This function returns the Volume ID string for the selected network drive. This function is valid for network drives. To obtain the Volume ID string for a local drive, use the VolumeID function.


Raize Components 6

NetworkVolume Example
Globals


Raize Components 6

Globals Properties
Globals

Public
CurrentXPColorScheme
RaizeComponents_Version
sdAllSides


Globals.ResolveShortcut

Declaration
function ResolveShortcut(const linkPathName: string; var linkData: TLinkData; afWantIdList: Boolean): HResult;

PACKAGE HRESULT __fastcall ResolveShortcut(const AnsiString linkPathName, TLinkData & linkData, bool afWantIdList);

Description

This functions fills in the passed linkData structure with given shortcut's details.

If the fWantIdList parameter is true then the idList member of the linkData structure is set to the id list of the item referenced by the shortcut. You must remember to free this item with the ShellMemFree procedure.

Returns S_OK if successful, otherwise returns an OLE error code. You can convert the code to a string with the SysErrorMessage function.


Raize Components 6

ResolveShortcut Example
Globals

Delphi Example
procedure ResolveIt;

var dwres: DWORD;

linkData: TLinkData;

begin

dwres := ResolveShortcut('c:linkData, true);

if Failed(dwres) then raise Exception.Create(SysErrorMessage(dwres));

ShowMessage( Format('Points to: %s'#13'Icon path: %s'#13'Working Dir: %s',

[linkData.pathName, linkData.iconPath, linkData.workingDir]) );

ShellMemFree( linkData.idList );

end;

C++ Example
void __fastcall ResolveIt()

TLinkData linkData;

HRESULT hr = Uptshellutils::ResolveShortcut( "C:linkData, true );

if (Failed(hr)) throw new Exception( SysErrorMessage(hr) );

char s[256];

sprintf( s, "Points to: %spath: %sDir:%s", linkData.pathName, linkData.iconPath, linkData.workingDir );

ShowMessage( s );

ShellMemFree( linkData.idList );


Globals.RzShCreateNewFolder

Declaration
function RzShCreateNewFolder(aPathname: string; var aNewName: string): Boolean;

PACKAGE bool __fastcall RzShCreateNewFolder(AnsiString aPathname, AnsiString & aNewName);

Description

Attempts to create a new folder with the name "New Folder". If that folder already exists, an attempt is made to create "New Folder (2)". This procedure continues until a new folder is successfully created, an error other than folder exists occurs, or RZSH_MAX_FOLDER_ATTEMPTS failures have occurred.


Raize Components 6

RzShCreateNewFolder Example
Globals


Globals.ShellFindCSIDLFromIdList

Declaration
function ShellFindCSIDLFromIdList(aIdList: PItemIdList): TCSIDL;

PACKAGE TCSIDL __fastcall ShellFindCSIDLFromIdList(Shlobj::PItemIDList aIdList);

Description

Given an item id list, this function will return the TCSIDL constant that matches. If not match is found, then csidlNone is returned.

Note that this function is very slow. It simply checks aIdList against each TCSIDL until it finds a match, or all TCSIDL values are processed.


Raize Components 6

ShellFindCSIDLFromIdList Example
Globals


Globals.ShellGetDisplayPathName

Declaration
function ShellGetDisplayPathName(aPathName: string): string;

PACKAGE AnsiString __fastcall ShellGetDisplayPathName(AnsiString aPathName);

Description

Files and directory names are case-insensitive, case-retained in Windows 95 and NT. This presents a programming problem when the user is allowed to key-in the name of a file system object. As long as that name is used internally, there is no problem - since case is functionally irrelevant. If the name is displayed to the user however, they expect to see the proper casing of the pathname.

For example:

A file exists named C:DocumentsReport 1996.xls

The user keys in this name somewhere - maybe in an edit field or as a command line parameter.

They cant remember the casing, of course, so they type:

C:DOCUMENTSREPORT 1996.XLS

If we want to display that name back to the user (say in the form caption) it is not obvious how we should obtain the properly cased name.

A call to ShellGetDisplayPathName will return the properly cased name.

If the file doesnt exist or any other error occurs, the result is an empty string.


Raize Components 6

ShellGetDisplayPathName Example
Globals


Globals.ShellGetFolderFromIdList

Declaration
function ShellGetFolderFromIdList(p: PItemIdList; var ish: IShellFolder_NRC): HResult;

PACKAGE HRESULT __fastcall ShellGetFolderFromIdList(Shlobj::PItemIDList p, Rzshellintf::IShellFolder_NRC *& ish);

Description

Given the item id list p (relative to the desktop) returns the associated IShellFolder interface.

Returns S_OK if successful, otherwise returns an OLE error code. You can convert the code to a string with the SysErrorMessage function.


Raize Components 6

ShellGetFolderFromIdList Example
Globals


Globals.ShellGetFriendlyNameFromIdList

Declaration
function ShellGetFriendlyNameFromIdList(ishf: IShellFolder_NRC; pidl: PItemIdList; flags: TRzFriendlyNameFlags): string;

PACKAGE AnsiString __fastcall ShellGetFriendlyNameFromIdList(Rzshellintf::IShellFolder_NRC *ishf, Shlobj::PItemIDList pidl, TRzFriendlyNameFlags flags);

Description

Retrieves the display name for the specified file object or subfolder. The pidl parameter specifies the item for which the name will be retrieved. If ishf is nil then pidl must be an absolute id list, otherwise it must be relative to ishf. The name can be retrieved in a number of formats using different values in the flags parameter.

Code Usage

ptfnNormal Default display name that is suitable for a file object displayed by itself, as shown in the following examples.

ptfnInFolder Display name that is suitable for a file object displayed within its respective folder, as shown in the following examples.

ptfnForParsing Display name that can be passed to the ParseDisplayName method of the parent folder's IshellFolder object.

Code File system path Display name Notes

ptfnNormal C: file If not showing extensions.

ptfnInFolder C: file Where C has the volume name My Drive.

Share

C: My Drive (C)

ptfnForParsing C: C:

C: C:


Raize Components 6

ShellGetFriendlyNameFromIdList Example
Globals


Globals.ShellGetIconIndex

Declaration
function ShellGetIconIndex(absIdList: PItemIdList; uFlags: DWORD): Integer;

PACKAGE int __fastcall ShellGetIconIndex(Shlobj::PItemIDList absIdList, unsigned uFlags);

Description

Returns the index into the system image list of the icon associated with the absIdList namespace item.

Use this function in conjunction with ShellGetSystemImageList to get the index of the icon for individual shell items.

Flags applicable to uFlags

SHGFI_SMALLICON Use this flag to get the index of icons from the small image list - there is no difference between the index of icons in the small and large image lists.

SHGFI_LARGEICON Use this flag to get the index of icons from the large image list - there is no difference between the index of icons in the small and large image lists.

SHGFI_OPENICON Many shell items have the concept of open and closed states (folders for example). Specify this flag to retrieve the icon for the open state. Leave this flag out to get the icon for the closed state.


Raize Components 6

ShellGetIconIndex Example
Globals


Globals.ShellGetIconIndexFromExt

Declaration
function ShellGetIconIndexFromExt(const ext: string; uFlags: DWORD): Integer;

PACKAGE int __fastcall ShellGetIconIndexFromExt(const AnsiString ext, unsigned uFlags);

Description

Returns the index into the system image list of the icon associated with the given file extension. Include the leading period, as in .txt.

Use this function in conjunction with ShellGetSystemImageList to get the index of the icon for particular file extensions.

See ShellGetIconIndex for a list of allowable values for the uFlags parameter.


Raize Components 6

ShellGetIconIndexFromExt Example
Globals


Globals.ShellGetIconIndexFromPath

Declaration
function ShellGetIconIndexFromPath(const path: string; uFlags: DWORD): Integer;

PACKAGE int __fastcall ShellGetIconIndexFromPath(const AnsiString path, unsigned uFlags);

Description

Returns the index into the system image list of the icon associated with the given file or folder path.

Use this function in conjunction with ShellGetSystemImageList to get the index of the icon for individual folders and files without first obtaining their item id list.

See ShellGetIconIndex for a list of allowable values for the uFlags parameter.


Raize Components 6

ShellGetIconIndexFromPath Example
Globals


Globals.ShellGetIdListFromPath

Declaration
function ShellGetIdListFromPath(const path: string; var p: PItemIdList): HResult;

PACKAGE HRESULT __fastcall ShellGetIdListFromPath(const AnsiString path, Shlobj::PItemIDList & p);

Description

Given the pathname of a filesystem folder or file, returns the item id list p (relative to the desktop).

To convert an item id list to a pathname use ShellGetPathFromIdList.

You must free the returned item id list with ShellMemFree or the shells IMalloc interface.

Returns S_OK if successful, otherwise returns an OLE error code. You can convert the code to a string with the SysErrorMessage function.


Raize Components 6

ShellGetIdListFromPath Example
Globals


Globals.ShellGetPathFromIdList

Declaration
function ShellGetPathFromIdList(p: PItemIdList): string;

PACKAGE AnsiString __fastcall ShellGetPathFromIdList(Shlobj::PItemIDList p);

Description

Converts an item id list to a pathname. Returns an empty string on error.

To convert a pathname to an item id list use ShellGetIdListFromPath.


Raize Components 6

ShellGetPathFromIdList Example
Globals


Globals.ShellGetSpecialFolderIconIndex

Declaration
function ShellGetSpecialFolderIconIndex(csidl: TCSIDL; uFlags: DWORD): Integer;

PACKAGE int __fastcall ShellGetSpecialFolderIconIndex(TCSIDL csidl, unsigned uFlags);

Description

Returns the index into the system image list of the icon associated with the special folder specified by csid.

Use this function in conjunction with ShellGetSystemImageList to get the index of the icon for special shell folders.

Flags applicable to uFlags

SHGFI_SMALLICON Use this flag to get the index of icons from the small image list - there is no difference between the index of icons in the small and large image lists.

SHGFI_LARGEICON Use this flag to get the index of icons from the large image list - there is no difference between the index of icons in the small and large image lists.

SHGFI_OPENICON Many shell items have the concept of open and closed states (folders for example). Specify this flag to retrieve the icon for the open state. Leave this flag out to get the icon for the closed state.


Raize Components 6

ShellGetSpecialFolderIconIndex Example
Globals


Globals.ShellGetSpecialFolderPath

Declaration
function ShellGetSpecialFolderPath(ahwnd: TRzHandle; csidl: TCSIDL): string;

PACKAGE AnsiString __fastcall ShellGetSpecialFolderPath(int ahwnd, TCSIDL csidl);

Description

Returns the pathname of the special folder. csidl must be one of the system folder constants.

If acquiring the pathname requires a user interface to be presented (such as a password request dialog) then ahwnd is used as the parent of the dialog. If ahwnd is 0 then if an interface is required the function will simply fail.

If an error occurs the function returns an empty string.


Raize Components 6

ShellGetSpecialFolderPath Example
Globals


Globals.ShellGetSystemImageList

Declaration
function ShellGetSystemImageList(Size: TRzShellIconSize): THandle;

PACKAGE unsigned __fastcall ShellGetSystemImageList(TRzShellIconSize Size);

Description

Returns the handle of the selected system image list, or 0 on error.

The system maintains two image list caches of every icon used in the shell - one for large icons, one for small. Many shell oriented functions and interfaces return an index into this list for shell objects. This removes any need for you to load and cache shell icons yourself, just use an index into the system list and let the system handle it. The same index can be used for both small and large image lists.


Raize Components 6

ShellGetSystemImageList Example
Globals

Delphi Example
You must set your image list component to ShareImages=true, otherwise when the imagelist is deleted it will take the system image list with it. Explorer looks kinda funny after you have deleted its icon image list!

procedure TMyForm.InitImageLists;
begin
SmallList.Handle := ShellGetSystemImageList( ptsizSmall );
SmallList.ShareImages := true; // This is ESSENTIAL!
LargeList.Handle := ShellGetSystemImageList( ptsizLarge );
LargeList.ShareImages := true;
end;

void __fastcall TMyForm::InitImageLists()

SmallList->Handle = Uptshellutils::ShellGetSystemImageList( ptsizSmall );
SmallList->ShareImages = true; // This is ESSENTIAL!
LargeList->Handle = Uptshellutils::ShellGetSystemImageList( ptsizLarge );
LargeList->ShareImages = true;


Globals.ShellMemAlloc

Declaration
function ShellMemAlloc(size: Cardinal): Pointer;

PACKAGE void *__fastcall ShellMemAlloc(unsigned size);

Description

Allocates a block of memory using the shells allocator.


Raize Components 6

ShellMemAlloc Example
Globals


Globals.ShellMemFree

Declaration
procedure ShellMemFree(p: Pointer);

PACKAGE void __fastcall ShellMemFree(void *p);

Description

Frees a block of memory previously allocated using the shells allocator.


Raize Components 6

ShellMemFree Example
Globals


Globals.ShellMemRealloc

Declaration
function ShellMemRealloc(p: Pointer; size: Cardinal): Pointer;

PACKAGE void *__fastcall ShellMemRealloc(void *p, unsigned size);

Description

Reallocates a block of memory previously allocated using the shells allocator.


Raize Components 6

ShellMemRealloc Example
Globals


Globals.UNCPathToDriveMapping

Declaration
function UNCPathToDriveMapping(UNCPath: string): string;

PACKAGE AnsiString __fastcall UNCPathToDriveMapping(AnsiString UNCPath);

Description

This function will convert a UNC (Universal Naming Convention) path string (e.g. to the equivalent representation using the local drive mappings (e.g. F:


Raize Components 6

UNCPathToDriveMapping Example
Globals


Globals.VolumeID

Declaration
function VolumeID(Drive: Char): string;

PACKAGE AnsiString __fastcall VolumeID(char Drive);

Description

This function returns the Volume ID string for the selected drive. This function is valid for local drives and CD-ROM drives. To obtain the Volume ID string for a network drive, use the NetworkVolume function.


Raize Components 6

VolumeID Example
Globals


LicenseAgreement

Description

This software is protected by copyright law and international copyright treaty. Therefore, you must treat this software just like a book, except that you may copy it onto a computer to be used and you may make archive copies of the software for the sole purpose of backing up our software and protecting your investment from loss. The software may be moved from one computer to another, so long as there is no possibility of it being used by more than one person at a time.

ADDING USERS

You may add users by paying for a separate software package for each user you wish to add. You may also add users by purchasing a site-license, so long as the number of persons who are able to use the software at one time is not more than the number of authorized users specified in our package or license.

TRANSFERRING THE SOFTWARE

You may transfer all of your rights to use the software to another person, provided that you transfer to that person all of the software, diskettes (if applicable), and documentation provided in this package (including this statement), and transfer or destroy all copies in any form. Remember, once you transfer the software, you no longer have any right to use it, and the person to whom it is transferred may use it only in accordance with the copyright law, international treaty, and this statement.

If you have purchased an upgrade version of the software, it constitutes a single product with the Raize Software product that you upgraded. For example, the upgrade and the software that you upgraded cannot both be available for use by two different people at the same time, and cannot be transferred separately, without written permission from Raize Software.

Except as provided in this statement, you may not transfer, rent, lease, lend, copy, modify, translate, sublicense, time-share, or electronically transmit or receive the software, media, or documentation.

LIMITED WARRANTY

Raize Software, Inc. warrants the physical media (or electronic distribution file) and online help files provided by Raize Software to be free of defects in materials (if provided on diskette) and workmanship for a period of sixty (60) days from the original purchase date. If Raize Software receives notification within the warranty period of defects in materials or workmanship, and determines that such notification is correct, Raize Software will replace the defective media or files.

The entire and exclusive liability and remedy for breach of this limited warranty shall be limited to replacement of defective media or documentation and shall not include or extend to any claim for or right to recover any other damages, including but not limited to, loss of profit, data, or use of the software or special, incidental or consequential damages, or other similar claims, even if Raize Software has been specifically advised of the possibility of such damages. In no event will Raize Software's liability for any damages to you or any other person ever exceed the lower of the list price or the actual price paid for the package or the license to use the software, regardless of the form of the claim.

RAIZE SOFTWARE, INC. SPECIFICALLY DISCLAIMS ALL OTHER WARRANTIES, REPRESENTATIONS, OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, ANY IMPLIED WARRANTY OR CONDITION OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. ALL OTHER IMPLIED TERMS ARE EXCLUDED.

Specifically, Raize Software makes no representation or warranty that the software or documentation are "error-free," or meet any user's particular standards, requirements, or needs. In all events, any implied warranty, representation, condition, or other term is limited to the electronic distribution file(s) and online documentation and is limited to the 60-day duration of the limited warranty.

Raize Software is not responsible for, and does not make any representation, warranty, or condition concerning product, media, software, or documentation not manufactured or supplied by Raize Software, such as third-parties' programs that are designed using Raize Software software or which include Raize Software programs or files.

GENERAL TERMS THAT APPLY TO COMPILED PROGRAMS

The license granted in this statement for you to create your own compiled programs and distribute your programs using the software in this package is subject to all of the following conditions:

1. All copies of the programs you create with Raize Components must include a valid copyright notice. If your program does NOT specify its own copyright notice, then the Raize Software copyright notice must be specified.

2. You may not remove or alter any Raize Software's copyright, trademark, or other proprietary rights notice contained in any portion of Raize Software units, source code, or other files that bear such a notice.

3. Raize Software provides no warranty at all to any person, other than the Limited Warranty provided to the original purchaser of this package.

4. You will remain solely responsible to anyone receiving your programs for support, service, upgrades, or technical or other assistance, and such recipients will have no right to contact Raize Software for such services or assistance.

5. You will indemnify, hold harmless, and defend Raize Software from and against any claims or lawsuits, including attorney's fees, that arise or result from the use, reproduction, or distribution of your programs.

6. Your programs must be written using a licensed, registered copy of this Raize Software product.

7. You may not use Raize Software's name, logo, or trademarks to market your programs, except to state that your program was written using this Raize Software product.

8. All Raize Software units, source code, and other files remain Raize Software's exclusive property.

PROVISIONS FOR VISUAL COMPONENT LIBRARY CLASSES (i.e. COMPONENTS)

Raize Software, Inc. grants you a non-exclusive royalty-free right to compile, reproduce, and distribute any new software programs created using the Components included in this package provided that you: (a) distribute the Components only in compiled executable programs; (b) do not use any part of the source code of the Components to build any other components for public distribution or commercial sale; and (c) do not use any of the Components as an object-oriented ancestor to build any other components (through inheritance) for public distribution or commercial sale.

USING RAIZE COMPONENTS IN PROPERTY EDITORS AND COMPONENT EDITORS

Distributing a property editor or component editor that uses one or more of the Components from this package requires that the runtime package(s) for the Components also be distributed. Runtime packages (*.BPL files) may be redistributed. IMPORTANT: The *.DCP files and *.BPI files for each runtime package in this product MAY NOT be redistributed. In addition, redistributing the design packages included with this product is prohibited.

ACTIVEX TECHNOLOGIES AND RAIZE COMPONENTS

Recent versions of Delphi and C++Builder offer extensive ActiveX support. Starting with Delphi 3, it is possible to convert a native Delphi component into an ActiveX control. Converting any of the Raize Components into an ActiveX control and then redistributing the resulting control with or without the Raize Components runtime package is prohibited. However, using the Raize Components within an ActiveForm is permissible.

U.S. GOVERNMENT RESTRICTED RIGHTS

The Software and documentation are provided with Restricted Rights. Use, duplication, or disclosure by the government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software--Restricted Rights at 48 CFR 52.227-19, as applicable. Contractor/manufacturer is Raize Software, Inc. at 511 Aurora Ave, Suite 206, Naperville, IL 60540.

This statement shall be construed, interpreted, and governed by the laws of the State of Illinois, United States of America.


Raize Components 6

Raize Components 6 Units

Units
RzCommon
RzLstBox
RzDBProg
RzDBLook
RzSndMsg
RzIntLst
RzPopups
RzGroupBar
RzTabs
RzTray
RzTrkBar
RzBmpBtn
RzBtnEdt
RzLabel
RzEdit
RzShellUtils
RzStatus
RzFilSys
RzSplit
RzBckgnd
RzPrgres
RzAnimtr
RzBHints
RzButton
RzBorder
RzSpnEdt
RzRadChk
RzRadGrp
RzChkLst
RzTreeVw
RzCmboBx
RzPanel
RzListVw
RzShellDialogs
RzShellCtrls
RzDTP
RzDBBnEd
RzDBChk
RzDBCmbo
RzDBEdit
RzDBDTP
RzDBGrid
RzDBLbl
RzDBList
RzDBNav
RzDBRGrp
RzDBSpin
RzDBStat
RzDBTrak
RzDlgBtn
RzForms
RzLaunch
RzLine
RzLookup
RzPathBar
RzShellIntf
RzSelDir
RzGrids
RzGrafx


RzAnimtr

RzAnimtr File
List of Units

Unit Classes

TRzAnimator
TRzAnimator cycles through images of an ImageList to produce an animated effect.


TRzAnimator.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzAnimator.About Example
TRzAnimator


TRzAnimator.Animate

Turns image animation on or off.

Declaration
property Animate: Boolean default True;

__property bool Animate

Description

This property controls whether the component animates the images in the ImageList property.


Raize Components 6

TRzAnimator.Animate Example
TRzAnimator


TRzAnimator.Delay

Specifies the animation delay.

Declaration
property Delay: Word default 100;

__property Word Delay

Description

Use this property to specify the interval (in milliseconds) between displaying a new image.


Raize Components 6

TRzAnimator.Delay Example
TRzAnimator


TRzAnimator.DelayUntilRepeat

Specifies the amount of time (in milliseconds) that pass before the animation repeats.

Declaration
property DelayUntilRepeat: Word default 100;

Description

Use this property to control the amount of time (in milliseconds) that pass before the animation repeats.


Raize Components 6

TRzAnimator.DelayUntilRepeat Example
TRzAnimator


Raize Components 6

TRzAnimator Events
TRzAnimator

Public
OnFrameChange


TRzAnimator.ImageIndex

Specifies current image displayed.

Declaration
property ImageIndex: TImageIndex default 0;

__property Imglist::TImageIndex ImageIndex

Description

This property determines what image is displayed by the component when the Animate property is set to False.


Raize Components 6

TRzAnimator.ImageIndex Example
TRzAnimator


TRzAnimator.ImageList

Specifies image list control containing images to animate.

Declaration
property ImageList: TCustomImageList;

__property Imglist::TCustomImageList *ImageList

Description

Use this property to specify the TImageList component that contains the individual images that will be used to create the animation effect.


Raize Components 6

TRzAnimator.ImageList Example
TRzAnimator


TRzAnimator.OnFrameChange

Occurs when a new image is drawn during animation.

Declaration
property OnFrameChange: TRzAnimatorFrameChangeEvent;

Description

This event fires when a new image is drawn during animation.


Raize Components 6

TRzAnimator.OnFrameChange Example
TRzAnimator


Raize Components 6

TRzAnimator Properties
TRzAnimator

Public
About
Animate
Color
Delay
DelayUntilRepeat
ImageIndex
ImageList
Transparent


TRzAnimator.Transparent

Specifies if the images are transparent.

Declaration
property Transparent: Boolean default False;

Description

Use this property to specify that the animated images are to have a transparent background.


Raize Components 6

TRzAnimator.Transparent Example
TRzAnimator


RzBckgnd

RzBckgnd File
List of Units

Unit Classes

TImageStyle |
TRzBackground | TRzBackground provides several ways of customizing a form's background.
TRzCustomBackground | TRzCustomBackground is a base class providing several ways of customizing a form's background.
TRzHighlightLocation |
TRzSeparator | TRzSeparator is a graphical control for displaying a gradient filled separator bar.


TImageStyle

Unit
RzBckgnd

Declaration
TImageStyle =(isCenter, isClip, isFill, isStretch, isTiled);

enum TImageStyle isCenter, isClip, isFill, isStretch, isTiled ;

Description

Value Meaning

isCenter:

isClip:

isFill:

isStretch:

isTiled:


TRzBackground.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo read FAboutInfo write FAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzBackground.About Example
TRzBackground


Raize Components 6

TRzBackground Events
TRzBackground

Public


Raize Components 6

TRzBackground Properties
TRzBackground

Public
About
Active
Align
Anchors
Constraints
DragCursor
DragMode
Enabled
FrameColor
FrameStyle
GradientColorStart
GradientColorStop
GradientDirection
GradientSmoothFactor
Image
ImageStyle
ParentShowHint
PopupMenu
ShowGradient
ShowHint
ShowImage
ShowTexture
Texture
Visible


TRzCustomBackground

Properties

TRzCustomBackground is a base class providing several ways of customizing a form's background.

Unit
RzBckgnd

Declaration
TRzCustomBackground=Class(TGraphicControl);

Description

Do not create instances of TRzCustomBackground--use TRzBackground .


TRzCustomBackground.Active

Determines if control paints its background.

Declaration
property Active: Boolean;

__property bool Active

Description

Use Active to specify whether or not the component paints itself.


Raize Components 6

TRzCustomBackground.Active Example
TRzCustomBackground


TRzCustomBackground.Align

Controls the positioning of the control within a container.

Declaration
property Align: TAlign;

__property Controls::TAlign Align

Description

Use Align to align a control to the top, bottom, left, or right of a form or panel and have it remain there even if the size of the form, panel, or component that contains the control changes. When the parent is resized, an aligned control also resizes so that it continues to span the top, bottom, left, or right edge of the parent.

For example, to use a panel component with various controls on it as a tool palette, change the panels Align value to alLeft. The value of alLeft for the Align property of the panel guarantees that the tool palette remains on the left side of the form and always equals the client height of the form.

The default value of Align is alNone, which means a control remains where it is positioned on a form or panel.

Tip: If Align is set to alClient, the control fills the entire client area so that it is impossible to select the parent form by clicking on it. In this case, select the parent by selecting the control on the form and pressing Esc, or by using the Object Inspector.

Any number of child components within a single parent can have the same Align value, in which case they stack up along the edge of the parent. The child controls stack up in z-order. To adjust the order in which the controls stack up, drag the controls into their desired positions.

Note: To cause a control to maintain a specified relationship with an edge of its parent, but not necessarily lie along one edge of the parent, use the Anchors property instead.


Raize Components 6

TRzCustomBackground.Align Example
TRzCustomBackground


TRzCustomBackground.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzCustomBackground.FrameColor Example
TRzCustomBackground


TRzCustomBackground.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsNone;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzCustomBackground.FrameStyle Example
TRzCustomBackground


TRzCustomBackground.GradientColorStart

Specifies the starting color to be used when defining a gradient.

Declaration
property GradientColorStart: TColor default clHotLight;

__property Graphics::TColor GradientColorStart

Description

Use GradientColorStart to specify the starting color that is used in defining a gradient color fill.


Raize Components 6

TRzCustomBackground.GradientColorStart Example
TRzCustomBackground


TRzCustomBackground.GradientColorStop

Specifies the stopping color to be used when defining a gradient.

Declaration
property GradientColorStop: TColor default clActiveCaption;

__property Graphics::TColor GradientColorStop

Description

Use GradientColorStop to specify the stopping color that is used in defining a gradient color fill.


Raize Components 6

TRzCustomBackground.GradientColorStop Example
TRzCustomBackground


TRzCustomBackground.GradientDirection

Determines the direction of the gradient fill path.

Declaration
property GradientDirection: TGradientDirection default gdHorizontalEnd;

__property Rzgrafx::TGradientDirection GradientDirection

Description

This property determines which direction the gradient fill will flow. Your choices include:

Value Meaning

dBigSquareBox Top and bottom converge together to form a big square box in the center.

dDiagonalDown Top right to bottom left.

dDiagonalUp Top left to bottom right

dHorizontalBox Top and bottom converge together to form a box in the center.

dHorizontalCenter Top and bottom converge to the center.

dHorizontalEnd Horizontally downward

dSquareBox All sides converge into a square

dVerticalBox Sides converge into a box.

dVerticalCenter Sides converge into a box at the center.


Raize Components 6

TRzCustomBackground.GradientDirection Example
TRzCustomBackground


TRzCustomBackground.GradientSmoothFactor

Specifies how smooth the gradient fill is to be.

Declaration
property GradientSmoothFactor: TSmoothFactor default 1;

__property Rzgrafx::TSmoothFactor GradientSmoothFactor

Description

This property directly affects the grain of the gradient with 1 being smoothest and 8 the roughest. The banding lines will be thicker with a larger number, therefore dithering will not be as smooth. This property also affects performance of the gradient. That is, a gradient with a smooth factor of 1 will take slightly longer to draw than one with a smooth factor of 8. However, the performance difference is only detectable on slower machines.


Raize Components 6

TRzCustomBackground.GradientSmoothFactor Example
TRzCustomBackground


TRzCustomBackground.Image

Specifies image to be displayed on background.

Declaration
property Image: TPicture;

__property Graphics::TPicture *Image

Description

The Image property allows you to use a bitmap for the background of your form. Note that the Image property can be used in conjunction with the displaying a gradient or texture. The image is only displayed when the ShowImage property is True.


Raize Components 6

TRzCustomBackground.Image Example
TRzCustomBackground


TRzCustomBackground.ImageStyle

Specifies how image is to be displayed.

Declaration
property ImageStyle: TImageStyle stored True;

__property TImageStyle ImageStyle

Description

Use this property to specify how the image specified in the Image property is displayed in the component.

Value Meaning

isCenter Centers the image.

isClip Clips the image according to the size of the component.

isFill Fills the component with the image (maintains aspect ratio).

isStretch Stretches the image over the entire component (does not maintain aspect ratio).

isTile Fills the component with multiple images in a tiled format.


Raize Components 6

TRzCustomBackground.ImageStyle Example
TRzCustomBackground


Raize Components 6

TRzCustomBackground Properties
TRzCustomBackground

Protected
Active
Align
FrameColor
FrameStyle
GradientColorStart
GradientColorStop
GradientDirection
GradientSmoothFactor
Image
ImageStyle
ShowGradient
ShowImage
ShowTexture
Texture
Visible


TRzCustomBackground.ShowGradient

Determines if gradient fill is displayed.

Declaration
property ShowGradient: Boolean stored True;

__property bool ShowGradient

Description

This property is mutually exclusive with respect to the ShowTexture property. That is, only one of these two properties can be set to True at one time. When ShowGradient is True, the client area of the component is filled with a gradient pattern defined by the GradientColorStart, GradientColorStop, and GradientDirection properties.


Raize Components 6

TRzCustomBackground.ShowGradient Example
TRzCustomBackground


TRzCustomBackground.ShowImage

Determines if an image is displayed.

Declaration
property ShowImage: Boolean stored True;

__property bool ShowImage

Description

Use this property to show or hide the image specified by the Image property. Note that the Image can be shown along with a gradient or textured background.


Raize Components 6

TRzCustomBackground.ShowImage Example
TRzCustomBackground


TRzCustomBackground.ShowTexture

Determines if image specified in Texture property is tiled throughout the background.

Declaration
property ShowTexture: Boolean stored True;

__property bool ShowTexture

Description

This property is mutually exclusive with respect to the ShowGradient property. That is, only one of these two properties can be set to True at one time. When ShowTexture is True, the client area of the component is filled by tiling the image specified in the Texture property.


Raize Components 6

TRzCustomBackground.ShowTexture Example
TRzCustomBackground


TRzCustomBackground.Texture

Specifies image to be used for tiling.

Declaration
property Texture: TPicture stored True;

__property Graphics::TPicture *Texture

Description

Use this property to specify the image to be tiled across the client area if the ShowTexture property is set to True.


Raize Components 6

TRzCustomBackground.Texture Example
TRzCustomBackground


TRzCustomBackground.Visible

Determines if the control is visible at runtime.

Declaration
property Visible: Boolean default True;

__property bool Visible

Description

Use the Visible property to control the visibility of the control at runtime. If Visible is True, the control appears. If Visible is False, the control is not visible.

Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.


Raize Components 6

TRzCustomBackground.Visible Example
TRzCustomBackground


TRzHighlightLocation

Unit
RzBckgnd

Declaration
TRzHighlightLocation =(hlCenter, hlUpperLeft, hlLowerRight);

enum TRzHighlightLocation hlCenter, hlUpperLeft, hlLowerRight ;

Description

Value Meaning

hlCenter:

hlUpperLeft:

hlLowerRight:


TRzSeparator.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSeparator.About Example
TRzSeparator


Raize Components 6

TRzSeparator Events
TRzSeparator

Public


TRzSeparator.HighlightColor

Declaration
property HighlightColor: TColor default clHighlight;

__property Graphics::TColor HighlightColor

Description

Use HighlightColor to specify the foreground color of the separator.


Raize Components 6

TRzSeparator.HighlightColor Example
TRzSeparator


TRzSeparator.HighlightLocation

Declaration
property HighlightLocation: TRzHighlightLocation default hlCenter;

__property TRzHighlightLocation HighlightLocation

Description

Use HighlightLocation to specify where the highlight color portion of the gradient fill should be located. This property is only used when ShowGradient is True.


Raize Components 6

TRzSeparator.HighlightLocation Example
TRzSeparator


TRzSeparator.Orientation

Specifies that the control is horizontally or veritcally oriented.

Declaration
property Orientation: TOrientation default orHorizontal;

__property Rzcommon::TOrientation Orientation

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

TRzSeparator.Orientation Example
TRzSeparator


Raize Components 6

TRzSeparator Properties
TRzSeparator

Public
About
Align
Anchors
Color
Constraints
DragCursor
DragMode
Enabled
Height
HighlightColor
HighlightLocation
Orientation
ParentColor
ParentShowHint
PopupMenu
ShowGradient
ShowHint
Visible
Width


TRzSeparator.ShowGradient

Declaration
property ShowGradient: Boolean;

__property bool ShowGradient

Description

When ShowGradient is True, the separator is filled with a gradient starting from the color specified in the Color property and ending with the color specified in the HighlightColor property.


Raize Components 6

TRzSeparator.ShowGradient Example
TRzSeparator


RzBHints

RzBHints File
List of Units

Unit Classes

TRzBalloonBitmaps |
TRzBalloonHints | TRzBalloonHints replaces the standard VCL hint window with a custom balloon hint style window.
TRzHintCorner |
TSetHintRectEvent |
TSetHintWinSizeEvent |


TRzBalloonBitmaps

Properties

Unit
RzBHints

Description

TRzBalloonBitmaps holds the bitmaps images to be used by a TRzBalloonHints component.


TRzBalloonBitmaps.LowerLeft

Specifies bitmap image to be used when TRzBalloonHints.Corner = hcLowerLeft

Declaration
property LowerLeft: TBitmap;

__property Graphics::TBitmap *LowerLeft

Description

Specifies bitmap image to be used when TRzBalloonHints.Corner = hcLowerLeft


Raize Components 6

TRzBalloonBitmaps.LowerLeft Example
TRzBalloonBitmaps


TRzBalloonBitmaps.LowerRight

Specifies bitmap image to be used when TRzBalloonHints.Corner = hcLowerRight

Declaration
property LowerRight: TBitmap;

__property Graphics::TBitmap *LowerRight

Description

Specifies bitmap image to be used when TRzBalloonHints.Corner = hcLowerRight


Raize Components 6

TRzBalloonBitmaps.LowerRight Example
TRzBalloonBitmaps


Raize Components 6

TRzBalloonBitmaps Properties
TRzBalloonBitmaps

Public
LowerLeft
LowerRight
TransparentColor
UpperLeft
UpperRight


TRzBalloonBitmaps.TransparentColor

Specifies the color used in the bitmap images to denote transparent areas.

Declaration
property TransparentColor: TColor;

__property Graphics::TColor TransparentColor

Description

Specifies the color used in the bitmap images to denote transparent areas.


Raize Components 6

TRzBalloonBitmaps.TransparentColor Example
TRzBalloonBitmaps


TRzBalloonBitmaps.UpperLeft

Specifies bitmap image to be used when TRzBalloonHints.Corner = hcUpperLeft

Declaration
property UpperLeft: TBitmap;

__property Graphics::TBitmap *UpperLeft

Description

Specifies bitmap image to be used when TRzBalloonHints.Corner = hcUpperLeft


Raize Components 6

TRzBalloonBitmaps.UpperLeft Example
TRzBalloonBitmaps


TRzBalloonBitmaps.UpperRight

Specifies bitmap image to be used when TRzBalloonHints.Corner = hcUpperRight

Declaration
property UpperRight: TBitmap;

__property Graphics::TBitmap *UpperRight

Description

Specifies bitmap image to be used when TRzBalloonHints.Corner = hcUpperRight


Raize Components 6

TRzBalloonBitmaps.UpperRight Example
TRzBalloonBitmaps


TRzBalloonHints.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzBalloonHints.About Example
TRzBalloonHints


TRzBalloonHints.Alignment

Specifies the horizontal alignement of text.

Declaration
property Alignment: TAlignment;

__property Classes::TAlignment Alignment

Description

Use Alignment to change the way the text is displayed in the control. Alignment can take one of the following values:

Value Meaning

taLeftJustify Align text to the left side of the control

taCenter Center text horizontally in the control.

taRightJustify Align text to the right side of the control.


Raize Components 6

TRzBalloonHints.Alignment Example
TRzBalloonHints


TRzBalloonHints.Bitmaps

Specifies the bitmaps to be used to display a "fancy" hint window.

Declaration
property Bitmaps: TRzBalloonBitmaps;

__property TRzBalloonBitmaps *Bitmaps

Description

The Bitmaps property contains a set of four TBitmap objects which are used to define the background for the four possible balloon help window locations. The Corner property designates which of these four bitmaps is displayed at any given time.


Raize Components 6

TRzBalloonHints.Bitmaps Example
TRzBalloonHints


TRzBalloonHints.CaptionWidth

Specifies the width to be used in displaying the hint.

Declaration
property CaptionWidth: Integer;

__property int CaptionWidth

Description

This property sets the width of the help window in pixels. When you increase the CaptionWidth property value, the displayed text property of the control becomes wider. If you decrease the value, the displayed text property of the control becomes narrower.


Raize Components 6

TRzBalloonHints.CaptionWidth Example
TRzBalloonHints


TRzBalloonHints.Color

Specifies the color of the hint window.

Declaration
property Color: TColor;

__property Graphics::TColor Color

Description

Use Color to change the background color of the hint window.


Raize Components 6

TRzBalloonHints.Color Example
TRzBalloonHints


TRzBalloonHints.Corner

Determines location of hint window.

Declaration
property Corner: TRzHintCorner default hcUpperRight;

__property TRzHintCorner Corner

Description

The Corner property defines at which corner location a balloon-style help window appears at runtime. Note that this property is only used when ShowBalloon is True. If the Corner property is set to hcNone, then the hint window is displayed without the pointer area. In other words, the hint window appears as a rounded rectangle.


Raize Components 6

TRzBalloonHints.Corner Example
TRzBalloonHints


Raize Components 6

TRzBalloonHints Events
TRzBalloonHints

Public
OnSetHintRect
OnSetHintWinSize
OnShowHint


TRzBalloonHints.Font

Specifies the font used to display text in the hint window.

Declaration
property Font: TFont;

__property Graphics::TFont *Font

Description

Use Font to change the font used in hint window.


Raize Components 6

TRzBalloonHints.Font Example
TRzBalloonHints


TRzBalloonHints.FrameColor

Specifies the color to be used in drawing the border around the control.

Declaration
property FrameColor: TColor;

__property Graphics::TColor FrameColor

Description

Use the FrameColor property to specify a color to be used when drawing the frame (i.e. border) around the control.


Raize Components 6

TRzBalloonHints.FrameColor Example
TRzBalloonHints


TRzBalloonHints.HintPause

Maps to Application.HintShortPause.

Declaration
property HintPause: Integer;

__property int HintPause

Description

Maps to Application.HintPause


Raize Components 6

TRzBalloonHints.HintPause Example
TRzBalloonHints


TRzBalloonHints.HintShortPause

Maps to Application.HintShortPause.

Declaration
property HintShortPause: Integer default 50;

__property int HintShortPause

Description

Maps to Application.HintShortPause.


Raize Components 6

TRzBalloonHints.HintShortPause Example
TRzBalloonHints


TRzBalloonHints.HintWindow

Provides access to the actual hint window used by the control.

Declaration
property HintWindow: TRzCustomHintWindow;

Description

Provides access to the actual hint window used by the control.


Raize Components 6

TRzBalloonHints.HintWindow Example
TRzBalloonHints


TRzBalloonHints.OnSetHintRect

Occurs when a hint window is displayed.

Declaration
property OnSetHintRect: TSetHintRectEvent;

__property TSetHintRectEvent OnSetHintRect

Description

This event occurs before the hint window is displayed and allows you to customize the size and position of the hint window.


Raize Components 6

TRzBalloonHints.OnSetHintRect Example
TRzBalloonHints


TRzBalloonHints.OnSetHintWinSize

Occurs just before the hint window is displayed.

Declaration
property OnSetHintWinSize: TSetHintWinSizeEvent;

__property TSetHintWinSizeEvent OnSetHintWinSize

Description

This event occurs before the hint window is displayed and allows you to customize the size of the hint window.


Raize Components 6

TRzBalloonHints.OnSetHintWinSize Example
TRzBalloonHints


TRzBalloonHints.OnShowHint

Maps to Application.OnShowHint.

Declaration
property OnShowHint: TShowHintEvent;

__property Forms::TShowHintEvent OnShowHint

Description

This event provides access to the Application.OnShowHint event when using the TRzBalloonHints component.


Raize Components 6

TRzBalloonHints.OnShowHint Example
TRzBalloonHints


Raize Components 6

TRzBalloonHints Properties
TRzBalloonHints

Public
About
Alignment
Bitmaps
CaptionWidth
Color
Corner
Font
FrameColor
HintPause
HintShortPause
HintWindow
Shadow
ShowBalloon


TRzBalloonHints.Shadow

Determines if a shadow is displayed behind the hint window.

Declaration
property Shadow: Boolean default False;

__property bool Shadow

Description

When this property is set to True and ShowBalloon is True, a shadow is display behind the hint window.


Raize Components 6

TRzBalloonHints.Shadow Example
TRzBalloonHints


TRzBalloonHints.ShowBalloon

Toggles between rectangular and balloon style hint windows.

Declaration
property ShowBalloon: Boolean default True;

__property bool ShowBalloon

Description

When this property is False (the default), the hint window display is standard rectangular hint window. However, the window will be automatically resized according to the CaptionWidth property and will automatically display multi-line hint messages.

When ShowBalloon is set to True, the hint window is a rounded rectangular window that appears connected to the control specifying the hint message.


Raize Components 6

TRzBalloonHints.ShowBalloon Example
TRzBalloonHints


TRzHintCorner

Unit
RzBHints

Declaration
TRzHintCorner=(hcLowerRight, hcLowerLeft, hcUpperLeft, hcUpperRight, hcNone);

enum TRzHintCorner hcLowerRight, hcLowerLeft, hcUpperLeft, hcUpperRight, hcNone ;

Description

Value Meaning

hcLowerRight

hcLowerLeft

hcUpperLeft

hcUpperRight

hcNone


TSetHintRectEvent

Unit
RzBHints

Declaration
TSetHintRectEvent=procedure(Sender: TObject; Canvas: TCanvas; var Rect: TRect; Hint: string; Corner: TRzHintCorner) of object;

typedef void __fastcall(__closure *TSetHintRectEvent)(System::TObject *Sender, Graphics::TCanvas *Canvas, Types::TRect & Rect, AnsiString Hint, TRzHintCorner Corner);

Description

.


TSetHintWinSizeEvent

Unit
RzBHints

Declaration
TSetHintWinSizeEvent=procedure(Sender: TObject; Canvas: TCanvas; var Width, Height: Integer; Hint: string; Corner: TRzHintCorner) of object;

typedef void __fastcall(__closure *TSetHintWinSizeEvent)(System::TObject *Sender, Graphics::TCanvas *Canvas, int & Width, int & Height, AnsiString Hint, TRzHintCorner Corner);

Description

.


RzBmpBtn

RzBmpBtn File
List of Units

Unit Classes

TBtnSize |
TButtonBorder |
TRzBmpButton | TRzBmpButton is a custom button control where each state of the button is specified by a separate bitmap image.
TRzButtonBitmaps |


TBtnSize

Unit
RzBmpBtn

Declaration
TBtnSize=(bszNeither, bszButtonToBitmap, bszStretchToButton, bszTileToButton);

enum TBtnSize bszNeither, bszButtonToBitmap, bszStretchToButton, bszTileToButton ;

Description

.


TButtonBorder

Unit
RzBmpBtn

Declaration
TButtonBorder=(bbNone, bbSingle, bbButton);

enum TButtonBorder bbNone, bbSingle, bbButton ;

Description

.


TRzBmpButton.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzBmpButton.About Example
TRzBmpButton


TRzBmpButton.AllowAllUp

Determines if button can be in Up state when part of a group.

Declaration
property AllowAllUp: Boolean default False;

__property bool AllowAllUp

Description

Use AllowAllUp with a group of buttons that belong to the same group. Speed buttons belong to the same group if they have the same value on their GroupIndex property. Buttons in the same group behave in a mutually exclusive fashion: when one button in the group is selected (down), all other buttons in the group become unselected (up).

If AllowAllUp is True, all of the speed buttons in a group can be unselected at the same time. Clicking the single selected button in the group will deselect that button without selecting another. If AllowAllUp is False, exactly one of the buttons in the group must be selected at any time. Clicking a down button won't return the button to its up state.

Changing the value of the AllowAllUp property for one speed button in a group changes the AllowAllUp value for all buttons in the group.

Note: If GroupIndex is zero, AllowAllUp has no effect.


Raize Components 6

TRzBmpButton.AllowAllUp Example
TRzBmpButton


TRzBmpButton.Bitmaps

Specifies bitmap images to be used for button states.

Declaration
property Bitmaps: TRzButtonBitmaps;

__property TRzButtonBitmaps *Bitmaps

Description

The Bitmaps property contains a set of five TBitmap objects. These are used to define each state of the button.

· The Disabled bitmap is the bitmap displayed when the button is in a disabled state (i.e. Enabled = False).

· The Down bitmap is the bitmap displayed when the button is depressed.

· The StayDown bitmap is the bitmap displayed when the button remains in a down state.

· The Up bitmap is the bitmap displayed when the button remains in a up state.

· The UpAndFocused bitmap is the bitmap displayed when the button has the focus only and is not depressed.


Raize Components 6

TRzBmpButton.Bitmaps Example
TRzBmpButton


TRzBmpButton.ButtonBorder

Specifies the style of border.

Declaration
property ButtonBorder: TButtonBorder default bbNone;

__property TButtonBorder ButtonBorder

Description

This property allows you to specify the type of border to use for the button. The default is bbButton, which appears as a standard button border. To have complete control over the appearance of your button, design your button bitmaps to include the entire button including the border. Then set the ButtonBorder property to bbNone.


Raize Components 6

TRzBmpButton.ButtonBorder Example
TRzBmpButton


TRzBmpButton.ButtonSize

Specifies size of button in relation to bitmaps.

Declaration
property ButtonSize: TBtnSize default bszButtonToBitmap;

__property TBtnSize ButtonSize

Description

This property allows you to select the display method for the bitmaps on the button. You can stretch a bitmap to fit the button, tile them, or even change the size of the button to match the size of the bitmap.


Raize Components 6

TRzBmpButton.ButtonSize Example
TRzBmpButton


TRzBmpButton.CaptionDownOffset

Specifies offset in Caption between Up and Down states.

Declaration
property CaptionDownOffset: Integer default 1;

__property int CaptionDownOffset

Description

Use CaptionDownOffset specify the offset amount used to display the Caption when the button is in the Down state.


Raize Components 6

TRzBmpButton.CaptionDownOffset Example
TRzBmpButton


TRzBmpButton.Color

Specifies background color.

Declaration
property Color: TColor;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.


Raize Components 6

TRzBmpButton.Color Example
TRzBmpButton


TRzBmpButton.Down

Determines if control is in "down" state when part of a group.

Declaration
property Down: Boolean default False;

__property bool Down

Description

Read Down to determine whether a speed button is selected. The Down property only applies if the GroupIndex property of the button is nonzero.

When GroupIndex is greater than 0, set Down to True to select a button. When the user clicks on a button in the unselected (up) state, the button is selected and Down is set to True. When the user clicks on a button in the selected (down) state, if Caption is True, the button becomes unselected and Down is set to False.

At design time, specify which button in a group is the initially selected button by setting the Down property of the selected button to True.

Note: When GroupIndex is 0, buttons do not remain in the selected state when clicked.


Raize Components 6

TRzBmpButton.Down Example
TRzBmpButton


Raize Components 6

TRzBmpButton Events
TRzBmpButton

Public


TRzBmpButton.GroupIndex

Determines if the button is part of a group.

Declaration
property GroupIndex: Integer default 0;

__property int GroupIndex

Description

Set GroupIndex to determine how the button behaves when clicked.

When GroupIndex is 0, the button behaves independently of all other buttons on the form. When the user clicks such a speed button, the button appears pressed (in its clicked state) and then returns to its normal up state when the user releases the mouse button.

When GroupIndex is greater than 0, the button remains selected (in its down state) when clicked by the user. When the user clicks a selected button, it returns to the up state, unless Caption is False. Setting the GroupIndex property of a single speed button to a value greater than 0 causes the button to behave as a two-state button when Caption is True.

Speed buttons with the same GroupIndex property value (other than 0), work together as a group. When the user clicks one of these buttons, it remains selected until the user clicks another speed button belonging to the same group. Speed buttons used in this way can present mutually exclusive choices to the user.


Raize Components 6

TRzBmpButton.GroupIndex Example
TRzBmpButton


TRzBmpButton.Layout

Specifies the relative position between an image and some text.

Declaration
property Layout: TButtonLayout default blGlyphLeft;

__property Buttons::TButtonLayout Layout

Description

Value Meaning

blGlyphLeft The image appears near the left side of the button.

blGlyphRight The image appears near the right side of the button.

blGlyphTop The image appears near the top of the button.

blGlyphBottom The image appears near the bottom of the button.


Raize Components 6

TRzBmpButton.Layout Example
TRzBmpButton


TRzBmpButton.Margin

Specifies indentation amount of image.

Declaration
property Margin: Integer default - 1;

__property int Margin

Description

Use Margin to specify the indentation of the image specified by the Glyph property or the text specified by the Caption property. The edges that Margin separates depends on the Layout property. If Layout is blGlyphLeft, the margin appears between the left edge of the image or caption and the left edge of the button. If Layout is blGlyphRight, the margin separates the right edges. If Layout is blGlyphTop, the margin separates the top edges, and if Layout is blGlyphBottom, the margin separates the bottom edges.

If Margin is -1, the image or text is centered on the button.


Raize Components 6

TRzBmpButton.Margin Example
TRzBmpButton


Raize Components 6

TRzBmpButton Methods
TRzBmpButton


TRzBmpButton.ModalResult

Specifies dialog's modal result value when button is pressed.

Declaration
property ModalResult: TModalResult default mrNone;

__property Controls::TModalResult ModalResult

Description

Setting the TButton components ModalResult property is an easy way to make clicking the button close a modal form. When a button is clicked, the ModalResult property of its parent form is set to the same value as the buttons ModalResult property.

For example, if a dialog box has OK and Cancel buttons, their ModalResult properties could be set at design time to mrOk and mrCancel, respectively. At runtime, clicking the OK button then changes the dialogs ModalResult property to mrOk, and clicking the Cancel button changes the dialogs ModalResult property to mrCancel. Unless further processing is required, no OnClick event handlers are required for the buttons.


Raize Components 6

TRzBmpButton.ModalResult Example
TRzBmpButton


Raize Components 6

TRzBmpButton Properties
TRzBmpButton

Public
About
Action
AllowAllUp
Anchors
Bitmaps
ButtonBorder
ButtonSize
Caption
CaptionDownOffset
Color
Constraints
Down
DragCursor
DragKind
DragMode
Enabled
Font
GroupIndex
Height
Layout
Margin
ModalResult
ParentFont
ParentShowHint
PopupMenu
ShowDownPattern
ShowFocus
ShowHint
Spacing
TabOrder
TabStop
Visible
Width


TRzBmpButton.ShowDownPattern

Determines if a dithered pattern is displayed when the button is in "down" state.

Declaration
property ShowDownPattern: Boolean default True;

__property bool ShowDownPattern

Description

This property determines whether or not the component displays a dithered pattern behind the bitmap when the button is in the "down" state. When using non-rectangular shaped button bitmaps, you will probably want to set ShowDownPattern to False.


Raize Components 6

TRzBmpButton.ShowDownPattern Example
TRzBmpButton


TRzBmpButton.ShowFocus

Determines if focus rectangle is drawn when control has focus.

Declaration
property ShowFocus: Boolean default True;

__property bool ShowFocus

Description

This property controls whether or not the button indicates that it has the input focus. When True, the button displays a focus rectangle whenever it has the input focus.


Raize Components 6

TRzBmpButton.ShowFocus Example
TRzBmpButton


TRzBmpButton.Spacing

Specifies the number of pixels between glyph and text.

Declaration
property Spacing: Integer default 4;

__property int Spacing

Description

Set Spacing to the number of pixels that should appear between the image specified in the Glyph property and the text specified in the Caption property.

If Spacing is a positive number, its value is the number of pixels between the image and text. If Spacing is 0, the image and text appear flush with each other. If Spacing is -1, the text appears centered between the image and the button edge.


Raize Components 6

TRzBmpButton.Spacing Example
TRzBmpButton


TRzButtonBitmaps

Properties

Unit
RzBmpBtn

Description

.


TRzButtonBitmaps.Disabled

Declaration
property Disabled: TBitmap;

__property Graphics::TBitmap *Disabled

Description

Specifies the bitmap image to use when the button is the disabled state.


Raize Components 6

TRzButtonBitmaps.Disabled Example
TRzButtonBitmaps


TRzButtonBitmaps.Down

Declaration
property Down: TBitmap;

__property Graphics::TBitmap *Down

Description

Specifies the bitmap image to use when the button is in the down state.


Raize Components 6

TRzButtonBitmaps.Down Example
TRzButtonBitmaps


TRzButtonBitmaps.Hot

Declaration
property Hot: TBitmap;

__property Graphics::TBitmap *Hot

Description

Specifies the bitmap image to use when the button is in the "hot" state (i.e. the mouse is hovering over the control).


Raize Components 6

TRzButtonBitmaps.Hot Example
TRzButtonBitmaps


Raize Components 6

TRzButtonBitmaps Properties
TRzButtonBitmaps

Public
Disabled
Down
Hot
StayDown
TransparentColor
Up
UpAndFocused


TRzButtonBitmaps.StayDown

Declaration
property StayDown: TBitmap;

__property Graphics::TBitmap *StayDown

Description

Specifies the bitmap image to use when the button is in the down/exclusive state.


Raize Components 6

TRzButtonBitmaps.StayDown Example
TRzButtonBitmaps


TRzButtonBitmaps.TransparentColor

Declaration
property TransparentColor: TColor;

__property Graphics::TColor TransparentColor

Description

Specifies the color in the various bitmap images that should be considered transparent.


Raize Components 6

TRzButtonBitmaps.TransparentColor Example
TRzButtonBitmaps


TRzButtonBitmaps.Up

Declaration
property Up: TBitmap;

__property Graphics::TBitmap *Up

Description

Specifies the bitmap image to use when the button is in the up state.


Raize Components 6

TRzButtonBitmaps.Up Example
TRzButtonBitmaps


TRzButtonBitmaps.UpAndFocused

Declaration
property UpAndFocused: TBitmap;

__property Graphics::TBitmap *UpAndFocused

Description

Specifies the bitmap image to use when the button is in the up state and focused.


Raize Components 6

TRzButtonBitmaps.UpAndFocused Example
TRzButtonBitmaps


RzBorder

RzBorder File
List of Units

Unit Classes

TRzBorder | TRzBorder is a graphical control (i.e. non-container) that displays a customizable border.
TRzColorPicker | TRzColorPicker is a custom control for selecting colors.
TRzLEDDisplay | TRzLEDDisplay is a graphical control for displaying text as an LED grid display.
TRzMeter | TRzMeter is a graphical control for displaying percentage values using a 3-color segmented display.
TRzMeterShape |
TRzMeterType |
TRzProgressDisplay | TRzProgressDisplay is a graphic control that displays progress steps (text messages) in a scrolling display area.


TRzBorder.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzBorder.About Example
TRzBorder


TRzBorder.BevelWidth

Specifies the width in pixels of bevel.

Declaration
property BevelWidth: TBevelWidth default 1;

__property Controls::TBevelWidth BevelWidth

Description

Use BevelWidth to specify how wide the inner or outer bevel should be. Do not confuse BevelWidth, which is the width of the bevels, with BorderWidth, which is the space between the bevels.

If both the BevelInner and BevelOuter properties are bvNone, BevelWidth has no effect. To remove both bevels, set the BevelInner and BevelOuter properties to bvNone, rather than setting the BevelWidth to 0, as this involves less overhead when painting.


Raize Components 6

TRzBorder.BevelWidth Example
TRzBorder


TRzBorder.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Declaration
property BorderColor: TColor default clBtnFace;

__property Graphics::TColor BorderColor

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

TRzBorder.BorderColor Example
TRzBorder


TRzBorder.BorderHighlight

Specifies the color used to display highlighted portions of the border.

Declaration
property BorderHighlight: TColor default clBtnHighlight;

__property Graphics::TColor BorderHighlight

Description

Use this property to specify the color used when painting highlighted portions of the border.


Raize Components 6

TRzBorder.BorderHighlight Example
TRzBorder


TRzBorder.BorderInner

Specifies the style of the inner border.

Declaration
property BorderInner: TFrameStyleEx default fsNone;

__property Rzcommon::TFrameStyle BorderInner

Description

Use this property to change the style of the inner border used by a component.


Raize Components 6

TRzBorder.BorderInner Example
TRzBorder


TRzBorder.BorderOuter

Specifies the style of the outer border.

Declaration
property BorderOuter: TFrameStyleEx default fsGroove;

__property Rzcommon::TFrameStyle BorderOuter

Description

Use this property to change the style of the outer border used by a component.


Raize Components 6

TRzBorder.BorderOuter Example
TRzBorder


TRzBorder.BorderShadow

Specifies the color used to display shadow portions of the border.

Declaration
property BorderShadow: TColor default clBtnShadow;

__property Graphics::TColor BorderShadow

Description

Use this property to specify the color used when painting shadowed portions of the border.


Raize Components 6

TRzBorder.BorderShadow Example
TRzBorder


TRzBorder.BorderSides

Specifies which sides of the border are visible.

Declaration
property BorderSides: TSides default[sdLeft, sdTop, sdRight, sdBottom];

__property Rzcommon::TSides BorderSides

Description

Use this property to select which sides of the component will display a border.


Raize Components 6

TRzBorder.BorderSides Example
TRzBorder


TRzBorder.BorderWidth

Specifies the width of the border.

Declaration
property BorderWidth: TBorderWidth default 0;

__property Controls::TBorderWidth BorderWidth

Description

Use BorderWidth to specify how wide the border around the panel should be. A value of 0 (zero) means no border should appear.

The border of a panel is the area between the outer and inner bevels. It is visible only if the inner bevel is raised or lowered, but affects the inset of the caption within the panel even if BevelInner is bvNone. If the Alignment property is not taCenter, the Caption will be aligned to the inner edge of the border. This edge is BorderWidth pixels in from the outer bevel if BevelInner is bvNone. It is the inner edge of the inner bevel otherwise.

Do not confuse the border of the panel with line drawn around the panel itself. The line around the panel is specified by the BorderStyle property.


Raize Components 6

TRzBorder.BorderWidth Example
TRzBorder


Raize Components 6

TRzBorder Events
TRzBorder

Public


TRzBorder.FlatColor

Specifies the color to be used in drawing flat borders.

Declaration
property FlatColor: TColor default clBtnShadow;

__property Graphics::TColor FlatColor

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

TRzBorder.FlatColor Example
TRzBorder


TRzBorder.FlatColorAdjustment

Determines if the FlatColor property value is adjusted to be either lighter or darker.

Declaration
property FlatColorAdjustment: Integer default 30;

__property int FlatColorAdjustment

Description

Use FlatColorAdjustment to lighten or darken the FlatColor used for the border of a control when the border is fsFlat. This property is used in TRzGroupBox components and TRzStatusPane components to allow the color of the border to be a lighter shade of the clBtnShadow color.


Raize Components 6

TRzBorder.FlatColorAdjustment Example
TRzBorder


TRzBorder.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzBorder.FrameController Example
TRzBorder


TRzBorder.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

__property Rzcommon::TRzFrameControllerNotifications FrameControllerNotifications

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzBorder.FrameControllerNotifications Example
TRzBorder


Raize Components 6

TRzBorder Properties
TRzBorder

Public
About
Align
Anchors
BevelWidth
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
Constraints
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
FrameController
FrameControllerNotifications
ParentShowHint
ShowHint
Visible


TRzColorPicker.ButtonColor

Declaration
property ButtonColor: TColor default clBtnFace;

__property Graphics::TColor ButtonColor

Description

Specifies the color to be used for the various buttons that are displayed in the color picker.


Raize Components 6

TRzColorPicker.ButtonColor Example
TRzColorPicker


TRzColorPicker.ColorDlgOptions

Determines functionality of Color dialog box displayed by control.

Declaration
property ColorDlgOptions: TColorDialogOptions default[cdFullOpen];

__property Dialogs::TColorDialogOptions ColorDlgOptions

Description

Use this property to customize the appearance and functionality of the Color dialog that is displayed when the user selects the Custom color item from the drop down list.


Raize Components 6

TRzColorPicker.ColorDlgOptions Example
TRzColorPicker


TRzColorPicker.CustomColor

Specifies value for color in Custom color entry in drop down panel.

Declaration
property CustomColor: TColor default clWhite;

__property Graphics::TColor CustomColor

Description

This property allows you to specify an initial color value for the Custom color entry in the drop down list. By default, the custom color entry is clBlack until the user selects a new custom color.


Raize Components 6

TRzColorPicker.CustomColor Example
TRzColorPicker


TRzColorPicker.CustomColorCaption

Specifies the caption used in the Custom color area.

Declaration
property CustomColorCaption: string;

__property AnsiString CustomColorCaption

Description

Use CustomColorCaption to specify the caption of the button that displays the custom color dialog box. If empty, the caption is set to "More Colors..."


Raize Components 6

TRzColorPicker.CustomColorCaption Example
TRzColorPicker


TRzColorPicker.CustomColors

Specifies a TRzCustomColors component for storing custom color values.

Declaration
property CustomColors: TRzCustomColors;

__property Rzcommon::TRzCustomColors *CustomColors

Description

Use this property to specify a TRzCustomColors component to be used to manage a list of custom color values to be saved and/or shared with other controls.


Raize Components 6

TRzColorPicker.CustomColors Example
TRzColorPicker


TRzColorPicker.DefaultColor

Specifies the color for the Default area of the drop down panel.

Declaration
property DefaultColor: TColor default clHighlight;

__property Graphics::TColor DefaultColor

Description

This property allows you to specify an initial color value for the Default color entry in the drop down list. By default, the default color entry is clBlack.


Raize Components 6

TRzColorPicker.DefaultColor Example
TRzColorPicker


TRzColorPicker.DefaultColorCaption

Specifies the caption used in the Default color area.

Declaration
property DefaultColorCaption: string;

__property AnsiString DefaultColorCaption

Description

Use DefaultColorCaption to specify the caption of the button that selects the default color. If empty, the caption is set to "Default".


Raize Components 6

TRzColorPicker.DefaultColorCaption Example
TRzColorPicker


Raize Components 6

TRzColorPicker Events
TRzColorPicker

Public
OnChange


TRzColorPicker.NoColorCaption

Specifies the caption used in the No Color button.

Declaration
property NoColorCaption: string;

__property AnsiString NoColorCaption

Description

Use NoColorCaption to specify the caption of the button that specifies that no color is selected. If empty, the caption is set to "None".


Raize Components 6

TRzColorPicker.NoColorCaption Example
TRzColorPicker


TRzColorPicker.OnChange

Occurs when user selects a new color.

Declaration
property OnChange: TNotifyEvent;

__property Classes::TNotifyEvent OnChange

Description

This event is generated when the user selects a new color.


Raize Components 6

TRzColorPicker.OnChange Example
TRzColorPicker


Raize Components 6

TRzColorPicker Properties
TRzColorPicker

Public
Align
AutoSize
BorderColor
BorderWidth
ButtonColor
Color
ColorDlgOptions
CustomColor
CustomColorCaption
CustomColors
DefaultColor
DefaultColorCaption
FlatColorAdjustment
Font
Hint
NoColorCaption
ParentColor
ParentFont
ParentShowHint
SelectedColor
ShowColorHints
ShowCustomColor
ShowDefaultColor
ShowHint
ShowNoColor
ShowSystemColors


TRzColorPicker.SelectedColor

Specifies the currently selected color.

Declaration
property SelectedColor: TColor default clNone;

__property Graphics::TColor SelectedColor

Description

Use this property to obtain the TColor value corresponding to the color item selected in the component. Setting SelectedColor to a TColor value causes the component to change its selection to the corresponding color item. Using this property is much easier than trying to manipulate the ItemIndex property.


Raize Components 6

TRzColorPicker.SelectedColor Example
TRzColorPicker


TRzColorPicker.ShowColorHints

Determines if hints are displayed as user moves mouse over color swatches.

Declaration
property ShowColorHints: Boolean default True;

__property bool ShowColorHints

Description

When ShowColorHints is True, the name of the color is displayed in hint window as the user moves the mouse over the colors.


Raize Components 6

TRzColorPicker.ShowColorHints Example
TRzColorPicker


TRzColorPicker.ShowCustomColor

Determines if Custom color area is displayed in drop down panel.

Declaration
property ShowCustomColor: Boolean default False;

__property bool ShowCustomColor

Description

Use this property to show or hide the Custom color item in the drop down picker. When set to True (by default) the user can select the Custom... item to invoke the color selection dialog box and pick a custom color. When this property is set to False, the item does not appear on the list.


Raize Components 6

TRzColorPicker.ShowCustomColor Example
TRzColorPicker


TRzColorPicker.ShowDefaultColor

Determines if Default color area is displayed in drop down panel.

Declaration
property ShowDefaultColor: Boolean default False;

__property bool ShowDefaultColor

Description

Use this property to show or hide the Default color item in the drop down picker.


Raize Components 6

TRzColorPicker.ShowDefaultColor Example
TRzColorPicker


TRzColorPicker.ShowNoColor

Determines if No Color item is displayed in drop down panel.

Declaration
property ShowNoColor: Boolean default False;

__property bool ShowNoColor

Description

Use this property to show or hide the No Color item in the drop down picker.


Raize Components 6

TRzColorPicker.ShowNoColor Example
TRzColorPicker


TRzColorPicker.ShowSystemColors

Determines if system colors are displayed in drop down panel.

Declaration
property ShowSystemColors: Boolean default False;

__property bool ShowSystemColors

Description

Use this property to instruct a TRzColorEdit or TRzColorPicker component to display color values for all of the Windows defined System colors. For example, clWindow, clBtnFace, and clHighlight.


Raize Components 6

TRzColorPicker.ShowSystemColors Example
TRzColorPicker


TRzLEDDisplay.Alignment

Specifies the horizontal alignement of text.

Declaration
property Alignment: TAlignment default taLeftJustify;

Description

Use Alignment to change the way the text is displayed in the control. Alignment can take one of the following values:

Value Meaning

taLeftJustify Align text to the left side of the control

taCenter Center text horizontally in the control.

taRightJustify Align text to the right side of the control.


Raize Components 6

TRzLEDDisplay.Alignment Example
TRzLEDDisplay


TRzLEDDisplay.BackColor

Declaration
property BackColor: TColor default clBlack;

__property Graphics::TColor BackColor

Description

Use BackColor to specify the background color of the display area.


Raize Components 6

TRzLEDDisplay.BackColor Example
TRzLEDDisplay


TRzLEDDisplay.Caption

Specifies the text to display on the control.

Declaration
property Caption: TCaption;

__property AnsiString Caption

Description

Use Caption to specify the text string that labels the control.

To underline a character in a Caption that labels a component, include an ampersand (&) before the character. This type of character is called an accelerator character. The user can then select the component by pressing Alt while typing the underlined character. To display an ampersand character in the caption, use two ampersands (&&).

Note: Controls that display text use either the Caption property or the Text property to specify the text value. Which property is used depends on the type of control. In general, Caption is used for text that appears as a window title or label, while Text is used for text that appears as the content of a control.


Raize Components 6

TRzLEDDisplay.Caption Example
TRzLEDDisplay


Raize Components 6

TRzLEDDisplay Events
TRzLEDDisplay

Public
OnScrollComplete


TRzLEDDisplay.OnScrollComplete

Declaration
property OnScrollComplete: TNotifyEvent;

__property Classes::TNotifyEvent OnScrollComplete

Description

This event is generated when the Scrolling property is True and the Caption has been completely scrolled across the display. Handling this event allows a developer to change the Caption string for the next scrolling cycle.


Raize Components 6

TRzLEDDisplay.OnScrollComplete Example
TRzLEDDisplay


Raize Components 6

TRzLEDDisplay Properties
TRzLEDDisplay

Public
Align
Alignment
BackColor
BorderOuter
Caption
Enabled
Height
ParentShowHint
PopupMenu
ScrollDelay
Scrolling
ScrollType
SegOffColor
SegOnColor
ShowHint
Visible
Width


TRzLEDDisplay.ScrollDelay

Declaration
property ScrollDelay: Word default 100;

__property Word ScrollDelay

Description

Use this property to control how fast the caption string scrolls across the control. The higher the value, the slower the caption will scroll.


Raize Components 6

TRzLEDDisplay.ScrollDelay Example
TRzLEDDisplay


TRzLEDDisplay.Scrolling

Declaration
property Scrolling: Boolean default False;

__property bool Scrolling

Description

This property determines whether or not the caption is scrolled across the control.


Raize Components 6

TRzLEDDisplay.Scrolling Example
TRzLEDDisplay


TRzLEDDisplay.ScrollType

Declaration
property ScrollType: TRzScrollType default stRightToLeft;

__property Rzcommon::TRzScrollType ScrollType

Description

Use this property to specify in which direction the status pane should scroll its caption. The default value is right to left, but you can change this to left to right. A third option of stNone causes the Caption to appear in its standard position. That is, the status pane appears as a normal TStatusPane without any scrolling. The stNone setting is useful if you only want to scroll text under certain circumstances.


Raize Components 6

TRzLEDDisplay.ScrollType Example
TRzLEDDisplay


TRzLEDDisplay.SegOffColor

Declaration
property SegOffColor: TColor default $00003300;

__property Graphics::TColor SegOffColor

Description

Use this property to specify the color to be used when drawing segments that are not active. The default value is clBlack.


Raize Components 6

TRzLEDDisplay.SegOffColor Example
TRzLEDDisplay


TRzLEDDisplay.SegOnColor

Declaration
property SegOnColor: TColor default clLime;

__property Graphics::TColor SegOnColor

Description

Use this property to specify the color to be used when drawing the active LED segment lines for a character.


Raize Components 6

TRzLEDDisplay.SegOnColor Example
TRzLEDDisplay


TRzMeter.AddValue
TRzMeter Methods

Declaration
procedure AddValue(Number: Longint);

Description

Use this method to add an integer value to the Value property for the control.


Raize Components 6

TRzMeter.AddValue Example
TRzMeter


TRzMeter.BackColor

Declaration
property BackColor: TColor default clBlack;

__property Graphics::TColor BackColor

Description

Use this property to specify the color used to fill the background of the component. For progress bars, when the BarStyle is bsTraditional, the BackColor is also used to display the percent value text in the filled area.


Raize Components 6

TRzMeter.BackColor Example
TRzMeter


TRzMeter.BarColor

Declaration
property BarColor: TColor default clRed;

__property Graphics::TColor BarColor

Description

Use this property to specify the color used to fill the progress area. When the BarStyle is bsTraditional, the BarColor is also used to display the percent value text in the unfilled area.

For meter components, this property is only used when the MeterType is mtNormal or mtBar3D.


Raize Components 6

TRzMeter.BarColor Example
TRzMeter


TRzMeter.Bitmap

Declaration
property Bitmap: TBitmap;

__property Graphics::TBitmap *Bitmap

Description

This property allows you to use an actual bitmap for the foreground of the meter. This property is useful if you want to have a scrolling bitmap message or logo.


Raize Components 6

TRzMeter.Bitmap Example
TRzMeter


TRzMeter.BrushStyle

Declaration
property BrushStyle: TBrushStyle;

__property Graphics::TBrushStyle BrushStyle

Description

This property is used to specify the type of brush pattern to used to fill the meter when the MeterType property is mtNormal and the Bitmap property does not reference a bitmap.


Raize Components 6

TRzMeter.BrushStyle Example
TRzMeter


TRzMeter.Direction

Declaration
property Direction: TDirection default dirRight;

__property Rzgrafx::TDirection Direction

Description

For meters, this property controls how the meter fills its client area as the Value property increases.


Raize Components 6

TRzMeter.Direction Example
TRzMeter


Raize Components 6

TRzMeter Events
TRzMeter

Public


TRzMeter.Max

Specifies a maximum value for a range.

Declaration
property Max: Integer default 100;

__property int Max

Description

For track bars, use this property to specify the maximum position along the track.

For spin edits and numeric edits, use this property to specify the maximum value that can be entered.


Raize Components 6

TRzMeter.Max Example
TRzMeter


TRzMeter.MeterShape

Declaration
property MeterShape: TRzMeterShape default msRectangular;

__property TRzMeterShape MeterShape

Description

Use this property to specify the shape of the meter display. A meter is rectangular by default, but can also be shaped as a trapezoid.


Raize Components 6

TRzMeter.MeterShape Example
TRzMeter


TRzMeter.MeterType

Declaration
property MeterType: TRzMeterType default mtLED;

__property TRzMeterType MeterType

Description

Use this property to specify how the meter component displays its Value property. The default value is mtLED, which displays a segmented LED display and allows for 3 different colored segments. (See Seg1Color, Seg2Color, and Seg3Color properties.)

Setting MeterType to mtNormal causes the meter to fill its client area with a bar. However, if the Bitmap property is also specified, then the bitmap is used to fill the client area instead.

Setting MeterType to mtBar3D is identical to mtNormal except that the bar appears raised instead of flat.


Raize Components 6

TRzMeter.MeterType Example
TRzMeter


Raize Components 6

TRzMeter Methods
TRzMeter

Public
AddValue


TRzMeter.Min

Specifies a minimum value for a range.

Declaration
property Min: Integer default 0;

__property int Min

Description

For track bars, use this property to specify the minimum position along the track.

For spin edits, use this property to specify the minimum value that can be entered.


Raize Components 6

TRzMeter.Min Example
TRzMeter


TRzMeter.Percent

Declaration
property Percent: Integer;

__property int Percent

Description

The Percent property determines how much of the meter gets filled.


Raize Components 6

TRzMeter.Percent Example
TRzMeter


Raize Components 6

TRzMeter Properties
TRzMeter

Public
Align
BackColor
BarColor
Bitmap
BorderOuter
BrushStyle
Color
Direction
Font
Height
Max
MeterShape
MeterType
Min
ParentColor
ParentFont
ParentShowHint
Percent
Seg1Color
Seg1Count
Seg2Color
Seg2Count
Seg3Color
Seg3Count
SegOffColor
SegSpacing
ShowHint
ShowPercent
TrapezoidDir
TrapezoidMin
TrapezoidShape
Value
Width


TRzMeter.Seg1Color

Declaration
property Seg1Color: TColor default clGreen;

__property Graphics::TColor Seg1Color

Description

Use this property to specify the color to use for the first set of LED segments. The default value is clLime.


Raize Components 6

TRzMeter.Seg1Color Example
TRzMeter


TRzMeter.Seg1Count

Declaration
property Seg1Count: TPositiveByte default 5;

__property Rzcommon::TPositiveByte Seg1Count

Description

This property determines the number of LED segments dedicated to the first section of the meter. The default value is 5.


Raize Components 6

TRzMeter.Seg1Count Example
TRzMeter


TRzMeter.Seg2Color

Declaration
property Seg2Color: TColor default clYellow;

__property Graphics::TColor Seg2Color

Description

Use this property to specify the color to use for the second set of LED segments. The default value is clYellow.


Raize Components 6

TRzMeter.Seg2Color Example
TRzMeter


TRzMeter.Seg2Count

Declaration
property Seg2Count: TPositiveByte default 3;

__property Rzcommon::TPositiveByte Seg2Count

Description

This property determines the number of LED segments dedicated to the section of the meter. The default value is 3.


Raize Components 6

TRzMeter.Seg2Count Example
TRzMeter


TRzMeter.Seg3Color

Declaration
property Seg3Color: TColor default clRed;

__property Graphics::TColor Seg3Color

Description

Use this property to specify the color to use for the third set of LED segments. The default value is clRed.


Raize Components 6

TRzMeter.Seg3Color Example
TRzMeter


TRzMeter.Seg3Count

Declaration
property Seg3Count: TPositiveByte default 2;

__property Rzcommon::TPositiveByte Seg3Count

Description

This property determines the number of LED segments dedicated to the third section of the meter. The default value is 2.


Raize Components 6

TRzMeter.Seg3Count Example
TRzMeter


TRzMeter.SegOffColor

Declaration
property SegOffColor: TColor default clBlack;

__property Graphics::TColor SegOffColor

Description

Use this property to specify the color to be used when drawing segments that are not active. The default value is clBlack.


Raize Components 6

TRzMeter.SegOffColor Example
TRzMeter


TRzMeter.SegSpacing

Declaration
property SegSpacing: Byte default 2;

__property Byte SegSpacing

Description

Use this property to specify the number of pixels that will be used to separate each LED segment.


Raize Components 6

TRzMeter.SegSpacing Example
TRzMeter


TRzMeterShape

Unit
RzBorder

Declaration
TRzMeterShape =(msRectangular, msTrapezoidal);

enum TRzMeterShape msRectangular, msTrapezoidal ;

Description

Value Meaning

msRectangular:

msTrapezoidal:


TRzMeter.ShowPercent

Declaration
property ShowPercent: Boolean default True;

__property bool ShowPercent

Description

Controls whether or not the percentage value is displayed. This property has no effect when the BarStyle is set to bsLED.


Raize Components 6

TRzMeter.ShowPercent Example
TRzMeter


TRzMeter.TrapezoidDir

Declaration
property TrapezoidDir: TTrapDirect default tdLargeToSmall;

__property Rzgrafx::TTrapDirect TrapezoidDir

Description

This property identifies which direction you wish the trapezoid to point. Specifically, whether the trapezoid should progress small-to-large or large-to-small. The property is only used when the MeterShape property is set to msTrapezoidal.


Raize Components 6

TRzMeter.TrapezoidDir Example
TRzMeter


TRzMeter.TrapezoidMin

Declaration
property TrapezoidMin: Integer default 6;

__property int TrapezoidMin

Description

Use this property to specify the length (in pixels) of the small side of a meter component which has its MeterShape property set to msTrapezoidal.


Raize Components 6

TRzMeter.TrapezoidMin Example
TRzMeter


TRzMeter.TrapezoidShape

Declaration
property TrapezoidShape: TTrapShape default TSCenter;

__property Rzgrafx::TTrapShape TrapezoidShape

Description

This property controls the angles of the two corners of the large side of a meter which has its MeterShape property set to msTrapezoidal.

Value Meaning

tsLeft The left angle is 90 degrees. The right angle depends on the size of the meter.

tsCenter Both angles are the same.

tsRight The right angle is 90 degrees. The left angle depends on the size of the meter.


Raize Components 6

TRzMeter.TrapezoidShape Example
TRzMeter


TRzMeterType

Unit
RzBorder

Declaration
TRzMeterType =(mtNormal, mtBar3D, mtLED);

Description

Value Meaning

mtNormal:

mtBar3D:

mtLED:


TRzMeter.Value

Specifies current perctage value.

Declaration
property Value: Integer default 0;

__property int Value

Description

The Percent property determines how much of the progress area gets filled. The Percent property can be set directly, or indirectly using the TotalParts and PartsComplete properties.


Raize Components 6

TRzMeter.Value Example
TRzMeter


TRzProgressDisplay.AddStep

Declaration
procedure AddStep(const Step: string);

Description

The AddStep method is used to add a descriptive text message to the next available line in the progress display.


Raize Components 6

TRzProgressDisplay.AddStep Example
TRzProgressDisplay


TRzProgressDisplay.Clear

Declaration
procedure Clear;

Description

Removes all progress steps from the view.


Raize Components 6

TRzProgressDisplay.Clear Example
TRzProgressDisplay


Raize Components 6

TRzProgressDisplay Methods
TRzProgressDisplay

Public
AddStep
Clear


Raize Components 6

TRzProgressDisplay Properties
TRzProgressDisplay

Public
BorderOuter
Color
Font
Height
ParentColor
ParentFont
Width


RzBtnEdt

RzBtnEdt File
List of Units

Unit Classes

TButtonKind |
TRzButtonEdit | TRzButtonEdit is an enhanced single-line edit control containing two embedded button controls.
TRzCustomButtonEdit | TRzCustomButtonEdit is the base class implementing an enhanced single-line edit control containing two embedded button controls.


TButtonKind

Unit
RzBtnEdt

Declaration
TButtonKind=(bkCustom, bkLookup, bkDropDown, bkCalendar, bkAccept, bkReject, bkFolder, bkFind, bkSearch);

enum TButtonKind bkCustom, bkLookup, bkDropDown, bkCalendar, bkAccept, bkReject, bkFolder, bkFind, bkSearch ;

Description

.


TRzButtonEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzButtonEdit.About Example
TRzButtonEdit


Raize Components 6

TRzButtonEdit Events
TRzButtonEdit

Public


Raize Components 6

TRzButtonEdit Properties
TRzButtonEdit

Public
About
Alignment
AllowKeyEdit
AltBtnGlyph
AltBtnHint
AltBtnKind
AltBtnNumGlyphs
AltBtnShortCut
AltBtnVisible
AltBtnWidth
ButtonGlyph
ButtonHint
ButtonKind
ButtonNumGlyphs
ButtonShortCut
ButtonVisible
ButtonWidth
Enabled
FlatButtonColor
FlatButtons
HideButtonsOnReadOnly


TRzCustomButtonEdit

TRzCustomButtonEdit is the base class implementing an enhanced single-line edit control containing two embedded button controls.

Description

Do not create instances of TRzCustomButtonEdit--use TRzButtonEdit instead.


TRzCustomButtonEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzCustomButtonEdit.About Example
TRzCustomButtonEdit


TRzCustomButtonEdit.AllowKeyEdit

Determines if user is allowed to type into the edit area.

Declaration
property AllowKeyEdit: Boolean default True;

__property bool AllowKeyEdit

Description

Set this property to True to allow a user to type into the edit portion of the control. When this property is False, only the buttons (or arrow keys for spin edits) can be used to modify the value.


Raize Components 6

TRzCustomButtonEdit.AllowKeyEdit Example
TRzCustomButtonEdit


TRzCustomButtonEdit.AltBtn

Provides access to alternate button control.

Declaration
property AltBtn: TSpeedButton index 1;

__property Buttons::TSpeedButton *AltBtn

Description

This read-only property provides runtime access to the alternate speed button used in a button edit component.


Raize Components 6

TRzCustomButtonEdit.AltBtn Example
TRzCustomButtonEdit


TRzCustomButtonEdit.AltBtnGlyph

Specifies bitmap used in alternate button.

Declaration
property AltBtnGlyph: TBitmap stored IsCustomAltBtnGlyph;

__property Graphics::TBitmap *AltBtnGlyph

Description

Use this property to specify a new bitmap for the alternate button in a button edit component.


Raize Components 6

TRzCustomButtonEdit.AltBtnGlyph Example
TRzCustomButtonEdit


TRzCustomButtonEdit.AltBtnHint

Specifies hint for alternate button.

Declaration
property AltBtnHint: string;

__property AnsiString AltBtnHint

Description

Use this property to specify a new hint to be displayed for the alternate button in a button edit component.


Raize Components 6

TRzCustomButtonEdit.AltBtnHint Example
TRzCustomButtonEdit


TRzCustomButtonEdit.AltBtnKind

Specifies style for alternate button.

Declaration
property AltBtnKind: TButtonKind default bkLookup;

__property TButtonKind AltBtnKind

Description

Use this property to specify the glyph displayed on the alternate button in a button edit component. There are several different glyphs available. In addition, the AltBtnGlyph property can be used to specify a custom bitmap. In this case, the AltBtnKind property is automatically set to bkCustom.


Raize Components 6

TRzCustomButtonEdit.AltBtnKind Example
TRzCustomButtonEdit


TRzCustomButtonEdit.AltBtnNumGlyphs

Specifies number of glyphs in AltBtnGlyph.

Declaration
property AltBtnNumGlyphs: TNumGlyphs default 2;

__property Buttons::TNumGlyphs AltBtnNumGlyphs

Description

Use this property to specify the number of glyphs embedded in the AltBtnGlyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the button. The first glyph is used for the normal Up state. The second one is used when the button is Disabled, and the third is used for the Down state. The last glyph is used when the button can be kept in the Down state. This last glyph is not used by the button edit components.


Raize Components 6

TRzCustomButtonEdit.AltBtnNumGlyphs Example
TRzCustomButtonEdit


TRzCustomButtonEdit.AltBtnShortCut

Specifies short cut for alternate button.

Declaration
property AltBtnShortCut: TShortCut default scNone;

__property Classes::TShortCut AltBtnShortCut

Description

Use this property to specify a keyboard shortcut that will invoke the same action as if the alternate button of a button edit component were clicked with the mouse.


Raize Components 6

TRzCustomButtonEdit.AltBtnShortCut Example
TRzCustomButtonEdit


TRzCustomButtonEdit.AltBtnVisible

Determines if alternate button is visible.

Declaration
property AltBtnVisible: Boolean default False;

__property bool AltBtnVisible

Description

Use this property to show or hide the alternate button in a button edit component.


Raize Components 6

TRzCustomButtonEdit.AltBtnVisible Example
TRzCustomButtonEdit


TRzCustomButtonEdit.AltBtnWidth

Specifies width of alternate button.

Declaration
property AltBtnWidth: Integer default 17;

__property int AltBtnWidth

Description

Use this property to specify the width of the alternate button in a button edit component.


Raize Components 6

TRzCustomButtonEdit.AltBtnWidth Example
TRzCustomButtonEdit


TRzCustomButtonEdit.Button

Provides access to primary button control.

Declaration
property Button: TSpeedButton;

__property Buttons::TSpeedButton *Button

Description

This read-only property provides runtime access to the primary speed button used in a button edit component.


Raize Components 6

TRzCustomButtonEdit.Button Example
TRzCustomButtonEdit


TRzCustomButtonEdit.ButtonGlyph

Specifies bitmap used in primary button.

Declaration
property ButtonGlyph: TBitmap;

__property Graphics::TBitmap *ButtonGlyph

Description

Use this property to specify a new bitmap for the primary button in a button edit component.


Raize Components 6

TRzCustomButtonEdit.ButtonGlyph Example
TRzCustomButtonEdit


TRzCustomButtonEdit.ButtonHint

Specifies hint for primary button.

Declaration
property ButtonHint: string;

__property AnsiString ButtonHint

Description

Use this property to specify a new hint to be displayed for the primary button in a button edit component.


Raize Components 6

TRzCustomButtonEdit.ButtonHint Example
TRzCustomButtonEdit


TRzCustomButtonEdit.ButtonKind

Specifies style for primary button.

Declaration
property ButtonKind: TButtonKind default bkLookup;

__property TButtonKind ButtonKind

Description

Use this property to specify the glyph displayed on the primary button in a button edit component. There are several different glyphs available. In addition, the ButtonGlyph property can be used to specify a custom bitmap. In this case, the ButtonKind property is automatically set to bkCustom.


Raize Components 6

TRzCustomButtonEdit.ButtonKind Example
TRzCustomButtonEdit


TRzCustomButtonEdit.ButtonNumGlyphs

Specifies number of glyphs in ButtonGlyph.

Declaration
property ButtonNumGlyphs: TNumGlyphs default 2;

__property Buttons::TNumGlyphs ButtonNumGlyphs

Description

Use this property to specify the number of glyphs embedded in the ButtonGlyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the button. The first glyph is used for the normal Up state. The second one is used when the button is Disabled, and the third is used for the Down state. The last glyph is used when the button can be kept in the Down state. This last glyph is not used by the button edit components.


Raize Components 6

TRzCustomButtonEdit.ButtonNumGlyphs Example
TRzCustomButtonEdit


TRzCustomButtonEdit.ButtonShortCut

Specifies short cut for primary button.

Declaration
property ButtonShortCut: TShortCut default vk_F4;

__property Classes::TShortCut ButtonShortCut

Description

Use this property to specify a keyboard shortcut that will invoke the same action as if the primary button of a button edit component were clicked with the mouse. By default, this property is set to F4.


Raize Components 6

TRzCustomButtonEdit.ButtonShortCut Example
TRzCustomButtonEdit


TRzCustomButtonEdit.ButtonVisible

Determines if primary button is visible.

Declaration
property ButtonVisible: Boolean default True;

__property bool ButtonVisible

Description

Use this property to show or hide the primary button in a button edit component.


Raize Components 6

TRzCustomButtonEdit.ButtonVisible Example
TRzCustomButtonEdit


TRzCustomButtonEdit.ButtonWidth

Specifies width of primary button.

Declaration
property ButtonWidth: Integer default 17;

__property int ButtonWidth

Description

Use this property to specify the width of the primary button.


Raize Components 6

TRzCustomButtonEdit.ButtonWidth Example
TRzCustomButtonEdit


Raize Components 6

TRzCustomButtonEdit Events
TRzCustomButtonEdit

Public
OnAltBtnClick
OnButtonClick


TRzCustomButtonEdit.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

TRzCustomButtonEdit.FlatButtonColor Example
TRzCustomButtonEdit


TRzCustomButtonEdit.HideButtonsOnReadOnly

Determines if embedded buttons are hidden when ReadOnly is True.

Declaration
property HideButtonsOnReadOnly: Boolean default True;

__property bool HideButtonsOnReadOnly

Description

Use this property to hide or show the embedded buttons when the ReadOnly property is set to True.


Raize Components 6

TRzCustomButtonEdit.HideButtonsOnReadOnly Example
TRzCustomButtonEdit


TRzCustomButtonEdit.OnAltBtnClick

Occurs whenever the alternate button in a button edit component gets pressed.

Declaration
property OnAltBtnClick: TNotifyEvent;

__property Classes::TNotifyEvent OnAltBtnClick

Description

This event occurs whenever the alternate button in a button edit component gets pressed.


Raize Components 6

TRzCustomButtonEdit.OnAltBtnClick Example
TRzCustomButtonEdit


TRzCustomButtonEdit.OnButtonClick

Occurs whenever the primary button in a button edit component gets pressed.

Declaration
property OnButtonClick: TNotifyEvent;

__property Classes::TNotifyEvent OnButtonClick

Description

For button edits, this event occurs whenever the primary button in a button edit component gets pressed.


Raize Components 6

TRzCustomButtonEdit.OnButtonClick Example
TRzCustomButtonEdit


Raize Components 6

TRzCustomButtonEdit Properties
TRzCustomButtonEdit

Public
About
Alignment
AllowKeyEdit
AltBtn
AltBtnGlyph
AltBtnHint
AltBtnKind
AltBtnNumGlyphs
AltBtnShortCut
AltBtnVisible
AltBtnWidth
Button
ButtonGlyph
ButtonHint
ButtonKind
ButtonNumGlyphs
ButtonShortCut
ButtonVisible
ButtonWidth
Enabled
FlatButtonColor
HideButtonsOnReadOnly


RzButton

RzButton File
List of Units

Unit Classes

TRzBevelWidth |
TRzBitBtn | TRzBitBtn is a custom TRzButton that supports displaying images.
TRzButton | TRzButton is a custom VCL push button control.
TRzCaptionPosition |
TRzCustomButton | TRzCustomButton is the base class for push buttons, radio buttons, and check boxes in Raize Components.
TRzMenuButton | TRzMenuButton is a specialized push button for displaying a drop-down menu.
TRzMenuToolbarButton | TRzMenuToolbarButton is a specialized TRzToolbarButton for displaying a drop-down menu.
TRzShapeButton | TRzShapeButton is a custom button control that determines its shape form a specified bitmap image.
TRzToolbarButton | TRzToolbarButton is an enhanced TSpeedButton.
TRzToolButton | TRzToolButton is a custom button controls specially designed for use in toolbars.
TRzToolButtonState |
TRzToolStyle |


TRzBevelWidth

Unit
RzButton

Declaration
TRzBevelWidth=0..2;

typedef Shortint TRzBevelWidth;

Description

.


TRzBitBtn.DisabledIndex

Specifies the image to use when the control is disabled.

Declaration
property DisabledIndex: TImageIndex;

__property Imglist::TImageIndex DisabledIndex

Description

Use DisabledIndex to specify an alternate image to be displayed when the control is disabled.


Raize Components 6

TRzBitBtn.DisabledIndex Example
TRzBitBtn


TRzBitBtn.Glyph

Specifies the bitmap image to display.

Declaration
property Glyph: TBitmap;

__property Graphics::TBitmap *Glyph

Description

Use Glyph to specify a separate bitmap file that contains the image to display.


Raize Components 6

TRzBitBtn.Glyph Example
TRzBitBtn


TRzBitBtn.ImageIndex

Specifies the image to use when the control is in a normal state.

Declaration
property ImageIndex: TImageIndex;

__property Imglist::TImageIndex ImageIndex

Description

Use ImageIndex to specify the image to be displayed when the control is in a normal state.


Raize Components 6

TRzBitBtn.ImageIndex Example
TRzBitBtn


TRzBitBtn.Images

Specifies an associated image list.

Declaration
property Images: TCustomImageList;

__property Imglist::TCustomImageList *Images

Description

Use Images to connect the control to an image list control.


Raize Components 6

TRzBitBtn.Images Example
TRzBitBtn


TRzBitBtn.Kind

Specifies the kind of bitmap to be displayed.

Declaration
property Kind: TBitBtnKind default bkCustom;

__property Buttons::TBitBtnKind Kind

Description

Use Kind to select a predefined bitmap image.


Raize Components 6

TRzBitBtn.Kind Example
TRzBitBtn


TRzBitBtn.Layout

Specifies the relative position between an image and some text.

Declaration
property Layout: TButtonLayout default blGlyphLeft;

__property Buttons::TButtonLayout Layout

Description

Value Meaning

blGlyphLeft The image appears near the left side of the button.

blGlyphRight The image appears near the right side of the button.

blGlyphTop The image appears near the top of the button.

blGlyphBottom The image appears near the bottom of the button.


Raize Components 6

TRzBitBtn.Layout Example
TRzBitBtn


TRzBitBtn.Margin

Specifies the distance between the image and border.

Declaration
property Margin: Integer default 2;

__property int Margin

Description

Use Margin to change the position of the image relative to the border.


Raize Components 6

TRzBitBtn.Margin Example
TRzBitBtn


TRzBitBtn.NumGlyphs

Specifies the numer of separate images (glyphs) that are represented by the Glyph bitmap.

Declaration
property NumGlyphs: TNumGlyphs default 1;

__property Buttons::TNumGlyphs NumGlyphs

Description

Use this property to specify the number of glyphs embedded in the Glyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the control. The first glyph is used for the normal Up state. The second one is used when the control is Disabled, and the third is used for the Down state. The last glyph is used when the control can be kept in the Down state (such as a button). This last glyph is not used by the glyph status component.


Raize Components 6

TRzBitBtn.NumGlyphs Example
TRzBitBtn


Raize Components 6

TRzBitBtn Properties
TRzBitBtn

Public
Cancel
Caption
Default
DisabledIndex
Glyph
ImageIndex
Images
Kind
Layout
Margin
ModalResult
NumGlyphs
Spacing


TRzBitBtn.Spacing

Specifies the distance between the image and the caption.

Declaration
property Spacing: Integer default 4;

__property int Spacing

Description

Use Spacing to control the spacing between the image and the caption.


Raize Components 6

TRzBitBtn.Spacing Example
TRzBitBtn


TRzButton.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzButton.About Example
TRzButton


TRzButton.Alignment

Specifies the horizontal alignement of text.

Declaration
property Alignment: TAlignment default taCenter;

__property Classes::TAlignment Alignment

Description

Use Alignment to change the way the text is displayed in the control. Alignment can take one of the following values:

Value Meaning

taLeftJustify Align text to the left side of the control

taCenter Center text horizontally in the control.

taRightJustify Align text to the right side of the control.


Raize Components 6

TRzButton.Alignment Example
TRzButton


TRzButton.AllowAllUp

Determines if all buttons in the group can be "Up".

Declaration
property AllowAllUp: Boolean default False;

__property bool AllowAllUp

Description

Use AllowAllUp with a group of buttons that belong to the same group. Speed buttons belong to the same group if they have the same value on their GroupIndex property. Buttons in the same group behave in a mutually exclusive fashion: when one button in the group is selected (down), all other buttons in the group become unselected (up).

If AllowAllUp is True, all of the speed buttons in a group can be unselected at the same time. Clicking the single selected button in the group will deselect that button without selecting another. If AllowAllUp is False, exactly one of the buttons in the group must be selected at any time. Clicking a down button won't return the button to its up state.

Changing the value of the AllowAllUp property for one speed button in a group changes the AllowAllUp value for all buttons in the group.

Note: If GroupIndex is zero, AllowAllUp has no effect.


Raize Components 6

TRzButton.AllowAllUp Example
TRzButton


TRzButton.Cancel

Determines if button is clicked when user presses Escape.

Declaration
property Cancel: Boolean default False;

__property bool Cancel

Description

If Cancel is True, the buttons OnClick event handler executes when the user presses Esc. Although an application can have more than one Cancel button, the form calls the OnClick event handler only for the first visible button in the tab order.


Raize Components 6

TRzButton.Cancel Example
TRzButton


TRzButton.Click
TRzButton Methods

Declaration
procedure Click; override;

Description

Event dispatch method that generates the OnClick event.


Raize Components 6

TRzButton.Click Example
TRzButton


TRzButton.Default

Determines if button is clicked when user presses Enter.

Declaration
property Default: Boolean default False;

__property bool Default

Description

If Default is True, the buttons OnClick event handler executes when the user presses Enter.

Although an application can have more than one Default button, the form calls the OnClick event handler only for the first visible button in the tab order. Moreover, any button that has focus becomes the Default button temporarily; hence, if the user selects another button before pressing Enter, the selected buttons OnClick event handler executes instead.


Raize Components 6

TRzButton.Default Example
TRzButton


TRzButton.Down

Determines if button is in the "down" state when part of a group.

Declaration
property Down: Boolean default False;

__property bool Down

Description

Use Down to determine if the button is down or not. This property can also be used to change the state of the button by changing its value. This property works the same as the Down properties in TSpeedButton and TToolButton.


Raize Components 6

TRzButton.Down Example
TRzButton


TRzButton.DropDownOnEnter

Determines if drop-down menu is displayed when Enter key is pressed.

Declaration
property DropDownOnEnter: Boolean default True;

Description

This property controls what happens when the enter key is pressed when the button is pressed. When true, the drop-down menu (in a TRzMenuButton) is displayed when the Enter key is pressed.


Raize Components 6

TRzButton.DropDownOnEnter Example
TRzButton


Raize Components 6

TRzButton Events
TRzButton

Public


TRzButton.FrameColor

Specifies color of solid frame.

Declaration
property FrameColor: TColor default cl3DDkShadow;

Description

Use this property to specify the color to be used in drawing the solid frame around the button when the HotTrack style is used.


Raize Components 6

TRzButton.FrameColor Example
TRzButton


TRzButton.GroupIndex

Specifies that control is part of a group.

Declaration
property GroupIndex: Integer default 0;

__property int GroupIndex

Description

Set GroupIndex to determine how the button behaves when clicked.

When GroupIndex is 0, the button behaves independently of all other buttons on the form. When the user clicks such a speed button, the button appears pressed (in its clicked state) and then returns to its normal up state when the user releases the mouse button.

When GroupIndex is greater than 0, the button remains selected (in its down state) when clicked by the user. When the user clicks a selected button, it returns to the up state, unless Caption is False. Setting the GroupIndex property of a single speed button to a value greater than 0 causes the button to behave as a two-state button when Caption is True.

Speed buttons with the same GroupIndex property value (other than 0), work together as a group. When the user clicks one of these buttons, it remains selected until the user clicks another speed button belonging to the same group. Speed buttons used in this way can present mutually exclusive choices to the user.


Raize Components 6

TRzButton.GroupIndex Example
TRzButton


Raize Components 6

TRzButton Methods
TRzButton

Public
Click


TRzButton.ModalResult

Specifies result value returned from modal dialog box when pressed.

Declaration
property ModalResult: TModalResult default mrNone;

__property Controls::TModalResult ModalResult

Description

Setting the TButton components ModalResult property is an easy way to make clicking the button close a modal form. When a button is clicked, the ModalResult property of its parent form is set to the same value as the buttons ModalResult property.

For example, if a dialog box has OK and Cancel buttons, their ModalResult properties could be set at design time to mrOk and mrCancel, respectively. At runtime, clicking the OK button then changes the dialogs ModalResult property to mrOk, and clicking the Cancel button changes the dialogs ModalResult property to mrCancel. Unless further processing is required, no OnClick event handlers are required for the buttons.


Raize Components 6

TRzButton.ModalResult Example
TRzButton


Raize Components 6

TRzButton Properties
TRzButton

Public
About
Action
Align
Alignment
AlignmentVertical
AllowAllUp
Anchors
BiDiMode
Cancel
Caption
Color
Constraints
Default
Down
DragCursor
DragKind
DragMode
DropDownOnEnter
Enabled
Font
FrameColor
GroupIndex
Height
HelpContext
HighlightColor
Hint
HotTrack
HotTrackColor
HotTrackColorType
LightTextStyle
ModalResult
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ShowDownPattern
ShowFocusRect
ShowHint
TabOrder
TabStop
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
ThemeAware
Visible
Width


TRzButton.ShowDownPattern

Determines if dithered pattern is displayed when button is in "down" state.

Declaration
property ShowDownPattern: Boolean default True;

__property bool ShowDownPattern

Description

This property determines whether or not the component displays a dithered pattern behind the bitmap when the button is in the "down" state. When using non-rectangular shaped button bitmaps, you will probably want to set ShowDownPattern to False.


Raize Components 6

TRzButton.ShowDownPattern Example
TRzButton


TRzButton.ShowFocusRect

Determines if focus rectangle appears when control has input focus.

Declaration
property ShowFocusRect: Boolean default True;

__property bool ShowFocusRect

Description

This property controls whether or not the button indicates that it has the input focus. When True, the button displays a focus rectangle whenever it has the input focus.


Raize Components 6

TRzButton.ShowFocusRect Example
TRzButton


TRzCaptionPosition

Unit
RzButton

Declaration
TRzCaptionPosition =(cpCentered, cpXY);

Description

Value Meaning

cpCentered:

cpXY:


TRzCustomButton

TRzCustomButton is the base class for push buttons, radio buttons, and check boxes in Raize Components.

Unit
RzButton

Declaration
TRzCustomButton=Class(TCustomControl);

Description

Do not create instances of TRzCustomButton--use TRzButton , TRzBitBtn , TRzMenuButton , TRzRadioButton , or TRzCheckBox .


TRzCustomButton.AlignmentVertical

Specifies the vertical alignment position.

Declaration
property AlignmentVertical: TAlignmentVertical default avCenter;

__property Rzcommon::TAlignmentVertical AlignmentVertical

Description

Use this property to change the vertical alignment of the caption. The caption can be positioned at the top, center, or bottom of the component's bounding rectangle.


Raize Components 6

TRzCustomButton.AlignmentVertical Example
TRzCustomButton


Raize Components 6

TRzCustomButton Events
TRzCustomButton

Public
OnMouseEnter
OnMouseLeave

Protected
OnMouseEnter
OnMouseLeave


TRzCustomButton.HighlightColor

Specifies the color used to display a "selected" portion of the control.

Declaration
property HighlightColor: TColor default clHighlight;

__property Graphics::TColor HighlightColor

Description

Use HighlightColor to specify the color to be used to draw a highlighted portion of the control. For radio buttons and check boxes, this would be the check or dot. For page controls and tab controls, this would be the highlight bar at the edge of the tab.


Raize Components 6

TRzCustomButton.HighlightColor Example
TRzCustomButton


TRzCustomButton.HotTrack

Determines if the control changes its appearance as the mouse is moved over the control.

Declaration
property HotTrack: Boolean default False;

__property bool HotTrack

Description

Set HotTrack to True to display an additional border around a control when the mouse is positioned over the control.


Raize Components 6

TRzCustomButton.HotTrack Example
TRzCustomButton


TRzCustomButton.HotTrackColor

Specifies the color to be used when drawing the control in a "hot" state.

Declaration
property HotTrackColor: TColor default xpHotTrackColor;

__property Graphics::TColor HotTrackColor

Description

Use HotTrackColor to specify the color to be used when drawing the control in the HotTrack state. That is, when the mouse is positioned over the control.


Raize Components 6

TRzCustomButton.HotTrackColor Example
TRzCustomButton


TRzCustomButton.HotTrackColorType

Determines how the HotTrackColor property value is interpretted by the control.

Declaration
property HotTrackColorType: TRzHotTrackColorType default htctActual;

__property Rzcommon::TRzHotTrackColorType HotTrackColorType

Description

Use HotTrackColorType to specify whether or not the HotTrackColor property value should be adjusted when being displayed by the control. There are two possible values for this property as described below. The default value is htctComplement:

Value Meaning

htctComplement The HotTrackColor property value is not used directly when painting the control. Instead, the complement color to the property value is used. For example, if a blue color is specified for the HotTrackColor property, the color displayed by the control will be an orange color. This behavior makes it much easier to define a set of colors that will work well together regardless of the color scheme specified by the user.

htctActual The actual HotTrackColor property value specified in used when painting the control. No adjustments are made to the color. This setting is useful if you wish to use a specific color for hot tracking.


Raize Components 6

TRzCustomButton.HotTrackColorType Example
TRzCustomButton


TRzCustomButton.LightTextStyle

Determines if 3D appearance of text is made to be more subtle.

Declaration
property LightTextStyle: Boolean default False;

__property bool LightTextStyle

Description

When this property is set to True, only the HighlightColor is used to give the caption a three dimensional appearance.


Raize Components 6

TRzCustomButton.LightTextStyle Example
TRzCustomButton


TRzCustomButton.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzCustomButton.OnMouseEnter Example
TRzCustomButton


TRzCustomButton.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzCustomButton.OnMouseLeave Example
TRzCustomButton


Raize Components 6

TRzCustomButton Properties
TRzCustomButton

Protected
AlignmentVertical
HighlightColor
HotTrack
HotTrackColor
HotTrackColorType
LightTextStyle
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
ThemeAware
Transparent


TRzCustomButton.TextHighlightColor

Specifies the color to be used in displaying (3D) highlighted areas of text.

Declaration
property TextHighlightColor: TColor default clBtnHighlight;

__property Graphics::TColor TextHighlightColor

Description

Use this property to specify the highlight color used in the 3D text styles.


Raize Components 6

TRzCustomButton.TextHighlightColor Example
TRzCustomButton


TRzCustomButton.TextShadowColor

Specifies the color to be used in displaying (3D) shadow areas of text.

Declaration
property TextShadowColor: TColor default clBtnShadow;

__property Graphics::TColor TextShadowColor

Description

Use this property to specify the shadow color used in the 3D text styles.


Raize Components 6

TRzCustomButton.TextShadowColor Example
TRzCustomButton


TRzCustomButton.TextShadowDepth

Specifies the depth (in pixels) the text shadow appears below the text.

Declaration
property TextShadowDepth: Integer default 2;

__property int TextShadowDepth

Description

Use this property to specify how far down and to the right the shadow text will be displayed from the main text. This property is only applicable when TextStyle is set to tsShadow.


Raize Components 6

TRzCustomButton.TextShadowDepth Example
TRzCustomButton


TRzCustomButton.TextStyle

Specifies the 3D style used to display the control's Caption.

Declaration
property TextStyle: TTextStyle default tsNormal;

__property Rzcommon::TTextStyle TextStyle

Description

Use this property to change the 3D style of the component's caption. The four possible values are: tsNormal, tsRaised, tsRecessed, and tsShadow.


Raize Components 6

TRzCustomButton.TextStyle Example
TRzCustomButton


TRzCustomButton.ThemeAware

Determines if the control uses Windows XP Themes if available.

Declaration
property ThemeAware: Boolean default True;

Description

When ThemeAware is True and Windows XP Themes are available to the application, the component will display itself according to active theme. This property has no effect if Windows XP Themes are not available.


Raize Components 6

TRzCustomButton.ThemeAware Example
TRzCustomButton


TRzCustomButton.Transparent

Determines if the control appears transparent.

Declaration
property Transparent: Boolean default False;

__property bool Transparent

Description

When this property is set to True, the background behind the control shows through.


Raize Components 6

TRzCustomButton.Transparent Example
TRzCustomButton


TRzMenuButton.DropDownMenu

Declaration
property DropDownMenu: TPopupMenu;

__property Menus::TPopupMenu *DropDownMenu

Description

Use this property to specify the TPopupMenu component that will be displayed when the user clicks this component.


Raize Components 6

TRzMenuButton.DropDownMenu Example
TRzMenuButton


TRzMenuButton.DropDownOnEnter

Declaration
property DropDownOnEnter: Boolean default True;

__property bool DropDownOnEnter

Description

Use this property to control whether pressing the Enter key while the button has the focus causes the associated DropDownMenu to be displayed (the default), or invokes the associated OnClick event.


Raize Components 6

TRzMenuButton.DropDownOnEnter Example
TRzMenuButton


Raize Components 6

TRzMenuButton Events
TRzMenuButton

Public
OnDropDown


TRzMenuButton.OnDropDown
TRzMenuButton Events

Declaration
property OnDropDown: TNotifyEvent;

__property Classes::TNotifyEvent OnDropDown

Description

Write an OnDropDown event handler to implement special processing that needs to occur only when the drop-down list is activated.


Raize Components 6

TRzMenuButton.OnDropDown Example
TRzMenuButton


Raize Components 6

TRzMenuButton Properties
TRzMenuButton

Public
DropDownMenu
DropDownOnEnter
ShowArrow
Width


TRzMenuButton.ShowArrow

Declaration
property ShowArrow: Boolean default True;

__property bool ShowArrow

Description

This property controls whether the button displays a down arrow indicating that a popup menu will be displayed when the button is clicked.


Raize Components 6

TRzMenuButton.ShowArrow Example
TRzMenuButton


TRzMenuToolbarButton.DoDropDown
TRzMenuToolbarButton Methods

Declaration
procedure DoDropDown; virtual;

virtual void __fastcall DoDropDown(void)

Description

Use DoDropDown to programmatically invoke the drop-down menu.


Raize Components 6

TRzMenuToolbarButton.DoDropDown Example
TRzMenuToolbarButton


TRzMenuToolbarButton.DropDownMenu

Declaration
property DropDownMenu: TPopupMenu;

__property Menus::TPopupMenu *DropDownMenu

Description

Use this property to specify the TPopupMenu component that will be displayed when the user clicks this component.


Raize Components 6

TRzMenuToolbarButton.DropDownMenu Example
TRzMenuToolbarButton


Raize Components 6

TRzMenuToolbarButton Events
TRzMenuToolbarButton

Public
OnDropDown


Raize Components 6

TRzMenuToolbarButton Methods
TRzMenuToolbarButton

Public
DoDropDown


TRzMenuToolbarButton.OnDropDown
TRzMenuToolbarButton Events

Declaration
property OnDropDown: TNotifyEvent;

__property Classes::TNotifyEvent OnDropDown

Description

Write an OnDropDown event handler to implement special processing that needs to occur only when the drop-down list is activated.


Raize Components 6

TRzMenuToolbarButton.OnDropDown Example
TRzMenuToolbarButton


Raize Components 6

TRzMenuToolbarButton Properties
TRzMenuToolbarButton

Public
DragMode
DropDownMenu
Margin
ShowArrow
Width


TRzMenuToolbarButton.ShowArrow

Declaration
property ShowArrow: Boolean default True;

__property bool ShowArrow

Description

This property controls whether the button displays a down arrow indicating that a popup menu will be displayed when the button is clicked.


Raize Components 6

TRzMenuToolbarButton.ShowArrow Example
TRzMenuToolbarButton


TRzShapeButton.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzShapeButton.About Example
TRzShapeButton


TRzShapeButton.AutoSize

Declaration
property AutoSize: Boolean default True;

__property bool AutoSize

Description

The AutoSize property determines whether the component automatically resizes to match the size of the bitmap assigned to the Bitmap property. The default value is True.


Raize Components 6

TRzShapeButton.AutoSize Example
TRzShapeButton


TRzShapeButton.BevelHighlightColor

Declaration
property BevelHighlightColor: TColor default clBtnHighlight;

__property Graphics::TColor BevelHighlightColor

Description

The BevelHightlightColor property determines the color used for the highlighted part of the 3D bevel effect applied to the bitmap's outline. The default value is clBtnHighlight.


Raize Components 6

TRzShapeButton.BevelHighlightColor Example
TRzShapeButton


TRzShapeButton.BevelShadowColor

Declaration
property BevelShadowColor: TColor default clBtnShadow;

__property Graphics::TColor BevelShadowColor

Description

The BevelShadowColor property determines the color used for the shadowed part of the 3D bevel effect applied to the bitmap's outline. The default value is clBtnShadow.


Raize Components 6

TRzShapeButton.BevelShadowColor Example
TRzShapeButton


TRzShapeButton.BevelWidth

Declaration
property BevelWidth: TRzBevelWidth default 2;

__property TRzBevelWidth BevelWidth

Description

The BevelWidth property determines the width of the 3D bevel effect applied to the bitmap's outline. The default (and maximum) value is 2.


Raize Components 6

TRzShapeButton.BevelWidth Example
TRzShapeButton


TRzShapeButton.Bitmap

Declaration
property Bitmap: TBitmap;

__property Graphics::TBitmap *Bitmap

Description

The Bitmap property of TRzShapeButton components determines the shape, color and texture of the button. Areas of the bitmap which are the transparent color will not be shown, allowing the background to be seen. If using an automatic 3D bevel effect (BevelWidth > 0) then bitmaps with intricate outlines may not produce the desired effect -- using a narrower bevel may help. The bitmap used should also have a border (of the transparent color) of at least 3 pixels wide to prevent clipping from occurring when the 3D bevel effect is added.


Raize Components 6

TRzShapeButton.Bitmap Example
TRzShapeButton


TRzShapeButton.BitmapDown

Declaration
property BitmapDown: TBitmap;

__property Graphics::TBitmap *BitmapDown

Description

Run-time only. The read-only BitmapDown property allows access to the bitmap used for the 'down' state of the button.


Raize Components 6

TRzShapeButton.BitmapDown Example
TRzShapeButton


TRzShapeButton.BitmapUp

Declaration
property BitmapUp: TBitmap;

__property Graphics::TBitmap *BitmapUp

Description

Run-time only. The read-only BitmapUp property allows access to the bitmap used for the 'up' state of the button.


Raize Components 6

TRzShapeButton.BitmapUp Example
TRzShapeButton


TRzShapeButton.BorderColor

Declaration
property BorderColor: TColor default cl3DDkShadow;

__property Graphics::TColor BorderColor

Description

The BorderColor property determines the color of the border around the outline of the button. The default value is clBlack. If you don't want a border then you can set BorderColor to the transparent color color of the Bitmap.


Raize Components 6

TRzShapeButton.BorderColor Example
TRzShapeButton


TRzShapeButton.BorderStyle

Declaration
property BorderStyle: TBorderStyle default bsSingle;

__property Forms::TBorderStyle BorderStyle

Description

Use BorderStyle to affect the sharpness with which the client area of the control stands out. BorderStyle can have a value of either bsSingle or bsNone. If BorderStyle is bsSingle, the edit control has a single-line border around the client area. If BorderStyle is bsNone, there will be no border.


Raize Components 6

TRzShapeButton.BorderStyle Example
TRzShapeButton


TRzShapeButton.CaptionPosition

Declaration
property CaptionPosition: TRzCaptionPosition default cpCentered;

__property TRzCaptionPosition CaptionPosition

Description

The CaptionPosition property determines where the button's Caption text will be displayed. The default value is cpCentered which will result in the caption being centered both horizontally and vertically within the button's rectangle. If you need to explicitly position the text, for example when using an irregularly shaped button, then set CaptionPosition to cpXY and specify the location using the CaptionX and CaptionY properties.


Raize Components 6

TRzShapeButton.CaptionPosition Example
TRzShapeButton


TRzShapeButton.CaptionX

Declaration
property CaptionX: Integer default 0;

__property int CaptionX

Description

The CaptionX property is only used when CaptionPosition has been set to cpXY and is used along with TextY to determine the location where the button's Caption text will be displayed. CaptionX specifies the horizontal coordinate relative to the left side of the button's client rectangle. The default value is 0.


Raize Components 6

TRzShapeButton.CaptionX Example
TRzShapeButton


TRzShapeButton.CaptionY

Declaration
property CaptionY: Integer default 0;

__property int CaptionY

Description

The CaptionY property is only used when Caption Position has been set to cpXY and is used along with TextX to determine the location where the button's Caption text will be displayed. Caption Y specifies the vertical coordinate relative to the top of the button's client rectangle. The default value is 0.


Raize Components 6

TRzShapeButton.CaptionY Example
TRzShapeButton


Raize Components 6

TRzShapeButton Events
TRzShapeButton

Public


TRzShapeButton.PreciseClick

Declaration
property PreciseClick: Boolean default True;

__property bool PreciseClick

Description

The PreciseClick property determines how the button will respond to mouse clicks and mouse pointer (cursor) movement. The default value is True. When PreciseClick is True any mouse clicks in the transparent areas of the button will be ignored and the mouse pointer will only change (if the Cursor property is other than crDefault) when over non-transparent areas of the button. When PreciseClick is False, the button is treated as though it were a regular rectangular shaped button. You may need to set PreciseClick to False if for example your users are confused when nothing happens when they click 'on' a button but over a transparent area (imagine a donut shape and they click in the hole) or if children use your program and you want to allow them to click on or near the button (within its rectangle).


Raize Components 6

TRzShapeButton.PreciseClick Example
TRzShapeButton


TRzShapeButton.PreciseShowHint

Declaration
property PreciseShowHint: Boolean default True;

__property bool PreciseShowHint

Description

The PreciseClick property determines whether hints will only be shown when the mouse pointer (cursor) is positioned over a non-transparent part of the button. The default value is True.

It is important to note that the effect of PreciseShowHint being True may not be quite what you expect -- because the Application may still display the hint for the parent (if the parent has ShowHint = True). Consider the situation where a TRzShapeButton has been placed over a TImage and the button, image and form all have ShowHint set to True. In this case PreciseShowHint will result in the hint for the form being shown (because it is the parent of the button) rather than the hint for the image when the cursor is positioned over the transparent parts of the button.


Raize Components 6

TRzShapeButton.PreciseShowHint Example
TRzShapeButton


Raize Components 6

TRzShapeButton Properties
TRzShapeButton

Public
About
Anchors
AutoSize
BevelHighlightColor
BevelShadowColor
BevelWidth
Bitmap
BitmapDown
BitmapUp
BorderColor
BorderStyle
Caption
CaptionPosition
CaptionX
CaptionY
Constraints
DragCursor
DragMode
Enabled
Font
ParentFont
ParentShowHint
PreciseClick
PreciseShowHint
ShowHint
Visible


TRzToolbarButton.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzToolbarButton.About Example
TRzToolbarButton


TRzToolbarButton.Caption

Specifies the text to display on the control.

Declaration
property Caption: TCaption;

__property AnsiString Caption

Description

Use Caption to specify the text string that labels the control.

To underline a character in a Caption that labels a component, include an ampersand (&) before the character. This type of character is called an accelerator character. The user can then select the component by pressing Alt while typing the underlined character. To display an ampersand character in the caption, use two ampersands (&&).

Note: Controls that display text use either the Caption property or the Text property to specify the text value. Which property is used depends on the type of control. In general, Caption is used for text that appears as a window title or label, while Text is used for text that appears as the content of a control.


Raize Components 6

TRzToolbarButton.Caption Example
TRzToolbarButton


Raize Components 6

TRzToolbarButton Events
TRzToolbarButton

Public
OnMouseEnter
OnMouseLeave


TRzToolbarButton.HotGlyph

Declaration
property HotGlyph: TBitmap;

__property Graphics::TBitmap *HotGlyph

Description

Use this property to specify a different bitmap to be displayed on the button when the mouse is positioned over the button. For example, you could specify a gray-scale bitmap in the standard Glyph property, and then specify a color version of the bitmap for the HotGlyph property. This allows your button to mimic the behavior of the buttons in Internet Explorer and other applications. Note that the HotGlyph is only used if the UseHotGlyph property is True.


Raize Components 6

TRzToolbarButton.HotGlyph Example
TRzToolbarButton


TRzToolbarButton.HotNumGlyphs

Declaration
property HotNumGlyphs: TNumGlyphs default 1;

__property Buttons::TNumGlyphs HotNumGlyphs

Description

Use this property to specify the number of glyphs that are embedded in the HotGlyph bitmap. Please note that the toolbar buttons only use the first glyph in the HotGlyph.


Raize Components 6

TRzToolbarButton.HotNumGlyphs Example
TRzToolbarButton


TRzToolbarButton.IgnoreActionCaption

Declaration
property IgnoreActionCaption: Boolean default False;

__property bool IgnoreActionCaption

Description

This property is only meaningful in Delphi 4 and later versions of the VCL, and when using Action Lists and Actions. This property overcomes a problem that occurs when using Actions and speed buttons. Specifically, if an Action specifies its Caption property (which it usually does) and that action is assigned to the Action property of a TSpeedButton, then the Caption of the action is copied to the Caption of the speed button. Unfortunately, for toolbar buttons, this may not be desired, and to make matters worse, even if you delete the captions at design-time, the captions will still be present at runtime.

The IgnoreActionCaption property, when set to True, allows you to assign an Action to a toolbar button, but ignores the Caption specified by the Action.


Raize Components 6

TRzToolbarButton.IgnoreActionCaption Example
TRzToolbarButton


TRzToolbarButton.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzToolbarButton.OnMouseEnter Example
TRzToolbarButton


TRzToolbarButton.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzToolbarButton.OnMouseLeave Example
TRzToolbarButton


Raize Components 6

TRzToolbarButton Properties
TRzToolbarButton

Public
About
Caption
Flat
HotGlyph
HotNumGlyphs
IgnoreActionCaption
ShowCaption
UseHotGlyph


TRzToolbarButton.ShowCaption

Declaration
property ShowCaption: Boolean default True;

__property bool ShowCaption

Description

Use ShowCaption to specify if the Caption should be displayed.


Raize Components 6

TRzToolbarButton.ShowCaption Example
TRzToolbarButton


TRzToolbarButton.UseHotGlyph

Declaration
property UseHotGlyph: Boolean default False;

__property bool UseHotGlyph

Description

Set this property to True to allow the toolbar button to display the bitmap specified in the HotGlyph property whenever the user positions the mouse over the button.


Raize Components 6

TRzToolbarButton.UseHotGlyph Example
TRzToolbarButton


TRzToolButton.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzToolButton.About Example
TRzToolButton


TRzToolButton.Alignment

Specifies the horizontal alignement of text.

Declaration
property Alignment: TAlignment default taCenter;

Description

Use Alignment to change the way the text is displayed in the control. Alignment can take one of the following values:

Value Meaning

taLeftJustify Align text to the left side of the control

taCenter Center text horizontally in the control.

taRightJustify Align text to the right side of the control.


Raize Components 6

TRzToolButton.Alignment Example
TRzToolButton


TRzToolButton.AllowAllUp

Declaration
property AllowAllUp: Boolean default False;

__property bool AllowAllUp

Description

Use AllowAllUp with a group of buttons that belong to the same group. Speed buttons belong to the same group if they have the same value on their GroupIndex property. Buttons in the same group behave in a mutually exclusive fashion: when one button in the group is selected (down), all other buttons in the group become unselected (up).

If AllowAllUp is True, all of the speed buttons in a group can be unselected at the same time. Clicking the single selected button in the group will deselect that button without selecting another. If AllowAllUp is False, exactly one of the buttons in the group must be selected at any time. Clicking a down button won't return the button to its up state.

Changing the value of the AllowAllUp property for one speed button in a group changes the AllowAllUp value for all buttons in the group.

Note: If GroupIndex is zero, AllowAllUp has no effect.


Raize Components 6

TRzToolButton.AllowAllUp Example
TRzToolButton


TRzToolButton.DisabledImages

Specifies an associated image list containing disabled images.

Declaration
property DisabledImages: TCustomImageList;

__property Imglist::TCustomImageList *DisabledImages

Description

Use DisabledImages to specify a separate image list that contains the disabled versions of images contained in the Images image list.


Raize Components 6

TRzToolButton.DisabledImages Example
TRzToolButton


TRzToolButton.DisabledIndex

Specifies the image to use when the control is disabled.

Declaration
property DisabledIndex: TImageIndex default -1;

__property Imglist::TImageIndex DisabledIndex

Description

Use DisabledIndex to specify an alternate image to be displayed when the control is disabled.


Raize Components 6

TRzToolButton.DisabledIndex Example
TRzToolButton


TRzToolButton.Down

Declaration
property Down: Boolean default False;

__property bool Down

Description

Read Down to determine whether a speed button is selected. The Down property only applies if the GroupIndex property of the button is nonzero.

When GroupIndex is greater than 0, set Down to True to select a button. When the user clicks on a button in the unselected (up) state, the button is selected and Down is set to True. When the user clicks on a button in the selected (down) state, if Caption is True, the button becomes unselected and Down is set to False.

At design time, specify which button in a group is the initially selected button by setting the Down property of the selected button to True.

Note: When GroupIndex is 0, buttons do not remain in the selected state when clicked.


Raize Components 6

TRzToolButton.Down Example
TRzToolButton


TRzToolButton.DownIndex

Declaration
property DownIndex: TImageIndex default -1;

__property Imglist::TImageIndex DownIndex

Description

Use DownIndex to specify an alternate image to be displayed when the control is pressed.


Raize Components 6

TRzToolButton.DownIndex Example
TRzToolButton


TRzToolButton.DropDownMenu

Declaration
property DropDownMenu: TPopupMenu;

__property Menus::TPopupMenu *DropDownMenu

Description

Use this property to specify the TPopupMenu component that will be displayed when the user clicks this component.


Raize Components 6

TRzToolButton.DropDownMenu Example
TRzToolButton


Raize Components 6

TRzToolButton Events
TRzToolButton

Public
OnDropDown


TRzToolButton.Flat

Declaration
property Flat: Boolean default True;

__property bool Flat

Description

Set Flat to True to remove the raised border when the button is unselected and the lowered border when the button is clicked or selected. When Flat is True, use separate bitmaps for the different button states to provide visual feedback to the user about the button state.


Raize Components 6

TRzToolButton.Flat Example
TRzToolButton


TRzToolButton.GradientColorStyle

Use GradientColorStyle to specify how gradient color values are obtained for the control.

Declaration
property GradientColorStyle: TRzGradientColorStyle;

Description

GradientColorStyle properties are active when the control's VisualStyle property is set to vsGradient. The default value of properties of this type is gcsSystem, which means that the gradient color values needed by the control are obtained from the current system colors. This value ensures that the control look great regardless of the users current color scheme. To mimic the Microsoft Office 2003 look when XP themes are active (i.e. blue, green, and silver backgrounds for toolbars, etc.) then select the gcsMSOffice value. If XP themes are not present, then the control will utilize the gcsSystem value. And finally, if you wish to select custom color values for the gradients used in a control, then select the gcsCustom value.


Raize Components 6

TRzToolButton.GradientColorStyle Example
TRzToolButton


TRzToolButton.GroupIndex

Declaration
property GroupIndex: Integer default 0;

__property int GroupIndex

Description

Set GroupIndex to determine how the button behaves when clicked.

When GroupIndex is 0, the button behaves independently of all other buttons on the form. When the user clicks such a speed button, the button appears pressed (in its clicked state) and then returns to its normal up state when the user releases the mouse button.

When GroupIndex is greater than 0, the button remains selected (in its down state) when clicked by the user. When the user clicks a selected button, it returns to the up state, unless AllowAllUp is False. Setting the GroupIndex property of a single speed button to a value greater than 0 causes the button to behave as a two-state button when AllowAllUp is True.

Speed buttons with the same GroupIndex property value (other than 0), work together as a group. When the user clicks one of these buttons, it remains selected until the user clicks another speed button belonging to the same group. Speed buttons used in this way can present mutually exclusive choices to the user.


Raize Components 6

TRzToolButton.GroupIndex Example
TRzToolButton


TRzToolButton.HotIndex

Declaration
property HotIndex: TImageIndex default -1;

__property Imglist::TImageIndex HotIndex

Description

Use HotIndex to specify an alternate image to be displayed when the mouse is positioned over the control.


Raize Components 6

TRzToolButton.HotIndex Example
TRzToolButton


TRzToolButton.ImageIndex

Specifies the image to use when the control is in a normal state.

Declaration
property ImageIndex: TImageIndex default -1;

__property Imglist::TImageIndex ImageIndex

Description

Use ImageIndex to specify the image to be displayed when the control is in a normal state.


Raize Components 6

TRzToolButton.ImageIndex Example
TRzToolButton


TRzToolButton.ImageList
TRzToolButton Methods

Declaration
function ImageList: TCustomImageList;

Description

Returns the TImageList component that holds the image currently being used by the button. The actual image list may be directly connected to by the button, or it may be indirectly referenced through the toolbar on which the button resides.


Raize Components 6

TRzToolButton.ImageList Example
TRzToolButton


TRzToolButton.Images

Specifies an associated image list.

Declaration
property Images: TCustomImageList;

__property Imglist::TCustomImageList *Images

Description

Use Images to connect the control to an image list control.


Raize Components 6

TRzToolButton.Images Example
TRzToolButton


TRzToolButton.Layout

Specifies the relative position between an image and some text.

Declaration
property Layout: TButtonLayout default blGlyphLeft;

__property Buttons::TButtonLayout Layout

Description

Value Meaning

blGlyphLeft The image appears near the left side of the button.

blGlyphRight The image appears near the right side of the button.

blGlyphTop The image appears near the top of the button.

blGlyphBottom The image appears near the bottom of the button.


Raize Components 6

TRzToolButton.Layout Example
TRzToolButton


Raize Components 6

TRzToolButton Methods
TRzToolButton

Public
ImageList


TRzToolButton.OnDropDown

Declaration
property OnDropDown: TNotifyEvent;

__property Classes::TNotifyEvent OnDropDown

Description

This event occurs when ToolStyle is tsDropDown and the associated DropDownMenu has been invoked by clicking on the drop down arrow.


Raize Components 6

TRzToolButton.OnDropDown Example
TRzToolButton


Raize Components 6

TRzToolButton Properties
TRzToolButton

Public
About
Action
Align
Alignment
AllowAllUp
Anchors
BiDiMode
Caption
Color
Constraints
DisabledImages
DisabledIndex
Down
DownIndex
DragCursor
DragKind
DragMode
DropDownMenu
Enabled
Flat
Font
GradientColorStyle
GroupIndex
Height
Hint
HotIndex
ImageIndex
Images
Layout
ParentBiDiMode
ParentFont
ParentShowHint
PopupMenu
SelectionColorStart
SelectionColorStop
SelectionFrameColor
ShowCaption
ShowHint
ToolStyle
Transparent
UseToolbarButtonLayout
UseToolbarButtonSize
UseToolbarShowCaption
UseToolbarVisualStyle
Visible
VisualStyle
Width


TRzToolButton.SelectionColorStart

Specifies the starting color to be used when defining a gradient.

Declaration
property SelectionColorStart: TColor default clBtnFace;

Description

Use GradientColorStart to specify the starting color that is used in defining a gradient color fill.


Raize Components 6

TRzToolButton.SelectionColorStart Example
TRzToolButton


TRzToolButton.SelectionColorStop

Specifies the stopping color to be used when defining a gradient.

Declaration
property SelectionColorStop: TColor default clBtnShadow;

Description

Use GradientColorStop to specify the stopping color that is used in defining a gradient color fill.


Raize Components 6

TRzToolButton.SelectionColorStop Example
TRzToolButton


TRzToolButton.SelectionFrameColor

Specifies the color to be used in drawing the border around the control.

Declaration
property SelectionFrameColor: TColor default cl3DDkShadow;

Description

Use the FrameColor property to specify a color to be used when drawing the frame (i.e. border) around the control.


Raize Components 6

TRzToolButton.SelectionFrameColor Example
TRzToolButton


TRzToolButton.ShowCaption

Declaration
property ShowCaption: Boolean;

__property bool ShowCaption

Description

Use ShowCaption to specify whether or not the control's Caption is displayed.


Raize Components 6

TRzToolButton.ShowCaption Example
TRzToolButton


TRzToolButtonState

Unit
RzButton

Declaration
TRzToolButtonState =(tbsUp, tbsDisabled, tbsDown, tbsExclusive, tbsDropDown);

Description

Value Meaning

tbsUp:

tbsDisabled:

tbsDown:

tbsExclusive:

tbsDropDown:


TRzToolButton.ToolStyle

Declaration
property ToolStyle: TRzToolStyle default tsButton;

__property TRzToolStyle ToolStyle

Description

Set ToolStyle to tsButton to have the button function as a standard toolbar button. Set ToolStyle to tsDropDown to have the button display a drop down menu (DropDownMenu) when the button is clicked. If an OnClick event is assigned to the button, then a divider line separates the drop-down arrow from the rest of the control and the arrow must be clicked to display the menu. Clicking on the main portion of the button causes the OnClick event to fire. If no OnClick event is assigned, clicking anywhere on the button will cause the menu to be displayed.


Raize Components 6

TRzToolButton.ToolStyle Example
TRzToolButton


TRzToolButton.Transparent

Determines if the control appears transparent.

Declaration
property Transparent: Boolean default True;

__property bool Transparent

Description

When this property is set to True, the background behind the control shows through.


Raize Components 6

TRzToolButton.Transparent Example
TRzToolButton


TRzToolButton.UseToolbarButtonLayout

Declaration
property UseToolbarButtonLayout: Boolean default True;

__property bool UseToolbarButtonLayout

Description

When UseToolbarButtonLayout is True, the Layout property of the button is controlled by the toolbar containing the button. Set this property to False to override the toolbar's control of the layout.


Raize Components 6

TRzToolButton.UseToolbarButtonLayout Example
TRzToolButton


TRzToolButton.UseToolbarButtonSize

Declaration
property UseToolbarButtonSize: Boolean default True;

__property bool UseToolbarButtonSize

Description

When UseToolbarButtonSize is True, the size of the button is controlled by the toolbar containing the button. Set this property to False to override the toolbar's control of the button's size.


Raize Components 6

TRzToolButton.UseToolbarButtonSize Example
TRzToolButton


TRzToolButton.UseToolbarShowCaption

Declaration
property UseToolbarShowCaption: Boolean default True;

__property bool UseToolbarShowCaption

Description

When UseToolbarShowCaption is True, the ShowCaption property of the button is controlled by the toolbar containing the button. Set this property to False to override the toolbar's control of the visibility of the caption.


Raize Components 6

TRzToolButton.UseToolbarShowCaption Example
TRzToolButton


TRzToolButton.UseToolbarVisualStyle

Declaration
property UseToolbarVisualStyle: Boolean default True;

Description

When UseToolbarVisual is True, the VisualStyle property of the button is controlled by the toolbar containing the button. Set this property to False to override the toolbar's control of the VisualStyhle of the button.


Raize Components 6

TRzToolButton.UseToolbarVisualStyle Example
TRzToolButton


TRzToolButton.VisualStyle

Use VisualStyle to specify the general appearance of a control.

Declaration
property VisualStyle: TRzVisualStyle;

Description

VisualStyle properties are used to specify the general appearance of a control. The vsClassic style setting indicates that the control will take on the pre-WinXP style (i.e. classic). To utilize Windows XP themes (if they are present), the VisualStyle of vsWinXP is chosen. To give the control a more modern appearance, select the vsGradient style.


Raize Components 6

TRzToolButton.VisualStyle Example
TRzToolButton


TRzToolStyle

Unit
RzButton

Declaration
TRzToolStyle =(tsButton, tsDropDown);

Description

Value Meaning

tsButton:

tsDropDown:


RzChkLst

RzChkLst File
List of Units

Unit Classes

TRzCheckList
TRzCheckList associates a check box with each item in the list.


TRzCheckList.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzCheckList.About Example
TRzCheckList


TRzCheckList.AddEx

This method provides a fast way to add an item to a TRzCheckList component and immediately set the item's Checked and Enabled states.

Declaration
function AddEx(const S: string; Checked: Boolean; Enabled: Boolean=True): Integer;

int __fastcall AddEx(const AnsiString S, bool Checked, bool Enabled=true)

Description

This method provides a fast way to add an item to a TRzCheckList component and immediately set the item's Checked and Enabled states.


Raize Components 6

TRzCheckList.AddEx Example
TRzCheckList


TRzCheckList.AddGroup

Use AddGroup to add a new item to the list that will be displayed as a group heading.

Declaration
function AddGroup(const S: string): Integer;

int __fastcall AddGroup(const AnsiString S)

Description

Use AddGroup to add a new item to the list that will be displayed as a group heading.


Raize Components 6

TRzCheckList.AddGroup Example
TRzCheckList


TRzCheckList.AllowGrayed

Specifies if grayed state check boxes are allowed.

Declaration
property AllowGrayed: Boolean default False;

__property bool AllowGrayed

Description

Setting this property to True allows the user to change a check box to the grayed state. By default, AllowGrayed is False, meaning that for each check box only the checked and unchecked states are allowed. If AllowGrayed is True, you should use the State property to determine whether the check box is checked, unchecked, or grayed.


Raize Components 6

TRzCheckList.AllowGrayed Example
TRzCheckList


TRzCheckList.CheckAll

This method simply checks all items in the list.

Declaration
procedure CheckAll;

void __fastcall CheckAll(void)

Description

This method simply checks all items in the list.


Raize Components 6

TRzCheckList.CheckAll Example
TRzCheckList


TRzCheckList.CheckGroup

Use CheckGroup to check all items that are grouped by the item at GroupIndex.

Declaration
procedure CheckGroup(GroupIndex: Integer);

void __fastcall CheckGroup(int GroupIndex)

Description

Use CheckGroup to check all items that are grouped by the item at GroupIndex.


Raize Components 6

TRzCheckList.CheckGroup Example
TRzCheckList


TRzCheckList.CustomGlyphs

Specifies a bitmap that contains glyphs to be used by the control.

Declaration
property CustomGlyphs: TBitmap;

__property Graphics::TBitmap *CustomGlyphs

Description

Use this property to change the glyphs used to display the current state. This bitmap must consist of a series of glyphs. Each glyph must be the same size and the order of each glyph in the bitmap determines when the glyph will be displayed. The number of glyphs that must be specified depends on the type of control: radio button, check box, or check list.

The following examples illustrate how to construct a custom glyph bitmap. Note that the samples use clTeal as the WinMaskColor and clOlive as the TransparentColor. Also note that the images below have been enlarged to show more detail.

Radio Button Example

Glyph # Description

1 Unchecked
2 Checked
3 Unchecked Down
4 Checked Down
5 Unchecked Disabled
6 Checked Disabled

Check Box Example

Glyph # Description

1 Unchecked
2 Checked
3 Grayed
4 Unchecked Down
5 Checked Down
6 Grayed Down
7 Unchecked Disabled
8 Checked Disabled
9 Grayed Disabled

Check List Example

Glyph # Description

1 Unchecked
2 Checked
3 Grayed
4 Unchecked Disabled
5 Checked Disabled
6 Grayed Disabled


Raize Components 6

TRzCheckList.CustomGlyphs Example
TRzCheckList


TRzCheckList.DefaultDrawText

Use this method to display the text of an item using the default drawing process.

Declaration
procedure DefaultDrawText(Index: Integer; Rect: TRect; State: TOwnerDrawState);

virtual void __fastcall DefaultDrawText(int Index, const Types::TRect & Rect, Windows::TOwnerDrawState State)

Description

Use this method to display the text of an item using the default drawing process. This method is useful when creating owner-drawn check lists.


Raize Components 6

TRzCheckList.DefaultDrawText Example
TRzCheckList


TRzCheckList.DisableGroup

Use DisableGroup to disabled all items that are grouped by the item at GroupIndex.

Declaration
procedure DisableGroup(GroupIndex: Integer);

void __fastcall DisableGroup(int GroupIndex)

Description

Use DisableGroup to disabled all items that are grouped by the item at GroupIndex.


Raize Components 6

TRzCheckList.DisableGroup Example
TRzCheckList


TRzCheckList.EnableGroup

Use EnableGroup to enable all items that are grouped by the item at GroupIndex.

Declaration
procedure EnableGroup(GroupIndex: Integer);

void __fastcall EnableGroup(int GroupIndex)

Description

Use EnableGroup to enable all items that are grouped by the item at GroupIndex.


Raize Components 6

TRzCheckList.EnableGroup Example
TRzCheckList


Raize Components 6

TRzCheckList Events
TRzCheckList

Public
OnChange
OnChanging


TRzCheckList.GlyphHeight

Declaration
property GlyphHeight: Integer;

Description

The height of the glyph specified in CustomGlyphs.


Raize Components 6

TRzCheckList.GlyphHeight Example
TRzCheckList


TRzCheckList.GlyphWidth

Declaration
property GlyphWidth: Integer;

Description

The width of the glyph specified in CustomGlyphs.


Raize Components 6

TRzCheckList.GlyphWidth Example
TRzCheckList


TRzCheckList.GroupToItem

Use GroupToItem to change a group item to a regular check item.

Declaration
procedure GroupToItem(Index: Integer);

void __fastcall GroupToItem(int Index)

Description

Use GroupToItem to change a group item to a regular check item.


Raize Components 6

TRzCheckList.GroupToItem Example
TRzCheckList


TRzCheckList.HighlightColor

Specifies the color used to display a "selected" portion of the control.

Declaration
property HighlightColor: TColor default clHighlight;

__property Graphics::TColor HighlightColor

Description

Use HighlightColor to specify the color to be used to draw a highlighted portion of the control. For radio buttons and check boxes, this would be the check or dot. For page controls and tab controls, this would be the highlight bar at the edge of the tab.


Raize Components 6

TRzCheckList.HighlightColor Example
TRzCheckList


TRzCheckList.ItemCaption

Use ItemCaption to retrieve the caption of an item regardless of whether the item is a group or a regular check item.

Declaration
function ItemCaption(Index: Integer): string;

AnsiString __fastcall ItemCaption(int Index)

Description

Use ItemCaption to retrieve the caption of an item regardless of whether the item is a group or a regular check item.


Raize Components 6

TRzCheckList.ItemCaption Example
TRzCheckList


TRzCheckList.ItemChecked

Provides access to checked state of individual items in the list.

Declaration
property ItemChecked[Index: Integer]: Boolean;

__property bool ItemChecked[int Index]

Description

Use this run-time only property to get or set the check state of an item in the control. ItemChecked will return True if the item is checked, False otherwise. If you need to determine if an item is in the grayed state, use the ItemState property. The Index value is zero based and corresponds to the index used in the Items property.


Raize Components 6

TRzCheckList.ItemChecked Example
TRzCheckList


TRzCheckList.ItemEnabled

Provides access to enabled state of individual items in the list.

Declaration
property ItemEnabled[Index: Integer]: Boolean;

__property bool ItemEnabled[int Index]

Description

Use this run-time only property to enable or disable individual list item in a control. Disabled list items appear in the disabled font style and the associated check box cannot be changed. The Index value is zero based and corresponds to the index used in the Items property.


Raize Components 6

TRzCheckList.ItemEnabled Example
TRzCheckList


TRzCheckList.ItemGroupIndex

Use ItemGroupIndex to retrieve the index representing the group item that contains the specified item index.

Declaration
function ItemGroupIndex(Index: Integer): Integer;

virtual int __fastcall ItemGroupIndex(int Index)

Description

Use ItemGroupIndex to retrieve the index representing the group item that contains the specified item index.


Raize Components 6

TRzCheckList.ItemGroupIndex Example
TRzCheckList


TRzCheckList.ItemInsideGroup

Use this function to determine if an item is grouped by some other item.

Declaration
function ItemInsideGroup(Index: Integer): Boolean;

virtual bool __fastcall ItemInsideGroup(int Index)

Description

Use this function to determine if an item is grouped by some other item.


Raize Components 6

TRzCheckList.ItemInsideGroup Example
TRzCheckList


TRzCheckList.Items

Provides access to the current set of items managed by the control.

Declaration
property Items: TStrings;

__property Classes::TStrings *Items

Description

Use Items to add, insert, delete and move items to the controls list.


Raize Components 6

TRzCheckList.Items Example
TRzCheckList


TRzCheckList.ItemsChecked

This method simply returns the number of items in the list that are checked.

Declaration
function ItemsChecked: Integer;

int __fastcall ItemsChecked(void)

Description

This method simply returns the number of items in the list that are checked.


Raize Components 6

TRzCheckList.ItemsChecked Example
TRzCheckList


TRzCheckList.ItemState

Provides access to state of individual items in the list.

Declaration
property ItemState[Index: Integer]: TCheckBoxState;

__property Stdctrls::TCheckBoxState ItemState[int Index]

Description

Use this run-time only property to set or get the state of the check box associated with an item in a control. A check box can be cbChecked, cbUnchecked, or cbGrayed. However, in order to set a check box to the grayed state, the AllowGrayed property must be set to True. The Index value is zero based and corresponds to the index used in the Items property.


Raize Components 6

TRzCheckList.ItemState Example
TRzCheckList


TRzCheckList.ItemToGroup

Use this method to convert a regular check item into a group item.

Declaration
procedure ItemToGroup(Index: Integer);

void __fastcall ItemToGroup(int Index)

Description

Use this method to convert a regular check item into a group item.


Raize Components 6

TRzCheckList.ItemToGroup Example
TRzCheckList


TRzCheckList.LoadFromFile

Use LoadFromFile to load a list of items and states from a file.

Declaration
procedure LoadFromFile(const FileName: string);

void __fastcall LoadFromFile(const AnsiString FileName)

Description

Use LoadFromFile to load a list of items and states from a file.


Raize Components 6

TRzCheckList.LoadFromFile Example
TRzCheckList


TRzCheckList.LoadFromStream

Use LoadFromStream to load a list of items and states from a stream.

Declaration
procedure LoadFromStream(Stream: TStream);

void __fastcall LoadFromStream(Classes::TStream *Stream)

Description

Use LoadFromStream to load a list of items and states from a stream.


Raize Components 6

TRzCheckList.LoadFromStream Example
TRzCheckList


Raize Components 6

TRzCheckList Methods
TRzCheckList

Public
AddEx
AddGroup
CheckAll
CheckGroup
DefaultDrawText
DisableGroup
EnableGroup
GroupToItem
ItemCaption
ItemGroupIndex
ItemInsideGroup
ItemsChecked
ItemToGroup
LoadFromFile
LoadFromStream
SaveToFile
SaveToStream
SetGroupState
UncheckAll
UncheckGroup


TRzCheckList.OnChange

Occurs whenever the state of one of hte items in the list changes.

Declaration
property OnChange: TStateChangeEvent;

__property Rzcommon::TStateChangeEvent OnChange

Description

This event occurs whenever the state of one of the items in the list changes. The new state is passed as a parameter to the event handler.


Raize Components 6

TRzCheckList.OnChange Example
TRzCheckList


TRzCheckList.OnChanging

Occurs just before the state of an item changes.

Declaration
property OnChanging: TStateChangingEvent;

__property Rzcommon::TStateChangingEvent OnChanging

Description

For check lists, this event occurs whenever the user changes the state of the check box associated with an item in a TRzCheckList component. The index of the selected list item and the new state are passed to an event handler. To prevent the state from changing, set the AllowChange parameter to False.


Raize Components 6

TRzCheckList.OnChanging Example
TRzCheckList


Raize Components 6

TRzCheckList Properties
TRzCheckList

Public
About
AllowGrayed
CustomGlyphs
HighlightColor
ItemChecked
ItemEnabled
Items
ItemState
ToggleOnItemClick
TransparentColor
UseCustomGlyphs
UseGradients

Protected
GlyphHeight
GlyphWidth


TRzCheckList.SaveToFile

Use SaveToFile to save the list of items and groups in the control along with their states to a file.

Declaration
procedure SaveToFile(const FileName: string);

void __fastcall SaveToFile(const AnsiString FileName)

Description

Use SaveToFile to save the list of items and groups in the control along with their states to a file.


Raize Components 6

TRzCheckList.SaveToFile Example
TRzCheckList


TRzCheckList.SaveToStream

Use SaveToStream to save the list of items and groups in the control along with their states to a stream.

Declaration
procedure SaveToStream(Stream: TStream);

void __fastcall SaveToStream(Classes::TStream *Stream)

Description

Use SaveToStream to save the list of items and groups in the control along with their states to a stream.


Raize Components 6

TRzCheckList.SaveToStream Example
TRzCheckList


TRzCheckList.SetGroupState

Use SetGroupState to change the state of all items grouped by GroupIndex.

Declaration
procedure SetGroupState(GroupIndex: Integer; State: TCheckBoxState);

void __fastcall SetGroupState(int GroupIndex, Stdctrls::TCheckBoxState State)

Description

Use SetGroupState to change the state of all items grouped by GroupIndex.


Raize Components 6

TRzCheckList.SetGroupState Example
TRzCheckList


TRzCheckList.ToggleOnItemClick

Determines if item state is toggle if use clicks anywhere on the item and not just in the check box.

Declaration
property ToggleOnItemClick: Boolean default False;

__property bool ToggleOnItemClick

Description

When this property is set to True, the check state of the item is toggled whenever the user clicks anywhere on the item. When ToggleOnItemClick is set to False (the default), the item's check state is only changed if the user clicks on the check box.


Raize Components 6

TRzCheckList.ToggleOnItemClick Example
TRzCheckList


TRzCheckList.TransparentColor

Specifies the color to be considered as transparent in the CustomGlyphs bitmap.

Declaration
property TransparentColor: TColor default clOlive;

__property Graphics::TColor TransparentColor

Description

Use this property to specify the color in the CustomGlyphs bitmap that will be treated as transparent. The default value is clOlive.


Raize Components 6

TRzCheckList.TransparentColor Example
TRzCheckList


TRzCheckList.UncheckAll

This method simply unchecks all items in the list.

Declaration
procedure UncheckAll;

void __fastcall UncheckAll(void)

Description

This method simply unchecks all items in the list.


Raize Components 6

TRzCheckList.UncheckAll Example
TRzCheckList


TRzCheckList.UncheckGroup

Use UncheckGroup to uncheck all items that are grouped by the item at GroupIndex.

Declaration
procedure UncheckGroup(GroupIndex: Integer);

void __fastcall UncheckGroup(int GroupIndex)

Description

Use UncheckGroup to uncheck all items that are grouped by the item at GroupIndex.


Raize Components 6

TRzCheckList.UncheckGroup Example
TRzCheckList


TRzCheckList.UseCustomGlyphs

Determines if the control uses the glyphs in CustomGlyphs instead of standard glyphs.

Declaration
property UseCustomGlyphs: Boolean default False;

__property bool UseCustomGlyphs

Description

Use this property to instruct the component to use the glyphs embedded in the CustomGlyphs property instead of the standard glyphs that are used by default.


Raize Components 6

TRzCheckList.UseCustomGlyphs Example
TRzCheckList


TRzCheckList.UseGradients

Determines if the control displays control elements using gradient fills.

Declaration
property UseGradients: Boolean default True;

__property bool UseGradients

Description

When UseGradients is set to True (the default), the control will display elements of its interface using a gradient fill.


Raize Components 6

TRzCheckList.UseGradients Example
TRzCheckList


RzCmboBx

RzCmboBx File
List of Units

Unit Classes

TRzColorComboBox | TRzColorComboBox is a specialized combo box for selecting colors.
TRzColorNames |
TRzComboBox | TRzComboBox is an enhanced combo box control.
TRzCustomComboBox | TRzCustomComboBox is the base class for all combo boxes in Raize Components.
TRzCustomImageComboBox | TRzCustomImageComboBox is the base class for the image combo box control in Raize Components.
TRzDeleteComboItemEvent |
TRzDeleteImageComboBoxItemEvent |
TRzFontComboBox | TRzFontComboBox is a specialized combo box for selecting fonts.
TRzFontDevice |
TRzFontType |
TRzImageComboBox | TRzImageComboBox is an enhanced combo box that can associate an image with each item in the drop down list.
TRzImageComboBoxGetItemDataEvent |
TRzImageComboBoxItem |
TRzMRUComboBox | TRzMRUComboBox is a specialized combo box for managing a list of most recently used items.
TRzShowStyle |


TRzColorComboBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzColorComboBox.About Example
TRzColorComboBox


TRzColorComboBox.ColorDlgOptions

Declaration
property ColorDlgOptions: TColorDialogOptions default[cdFullOpen];

__property Dialogs::TColorDialogOptions ColorDlgOptions

Description

Use this property to customize the appearance and functionality of the Color dialog that is displayed when the user selects the Custom color item from the drop down list.


Raize Components 6

TRzColorComboBox.ColorDlgOptions Example
TRzColorComboBox


TRzColorComboBox.ColorNames

Declaration
property ColorNames: TRzColorNames;

__property TRzColorNames *ColorNames

Description

The ColorNames property provides access to the strings used to identify the different color values in the drop down list. As a result, the color names can be customized for a particular purpose or localized to a particular language. At design-time the all color name entries can be edited using the ColorNames Editor.


Raize Components 6

TRzColorComboBox.ColorNames Example
TRzColorComboBox


TRzColorComboBox.CustomColor

Declaration
property CustomColor: TColor default clBlack;

__property Graphics::TColor CustomColor

Description

This property allows you to specify an initial color value for the Custom color entry in the drop down list. By default, the custom color entry is clBlack until the user selects a new custom color.


Raize Components 6

TRzColorComboBox.CustomColor Example
TRzColorComboBox


TRzColorComboBox.CustomColors

Declaration
property CustomColors: TStrings;

__property Classes::TStrings *CustomColors

Description

This property allows a developer to specify the custom color values that are available in the Color selection dialog box that is displayed when the user selects the Custom color entry. By default, the 16 custom color samples in the dialog box are white.

Each custom color is represented as a string of the form ColorX=HexValue. For example, the following string sets the first custom color to the Raize Software purple.

ColorA=00993366

Up to 16 custom colors (ColorA through ColorP) can be set.


Raize Components 6

TRzColorComboBox.CustomColors Example
TRzColorComboBox


TRzColorComboBox.DefaultColor

Declaration
property DefaultColor: TColor default clBlack;

__property Graphics::TColor DefaultColor

Description

This property allows you to specify an initial color value for the Default color entry in the drop down list. By default, the default color entry is clBlack.


Raize Components 6

TRzColorComboBox.DefaultColor Example
TRzColorComboBox


Raize Components 6

TRzColorComboBox Events
TRzColorComboBox

Public


TRzColorComboBox.LoadCustomColors

Load custom colors values from associated TRzRegIniFile.

Declaration
procedure LoadCustomColors(const Section: string);

Description

Call this method to populate the CustomColors property with a set of colors stored in the Registry or in an INI file via a TRzRegIniFile component. To save the colors specified in the CustomColors property, call SaveCustomColors.

Use the Section parameter to specify the section name where the custom color values are stored. It is typical to call LoadCustomColors in the form's OnCreate event and SaveCustomColors in the combo box's OnChange event.


Raize Components 6

TRzColorComboBox.LoadCustomColors Example
TRzColorComboBox


Raize Components 6

TRzColorComboBox Methods
TRzColorComboBox

Public
LoadCustomColors
SaveCustomColors


Raize Components 6

TRzColorComboBox Properties
TRzColorComboBox

Public
About
Align
Anchors
AutoCloseUp
AutoDropDown
BeepOnInvalidKey
BiDiMode
Color
ColorDlgOptions
ColorNames
Constraints
Ctl3D
CustomColor
CustomColors
DefaultColor
DisabledColor
DragCursor
DragKind
DragMode
DropDownCount
DropDownWidth
Enabled
FlatButtonColor
FlatButtons
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ItemHeight
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
RegIniFile
SelectedColor
ShowColorNames
ShowCustomColor
ShowDefaultColor
ShowHint
ShowSysColors
TabOnEnter
TabOrder
TabStop
Visible


TRzColorComboBox.RegIniFile

Specifies a TRzRegIniFile component to be used for storage of settings.

Declaration
property RegIniFile: TRzRegIniFile;

__property Rzcommon::TRzRegIniFile *RegIniFile

Description

Use RegIniFile to specify a TRzRegIniFile component to be used by the control to read and write data to and from the Registry or an INI file.


Raize Components 6

TRzColorComboBox.RegIniFile Example
TRzColorComboBox


TRzColorComboBox.SaveCustomColors

Save custom colors values to associated TRzRegIniFile.

Declaration
procedure SaveCustomColors(const Section: string);

Description

Call this method to save the color values specified in CustomColors to the Registry or to an INI file via a TRzRegIniFile component. To populate the CustomColors property with the saved values, call LoadCustomColors.

Use the Section parameter to specify the section name under which the custom color values will be stored. It is typical to call LoadCustomColors in the form's OnCreate event and SaveCustomColors in the combo box's OnChange event.


Raize Components 6

TRzColorComboBox.SaveCustomColors Example
TRzColorComboBox


TRzColorComboBox.SelectedColor

Declaration
property SelectedColor: TColor read GetSelectedColor write SetSelectedColor default clBlack;

__property Graphics::TColor SelectedColor

Description

Use this property to obtain the TColor value corresponding to the color item selected in the component. Setting SelectedColor to a TColor value causes the component to change its selection to the corresponding color item. Using this property is much easier than trying to manipulate the ItemIndex property.


Raize Components 6

TRzColorComboBox.SelectedColor Example
TRzColorComboBox


TRzColorComboBox.ShowColorNames

Declaration
property ShowColorNames: Boolean read FShowColorNames write SetShowColorNames default True;

__property bool ShowColorNames

Description

Use this property to show or hide the names of the color samples displayed in the drop down list. When ShowColorNames is False, the color sample occupies the entire width of the list.


Raize Components 6

TRzColorComboBox.ShowColorNames Example
TRzColorComboBox


TRzColorComboBox.ShowCustomColor

Declaration
property ShowCustomColor: Boolean read FShowCustomColor write SetShowCustomColor default True;

__property bool ShowCustomColor

Description

Use this property to show or hide the Custom color item in the drop down list. When set to True (by default) the user can select the Custom... item to invoke the color selection dialog box and pick a custom color. When this property is set to False, the item does not appear on the list.


Raize Components 6

TRzColorComboBox.ShowCustomColor Example
TRzColorComboBox


TRzColorComboBox.ShowDefaultColor

Declaration
property ShowDefaultColor: Boolean read FShowDefaultColor write SetShowDefaultColor default True;

__property bool ShowDefaultColor

Description

Use this property to show or hide the Default color item in the drop down list.


Raize Components 6

TRzColorComboBox.ShowDefaultColor Example
TRzColorComboBox


TRzColorComboBox.ShowSysColors

Declaration
property ShowSysColors: Boolean read FShowSysColors write SetShowSysColors default True;

__property bool ShowSysColors

Description

Use this property to instruct a TRzColorComboBox component to display color values for all of the Windows defined System colors. For example, clWindow, clBtnFace, and clHighlight.


Raize Components 6

TRzColorComboBox.ShowSysColors Example
TRzColorComboBox


TRzColorNames

Properties

Unit
RzCmboBx

Declaration
TRzColorNames=Class(TPersistent);

Description

.


TRzColorNames.ActiveBorder

Declaration
property ActiveBorder: string;

__property AnsiString ActiveBorder

Description

Name string used to identify ActiveBorder system color.


Raize Components 6

TRzColorNames.ActiveBorder Example
TRzColorNames


TRzColorNames.ActiveCaption

Declaration
property ActiveCaption: string;

__property AnsiString ActiveCaption

Description

Name string used to identify ActiveCaption system color.


Raize Components 6

TRzColorNames.ActiveCaption Example
TRzColorNames


TRzColorNames.AppWorkSpace

Declaration
property AppWorkSpace: string;

__property AnsiString AppWorkSpace

Description

Name string used to identify AppWorkSpace system color.


Raize Components 6

TRzColorNames.AppWorkSpace Example
TRzColorNames


TRzColorNames.Aqua

Declaration
property Aqua: string;

__property AnsiString Aqua

Description

Name string used to identify Aqua color.


Raize Components 6

TRzColorNames.Aqua Example
TRzColorNames


TRzColorNames.Background

Declaration
property Background: string;

__property AnsiString Background

Description

Name string used to identify Background system color.


Raize Components 6

TRzColorNames.Background Example
TRzColorNames


TRzColorNames.Black

Declaration
property Black: string;

__property AnsiString Black

Description

Name string used to identify Black color.


Raize Components 6

TRzColorNames.Black Example
TRzColorNames


TRzColorNames.Blue

Declaration
property Blue: string;

__property AnsiString Blue

Description

Name string used to identify Blue color.


Raize Components 6

TRzColorNames.Blue Example
TRzColorNames


TRzColorNames.BtnFace

Declaration
property BtnFace: string;

__property AnsiString BtnFace

Description

Name string used to identify BtnFace system color.


Raize Components 6

TRzColorNames.BtnFace Example
TRzColorNames


TRzColorNames.BtnHighlight

Declaration
property BtnHighlight: string;

__property AnsiString BtnHighlight

Description

Name string used to identify BtnHighlight system color.


Raize Components 6

TRzColorNames.BtnHighlight Example
TRzColorNames


TRzColorNames.BtnShadow

Declaration
property BtnShadow: string;

__property AnsiString BtnShadow

Description

Name string used to identify BtnShadow system color.


Raize Components 6

TRzColorNames.BtnShadow Example
TRzColorNames


TRzColorNames.BtnText

Declaration
property BtnText: string;

__property AnsiString BtnText

Description

Name string used to identify BtnText system color.


Raize Components 6

TRzColorNames.BtnText Example
TRzColorNames


TRzColorNames.CaptionText

Declaration
property CaptionText: string;

__property AnsiString CaptionText

Description

Name string used to identify CaptionText system color.


Raize Components 6

TRzColorNames.CaptionText Example
TRzColorNames


TRzColorNames.Custom

Declaration
property Custom: string;

__property AnsiString Custom

Description

Name string used to identify Custom color entry.


Raize Components 6

TRzColorNames.Custom Example
TRzColorNames


TRzColorNames.Default

Declaration
property Default: string;

__property AnsiString Default

Description

Name string used to identify Default color.


Raize Components 6

TRzColorNames.Default Example
TRzColorNames


TRzColorNames.DkShadow3D

Declaration
property DkShadow3D: string;

__property AnsiString DkShadow3D

Description

Name string used to identify DkShadow3D system color.


Raize Components 6

TRzColorNames.DkShadow3D Example
TRzColorNames


TRzColorNames.Fuchsia

Declaration
property Fuchsia: string;

__property AnsiString Fuchsia

Description

Name string used to identify Fuchsia color.


Raize Components 6

TRzColorNames.Fuchsia Example
TRzColorNames


TRzColorNames.Gray

Declaration
property Gray: string;

__property AnsiString Gray

Description

Name string used to identify Gray color.


Raize Components 6

TRzColorNames.Gray Example
TRzColorNames


TRzColorNames.GrayText

Declaration
property GrayText: string;

__property AnsiString GrayText

Description

Name string used to identify GrayText system color.


Raize Components 6

TRzColorNames.GrayText Example
TRzColorNames


TRzColorNames.Green

Declaration
property Green: string;

__property AnsiString Green

Description

Name string used to identify Green color.


Raize Components 6

TRzColorNames.Green Example
TRzColorNames


TRzColorNames.Highlight

Declaration
property Highlight: string;

__property AnsiString Highlight

Description

Name string used to identify Highlight system color.


Raize Components 6

TRzColorNames.Highlight Example
TRzColorNames


TRzColorNames.HighlightText

Declaration
property HighlightText: string;

__property AnsiString HighlightText

Description

Name string used to identify HighlightText system color.


Raize Components 6

TRzColorNames.HighlightText Example
TRzColorNames


TRzColorNames.InactiveBorder

Declaration
property InactiveBorder: string;

__property AnsiString InactiveBorder

Description

Name string used to identify InactiveBorder system color.


Raize Components 6

TRzColorNames.InactiveBorder Example
TRzColorNames


TRzColorNames.InactiveCaption

Declaration
property InactiveCaption: string;

__property AnsiString InactiveCaption

Description

Name string used to identify InactiveCaption system color.


Raize Components 6

TRzColorNames.InactiveCaption Example
TRzColorNames


TRzColorNames.InactiveCaptionText

Declaration
property InactiveCaptionText: string;

__property AnsiString InactiveCaptionText

Description

Name string used to identify InactiveCaptionText system color.


Raize Components 6

TRzColorNames.InactiveCaptionText Example
TRzColorNames


TRzColorNames.InfoBk

Declaration
property InfoBk: string;

__property AnsiString InfoBk

Description

Name string used to identify InfoBk system color.


Raize Components 6

TRzColorNames.InfoBk Example
TRzColorNames


TRzColorNames.InfoText

Declaration
property InfoText: string;

__property AnsiString InfoText

Description

Name string used to identify InfoText system color.


Raize Components 6

TRzColorNames.InfoText Example
TRzColorNames


TRzColorNames.Light3D

Declaration
property Light3D: string;

__property AnsiString Light3D

Description

Name string used to identify Light3D system color.


Raize Components 6

TRzColorNames.Light3D Example
TRzColorNames


TRzColorNames.Lime

Declaration
property Lime: string;

__property AnsiString Lime

Description

Name string used to identify Lime color.


Raize Components 6

TRzColorNames.Lime Example
TRzColorNames


TRzColorNames.Maroon

Declaration
property Maroon: string;

__property AnsiString Maroon

Description

Name string used to identify Maroon color.


Raize Components 6

TRzColorNames.Maroon Example
TRzColorNames


TRzColorNames.Menu

Declaration
property Menu: string;

__property AnsiString Menu

Description

Name string used to identify Menu system color.


Raize Components 6

TRzColorNames.Menu Example
TRzColorNames


TRzColorNames.MenuText

Declaration
property MenuText: string;

__property AnsiString MenuText

Description

Name string used to identify MenuText system color.


Raize Components 6

TRzColorNames.MenuText Example
TRzColorNames


TRzColorNames.Navy

Declaration
property Navy: string;

__property AnsiString Navy

Description

Name string used to identify Navy color.


Raize Components 6

TRzColorNames.Navy Example
TRzColorNames


TRzColorNames.Olive

Declaration
property Olive: string;

__property AnsiString Olive

Description

Name string used to identify Olive color.


Raize Components 6

TRzColorNames.Olive Example
TRzColorNames


Raize Components 6

TRzColorNames Properties
TRzColorNames

Public
ActiveBorder
ActiveCaption
AppWorkSpace
Aqua
Background
Black
Blue
BtnFace
BtnHighlight
BtnShadow
BtnText
CaptionText
Custom
Default
DkShadow3D
Fuchsia
Gray
GrayText
Green
Highlight
HighlightText
InactiveBorder
InactiveCaption
InactiveCaptionText
InfoBk
InfoText
Light3D
Lime
Maroon
Menu
MenuText
Navy
Olive
Purple
Red
ScrollBar
Silver
Teal
White
Window
WindowFrame
WindowText
Yellow


TRzColorNames.Purple

Declaration
property Purple: string;

__property AnsiString Purple

Description

Name string used to identify Purple color.


Raize Components 6

TRzColorNames.Purple Example
TRzColorNames


TRzColorNames.Red

Declaration
property Red: string;

__property AnsiString Red

Description

Name string used to identify Red color.


Raize Components 6

TRzColorNames.Red Example
TRzColorNames


TRzColorNames.ScrollBar

Declaration
property ScrollBar: string;

__property AnsiString ScrollBar

Description

Name string used to identify ScrollBar system color.


Raize Components 6

TRzColorNames.ScrollBar Example
TRzColorNames


TRzColorNames.Silver

Declaration
property Silver: string;

__property AnsiString Silver

Description

Name string used to identify Silver color.


Raize Components 6

TRzColorNames.Silver Example
TRzColorNames


TRzColorNames.Teal

Declaration
property Teal: string;

__property AnsiString Teal

Description

Name string used to identify Teal color.


Raize Components 6

TRzColorNames.Teal Example
TRzColorNames


TRzColorNames.White

Declaration
property White: string;

__property AnsiString White

Description

Name string used to identify White color.


Raize Components 6

TRzColorNames.White Example
TRzColorNames


TRzColorNames.Window

Declaration
property Window: string;

__property AnsiString Window

Description

Name string used to identify Window system color.


Raize Components 6

TRzColorNames.Window Example
TRzColorNames


TRzColorNames.WindowFrame

Declaration
property WindowFrame: string;

__property AnsiString WindowFrame

Description

Name string used to identify WindowFrame system color.


Raize Components 6

TRzColorNames.WindowFrame Example
TRzColorNames


TRzColorNames.WindowText

Declaration
property WindowText: string;

__property AnsiString WindowText

Description

Name string used to identify WindowText system color.


Raize Components 6

TRzColorNames.WindowText Example
TRzColorNames


TRzColorNames.Yellow

Declaration
property Yellow: string;

__property AnsiString Yellow

Description

Name string used to identify Yellow color.


Raize Components 6

TRzColorNames.Yellow Example
TRzColorNames


TRzComboBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzComboBox.About Example
TRzComboBox


TRzComboBox.AddItemValue

Use to quickly add an item and its value to the control.

Declaration
procedure AddItemValue(const Item, Value: string);

void __fastcall AddItemValue(const AnsiString Item, const AnsiString Value);

Description

Use the AddItemValue method to simultaneously add both an item string to the Items list and a corresponding value string to the Values list.


Raize Components 6

TRzComboBox.AddItemValue Example
TRzComboBox


TRzComboBox.ClearItemsValues

Clears both the Items and Values lists.

Declaration
procedure ClearItemsValues;

Description

Clears both the Items list and the Values list.


Raize Components 6

TRzComboBox.ClearItemsValues Example
TRzComboBox


Raize Components 6

TRzComboBox Events
TRzComboBox

Public


TRzComboBox.InsertItemValue

Declaration
procedure InsertItemValue(Index: Integer; const Item, Value: string);

Description

Insert the specified Item along with the associated Value into the list.


Raize Components 6

TRzComboBox.InsertItemValue Example
TRzComboBox


Raize Components 6

TRzComboBox Methods
TRzComboBox

Public
AddItemValue
ClearItemsValues
InsertItemValue


Raize Components 6

TRzComboBox Properties
TRzComboBox

Public
About
Align
AllowEdit
Anchors
AutoCloseUp
AutoComplete
AutoDropDown
BeepOnInvalidKey
BiDiMode
CharCase
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
DropDownCount
DropDownWidth
Enabled
FlatButtonColor
FlatButtons
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ImeMode
ImeName
ItemHeight
ItemIndex
Items
KeepSearchCase
MaxLength
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
ShowHint
Sorted
Style
TabOnEnter
TabOrder
TabStop
Text
Value
Values
Visible


TRzComboBox.Value

Specifies "value" of currently selected item.

Declaration
property Value: string;

__property AnsiString Value;

Description

This property provides easy access to the selected "value" from the Values list that corresponds to the ItemIndex. The Value property can be assigned a "value" from the Values list and the corresponding ItemIndex is used.


Raize Components 6

TRzComboBox.Value Example
TRzComboBox


TRzComboBox.Values

Specifies list of value strings associated with the strings in Items.

Declaration
property Values: TStrings;

__property Classes::TStrings *Values

Description

Each string in the Values list is related to the string in the Items list at the same index. And when the user selects a particular items from the dropdown list (which displays the Items), the corresponding item from the Values list is stored in the new Value property. If the Values list is not used, the Value property matches the selected Items string.


Raize Components 6

TRzComboBox.Values Example
TRzComboBox


TRzCustomComboBox

TRzCustomComboBox is the base class for all combo boxes in Raize Components.

Unit
RzCmboBx

Declaration
TRzCustomComboBox=Class(TCustomComboBox);

Description

Do not create instances of TRzCustomComboBox--use TRzComboBox or some other descendant.


TRzCustomComboBox.Add

This method is equivalent to calling Items.Add.

Declaration
function Add(const S: string): Integer;

int __fastcall Add(const AnsiString S)

Description

This method is equivalent to calling Items.Add.


Raize Components 6

TRzCustomComboBox.Add Example
TRzCustomComboBox


TRzCustomComboBox.AddObject

This method is equivalent to calling Items.AddObject.

Declaration
function AddObject(const S: string; AObject: TObject): Integer;

int __fastcall AddObject(const AnsiString S, System::TObject *AObject)

Description

This method is equivalent to calling Items.AddObject.


Raize Components 6

TRzCustomComboBox.AddObject Example
TRzCustomComboBox


TRzCustomComboBox.AllowEdit

Specifies whether or not the control allows editing of its data.

Declaration
property AllowEdit: Boolean default True;

__property bool AllowEdit

Description

This property is defined in TRzCustomComboBox and provides a way for a csDropDown style combo box to only allow items currently in its list to be entered into the edit portion of the combo box. That is, if AllowEdit is True (the default) the user is allowed to enter any text they want into a csDropDown style combo box. Of course, the user could also select an item from the drop down list.

If AllowEdit is False, the user can only select items that appear in the list. However, the user can still use the keyboard to enter the first few characters of the desired item and let the combo box auto-complete the entry.


Raize Components 6

TRzCustomComboBox.AllowEdit Example
TRzCustomComboBox


TRzCustomComboBox.AutoComplete

Determines if matching items are automatically appended to currently entered text.

Declaration
property AutoComplete: Boolean default True;

__property bool AutoComplete

Description

When AutoComplete is true, the combo box responds to user keystrokes by searching the Items property array for the first item that matches the string entered so far. If it finds an item that begins with the prefix typed so far, the combo box selects that item, completing the users typing. If the user continues to type, selection may move to another, later, item, as the currently typed prefix no longer matches the initial AutoComplete selection. If the user types a string that is not the prefix of a string in the combo box, the string is taken as a unique entry and none of the items in the list are selected.

When AutoComplete is false, this feature is disabled. Strings that the user types are taken literally, with no attempt to match them to a string in the combo box. Setting AutoComplete to false is necessary if you want to allow the user to enter a value that is not in the Items list but that is a prefix on one of the items.


Raize Components 6

TRzCustomComboBox.AutoComplete Example
TRzCustomComboBox


TRzCustomComboBox.BeepOnInvalidKey

Determines if a beep is sounded on an invalid key press.

Declaration
property BeepOnInvalidKey: Boolean default True;

__property bool BeepOnInvalidKey

Description

This property is used by all Raize Components that provide intuitive keyboard speed searching (i.e. combo boxes and list boxes). If the user presses an invalid key, the BeepOnInvalidKey property determines whether or not a beep is indicated.


Raize Components 6

TRzCustomComboBox.BeepOnInvalidKey Example
TRzCustomComboBox


TRzCustomComboBox.ClearItems

Use this method to clear the list.

Declaration
procedure ClearItems;

void __fastcall ClearItems(void)

Description

Use this method to clear the list.


Raize Components 6

TRzCustomComboBox.ClearItems Example
TRzCustomComboBox


TRzCustomComboBox.ClearSearchString

Use this method to clear the search string recorded as the user types.

Declaration
procedure ClearSearchString;

void __fastcall ClearSearchString(void)

Description

Use this method to clear the search string recorded as the user types.


Raize Components 6

TRzCustomComboBox.ClearSearchString Example
TRzCustomComboBox


TRzCustomComboBox.Count

This method is equivalent to calling Items.Count.

Declaration
function Count: Integer;

int __fastcall Count(void)

Description

This method is equivalent to calling Items.Count.


Raize Components 6

TRzCustomComboBox.Count Example
TRzCustomComboBox


TRzCustomComboBox.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzCustomComboBox.DisabledColor Example
TRzCustomComboBox


TRzCustomComboBox.DropDownWidth

Determines the width of the drop down list.

Declaration
property DropDownWidth: Integer default 0;

__property int DropDownWidth

Description

This property can be used to change the width (in pixels) of the drop down list portion of a combo box. Set this property back to 0 to make the list return to its default width.


Raize Components 6

TRzCustomComboBox.DropDownWidth Example
TRzCustomComboBox


Raize Components 6

TRzCustomComboBox Events
TRzCustomComboBox

Public
OnCloseUp
OnDeleteItem
OnMatch
OnMouseEnter
OnMouseLeave
OnNotInList
OnSelEndCancel
OnSelEndOk

Protected
OnCloseUp
OnDeleteItem
OnMatch
OnMouseEnter
OnMouseLeave
OnNotInList
OnSelEndCancel
OnSelEndOk


TRzCustomComboBox.FindClosestItem

Declaration
function FindClosestItem(const S: string): Boolean;

Description

Returns the index of the item that most closely matches the specified string.


Raize Components 6

TRzCustomComboBox.FindClosestItem Example
TRzCustomComboBox


TRzCustomComboBox.FindItem

This function returns True if the string specified in S is in the list.

Declaration
function FindItem(const S: string): Boolean;

bool __fastcall FindItem(const AnsiString S)

Description

This function returns True if the string specified in S is in the list.


Raize Components 6

TRzCustomComboBox.FindItem Example
TRzCustomComboBox


TRzCustomComboBox.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

TRzCustomComboBox.FlatButtonColor Example
TRzCustomComboBox


TRzCustomComboBox.FlatButtons

Determines if buttons appear flat or raised.

Declaration
property FlatButtons: Boolean default False;

__property bool FlatButtons

Description

This property controls whether or not the buttons embedded in each of these controls appears as a normal 3D button or with the Flat style. When set to True, the buttons appear without any border until the mouse is positioned over the button. For combo boxes, the button appears with a border, when the mouse is positioned anywhere on the control.


Raize Components 6

TRzCustomComboBox.FlatButtons Example
TRzCustomComboBox


TRzCustomComboBox.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzCustomComboBox.FocusColor Example
TRzCustomComboBox


TRzCustomComboBox.Focused

Use *this* Focused method to determine if the combo box is really focused or not.

Declaration
function Focused: Boolean; override;

DYNAMIC bool __fastcall Focused(void)

Description

Use *this* Focused method to determine if the combo box is really focused or not. The inherited Focused method does not work correctly.


Raize Components 6

TRzCustomComboBox.Focused Example
TRzCustomComboBox


TRzCustomComboBox.ForceText

Use this method to set the Text property while ignoring the AutoComplete setting.

Declaration
procedure ForceText(const Value: string); virtual;

virtual void __fastcall ForceText(const AnsiString Value)

Description

Use this method to set the Text property while ignoring the AutoComplete setting.


Raize Components 6

TRzCustomComboBox.ForceText Example
TRzCustomComboBox


TRzCustomComboBox.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzCustomComboBox.FrameColor Example
TRzCustomComboBox


TRzCustomComboBox.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzCustomComboBox.FrameController Example
TRzCustomComboBox


TRzCustomComboBox.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzCustomComboBox.FrameControllerNotifications Example
TRzCustomComboBox


TRzCustomComboBox.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzCustomComboBox.FrameHotColor Example
TRzCustomComboBox


TRzCustomComboBox.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzCustomComboBox.FrameHotStyle Example
TRzCustomComboBox


TRzCustomComboBox.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzCustomComboBox.FrameHotTrack Example
TRzCustomComboBox


TRzCustomComboBox.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzCustomComboBox.FrameSides Example
TRzCustomComboBox


TRzCustomComboBox.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzCustomComboBox.FrameStyle Example
TRzCustomComboBox


TRzCustomComboBox.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzCustomComboBox.FrameVisible Example
TRzCustomComboBox


TRzCustomComboBox.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzCustomComboBox.FramingPreference Example
TRzCustomComboBox


TRzCustomComboBox.IndexOf

This method is equivalent to calling Items.IndexOf.

Declaration
function IndexOf(const S: string): Integer; virtual;

int __fastcall IndexOf(const AnsiString S)

Description

This method is equivalent to calling Items.IndexOf.


Raize Components 6

TRzCustomComboBox.IndexOf Example
TRzCustomComboBox


TRzCustomComboBox.Insert

This method is equivalent to calling Items.Insert.

Declaration
procedure Insert(Index: Integer; const S: string);

void __fastcall Insert(int Index, const AnsiString S)

Description

This method is equivalent to calling Items.Insert.


Raize Components 6

TRzCustomComboBox.Insert Example
TRzCustomComboBox


TRzCustomComboBox.InsertObject

This method is equivalent to calling Items.InsertObject.

Declaration
procedure InsertObject(Index: Integer; const S: string; AObject: TObject);

void __fastcall InsertObject(int Index, const AnsiString S, System::TObject *AObject)

Description

This method is equivalent to calling Items.InsertObject.


Raize Components 6

TRzCustomComboBox.InsertObject Example
TRzCustomComboBox


TRzCustomComboBox.ItemHeight

Specifies the height of each item.

Declaration
property ItemHeight: Integer;

__property ItemHeight

Description

Use ItemHeight to specify the height needed to draw the items in the list when Style is set to csOwnerDrawFixed. If Style is csOwnerDrawVariable, ItemHeight is the default height for drawing list items. When Style is csOwnerDrawVariable, ItemHeight can be overridden by an OnMeasureItem event handler. If Style is set to any other value, the ItemHeight property is inoperative.


Raize Components 6

TRzCustomComboBox.ItemHeight Example
TRzCustomComboBox


TRzCustomComboBox.KeepSearchCase

Determines if case is maintained as user enters search strings.

Declaration
property KeepSearchCase: Boolean default False;

__property bool KeepSearchCase

Description

When KeepSearchCase is True (the default), the case of the search string entered by the user is maintained.


Raize Components 6

TRzCustomComboBox.KeepSearchCase Example
TRzCustomComboBox


Raize Components 6

TRzCustomComboBox Methods
TRzCustomComboBox

Public
Add
AddObject
ClearItems
ClearSearchString
Count
FindClosestItem
FindItem
Focused
ForceText
IndexOf
Insert
InsertObject


TRzCustomComboBox.OnCloseUp

Occurs whenever the list portion of a combo box closes.

Declaration
property OnCloseUp: TNotifyEvent;

__property TRzRegIniFile *RegIniFile

Description

This event occurs whenever the list portion of a combo box closes. This event is the opposite of OnDropDown.


Raize Components 6

TRzCustomComboBox.OnCloseUp Example
TRzCustomComboBox


TRzCustomComboBox.OnDeleteItem

Occurs when an item in the list is deleted.

Declaration
property OnDeleteItem: TRzDeleteComboItemEvent;

__property TRzDeleteComboItemEvent OnDeleteItem

Description

This event gives you an opportunity to delete any data you have stored as an Object associated with an Item. When that item is deleted, this OnDeleteItem event will be fired giving you an opportunity to delete the object. This event is fired whenever the combobox receives a CN_DELETEITEM notification message.


Raize Components 6

TRzCustomComboBox.OnDeleteItem Example
TRzCustomComboBox


TRzCustomComboBox.OnMatch

Occurs when an item is found in the list that matches what the user has typed.

Declaration
property OnMatch: TNotifyEvent;

__property Classes::TNotifyEvent OnMatch

Description

This event occurs when an item is found in the list that match what the user has typed in. Using the arrow keys to navigate through the list *does not* cause the OnMatch event to fire.


Raize Components 6

TRzCustomComboBox.OnMatch Example
TRzCustomComboBox


TRzCustomComboBox.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzCustomComboBox.OnMouseEnter Example
TRzCustomComboBox


TRzCustomComboBox.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzCustomComboBox.OnMouseLeave Example
TRzCustomComboBox


TRzCustomComboBox.OnNotInList

Occurs whenever the focus leaves and the text area does not match an item in the list.

Declaration
property OnNotInList: TNotifyEvent;

__property Classes::TNotifyEvent OnNotInList

Description

This event is generated whenever the focus leaves the control and the text in the edit portion of the combo box does not match any item in the list portion. This event is only generated when the Style property is set to csDropDown.


Raize Components 6

TRzCustomComboBox.OnNotInList Example
TRzCustomComboBox


TRzCustomComboBox.OnSelEndCancel

Occurs when the user selects an item from the list, but clicks outside the list to cancel the selection.

Declaration
property OnSelEndCancel: TNotifyEvent;

__property Classes::TNotifyEvent OnSelEndCancel

Description

This event is fired when the user selects an item, but then selects another control or closes the form. It indicates the user's initial selection is to be ignored.


Raize Components 6

TRzCustomComboBox.OnSelEndCancel Example
TRzCustomComboBox


TRzCustomComboBox.OnSelEndOk

Occurs when the user selects an item in the list and accepts it.

Declaration
property OnSelEndOk: TNotifyEvent;

__property Classes::TNotifyEvent OnSelEndOk

Description

This event is fired when the user selects a list item, or selects an item and then closes the list. It indicates that the user's selection is to be processed.

It is generally preferable to process this event instead of OnChange, especially if the action to be performed when the selection is processed is time consuming.

Consider the user who selects an item from the combo box with the keyboard. They tab to the control, drop down the list and press the up/down keys until they reach the desired item. Every time they move up or down, an OnChange event is fired. If you wish to perform processing based on the user selection, it is preferable to wait until they have finished their selection before doing the processing (in most cases). This is the purpose of this event.


Raize Components 6

TRzCustomComboBox.OnSelEndOk Example
TRzCustomComboBox


Raize Components 6

TRzCustomComboBox Properties
TRzCustomComboBox

Public
BeepOnInvalidKey
SearchString

Protected
AllowEdit
AutoComplete
DisabledColor
DropDownWidth
FlatButtonColor
FlatButtons
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ItemHeight
KeepSearchCase
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
TabOnEnter


TRzCustomComboBox.ReadOnly

Determines if control allows text editing.

Declaration
property ReadOnly: Boolean default False;

__property bool ReadOnly

Description

When ReadOnly is True, the control does not allow editing the text displayed.


Raize Components 6

TRzCustomComboBox.ReadOnly Example
TRzCustomComboBox


TRzCustomComboBox.ReadOnlyColor

Specifies color to be used when the control's ReadOnly property is True.

Declaration
property ReadOnlyColor: TColor default clInfoBk;

Description

Use ReadOnlyColor to read or change the background color of the control when the control's ReadOnly property is set to True.


Raize Components 6

TRzCustomComboBox.ReadOnlyColor Example
TRzCustomComboBox


TRzCustomComboBox.ReadOnlyColorOnFocus

Determines if the ReadOnlyColor value or the FocusColor value is used to highlight a control when that control has the focus and has its ReadOnly property set to True.

Declaration
property ReadOnlyColorOnFocus: Boolean default False;

__property bool ReadOnlyColorOnFocus

Description

This property determines if the ReadOnlyColor or FocusColor is used to color the control when the control has the focus and has its ReadOnly property set to True. By default, a focused control will use the FocusColor even if the control is read-only. Setting ReadOnlyColorOnFocus to True will cause a focused read-only control to be colored using ReadOnlyColor.


Raize Components 6

TRzCustomComboBox.ReadOnlyColorOnFocus Example
TRzCustomComboBox


TRzCustomComboBox.SearchString

Specifies the currently entered search string.

Declaration
property SearchString: string;

__property AnsiString SearchString

Description

For list boxes and combo boxes, this read-only property records the series of characters typed by the user while navigating through the list. As the user types the SearchString property is built up, or taken down if the BackSpace key is pressed. The list component then moves the selection bar to the item which most closely matches the SearchString.


Raize Components 6

TRzCustomComboBox.SearchString Example
TRzCustomComboBox


TRzCustomComboBox.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzCustomComboBox.TabOnEnter Example
TRzCustomComboBox


TRzCustomImageComboBox

TRzCustomImageComboBox is the base class for the image combo box control in Raize Components.

Unit
RzCmboBx

Declaration
TRzCustomImageComboBox=Class(TRzCustomComboBox);

Description

Do not create instances of TRzCustomImageComboBox--use TRzImageComboBox or some other descendant.


TRzCustomImageComboBox.AddItem

Use this method to add items in preference to calling members of the Items property.

Declaration
function AddItem(Caption: string; ImageIndex: Integer; IndentLevel: Integer): TRzImageComboBoxItem; virtual; reintroduce;

Description

Use this method to add items in preference to calling members of the Items property.


Raize Components 6

TRzCustomImageComboBox.AddItem Example
TRzCustomImageComboBox


TRzCustomImageComboBox.AutoSizeHeight

Determines if height of control is automatically adjusted according to height of images.

Declaration
property AutoSizeHeight: Boolean default True;

__property bool AutoSizeHeight

Description

When this property is true, any change to the Font or ImageList of the image combo will cause the control to resize vertically to fit the new Font or ImageList height by automatically setting the ItemHeight. The greater of the Font and ImageList heights are used for the new item height.

Default value is true.


Raize Components 6

TRzCustomImageComboBox.AutoSizeHeight Example
TRzCustomImageComboBox


TRzCustomImageComboBox.Delete

Use the Delete method to manually delete an item from the list.

Declaration
procedure Delete(Index: Integer);

Description

Use the Delete method to manually delete an item from the list. This will cause the associated object (holding the image index value, etc) to be freed.


Raize Components 6

TRzCustomImageComboBox.Delete Example
TRzCustomImageComboBox


Raize Components 6

TRzCustomImageComboBox Events
TRzCustomImageComboBox

Public
OnDeleteItem
OnGetItemData

Protected
OnDeleteItem
OnGetItemData


TRzCustomImageComboBox.ImageComboItem

Provides access to the current set of items managed by the control.

Declaration
property ImageComboItem[Index: Integer]: TRzImageComboBoxItem;

__property TRzImageComboBoxItem *ImageComboItem[int Index]

Description

Use Items to add, insert, delete and move items to the controls list.


Raize Components 6

TRzCustomImageComboBox.ImageComboItem Example
TRzCustomImageComboBox


TRzCustomImageComboBox.Images

Specifies an associated image list.

Declaration
property Images: TCustomImageList;

__property Imglist::TCustomImageList *Images

Description

Use Images to connect the control to an image list control.


Raize Components 6

TRzCustomImageComboBox.Images Example
TRzCustomImageComboBox


TRzCustomImageComboBox.IndexOf

Declaration
function IndexOf(const S: string): Integer; override;

Description

Returns the index of the item in the list that matches the specified string.


Raize Components 6

TRzCustomImageComboBox.IndexOf Example
TRzCustomImageComboBox


TRzCustomImageComboBox.IndexOfData

Declaration
function IndexOfData(Data: Pointer): Integer;

Description

Returns the index of the item in the list that matches the specified data pointer.


Raize Components 6

TRzCustomImageComboBox.IndexOfData Example
TRzCustomImageComboBox


TRzCustomImageComboBox.IndexOfItem

Declaration
function IndexOfItem(Item: TRzImageComboBoxItem): Integer;

Description

Returns the index of the item in the list that matches the specified item reference.


Raize Components 6

TRzCustomImageComboBox.IndexOfItem Example
TRzCustomImageComboBox


TRzCustomImageComboBox.ItemIndent

Specifies indentation value.

Declaration
property ItemIndent: Integer default 12;

__property int ItemIndent

Description

Number of pixels per level of indentation. Applies to all items.


Raize Components 6

TRzCustomImageComboBox.ItemIndent Example
TRzCustomImageComboBox


TRzCustomImageComboBox.ItemsBeginUpdate

Call ItemsBeginUpdate before adding a large number of items to the list.

Declaration
procedure ItemsBeginUpdate;

Description

Call ItemsBeginUpdate before adding a large number of items to the list.


Raize Components 6

TRzCustomImageComboBox.ItemsBeginUpdate Example
TRzCustomImageComboBox


TRzCustomImageComboBox.ItemsEndUpdate

Call ItemsEndUpdate when finished adding a large number of items to the list.

Declaration
procedure ItemsEndUpdate;

Description

Call ItemsEndUpdate when finished adding a large number of items to the list.


Raize Components 6

TRzCustomImageComboBox.ItemsEndUpdate Example
TRzCustomImageComboBox


Raize Components 6

TRzCustomImageComboBox Methods
TRzCustomImageComboBox

Public
AddItem
Delete
IndexOf
IndexOfData
IndexOfItem
ItemsBeginUpdate
ItemsEndUpdate


TRzCustomImageComboBox.OnDeleteItem

Occurs when an item in the list is deleted.

Declaration
property OnDeleteItem: TRzDeleteImageComboBoxItemEvent;

__property TRzDeleteImageComboBoxItemEvent OnDeleteItem

Description

This event gives you an opportunity to delete any data you have stored as an Object associated with an Item. When that item is deleted, this OnDeleteItem event will be fired giving you an opportunity to delete the object. This event is fired whenever the combobox receives a CN_DELETEITEM notification message.


Raize Components 6

TRzCustomImageComboBox.OnDeleteItem Example
TRzCustomImageComboBox


TRzCustomImageComboBox.OnGetItemData

Occurs every time an item is drawn.

Declaration
property OnGetItemData: TRzImageComboBoxGetItemDataEvent;

__property TRzImageComboBoxGetItemDataEvent OnGetItemData

Description

This event is called every time a combo item is drawn. You can use this event to defer supplying, for example, Caption and ImageIndex values for Item. The TRzShellCombo control uses this feature to improve performance.


Raize Components 6

TRzCustomImageComboBox.OnGetItemData Example
TRzCustomImageComboBox


Raize Components 6

TRzCustomImageComboBox Properties
TRzCustomImageComboBox

Public
ImageComboItem

Protected
AutoSizeHeight
Images
ItemIndent


TRzDeleteComboItemEvent

Unit
RzCmboBx

Declaration
TRzDeleteComboItemEvent=procedure(Sender: TObject; Item: Pointer) of object;

typedef void __fastcall(__closure *TRzDeleteComboItemEvent)(System::TObject *Sender, void *Item);

Description

.


TRzDeleteImageComboBoxItemEvent

Unit
RzCmboBx

Declaration
TRzDeleteImageComboBoxItemEvent=procedure(Sender: TObject; Item: TRzImageComboBoxItem) of object;

typedef void __fastcall(__closure *TRzDeleteImageComboBoxItemEvent)(System::TObject *Sender, TRzImageComboBoxItem *Item);

Description

.


TRzFontComboBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzFontComboBox.About Example
TRzFontComboBox


Raize Components 6

TRzFontComboBox Events
TRzFontComboBox

Public


TRzFontComboBox.FontDevice

Determines which device is used to populate list of fonts.

Declaration
property FontDevice: TRzFontDevice default fdScreen;

__property TRzFontDevice FontDevice

Description

The screen and printer each have their own list of available fonts. This property allows a user to select which list is used to populate the combo box.


Raize Components 6

TRzFontComboBox.FontDevice Example
TRzFontComboBox


TRzFontComboBox.FontName

Specifies name of selected font.

Declaration
property FontName: string;

__property AnsiString FontName

Description

Use this property to set the selected font name using the name of the font rather than a TFont value. This property is automatically updated if a new font is selected in the list.


Raize Components 6

TRzFontComboBox.FontName Example
TRzFontComboBox


TRzFontComboBox.FontSize

Specifies point size of selected font.

Declaration
property FontSize: Integer default 8;

__property int FontSize

Description

This property is used to specify the point size used in the TFont value returned by the SelectedFont property. When a new font is selected, only the name is chosen. However, a TFont object needs a font size, and this property allows a developer to override the default size of 8.


Raize Components 6

TRzFontComboBox.FontSize Example
TRzFontComboBox


TRzFontComboBox.FontStyle

Specifies style of selected font.

Declaration
property FontStyle: TFontStyles default[];

__property Graphics::TFontStyles FontStyle

Description

This property is used to specify the font style (e.g. bold, italic, etc.) used in the TFont value returned by the SelectedFont property. When a new font is selected, only the name is chosen. However, a TFont object needs a font style, and this property allows a developer to override the default style.


Raize Components 6

TRzFontComboBox.FontStyle Example
TRzFontComboBox


TRzFontComboBox.FontType

Determines which types of fonts are displayed in the list.

Declaration
property FontType: TRzFontType default ftAll;

__property TRzFontType FontType

Description

Use this property to restrict the fonts displayed in a TRzFontComboBox. This list can be restricted to True Type fonts, fixed-pitched fonts, or printer fonts. To remove any restriction, set FontType to ftAll.


Raize Components 6

TRzFontComboBox.FontType Example
TRzFontComboBox


TRzFontComboBox.MaintainMRUFonts

Determines if most recently used fonts are added to top of list.

Declaration
property MaintainMRUFonts: Boolean default True;

__property bool MaintainMRUFonts

Description

When MaintainMRUFonts is True, the control will automatically maintain a list of the most recently used (i.e. selected) fonts at the top of the list.


Raize Components 6

TRzFontComboBox.MaintainMRUFonts Example
TRzFontComboBox


TRzFontComboBox.PreviewEdit

Specifies an edit control to be used for displaying font previews.

Declaration
property PreviewEdit: TCustomEdit;

__property Stdctrls::TCustomEdit *PreviewEdit

Description

Use PreviewEdit to specify an edit control containing text to be displayed in the preview window when ShowStyle is ssFontPreview.


Raize Components 6

TRzFontComboBox.PreviewEdit Example
TRzFontComboBox


TRzFontComboBox.PreviewFontSize

Specifies size of font sample displayed in preview window.

Declaration
property PreviewFontSize: Integer default 36;

__property int PreviewFontSize

Description

Use PreviewFontSize to control the size of the font displayed in the preview window when ShowStyle is ssFontPreview.


Raize Components 6

TRzFontComboBox.PreviewFontSize Example
TRzFontComboBox


TRzFontComboBox.PreviewHeight

Specifies height of preview window.

Declaration
property PreviewHeight: Integer default 65;

__property int PreviewHeight

Description

Use PreviewHeight to control the height of the preview window displayed when ShowStyle is ssFontPreview.


Raize Components 6

TRzFontComboBox.PreviewHeight Example
TRzFontComboBox


TRzFontComboBox.PreviewText

Specifies text to display in preview window.

Declaration
property PreviewText: string;

__property AnsiString PreviewText

Description

Use PreviewText to specify the text to display in the preview window when ShowStyle is ssFontPreview.


Raize Components 6

TRzFontComboBox.PreviewText Example
TRzFontComboBox


TRzFontComboBox.PreviewWidth

Specifies width of preview window.

Declaration
property PreviewWidth: Integer default 260;

__property int PreviewWidth

Description

Use PreviewWidth to control the width of the preview window displayed when ShowStyle is ssFontPreview.


Raize Components 6

TRzFontComboBox.PreviewWidth Example
TRzFontComboBox


Raize Components 6

TRzFontComboBox Properties
TRzFontComboBox

Public
About
Align
Anchors
AutoCloseUp
AutoDropDown
BeepOnInvalidKey
BiDiMode
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
DropDownCount
DropDownWidth
Enabled
FlatButtonColor
FlatButtons
FocusColor
Font
FontDevice
FontName
FontSize
FontStyle
FontType
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ItemHeight
MaintainMRUFonts
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
PreviewEdit
PreviewFontSize
PreviewHeight
PreviewText
PreviewWidth
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
SelectedFont
ShowHint
ShowStyle
ShowSymbolFonts
Sorted
TabOnEnter
TabOrder
TabStop
Visible


TRzFontComboBox.SelectedFont

Specifies the currently selected font.

Declaration
property SelectedFont: TFont;

__property Graphics::TFont *SelectedFont

Description

Use this property to obtain a TFont value corresponding to the font name selected in the list. Setting SelectedFont to a TFont value causes the component to change its selection to the corresponding font name. Using this property is much easier than trying to manipulate the ItemIndex property.


Raize Components 6

TRzFontComboBox.SelectedFont Example
TRzFontComboBox


TRzFontComboBox.ShowStyle

Specifies how the font list appears.

Declaration
property ShowStyle: TRzShowStyle default ssFontName;

__property TRzShowStyle ShowStyle

Description

Use this property to specify how the font names are displayed in the drop down list. The possible values are:

Value Meaning

ssFontName The list shows the name of each font in the font specified by the control's Font property.

ssFontSample The list shows the name of each font in the actual font represented by that item.

ssFontNameAndSample The list shows both the name of the font and a sample.

ssFontPreview A popup window is displayed showing a preview of the selected font item.


Raize Components 6

TRzFontComboBox.ShowStyle Example
TRzFontComboBox


TRzFontComboBox.ShowSymbolFonts

Determines if symbol fonts are included in the list.

Declaration
property ShowSymbolFonts: Boolean default True;

__property bool ShowSymbolFonts

Description

Use ShowSymbolFonts to specify whether or not the list contains symbol fonts.


Raize Components 6

TRzFontComboBox.ShowSymbolFonts Example
TRzFontComboBox


TRzFontDevice

Unit
RzCmboBx

Declaration
TRzFontDevice =(fdScreen, fdPrinter);

enum TRzFontDevice fdScreen, fdPrinter ;

Description

Value Meaning

fdScreen:

fdPrinter:


TRzFontType

Unit
RzCmboBx

Declaration
TRzFontType =(ftAll, ftTrueType, ftFixedPitch, ftPrinter);

enum TRzFontType ftAll, ftTrueType, ftFixedPitch, ftPrinter ;

Description

Value Meaning

ftAll:

ftTrueType:

ftFixedPitch:

ftPrinter:


TRzImageComboBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzImageComboBox.About Example
TRzImageComboBox


Raize Components 6

TRzImageComboBox Events
TRzImageComboBox

Public


TRzImageComboBoxGetItemDataEvent

Unit
RzCmboBx

Declaration
TRzImageComboBoxGetItemDataEvent=procedure(Sender: TObject; Item: TRzImageComboBoxItem) of object;

Description

.


TRzImageComboBoxItem

Properties

Unit
RzCmboBx

Declaration
TRzImageComboBoxItem=Class

Description

This class handles data for each item of the TRzImageComboBox component. The TRzImageComboBox component stores one of these objects with each item in the Items.Objects[ ] property. This means you should never write to the Items.Objects array of a TRzImageComboBox component. You should instead use the ImageComboItem array to access the TRzImageComboItem objects for each combo item.


TRzImageComboBoxItem.Caption

Declaration
property Caption: string;

__property AnsiString Caption

Description

The text part of the combo item. The text is drawn to the right of the image.


Raize Components 6

TRzImageComboBoxItem.Caption Example
TRzImageComboBoxItem


TRzImageComboBoxItem.Data

Declaration
property Data: Pointer;

__property void *Data

Description

This property allows the user of the image combo to store extra data with each item. If you store a heap allocated structure or object with this pointer, you must ensure that it is freed in all cases by responding to the TPTImageCombo.OnDeleteItem event.


Raize Components 6

TRzImageComboBoxItem.Data Example
TRzImageComboBoxItem


TRzImageComboBoxItem.ImageIndex

Declaration
property ImageIndex: Integer;

__property int ImageIndex

Description

Index into TRzImageCombo image list to use for this item.


Raize Components 6

TRzImageComboBoxItem.ImageIndex Example
TRzImageComboBoxItem


TRzImageComboBoxItem.IndentLevel

Declaration
property IndentLevel: Integer;

__property int IndentLevel

Description

Number of levels to indent this item. The number of pixels per level is set by the owning TPTImageCombo component.


Raize Components 6

TRzImageComboBoxItem.IndentLevel Example
TRzImageComboBoxItem


TRzImageComboBoxItem.OverlayIndex

Declaration
property OverlayIndex: Integer;

__property int OverlayIndex

Description

Index into the TPTImageCombo image list of the image to use as an overlay. The ImageIndex image is drawn first and the OverlayIndex is transparently drawn on top.


Raize Components 6

TRzImageComboBoxItem.OverlayIndex Example
TRzImageComboBoxItem


Raize Components 6

TRzImageComboBoxItem Properties
TRzImageComboBoxItem

Public
Caption
Data
ImageIndex
IndentLevel
OverlayIndex
Tag


TRzImageComboBoxItem.Tag

Declaration
property Tag: Integer;

__property int Tag

Description

Arbitrary data field available for the storage of information with each combo item.


Raize Components 6

TRzImageComboBoxItem.Tag Example
TRzImageComboBoxItem


Raize Components 6

TRzImageComboBox Properties
TRzImageComboBox

Public
About
Align
Anchors
AutoCloseUp
AutoDropDown
AutoSizeHeight
BiDiMode
CharCase
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
DropDownCount
DropDownWidth
Enabled
FlatButtonColor
FlatButtons
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
Images
ImeMode
ImeName
ItemHeight
ItemIndent
MaxLength
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
ShowHint
Sorted
TabOnEnter
TabOrder
TabStop
Visible


TRzMRUComboBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzMRUComboBox.About Example
TRzMRUComboBox


Raize Components 6

TRzMRUComboBox Events
TRzMRUComboBox

Public
OnEnterKeyPressed
OnEscapeKeyPressed


TRzMRUComboBox.LoadMRUData

Declaration
procedure LoadMRUData(FromStream: Boolean);

Description

This method forces the MRU combo box to load the list with the list of most-recently-used items from its persistent storage defined by the MruPath, MruSection, and MruID properties.


Raize Components 6

TRzMRUComboBox.LoadMRUData Example
TRzMRUComboBox


TRzMRUComboBox.MaxHistory

Declaration
property MaxHistory: Integer default 25;

__property int MaxHistory

Description

Use this property to specify the maximum number of entries that the TRzMRUComboBox should keep track of. The default value is 25.


Raize Components 6

TRzMRUComboBox.MaxHistory Example
TRzMRUComboBox


Raize Components 6

TRzMRUComboBox Methods
TRzMRUComboBox

Public
LoadMRUData
SaveMRUData
UpdateMRUList


TRzMRUComboBox.MruID

Declaration
property MruID: string;

__property AnsiString MruID

Description

Use this property to specify a unique string which will be used to identify the MRU list maintained by this combo box with the specified MruSection.


Raize Components 6

TRzMRUComboBox.MruID Example
TRzMRUComboBox


TRzMRUComboBox.MruPath

Declaration
property MruPath: string;

__property AnsiString MruPath

Description

Use this property to specify the name of the Registry path that will be used to store the most-recently-used list of items. This property is only used if the MruRegIniFile property is not assigned. MruPath is provide for backward compatibility. It is recommended that you use the MruRegIniFile property instead.


Raize Components 6

TRzMRUComboBox.MruPath Example
TRzMRUComboBox


TRzMRUComboBox.MruRegIniFile

Specifies a TRzRegIniFile component to be used for storage of settings.

Declaration
property MruRegIniFile: TRzRegIniFile;

__property Rzcommon::TRzRegIniFile *MruRegIniFile

Description

Use RegIniFile to specify a TRzRegIniFile component to be used by the control to read and write data to and from the Registry or an INI file.


Raize Components 6

TRzMRUComboBox.MruRegIniFile Example
TRzMRUComboBox


TRzMRUComboBox.MruSection

Declaration
property MruSection: string;

__property AnsiString MruSection

Description

Use this property to specify the name of the section which will be used to store the most-recently-used items.


Raize Components 6

TRzMRUComboBox.MruSection Example
TRzMRUComboBox


TRzMRUComboBox.OnEnterKeyPressed

Declaration
property OnEnterKeyPressed: TNotifyEvent;

__property Classes::TNotifyEvent OnEnterKeyPressed

Description

This event occurs whenever the user presses the Enter key while the input focus is on a TRzMRUComboBox component.


Raize Components 6

TRzMRUComboBox.OnEnterKeyPressed Example
TRzMRUComboBox


TRzMRUComboBox.OnEscapeKeyPressed

Declaration
property OnEscapeKeyPressed: TNotifyEvent;

__property Classes::TNotifyEvent OnEscapeKeyPressed

Description

This event occurs whenever the user presses the Escape key while the input focus is on a TRzMRUComboBox component.


Raize Components 6

TRzMRUComboBox.OnEscapeKeyPressed Example
TRzMRUComboBox


Raize Components 6

TRzMRUComboBox Properties
TRzMRUComboBox

Public
About
Align
AllowEdit
Anchors
AutoCloseUp
AutoComplete
AutoDropDown
BeepOnInvalidKey
BiDiMode
CharCase
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
DropDownCount
DropDownWidth
Enabled
FlatButtonColor
FlatButtons
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ImeMode
ImeName
ItemHeight
Items
KeepSearchCase
MaxHistory
MaxLength
MruID
MruPath
MruRegIniFile
MruSection
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
RemoveItemCaption
SelectFirstItemOnLoad
ShowHint
Style
TabOnEnter
TabOrder
TabStop
Text
Visible


TRzMRUComboBox.RemoveItemCaption

Declaration
property RemoveItemCaption: string;

__property AnsiString RemoveItemCaption

Description

Use this property to specify the string to be displayed on the popup menu, which allows the user to remove an item from the most-recently-used history list. This property makes it easy to localize this menu item to another language.


Raize Components 6

TRzMRUComboBox.RemoveItemCaption Example
TRzMRUComboBox


TRzMRUComboBox.SaveMRUData

Declaration
procedure SaveMRUData;

Description

This method instructs the combo box to save the current list of most-recently-used items to its persistent storage defined by the MruPath, MruSection, and MruID properties.


Raize Components 6

TRzMRUComboBox.SaveMRUData Example
TRzMRUComboBox


TRzMRUComboBox.SelectFirstItemOnLoad

Declaration
property SelectFirstItemOnLoad: Boolean default False;

__property bool SelectFirstItemOnLoad

Description

When this property is set to True, the combo box selects the first (or most-recently-used) item from the list so that it appears in the edit portion of the combo box when the form is loaded.


Raize Components 6

TRzMRUComboBox.SelectFirstItemOnLoad Example
TRzMRUComboBox


TRzMRUComboBox.UpdateMRUList

Declaration
procedure UpdateMRUList;

Description

This method first updates the MRU list so that the item in the edit portion is either added or moved to the top of the list. After this, the SaveMRUData method is called to save the list to persistent storage.


Raize Components 6

TRzMRUComboBox.UpdateMRUList Example
TRzMRUComboBox


TRzShowStyle

Unit
RzCmboBx

Declaration
TRzShowStyle =(ssFontName, ssFontSample, ssFontNameAndSample, ssFontPreview);

Description

Value Meaning

ssFontName:

ssFontSample:

ssFontNameAndSample:

ssFontPreview:


RzCommon

RzCommon File
List of Units

Unit Classes

EInvalidFieldType |
ENoRegIniFile |
IRzCustomFramingNotification |
TAlignmentVertical |
TBarStyle |
TBlinkState |
TDirection |
TExpandOnType |
TFrameStyle |
TFrameStyleEx |
TFramingPreference |
TGradientDirection |
TLineStyle |
TOrientation |
TPositionChangingEvent |
TPositiveByte |
TPositiveInteger |
TPositiveSmallint |
TRzAboutInfo |
TRzButtonDisplayState |
TRzButtonHotTrackStyle |
TRzCustomColors | TRzCustomColors is a nonvisual control for managing a set of custom color values for use in TColorDialog components.
TRzDialogComponent |
TRzFrameController | TRzFrameController is a nonvisual component for managing the Custom Framing properties of multiple controls.
TRzFrameControllerProperty |
TRzGradientColorStyle |
TRzGroupBarGradientPath |
TRzHotTrackColorType |
TRzMenuController | TRzMenuController alters the appearance of menu items to reflect a more modern user interface.
TRzPathType |
TRzPropertyStore | TRzPropertyStore is a nonvisual component designed to persist property settings.
TRzRegAccess |
TRzRegAccessKey |
TRzRegIniFile | TRzRegIniFile is a nonvisual component that encapsulates the Registry and an INI file.
TRzRegKey |
TRzScrollStyle |
TRzScrollType |
TRzSpecialFolder |
TRzUIStyle |
TRzVisualStyle |
TRzWindowsVersion |
TRzXPColorScheme |
TRzXPThemeColor |
TSide |
TSides |
TStateChangeEvent |
TStateChangingEvent |
TTextStyle |
TUnsignedSmallint |

Unit Globals

AdjustColor
BlendColors
CenterRect
CenterToForm
CenterToMDIChild
CenterToWindow
ColorHue
ColorLuminance
ColorSaturation
ColorsTooClose
ColorToHSL
ComplementaryColor
CopyEx
CountChar
DarkerColor
DrawBevel
DrawBorder
DrawBorderSides
DrawBox
DrawBoxCorners
DrawButtonBorder
DrawButtonBorderSides
DrawColorBorder
DrawColorBorderSides
DrawColorButtonBorder
DrawColorButtonBorderSides
DrawCtl3DBorder
DrawCtl3DBorderSides
DrawDashedBorder
DrawGradientPercentBar
DrawLEDBar
DrawPercentBar
DrawSides
ExpandEnvironmentVariables
GetAvgCharWidth
GetDesktopClientRect
GetMinFontHeight
GetNewComponentName
GetXPColorScheme
HSLtoColor
IsTrueTypeFont
LastChar
LighterColor
Max
Min
RemoveChar
RemovePrefixChars
RotateFont
RunningAtLeast
RunningUnder
Swap


EInvalidFieldType

Unit
RzCommon

Declaration
EInvalidFieldType=Class(Exception);;

Description

This exception is raised if the DataField property of TRzDBSpinEdit is assigned to a table column that does not contain numeric data.


ENoRegIniFile

Unit
RzCommon

Declaration
ENoRegIniFile=Class(Exception);

typedef Exception ENoRegIniFile;

Description

This exception is generated when a control is attempting to read or write persistent data and requires a TRzRegIniFile component, but the component's RegIniFile property is nil.


Globals.AdjustColor

Declaration
function AdjustColor(C: TColor; Adjustment: Integer): TColor;

PACKAGE Graphics::TColor __fastcall AdjustColor(Graphics::TColor C, int Adjustment);

Description

This function returns a color that has an adjusted luminance from the passed in color. Specify a positive adjustment to lighten the color. Specify a negative color to darken the color.


Raize Components 6

AdjustColor Example
Globals


Globals.BlendColors

Declaration
function BlendColors(ForeColor, BackColor: TColor; Alpha: Byte): TColor;

PACKAGE Graphics::TColor __fastcall BlendColors(Graphics::TColor ForeColor, Graphics::TColor BackColor, Byte Alpha);

Description

This function returns the alpha blended color resulting from combining the ForeColor and BackColor and the specified Alpha blending value.


Raize Components 6

BlendColors Example
Globals


Globals.CenterRect

Declaration
function CenterRect(R: TRect; Width, Height: Integer): TRect;

PACKAGE Types::TRect __fastcall CenterRect(const Types::TRect & R, int Width, int Height);

Description

This function returns a rectangle of Width and Height centered in the passed in rectangle R.


Raize Components 6

CenterRect Example
Globals


Globals.CenterToForm

Declaration
procedure CenterToForm(ChildWin: TWinControl; AForm: TCustomForm; var Left, Top: Integer);

PACKAGE void __fastcall CenterToForm(Controls::TWinControl *ChildWin, Forms::TCustomForm *AForm, int & Left, int & Top);

Description

This procedure determines the Left and Top values that will cause the ChildWin control to be centered in the AForm.


Raize Components 6

CenterToForm Example
Globals


Globals.CenterToMDIChild

Declaration
procedure CenterToMDIChild(ChildWin: TWinControl; AForm: TForm; var Left, Top: Integer);

PACKAGE void __fastcall CenterToMDIChild(Controls::TWinControl *ChildWin, Forms::TForm *AForm, int & Left, int & Top);

Description

This procedure determines the Left and Top values that will cause the ChildWin control to be centered in the AForm.


Raize Components 6

CenterToMDIChild Example
Globals


Globals.CenterToWindow

Declaration
procedure CenterToWindow(ChildWin, Window: TWinControl; var Left, Top: Integer);

PACKAGE void __fastcall CenterToWindow(Controls::TWinControl *ChildWin, Controls::TWinControl *Window, int & Left, int & Top);

Description

This procedure determines the Left and Top values that will cause the ChildWin control to be centered in the Window.


Raize Components 6

CenterToWindow Example
Globals


Globals.ColorHue

Declaration
function ColorHue(C: TColor): Byte;

PACKAGE Byte __fastcall ColorHue(Graphics::TColor C);

Description

This function returns the Hue value of the specified color C.


Raize Components 6

ColorHue Example
Globals


Globals.ColorLuminance

Declaration
function ColorLuminance(C: TColor): Byte;

PACKAGE Byte __fastcall ColorLuminance(Graphics::TColor C);

Description

This function returns the Luminance value of the specified color C.


Raize Components 6

ColorLuminance Example
Globals


Globals.ColorSaturation

Declaration
function ColorSaturation(C: TColor): Byte;

PACKAGE Byte __fastcall ColorSaturation(Graphics::TColor C);

Description

This function returns the Saturation value of the specified color C.


Raize Components 6

ColorSaturation Example
Globals


Globals.ColorsTooClose

Declaration
function ColorsTooClose(ForeColor, BackColor: TColor): Boolean;

PACKAGE bool __fastcall ColorsTooClose(Graphics::TColor ForeColor, Graphics::TColor BackColor);

Description

This function returns True when the specified colors are too close in Hue and Luminance.


Raize Components 6

ColorsTooClose Example
Globals


Globals.ColorToHSL

Declaration
procedure ColorToHSL(C: TColor; var H, S, L: Byte);

PACKAGE void __fastcall ColorToHSL(Graphics::TColor C, Byte & H, Byte & S, Byte & L);

Description

This procedure returns the Hue, Luminance, and Saturation values of the specified color.


Raize Components 6

ColorToHSL Example
Globals


Globals.ComplementaryColor

Declaration
function ComplementaryColor(C: TColor; Luminance: Byte): TColor;

Description

Returns the color value that is the complementary color (opposite) of the specified color.


Raize Components 6

ComplementaryColor Example
Globals


Globals.CopyEx

Declaration
function CopyEx(const S: string; Start: Integer; C: Char; Count: Integer): string;

Description

This function is an enhanced version of the Copy function. Instead of specifying the number of characters to copy, the last character copied is determined by the Count instance of the C character in the string.

For example,

S := CopyEx( 'C:1, '�2 );

S will be 'C:�ar


Raize Components 6

CopyEx Example
Globals


Globals.CountChar

Declaration
function CountChar(C: Char; const S: string): Integer;

PACKAGE int __fastcall CountChar(char C, const AnsiString S);

Description

This function returns the number of occurances of character C in string S.


Raize Components 6

CountChar Example
Globals


Globals.CurrentXPColorScheme

Declaration
CurrentXPColorScheme: TRzXPColorScheme;

Description

This global variable is utilized by various controls and standard procedures. CurrentXPColorScheme returns an enumeration that indicates the currently selected color scheme (xpcsBlue, xpcsGreen, or xpcsSilver).


Raize Components 6

CurrentXPColorScheme Example
Globals


Globals.DarkerColor

Declaration
function DarkerColor(C: TColor; Adjustment: Byte): TColor;

PACKAGE Graphics::TColor __fastcall DarkerColor(Graphics::TColor C, Byte Adjustment);

Description

This function returns a color value with a Luminance value that is decreased by Adjustment, resulting in a darker color.


Raize Components 6

DarkerColor Example
Globals


Globals.DrawBevel

Declaration
function DrawBevel(Canvas: TCanvas; Bounds: TRect; ULColor, LRColor: TColor; Width: Integer; Sides: TSides): TRect;

PACKAGE Types::TRect __fastcall DrawBevel(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, Graphics::TColor ULColor, Graphics::TColor LRColor, int Width, TSides Sides);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The border's upper and left sides will be colored with the ULColor value, while the lower and right sides will be colored with the LRColor value. The Width parameter determines the thickness of the border in pixels. The Sides set is used to specify which sides of the border should be drawn. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawBevel Example
Globals


Globals.DrawBorder

Declaration
function DrawBorder(Canvas: TCanvas; Bounds: TRect; Style: TFrameStyle): TRect;

PACKAGE Types::TRect __fastcall DrawBorder(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, TFrameStyle Style);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The style of the border drawn is controlled by the Style parameter. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawBorder Example
Globals


Globals.DrawBorderSides

Declaration
function DrawBorderSides(Canvas: TCanvas; Bounds: TRect; Style: TFrameStyle; Sides: TSides): TRect;

PACKAGE Types::TRect __fastcall DrawBorderSides(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, TFrameStyle Style, TSides Sides);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The style of the border drawn is controlled by the Style parameter. The Sides set is used to specify which sides of the border should be drawn. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawBorderSides Example
Globals


Globals.DrawBox

Declaration
function DrawBox(Canvas: TCanvas; Bounds: TRect; LineColor: TColor): TRect;

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The border is drawn as a solid single line using the specified LineColor parameter. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawBox Example
Globals


Globals.DrawBoxCorners

Declaration
function DrawBoxCorners(Canvas: TCanvas; Bounds: TRect; LineColor: TColor; CornerWidth: Integer): TRect;

Description

This function draws the corners for a rectangular border defined by the Bounds parameter on the Canvas. The border is drawn as a solid single line using the specified LineColor parameter. The size of the corners is controlled by the CornerWidth parameter. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawBoxCorners Example
Globals


Globals.DrawButtonBorder

Declaration
function DrawButtonBorder(Canvas: TCanvas; Bounds: TRect; Lowered: Boolean): TRect;

PACKAGE Types::TRect __fastcall DrawButtonBorder(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, bool Lowered);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The border is drawn using the fsButtonUp or fsButtonDown frame style depending on the Lowered value. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawButtonBorder Example
Globals


Globals.DrawButtonBorderSides

Declaration
function DrawButtonBorderSides(Canvas: TCanvas; Bounds: TRect; Lowered: Boolean; Sides: TSides): TRect;

PACKAGE Types::TRect __fastcall DrawButtonBorderSides(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, bool Lowered, TSides Sides);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The border is drawn using the fsButtonUp or fsButtonDown frame style depending on the Lowered value. The Sides set is used to specify which sides of the border should be drawn. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawButtonBorderSides Example
Globals


Globals.DrawColorBorder

Declaration
function DrawColorBorder(Canvas: TCanvas; Bounds: TRect; FaceColor: TColor; Style: TFrameStyle): TRect;

PACKAGE Types::TRect __fastcall DrawColorBorder(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, Graphics::TColor FaceColor, TFrameStyle Style);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The style of the border drawn is controlled by the Style parameter. The function returns the interior rectangle bounded by the border. This function differs from the DrawBorder function in that the shading used for the borders is calculated from the FaceColor parameter rather than using the clBtnHighlight and clBtnShadow colors.


Raize Components 6

DrawColorBorder Example
Globals


Globals.DrawColorBorderSides

Declaration
function DrawColorBorderSides(Canvas: TCanvas; Bounds: TRect; FaceColor: TColor; Style: TFrameStyle; Sides: TSides): TRect;

PACKAGE Types::TRect __fastcall DrawColorBorderSides(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, Graphics::TColor FaceColor, TFrameStyle Style, TSides Sides);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The style of the border drawn is controlled by the Style parameter. The Sides set is used to specify which sides of the border should be drawn. The function returns the interior rectangle bounded by the border. This function differs from the DrawBorder function in that the shading used for the borders is calculated from the FaceColor parameter rather than using the clBtnHighlight and clBtnShadow colors.


Raize Components 6

DrawColorBorderSides Example
Globals


Globals.DrawColorButtonBorder

Declaration
function DrawColorButtonBorder(Canvas: TCanvas; Bounds: TRect; FaceColor: TColor; Lowered: Boolean): TRect;

PACKAGE Types::TRect __fastcall DrawColorButtonBorder(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, Graphics::TColor FaceColor, bool Lowered);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The border is drawn using the fsButtonUp or fsButtonDown frame style depending on the Lowered value. The function returns the interior rectangle bounded by the border. This function differs from the DrawButtonBorder function in that the shading used for the borders is calculated from the FaceColor parameter rather than using the clBtnHighlight and clBtnShadow colors.


Raize Components 6

DrawColorButtonBorder Example
Globals


Globals.DrawColorButtonBorderSides

Declaration
function DrawColorButtonBorderSides(Canvas: TCanvas; Bounds: TRect; FaceColor: TColor; Lowered: Boolean; Sides: TSides): TRect;

PACKAGE Types::TRect __fastcall DrawColorButtonBorderSides(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, Graphics::TColor FaceColor, bool Lowered, TSides Sides);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The border is drawn using the fsButtonUp or fsButtonDown frame style depending on the Lowered value. The function returns the interior rectangle bounded by the border. This function differs from the DrawButtonBorderSides function in that the shading used for the borders is calculated from the FaceColor parameter rather than using the clBtnHighlight and clBtnShadow colors.


Raize Components 6

DrawColorButtonBorderSides Example
Globals


Globals.DrawCtl3DBorder

Declaration
function DrawCtl3DBorder(Canvas: TCanvas; Bounds: TRect; Lowered: Boolean): TRect;

PACKAGE Types::TRect __fastcall DrawCtl3DBorder(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, bool Lowered);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The border is drawn using the fsRaised or fsLowered frame style depending on the Lowered value. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawCtl3DBorder Example
Globals


Globals.DrawCtl3DBorderSides

Declaration
function DrawCtl3DBorderSides(Canvas: TCanvas; Bounds: TRect; Lowered: Boolean; Sides: TSides): TRect;

PACKAGE Types::TRect __fastcall DrawCtl3DBorderSides(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, bool Lowered, TSides Sides);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The border is drawn using the fsRaised or fsLowered frame style depending on the Lowered value. The Sides set is used to specify which sides of the border should be drawn. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawCtl3DBorderSides Example
Globals


Globals.DrawDashedBorder

Declaration
function DrawDashedBorder(Canvas: TCanvas; Bounds: TRect; DashColor: TColor): TRect;

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The border is drawn as a dashed single line using the specified DashColor parameter. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawDashedBorder Example
Globals


Globals.DrawGradientPercentBar

Declaration
procedure DrawGradientPercentBar(Canvas: TCanvas; Bounds: TRect; Orientation: TOrientation; BarColor, BarColorStop, BackColor, BackColorStop: TColor; gradientDirection: TGradientDirection; Percent: Word; ShowPercent, Transparent: Boolean);

Description

This procedure is used to draw a gradient filled progress bar bounded by Bounds on Canvas. The Orientation parameter controls whether the bar fills vertically or horizontally. The color of the bar is controlled by the BarColor value, while the background color is specified by the BackColor value. If ShowPercent is True, the Percent value is displayed in the center of the bar.


Raize Components 6

DrawGradientPercentBar Example
Globals


Globals.DrawLEDBar

Declaration
procedure DrawLEDBar(Canvas: TCanvas; Bounds: TRect; Orientation: TOrientation; BarColor, BackColor: TColor; NumSegments: Integer; Percent: Integer; ThemeAware, Transparent: Boolean);

PACKAGE void __fastcall DrawLEDBar(Graphics::TCanvas *Canvas, const Types::TRect & DrawRct, TOrientation Orientation, Graphics::TColor BarColor, Graphics::TColor BackColor, int NumSegments, int Percent, bool ThemeAware=true);

Description

This procedure is used to draw an LED style progress bar bounded by DrawRct on Canvas. The Orientation parameter controls whether the LEDs are displayed vertically or horizontally. The color of the LEDs is controlled by the BarColor value, while the background color is specified by the BackColor value. The NumSegments parameter is used to specify the number of LEDs to display when the bounding rectangle is filled 100 percent.


Raize Components 6

DrawLEDBar Example
Globals


Globals.DrawPercentBar

Declaration
procedure DrawPercentBar(Canvas: TCanvas; Bounds: TRect; Orientation: TOrientation; BarColor, BackColor: TColor; Percent: Word; ShowPercent, Transparent: Boolean);

PACKAGE void __fastcall DrawPercentBar(Graphics::TCanvas *Canvas, const Types::TRect & DrawRct, TOrientation Orientation, Graphics::TColor BarColor, Graphics::TColor BackColor, Word Percent, bool ShowPercent);

Description

This procedure is used to draw a solid progress bar bounded by DrawRct on Canvas. The Orientation parameter controls whether the bar fills vertically or horizontally. The color of the bar is controlled by the BarColor value, while the background color is specified by the BackColor value. If ShowPercent is True, the Percent value is displayed in the center of the bar.


Raize Components 6

DrawPercentBar Example
Globals


Globals.DrawSides

Declaration
function DrawSides(Canvas: TCanvas; Bounds: TRect; ULColor, LRColor: TColor; Sides: TSides): TRect;

PACKAGE Types::TRect __fastcall DrawSides(Graphics::TCanvas *Canvas, const Types::TRect & Bounds, Graphics::TColor ULColor, Graphics::TColor LRColor, TSides Sides);

Description

This function draws a rectangular border defined by the Bounds parameter on the Canvas. The border's upper and left sides will be colored with the ULColor value, while the lower and right sides will be colored with the LRColor value. The Sides set is used to specify which sides of the border should be drawn. The function returns the interior rectangle bounded by the border.


Raize Components 6

DrawSides Example
Globals


Globals.ExpandEnvironmentVariables

Declaration
function ExpandEnvironmentVariables(const S: string): string;

Description

This global function takes the passed in string and replaces all envrionment variables with their equivalent strings values.


Raize Components 6

ExpandEnvironmentVariables Example
Globals


Globals.GetAvgCharWidth

Declaration
function GetAvgCharWidth(Font: TFont): Integer;

PACKAGE int __fastcall GetAvgCharWidth(Graphics::TFont *Font);

Description

This function returns the average width of characters in pixels for the specified Font.


Raize Components 6

GetAvgCharWidth Example
Globals


Globals.GetDesktopClientRect

Declaration
function GetDesktopClientRect: TRect;

PACKAGE Types::TRect __fastcall GetDesktopClientRect();

Description

This function returns the rectangle that describes the true desktop client area. That is, it takes into account the size and position of the task bar.


Raize Components 6

GetDesktopClientRect Example
Globals


Globals.GetMinFontHeight

Declaration
function GetMinFontHeight(Font: TFont): Integer;

PACKAGE int __fastcall GetMinFontHeight(Graphics::TFont *Font);

Description

This function returns the minimum height (in pixels) needed to completely display the characters of the Font object.


Raize Components 6

GetMinFontHeight Example
Globals


Globals.GetNewComponentName

Declaration
function GetNewComponentName(AOwner: TComponent; const BaseName: string; TryNoIndex: Boolean=True): string;

PACKAGE AnsiString __fastcall GetNewComponentName(Classes::TComponent *AOwner, const AnsiString BaseName, bool TryNoIndex=true);

Description

This function returns a new component name based on the passed in AForm and BaseName. For example, if AForm contains Edit1, Edit2, and Edit4. If GetNewComponentName is called with AForm and 'Edit' as its parameters, it will return 'Edit3'.


Raize Components 6

GetNewComponentName Example
Globals


Globals.GetXPColorScheme

Declaration
function GetXPColorScheme: TRzXPColorScheme;

Description

This function is used to get the current XP color scheme. This function is used by the controls in Raize Components to set the global CurrentXPColorScheme global variable when the user changes the system color scheme.


Raize Components 6

GetXPColorScheme Example
Globals


Globals.HSLtoColor

Declaration
function HSLtoColor(H, S, L: Byte): TColor;

PACKAGE Graphics::TColor __fastcall HSLtoColor(Byte H, Byte S, Byte L);

Description

This function returns the TColor value associated with specified Hue, Luminance, and Saturation values.


Raize Components 6

HSLtoColor Example
Globals


Globals.IsTrueTypeFont

Declaration
function IsTrueTypeFont(Font: TFont): Boolean;

Description

This function returns True if the specified TFont is a True Type font.


Raize Components 6

IsTrueTypeFont Example
Globals


Globals.LastChar

Declaration
function LastChar(const S: string): Char;

PACKAGE char __fastcall LastChar(const AnsiString S);

Description

This function returns the last character in the specified string S.


Raize Components 6

LastChar Example
Globals


Globals.LighterColor

Declaration
function LighterColor(C: TColor; Adjustment: Byte): TColor;

PACKAGE Graphics::TColor __fastcall LighterColor(Graphics::TColor C, Byte Adjustment);

Description

This function returns a color value with a Luminance value that is increased by Adjustment, resulting in a lighter color.


Raize Components 6

LighterColor Example
Globals


Globals.Max

Declaration
function Max(A, B: Integer): Integer;

PACKAGE int __fastcall Max(int A, int B);

Description

This function returns the maximum value of A and B.


Raize Components 6

Max Example
Globals


Globals.Min

Declaration
function Min(A, B: Integer): Integer;

PACKAGE int __fastcall Min(int A, int B);

Description

This function returns the minimum value of A and B.


Raize Components 6

Min Example
Globals


Globals.RaizeComponents_Version

Declaration
RaizeComponents_Version='x.x.x';

Description

This global variable holds the Raize Components version number currently in use.


Raize Components 6

RaizeComponents_Version Example
Globals


Globals.RemoveChar

Declaration
function RemoveChar(var S: string; C: Char): Boolean;

PACKAGE bool __fastcall RemoveChar(AnsiString & S, char C);

Description

This function removes the first occurance of character C in string S. The function returns True if character C is in string S.


Raize Components 6

RemoveChar Example
Globals


Globals.RemovePrefixChars

Declaration
function RemovePrefixChars(const S: string): string;

Description

This function takes a passed in string and then removes any extra "&" characters which are typically used to define accelerator characters in a string.


Raize Components 6

RemovePrefixChars Example
Globals


Globals.RotateFont

Declaration
function RotateFont(Font: TFont; Angle: Integer): HFont;

PACKAGE HFONT __fastcall RotateFont(Graphics::TFont *Font, int Angle);

Description

This function returns a handle to a font GDI object that is created based on the Font object and more importantly is rotated according to the Angle parameter. Note: Only TrueType fonts can be rotated.


Raize Components 6

RotateFont Example
Globals


Globals.RunningAtLeast

Declaration
function RunningAtLeast(ver: TRzWindowsVersion): Boolean;

Description

This function returns True if the current operating system is the specified version or a later version.

The ver parameter may be one of the following:

Win95

WinNT

Win98

WinMe

Win2000

WinXP

WinServer2003

WinVista


Raize Components 6

RunningAtLeast Example
Globals


Globals.RunningUnder

Declaration
function RunningUnder(ver: TRzWindowsVersion): Boolean;

Description

This function returns True if the current operating system is the specified version.

The ver parameter may be one of the following:

Win95

WinNT

Win98

WinMe

Win2000

WinXP

WinServer2003

WinVista


Raize Components 6

RunningUnder Example
Globals


Globals.sdAllSides

Declaration
sdAllSides =[sdLeft, sdTop, sdRight, sdBottom];

Description

The predefined set constant contains all for sides: [ sdLeft, sdTop, sdRight, sdBottom ]


Raize Components 6

sdAllSides Example
Globals


Globals.Swap

Declaration
procedure Swap(var A, B: Word);

PACKAGE void __fastcall Swap(Word & A, Word & B);

PACKAGE void __fastcall Swap(int & A, int & B);

Description

Swaps values of A and B.


Raize Components 6

Swap Example
Globals


IRzCustomFramingNotification

Methods

Unit
RzCommon

Declaration
IRzCustomFramingNotification=interface['-C954-428A-95C4-4EA2EB0F1E16'];

Description

A component can implement the IRzCustomFramingNotification interface to receive notification when properties of a connected TRzFrameController are changed. In addition to implementing the interface, the component needs to create a component reference property to a TRzFrameController. The write access method should like the following:

procedure TSample.SetFrameController( Value: TRzFrameController );
begin
if FFrameController <> nil then
FFrameController.RemoveControl( Self );
FFrameController := Value;
if Value <> nil then
begin
Value.AddControl( Self );
Value.FreeNotification( Self );
end;
end;

In addition, the component's destructor needs to inform the controller that it is being removed.

destructor TSample.Destroy;
begin
if FFrameController <> nil then
FFrameController.RemoveControl( Self );

// Other clean up code
inherited Destroy;
end;


IRzCustomFramingNotification.CustomFramingChanged
IRzCustomFramingNotification Methods

Declaration
procedure CustomFramingChanged;

virtual void __fastcall CustomFramingChanged(void)=0

Description

This method is called from a TRzFrameController to provide notification that one of its Custom Framing properties have been modified. Within this method you can query the properties of the associated FrameController and adjust the display of your component as appropriate.


Raize Components 6

IRzCustomFramingNotification.CustomFramingChanged Example


Raize Components 6

IRzCustomFramingNotification Methods
IRzCustomFramingNotification

Public
CustomFramingChanged


TAlignmentVertical

Unit
RzCommon

Declaration
TAlignmentVertical =(avTop, avCenter, avBottom);

enum TAlignmentVertical avTop, avCenter, avBottom ;

Description

Value Meaning

avTop:

avCenter:

avBottom:


TBarStyle

Unit
RzCommon

Declaration
TBarStyle =(bsTraditional, bsLED, bsGradient);

enum TBarStyle bsTraditional, bsLED ;

Description

Value Meaning

bsTraditional:

bsLED:

bsGradient:


TBlinkState

Unit
RzCommon

Declaration
TBlinkState =(bsOn, bsOff);

enum TBlinkState bsOn, bsOff ;

Description

Value Meaning

bsOn:

bsOff:


TDirection

Unit
RzCommon

Declaration
TDirection =(dirUp, dirDown, dirLeft, dirRight);

enum TDirection dirUp, dirDown, dirLeft, dirRight ;

Description

Value Meaning

dirUp:

dirDown:

dirLeft:

dirRight:


TExpandOnType

Unit
RzCommon

Declaration
TExpandOnType =(etMouseButton2Click, etFocus, etNone);

enum TExpandOnType etMouseButton2Click, etFocus, etNone ;

Description

Value Meaning

etMouseButton2Click:

etFocus:

etNone:


TFrameStyle

Unit
RzCommon

Declaration
TFrameStyle=fsNone..fsFlatBold;

enum TFrameStyle fsNone, fsFlat, fsGroove, fsBump, fsLowered, fsButtonDown, fsRaised, fsButtonUp, fsStatus, fsPopup, fsFlatBold ;

Description

.


TFrameStyleEx

Unit
RzCommon

Declaration
TFrameStyleEx =(fsNone, fsFlat, fsGroove, fsBump, fsLowered, fsButtonDown, fsRaised, fsButtonUp, fsStatus, fsPopup, fsFlatBold, fsFlatRounded);

Description

Value Meaning

fsNone:

fsFlat:

fsGroove:

fsBump:

fsLowered:

fsButtonDown:

fsRaised:

fsButtonUp:

fsStatus:

fsPopup:

fsFlatBold:

fsFlatRounded:


TFramingPreference

Unit
RzCommon

Declaration
TFramingPreference =(fpCustomFraming, fpXPThemes);

enum TFramingPreference fpCustomFraming, fpXPThemes ;

Description

Value Meaning

fpCustomFraming:

fpXPThemes:


TGradientDirection

Unit
RzCommon

Declaration
TGradientDirection =(gdDiagonalUp, gdDiagonalDown, gdHorizontalEnd, gdHorizontalCenter, gdHorizontalBox, gdVerticalEnd, gdVerticalCenter, gdVerticalBox, gdSquareBox, gdBigSquareBox);

enum TGradientDirection gdDiagonalUp, gdDiagonalDown, gdHorizontalEnd, gdHorizontalCenter, gdHorizontalBox, gdVerticalEnd, gdVerticalCenter, gdVerticalBox, gdSquareBox, gdBigSquareBox ;

Description

Value Meaning

gdDiagonalUp:

gdDiagonalDown:

gdHorizontalEnd:

gdHorizontalCenter:

gdHorizontalBox:

gdVerticalEnd:

gdVerticalCenter:

gdVerticalBox:

gdSquareBox:

gdBigSquareBox:


TLineStyle

Unit
RzCommon

Declaration
TLineStyle =(lsNone, lsFlat, lsGroove, lsBump);

enum TLineStyle lsNone, lsFlat, lsGroove, lsBump ;

Description

Value Meaning

lsNone:

lsFlat:

lsGroove:

lsBump:


TOrientation

Unit
RzCommon

Declaration
TOrientation =(orHorizontal, orVertical);

enum TOrientation orHorizontal, orVertical ;

Description

Value Meaning

orHorizontal:

orVertical:


TPositionChangingEvent

Unit
RzCommon

Declaration
TPositionChangingEvent=procedure(Sender: TObject; NewPos: Integer; var AllowChange: Boolean) of object;

typedef void __fastcall(__closure *TPositionChangingEvent)(System::TObject *Sender, int NewPos, bool & AllowChange);

Description

.


TPositiveByte

Unit
RzCommon

Declaration
TPositiveByte=1..255;

typedef Byte TPositiveByte;

Description

.


TPositiveInteger

Unit
RzCommon

Declaration
TPositiveInteger=1..MaxInt;

typedef int TPositiveInteger;

Description

.


TPositiveSmallint

Unit
RzCommon

Declaration
TPositiveSmallint=1..32767;

typedef Word TPositiveSmallint;

Description

.


TRzAboutInfo

Unit
RzCommon

Declaration
TRzAboutInfo=(aiRaizeComponents);

enum TRzAboutInfo aiRaizeComponents ;

Description

.


TRzButtonDisplayState

Unit
RzCommon

Declaration
TRzButtonDisplayState =(bdsNormal, bdsDown, bdsHot, bdsDisabled);

Description

Value Meaning

bdsNormal:

bdsDown:

bdsHot:

bdsDisabled:


TRzButtonHotTrackStyle

Unit
RzCommon

Declaration
TRzButtonHotTrackStyle =(htsInterior, htsFrame);

Description

Value Meaning

htsInterior:

htsFrame:


TRzCustomColors.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzCustomColors.About Example
TRzCustomColors


TRzCustomColors.Colors

Specifies the custom color values managed by the control.

Declaration
property Colors: TStrings;

__property Classes::TStrings *Colors

Description

This property allows a developer to specify the custom color values that are available in the Color selection dialog box that is displayed when the user selects the Custom color entry. By default, the 16 custom color samples in the dialog box are white.

Each custom color is represented as a string of the form ColorX=HexValue. For example, the following string sets the first custom color to the Raize Software purple.

ColorA=00993366

Up to 16 custom colors (ColorA through ColorP) can be set.


Raize Components 6

TRzCustomColors.Colors Example
TRzCustomColors


TRzCustomColors.Load

Use Load to load a set of custom color values from the specified Section using the associated RegIniFile component.

Declaration
procedure Load(const Section: string);

void __fastcall Load(const AnsiString Section)

Description

Use Load to load a set of custom color values from the specified Section using the associated RegIniFile component.


Raize Components 6

TRzCustomColors.Load Example
TRzCustomColors


Raize Components 6

TRzCustomColors Methods
TRzCustomColors

Public
Load
Save


Raize Components 6

TRzCustomColors Properties
TRzCustomColors

Public
About
Colors
RegIniFile


TRzCustomColors.RegIniFile

Specifies a TRzRegIniFile component to be used for storage of settings.

Declaration
property RegIniFile: TRzRegIniFile;

__property TRzRegIniFile *RegIniFile

Description

Use RegIniFile to specify a TRzRegIniFile component to be used by the control to read and write data to and from the Registry or an INI file.


Raize Components 6

TRzCustomColors.RegIniFile Example
TRzCustomColors


TRzCustomColors.Save

Use Save to save a set of custom color values to the specified Section using the associated RegIniFile component.

Declaration
procedure Save(const Section: string);

void __fastcall Save(const AnsiString Section)

Description

Use Save to save a set of custom color values to the specified Section using the associated RegIniFile component.


Raize Components 6

TRzCustomColors.Save Example
TRzCustomColors


TRzDialogComponent

Properties

Unit
RzCommon

Declaration
TRzDialogComponent=Class(TComponent);

Description

Base class for dialog-based components.


TRzDialogComponent.BorderStyle

Specifies border style of dialog.

Declaration
property BorderStyle: TFormBorderStyle default bsSizeable;

__property Forms::TFormBorderStyle BorderStyle

Description

Use this property to change the border style of the dialog.


Raize Components 6

TRzDialogComponent.BorderStyle Example
TRzDialogComponent


TRzDialogComponent.Caption

Specifies caption for dialog.

Declaration
property Caption: string;

__property AnsiString Caption

Description

Use this property to specify a custom caption for the title of the dialog.


Raize Components 6

TRzDialogComponent.Caption Example
TRzDialogComponent


TRzDialogComponent.CaptionCancel

Specifies caption for Cancel button.

Declaration
property CaptionCancel: string;

__property AnsiString CaptionCancel

Description

Use this property to specify a custom caption for the Cancel button.


Raize Components 6

TRzDialogComponent.CaptionCancel Example
TRzDialogComponent


TRzDialogComponent.CaptionHelp

Specifies caption for Help button.

Declaration
property CaptionHelp: string;

__property AnsiString CaptionHelp

Description

Use this property to specify a custom caption for the Help button.


Raize Components 6

TRzDialogComponent.CaptionHelp Example
TRzDialogComponent


TRzDialogComponent.CaptionOK

Specifies caption for OK button.

Declaration
property CaptionOK: string;

__property AnsiString CaptionOK

Description

Use this property to specify a custom caption for the OK button.


Raize Components 6

TRzDialogComponent.CaptionOK Example
TRzDialogComponent


TRzDialogComponent.CenterToParent

Determines if dialog is centered to parent window.

Declaration
property CenterToParent: Boolean default False;

__property bool CenterToParent

Description

Set this property to True to instruct the dialog to be centered with respect to its parent window when displayed. When False, the dialog box is centered to the screen.


Raize Components 6

TRzDialogComponent.CenterToParent Example
TRzDialogComponent


TRzDialogComponent.Font

Specifies font to be used in dialog.

Declaration
property Font: TFont;

__property Graphics::TFont *Font

Description

Use this property to specify the font to use for the dialog.


Raize Components 6

TRzDialogComponent.Font Example
TRzDialogComponent


TRzDialogComponent.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzDialogComponent.FrameColor Example
TRzDialogComponent


TRzDialogComponent.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzDialogComponent.FrameStyle Example
TRzDialogComponent


TRzDialogComponent.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzDialogComponent.FrameVisible Example
TRzDialogComponent


TRzDialogComponent.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzDialogComponent.FramingPreference Example
TRzDialogComponent


TRzDialogComponent.Height

Specifies height of dialog.

Declaration
property Height: Integer default 300;

__property int Height

Description

Use this property to specify the height of the dialog.


Raize Components 6

TRzDialogComponent.Height Example
TRzDialogComponent


TRzDialogComponent.HelpContext

Specifies help context value for Help button.

Declaration
property HelpContext: THelpContext default 0;

__property Classes::THelpContext HelpContext

Description

Use this property to specify a help context value to be used when the Help button is click.


Raize Components 6

TRzDialogComponent.HelpContext Example
TRzDialogComponent


TRzDialogComponent.OriginLeft

Specifies position of dialog on screen.

Declaration
property OriginLeft: Integer default 100;

__property int OriginLeft

Description

The OriginLeft and OriginTop properties determine the onscreen position of the dialog-based component when the Position property is set to poDesigned.


Raize Components 6

TRzDialogComponent.OriginLeft Example
TRzDialogComponent


TRzDialogComponent.OriginTop

Specifies position of dialog on screen.

Declaration
property OriginTop: Integer default 100;

__property int OriginTop

Description

The OriginLeft and OriginTop properties determine the onscreen position of the dialog-based component when the Position property is set to poDesigned.


Raize Components 6

TRzDialogComponent.OriginTop Example
TRzDialogComponent


TRzDialogComponent.Position

Determines the position of the dialog when first displayed.

Declaration
property Position: TPosition default poScreenCenter;

__property Forms::TPosition Position

Description

This property is determines the placement of the dialog form. The property is equivalent to the Position property published in the TForm class. To specify an exact screen position of a Raize dialog-based component, set the Position property to poDesigned and then specify values for the OriginLeft, OriginTop, Width, and Height properties.


Raize Components 6

TRzDialogComponent.Position Example
TRzDialogComponent


Raize Components 6

TRzDialogComponent Properties
TRzDialogComponent

Public
CenterToParent
OriginLeft
OriginTop
Position

Protected
BorderStyle
Caption
CaptionCancel
CaptionHelp
CaptionOK
Font
FrameColor
FrameStyle
FrameVisible
FramingPreference
Height
HelpContext
Width


TRzDialogComponent.Width

Specifies width of dialog.

Declaration
property Width: Integer default 350;

__property int Width

Description

Use this property to specify the width of the dialog.


Raize Components 6

TRzDialogComponent.Width Example
TRzDialogComponent


TRzFrameController.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzFrameController.About Example
TRzFrameController


TRzFrameController.BeginUpdate

Use BeginUpdate and EndUpdate to change multiple custom framing properties at one time.

Declaration
procedure BeginUpdate;

void __fastcall BeginUpdate(void)

Description

Use BeginUpdate and EndUpdate when you wish to change several of the Custom Framing properties through the controller. The controls managed by the controller will not be updated until EndUpdate is called.


Raize Components 6

TRzFrameController.BeginUpdate Example
TRzFrameController


TRzFrameController.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clWindow;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzFrameController.Color Example
TRzFrameController


TRzFrameController.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzFrameController.DisabledColor Example
TRzFrameController


TRzFrameController.EndUpdate

Use BeginUpdate and EndUpdate to change multiple custom framing properties at one time.

Declaration
procedure EndUpdate;

void __fastcall EndUpdate(void)

Description

Use BeginUpdate and EndUpdate when you wish to change several of the Custom Framing properties through the controller. The controls managed by the controller will not be updated until EndUpdate is called.


Raize Components 6

TRzFrameController.EndUpdate Example
TRzFrameController


TRzFrameController.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

TRzFrameController.FlatButtonColor Example
TRzFrameController


TRzFrameController.FlatButtons

Determines if buttons appear flat or raised.

Declaration
property FlatButtons: Boolean default True;

__property bool FlatButtons

Description

This property controls whether or not the buttons embedded in each of these controls appears as a normal 3D button or with the Flat style. When set to True, the buttons appear without any border until the mouse is positioned over the button. For combo boxes, the button appears with a border, when the mouse is positioned anywhere on the control.


Raize Components 6

TRzFrameController.FlatButtons Example
TRzFrameController


TRzFrameController.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzFrameController.FocusColor Example
TRzFrameController


TRzFrameController.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzFrameController.FrameColor Example
TRzFrameController


TRzFrameController.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzFrameController.FrameHotColor Example
TRzFrameController


TRzFrameController.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzFrameController.FrameHotStyle Example
TRzFrameController


TRzFrameController.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzFrameController.FrameHotTrack Example
TRzFrameController


TRzFrameController.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzFrameController.FrameSides Example
TRzFrameController


TRzFrameController.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzFrameController.FrameStyle Example
TRzFrameController


TRzFrameController.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzFrameController.FrameVisible Example
TRzFrameController


TRzFrameController.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzFrameController.FramingPreference Example
TRzFrameController


TRzFrameController.Load

Load custom framing settings from TRzRegIniFile.

Declaration
procedure Load(const Section: string);

Description

Call Load to retrieve Custom Framing settings previously stored using the Save method.


Raize Components 6

TRzFrameController.Load Example
TRzFrameController


Raize Components 6

TRzFrameController Methods
TRzFrameController

Public
BeginUpdate
EndUpdate
Load
Save


TRzFrameController.ParentColor

Declaration
property ParentColor: Boolean default False;

__property bool ParentColor

Description

To have a control use the same color as its parent control, set ParentColor to true If ParentColor is false the control uses its own Color property.

Set ParentColor to true for all controls in order to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is true for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.

When the value of a control's Color property changes, ParentColor becomes false automatically.


Raize Components 6

TRzFrameController.ParentColor Example
TRzFrameController


Raize Components 6

TRzFrameController Properties
TRzFrameController

Public
About
Color
DisabledColor
FlatButtonColor
FlatButtons
FocusColor
FrameColor
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ParentColor
ReadOnlyColor
ReadOnlyColorOnFocus
RegIniFile


TRzFrameController.ReadOnlyColor

Specifies color to be used when the control's ReadOnly property is True.

Declaration
property ReadOnlyColor: TColor default clInfoBk;

Description

Use ReadOnlyColor to read or change the background color of the control when the control's ReadOnly property is set to True.


Raize Components 6

TRzFrameController.ReadOnlyColor Example
TRzFrameController


TRzFrameController.ReadOnlyColorOnFocus

Determines if the ReadOnlyColor value or the FocusColor value is used to highlight a control when that control has the focus and has its ReadOnly property set to True.

Declaration
property ReadOnlyColorOnFocus: Boolean default False;

__property bool ReadOnlyColorOnFocus

Description

This property determines if the ReadOnlyColor or FocusColor is used to color the control when the control has the focus and has its ReadOnly property set to True. By default, a focused control will use the FocusColor even if the control is read-only. Setting ReadOnlyColorOnFocus to True will cause a focused read-only control to be colored using ReadOnlyColor.


Raize Components 6

TRzFrameController.ReadOnlyColorOnFocus Example
TRzFrameController


TRzFrameController.RegIniFile

Specifies a TRzRegIniFile component to be used for storage of settings.

Declaration
property RegIniFile: TRzRegIniFile;

__property TRzRegIniFile *RegIniFile

Description

Use RegIniFile to specify a TRzRegIniFile component to be used by the control to read and write data to and from the Registry or an INI file.


Raize Components 6

TRzFrameController.RegIniFile Example
TRzFrameController


TRzFrameController.Save

Save custom framing settings to TRzRegIniFile.

Declaration
procedure Save(const Section: string);

Description

Call Save to store the current Custom Framing properties to the persistent store referenced by the RegIniFile component.


Raize Components 6

TRzFrameController.Save Example
TRzFrameController


TRzGradientColorStyle

Unit
RzCommon

Declaration
TRzGradientColorStyle =(gcsSystem, gcsMSOffice, gcsCustom);

Description

Value Meaning

gcsSystem:

gcsMSOffice:

gcsCustom:


TRzGroupBarGradientPath

Unit
RzCommon

Declaration
TRzGroupBarGradientPath =(gpTopToBottom, gpBottomToTop);

Description

Value Meaning

gpTopToBottom:

gpBottomToTop:


TRzHotTrackColorType

Unit
RzCommon

Declaration
TRzHotTrackColorType =(htctComplement, htctActual);

Description

Value Meaning

htctComplement:

htctActual:


TRzMenuController.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzMenuController.About Example
TRzMenuController


TRzMenuController.GradientColorStyle

Use GradientColorStyle to specify how gradient color values are obtained for the control.

Declaration
property GradientColorStyle: TRzGradientColorStyle default gcsSystem;

Description

GradientColorStyle properties are active when the control's VisualStyle property is set to vsGradient. The default value of properties of this type is gcsSystem, which means that the gradient color values needed by the control are obtained from the current system colors. This value ensures that the control look great regardless of the users current color scheme. To mimic the Microsoft Office 2003 look when XP themes are active (i.e. blue, green, and silver backgrounds for toolbars, etc.) then select the gcsMSOffice value. If XP themes are not present, then the control will utilize the gcsSystem value. And finally, if you wish to select custom color values for the gradients used in a control, then select the gcsCustom value.


Raize Components 6

TRzMenuController.GradientColorStyle Example
TRzMenuController


TRzMenuController.IconBarColorStart

Specifies the starting color to be used when defining the gradient that fills the icon bar of the menu.

Declaration
property IconBarColorStart: TColor default clWhite;

Description

Use IconBarColorStart to specify the starting color that is used in defining the gradient that filles the icon bar of the menu.


Raize Components 6

TRzMenuController.IconBarColorStart Example
TRzMenuController


TRzMenuController.IconBarColorStop

Specifies the stopping color to be used when defining the gradient that fills the icon bar of the menu.

Declaration
property IconBarColorStop: TColor default clBtnFace;

Description

Use IconBarColorStop to specify the stopping color that is used in defining the gradient that filles the icon bar of the menu.


Raize Components 6

TRzMenuController.IconBarColorStop Example
TRzMenuController


TRzMenuController.MenuColor

Specifies the color to be used for the background of the main part of the menu.

Declaration
property MenuColor: TColor default clWindow;

Description

Use MenuColor to specify the color that is used for the background of the main part of the menu.


Raize Components 6

TRzMenuController.MenuColor Example
TRzMenuController


TRzMenuController.MenuFontColor

Specifies the color to be used for the text of the menu items.

Declaration
property MenuFontColor: TColor default clWindowText;

Description

Use MenuFontColor to specify the color that is used for the text of the menu items.


Raize Components 6

TRzMenuController.MenuFontColor Example
TRzMenuController


Raize Components 6

TRzMenuController Properties
TRzMenuController

Public
About
GradientColorStyle
IconBarColorStart
IconBarColorStop
MenuColor
MenuFontColor
SelectionColorStart
SelectionColorStop
SelectionFrameColor


TRzMenuController.SelectionColorStart

Specifies the starting color to be used when defining the gradient fill for selected menu items.

Declaration
property SelectionColorStart: TColor default clBtnFace;

Description

Use SelectionColorStart to specify the starting color that is used in defining the gradient fill for selected menu items.


Raize Components 6

TRzMenuController.SelectionColorStart Example
TRzMenuController


TRzMenuController.SelectionColorStop

Specifies the stopping color to be used when defining the gradient fill for selected menu items.

Declaration
property SelectionColorStop: TColor default clBtnShadow;

Description

Use SelectionColorStop to specify the stopping color that is used in defining the gradient fill for selected menu items.


Raize Components 6

TRzMenuController.SelectionColorStop Example
TRzMenuController


TRzMenuController.SelectionFrameColor

Specifies the color to be used for the outline frame of selected menu items.

Declaration
property SelectionFrameColor: TColor default cl3DDkShadow;

Description

Use SelectionFrameColor to specify the color that is used for the outline frame of selected menu items.


Raize Components 6

TRzMenuController.SelectionFrameColor Example
TRzMenuController


TRzPathType

Unit
RzCommon

Declaration
TRzPathType =(ptIniFile, ptRegistry);

enum TRzPathType ptIniFile, ptRegistry ;

Description

Value Meaning

ptIniFile:

ptRegistry:


TRzRegAccess

Unit
RzCommon

Declaration
TRzRegAccess=set of TRzRegAccessKey;

Description

.


TRzRegAccessKey

Unit
RzCommon

Declaration
TRzRegAccessKey =(keyQueryValue, keySetValue, keyCreateSubKey, keyEnumerateSubKeys, keyNotify, keyCreateLink, keyRead, keyWrite, keyExecute, keyAllAccess);

enum TRzRegAccessKey keyQueryValue, keySetValue, keyCreateSubKey, keyEnumerateSubKeys, keyNotify, keyCreateLink, keyRead, keyWrite, keyExecute, keyAllAccess ;

Description

Value Meaning

keyQueryValue:

keySetValue:

keyCreateSubKey:

keyEnumerateSubKeys:

keyNotify:

keyCreateLink:

keyRead:

keyWrite:

keyExecute:

keyAllAccess:


TRzRegIniFile.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzRegIniFile.About Example
TRzRegIniFile


TRzRegIniFile.DeleteKey

Declaration
procedure DeleteKey(const Section, Name: string);

void __fastcall DeleteKey(const AnsiString Section, const AnsiString Name)

Description

PathType = ptRegistry

Call DeleteKey to erase a data value associated with a key. Section is string containing the name of the system registry key containing the value to delete. Ident is a string containing the name of the data value to delete.

PathType = ptIniFile

Call DeleteKey to erase an INI file entry. Section is string containing the name of an INI file section, and Ident is a string containing the name of the key from for which to set a nil value.


Raize Components 6

TRzRegIniFile.DeleteKey Example
TRzRegIniFile


TRzRegIniFile.EraseSection

Declaration
procedure EraseSection(const Section: string);

void __fastcall EraseSection(const AnsiString Section)

Description

PathType = ptRegistry

Call EraseSection to remove a key and its data values from the system registry. Section identifies the key to delete.

PathType = ptIniFile

Call EraseSection to remove a section, all its keys, and their data values from an INI file. Section identifies the INI file section to remove. If a section cannot be removed, an exception is raised.


Raize Components 6

TRzRegIniFile.EraseSection Example
TRzRegIniFile


Raize Components 6

TRzRegIniFile Methods
TRzRegIniFile

Public
DeleteKey
EraseSection
ReadBinaryStream
ReadBool
ReadDate
ReadDateTime
ReadFloat
ReadInteger
ReadSection
ReadSections
ReadSectionValues
ReadString
ReadTime
SectionExists
ValueExists
WriteBinaryStream
WriteBool
WriteDate
WriteDateTime
WriteFloat
WriteInteger
WriteString
WriteTime


TRzRegIniFile.Path

Specifies where data will be located.

Declaration
property Path: string;

__property AnsiString Path

Description

Use Path to specify where the data will be stored. If PathType = ptIniFile

 then Path refers to the full path of the INI file. If PathType = ptRegistry, then Path refers to the path to the parent node that will contain the sections of data you wish to store.
If Path is empty, a default path will be created. If PathType = ptIniFile, then the Path will be set to Application.ExeName but with a .ini file extension. If PathType = ptRegistry, then a new key will be created in using the Application.Title property if set, or the Application.ExeName without the extension.


Raize Components 6

TRzRegIniFile.Path Example
TRzRegIniFile


TRzRegIniFile.PathType

Declaration
property PathType: TRzPathType default ptIniFile;

__property TRzPathType PathType

Description

Use PathType to specify whether data is to be stored in the Registry or an INI file.


Raize Components 6

TRzRegIniFile.PathType Example
TRzRegIniFile


Raize Components 6

TRzRegIniFile Properties
TRzRegIniFile

Public
About
Path
PathType
RegAccess
RegKey
SpecialFolder


TRzRegIniFile.ReadBinaryStream

Declaration
function ReadBinaryStream(const Section, Name: string; Value: TStream): Integer;

int __fastcall ReadBinaryStream(const AnsiString Section, const AnsiString Name, Classes::TStream *Value)

Description

PathType = ptIniFile

Call ReadBinaryStream to read a binary value into a specified stream. After reading the binary value, which it converts from a series of hexadecimal characters, from the INI file into the current position of the stream, ReadBinaryStream returns the number of bytes written to the stream. If the stream is a memory stream (TMemoryStream or one of its descendants), the stream is left positioned to the same byte as it was before the call to ReadBinaryStream (immediately before the new binary value).

· Section is the section that contains the desired key.

· Name is the key under which the binary data is stored.

· Value is a stream to which the binary value is written.


Raize Components 6

TRzRegIniFile.ReadBinaryStream Example
TRzRegIniFile


TRzRegIniFile.ReadBool

Declaration
function ReadBool(const Section, Name: string; Default: Boolean): Boolean;

bool __fastcall ReadBool(const AnsiString Section, const AnsiString Name, bool Default)

Description

PathType = ptRegistry

Call ReadBool to retrieve a Boolean value from a specified data value associated with a key.

Section is a string that identifies the key from which to retrieve a data value. Ident is a string that identifies the name of the data value to return. Default is a Boolean value to use if there is no key corresponding to Section or no data value corresponding to Ident.

PathType = ptIniFile

Call ReadBool to read a Boolean value from an INI file. Section identifies the section in the file that contains the desired key. Ident is the name of the key from which to retrieve the Boolean value. Default is the Boolean value to return if the:

· Section does not exist.

· Key does not exist.

· Data value for the key is not assigned.


Raize Components 6

TRzRegIniFile.ReadBool Example
TRzRegIniFile


TRzRegIniFile.ReadDate

Declaration
function ReadDate(const Section, Name: string; Default: TDateTime): TDateTime;

Description

PathType = ptRegistry

Call ReadDate to read a date value from a specified data value associated with the current key. Name is the name of the data value to read.

If successful, ReadDate returns a TDateTime value. The integral part of a TDateTime value is the number of days that have passed since 12/30/1899. The fractional part of a TDateTime value is the time of day.

Note: Only use ReadDate to read data values previously stored with the WriteDate procedure.

PathType = ptIniFile

Call ReadDate to read a date value from an INI file. Section identifies the section in the file that contains the desired key. Ident is the name of the key from which to retrieve the date value. Default is the date value to return if the:

· Section does not exist.

· Key does not exist.

· Data value for the key is not assigned.


Raize Components 6

TRzRegIniFile.ReadDate Example
TRzRegIniFile


TRzRegIniFile.ReadDateTime

Declaration
function ReadDateTime(const Section, Name: string; Default: TDateTime): TDateTime;

Description

PathType = ptRegistry

Call ReadDateTime to read a datetime value from a specified data value associated with the current key. Name is the name of the data value to read.

If successful, ReadDateTime returns a TDateTime value. The integral part of a TDateTime value is the number of days that have passed since 12/30/1899. The fractional part of a TDateTime value is the time of day.

If the Registry entry does not contain a date or time value, an exception is raised.

PathType = ptIniFile

Call ReadDateTime to read a date-time value from an INI file. Section identifies the section in the file that contains the desired key. Ident is the name of the key from which to retrieve the date-time value. Default is the date-time value to return if the:

· Section does not exist.

· Key does not exist.

· Data value for the key is not assigned.


Raize Components 6

TRzRegIniFile.ReadDateTime Example
TRzRegIniFile


TRzRegIniFile.ReadFloat

Declaration
function ReadFloat(const Section, Name: string; Default: Double): Double;

double __fastcall ReadFloat(const AnsiString Section, const AnsiString Name, double Default)

Description

PathType = ptRegistry

Call ReadFloat to read a float value from a specified data value associated with the current key. Name is the name of the data value to read.

If the Registry entry does not contain a floating-point value, an exception is raised.

PathType = ptIniFile

Call ReadFloat to read a float value from an INI file. Section identifies the section in the file that contains the desired key. Ident is the name of the key from which to retrieve the float value. Default is the float value to return if the:

· Section does not exist.

· Key does not exist.

· Data value for the key is not assigned.


Raize Components 6

TRzRegIniFile.ReadFloat Example
TRzRegIniFile


TRzRegIniFile.ReadInteger

Declaration
function ReadInteger(const Section, Name: string; Default: Longint): Longint;

int __fastcall ReadInteger(const AnsiString Section, const AnsiString Name, int Default)

Description

PathType = ptRegistry

Call ReadInteger to retrieve an integer value from a specified data value associated with a key.

Section is a string that identifies the key from which to retrieve a data value. Ident is a string that identifies the name of the data value to return. Default is an integer value to use if there is no key corresponding to Section or no data value corresponding to Ident.

PathType = ptIniFile

Call ReadInteger to read an integer value from an INI file. Section identifies the section in the file that contains the desired key. Ident is the name of the key from which to retrieve the value. Default is the integer value to return if the:

· Section does not exist.

· Key does not exist.

· Data value for the key is not assigned.


Raize Components 6

TRzRegIniFile.ReadInteger Example
TRzRegIniFile


TRzRegIniFile.ReadSection

Declaration
procedure ReadSection(const Section: string; Strings: TStrings);

void __fastcall ReadSection(const AnsiString Section, Classes::TStrings *Strings)

Description

PathType = ptRegistry

Call ReadSection to retrieve the names of all data values associated with a key into a TStrings object. Section is a string identifying the key for which to retrieve data-value names.

Strings specifies the string object to hold the retrieved names. Strings can point to a TStrings object such as a string list, or to a component property, such as Items for a TListBox component, that is a TStrings object itself.

PathType = ptIniFile

Call ReadSection to retrieve the names of all keys within a specified section of an INI file into a string list object.

Section identifies the section from which to retrieve a list of key names. Strings specifies the TStrings descendant to hold the retrieved names. Strings can point to a TStrings descendant such as a string list (TStringList), or to a component property that is of type TStrings, such as the Items property of TListBox.


Raize Components 6

TRzRegIniFile.ReadSection Example
TRzRegIniFile


TRzRegIniFile.ReadSections

Declaration
procedure ReadSections(Strings: TStrings);

void __fastcall ReadSections(Classes::TStrings *Strings)

Description

PathType = ptRegistry

Call ReadSections to retrieve the names of all subkeys associated with the current key.

Strings specifies the string object to hold the retrieved names. Strings can point to a TStrings object, or to a component property, such as Items for a TListBox component, that is a TStrings object itself.

PathType = ptIniFile

Call ReadSections to retrieve the names of all sections in an INI file into a string list object.

Strings specifies the string object to hold the retrieved names. Strings can point to a TStrings object, or to a component property, such as Items for a TListBox component.


Raize Components 6

TRzRegIniFile.ReadSections Example
TRzRegIniFile


TRzRegIniFile.ReadSectionValues

Declaration
procedure ReadSectionValues(const Section: string; Strings: TStrings);

void __fastcall ReadSectionValues(const AnsiString Section, Classes::TStrings *Strings)

Description

PathType = ptRegistry

Call ReadSectionValues to read all data values associated with a specified key into a string object. Section is the name of the key from which to retrieve data-values. Strings specifies the string object to hold the retrieved values.

Strings can point to a TStrings object, or to a component property, such as Items for a TListBox component, that is a TStrings object itself. Use the Values property of the string object to access a specific string in the object.

PathType = ptIniFile

Call ReadSectionValues to read the keys, and the values from all keys, within a specified section of an INI file into a string list object (TStrings descendant). Section identifies the section in the file from which to read key values. Strings is the string list object into which to read the values.

Strings specifies the string object to hold the retrieved names. Strings can point to a TStrings object, or to a component property, such as Items for a TListBox component, that is a TStrings object itself.


Raize Components 6

TRzRegIniFile.ReadSectionValues Example
TRzRegIniFile


TRzRegIniFile.ReadString

Declaration
function ReadString(const Section, Name, Default: string): string;

Description

PathType = ptRegistry

Call ReadString to retrieve a string value from a specified data value associated with a key.

Section is a string that identifies the key from which to retrieve a data value. Ident is a string that identifies the name of the data value to return. Default is a string value to use if there is no key corresponding to Section or no data value corresponding to Ident.

PathType = ptIniFile

Call ReadString to read a string value from an INI file. Section identifies the section in the file that contains the desired key. Ident is the name of the key from which to retrieve the value. Default is the string value to return if the:

· Section does not exist.

· Key does not exist.

· Data value for the key is not assigned.


Raize Components 6

TRzRegIniFile.ReadString Example
TRzRegIniFile


TRzRegIniFile.ReadTime

Declaration
function ReadTime(const Section, Name: string; Default: TDateTime): TDateTime;

Description

PathType = ptRegistry

Call ReadTime to read a time value from a specified data value associated with the current key. Name is the name of the data value to read.

If successful, ReadTime returns a TDateTime value. The integral part of a TDateTime value is the number of days that have passed since 12/30/1899. The fractional part of a TDateTime value is the time of day.

If the specified Registry entry does not contain a date or time value, an exception is raised.

Note: Only use ReadTime to read data values previously stored with the WriteTime method.

PathType = ptIniFile

Call ReadTime to read a time value from an INI file. Section identifies the section in the file that contains the desired key. Ident is the name of the key from which to retrieve the time value. Default is the time value to return if the:

· Section does not exist.

· Key does not exist.

· Data value for the key is not assigned.


Raize Components 6

TRzRegIniFile.ReadTime Example
TRzRegIniFile


TRzRegIniFile.RegAccess

Declaration
property RegAccess: TRzRegAccess default[keyAllAccess];

__property TRzRegAccess RegAccess

Description

When PathType is ptRegistry, RegAccess specifies the access rights to the Registry key.

Value Meaning

keyQueryValue Grants permission to query subkey data.

keySetValue Grants permission to set subkey data.

keyCreateSubKey Grants permission to create subkeys.

keyEnumerateSubKeys Grants permission to enumerate subkeys.

keyNotify Grants ability to receive change notifications.

keyCreateLink Grants permission to create symbolic links.

keyRead Combination of keyQuery, keyEnumerateSubKeys, and keyNotify.

keyWrite Combination of keySetValue and keyCreateSubKey.

keyExecute Restricts permission to read-only access.

keyAllAccess Combination of keyRead, keyWrite, and keyCreateLink.


Raize Components 6

TRzRegIniFile.RegAccess Example
TRzRegIniFile


TRzRegIniFile.RegKey

Declaration
property RegKey: TRzRegKey default hkeyCurrentUser;

__property TRzRegKey RegKey

Description

When PathType is ptRegistry, use RegKey to specify which branch to use in the Registry.

Value Meaning

hkeyClassesRoot Maps to HKEY_CLASSES_ROOT

hkeyCurrentUser Maps to HKEY_CURRENT_USER

hkeyLocalMachine Maps to HKEY_LOCAL_MACHINE

hkeyUsers Maps to HKEY_USERS

hkeyPerformanceData Maps to HKEY_PERFORMANCE_DATA

hkeyCurrentConfig Maps to HKEY_CURRENT_CONFIG

hkeyDynData Maps to HKEY_DYN_DATA


Raize Components 6

TRzRegIniFile.RegKey Example
TRzRegIniFile


TRzRegIniFile.SectionExists

Declaration
function SectionExists(const Section: string): Boolean;

bool __fastcall SectionExists(const AnsiString Section)

Description

PathType = ptIniFile

Use SectionExists to determine whether a section exists within the INI file specified in FileName.

Section is the INI file section SectionExists determines the existence of.

SectionExists returns a Boolean value that indicates whether the section in question exists.


Raize Components 6

TRzRegIniFile.SectionExists Example
TRzRegIniFile


TRzRegIniFile.SpecialFolder

Declaration
property SpecialFolder: TRzSpecialFolder default sfNone;

__property TRzSpecialFolder SpecialFolder

Description

This property is used when PathType=ptIniFile in order to specify a special location for the ini file. SpecialFolder can be set to one of the following values:

sfNone: Default. Location determined by Path property (see below).

sfUserAppDataRoaming: The user's Application Data directory that supports roaming is used.

Under XP this is typically:

C:and SettingsData

Under Vista this is typically:

C:

sfUserAppDataLocal: The user's Application Data directory for data that is local to the machine.

Under XP this is typically:

C:and SettingsSettingsData

Under Vista this is typically:

C:

sfUserDocuments: The user's Documents directory.

Under XP this is typically:

C:and SettingsDocuments

Under Vista this is typically:

C:

sfProgramData: The directory associated with storing data for all users of a system.

Under XP this is typically:

C:and SettingsUsersData

Under Vista this is typically:

C:

The actual file that is used depends on the Path property. If Path is empty, the ini file has same name as Application.ExeName but with an '.ini' extension. If Path is not empty, and specifies just a filename, then the specified filename is used and the file is located in the directory specified by SpecialFolder. If Path is not empty and specifies a full path and filename, then the specified full path and filename are used for the ini file.


Raize Components 6

TRzRegIniFile.SpecialFolder Example
TRzRegIniFile


TRzRegIniFile.ValueExists

Declaration
function ValueExists(const Section, Name: string): Boolean;

bool __fastcall ValueExists(const AnsiString Section, const AnsiString Name)

Description

PathType = ptRegistry

Call ValueExists to determine if a particular key exists in the registry. Calling Value Exists is especially useful before calling other TRegistry methods that operate only on existing keys.

Name is the name of the data value for which to check.

ValueExists returns True if a match if found, False otherwise.

PathType = ptIniFile

Use ValueExists to determine whether a key exists in the INI file specified in FileName.

Section is the section in the INI file in which to search for the key.

Ident is the name of the key to search for.

ValueExists returns a Boolean value that indicates whether the key exists in the specified section.


Raize Components 6

TRzRegIniFile.ValueExists Example
TRzRegIniFile


TRzRegIniFile.WriteBinaryStream

Declaration
procedure WriteBinaryStream(const Section, Name: string; Value: TStream);

void __fastcall WriteBinaryStream(const AnsiString Section, const AnsiString Name, Classes::TStream *Value)

Description

PathType = ptIniFile

Call WriteBinaryStream to write a binary value from a specified stream to a specified section and key in the INI file. WriteBinaryStream writes from the current position in the stream to the end, converting the value into its hexadecimal representation.

· Section is the section that contains the target key.

· Name is the key under which the binary data is to be written.

· Value is a stream to from which the binary value can be read.

Note: Attempting to write a value to a nonexistent section or attempting to write data to a nonexistent key are not errors. In these cases, WriteBinaryStream creates the section and key and sets its initial value to the hexadecimal representation of the streams data.


Raize Components 6

TRzRegIniFile.WriteBinaryStream Example
TRzRegIniFile


TRzRegIniFile.WriteBool

Declaration
procedure WriteBool(const Section, Name: string; Value: Boolean);

void __fastcall WriteBool(const AnsiString Section, const AnsiString Name, bool Value)

Description

PathType = ptRegistry

Call WriteBool to store a Boolean value in a data value associated with a specified key.

Section is a string identifying the key into which to store a data value. Ident is a string identifying the name of the data value into which to write. Value is the Boolean value to write into the data value.

PathType = ptIniFile

Call WriteBool to write a Boolean value to an INI file. Section identifies the section in the file that contain the key to which to write. Ident is the name of the key for which to set a value. Value is the Boolean value to write.

Note: Attempting to write a data value to a nonexistent section or attempting to write data to a nonexistent key are not errors. In these cases, WriteBool creates the section and key and sets its initial value to Value.


Raize Components 6

TRzRegIniFile.WriteBool Example
TRzRegIniFile


TRzRegIniFile.WriteDate

Declaration
procedure WriteDate(const Section, Name: string; Value: TDateTime);

void __fastcall WriteDate(const AnsiString Section, const AnsiString Name, System::TDateTime Value)

Description

PathType = ptRegistry

Call WriteDate to store a datetime value in a data value associated with the current key.

Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteDate. If Name does not exist, it is created.

Value is a datetime value to store in the registry.

If WriteDate fails, an exception is raised, and the value is not written to the registry.

If successful, WriteDate stores a TDateTime value. The integral part of a TDateTime value is the number of days that have passed since 12/30/1899. The fractional part of a TDateTime value is the time of day.

PathType = ptIniFile

Call WriteDate to write a date value to an INI file. Section identifies the section in the file that contain the key to which to write. Ident is the name of the key for which to set a value. Value is the date value to write.

Note: Attempting to write a data value to a nonexistent section or attempting to write data to a nonexistent key are not errors. In these cases, WriteDate creates the section and key and sets its initial value to Value.


Raize Components 6

TRzRegIniFile.WriteDate Example
TRzRegIniFile


TRzRegIniFile.WriteDateTime

Declaration
procedure WriteDateTime(const Section, Name: string; Value: TDateTime);

void __fastcall WriteDateTime(const AnsiString Section, const AnsiString Name, System::TDateTime Value)

Description

PathType = ptRegistry

Call WriteDateTime to store a datetime value in a data value associated with the current key.

Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteDateTime. If Name does not exist, it is created.

Value is a datetime value to store in the registry.

If WriteDateTime fails, an exception is raised, and the value is not written to the registry.

If successful, WriteDateTime stores a TDateTime value. The integral part of a TDateTime value is the number of days that have passed since 12/30/1899. The fractional part of a TDateTime value is the time of day.

PathType = ptIniFile

Call WriteDateTime to write a date-time value to an INI file. Section identifies the section in the file that contain the key to which to write. Ident is the name of the key for which to set a value. Value is the date-time value to write.

Note: Attempting to write a data value to a nonexistent section or attempting to write data to a nonexistent key are not errors. In these cases, WriteDateTime creates the section and key and sets its initial value to Value.


Raize Components 6

TRzRegIniFile.WriteDateTime Example
TRzRegIniFile


TRzRegIniFile.WriteFloat

Declaration
procedure WriteFloat(const Section, Name: string; Value: Double);

void __fastcall WriteFloat(const AnsiString Section, const AnsiString Name, double Value)

Description

PathType = ptRegistry

Call WriteFloat to store a float value in a data value associated with the current key.

Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteFloat. If Name does not exist, it is created.

Value is a float value to store in the registry.

If WriteFloat fails, an exception is raised, and the value is not written to the registry.

PathType = ptIniFile

Call WriteFloat to write a float value to an INI file. Section identifies the section in the file that contain the key to which to write. Ident is the name of the key for which to set a value. Value is the float value to write.

Note: Attempting to write a data value to a nonexistent section or attempting to write data to a nonexistent key are not errors. In these cases, WriteFloat creates the section and key and sets its initial value to Value.


Raize Components 6

TRzRegIniFile.WriteFloat Example
TRzRegIniFile


TRzRegIniFile.WriteInteger

Declaration
procedure WriteInteger(const Section, Name: string; Value: Longint);

void __fastcall WriteInteger(const AnsiString Section, const AnsiString Name, int Value)

Description

PathType = ptRegistry

Call WriteInteger to store an integer value in a data value associated with a specified key.

Section is a string identifying the key into which to store a data value. Ident is a string identifying the name of the data value into which to write. Value is the integer value to write into the data value.

PathType = ptIniFile

Call WriteInteger to write an integer value to an INI file. Section identifies the section in the file that contain the key to which to write. Ident is the name of the key for which to set a value. Value is the integer value to write.

Note: Attempting to write a data value to a nonexistent section or attempting to write data to a nonexistent key are not errors. In these cases, WriteInteger creates the section and key and sets its initial value to Value.


Raize Components 6

TRzRegIniFile.WriteInteger Example
TRzRegIniFile


TRzRegIniFile.WriteString

Declaration
procedure WriteString(const Section, Name, Value: string);

void __fastcall WriteString(const AnsiString Section, const AnsiString Name, const AnsiString Value)

Description

PathType = ptRegistry

Call WriteString to store a string value in a data value associated with a specified key.

Section is a string identifying the key into which to store a data value. Ident is a string identifying the name of the data value into which to write. Value is the string value to write into the data value.

PathType = ptIniFile

Call WriteString to write a string value to an INI file. Section identifies the section in the file that contain the key to which to write. Ident is the name of the key for which to set a value. Value is the string value to write.

Note: Attempting to write a data value to a nonexistent section or attempting to write data to a nonexistent key are not errors. In these cases, WriteString creates the section and key and sets its initial value to Value.


Raize Components 6

TRzRegIniFile.WriteString Example
TRzRegIniFile


TRzRegIniFile.WriteTime

Declaration
procedure WriteTime(const Section, Name: string; Value: TDateTime);

void __fastcall WriteTime(const AnsiString Section, const AnsiString Name, System::TDateTime Value)

Description

PathType = ptRegistry

Call WriteTime to store a datetime value in a data value associated with the current key.

Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteTime. If Name does not exist, it is created.

Value is a datetime value to store in the registry.

If WriteTime fails, an exception is raised, and the value is not written to the registry.

If successful, WriteTime stores a TDateTime value. The integral part of a TDateTime value is the number of days that have passed since 12/30/1899. The fractional part of a TDateTime value is the time of day.

PathType = ptIniFile

Call WriteTime to write a time value to an INI file. Section identifies the section in the file that contain the key to which to write. Ident is the name of the key for which to set a value. Value is the time value to write.

Note: Attempting to write a data value to a nonexistent section or attempting to write data to a nonexistent key are not errors. In these cases, WriteTime creates the section and key and sets its initial value to Value.


Raize Components 6

TRzRegIniFile.WriteTime Example
TRzRegIniFile


TRzRegKey

Unit
RzCommon

Declaration
TRzRegKey =(hkeyClassesRoot, hkeyCurrentUser, hkeyLocalMachine, hkeyUsers, hkeyPerformanceData, hkeyCurrentConfig, hkeyDynData);

enum TRzRegKey hkeyClassesRoot, hkeyCurrentUser, hkeyLocalMachine, hkeyUsers, hkeyPerformanceData, hkeyCurrentConfig, hkeyDynData ;

Description

Value Meaning

hkeyClassesRoot:

hkeyCurrentUser:

hkeyLocalMachine:

hkeyUsers:

hkeyPerformanceData:

hkeyCurrentConfig:

hkeyDynData:


TRzScrollStyle

Unit
RzCommon

Declaration
TRzScrollStyle =(scsNone, scsLeft, scsUp, scsRight, scsDown);

enum TRzScrollStyle scsNone, scsLeft, scsUp, scsRight, scsDown ;

Description

Value Meaning

scsNone:

scsLeft:

scsUp:

scsRight:

scsDown:


TRzScrollType

Unit
RzCommon

Declaration
TRzScrollType =(stNone, stRightToLeft, stLeftToRight);

enum TRzScrollType stNone, stRightToLeft, stLeftToRight ;

Description

Value Meaning

stNone:

stRightToLeft:

stLeftToRight:


TRzSpecialFolder

Unit
RzCommon

Declaration
TRzSpecialFolder =(sfNone, sfUserAppDataRoaming, sfUserAppDataLocal, sfUserDocuments, sfProgramData);

Description

Value Meaning

sfNone:

sfUserAppDataRoaming:

sfUserAppDataLocal:

sfUserDocuments:

sfProgramData:


TRzUIStyle

Unit
RzCommon

Declaration
TRzUIStyle =(uiWindows95, uiWindowsXP);

Description

Value Meaning

uiWindows95:

uiWindowsXP:


TRzVisualStyle

Unit
RzCommon

Declaration
TRzVisualStyle =(vsClassic, vsWinXP, vsGradient);

Description

Value Meaning

vsClassic:

vsWinXP:

vsGradient:


TRzWindowsVersion

Unit
RzCommon

Declaration
TRzWindowsVersion =(Win95, WinNT, Win98, WinMe, Win2000, WinXP, WinServer2003, WinVista);

Description

Value Meaning

Win95:

WinNT:

Win98:

WinMe:

Win2000:

WinXP:

WinServer2003:

WinVista:


TRzXPColorScheme

Unit
RzCommon

Declaration
TRzXPColorScheme =(xpcsBlue, xpcsGreen, xpcsSilver);

Description

Value Meaning

xpcsBlue:

xpcsGreen:

xpcsSilver:


TRzXPThemeColor

Unit
RzCommon

Declaration
TRzXPThemeColor =(xptcEditBorder, xptcNormalGroupFont, xptcSpecialGroupFont, xptcGroupBarFill, xptcListGroupFill, xptcListGroupFont, xptcGroupBoxFont);

Description

Value Meaning

xptcEditBorder:

xptcNormalGroupFont:

xptcSpecialGroupFont:

xptcGroupBarFill:

xptcListGroupFill:

xptcListGroupFont:

xptcGroupBoxFont:


TSide

Unit
RzCommon

Declaration
TSide =(sdLeft, sdTop, sdRight, sdBottom);

Description

Value Meaning

sdLeft:

sdTop:

sdRight:

sdBottom:


TSides

Unit
RzCommon

Declaration
TSides=set of TSide;

Description

.


TStateChangeEvent

Unit
RzCommon

Declaration
TStateChangeEvent=procedure(Sender: TObject; Index: Integer; NewState: TCheckBoxState) of object;

typedef void __fastcall(__closure *TStateChangeEvent)(System::TObject *Sender, int Index, Stdctrls::TCheckBoxState NewState);

Description

.


TStateChangingEvent

Unit
RzCommon

Declaration
TStateChangingEvent=procedure(Sender: TObject; Index: Integer; NewState: TCheckBoxState; var AllowChange: Boolean) of object;

typedef void __fastcall(__closure *TStateChangingEvent)(System::TObject *Sender, int Index, Stdctrls::TCheckBoxState NewState, bool & AllowChange);

Description

.


TTextStyle

Unit
RzCommon

Declaration
TTextStyle =(tsNormal, tsRaised, tsRecessed, tsShadow);

enum TTextStyle tsNormal, tsRaised, tsRecessed, tsShadow ;

Description

Value Meaning

tsNormal:

tsRaised:

tsRecessed:

tsShadow:


TUnsignedSmallint

Unit
RzCommon

Declaration
TUnsignedSmallint=0..32767;

typedef Word TUnsignedSmallint;

Description

.


RzDBBnEd

RzDBBnEd File
List of Units

Unit Classes

TRzDBButtonEdit
TRzDBButtonEdit is a data-aware single-line edit control containing two embedded button controls.


TRzDBButtonEdit.AllowKeyEdit

Specifies whether or not the control allows keyboard editing.

Declaration
property AllowKeyEdit: Boolean default True;

__property bool AllowKeyEdit

Description

Set this property to True to allow a user to type into the edit portion of the control. When this property is False, only the buttons (or arrow keys for spin edits) can be used to modify the value.


Raize Components 6

TRzDBButtonEdit.AllowKeyEdit Example
TRzDBButtonEdit


TRzDBButtonEdit.AltBtn

Provides access to alternate button control.

Declaration
property AltBtn: TSpeedButton index 1;

__property Buttons::TSpeedButton *AltBtn

Description

This read-only property provides runtime access to the alternate speed button used in a button edit component.


Raize Components 6

TRzDBButtonEdit.AltBtn Example
TRzDBButtonEdit


TRzDBButtonEdit.AltBtnGlyph

Specifies bitmap used in alternate button.

Declaration
property AltBtnGlyph: TBitmap;

__property Graphics::TBitmap *AltBtnGlyph

Description

Use this property to specify a new bitmap for the alternate button in a button edit component.


Raize Components 6

TRzDBButtonEdit.AltBtnGlyph Example
TRzDBButtonEdit


TRzDBButtonEdit.AltBtnHint

Specifies hint for alternate button.

Declaration
property AltBtnHint: string;

__property AnsiString AltBtnHint

Description

Use this property to specify a new hint to be displayed for the alternate button in a button edit component.


Raize Components 6

TRzDBButtonEdit.AltBtnHint Example
TRzDBButtonEdit


TRzDBButtonEdit.AltBtnKind

Specifies style for alternate button.

Declaration
property AltBtnKind: TButtonKind default bkLookup;

__property Rzbtnedt::TButtonKind AltBtnKind

Description

Use this property to specify the glyph displayed on the alternate button in a button edit component. There are several different glyphs available. In addition, the AltBtnGlyph property can be used to specify a custom bitmap. In this case, the AltBtnKind property is automatically set to bkCustom.


Raize Components 6

TRzDBButtonEdit.AltBtnKind Example
TRzDBButtonEdit


TRzDBButtonEdit.AltBtnNumGlyphs

Specifies number of glyphs in AltBtnGlyph.

Declaration
property AltBtnNumGlyphs: TNumGlyphs default 2;

__property Buttons::TNumGlyphs AltBtnNumGlyphs

Description

Use this property to specify the number of glyphs embedded in the AltBtnGlyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the button. The first glyph is used for the normal Up state. The second one is used when the button is Disabled, and the third is used for the Down state. The last glyph is used when the button can be kept in the Down state. This last glyph is not used by the button edit components.


Raize Components 6

TRzDBButtonEdit.AltBtnNumGlyphs Example
TRzDBButtonEdit


TRzDBButtonEdit.AltBtnShortCut

Specifies short cut for alternate button.

Declaration
property AltBtnShortCut: TShortCut default scNone;

__property Classes::TShortCut AltBtnShortCut

Description

Use this property to specify a keyboard shortcut that will invoke the same action as if the alternate button of a button edit component were clicked with the mouse.


Raize Components 6

TRzDBButtonEdit.AltBtnShortCut Example
TRzDBButtonEdit


TRzDBButtonEdit.AltBtnVisible

Determines if alternate button is visible.

Declaration
property AltBtnVisible: Boolean default False;

__property bool AltBtnVisible

Description

Use this property to show or hide the alternate button in a button edit component.


Raize Components 6

TRzDBButtonEdit.AltBtnVisible Example
TRzDBButtonEdit


TRzDBButtonEdit.AltBtnWidth

Specifies width of alternate button.

Declaration
property AltBtnWidth: Integer default 17;

__property int AltBtnWidth

Description

Use this property to specify the width of the alternate button in a button edit component.


Raize Components 6

TRzDBButtonEdit.AltBtnWidth Example
TRzDBButtonEdit


TRzDBButtonEdit.Button

Provides access to primary button control.

Declaration
property Button: TSpeedButton;

__property Buttons::TSpeedButton *Button

Description

This read-only property provides runtime access to the primary speed button used in a button edit component.


Raize Components 6

TRzDBButtonEdit.Button Example
TRzDBButtonEdit


TRzDBButtonEdit.ButtonGlyph

Specifies bitmap used in primary button.

Declaration
property ButtonGlyph: TBitmap;

__property Graphics::TBitmap *ButtonGlyph

Description

Use this property to specify a new bitmap for the primary button in a button edit component.


Raize Components 6

TRzDBButtonEdit.ButtonGlyph Example
TRzDBButtonEdit


TRzDBButtonEdit.ButtonHint

Specifies hint for primary button.

Declaration
property ButtonHint: string;

__property AnsiString ButtonHint

Description

Use this property to specify a new hint to be displayed for the primary button in a button edit component.


Raize Components 6

TRzDBButtonEdit.ButtonHint Example
TRzDBButtonEdit


TRzDBButtonEdit.ButtonKind

Specifies style for primary button.

Declaration
property ButtonKind: TButtonKind default bkLookup;

__property Rzbtnedt::TButtonKind ButtonKind

Description

Use this property to specify the glyph displayed on the primary button in a button edit component. There are several different glyphs available. In addition, the ButtonGlyph property can be used to specify a custom bitmap. In this case, the ButtonKind property is automatically set to bkCustom.


Raize Components 6

TRzDBButtonEdit.ButtonKind Example
TRzDBButtonEdit


TRzDBButtonEdit.ButtonNumGlyphs

Specifies number of glyphs in ButtonGlyph.

Declaration
property ButtonNumGlyphs: TNumGlyphs default 2;

__property Buttons::TNumGlyphs ButtonNumGlyphs

Description

Use this property to specify the number of glyphs embedded in the ButtonGlyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the button. The first glyph is used for the normal Up state. The second one is used when the button is Disabled, and the third is used for the Down state. The last glyph is used when the button can be kept in the Down state. This last glyph is not used by the button edit components.


Raize Components 6

TRzDBButtonEdit.ButtonNumGlyphs Example
TRzDBButtonEdit


TRzDBButtonEdit.ButtonShortCut

Specifies short cut for primary button.

Declaration
property ButtonShortCut: TShortCut default vk_F4;

__property Classes::TShortCut ButtonShortCut

Description

Use this property to specify a keyboard shortcut that will invoke the same action as if the primary button of a button edit component were clicked with the mouse. By default, this property is set to F4.


Raize Components 6

TRzDBButtonEdit.ButtonShortCut Example
TRzDBButtonEdit


TRzDBButtonEdit.ButtonVisible

Determines if primary button is visible.

Declaration
property ButtonVisible: Boolean default True;

__property bool ButtonVisible

Description

Use this property to show or hide the primary button in a button edit component.


Raize Components 6

TRzDBButtonEdit.ButtonVisible Example
TRzDBButtonEdit


TRzDBButtonEdit.ButtonWidth

Specifies width of primary button.

Declaration
property ButtonWidth: Integer default 17;

__property int ButtonWidth

Description

Use this property to specify the width of the primary button.


Raize Components 6

TRzDBButtonEdit.ButtonWidth Example
TRzDBButtonEdit


Raize Components 6

TRzDBButtonEdit Events
TRzDBButtonEdit

Public
OnAltBtnClick
OnButtonClick


TRzDBButtonEdit.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

TRzDBButtonEdit.FlatButtonColor Example
TRzDBButtonEdit


TRzDBButtonEdit.HideButtonsOnReadOnly

Determines if embedded buttons are hidden when ReadOnly is True.

Declaration
property HideButtonsOnReadOnly: Boolean default True;

__property bool HideButtonsOnReadOnly

Description

Use this property to hide or show the embedded buttons when the ReadOnly property is set to True.


Raize Components 6

TRzDBButtonEdit.HideButtonsOnReadOnly Example
TRzDBButtonEdit


TRzDBButtonEdit.OnAltBtnClick

Occurs whenever the alternate button in a button edit component gets pressed.

Declaration
property OnAltBtnClick: TNotifyEvent;

__property Classes::TNotifyEvent OnAltBtnClick

Description

This event occurs whenever the alternate button in a button edit component gets pressed.


Raize Components 6

TRzDBButtonEdit.OnAltBtnClick Example
TRzDBButtonEdit


TRzDBButtonEdit.OnButtonClick

Occurs whenever the primary button in a button edit component gets pressed.

Declaration
property OnButtonClick: TNotifyEvent;

__property Classes::TNotifyEvent OnButtonClick

Description

For button edits, this event occurs whenever the primary button in a button edit component gets pressed.


Raize Components 6

TRzDBButtonEdit.OnButtonClick Example
TRzDBButtonEdit


Raize Components 6

TRzDBButtonEdit Properties
TRzDBButtonEdit

Public
AllowKeyEdit
AltBtn
AltBtnGlyph
AltBtnHint
AltBtnKind
AltBtnNumGlyphs
AltBtnShortCut
AltBtnVisible
AltBtnWidth
Button
ButtonGlyph
ButtonHint
ButtonKind
ButtonNumGlyphs
ButtonShortCut
ButtonVisible
ButtonWidth
Enabled
FlatButtonColor
FlatButtons
HideButtonsOnReadOnly


RzDBChk

RzDBChk File
List of Units

Unit Classes

TRzDBCheckBox
TRzDBCheckBox is a custom VCL data-aware check box control.


TRzDBCheckBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBCheckBox.About Example
TRzDBCheckBox


TRzDBCheckBox.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBCheckBox.DataField Example
TRzDBCheckBox


TRzDBCheckBox.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBCheckBox.DataSource Example
TRzDBCheckBox


Raize Components 6

TRzDBCheckBox Events
TRzDBCheckBox

Public


TRzDBCheckBox.NullAsUnchecked

Determines if check box interprets NULL field values as unchecked.

Declaration
property NullAsUnchecked: Boolean default True;

__property bool NullAsUnchecked

Description

When this property is True, the check box displays a NULL field using the Unchecked state instead of the default Grayed state.


Raize Components 6

TRzDBCheckBox.NullAsUnchecked Example
TRzDBCheckBox


Raize Components 6

TRzDBCheckBox Properties
TRzDBCheckBox

Public
About
Action
Alignment
AlignmentVertical
AllowGrayed
Anchors
BiDiMode
Caption
Checked
Color
Constraints
Ctl3D
CustomGlyphs
DataField
DataSource
DisabledColor
DragCursor
DragKind
DragMode
Enabled
Font
FrameColor
FrameController
FrameControllerNotifications
Height
HelpContext
HighlightColor
Hint
HotTrack
HotTrackColor
HotTrackColorType
HotTrackStyle
LightTextStyle
NullAsUnchecked
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
ShowHint
State
TabOnEnter
TabOrder
TabStop
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
Transparent
TransparentColor
UseCustomGlyphs
ValueChecked
ValueUnchecked
Visible
WinMaskColor


TRzDBCheckBox.ReadOnly

Determines if the control allows editing.

Declaration
property ReadOnly: Boolean default False;

__property bool ReadOnly

Description

Set ReadOnly to True to prevent the user from changing the contents of the database field. When ReadOnly is True, the edit control is used only to display the contents of the field. If ReadOnly is False, the user can change the field's value as long as the dataset is in edit mode.


Raize Components 6

TRzDBCheckBox.ReadOnly Example
TRzDBCheckBox


TRzDBCheckBox.ValueChecked

Specifies "value" to be stored in database field when control is checked.

Declaration
property ValueChecked: string;

__property AnsiString ValueChecked

Description

Use ValueChecked to specify the field value represented by the check box when it is checked. If the value of the ValueChecked property is equal to the data in the field of the current record of the dataset, the database check box appears checked. When the user checks the database check box, the field value is set to ValueChecked.

ValueChecked can represent more than one value in a semicolon-delimited list of items. If any of the items matches the contents of the field of the current record in the dataset, the check box appears checked. For example, set the value of ValueChecked string like this:

RzDBCheckBox1.ValueChecked := 'True;Yes;On';

If the contents of the associated field is the string True, Yes, or On, the check box is checked. The value of the field is compared to ValueChecked in a case-insensitive comparison. If the user selects a check box where ValueChecked represents more than one value, the first item in the list is assigned to the field.

If the contents of the field of the current record matches a string specified as the value of the ValueUnchecked property, the check box appears unchecked. If the contents of the field matches no string in either ValueChecked or ValueUnchecked, the check box appears gray.

Note: If the DataField of the database check box is a logical field, the check box is always checked if the contents of the field is True, and it is always unchecked if the contents of the field is False. The values of the ValueChecked and ValueUnchecked properties have no affect on logical fields.


Raize Components 6

TRzDBCheckBox.ValueChecked Example
TRzDBCheckBox


TRzDBCheckBox.ValueUnchecked

Specifies "value" to be stored in database field when control is unchecked.

Declaration
property ValueUnchecked: string;

__property AnsiString ValueUnchecked

Description

Use ValueUnchecked to specify the field value represented by the check box when it is unchecked. If the value of the ValueUnchecked property is equal to the data in the field of the current record of the dataset, the database check box appears unchecked. When the user unchecks the database check box, the field value is set to ValueUnchecked.

ValueUnchecked can represent more than one value in a semicolon-delimited list of items. If any of the items matches the contents of the field of the current record in the dataset, the check box appears unchecked. For example, set the value of ValueUnchecked string like this:

DBCheckBox1.ValueUnchecked := 'False;No;Off';

If the contents of the associated field is the string False, No, or Off, the check box appears unchecked. The value of the field is compared to ValueUnchecked in a case-insensitive comparison. If the user unchecks a check box where ValueUnchecked represents more than one value, the first item in the list is assigned to the field.

If the contents of the field of the current record matches a string specified as the value of the ValueChecked property, the check box appears checked. If the contents of the field matches no string in either ValueChecked or ValueUnchecked, the check box appears gray.

Note: If the DataField of the database check box is a logical field, the check box is always unchecked if the contents of the field is False, and it is always checked if the contents of the field is True. The values of the ValueChecked and ValueUnchecked properties have no affect on logical fields.


Raize Components 6

TRzDBCheckBox.ValueUnchecked Example
TRzDBCheckBox


RzDBCmbo

RzDBCmbo File
List of Units

Unit Classes

TRzDBComboBox | TRzDBComboBox is an enhanced data-aware combo box control.
TRzDBLookupComboBox | TRzDBLookupComboBox is an enhanced TDBLookupComboBox.


TRzDBComboBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBComboBox.About Example
TRzDBComboBox


TRzDBComboBox.AddItemValue

Use the AddItemValue method to simultaneously add both an item string to the Items list and a corresponding value string to the Values list.

Declaration
procedure AddItemValue(const Item, Value: string);

void __fastcall AddItemValue(const AnsiString Item, const AnsiString Value);

Description

Use the AddItemValue method to simultaneously add both an item string to the Items list and a corresponding value string to the Values list.


Raize Components 6

TRzDBComboBox.AddItemValue Example
TRzDBComboBox


TRzDBComboBox.ClearItemsValues

Clears both the Items and Values lists.

Declaration
procedure ClearItemsValues;

Description

Clears both the Items list and the Values list.


Raize Components 6

TRzDBComboBox.ClearItemsValues Example
TRzDBComboBox


TRzDBComboBox.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBComboBox.DataField Example
TRzDBComboBox


TRzDBComboBox.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBComboBox.DataSource Example
TRzDBComboBox


Raize Components 6

TRzDBComboBox Events
TRzDBComboBox

Public


TRzDBComboBox.Field

Declaration
property Field: TField;

__property Db::TField *Field

Description

Provides read-only access to underlying TField object the control is connected to.


Raize Components 6

TRzDBComboBox.Field Example
TRzDBComboBox


TRzDBComboBox.InsertItemValue

Declaration
procedure InsertItemValue(Index: Integer; const Item, Value: string);

Description

Insert the specified Item along with the associated Value into the list.


Raize Components 6

TRzDBComboBox.InsertItemValue Example
TRzDBComboBox


TRzDBComboBox.Items

Declaration
property Items write SetItems;

__property Items

Description

Use Items to supply the values in the list from which the user can choose. Because Items is an object of type TStrings, you can add, delete, insert, and move items using the Add, Delete, Insert, Exchange, and Move methods of the TStrings object. For example, to add each string to the combo box list, write code such as the following:

while not Table2.Eof do
begin
DBComboBox1.Items.Add(Table2.FieldByName('Country').AsString);
Table2.Next;
end;

The ItemIndex property determines which item is selected, if any.


Raize Components 6

TRzDBComboBox.Items Example
TRzDBComboBox


Raize Components 6

TRzDBComboBox Methods
TRzDBComboBox

Public
AddItemValue
ClearItemsValues
InsertItemValue


Raize Components 6

TRzDBComboBox Properties
TRzDBComboBox

Public
About
Align
AllowEdit
Anchors
AutoComplete
AutoDropDown
BeepOnInvalidKey
BiDiMode
CharCase
Color
Constraints
Ctl3D
DataField
DataSource
DisabledColor
DragCursor
DragKind
DragMode
DropDownCount
DropDownWidth
Enabled
Field
FlatButtonColor
FlatButtons
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ImeMode
ImeName
ItemHeight
Items
KeepSearchCase
MaxLength
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
ShowHint
Sorted
Style
TabOnEnter
TabOrder
TabStop
Text
Value
Values
Visible


TRzDBComboBox.ReadOnly

Determines if the control allows editing.

Declaration
property ReadOnly: Boolean default False;

__property bool ReadOnly

Description

Set ReadOnly to True to prevent the user from changing the contents of the database field. When ReadOnly is True, the edit control is used only to display the contents of the field. If ReadOnly is False, the user can change the field's value as long as the dataset is in edit mode.


Raize Components 6

TRzDBComboBox.ReadOnly Example
TRzDBComboBox


TRzDBComboBox.Value

Specifies "value" of currently selected item.

Declaration
property Value: string;

__property AnsiString Value;

Description

This property provides easy access to the selected "value" from the Values list that corresponds to the ItemIndex. The Value property can be assigned a "value" from the Values list and the corresponding ItemIndex is used.


Raize Components 6

TRzDBComboBox.Value Example
TRzDBComboBox


TRzDBComboBox.Values

Specifies list of value strings associated with the strings in Items.

Declaration
property Values: TStrings;

__property Classes::TStrings *Values

Description

Each string in the Values list is related to the string in the Items list at the same index. And when the user selects a particular items from the dropdown list (which displays the Items), the corresponding item from the Values list is stored in the database field. If the Values list is not used, the selected string from the Items list is stored in the database.


Raize Components 6

TRzDBComboBox.Values Example
TRzDBComboBox


TRzDBLookupComboBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBLookupComboBox.About Example
TRzDBLookupComboBox


TRzDBLookupComboBox.AllowNull

Determines if pressing Delete causes NULL to be stored in the database field.

Declaration
property AllowNull: Boolean default False;

__property bool AllowNull

Description

When this property is set to True and the user presses the Delete key, the contents of the field object which the control is connected to are cleared. That is, the field is set to NULL.


Raize Components 6

TRzDBLookupComboBox.AllowNull Example
TRzDBLookupComboBox


TRzDBLookupComboBox.AutoDropDown

Declaration
property AutoDropDown: Boolean default False;

__property bool AutoDropDown

Description

This property determines if the dropdown list of the combo box automatically drops down when the user starts to enter text.


Raize Components 6

TRzDBLookupComboBox.AutoDropDown Example
TRzDBLookupComboBox


TRzDBLookupComboBox.ClearKeyValue

Declaration
procedure ClearKeyValue;

void __fastcall ClearKeyValue(void)

Description

When you use a TRzDBLookupComboBox with only the ListSource assigned (and no DataSource assigned), then by default, a TRzDBLookupComboBox starts 'empty', even though there is a value selected in the DataSet behind the ListSource. This procedure forces an EMPTY value in the 'edit' portion of the TRzDBLookupComboBox, so you can use it to undo the work of InitKeyValue.


Raize Components 6

TRzDBLookupComboBox.ClearKeyValue Example
TRzDBLookupComboBox


TRzDBLookupComboBox.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzDBLookupComboBox.DisabledColor Example
TRzDBLookupComboBox


Raize Components 6

TRzDBLookupComboBox Events
TRzDBLookupComboBox

Public
OnMouseEnter
OnMouseLeave


TRzDBLookupComboBox.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

TRzDBLookupComboBox.FlatButtonColor Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FlatButtons

Determines if buttons appear flat or raised.

Declaration
property FlatButtons: Boolean default False;

__property bool FlatButtons

Description

This property controls whether or not the buttons embedded in each of these controls appears as a normal 3D button or with the Flat style. When set to True, the buttons appear without any border until the mouse is positioned over the button. For combo boxes, the button appears with a border, when the mouse is positioned anywhere on the control.


Raize Components 6

TRzDBLookupComboBox.FlatButtons Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzDBLookupComboBox.FocusColor Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzDBLookupComboBox.FrameColor Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzDBLookupComboBox.FrameController Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzDBLookupComboBox.FrameControllerNotifications Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDBLookupComboBox.FrameHotColor Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDBLookupComboBox.FrameHotStyle Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzDBLookupComboBox.FrameHotTrack Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzDBLookupComboBox.FrameSides Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzDBLookupComboBox.FrameStyle Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzDBLookupComboBox.FrameVisible Example
TRzDBLookupComboBox


TRzDBLookupComboBox.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzDBLookupComboBox.FramingPreference Example
TRzDBLookupComboBox


TRzDBLookupComboBox.GetKeyValue

Declaration
function GetKeyValue: string;

Description

Use this method get the value from the KeyField field from a TRzDBLookupComboBox. This is the value displayed in the drop-down box of the currently selected field


Raize Components 6

TRzDBLookupComboBox.GetKeyValue Example
TRzDBLookupComboBox


TRzDBLookupComboBox.GetListValue

Declaration
function GetListValue: string;

Description

Use this method to get the value from the ListField field from a TRzDBLookupComboBox. This is the value displayed in the drop-down box of the currently selected field


Raize Components 6

TRzDBLookupComboBox.GetListValue Example
TRzDBLookupComboBox


TRzDBLookupComboBox.InitKeyValue

Declaration
procedure InitKeyValue;

void __fastcall InitKeyValue(void)

Description

When you use a TRzDBLookupComboBox with only the ListSource assigned (and no DataSource assigned), then by default, a TRzDBLookupComboBox starts 'empty', even though there is a value selected in the DataSet behind the ListSource. This procedure forces a value in the 'edit' portion of the TRzDBLookupComboBox.


Raize Components 6

TRzDBLookupComboBox.InitKeyValue Example
TRzDBLookupComboBox


Raize Components 6

TRzDBLookupComboBox Methods
TRzDBLookupComboBox

Public
ClearKeyValue
GetKeyValue
GetListValue
InitKeyValue


TRzDBLookupComboBox.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzDBLookupComboBox.OnMouseEnter Example
TRzDBLookupComboBox


TRzDBLookupComboBox.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzDBLookupComboBox.OnMouseLeave Example
TRzDBLookupComboBox


Raize Components 6

TRzDBLookupComboBox Properties
TRzDBLookupComboBox

Public
About
Align
AllowNull
AutoDropDown
Color
DisabledColor
FlatButtonColor
FlatButtons
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
SelectOnTab
TabOnEnter


TRzDBLookupComboBox.ReadOnly

Determines if the control allows text editing.

Declaration
property ReadOnly: Boolean default False;

Description

When ReadOnly is True, the control does not allow editing.


Raize Components 6

TRzDBLookupComboBox.ReadOnly Example
TRzDBLookupComboBox


TRzDBLookupComboBox.ReadOnlyColor

Specifies color to be used when the control's ReadOnly property is True.

Declaration
property ReadOnlyColor: TColor default clInfoBk;

Description

Use ReadOnlyColor to read or change the background color of the control when the control's ReadOnly property is set to True.


Raize Components 6

TRzDBLookupComboBox.ReadOnlyColor Example
TRzDBLookupComboBox


TRzDBLookupComboBox.ReadOnlyColorOnFocus

Determines if the ReadOnlyColor value or the FocusColor value is used to highlight a control when that control has the focus and has its ReadOnly property set to True.

Declaration
property ReadOnlyColorOnFocus: Boolean default False;

__property bool ReadOnlyColorOnFocus

Description

This property determines if the ReadOnlyColor or FocusColor is used to color the control when the control has the focus and has its ReadOnly property set to True. By default, a focused control will use the FocusColor even if the control is read-only. Setting ReadOnlyColorOnFocus to True will cause a focused read-only control to be colored using ReadOnlyColor.


Raize Components 6

TRzDBLookupComboBox.ReadOnlyColorOnFocus Example
TRzDBLookupComboBox


TRzDBLookupComboBox.SelectOnTab

Determines how the Tab key is processed when the drop down list is visible.

Declaration
property SelectOnTab: Boolean default False;

__property bool SelectOnTab

Description

When this property is set to True and the drop-down list is visible, pressing the Tab key will cause the currently selected item in the list to be selected in the combo box control. Pressing the Tab key when the list is closed will cause the focus to change to the next control on the form.


Raize Components 6

TRzDBLookupComboBox.SelectOnTab Example
TRzDBLookupComboBox


TRzDBLookupComboBox.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzDBLookupComboBox.TabOnEnter Example
TRzDBLookupComboBox


RzDBDTP

RzDBDTP File
List of Units

Unit Classes

TRzDBDateTimePicker
TRzDBDateTimePicker is an enhanced data-aware TDateTimePicker.


TRzDBDateTimePicker.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBDateTimePicker.About Example
TRzDBDateTimePicker


TRzDBDateTimePicker.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBDateTimePicker.DataField Example
TRzDBDateTimePicker


TRzDBDateTimePicker.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBDateTimePicker.DataSource Example
TRzDBDateTimePicker


Raize Components 6

TRzDBDateTimePicker Properties
TRzDBDateTimePicker

Public
About
DataField
DataSource
ReadOnly


TRzDBDateTimePicker.ReadOnly

Determines if the control allows editing.

Declaration
property ReadOnly: Boolean default False;

__property bool ReadOnly

Description

Set ReadOnly to True to prevent the user from changing the contents of the database field. When ReadOnly is True, the edit control is used only to display the contents of the field. If ReadOnly is False, the user can change the field's value as long as the dataset is in edit mode.


Raize Components 6

TRzDBDateTimePicker.ReadOnly Example
TRzDBDateTimePicker


RzDBEdit

RzDBEdit File
List of Units

Unit Classes

TRzDBDateTimeEdit | TRzDBDateTimeEdit is a specialized data-aware edit control for selecting dates or times.
TRzDBEdit | TRzDBEdit is an enhanced data-aware single-line edit control.
TRzDBExpandEdit | TRzDBExpandEdit is a data-aware single-line edit control that can dynamically change its size.
TRzDBMemo | TRzDBMemo is an enhanced data-aware multi-line edit control.
TRzDBNumericEdit | TRzDBNumericEdit is a data-aware edit field for entering numeric values.
TRzDBRichEdit | TRzDBRichEdit is the data-aware version of TRzRichEdit.


TRzDBDateTimeEdit.AdjustDay

Declaration
procedure AdjustDay(DeltaDays: Integer);

void __fastcall AdjustDay(int DeltaDays)

Description

Use this method to adjust the day portion of the date currently represented by the control.


Raize Components 6

TRzDBDateTimeEdit.AdjustDay Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.AdjustHour

Declaration
procedure AdjustHour(DeltaHours: Int64);

void __fastcall AdjustHour(__int64 DeltaHours)

Description

Use this method to adjust the hour portion of the time currently represented by the control.


Raize Components 6

TRzDBDateTimeEdit.AdjustHour Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.AdjustMinute

Declaration
procedure AdjustMinute(DeltaMinutes: Int64);

void __fastcall AdjustMinute(__int64 DeltaMinutes)

Description

Use this method to adjust the minute portion of the time currently represented by the control.


Raize Components 6

TRzDBDateTimeEdit.AdjustMinute Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.AdjustMonth

Declaration
procedure AdjustMonth(DeltaMonths: Integer);

void __fastcall AdjustMonth(int DeltaMonths)

Description

Use this method to adjust the month portion of the date currently represented by the control.


Raize Components 6

TRzDBDateTimeEdit.AdjustMonth Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.AdjustYear

Declaration
procedure AdjustYear(DeltaYears: Integer);

void __fastcall AdjustYear(int DeltaYears)

Description

Use this method to adjust the year portion of the date currently represented by the control.


Raize Components 6

TRzDBDateTimeEdit.AdjustYear Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.CalendarColors

Specifies various colors of the calendar.

Declaration
property CalendarColors: TRzCalendarColors;

__property Rzpopups::TRzCalendarColors *CalendarColors

Description

Use CalendarColors to change various colors of the calendar display.


Raize Components 6

TRzDBDateTimeEdit.CalendarColors Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.CalendarElements

Determines visibility of various calendar elements.

Declaration
property CalendarElements: TRzCalendarElements default[ceYear, ceMonth, ceArrows, ceFillDays, ceDaysOfWeek, ceTodayButton, ceClearButton];

__property Rzpopups::TRzCalendarElements CalendarElements

Description

Use Elements to toggle the visibility of various areas of the calendar.


Raize Components 6

TRzDBDateTimeEdit.CalendarElements Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.CaptionAM

Declaration
property CaptionAM: string;

__property AnsiString CaptionAM

Description

Use CaptionAM to change the caption of the AM radio button. When empty, the caption defaults to "AM".


Raize Components 6

TRzDBDateTimeEdit.CaptionAM Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.CaptionClearBtn

Specifies caption to be used on Clear button in calendar.

Declaration
property CaptionClearBtn: string;

__property AnsiString CaptionClearBtn

Description

Use CaptionClearBtn to change the caption of the Clear button. When empty, the caption defaults to "Clear".


Raize Components 6

TRzDBDateTimeEdit.CaptionClearBtn Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.CaptionPM

Declaration
property CaptionPM: string;

__property AnsiString CaptionPM

Description

Use CaptionPM to change the caption of the PM radio button. When empty, the caption defaults to "PM".


Raize Components 6

TRzDBDateTimeEdit.CaptionPM Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.CaptionTodayBtn

Specifies caption to be used on Today button in calendar.

Declaration
property CaptionTodayBtn: string;

__property AnsiString CaptionTodayBtn

Description

Use CaptionTodayBtn to change the caption of the Today button. When empty, the caption defaults to "Today".


Raize Components 6

TRzDBDateTimeEdit.CaptionTodayBtn Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.ClockFaceColors

Declaration
property ClockFaceColors: TRzClockFaceColors;

__property Rzpopups::TRzClockFaceColors *ClockFaceColors

Description

Use ClockFaceColors to alter the appearance of the clock face.


Raize Components 6

TRzDBDateTimeEdit.ClockFaceColors Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.Date

Specifies currently selected date.

Declaration
property Date: TDate;

__property TDate Date

Description

This property represents the selected date when EditType is set to etDate.


Raize Components 6

TRzDBDateTimeEdit.Date Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.DaysToBitmask

Use to create a Bitmask that can be used in handling OnGetBoldDays event.

Declaration
function DaysToBitmask(Days: array of Byte): Cardinal;

unsigned __fastcall DaysToBitmask(const Byte *Days, const int Days_Size)

Description

Use DaysToBitmask when handling the OnGetBoldDays event to specify a set of days to display in bold in the calendar.

For the passed in Year and Month, specify the days to bold in the Bitmask parameter. Use the DaysToBitmask method which takes an array of days (e.g. [ 8, 14, 25 ]) and returns an appropriate bitmask.

For example, the following event handler causes the 15th and 18th of December 2002 to be displayed in bold.

procedure TForm1.RzCalendar1GetBoldDays( Sender: TObject; Year, Month: Word;
var Bitmask: Cardinal );
begin
if ( Month = 12 ) and ( Year = 2002 ) then
Bitmask := RzCalendar1.DaysToBitmask( [ 15, 18 ] );
end;


Raize Components 6

TRzDBDateTimeEdit.DaysToBitmask Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.EditType

Determines if the control is editing dates or times.

Declaration
property EditType: TRzDTEditType;

__property Rzedit::TRzDTEditType EditType

Description

Set EditType to etDate (the default) to use the edit control to enter dates. Clicking the drop down button displays a TRzCalendar . Set EditType to etTime to use the edit control to enter times. Clicking the drop down button displays a TRzTimePicker .


Raize Components 6

TRzDBDateTimeEdit.EditType Example
TRzDBDateTimeEdit


Raize Components 6

TRzDBDateTimeEdit Events
TRzDBDateTimeEdit

Public
OnGetBoldDays
OnGetWeekNumber
OnInvalidDate


TRzDBDateTimeEdit.FirstDayOfWeek

Specifies the day of week to be considered first.

Declaration
property FirstDayOfWeek: TRzFirstDayOfWeek default fdowLocale;

__property Rzpopups::TRzFirstDayOfWeek FirstDayOfWeek

Description

Use FirstDayOfWeek to specify the day that is to be considered the first day of the week. The default is dowLocale, which gets its actual value from the locale settings from the operating system.


Raize Components 6

TRzDBDateTimeEdit.FirstDayOfWeek Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.Format

Determines format of date or time displayed.

Declaration
property Format: string;

__property AnsiString Format

Description

The Format property determines how the current date and time is displayed within the control. The string specified in this property is passed to the standard FormatDateTime procedure. The following are some sample Format values and the corresponding status display:

Format String Output

c 9/15/90 5:18:23 PM

dddddd Saturday, September 15, 1990

m/d/yy 9/15/90

mm/dd/yyy 09/15/1990

t 5:18 PM

hh:nn a/p 05:18 p

h:nn:ss am/pm 5:18:35 pm


Raize Components 6

TRzDBDateTimeEdit.Format Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.HowToUseMsg

Declaration
property HowToUseMsg: string;

__property AnsiString HowToUseMsg

Description

Use HotToUseMsg to specify a helpful hint that describes how to select time using the left and right mouse buttons.


Raize Components 6

TRzDBDateTimeEdit.HowToUseMsg Example
TRzDBDateTimeEdit


Raize Components 6

TRzDBDateTimeEdit Methods
TRzDBDateTimeEdit

Public
AdjustDay
AdjustHour
AdjustMinute
AdjustMonth
AdjustYear
DaysToBitmask


TRzDBDateTimeEdit.OnGetBoldDays

Occurs when days need to be displayed in the calendar.

Declaration
property OnGetBoldDays: TRzGetBoldDaysEvent;

__property Rzpopups::TRzGetBoldDaysEvent OnGetBoldDays

Description

Use the OnGetBoldDays event to specify a set of days to display in bold in the calendar.

For the passed in Year and Month, specify the days to bold in the Bitmask parameter. Use the DaysToBitmask method which takes an array of days (e.g. [ 8, 14, 25 ]) and returns an appropriate bitmask.

For example, the following event handler causes the 15th and 18th of December 2002 to be displayed in bold.

procedure TForm1.RzCalendar1GetBoldDays( Sender: TObject; Year, Month: Word;
var Bitmask: Cardinal );
begin
if ( Month = 12 ) and ( Year = 2002 ) then
Bitmask := RzCalendar1.DaysToBitmask( [ 15, 18 ] );
end;


Raize Components 6

TRzDBDateTimeEdit.OnGetBoldDays Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.OnGetWeekNumber

Occurs when week numbers need to be displayed.

Declaration
property OnGetWeekNumber: TRzGetWeekNumberEvent;

__property TRzGetWeekNumberEvent OnGetWeekNumber

Description

Use the OnGetWeekNumber event to specify an alternate week-numbering scheme when displaying week numbers in the calendar. Simply change the WeekNumber parameter to the desired week number for the specified WeekDate. The default value of WeekNumber is the default week number as determined by the ISO 8601 standard.


Raize Components 6

TRzDBDateTimeEdit.OnGetWeekNumber Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.OnInvalidDate

Declaration
property OnInvalidDate: TRzInvalidDateEvent;

__property Rzpopups::TRzInvalidDateEvent OnInvalidDate

Description

This event is fired when the user enters an invalid date value (e.g. 4/55/2007) and the control loses keyboard focus. In previous versions, the control would display the "0" date, which is "12/30/1899". Starting with this version, the default behavior in this situation is to blank out the date, which is essentially the same as before except the 12/30/1899 date is not displayed, which is much more noticeable to users.

However, the new OnInvalidDate event gives developers much more control over what happens in this situation. Specifically, OnInvalidDate event handlers are passed 3 variable parameters: KeepFocused, KeepInvalidText, and NewDate. Set KeepFocused to True in the event handler to keep the focus on the control. What appears in the control depends on the other two parameters. Set KeepInvalidText to True to have the control continue to display the invalid text the user entered. When KeepInvalidText is True, it is implied that focus is to be kept on the control. If KeepInvalidText is False, then the NewDate parameter controls what appears to replace the invalid date. By default NewDate is 0, which means the date gets blanked out. Setting NewDate to some other value causes the invalid date to be changed to the date specified, regardless of whether focus stays on the control or not. The OnInvalidDate event handler can also be used to display a message box (or some other indicator) to the user that an invalid date has been entered.


Raize Components 6

TRzDBDateTimeEdit.OnInvalidDate Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.PopupButtonColor

Specifies color of buttons in popup window.

Declaration
property PopupButtonColor: TColor default clBtnFace;

__property Graphics::TColor PopupButtonColor

Description

Use PopupButtonColor to change the background color of the buttons and header area of the popup calendar or time picker.


Raize Components 6

TRzDBDateTimeEdit.PopupButtonColor Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.PopupButtonFontColor

Specifies font color of buttons in popup window.

Declaration
property PopupButtonFontColor: TColor default clWindowText;

__property Graphics::TColor PopupButtonFontColor

Description

Use PopupButtonFontColor to change the color of the text that is diplayed on the buttons and header in the popup calendar or time picker.


Raize Components 6

TRzDBDateTimeEdit.PopupButtonFontColor Example
TRzDBDateTimeEdit


Raize Components 6

TRzDBDateTimeEdit Properties
TRzDBDateTimeEdit

Public
Align
Alignment
Anchors
AutoSelect
AutoSize
BiDiMode
BorderStyle
CalendarColors
CalendarElements
CaptionAM
CaptionClearBtn
CaptionPM
CaptionTodayBtn
CharCase
ClockFaceColors
Color
Constraints
Date
DisabledColor
DragCursor
DragKind
DragMode
DropButtonVisible
EditType
Enabled
FirstDayOfWeek
FlatButtons
FocusColor
Font
Format
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HideSelection
HowToUseMsg
ImeMode
ImeName
MaxLength
OEMConvert
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PasswordChar
PopupButtonColor
PopupButtonFontColor
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
RestrictMinutes
ShowHint
ShowHowToUseHint
TabOnEnter
TabOrder
TabStop
Time
TwoDigitYearConverter
Visible


TRzDBDateTimeEdit.RestrictMinutes

Declaration
property RestrictMinutes: Boolean default False;

__property bool RestrictMinutes

Description

When RestrictMinutes is True, setting the minutes value is restricted to 5 minute values (i.e. 0, 5, 10, 15, etc.).


Raize Components 6

TRzDBDateTimeEdit.RestrictMinutes Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.ShowHowToUseHint

Declaration
property ShowHowToUseHint: Boolean default True;

__property bool ShowHowToUseHint

Description

When ShowHotToUseHint is True, the hint message specified in HowToUseMsg


Raize Components 6

TRzDBDateTimeEdit.ShowHowToUseHint Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.Time

Specifies currently selected time.

Declaration
property Time: TTime;

__property TTime Time

Description

This property represents the selected time when EditType is etTime.


Raize Components 6

TRzDBDateTimeEdit.Time Example
TRzDBDateTimeEdit


TRzDBDateTimeEdit.TwoDigitYearConverter

Specifies how 2-digit years are converted to 4-digit years.

Declaration
property TwoDigitYearConverter: TRzTwoDigitYearConverter

Description

Use this property to control how 2-digit years are converted to 4-digit years. The default value is ycStandard, which means that 2-digit years are converted using the TwoDigitYearCenturyWindow value. The ycPastNotFuture value means that a date with a 2-digit year is interpreted as a date in the past rather than the future.

For example, consider entering '3/15/20' (in the U.S.). With the ycStandard converter value, the date gets converted to '3/15/2020'. But with the ycPastNotFuture converter, the converted date is '3/15/1920'. Entry of 4-digit years are that unaffected by this property.


Raize Components 6

TRzDBDateTimeEdit.TwoDigitYearConverter Example
TRzDBDateTimeEdit


TRzDBEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBEdit.About Example
TRzDBEdit


TRzDBEdit.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBEdit.DataField Example
TRzDBEdit


TRzDBEdit.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBEdit.DataSource Example
TRzDBEdit


Raize Components 6

TRzDBEdit Events
TRzDBEdit

Public


Raize Components 6

TRzDBEdit Properties
TRzDBEdit

Public
About
Align
Alignment
Anchors
AutoSelect
AutoSize
BiDiMode
CharCase
Color
Constraints
Ctl3D
DataField
DataSource
DisabledColor
DragCursor
DragKind
DragMode
Enabled
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HideSelection
ImeMode
ImeName
MaxLength
OEMConvert
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PasswordChar
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
ShowHint
TabOnEnter
TabOrder
TabStop
Text
Visible


TRzDBEdit.ReadOnly

Determines if the control allows editing.

Declaration
property ReadOnly: Boolean default False;

__property bool ReadOnly

Description

Set ReadOnly to True to prevent the user from changing the contents of the database field. When ReadOnly is True, the edit control is used only to display the contents of the field. If ReadOnly is False, the user can change the field's value as long as the dataset is in edit mode.


Raize Components 6

TRzDBEdit.ReadOnly Example
TRzDBEdit


TRzDBExpandEdit.ExpandedWidth

Specifies expanded width of control.

Declaration
property ExpandedWidth: Integer;

__property int ExpandedWidth

Description

Use this property to specify the width in pixels the edit control should be resized to when in the expanded state.


Raize Components 6

TRzDBExpandEdit.ExpandedWidth Example
TRzDBExpandEdit


TRzDBExpandEdit.ExpandOn

Determines what causes the edit to expand.

Declaration
property ExpandOn: TExpandOnType default etNone;

__property Rzcommon::TExpandOnType ExpandOn

Description

This property defines the event for which the edit control resizes to the width defined by the ExpandedWidth property. The possible values of ExpandOn are:

Value Meaning

etNone Resizing of the edit control is disabled.

etMouseButton2Click Resizing of the edit control occurs when the user clicks the secondary mouse button on the edit control.

etFocus Resizing of the edit control occurs when the control gets the input focus.


Raize Components 6

TRzDBExpandEdit.ExpandOn Example
TRzDBExpandEdit


Raize Components 6

TRzDBExpandEdit Properties
TRzDBExpandEdit

Public
ExpandedWidth
ExpandOn


TRzDBMemo.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBMemo.About Example
TRzDBMemo


TRzDBMemo.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor stored NotUsingController default clWindow;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzDBMemo.Color Example
TRzDBMemo


TRzDBMemo.Column

Declaration
property Column: Integer;

__property int Column

Description

This runtime property can be used to get and set the column position of the cursor. The column value is the character position immediately to the right of the cursor. Therefore, when the cursor is positioned at the beginning of a line of text, the Column value is 1.


Raize Components 6

TRzDBMemo.Column Example
TRzDBMemo


TRzDBMemo.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor stored NotUsingController default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzDBMemo.DisabledColor Example
TRzDBMemo


Raize Components 6

TRzDBMemo Events
TRzDBMemo

Public
OnClipboardChange
OnLineColChange
OnMouseEnter
OnMouseLeave


TRzDBMemo.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor stored NotUsingController default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzDBMemo.FocusColor Example
TRzDBMemo


TRzDBMemo.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor stored NotUsingController default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzDBMemo.FrameColor Example
TRzDBMemo


TRzDBMemo.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzDBMemo.FrameController Example
TRzDBMemo


TRzDBMemo.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzDBMemo.FrameControllerNotifications Example
TRzDBMemo


TRzDBMemo.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDBMemo.FrameHotColor Example
TRzDBMemo


TRzDBMemo.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDBMemo.FrameHotStyle Example
TRzDBMemo


TRzDBMemo.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzDBMemo.FrameHotTrack Example
TRzDBMemo


TRzDBMemo.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzDBMemo.FrameSides Example
TRzDBMemo


TRzDBMemo.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzDBMemo.FrameStyle Example
TRzDBMemo


TRzDBMemo.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzDBMemo.FrameVisible Example
TRzDBMemo


TRzDBMemo.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzDBMemo.FramingPreference Example
TRzDBMemo


TRzDBMemo.JumpTo
TRzDBMemo Methods

Declaration
procedure JumpTo(ALine, ACol: Integer);

void __fastcall JumpTo(int ALine, int ACol)

Description

This method provides a quick way to position the cursor position anywhere within the memo component.


Raize Components 6

TRzDBMemo.JumpTo Example
TRzDBMemo


TRzDBMemo.Line

Declaration
property Line: Integer;

__property int Line

Description

This runtime property can be used to get and set the line position of the cursor. The line value is one greater than the line index. Therefore, when the cursor is positioned on the top line of text, the Line value is 1.


Raize Components 6

TRzDBMemo.Line Example
TRzDBMemo


Raize Components 6

TRzDBMemo Methods
TRzDBMemo

Public
JumpTo


TRzDBMemo.OnClipboardChange

Declaration
property OnClipboardChange: TClipboardChangeEvent;

__property Rzedit::TClipboardChangeEvent OnClipboardChange

Description

This event occurs whenever the text selection changes in the memo component. The HasSelection parameter to the event handler indicates whether text is actually selected in the memo. The HasText parameter indicates whether the clipboard contains text that could be pasted into the memo. This event provides an easy way to update the status of controls that implements the Cut, Copy, and Paste clipboard commands.


Raize Components 6

TRzDBMemo.OnClipboardChange Example
TRzDBMemo


TRzDBMemo.OnLineColChange

Declaration
property OnLineColChange: TLineColChangeEvent;

__property Rzedit::TLineColChangeEvent OnLineColChange

Description

This event occurs whenever the cursor position in the memo changes. The Line and Column parameters to the event handler indicate the new cursor position.


Raize Components 6

TRzDBMemo.OnLineColChange Example
TRzDBMemo


TRzDBMemo.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzDBMemo.OnMouseEnter Example
TRzDBMemo


TRzDBMemo.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzDBMemo.OnMouseLeave Example
TRzDBMemo


Raize Components 6

TRzDBMemo Properties
TRzDBMemo

Public
About
Color
Column
DisabledColor
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
Line
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
TabOnEnter


TRzDBMemo.ReadOnlyColor

Specifies color to be used when the control's ReadOnly property is True.

Declaration
property ReadOnlyColor: TColor;

Description

Use ReadOnlyColor to read or change the background color of the control when the control's ReadOnly property is set to True.


Raize Components 6

TRzDBMemo.ReadOnlyColor Example
TRzDBMemo


TRzDBMemo.ReadOnlyColorOnFocus

Determines if the ReadOnlyColor value or the FocusColor value is used to highlight a control when that control has the focus and has its ReadOnly property set to True.

Declaration
property ReadOnlyColorOnFocus: Boolean default False;

__property bool ReadOnlyColorOnFocus

Description

This property determines if the ReadOnlyColor or FocusColor is used to color the control when the control has the focus and has its ReadOnly property set to True. By default, a focused control will use the FocusColor even if the control is read-only. Setting ReadOnlyColorOnFocus to True will cause a focused read-only control to be colored using ReadOnlyColor.


Raize Components 6

TRzDBMemo.ReadOnlyColorOnFocus Example
TRzDBMemo


TRzDBMemo.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzDBMemo.TabOnEnter Example
TRzDBMemo


TRzDBNumericEdit.AllowBlank

Specifies that the edit control may be empty.

Declaration
property AllowBlank: Boolean default True;

__property bool AllowBlank

Description

Set the AllowBlank property to True to allow an empty edit field. If the edit field is empty and AllowBlank is True, when you try to get the value of the edit, the value specified in BlankValue is returned.


Raize Components 6

TRzDBNumericEdit.AllowBlank Example
TRzDBNumericEdit


TRzDBNumericEdit.AllowScientificNotation

Controls whether or not the control allow numbers to be entered in scientific notation.

Declaration
property AllowScientificNotation: Boolean default True;

__property bool AllowScientificNotation

Description

When set to True (the default), the control allows entering "E" and "e" to specify a number in scientific notation. Setting this property to False, prevents the control from accepting "E" and "e" during data-entry and parsing.


Raize Components 6

TRzDBNumericEdit.AllowScientificNotation Example
TRzDBNumericEdit


TRzDBNumericEdit.BlankValue

Specifies how a blank (empty) field is interpretted.

Declaration
property BlankValue: Extended;

__property Extended BlankValue

Description

Set the AllowBlank property to True to allow an empty edit field. If the edit field is empty and AllowBlank is True, when you try to get the value of the edit, the value specified in BlankValue is returned.


Raize Components 6

TRzDBNumericEdit.BlankValue Example
TRzDBNumericEdit


TRzDBNumericEdit.CheckRange

Determines if range checking is performed.

Declaration
property CheckRange: Boolean default False;

__property bool CheckRange

Description

This property is used in the situation where the Min and Max properties are equal. Setting both Min and Max to the same value can be interpreted in two different ways. The first is when CheckRange is False. In this case, there is no range on the values that can be entered into the component. If CheckRange is set to True, then only the value represented by Min and Max can be entered into the component.


Raize Components 6

TRzDBNumericEdit.CheckRange Example
TRzDBNumericEdit


TRzDBNumericEdit.DisplayFormat

Declaration
property DisplayFormat: string;

__property AnsiString DisplayFormat

Description

Use this property to control how the edit field displays the numeric value it contains. By default, the format string is set to ',0;(,0)'. The possible format strings are those that can be passed to the standard FormatFloat method.


Raize Components 6

TRzDBNumericEdit.DisplayFormat Example
TRzDBNumericEdit


Raize Components 6

TRzDBNumericEdit Events
TRzDBNumericEdit

Public
OnRangeError


TRzDBNumericEdit.IntegersOnly

Declaration
property IntegersOnly: Boolean default True;

__property bool IntegersOnly

Description

Set this property to True to restrict values to Integers. If keyboard entry is allowed via AllowKeyEdit, the user is not allowed to enter a decimal point. Therefore, the Decimals property has no effect when IntegersOnly is True.


Raize Components 6

TRzDBNumericEdit.IntegersOnly Example
TRzDBNumericEdit


TRzDBNumericEdit.IntValue

Represents the Integer value currently represented by the control.

Declaration
property IntValue: Integer;

__property int IntValue

Description

Use this property to retrieve the Value property converted to an Integer value. Since the Value property is a floating point number, using it in an Integer calculation will result in type-mismatch errors. The IntValue property eliminates the need to perform the typecast.


Raize Components 6

TRzDBNumericEdit.IntValue Example
TRzDBNumericEdit


TRzDBNumericEdit.Max

Specifies a maximum value for a range.

Declaration
property Max: Extended;

__property Extended Max

Description

For track bars, use this property to specify the maximum position along the track.

For spin edits and numeric edits, use this property to specify the maximum value that can be entered.


Raize Components 6

TRzDBNumericEdit.Max Example
TRzDBNumericEdit


TRzDBNumericEdit.Min

Specifies a minimum value for a range.

Declaration
property Min: Extended;

__property Extended Min

Description

For track bars, use this property to specify the minimum position along the track.

For spin edits, use this property to specify the minimum value that can be entered.


Raize Components 6

TRzDBNumericEdit.Min Example
TRzDBNumericEdit


TRzDBNumericEdit.OnRangeError
TRzDBNumericEdit Events

Occurs when a value exceeds the specified range.

Declaration
property OnRangeError: TRzRangeErrorEvent;

__property TRzRangeErrorEvent OnRangeError

Description

Occurs when the focus leaves the field and the value entered by the user exceeds the bounds defined by the Min and Max properties. An OnRangeError event handler receives 3 parameters in addition to Sender: EnteredValue, AdjustedValue, and AutoCorrect.

EnteredValue is the value the user entered, and AdjustedValue is the value the control wants to change it to (within the bounds of Min..Max). AutoCorrect defaults to True and means that the value of the control will indeed be changed to the AdjustedValue.

If the AutoCorrect parameter is set to False in an event handler, then the input focus is kept at the edit field. As such, clicking a Cancel button in a dialog box with the focus currently in a numeric edit with a value outside the specified range will not close the dialog box because the focus will be returned back the numeric edit. To handle this, the developer will need to set a flag that indicates that the cancel button is being clicked so as not to set AutoCorrect to False in the event handler.


Raize Components 6

TRzDBNumericEdit.OnRangeError Example
TRzDBNumericEdit


Raize Components 6

TRzDBNumericEdit Properties
TRzDBNumericEdit

Public
Alignment
AllowBlank
AllowScientificNotation
BlankValue
CheckRange
DisplayFormat
IntegersOnly
IntValue
Max
Min
Value


TRzDBNumericEdit.Value

Declaration
property Value: Extended;

__property Extended Value

Description

The property represents the numeric value entered into the control.


Raize Components 6

TRzDBNumericEdit.Value Example
TRzDBNumericEdit


TRzDBRichEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBRichEdit.About Example
TRzDBRichEdit


TRzDBRichEdit.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clWindow;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzDBRichEdit.Color Example
TRzDBRichEdit


TRzDBRichEdit.Column

Declaration
property Column: Integer;

__property int Column

Description

This runtime property can be used to get and set the column position of the cursor. The column value is the character position immediately to the right of the cursor. Therefore, when the cursor is positioned at the beginning of a line of text, the Column value is 1.


Raize Components 6

TRzDBRichEdit.Column Example
TRzDBRichEdit


TRzDBRichEdit.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzDBRichEdit.DisabledColor Example
TRzDBRichEdit


Raize Components 6

TRzDBRichEdit Events
TRzDBRichEdit

Public
OnClipboardChange
OnLineColChange
OnMouseEnter
OnMouseLeave


TRzDBRichEdit.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzDBRichEdit.FocusColor Example
TRzDBRichEdit


TRzDBRichEdit.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzDBRichEdit.FrameColor Example
TRzDBRichEdit


TRzDBRichEdit.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzDBRichEdit.FrameController Example
TRzDBRichEdit


TRzDBRichEdit.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzDBRichEdit.FrameControllerNotifications Example
TRzDBRichEdit


TRzDBRichEdit.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDBRichEdit.FrameHotColor Example
TRzDBRichEdit


TRzDBRichEdit.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDBRichEdit.FrameHotStyle Example
TRzDBRichEdit


TRzDBRichEdit.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzDBRichEdit.FrameHotTrack Example
TRzDBRichEdit


TRzDBRichEdit.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzDBRichEdit.FrameSides Example
TRzDBRichEdit


TRzDBRichEdit.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzDBRichEdit.FrameStyle Example
TRzDBRichEdit


TRzDBRichEdit.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzDBRichEdit.FrameVisible Example
TRzDBRichEdit


TRzDBRichEdit.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzDBRichEdit.FramingPreference Example
TRzDBRichEdit


TRzDBRichEdit.JumpTo
TRzDBRichEdit Methods

Declaration
procedure JumpTo(ALine, ACol: Integer);

void __fastcall JumpTo(int ALine, int ACol)

Description

This method provides a quick way to position the cursor position anywhere within the memo component.


Raize Components 6

TRzDBRichEdit.JumpTo Example
TRzDBRichEdit


TRzDBRichEdit.Line

Declaration
property Line: Integer;

__property int Line

Description

This runtime property can be used to get and set the line position of the cursor. The line value is one greater than the line index. Therefore, when the cursor is positioned on the top line of text, the Line value is 1.


Raize Components 6

TRzDBRichEdit.Line Example
TRzDBRichEdit


Raize Components 6

TRzDBRichEdit Methods
TRzDBRichEdit

Public
JumpTo


TRzDBRichEdit.OnClipboardChange

Declaration
property OnClipboardChange: TClipboardChangeEvent;

__property Rzedit::TClipboardChangeEvent OnClipboardChange

Description

This event occurs whenever the text selection changes in the memo component. The HasSelection parameter to the event handler indicates whether text is actually selected in the memo. The HasText parameter indicates whether the clipboard contains text that could be pasted into the memo. This event provides an easy way to update the status of controls that implements the Cut, Copy, and Paste clipboard commands.


Raize Components 6

TRzDBRichEdit.OnClipboardChange Example
TRzDBRichEdit


TRzDBRichEdit.OnLineColChange

Declaration
property OnLineColChange: TLineColChangeEvent;

__property Rzedit::TLineColChangeEvent OnLineColChange

Description

This event occurs whenever the cursor position in the memo changes. The Line and Column parameters to the event handler indicate the new cursor position.


Raize Components 6

TRzDBRichEdit.OnLineColChange Example
TRzDBRichEdit


TRzDBRichEdit.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzDBRichEdit.OnMouseEnter Example
TRzDBRichEdit


TRzDBRichEdit.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzDBRichEdit.OnMouseLeave Example
TRzDBRichEdit


Raize Components 6

TRzDBRichEdit Properties
TRzDBRichEdit

Public
About
Color
Column
DisabledColor
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
Line
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
TabOnEnter


TRzDBRichEdit.ReadOnly

Declaration
property ReadOnly: Boolean;

Description

When ReadOnly is True, the control does not allow editing.


Raize Components 6

TRzDBRichEdit.ReadOnly Example
TRzDBRichEdit


TRzDBRichEdit.ReadOnlyColor

Specifies color to be used when the control's ReadOnly property is True.

Declaration
property ReadOnlyColor: TColor;

Description

Use ReadOnlyColor to read or change the background color of the control when the control's ReadOnly property is set to True.


Raize Components 6

TRzDBRichEdit.ReadOnlyColor Example
TRzDBRichEdit


TRzDBRichEdit.ReadOnlyColorOnFocus

Determines if the ReadOnlyColor value or the FocusColor value is used to highlight a control when that control has the focus and has its ReadOnly property set to True.

Declaration
property ReadOnlyColorOnFocus: Boolean default False;

__property bool ReadOnlyColorOnFocus

Description

This property determines if the ReadOnlyColor or FocusColor is used to color the control when the control has the focus and has its ReadOnly property set to True. By default, a focused control will use the FocusColor even if the control is read-only. Setting ReadOnlyColorOnFocus to True will cause a focused read-only control to be colored using ReadOnlyColor.


Raize Components 6

TRzDBRichEdit.ReadOnlyColorOnFocus Example
TRzDBRichEdit


TRzDBRichEdit.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzDBRichEdit.TabOnEnter Example
TRzDBRichEdit


RzDBGrid

RzDBGrid File
List of Units

Unit Classes

TRzDBGrid | TRzDBGrid is a enhanced TDBGrid that supports Custom Framing and additional display options for grid cells.
TRzDBGridQuickCompare |
TRzQuickCompareOperation |


TRzDBGrid.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBGrid.About Example
TRzDBGrid


TRzDBGrid.AltRowShading

Determines if alternate rows are shaded in the grid.

Declaration
property AltRowShading: Boolean default True;

__property bool AltRowShading

Description

When AltRowShading is set to True, the background color of alternate rows in the grid are shaded using the AltRowShadingColor.


Raize Components 6

TRzDBGrid.AltRowShading Example
TRzDBGrid


TRzDBGrid.AltRowShadingColor

Specifies the color used when shading rows.

Declaration
property AltRowShadingColor: TColor default clFadedGreen;

__property Graphics::TColor AltRowShadingColor

Description

When AltRowShading is set to True, the background color of alternate rows in the grid are shaded using the AltRowShadingColor.


Raize Components 6

TRzDBGrid.AltRowShadingColor Example
TRzDBGrid


TRzDBGrid.AltRowShadingFixed

Declaration
property AltRowShadingFixed: Boolean default True;

__property bool AltRowShadingFixed

Description

The AltRowShadingFixed property controls whether or not the shading remains fixed as you scroll through the grid.


Raize Components 6

TRzDBGrid.AltRowShadingFixed Example
TRzDBGrid


TRzDBGrid.DefaultDrawing

Declaration
property DefaultDrawing: Boolean;

__property bool DefaultDrawing

Description

This property determines if the AltRowShading* properties and the QuickCompare property affect the display of the grid. If you wish to do your own custom drawning of grid cells, then set DefaultDrawing to False.


Raize Components 6

TRzDBGrid.DefaultDrawing Example
TRzDBGrid


TRzDBGrid.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzDBGrid.DisabledColor Example
TRzDBGrid


Raize Components 6

TRzDBGrid Events
TRzDBGrid

Public
OnMouseEnter
OnMouseLeave


TRzDBGrid.FixedLineColor

Specifies the color used to display fixed lines in grid cells.

Declaration
property FixedLineColor: TColor default clBtnShadow;

__property Graphics::TColor FixedLineColor

Description

Use FixedLineColor to specify the color to be used when drawing the lines between the fixed cells of the grid.


Raize Components 6

TRzDBGrid.FixedLineColor Example
TRzDBGrid


TRzDBGrid.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzDBGrid.FocusColor Example
TRzDBGrid


TRzDBGrid.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzDBGrid.FrameColor Example
TRzDBGrid


TRzDBGrid.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzDBGrid.FrameController Example
TRzDBGrid


TRzDBGrid.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzDBGrid.FrameControllerNotifications Example
TRzDBGrid


TRzDBGrid.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDBGrid.FrameHotColor Example
TRzDBGrid


TRzDBGrid.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDBGrid.FrameHotStyle Example
TRzDBGrid


TRzDBGrid.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzDBGrid.FrameHotTrack Example
TRzDBGrid


TRzDBGrid.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzDBGrid.FrameSides Example
TRzDBGrid


TRzDBGrid.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzDBGrid.FrameStyle Example
TRzDBGrid


TRzDBGrid.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzDBGrid.FrameVisible Example
TRzDBGrid


TRzDBGrid.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzDBGrid.FramingPreference Example
TRzDBGrid


TRzDBGrid.LineColor

Specifies the color to be used in drawing lines in a grid.

Declaration
property LineColor: TColor default clBtnFace;

__property Graphics::TColor LineColor

Description

Use LineColor to specify the color to be used when drawing the lines between the non-fixed cells of the grid.


Raize Components 6

TRzDBGrid.LineColor Example
TRzDBGrid


TRzDBGrid.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzDBGrid.OnMouseEnter Example
TRzDBGrid


TRzDBGrid.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzDBGrid.OnMouseLeave Example
TRzDBGrid


Raize Components 6

TRzDBGrid Properties
TRzDBGrid

Public
About
AltRowShading
AltRowShadingColor
AltRowShadingFixed
Color
DefaultDrawing
DisabledColor
FixedLineColor
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
Height
LineColor
QuickCompare
Width


TRzDBGridQuickCompare

Properties

Unit
RzDBGrid

Declaration
TRzDBGridQuickCompare=Class(TPersistent);

class PASCALIMPLEMENTATION TRzDBGridQuickCompare: public Classes::TPersistent

Description

This class represents the QuickCompare settings that are used by a TRzDBGrid control.


Raize Components 6

TRzDBGrid.QuickCompare Example
TRzDBGrid


TRzDBGridQuickCompare.Active

Controls whether QuickCompare is performed.

Declaration
property Active: Boolean default False;

__property bool Active

Description

Controls whether QuickCompare is performed.


Raize Components 6

TRzDBGridQuickCompare.Active Example
TRzDBGridQuickCompare


TRzDBGridQuickCompare.Color

Color of record if comparison is successful

Declaration
property Color: TColor default clBlueGray;

__property Graphics::TColor Color

Description

Color of record if comparison is successful


Raize Components 6

TRzDBGridQuickCompare.Color Example
TRzDBGridQuickCompare


TRzDBGridQuickCompare.FieldName

Name of field in dataset used in comparision.

Declaration
property FieldName: string;

__property AnsiString FieldName

Description

Name of field in dataset used in comparision.


Raize Components 6

TRzDBGridQuickCompare.FieldName Example
TRzDBGridQuickCompare


TRzDBGridQuickCompare.FieldValue

Value used in QuickCompare comparison

Declaration
property FieldValue: Variant;

__property Variant FieldValue

Description

Value used in QuickCompare comparison


Raize Components 6

TRzDBGridQuickCompare.FieldValue Example
TRzDBGridQuickCompare


TRzDBGridQuickCompare.FontColor

Font color of record if comparison is successful.

Declaration
property FontColor: TColor default clWhite;

__property Graphics::TColor FontColor

Description

Font color of record if comparison is successful.


Raize Components 6

TRzDBGridQuickCompare.FontColor Example
TRzDBGridQuickCompare


TRzDBGridQuickCompare.Operation

Specifies the type of QuickCompare operation

Declaration
property Operation: TRzQuickCompareOperation default qcoEqual;

__property TRzQuickCompareOperation Operation

Description

Specifies the type of operation:

qcoEqual, qcoLessThan, qcoLessThanOrEqual, qcoGreaterThan, qcoGreaterThanOrEqual, qcoNotEqual


Raize Components 6

TRzDBGridQuickCompare.Operation Example
TRzDBGridQuickCompare


Raize Components 6

TRzDBGridQuickCompare Properties
TRzDBGridQuickCompare

Public
Active
Color
FieldName
FieldValue
FontColor
Operation


TRzQuickCompareOperation

Unit
RzDBGrid

Declaration
TRzQuickCompareOperation =(qcoEqual, qcoLessThan, qcoLessThanOrEqual, qcoGreaterThan, qcoGreaterThanOrEqual, qcoNotEqual);

Description

Value Meaning

qcoEqual:

qcoLessThan:

qcoLessThanOrEqual:

qcoGreaterThan:

qcoGreaterThanOrEqual:

qcoNotEqual:


RzDBLbl

RzDBLbl File
List of Units

Unit Classes

TRzDBLabel
TRzDBLabel is a data-aware graphical control for displaying text.


TRzDBLabel.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBLabel.DataField Example
TRzDBLabel


TRzDBLabel.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBLabel.DataSource Example
TRzDBLabel


Raize Components 6

TRzDBLabel Properties
TRzDBLabel

Public
AutoSize
Caption
DataField
DataSource


RzDBList

RzDBList File
List of Units

Unit Classes

TRzDBListBox
TRzDBListBox is an enhanced data-aware list box control.


TRzDBListBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBListBox.About Example
TRzDBListBox


TRzDBListBox.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBListBox.DataField Example
TRzDBListBox


TRzDBListBox.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBListBox.DataSource Example
TRzDBListBox


Raize Components 6

TRzDBListBox Events
TRzDBListBox

Public


TRzDBListBox.Items

Provides access to the current set of items managed by the control.

Declaration
property Items;

__property Items

Description

Use Items to add, insert, delete and move items to the controls list.


Raize Components 6

TRzDBListBox.Items Example
TRzDBListBox


Raize Components 6

TRzDBListBox Properties
TRzDBListBox

Public
About
Align
Anchors
BeepOnInvalidKey
BiDiMode
BorderStyle
Color
Columns
Constraints
Ctl3D
DataField
DataSource
DisabledColor
DragCursor
DragKind
DragMode
Enabled
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HorzExtent
HorzScrollBar
ImeMode
ImeName
IntegralHeight
ItemHeight
Items
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
ShowHint
ShowItemHints
Style
TabOnEnter
TabOrder
TabStop
TabWidth
Visible


TRzDBListBox.ReadOnly

Determines if the control allows editing.

Declaration
property ReadOnly: Boolean default False;

__property bool ReadOnly

Description

Set ReadOnly to True to prevent the user from changing the contents of the database field. When ReadOnly is True, the edit control is used only to display the contents of the field. If ReadOnly is False, the user can change the field's value as long as the dataset is in edit mode.


Raize Components 6

TRzDBListBox.ReadOnly Example
TRzDBListBox


RzDBLook

RzDBLook File
List of Units

Unit Classes

EInvalidDataset |
EInvalidSearchField |
TRzDBLookupDialog | TRzDBLookupDialog represents a dialog box allowing a user to select a record from a dataset.
TRzDrawColumnCellEvent |
TRzDrawDataCellEvent |


EInvalidDataset

Unit
RzDBLook

Declaration
EInvalidDataset=class(Exception);

Description

This exception is raised when a TRzDBLookupDialog component's Execute method is called, and the Dataset property is nil.


EInvalidSearchField

Unit
RzDBLook

Declaration
EInvalidSearchField=class(Exception);

Description

This exception is raised when a TRzDBLookupDialog component's Execute method is called, and the SearchField property is nil.


TRzDBLookupDialog.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBLookupDialog.About Example
TRzDBLookupDialog


TRzDBLookupDialog.AutoSelect

Declaration
property AutoSelect: Boolean default True;

__property bool AutoSelect

Description

Use this property to set the AutoSelect property of the Search edit field in the lookup dialog.


Raize Components 6

TRzDBLookupDialog.AutoSelect Example
TRzDBLookupDialog


TRzDBLookupDialog.ButtonGlyphs

Declaration
property ButtonGlyphs: Boolean default False;

__property bool ButtonGlyphs

Description

Set this property to True to display glyphs on the buttons of the dialog box.


Raize Components 6

TRzDBLookupDialog.ButtonGlyphs Example
TRzDBLookupDialog


TRzDBLookupDialog.CharCase

Declaration
property CharCase: TEditCharCase default ecNormal;

__property Stdctrls::TEditCharCase CharCase

Description

Use this property to set the CharCase property of the Search edit field in the lookup dialog.


Raize Components 6

TRzDBLookupDialog.CharCase Example
TRzDBLookupDialog


TRzDBLookupDialog.Dataset

Declaration
property Dataset: TDataset;

__property Db::TDataSet *Dataset

Description

Use this property to specify the dataset that will be used to populate the grid portion of a TRzDBLookupDialog component. Any dataset component can be used by the TRzDBLookupDialog component, including a TQuery. When the dialog is closed, the current record in the dataset is the record selected by the user.

Note: When using TQuery result sets, the query must be ordered by the search field in order for fast keyboard searching to be effective.


Raize Components 6

TRzDBLookupDialog.Dataset Example
TRzDBLookupDialog


Raize Components 6

TRzDBLookupDialog Events
TRzDBLookupDialog

Public
OnDrawColumnCell
OnDrawDataCell


TRzDBLookupDialog.Execute
TRzDBLookupDialog Methods

Declaration
function Execute: Boolean;

bool __fastcall Execute(void)

Description

Displays the corresponding dialog box associated with the component. If the user presses the OK button in the dialog box, the Execute method returns True. If the user presses the Cancel button or closes the dialog box, the Execute method returns False.


Raize Components 6

TRzDBLookupDialog.Execute Example
TRzDBLookupDialog


TRzDBLookupDialog.GridOptions

Declaration
property GridOptions: TDBGridOptions default[dgEditing, dgTitles, dgIndicator, dgColumnResize, dgColLines, dgRowLines, dgTabs, dgConfirmDelete, dgCancelOnExit];

__property Dbgrids::TDBGridOptions GridOptions

Description

Use this option to customize the grid displayed by the lookup dialog box. The possible options are identical to those used in the standard TDBGrid.


Raize Components 6

TRzDBLookupDialog.GridOptions Example
TRzDBLookupDialog


TRzDBLookupDialog.KeyField

Declaration
property KeyField: string;

__property AnsiString KeyField

Description

Use KeyField to specify a different field from SearchField that will be used to populate an associated SearchEdit control.


Raize Components 6

TRzDBLookupDialog.KeyField Example
TRzDBLookupDialog


Raize Components 6

TRzDBLookupDialog Methods
TRzDBLookupDialog

Public
Execute


TRzDBLookupDialog.MoveSearchField

Declaration
property MoveSearchField: Boolean default True;

__property bool MoveSearchField

Description

Set this property to True to move the field specified in the SearchField property to the first column of the grid in a TRzDBLookupDialog component.


Raize Components 6

TRzDBLookupDialog.MoveSearchField Example
TRzDBLookupDialog


TRzDBLookupDialog.NavigatorWidth

Declaration
property NavigatorWidth: Integer default 221;

__property int NavigatorWidth

Description

This property controls the width of the TDBNavigator that is displayed in the dialog box when the ShowNavigator property is True.


Raize Components 6

TRzDBLookupDialog.NavigatorWidth Example
TRzDBLookupDialog


TRzDBLookupDialog.NumbersOnly

Declaration
property NumbersOnly: Boolean default False;

__property bool NumbersOnly

Description

Use this property to restrict entry into the edit portion of a TRzDBLookupDialog component to only numeric characters.


Raize Components 6

TRzDBLookupDialog.NumbersOnly Example
TRzDBLookupDialog


TRzDBLookupDialog.OnDrawColumnCell

Declaration
property OnDrawColumnCell: TRzDrawColumnCellEvent;

__property TRzDrawColumnCellEvent OnDrawColumnCell

Description

This event is identical to the OnDrawColumnCell event of TDBGrid. It provides a way to customize the appearance of the grid displayed by the TRzDBLookupDialog component.


Raize Components 6

TRzDBLookupDialog.OnDrawColumnCell Example
TRzDBLookupDialog


TRzDBLookupDialog.OnDrawDataCell

Declaration
property OnDrawDataCell: TRzDrawDataCellEvent;

__property TRzDrawDataCellEvent OnDrawDataCell

Description

This event is identical to the OnDrawDataCell event of TDBGrid. It provides a way to customize the appearance of the grid displayed by the TRzDBLookupDialog component.


Raize Components 6

TRzDBLookupDialog.OnDrawDataCell Example
TRzDBLookupDialog


TRzDBLookupDialog.Prompt

Declaration
property Prompt: string;

__property AnsiString Prompt

Description

Use this property to specify the string placed above the edit field in the lookup dialog components. This strings prompts the user what to enter.


Raize Components 6

TRzDBLookupDialog.Prompt Example
TRzDBLookupDialog


Raize Components 6

TRzDBLookupDialog Properties
TRzDBLookupDialog

Public
About
AutoSelect
BorderStyle
ButtonGlyphs
Caption
CaptionCancel
CaptionHelp
CaptionOK
CharCase
Dataset
Font
FrameColor
FrameStyle
FrameVisible
FramingPreference
GridOptions
Height
HelpContext
KeyField
MoveSearchField
NavigatorWidth
NumbersOnly
Prompt
SearchEdit
SearchField
SearchString
ShowNavigator
ShowNavigatorHints
UpdateSearchEdit
VisibleNavButtons
Width


TRzDBLookupDialog.SearchEdit

Declaration
property SearchEdit: TCustomEdit;

__property Stdctrls::TCustomEdit *SearchEdit

Description

Use this property to specify a TEdit component (or descendant) that will be used to initialize the edit field of the lookup dialog.


Raize Components 6

TRzDBLookupDialog.SearchEdit Example
TRzDBLookupDialog


TRzDBLookupDialog.SearchField

Declaration
property SearchField: string;

__property AnsiString SearchField

Description

Use this property to specify the field in the Dataset that will be used for keyboard searching. When the lookup dialog is displayed, as the user enters characters into the edit field, the closest matching field is selected in the grid.


Raize Components 6

TRzDBLookupDialog.SearchField Example
TRzDBLookupDialog


TRzDBLookupDialog.SearchString

Declaration
property SearchString: string;

__property AnsiString SearchString

Description

For lookup dialog components, the SearchString property is used to specify an initial search string. When the dialog is executed, the SearchString, if specified, is copied to the edit field used for keyboard searching. This causes the lookup dialog to try to find the item that most closely matches the characters specified in the search string.


Raize Components 6

TRzDBLookupDialog.SearchString Example
TRzDBLookupDialog


TRzDBLookupDialog.ShowNavigator

Declaration
property ShowNavigator: Boolean default True;

__property bool ShowNavigator

Description

Use this property to show or hide the TRzDBNavigator component in the dialog box that is displayed to the user. To specify which buttons should be visible on the navigator use the VisibleNavButtons property.


Raize Components 6

TRzDBLookupDialog.ShowNavigator Example
TRzDBLookupDialog


TRzDBLookupDialog.ShowNavigatorHints

Declaration
property ShowNavigatorHints: Boolean default False;

__property bool ShowNavigatorHints

Description

When ShowNavigatorHints is set to True, hints are displayed as the mouse is positioned over the buttons of the navigator.


Raize Components 6

TRzDBLookupDialog.ShowNavigatorHints Example
TRzDBLookupDialog


TRzDBLookupDialog.UpdateSearchEdit

Declaration
property UpdateSearchEdit: Boolean default False;

__property bool UpdateSearchEdit

Description

When this property is set to True, the lookup dialog component will automatically update the SearchEdit control (if specified) with the appropriate contents selected by the user in the lookup dialog form. By default, UpdateSearchEdit is set to False to ensure backward compatibility with existing code that may already be populating the edit control manually.

Special Note: The UpdateSearchEdit property in the TRzDBLookupDialog component only affects the 32-bit versions of Raize Components because it relies on the edit control supporting the cm_GetDataLink component message.


Raize Components 6

TRzDBLookupDialog.UpdateSearchEdit Example
TRzDBLookupDialog


TRzDBLookupDialog.VisibleNavButtons

Declaration
property VisibleNavButtons: TButtonSet default[nbFirst, nbPrior, nbNext, nbLast, nbInsert, nbDelete, nbEdit, nbPost, nbCancel, nbRefresh];

__property Dbctrls::TButtonSet VisibleNavButtons

Description

Use this property to show or hide the various buttons contains in the TRzDBNavigator component that is displayed to the user. This property is only used if the ShowNavigator property is set to True.


Raize Components 6

TRzDBLookupDialog.VisibleNavButtons Example
TRzDBLookupDialog


TRzDrawColumnCellEvent

Unit
RzDBLook

Declaration
TRzDrawColumnCellEvent=procedure(Grid: TDBGrid; const Rect: TRect; DataCol: Integer; Column: TColumn; State: TGridDrawState) of object;

typedef void __fastcall(__closure *TRzDrawColumnCellEvent)(Dbgrids::TDBGrid *Grid, const Types::TRect & Rect, int DataCol, Dbgrids::TColumn *Column, Grids::TGridDrawState State);

Description

.


TRzDrawDataCellEvent

Unit
RzDBLook

Declaration
TRzDrawDataCellEvent=procedure(Grid: TDBGrid; const Rect: TRect; Field: TField; State: TGridDrawState) of object;

typedef void __fastcall(__closure *TRzDrawDataCellEvent)(Dbgrids::TDBGrid *Grid, const Types::TRect & Rect, Db::TField *Field, Grids::TGridDrawState State);

Description

.


RzDBNav

RzDBNav File
List of Units

Unit Classes

TRzDBNavigator | TRzDBNavigator is an enhanced dataset navigator.
TRzDBNavigatorImageIndexes |


TRzDBNavigator.EnablementStyle

Controls how certain buttons of the navigator are enabled and disabled.

Declaration
property EnablementStyle: TRzNavigatorEnablementStyle default nesTraditional;

__property Rzdbnav::TRzNavigatorEnablementStyle EnablementStyle

Description

This property affects the way certain buttons of the navigator are enabled and disabled. The default value for this property is nesTraditional, which is the standard style in which the browsing buttons (First, Prior, Next, Last) remain enabled when a dataset is put into Insert or Edit mode. The new nesNoBrowseOnEdit style can be used to disable all buttons except for the Post and Cancel buttons when a dataset is in Insert or Edit mode.


Raize Components 6

TRzDBNavigator.EnablementStyle Example
TRzDBNavigator


TRzDBNavigatorImageIndexes

Properties

Unit
RzDBNav

Description

.


Raize Components 6

TRzDBNavigator.ImageIndexes Example
TRzDBNavigator


TRzDBNavigatorImageIndexes.Cancel

Declaration
property Cancel: TImageIndex default - 1;

__property Imglist::TImageIndex Cancel

Description

Index of image in the associated ImageList that will be used for the Cancel button.


Raize Components 6

TRzDBNavigatorImageIndexes.Cancel Example
TRzDBNavigatorImageIndexes


TRzDBNavigatorImageIndexes.Delete

Declaration
property Delete: TImageIndex default - 1;

__property Imglist::TImageIndex Delete

Description

Index of image in the associated ImageList that will be used for the Delete button.


Raize Components 6

TRzDBNavigatorImageIndexes.Delete Example
TRzDBNavigatorImageIndexes


TRzDBNavigatorImageIndexes.Edit

Declaration
property Edit: TImageIndex default - 1;

__property Imglist::TImageIndex Edit

Description

Index of image in the associated ImageList that will be used for the Edit button.


Raize Components 6

TRzDBNavigatorImageIndexes.Edit Example
TRzDBNavigatorImageIndexes


TRzDBNavigatorImageIndexes.First

Declaration
property First: TImageIndex default - 1;

__property Imglist::TImageIndex First

Description

Index of image in the associated ImageList that will be used for the First button.


Raize Components 6

TRzDBNavigatorImageIndexes.First Example
TRzDBNavigatorImageIndexes


TRzDBNavigatorImageIndexes.Insert

Declaration
property Insert: TImageIndex default - 1;

__property Imglist::TImageIndex Insert

Description

Index of image in the associated ImageList that will be used for the Insert button.


Raize Components 6

TRzDBNavigatorImageIndexes.Insert Example
TRzDBNavigatorImageIndexes


TRzDBNavigatorImageIndexes.Last

Declaration
property Last: TImageIndex default - 1;

__property Imglist::TImageIndex Last

Description

Index of image in the associated ImageList that will be used for the Last button.


Raize Components 6

TRzDBNavigatorImageIndexes.Last Example
TRzDBNavigatorImageIndexes


TRzDBNavigatorImageIndexes.Next

Declaration
property Next: TImageIndex default - 1;

__property Imglist::TImageIndex Next

Description

Index of image in the associated ImageList that will be used for the Next button.


Raize Components 6

TRzDBNavigatorImageIndexes.Next Example
TRzDBNavigatorImageIndexes


TRzDBNavigatorImageIndexes.Post

Declaration
property Post: TImageIndex default - 1;

__property Imglist::TImageIndex Post

Description

Index of image in the associated ImageList that will be used for the Post button.


Raize Components 6

TRzDBNavigatorImageIndexes.Post Example
TRzDBNavigatorImageIndexes


TRzDBNavigatorImageIndexes.Previous

Declaration
property Previous: TImageIndex default - 1;

__property Imglist::TImageIndex Previous

Description

Index of image in the associated ImageList that will be used for the Previous button.


Raize Components 6

TRzDBNavigatorImageIndexes.Previous Example
TRzDBNavigatorImageIndexes


Raize Components 6

TRzDBNavigatorImageIndexes Properties
TRzDBNavigatorImageIndexes

Public
Cancel
Delete
Edit
First
Insert
Last
Next
Post
Previous
Refresh


TRzDBNavigatorImageIndexes.Refresh

Declaration
property Refresh: TImageIndex default - 1;

__property Imglist::TImageIndex Refresh

Description

Index of image in the associated ImageList that will be used for the Refresh button.


Raize Components 6

TRzDBNavigatorImageIndexes.Refresh Example
TRzDBNavigatorImageIndexes


TRzDBNavigator.Images

Specifies an associated image list.

Declaration
property Images: TCustomImageList;

__property Imglist::TCustomImageList *Images

Description

Use Images to connect the control to an image list control.


Raize Components 6

TRzDBNavigator.Images Example
TRzDBNavigator


Raize Components 6

TRzDBNavigator Properties
TRzDBNavigator

Public
EnablementStyle
Flat
ImageIndexes
Images


RzDBProg

RzDBProg File
List of Units

Unit Classes

EInvalidBaseValue |
TRzDBProgressBar | TRzDBProgressBar is a data-aware graphical control for displaying a percentage value.


EInvalidBaseValue

Unit
RzDBProg

Declaration
EInvalidBaseValue=class(Exception);

Description

This exception is generated if the BaseValue property of TRzDBProgressBar is set to 0.


TRzDBProgressBar.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBProgressBar.About Example
TRzDBProgressBar


TRzDBProgressBar.BaseField

Specifies second field to be used in calculating percentage.

Declaration
property BaseField: string;

__property AnsiString BaseField

Description

Use this property to specify a second field to be used in calculating the percentage to be displayed in a TRzDBProgressBar. That is, set the DataField to one column and the BaseField to another column. The percentage is calculated between the two columns using the following formula:

Percent := DataField / BaseField * 100


Raize Components 6

TRzDBProgressBar.BaseField Example
TRzDBProgressBar


TRzDBProgressBar.BaseValue

Specifies a base value to be used in calculating percentage.

Declaration
property BaseValue: Double;

__property double BaseValue

Description

Use this property to specify a value to be used in calculating the percentage to be displayed in a TRzDBProgressBar. That is, set the DataField to a column in the table and set the BaseValue property to a static value. The percentage is calculated using the BaseValue using the following formula:

Percent := DataField / BaseValue * 100


Raize Components 6

TRzDBProgressBar.BaseValue Example
TRzDBProgressBar


TRzDBProgressBar.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBProgressBar.DataField Example
TRzDBProgressBar


TRzDBProgressBar.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBProgressBar.DataSource Example
TRzDBProgressBar


Raize Components 6

TRzDBProgressBar Events
TRzDBProgressBar

Public


TRzDBProgressBar.FrameController

References a TRzFrameController instance.

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzDBProgressBar.FrameController Example
TRzDBProgressBar


TRzDBProgressBar.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzDBProgressBar.FrameControllerNotifications Example
TRzDBProgressBar


TRzDBProgressBar.GradientDirection

Determines the direction of the gradient fill path.

Description

This property determines which direction the gradient fill will flow. Your choices include:

Value Meaning

dBigSquareBox Top and bottom converge together to form a big square box in the center.

dDiagonalDown Top right to bottom left.

dDiagonalUp Top left to bottom right

dHorizontalBox Top and bottom converge together to form a box in the center.

dHorizontalCenter Top and bottom converge to the center.

dHorizontalEnd Horizontally downward

dSquareBox All sides converge into a square

dVerticalBox Sides converge into a box.

dVerticalCenter Sides converge into a box at the center.


Raize Components 6

TRzDBProgressBar.GradientDirection Example
TRzDBProgressBar


TRzDBProgressBar.Percent

Specifies current perctage value.

Declaration
property Percent: Integer;

__property int Percent

Description

The Percent property determines how much of the progress area gets filled. The Percent property can be set directly, or indirectly using the TotalParts and PartsComplete properties.


Raize Components 6

TRzDBProgressBar.Percent Example
TRzDBProgressBar


Raize Components 6

TRzDBProgressBar Properties
TRzDBProgressBar

Public
About
Align
Anchors
BackColor
BackColorStop
BarColor
BarColorStop
BarStyle
BaseField
BaseValue
BevelWidth
BorderColor
BorderInner
BorderOuter
BorderWidth
Constraints
DataField
DataSource
DragKind
Font
FrameController
FrameControllerNotifications
GradientDirection
Height
InteriorOffset
NumSegments
Orientation
ParentFont
ParentShowHint
Percent
PopupMenu
ShowHint
ShowPercent
ThemeAware
Visible
Width


RzDBRGrp

RzDBRGrp File
List of Units

Unit Classes

TRzDBRadioGroup
TRzDBRadioGroup is the data-aware version of TRzRadioGroup.


TRzDBRadioGroup.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDBRadioGroup.About Example
TRzDBRadioGroup


TRzDBRadioGroup.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBRadioGroup.DataField Example
TRzDBRadioGroup


TRzDBRadioGroup.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBRadioGroup.DataSource Example
TRzDBRadioGroup


Raize Components 6

TRzDBRadioGroup Events
TRzDBRadioGroup

Public


TRzDBRadioGroup.Items

Specifies captions for radio buttons (check boxes).

Declaration
property Items;

__property Items

Description

Use the Items string list property to specify the captions for each radio button or check box.


Raize Components 6

TRzDBRadioGroup.Items Example
TRzDBRadioGroup


Raize Components 6

TRzDBRadioGroup Properties
TRzDBRadioGroup

Public
About
Align
Alignment
Anchors
BevelWidth
BiDiMode
BorderColor
BorderInner
BorderOuter
BorderSides
BorderWidth
Buttons
Caption
Color
Columns
Constraints
Ctl3D
CustomGlyphs
DataField
DataSource
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
FrameController
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
GroupStyle
Height
ItemEnabled
ItemFont
ItemFrameColor
ItemHeight
ItemHighlightColor
ItemHotTrack
ItemHotTrackColor
ItemHotTrackColorType
ItemIndex
Items
LightTextStyle
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
ShowHint
SpaceEvenly
StartXPos
StartYPos
TabOnEnter
TabOrder
TabStop
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
Transparent
TransparentColor
UseCustomGlyphs
Value
Values
VerticalSpacing
Visible
VisualStyle
WinMaskColor


TRzDBRadioGroup.ReadOnly

Determines if the control allows editing.

Declaration
property ReadOnly: Boolean default False;

__property bool ReadOnly

Description

Set ReadOnly to True to prevent the user from changing the contents of the database field. When ReadOnly is True, the edit control is used only to display the contents of the field. If ReadOnly is False, the user can change the field's value as long as the dataset is in edit mode.


Raize Components 6

TRzDBRadioGroup.ReadOnly Example
TRzDBRadioGroup


TRzDBRadioGroup.Value

Specifes the current "value" for the selected item.

Declaration
property Value: string;

__property AnsiString Value

Description

This property represents the current contents of the field for the current record in the dataset. When the user changes the track bar thumb, the Value property changes to the item in the Values string list for that position. The Value property becomes the value of the field for the current record in the dataset.


Raize Components 6

TRzDBRadioGroup.Value Example
TRzDBRadioGroup


TRzDBRadioGroup.Values

Specifies a list of values to be associated with the strings in the Items list.

Declaration
property Values: TStrings;

__property Classes::TStrings *Values

Description

When the user selects a radio button, the value of that button is written to the linked field in the database. By default, the value of a button is simply the caption that appears next to it on the screen, as determined by the Items property.

In some cases, you may want the values of the radio buttons to differ from their captions. For example, if you use radio buttons to represent a database field whose content can be Y or N, you may want the buttons captions to be Yes and No. In this case, you would enter Yes and No in the Items list, and enter Y and N in the Values list.

You can edit the Values list in the Object Inspector, just as you would the Items list. To keep the buttons captions as their values, leave the Values property empty.


Raize Components 6

TRzDBRadioGroup.Values Example
TRzDBRadioGroup


RzDBSpin

RzDBSpin File
List of Units

Unit Classes

TRzDBSpinEdit | TRzDBSpinEdit is the data-aware version of TRzSpinEdit.
TRzDBSpinner | TRzDBSpinner is a data-aware custom control for selecting integer values.


TRzDBSpinEdit.AllowBlank

Specifies that the edit control may be empty.

Declaration
property AllowBlank: Boolean default True;

__property bool AllowBlank

Description

Set the AllowBlank property to True to allow an empty edit field. If the edit field is empty and AllowBlank is True, when you try to get the value of the edit, the value specified in BlankValue is returned.


Raize Components 6

TRzDBSpinEdit.AllowBlank Example
TRzDBSpinEdit


TRzDBSpinEdit.AllowKeyEdit

Specifies whether or not the control allows keyboard editing.

Declaration
property AllowKeyEdit: Boolean default False;

__property bool AllowKeyEdit

Description

Set this property to True to allow a user to type into the edit portion of the control. When this property is False, only the buttons (or arrow keys for spin edits) can be used to modify the value.


Raize Components 6

TRzDBSpinEdit.AllowKeyEdit Example
TRzDBSpinEdit


TRzDBSpinEdit.BlankValue

Specifies how a blank (empty) field is interpretted.

Declaration
property BlankValue: Extended;

__property Extended BlankValue

Description

Set the AllowBlank property to True to allow an empty edit field. If the edit field is empty and AllowBlank is True, when you try to get the value of the edit, the value specified in BlankValue is returned.


Raize Components 6

TRzDBSpinEdit.BlankValue Example
TRzDBSpinEdit


TRzDBSpinEdit.ButtonDownGlyph

Declaration
property ButtonDownGlyph: TBitmap;

__property Graphics::TBitmap *ButtonDownGlyph

Description

Use this property to override the default down arrow bitmap used for a spin edit component.


Raize Components 6

TRzDBSpinEdit.ButtonDownGlyph Example
TRzDBSpinEdit


TRzDBSpinEdit.ButtonDownNumGlyphs

Declaration
property ButtonDownNumGlyphs: TNumGlyphs;

__property Buttons::TNumGlyphs ButtonDownNumGlyphs

Description

Use this property to specify the number of glyphs embedded in the ButtonDownGlyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the button. The first glyph is used for the normal Up state. The second one is used when the button is Disabled, and the third is used for the Down state. The last glyph is used when the button can be kept in the Down state. This last glyph is not used by the spin edit components.


Raize Components 6

TRzDBSpinEdit.ButtonDownNumGlyphs Example
TRzDBSpinEdit


TRzDBSpinEdit.ButtonUpGlyph

Declaration
property ButtonUpGlyph: TBitmap;

__property Graphics::TBitmap *ButtonUpGlyph

Description

Use this property to override the default up arrow bitmap used for a spin edit component.


Raize Components 6

TRzDBSpinEdit.ButtonUpGlyph Example
TRzDBSpinEdit


TRzDBSpinEdit.ButtonUpNumGlyphs

Declaration
property ButtonUpNumGlyphs: TNumGlyphs;

__property Buttons::TNumGlyphs ButtonUpNumGlyphs

Description

Use this property to specify the number of glyphs embedded in the ButtonUpGlyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the button. The first glyph is used for the normal Up state. The second one is used when the button is Disabled, and the third is used for the Down state. The last glyph is used when the button can be kept in the Down state. This last glyph is not used by the spin edit components.


Raize Components 6

TRzDBSpinEdit.ButtonUpNumGlyphs Example
TRzDBSpinEdit


TRzDBSpinEdit.ButtonWidth

Declaration
property ButtonWidth: Integer default 17;

__property int ButtonWidth

Description

Use this property to specify the width of both spin buttons.


Raize Components 6

TRzDBSpinEdit.ButtonWidth Example
TRzDBSpinEdit


TRzDBSpinEdit.CheckRange

Determines if range checking is performed.

Declaration
property CheckRange: Boolean default False;

__property bool CheckRange

Description

This property is used in the situation where the Min and Max properties are equal. Setting both Min and Max to the same value can be interpreted in two different ways. The first is when CheckRange is False. In this case, there is no range on the values that can be entered into the component. If CheckRange is set to True, then only the value represented by Min and Max can be entered into the component.


Raize Components 6

TRzDBSpinEdit.CheckRange Example
TRzDBSpinEdit


TRzDBSpinEdit.Decimals

Declaration
property Decimals: Byte default 0;

__property Byte Decimals

Description

Use this property to specify the number of decimal places used by a spin edit when displaying floating point values.


Raize Components 6

TRzDBSpinEdit.Decimals Example
TRzDBSpinEdit


TRzDBSpinEdit.Direction

Declaration
property Direction: TSpinDirection default sdUpDown;

__property Rzspnedt::TSpinDirection Direction

Description

For spin edit, this property controls direction the arrows on the button point to. In particular, the arrows can point Up and Down or Left and Right. The default value is sdUpDown. However, if you change the Orientation of the spin edit to orHorizontal so that the buttons are side by side, you may want to consider changing the Direction of sdLeftRight.


Raize Components 6

TRzDBSpinEdit.Direction Example
TRzDBSpinEdit


TRzDBSpinEdit.DownLeftButton

Declaration
property DownLeftButton: TSpeedButton index 1;

__property Buttons::TSpeedButton *DownLeftButton

Description

This read-only property provides runtime access to the speed button that represents the down or left direction of the component.


Raize Components 6

TRzDBSpinEdit.DownLeftButton Example
TRzDBSpinEdit


Raize Components 6

TRzDBSpinEdit Events
TRzDBSpinEdit

Public
OnButtonClick
OnChanging


TRzDBSpinEdit.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

TRzDBSpinEdit.FlatButtonColor Example
TRzDBSpinEdit


TRzDBSpinEdit.Increment

Specifies the single unit amount by which the Value property is adjusted.

Declaration
property Increment: Extended;

__property Extended Increment

Description

Use this property to specify the amount the Value property is incremented or decremented by when one of the spin buttons is pressed or when either the up or down arrow key is pressed. Note that the Increment property can be set to a floating point value, thus allowing non-integer increments.


Raize Components 6

TRzDBSpinEdit.Increment Example
TRzDBSpinEdit


TRzDBSpinEdit.IntegersOnly

Declaration
property IntegersOnly: Boolean default True;

__property bool IntegersOnly

Description

Set this property to True to restrict values to Integers. If keyboard entry is allowed via AllowKeyEdit, the user is not allowed to enter a decimal point. Therefore, the Decimals property has no effect when IntegersOnly is True.


Raize Components 6

TRzDBSpinEdit.IntegersOnly Example
TRzDBSpinEdit


TRzDBSpinEdit.IntValue

Represents the Integer value currently represented by the control.

Declaration
property IntValue: Integer;

__property int IntValue

Description

Use this property to retrieve the Value property converted to an Integer value. Since the Value property is a floating point number, using it in an Integer calculation will result in type-mismatch errors. The IntValue property eliminates the need to perform the typecast.


Raize Components 6

TRzDBSpinEdit.IntValue Example
TRzDBSpinEdit


TRzDBSpinEdit.Max

Specifies a maximum value for a range.

Declaration
property Max: Extended;

__property Extended Max

Description

For track bars, use this property to specify the maximum position along the track.

For spin edits and numeric edits, use this property to specify the maximum value that can be entered.


Raize Components 6

TRzDBSpinEdit.Max Example
TRzDBSpinEdit


TRzDBSpinEdit.Min

Specifies a minimum value for a range.

Declaration
property Min: Extended;

__property Extended Min

Description

For track bars, use this property to specify the minimum position along the track.

For spin edits, use this property to specify the minimum value that can be entered.


Raize Components 6

TRzDBSpinEdit.Min Example
TRzDBSpinEdit


TRzDBSpinEdit.OnButtonClick

Declaration
property OnButtonClick: TSpinButtonEvent;

__property Rzspnedt::TSpinButtonEvent OnButtonClick

Description

For spin edits, this event occurs whenever one of the buttons in a spin edit component gets pressed. The event handler is passed a parameter indicating which button (up or down) was pressed.


Raize Components 6

TRzDBSpinEdit.OnButtonClick Example
TRzDBSpinEdit


TRzDBSpinEdit.OnChanging

Declaration
property OnChanging: TSpinChangingEvent;

__property Rzspnedt::TSpinChangingEvent OnChanging

Description

For spin edits, this event occurs whenever the user presses either the up or down button to change the value of a spin edit component. To prevent the value from being changed, set the AllowChange parameter to False.


Raize Components 6

TRzDBSpinEdit.OnChanging Example
TRzDBSpinEdit


TRzDBSpinEdit.Orientation

Specifies that the control is horizontally or veritcally oriented.

Declaration
property Orientation: TOrientation default orVertical;

__property Rzcommon::TOrientation Orientation

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

TRzDBSpinEdit.Orientation Example
TRzDBSpinEdit


TRzDBSpinEdit.PageSize

Specifies the amount by which the Value property is adjusted when the PgUp or PgDn keys are pressed.

Declaration
property PageSize: Extended;

__property Extended PageSize

Description

For track bars, use this property to specify the amount the Position changes when either the PgUp or PgDn key is pressed.

For spin edits, use this property to specify the amount the Value property is incremented or decremented by when either the PgUp or PgDn key is pressed. Note that the PageSize property can be set to a floating point value, thus allowing non-integer increments.


Raize Components 6

TRzDBSpinEdit.PageSize Example
TRzDBSpinEdit


Raize Components 6

TRzDBSpinEdit Properties
TRzDBSpinEdit

Public
AllowBlank
AllowKeyEdit
BlankValue
ButtonDownGlyph
ButtonDownNumGlyphs
ButtonUpGlyph
ButtonUpNumGlyphs
ButtonWidth
CheckRange
Decimals
Direction
DownLeftButton
Enabled
FlatButtonColor
FlatButtons
Increment
IntegersOnly
IntValue
Max
Min
Orientation
PageSize
UpRightButton
Value


TRzDBSpinEdit.UpRightButton

Declaration
property UpRightButton: TSpeedButton;

__property Buttons::TSpeedButton *UpRightButton

Description

This read-only property provides runtime access to the speed button that represents the up or right direction of the component.


Raize Components 6

TRzDBSpinEdit.UpRightButton Example
TRzDBSpinEdit


TRzDBSpinEdit.Value

Declaration
property Value: Extended;

__property Extended Value

Description

For spin edits, this property is equal to the contents of the edit portion converted to a floating point value. If the IntegersOnly property is True, then using the IntValue property eliminates the need to manually perform the conversion to an Integer value.


Raize Components 6

TRzDBSpinEdit.Value Example
TRzDBSpinEdit


TRzDBSpinner.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBSpinner.DataField Example
TRzDBSpinner


TRzDBSpinner.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBSpinner.DataSource Example
TRzDBSpinner


Raize Components 6

TRzDBSpinner Properties
TRzDBSpinner

Public
DataField
DataSource
ReadOnly


TRzDBSpinner.ReadOnly

Determines if the control allows editing.

Declaration
property ReadOnly: Boolean default False;

__property bool ReadOnly

Description

Set ReadOnly to True to prevent the user from changing the contents of the database field. When ReadOnly is True, the edit control is used only to display the contents of the field. If ReadOnly is False, the user can change the field's value as long as the dataset is in edit mode.


Raize Components 6

TRzDBSpinner.ReadOnly Example
TRzDBSpinner


RzDBStat

RzDBStat File
List of Units

Unit Classes

TRzDBStateStatus | TRzDBStateStatus is a graphical control for displaying the state of a dataset.
TRzDBStatusPane | TRzDBStatusPane is a data-aware graphical control for displaying text from a database table.
TRzStateCaptions |


TRzDBStateStatus.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBStateStatus.DataSource Example
TRzDBStateStatus


Raize Components 6

TRzDBStateStatus Properties
TRzDBStateStatus

Public
Alignment
AutoSize
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
CaptionOffset
DataSource
GlyphAlignment
GlyphOffset
ShowCaption
ShowGlyph
StateCaptions


TRzDBStateStatus.ShowCaption

Determines if caption is visible.

Declaration
property ShowCaption: Boolean default True;

__property bool ShowCaption

Description

Use this property to hide and show the caption of the component.


Raize Components 6

TRzDBStateStatus.ShowCaption Example
TRzDBStateStatus


TRzDBStateStatus.StateCaptions

Specifies strings to be used for state captions.

Declaration
property StateCaptions: TRzStateCaptions;

__property TRzStateCaptions *StateCaptions

Description

Use this property to customize the strings used to identify each state a dataset can be in. This property makes it easy to localize the state captions to different languages.


Raize Components 6

TRzDBStateStatus.StateCaptions Example
TRzDBStateStatus


TRzDBStatusPane.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBStatusPane.DataField Example
TRzDBStatusPane


TRzDBStatusPane.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBStatusPane.DataSource Example
TRzDBStatusPane


TRzDBStatusPane.FieldLabel

Specifies static text to identify database field to user.

Declaration
property FieldLabel: string;

__property AnsiString FieldLabel

Description

Use this property to specify a static text string that is identify the values the TRzDBStatusPane is displaying from the dataset. The FieldLabel string is displayed on the left side of the status pane.


Raize Components 6

TRzDBStatusPane.FieldLabel Example
TRzDBStatusPane


TRzDBStatusPane.FieldLabelColor

Specifies color for FieldLabel.

Declaration
property FieldLabelColor: TColor default clHighlight;

__property Graphics::TColor FieldLabelColor

Description

Use this property to specify what color the text specified in the FieldLabel property will be diplayed in.


Raize Components 6

TRzDBStatusPane.FieldLabelColor Example
TRzDBStatusPane


Raize Components 6

TRzDBStatusPane Properties
TRzDBStatusPane

Public
Alignment
AutoSize
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
CaptionOffset
DataField
DataSource
FieldLabel
FieldLabelColor
ShowHint


TRzStateCaptions

Properties

Unit
RzDBStat

Description

.


TRzStateCaptions.Browse

Declaration
property Browse: string;

__property AnsiString Browse

Description

String used to identify the Browse state.


Raize Components 6

TRzStateCaptions.Browse Example
TRzStateCaptions


TRzStateCaptions.Calculate

Declaration
property Calculate: string;

__property AnsiString Calculate

Description

String used to identify the Calculate state.


Raize Components 6

TRzStateCaptions.Calculate Example
TRzStateCaptions


TRzStateCaptions.Edit

Declaration
property Edit: string;

__property AnsiString Edit

Description

String used to identify the Edit state.


Raize Components 6

TRzStateCaptions.Edit Example
TRzStateCaptions


TRzStateCaptions.Filter

Declaration
property Filter: string;

__property AnsiString Filter

Description

String used to identify the Filter state.


Raize Components 6

TRzStateCaptions.Filter Example
TRzStateCaptions


TRzStateCaptions.Inactive

Declaration
property Inactive: string;

__property AnsiString Inactive

Description

String used to identify the Inactive state.


Raize Components 6

TRzStateCaptions.Inactive Example
TRzStateCaptions


TRzStateCaptions.Insert

Declaration
property Insert: string;

__property AnsiString Insert

Description

String used to identify the Insert state.


Raize Components 6

TRzStateCaptions.Insert Example
TRzStateCaptions


Raize Components 6

TRzStateCaptions Properties
TRzStateCaptions

Public
Browse
Calculate
Edit
Filter
Inactive
Insert
Search


TRzStateCaptions.Search

Declaration
property Search: string;

__property AnsiString Search

Description

String used to identify the Search state.


Raize Components 6

TRzStateCaptions.Search Example
TRzStateCaptions


RzDBTrak

RzDBTrak File
List of Units

Unit Classes

TRzDBTrackBar
TRzDBTrackBar is a data-aware custom slider control for selecting positional values.


TRzDBTrackBar.DataField

Specifies the field in a dataset to which the control maps to.

Declaration
property DataField: string;

__property AnsiString DataField

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

TRzDBTrackBar.DataField Example
TRzDBTrackBar


TRzDBTrackBar.DataSource

Specifies the DataSource component that provides access to the desired data.

Declaration
property DataSource: TDataSource;

__property Db::TDataSource *DataSource

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

TRzDBTrackBar.DataSource Example
TRzDBTrackBar


Raize Components 6

TRzDBTrackBar Properties
TRzDBTrackBar

Public
DataField
DataSource
ReadOnly
Value
Values


TRzDBTrackBar.ReadOnly

Determines if the control allows editing.

Declaration
property ReadOnly: Boolean default False;

__property bool ReadOnly

Description

Set ReadOnly to True to prevent the user from changing the contents of the database field. When ReadOnly is True, the edit control is used only to display the contents of the field. If ReadOnly is False, the user can change the field's value as long as the dataset is in edit mode.


Raize Components 6

TRzDBTrackBar.ReadOnly Example
TRzDBTrackBar


TRzDBTrackBar.Value

Represents the "value" of the selected position.

Declaration
property Value: string;

__property AnsiString Value

Description

For track bars and radio groups, this property represents the current contents of the field for the current record in the dataset. When the user changes the track bar thumb, the Value property changes to the item in the Values string list for that position. The Value property becomes the value of the field for the current record in the dataset.


Raize Components 6

TRzDBTrackBar.Value Example
TRzDBTrackBar


TRzDBTrackBar.Values

Specifies a list of "values" to be associated with each position of the track bar.

Declaration
property Values: TStrings;

__property Classes::TStrings *Values

Description

The Values string list property is populated with the values to be written to the database table. After a set of values have been entered, the Min and Max positions of the track bar are updated according to the number of items in the list box. At run-time, as the user moves the thumb of the track bar, the value from the Values list corresponding to the selected position is stored in the database field.

For example, suppose the Values list contains the items: Small, Medium, Large, X-Large. And the component is attached to a column called ShirtSize. As the user navigates through the table, the track bar thumb moves to the position corresponding to the value item That is, if the record has a ShirtSize of Large, the thumb moves to the 3rd position. Simply drag the thumb to change the shirt size.


Raize Components 6

TRzDBTrackBar.Values Example
TRzDBTrackBar


RzDlgBtn

RzDlgBtn File
List of Units

Unit Classes

TRzDialogButtons
TRzDialogButtons is a compound control containing OK, Cancel, and Help buttons.


TRzDialogButtons.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDialogButtons.About Example
TRzDialogButtons


TRzDialogButtons.ActionCancel

Specifies Action associated with Cancel button.

Declaration
property ActionCancel: TBasicAction;

__property Classes::TBasicAction *ActionCancel

Description

Use this property to connect an Action to the Cancel button.


Raize Components 6

TRzDialogButtons.ActionCancel Example
TRzDialogButtons


TRzDialogButtons.ActionHelp

Specifies Action associated with Help button.

Declaration
property ActionHelp: TBasicAction;

__property Classes::TBasicAction *ActionHelp

Description

Use this property to connect an Action to the Help button.


Raize Components 6

TRzDialogButtons.ActionHelp Example
TRzDialogButtons


TRzDialogButtons.ActionOk

Specifies Action associated with OK button.

Declaration
property ActionOk: TBasicAction;

__property Classes::TBasicAction *ActionOk

Description

Use this property to connect an Action to the OK button.


Raize Components 6

TRzDialogButtons.ActionOk Example
TRzDialogButtons


TRzDialogButtons.Align

Controls the positioning of the control within a container.

Declaration
property Align: TAlign default alBottom;

__property Controls::TAlign Align

Description

Use Align to align a control to the top, bottom, left, or right of a form or panel and have it remain there even if the size of the form, panel, or component that contains the control changes. When the parent is resized, an aligned control also resizes so that it continues to span the top, bottom, left, or right edge of the parent.

For example, to use a panel component with various controls on it as a tool palette, change the panels Align value to alLeft. The value of alLeft for the Align property of the panel guarantees that the tool palette remains on the left side of the form and always equals the client height of the form.

The default value of Align is alNone, which means a control remains where it is positioned on a form or panel.

Tip: If Align is set to alClient, the control fills the entire client area so that it is impossible to select the parent form by clicking on it. In this case, select the parent by selecting the control on the form and pressing Esc, or by using the Object Inspector.

Any number of child components within a single parent can have the same Align value, in which case they stack up along the edge of the parent. The child controls stack up in z-order. To adjust the order in which the controls stack up, drag the controls into their desired positions.

Note: To cause a control to maintain a specified relationship with an edge of its parent, but not necessarily lie along one edge of the parent, use the Anchors property instead.


Raize Components 6

TRzDialogButtons.Align Example
TRzDialogButtons


TRzDialogButtons.ButtonColor

Specifies color of buttons.

Declaration
property ButtonColor: TColor default clBtnFace;

__property Graphics::TColor ButtonColor

Description

Use ButtonColor to change the color of the embedded buttons.


Raize Components 6

TRzDialogButtons.ButtonColor Example
TRzDialogButtons


TRzDialogButtons.CaptionCancel

Specifies Caption for Cancel button.

Declaration
property CaptionCancel: TCaption;

__property AnsiString CaptionCancel

Description

Use this property to specify a custom caption for the Cancel button.


Raize Components 6

TRzDialogButtons.CaptionCancel Example
TRzDialogButtons


TRzDialogButtons.CaptionHelp

Specifies Caption for Help button.

Declaration
property CaptionHelp: TCaption;

__property AnsiString CaptionHelp

Description

Use this property to specify a custom caption for the Help button.


Raize Components 6

TRzDialogButtons.CaptionHelp Example
TRzDialogButtons


TRzDialogButtons.CaptionOK

Specifies Caption for OK button.

Declaration
property CaptionOk: TCaption;

__property AnsiString CaptionOk

Description

Use this property to specify a custom caption for the OK button.


Raize Components 6

TRzDialogButtons.CaptionOK Example
TRzDialogButtons


TRzDialogButtons.EnableCancel

Determines if Cancel button is enabled.

Declaration
property EnableCancel: Boolean default True;

__property bool EnableCancel

Description

Use this property to enable or disable the embedded Cancel button.


Raize Components 6

TRzDialogButtons.EnableCancel Example
TRzDialogButtons


TRzDialogButtons.EnableHelp

Determines if Help button is enabled.

Declaration
property EnableHelp: Boolean default True;

__property bool EnableHelp

Description

Use this property to enable or disable the embedded Help button.


Raize Components 6

TRzDialogButtons.EnableHelp Example
TRzDialogButtons


TRzDialogButtons.EnableOk

Determines if OK button is enabled.

Declaration
property EnableOk: Boolean default True;

__property bool EnableOk

Description

Use this property to enable or disable the embedded OK button.


Raize Components 6

TRzDialogButtons.EnableOk Example
TRzDialogButtons


Raize Components 6

TRzDialogButtons Events
TRzDialogButtons

Public
OnClickCancel
OnClickHelp
OnClickOk


TRzDialogButtons.HighlightColor

Specifies the color used to display a "selected" portion of the control.

Declaration
property HighlightColor: TColor default clHighlight;

__property Graphics::TColor HighlightColor

Description

Use HighlightColor to specify the color to be used to draw a highlighted portion of the control. For radio buttons and check boxes, this would be the check or dot. For page controls and tab controls, this would be the highlight bar at the edge of the tab.


Raize Components 6

TRzDialogButtons.HighlightColor Example
TRzDialogButtons


TRzDialogButtons.HotTrack

Determines if the control changes its appearance as the mouse is moved over the control.

Declaration
property HotTrack: Boolean default False;

__property bool HotTrack

Description

Set HotTrack to True to display an additional border around a control when the mouse is positioned over the control.


Raize Components 6

TRzDialogButtons.HotTrack Example
TRzDialogButtons


TRzDialogButtons.HotTrackColor

Specifies the color to be used when drawing the control in a "hot" state.

Declaration
property HotTrackColor: TColor default clHotLight;

__property Graphics::TColor HotTrackColor

Description

Use HotTrackColor to specify the color to be used when drawing the control in the HotTrack state. That is, when the mouse is positioned over the control.


Raize Components 6

TRzDialogButtons.HotTrackColor Example
TRzDialogButtons


TRzDialogButtons.HotTrackColorType

Determines how the HotTrackColor property value is interpretted by the control.

Declaration
property HotTrackColorType: TRzHotTrackColorType default htctComplement;

Description

Use HotTrackColorType to specify whether or not the HotTrackColor property value should be adjusted when being displayed by the control. There are two possible values for this property as described below. The default value is htctComplement:

Value Meaning

htctComplement The HotTrackColor property value is not used directly when painting the control. Instead, the complement color to the property value is used. For example, if a blue color is specified for the HotTrackColor property, the color displayed by the control will be an orange color. This behavior makes it much easier to define a set of colors that will work well together regardless of the color scheme specified by the user.

htctActual The actual HotTrackColor property value specified in used when painting the control. No adjustments are made to the color. This setting is useful if you wish to use a specific color for hot tracking.


Raize Components 6

TRzDialogButtons.HotTrackColorType Example
TRzDialogButtons


TRzDialogButtons.OKDefault

Determines if OK button is the default.

Declaration
property OKDefault: Boolean default True;

__property bool OKDefault

Description

This property lets a developer control the embedded OK button's Default property. This property is useful if the new TabOnEnter property is used for the other components on the dialog.


Raize Components 6

TRzDialogButtons.OKDefault Example
TRzDialogButtons


TRzDialogButtons.OnClickCancel

Occurs when the embedded Cancel button is clicked by the user.

Declaration
property OnClickCancel: TNotifyEvent;

__property Classes::TNotifyEvent OnClickCancel

Description

This event occurs when the embedded Cancel button is clicked by the user.


Raize Components 6

TRzDialogButtons.OnClickCancel Example
TRzDialogButtons


TRzDialogButtons.OnClickHelp

Occurs when the embedded Help button is clicked by the user.

Declaration
property OnClickHelp: TNotifyEvent;

__property Classes::TNotifyEvent OnClickHelp

Description

This event occurs when the embedded Help button is clicked by the user.


Raize Components 6

TRzDialogButtons.OnClickHelp Example
TRzDialogButtons


TRzDialogButtons.OnClickOk

Occurs when the embedded OK button is clicked by the user.

Declaration
property OnClickOk: TNotifyEvent;

__property Classes::TNotifyEvent OnClickOk

Description

This event occurs when the embedded OK button is clicked by the user.


Raize Components 6

TRzDialogButtons.OnClickOk Example
TRzDialogButtons


Raize Components 6

TRzDialogButtons Properties
TRzDialogButtons

Public
About
ActionCancel
ActionHelp
ActionOk
Align
ButtonColor
CaptionCancel
CaptionHelp
CaptionOK
Color
Ctl3D
DragCursor
DragMode
EnableCancel
EnableHelp
EnableOk
Font
FullRepaint
Height
HighlightColor
HotTrack
HotTrackColor
HotTrackColorType
Locked
OKDefault
ParentColor
ParentFont
ParentShowHint
PopupMenu
ShowCancelButton
ShowDivider
ShowGlyphs
ShowHelpButton
ShowHint
ShowOKButton
TabOrder
TabStop
Visible
WidthCancel
WidthHelp
WidthOk


TRzDialogButtons.ShowCancelButton

Determines if Cancel button is visible.

Declaration
property ShowCancelButton: Boolean default True;

__property bool ShowCancelButton

Description

Use this property to show or hide the Cancel button. By default, the Cancel button is visible.


Raize Components 6

TRzDialogButtons.ShowCancelButton Example
TRzDialogButtons


TRzDialogButtons.ShowDivider

Determines if a divider is displayed between the buttons and the client area of the form.

Declaration
property ShowDivider: Boolean default False;

__property bool ShowDivider

Description

Use this property to show or hide the divider line of a TRzToolbar or TRzDialogButtons component. For toolbars, under 32-bit operating systems, the divider line is on by default. The divider line is a groove that separates the toolbar from the main menu or from other toolbars. For a dialog button panel, the divider separates the buttons from the rest of the form. For TRzDialogButtons, the ShowDivider property is set to False by default.


Raize Components 6

TRzDialogButtons.ShowDivider Example
TRzDialogButtons


TRzDialogButtons.ShowGlyphs

Determines if glyphs are displayed on the buttons.

Declaration
property ShowGlyphs: Boolean default False;

__property bool ShowGlyphs

Description

When ShowGlyphs is True, images are displayed on each button.


Raize Components 6

TRzDialogButtons.ShowGlyphs Example
TRzDialogButtons


TRzDialogButtons.ShowHelpButton

Determines if Help button is visible.

Declaration
property ShowHelpButton: Boolean default False;

__property bool ShowHelpButton

Description

Use this property to show or hide the Help button. By default, the Help button is hidden.


Raize Components 6

TRzDialogButtons.ShowHelpButton Example
TRzDialogButtons


TRzDialogButtons.ShowOKButton

Determines if OK button is visible.

Declaration
property ShowOKButton: Boolean default True;

__property bool ShowOKButton

Description

Use this property to show or hide the OK button. By default, the OK button is visible.


Raize Components 6

TRzDialogButtons.ShowOKButton Example
TRzDialogButtons


TRzDialogButtons.WidthCancel

Specifies width of Cancel button.

Declaration
property WidthCancel: Integer default 75;

__property int WidthCancel

Description

Use this property to specify the width of the Cancel button.


Raize Components 6

TRzDialogButtons.WidthCancel Example
TRzDialogButtons


TRzDialogButtons.WidthHelp

Specifies width of Help button.

Declaration
property WidthHelp: Integer default 75;

__property int WidthHelp

Description

Use this property to specify the width of the Help button.


Raize Components 6

TRzDialogButtons.WidthHelp Example
TRzDialogButtons


TRzDialogButtons.WidthOk

Specifies width of OK button.

Declaration
property WidthOk: Integer default 75;

__property int WidthOk

Description

Use this property to specify the width of the OK button.


Raize Components 6

TRzDialogButtons.WidthOk Example
TRzDialogButtons


RzDTP

RzDTP File
List of Units

Unit Classes

TRzDateTimePicker | TRzDateTimePicker is an enhanced TDateTimePicker.
TRzMonthCalColors |


TRzDateTimePicker.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDateTimePicker.About Example
TRzDateTimePicker


TRzDateTimePicker.CalColors

Declaration
property CalColors: TRzMonthCalColors;

__property TRzMonthCalColors *CalColors

Description

Use the CalColors property to get or set the calendar's background color, month background color, text color, title background color, title text color, and trailing text color.


Raize Components 6

TRzDateTimePicker.CalColors Example
TRzDateTimePicker


TRzDateTimePicker.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clWindow;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzDateTimePicker.Color Example
TRzDateTimePicker


TRzDateTimePicker.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzDateTimePicker.DisabledColor Example
TRzDateTimePicker


TRzDateTimePicker.DropColumns

Declaration
property DropColumns: TRzDTPDropRange default 1;

__property TRzDTPDropRange DropColumns

Description

By default, the drop-down calendar shows a single month. With the new DropColumns and DropRows properties the calendar can show several months at a time. For example, set DropColumns to 3 and DropRows to 2 and the drop down calendar will show 6 months in a 3x2 grid.


Raize Components 6

TRzDateTimePicker.DropColumns Example
TRzDateTimePicker


TRzDateTimePicker.DropRows

Declaration
property DropRows: TRzDTPDropRange default 1;

__property TRzDTPDropRange DropRows

Description

By default, the drop-down calendar shows a single month. With the new DropColumns and DropRows properties the calendar can show several months at a time. For example, set DropColumns to 3 and DropRows to 2 and the drop down calendar will show 6 months in a 3x2 grid.


Raize Components 6

TRzDateTimePicker.DropRows Example
TRzDateTimePicker


Raize Components 6

TRzDateTimePicker Events
TRzDateTimePicker

Public
OnMouseEnter
OnMouseLeave


TRzDateTimePicker.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

TRzDateTimePicker.FlatButtonColor Example
TRzDateTimePicker


TRzDateTimePicker.FlatButtons

Determines if buttons appear flat or raised.

Declaration
property FlatButtons: Boolean default True;

__property bool FlatButtons

Description

This property controls whether or not the buttons embedded in each of these controls appears as a normal 3D button or with the Flat style. When set to True, the buttons appear without any border until the mouse is positioned over the button. For combo boxes, the button appears with a border, when the mouse is positioned anywhere on the control.


Raize Components 6

TRzDateTimePicker.FlatButtons Example
TRzDateTimePicker


TRzDateTimePicker.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzDateTimePicker.FocusColor Example
TRzDateTimePicker


TRzDateTimePicker.Format

Declaration
property Format: string;

__property AnsiString Format

Description

This property lets a developer specify a particular format string and override the Windows default settings. For example, setting Format to M/dd/yyyy is very effective for US users. International user may prefer d/MM/yyyy. Clear this property to restore the format specified for the current locale.

Important Note:

The format specifiers used by the Windows DateTimePicker are different than the format specifiers defined in Delphi and C++Builder. In particular the following table describes the format specifiers for use in these components:

Element Description

d The one- or two-digit day.

dd The two-digit day. Single-digit day values are preceded by a zero.

ddd The three-character weekday abbreviation.

dddd The full weekday name.

h The one- or two-digit hour in 12-hour format.

hh The two-digit hour in 12-hour format. Single-digit values are preceded by a zero.

H The one- or two-digit hour in 24-hour format.

HH The two-digit hour in 24-hour format. Single-digit values are preceded by a zero.

m The one- or two-digit minute.

mm The two-digit minute. Single-digit values are preceded by a zero.

M The one- or two-digit month number.

MM The two-digit month number. Single-digit values are preceded by a zero.

MMM The three-character month abbreviation.

MMMM The full month name.

s The one- or two-digit second.

ss The two-digit second. Single-digit values are preceded by a zero.

t The one-letter AM/PM abbreviation (that is, AM is displayed as "A").

tt The two-letter AM/PM abbreviation (that is, AM is displayed as "AM").

yy The last two digits of the year (that is, 1996 would be displayed as "96").

yyyy The full year (that is, 1996 would be displayed as "1996").


Raize Components 6

TRzDateTimePicker.Format Example
TRzDateTimePicker


TRzDateTimePicker.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzDateTimePicker.FrameColor Example
TRzDateTimePicker


TRzDateTimePicker.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzDateTimePicker.FrameController Example
TRzDateTimePicker


TRzDateTimePicker.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDateTimePicker.FrameHotColor Example
TRzDateTimePicker


TRzDateTimePicker.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDateTimePicker.FrameHotStyle Example
TRzDateTimePicker


TRzDateTimePicker.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzDateTimePicker.FrameHotTrack Example
TRzDateTimePicker


TRzDateTimePicker.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzDateTimePicker.FrameSides Example
TRzDateTimePicker


TRzDateTimePicker.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzDateTimePicker.FrameStyle Example
TRzDateTimePicker


TRzDateTimePicker.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzDateTimePicker.FrameVisible Example
TRzDateTimePicker


TRzDateTimePicker.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzDateTimePicker.FramingPreference Example
TRzDateTimePicker


TRzDateTimePicker.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzDateTimePicker.OnMouseEnter Example
TRzDateTimePicker


TRzDateTimePicker.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzDateTimePicker.OnMouseLeave Example
TRzDateTimePicker


Raize Components 6

TRzDateTimePicker Properties
TRzDateTimePicker

Public
About
CalColors
Color
DisabledColor
DropColumns
DropRows
FirstDayOfWeek
FlatButtonColor
FlatButtons
FocusColor
Format
FrameColor
FrameController
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ShowToday
ShowTodayCircle
ShowWeekNumbers


TRzDateTimePicker.ShowToday

Declaration
property ShowToday: Boolean default False;

__property bool ShowToday

Description

This property determines whether the current date appears at the bottom of the drop down calendar.


Raize Components 6

TRzDateTimePicker.ShowToday Example
TRzDateTimePicker


TRzDateTimePicker.ShowTodayCircle

Declaration
property ShowTodayCircle: Boolean default False;

__property bool ShowTodayCircle

Description

This property determines whether the red, hand-drawn circle appears at the bottom of the drop down calendar.


Raize Components 6

TRzDateTimePicker.ShowTodayCircle Example
TRzDateTimePicker


TRzDateTimePicker.ShowWeekNumbers

Declaration
property ShowWeekNumbers: Boolean default False;

__property bool ShowWeekNumbers

Description

This property determines whether week numbers are shown in the left margin of the drop-down calendar. The week numbers correspond to the number of the week in the current year.


Raize Components 6

TRzDateTimePicker.ShowWeekNumbers Example
TRzDateTimePicker


TRzMonthCalColors

Properties

Unit
RzDTP

Description

.


TRzMonthCalColors.BackColor

Declaration
property BackColor: TColor default clWindow;

__property Graphics::TColor BackColor

Description

Specifies the color to use when drawing the background color.


Raize Components 6

TRzMonthCalColors.BackColor Example
TRzMonthCalColors


TRzMonthCalColors.MonthBackColor

Declaration
property MonthBackColor: TColor default clWindow;

__property Graphics::TColor MonthBackColor

Description

Specifies the color to be used when drawing the background of the month.


Raize Components 6

TRzMonthCalColors.MonthBackColor Example
TRzMonthCalColors


Raize Components 6

TRzMonthCalColors Properties
TRzMonthCalColors

Public
BackColor
MonthBackColor
TextColor
TitleBackColor
TitleTextColor
TrailingTextColor


TRzMonthCalColors.TextColor

Declaration
property TextColor: TColor default clWindowText;

__property Graphics::TColor TextColor

Description

Specifies the color to be used when drawing the day numbers.


Raize Components 6

TRzMonthCalColors.TextColor Example
TRzMonthCalColors


TRzMonthCalColors.TitleBackColor

Declaration
property TitleBackColor: TColor default clActiveCaption;

__property Graphics::TColor TitleBackColor

Description

Specifies the color to be used when drawing the background of the title.


Raize Components 6

TRzMonthCalColors.TitleBackColor Example
TRzMonthCalColors


TRzMonthCalColors.TitleTextColor

Declaration
property TitleTextColor: TColor default clCaptionText;

__property Graphics::TColor TitleTextColor

Description

Specifies the color to be used when drawing the text of the title.


Raize Components 6

TRzMonthCalColors.TitleTextColor Example
TRzMonthCalColors


TRzMonthCalColors.TrailingTextColor

Declaration
property TrailingTextColor: TColor default clGray;

__property Graphics::TColor TrailingTextColor

Description

Specifies the color to be used when drawing trailing text.


Raize Components 6

TRzMonthCalColors.TrailingTextColor Example
TRzMonthCalColors


RzEdit

RzEdit File
List of Units

Unit Classes

TClipboardChangeEvent |
TLineColChangeEvent |
TRzColorEdit | TRzColorEdit is a specialized edit control for selecting colors.
TRzCustomEdit | TRzCustomEdit is the base class for all edit controls in Raize Components.
TRzDateTimeChangeEvent |
TRzDateTimeEdit | TRzDateTimeEdit is a specialized edit control for selecting dates or times.
TRzDTEditType |
TRzEdit | TRzEdit is an enhanced single-line edit control.
TRzExpandEdit | TRzExpandEdit is an enhanced single-line edit control that can dynamically change its size.
TRzHotKeyEdit | TRzHotKeyEdit is an enhanced edit control for entering keystroke combinations.
TRzMaskEdit | TRzMaskEdit is an enhanced TMaskEdit.
TRzMemo | TRzMemo is an enhanced multi-line edit control.
TRzNumericEdit | TRzNumericEdit is a custom edit field for entering numeric values.
TRzRangeErrorEvent |
TRzRichEdit | TRzRichEdit is an enhanced TRichEdit control.
TRzValidateErrorEvent |


TClipboardChangeEvent

Unit
RzEdit

Declaration
TClipboardChangeEvent=procedure(Sender: TObject; HasSelection, HasText: Boolean) of object;

typedef void __fastcall(__closure *TClipboardChangeEvent)(System::TObject *Sender, bool HasSelection, bool HasText);

Description

.


TLineColChangeEvent

Unit
RzEdit

Declaration
TLineColChangeEvent=procedure(Sender: TObject; Line, Column: Integer) of object;

typedef void __fastcall(__closure *TLineColChangeEvent)(System::TObject *Sender, int Line, int Column);

Description

.


TRzColorEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzColorEdit.About Example
TRzColorEdit


TRzColorEdit.ColorDlgOptions

Determines functionality of Color dialog box displayed by control.

Declaration
property ColorDlgOptions: TColorDialogOptions default[cdFullOpen];

__property Dialogs::TColorDialogOptions ColorDlgOptions

Description

Use this property to customize the appearance and functionality of the Color dialog that is displayed when the user selects the Custom color item from the drop down list.


Raize Components 6

TRzColorEdit.ColorDlgOptions Example
TRzColorEdit


TRzColorEdit.CustomColor

Specifies value for color in Custom color entry in drop down panel.

Declaration
property CustomColor: TColor default clWhite;

__property Graphics::TColor CustomColor

Description

This property allows you to specify an initial color value for the Custom color entry in the drop down list. By default, the custom color entry is clBlack until the user selects a new custom color.


Raize Components 6

TRzColorEdit.CustomColor Example
TRzColorEdit


TRzColorEdit.CustomColorCaption

Specifies the caption used in the Custom color area.

Declaration
property CustomColorCaption: string;

__property AnsiString CustomColorCaption

Description

Use CustomColorCaption to specify the caption of the button that displays the custom color dialog box. If empty, the caption is set to "More Colors..."


Raize Components 6

TRzColorEdit.CustomColorCaption Example
TRzColorEdit


TRzColorEdit.CustomColors

Specifies a TRzCustomColors component for storing custom color values.

Declaration
property CustomColors: TRzCustomColors;

__property Rzcommon::TRzCustomColors *CustomColors

Description

Use this property to specify a TRzCustomColors component to be used to manage a list of custom color values to be saved and/or shared with other controls.


Raize Components 6

TRzColorEdit.CustomColors Example
TRzColorEdit


TRzColorEdit.DefaultColor

Specifies the color for the Default area of the drop down panel.

Declaration
property DefaultColor: TColor default clHighlight;

__property Graphics::TColor DefaultColor

Description

This property allows you to specify an initial color value for the Default color entry in the drop down list. By default, the default color entry is clBlack.


Raize Components 6

TRzColorEdit.DefaultColor Example
TRzColorEdit


TRzColorEdit.DefaultColorCaption

Specifies the caption used in the Default color area.

Declaration
property DefaultColorCaption: string;

__property AnsiString DefaultColorCaption

Description

Use DefaultColorCaption to specify the caption of the button that selects the default color. If empty, the caption is set to "Default".


Raize Components 6

TRzColorEdit.DefaultColorCaption Example
TRzColorEdit


Raize Components 6

TRzColorEdit Events
TRzColorEdit

Public


TRzColorEdit.NoColorCaption

Specifies the caption used in the No Color button.

Declaration
property NoColorCaption: string;

__property AnsiString NoColorCaption

Description

Use NoColorCaption to specify the caption of the button that specifies that no color is selected. If empty, the caption is set to "None".


Raize Components 6

TRzColorEdit.NoColorCaption Example
TRzColorEdit


Raize Components 6

TRzColorEdit Properties
TRzColorEdit

Public
About
Align
Anchors
AutoSize
BiDiMode
BorderStyle
CharCase
Color
ColorDlgOptions
Constraints
CustomColor
CustomColorCaption
CustomColors
DefaultColor
DefaultColorCaption
DisabledColor
DragCursor
DragKind
DragMode
DropButtonVisible
Enabled
FlatButtonColor
FlatButtons
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ImeMode
ImeName
NoColorCaption
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
SelectedColor
ShowColorHints
ShowCustomColor
ShowDefaultColor
ShowHint
ShowNoColor
ShowSystemColors
TabOnEnter
TabOrder
TabStop
Visible


TRzColorEdit.SelectedColor

Specifies the currently selected color.

Declaration
property SelectedColor: TColor default clNone;

__property Graphics::TColor SelectedColor

Description

Use this property to obtain the TColor value corresponding to the color item selected in the component. Setting SelectedColor to a TColor value causes the component to change its selection to the corresponding color item. Using this property is much easier than trying to manipulate the ItemIndex property.


Raize Components 6

TRzColorEdit.SelectedColor Example
TRzColorEdit


TRzColorEdit.ShowColorHints

Determines if hints are displayed as user moves mouse over color swatches.

Declaration
property ShowColorHints: Boolean default True;

__property bool ShowColorHints

Description

When ShowColorHints is True, the name of the color is displayed in hint window as the user moves the mouse over the colors.


Raize Components 6

TRzColorEdit.ShowColorHints Example
TRzColorEdit


TRzColorEdit.ShowCustomColor

Determines if Custom color area is displayed in drop down panel.

Declaration
property ShowCustomColor: Boolean default False;

__property bool ShowCustomColor

Description

Use this property to show or hide the Custom color item in the drop down picker. When set to True (by default) the user can select the Custom... item to invoke the color selection dialog box and pick a custom color. When this property is set to False, the item does not appear on the list.


Raize Components 6

TRzColorEdit.ShowCustomColor Example
TRzColorEdit


TRzColorEdit.ShowDefaultColor

Determines if Default color area is displayed in drop down panel.

Declaration
property ShowDefaultColor: Boolean default False;

__property bool ShowDefaultColor

Description

Use this property to show or hide the Default color item in the drop down picker.


Raize Components 6

TRzColorEdit.ShowDefaultColor Example
TRzColorEdit


TRzColorEdit.ShowNoColor

Determines if No Color item is displayed in drop down panel.

Declaration
property ShowNoColor: Boolean default False;

__property bool ShowNoColor

Description

Use this property to show or hide the No Color item in the drop down picker.


Raize Components 6

TRzColorEdit.ShowNoColor Example
TRzColorEdit


TRzColorEdit.ShowSystemColors

Determines if system colors are displayed in drop down panel.

Declaration
property ShowSystemColors: Boolean default False;

__property bool ShowSystemColors

Description

Use this property to instruct a TRzColorEdit or TRzColorPicker component to display color values for all of the Windows defined System colors. For example, clWindow, clBtnFace, and clHighlight.


Raize Components 6

TRzColorEdit.ShowSystemColors Example
TRzColorEdit


TRzCustomEdit

TRzCustomEdit is the base class for all edit controls in Raize Components.

Unit
RzEdit

Declaration
TRzCustomEdit=Class(TCustomMaskEdit);

Description

TRzCustomEdit actually descends from the TCustomMaskEdit control in order to avoid having to duplicate the Custom Framing code in both the non-data-aware version and the data-aware versions. (TDBEdit descends from TCustomMaskEdit.)

Do not create instances of TRzCustomEdit--use TRzEdit or some other descedant.


TRzCustomEdit.Alignment

Determines how the text is aligned within the edit control.

Declaration
property Alignment: TAlignment default taLeftJustify;

__property Classes::TLeftRight Alignment

Description

Use Alignment to change the way the text is formatted by the edit control. Alignment can take one of the following values:

Value Meaning

taLeftJustify Align text to the left side of the control

taRightJustify Align text to the right side of the control.


Raize Components 6

TRzCustomEdit.Alignment Example
TRzCustomEdit


TRzCustomEdit.BeepOnInvalidKey

Determines if a beep is sounded on an invalid key press.

Declaration
property BeepOnInvalidKey: Boolean default True;

Description

This property is used by all Raize Components that provide intuitive keyboard speed searching (i.e. combo boxes and list boxes). If the user presses an invalid key, the BeepOnInvalidKey property determines whether or not a beep is indicated.


Raize Components 6

TRzCustomEdit.BeepOnInvalidKey Example
TRzCustomEdit


TRzCustomEdit.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzCustomEdit.DisabledColor Example
TRzCustomEdit


TRzCustomEdit.DropButtonVisible

Determines if drop-down button is visible within the edit field.

Declaration
property DropButtonVisible: Boolean default False;

__property bool DropButtonVisible

Description

Use DropButtonVisible to show or hide the embedded drop-down button within the edit field. This property is normally False, but for certain descendants such as TRzDateTimeEdit and TRzColorEdit, this property is True.


Raize Components 6

TRzCustomEdit.DropButtonVisible Example
TRzCustomEdit


Raize Components 6

TRzCustomEdit Events
TRzCustomEdit

Public
OnCloseUp
OnDropDown
OnMouseEnter
OnMouseLeave
OnValidateError

Protected
OnCloseUp
OnDropDown
OnMouseEnter
OnMouseLeave
OnValidateError


TRzCustomEdit.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

TRzCustomEdit.FlatButtonColor Example
TRzCustomEdit


TRzCustomEdit.FlatButtons

Determines if buttons appear flat or raised.

Declaration
property FlatButtons: Boolean default False;

__property bool FlatButtons

Description

This property controls whether or not the buttons embedded in each of these controls appears as a normal 3D button or with the Flat style. When set to True, the buttons appear without any border until the mouse is positioned over the button. For combo boxes, the button appears with a border, when the mouse is positioned anywhere on the control.


Raize Components 6

TRzCustomEdit.FlatButtons Example
TRzCustomEdit


TRzCustomEdit.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzCustomEdit.FocusColor Example
TRzCustomEdit


TRzCustomEdit.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzCustomEdit.FrameColor Example
TRzCustomEdit


TRzCustomEdit.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzCustomEdit.FrameController Example
TRzCustomEdit


TRzCustomEdit.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzCustomEdit.FrameControllerNotifications Example
TRzCustomEdit


TRzCustomEdit.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzCustomEdit.FrameHotColor Example
TRzCustomEdit


TRzCustomEdit.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzCustomEdit.FrameHotStyle Example
TRzCustomEdit


TRzCustomEdit.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzCustomEdit.FrameHotTrack Example
TRzCustomEdit


TRzCustomEdit.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzCustomEdit.FrameSides Example
TRzCustomEdit


TRzCustomEdit.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzCustomEdit.FrameStyle Example
TRzCustomEdit


TRzCustomEdit.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzCustomEdit.FrameVisible Example
TRzCustomEdit


TRzCustomEdit.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzCustomEdit.FramingPreference Example
TRzCustomEdit


TRzCustomEdit.OnCloseUp

Occurs when the associated drop-down panel is closed.

Declaration
property OnCloseUp: TNotifyEvent;

Description

This event fires when the associated drop-down panel is closed.


Raize Components 6

TRzCustomEdit.OnCloseUp Example
TRzCustomEdit


TRzCustomEdit.OnDropDown

Occurs when the embedded drop-down button control is clicked.

Declaration
property OnDropDown: TNotifyEvent;

__property Classes::TNotifyEvent OnDropDown

Description

This event fires when the embedded drop-down button is clicked. This allows a developer to be notified when a popup window (e.g. Calendar, TimePicker, ColorPicker) is displayed.


Raize Components 6

TRzCustomEdit.OnDropDown Example
TRzCustomEdit


TRzCustomEdit.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzCustomEdit.OnMouseEnter Example
TRzCustomEdit


TRzCustomEdit.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzCustomEdit.OnMouseLeave Example
TRzCustomEdit


TRzCustomEdit.OnValidateError

Occurs when there is a validation error in the edit mask.

Declaration
property OnValidateError: TRzValidateErrorEvent;

__property TRzValidateErrorEvent OnValidateError

Description

This event fires when a validation error occurs in edit mask. This event allows a developer to specify a custom error message instead of the default exception message defined in the VCL.


Raize Components 6

TRzCustomEdit.OnValidateError Example
TRzCustomEdit


Raize Components 6

TRzCustomEdit Properties
TRzCustomEdit

Protected
Alignment
BeepOnInvalidKey
DisabledColor
DropButtonVisible
FlatButtonColor
FlatButtons
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
TabOnEnter


TRzCustomEdit.ReadOnly

Determines if the text can be edited.

Declaration
property ReadOnly: Boolean default False;

Description

When ReadOnly is True, the control does not allow editing.


Raize Components 6

TRzCustomEdit.ReadOnly Example
TRzCustomEdit


TRzCustomEdit.ReadOnlyColor

Specifies color to be used when the control's ReadOnly property is True.

Declaration
property ReadOnlyColor: TColor default clInfoBk;

Description

Use ReadOnlyColor to read or change the background color of the control when the control's ReadOnly property is set to True.


Raize Components 6

TRzCustomEdit.ReadOnlyColor Example
TRzCustomEdit


TRzCustomEdit.ReadOnlyColorOnFocus

Determines if the ReadOnlyColor value or the FocusColor value is used to highlight a control when that control has the focus and has its ReadOnly property set to True.

Declaration
property ReadOnlyColorOnFocus: Boolean default False;

__property bool ReadOnlyColorOnFocus

Description

This property determines if the ReadOnlyColor or FocusColor is used to color the control when the control has the focus and has its ReadOnly property set to True. By default, a focused control will use the FocusColor even if the control is read-only. Setting ReadOnlyColorOnFocus to True will cause a focused read-only control to be colored using ReadOnlyColor.


Raize Components 6

TRzCustomEdit.ReadOnlyColorOnFocus Example
TRzCustomEdit


TRzCustomEdit.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzCustomEdit.TabOnEnter Example
TRzCustomEdit


TRzDateTimeChangeEvent

Unit
RzEdit

Declaration
TRzDateTimeChangeEvent=procedure(Sender: TObject; DateTime: TDateTime) of object;

Description

.


TRzDateTimeEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDateTimeEdit.About Example
TRzDateTimeEdit


TRzDateTimeEdit.AdjustDay

Declaration
procedure AdjustDay(DeltaDays: Integer);

void __fastcall AdjustDay(int DeltaDays)

Description

Use this method to adjust the day portion of the date currently represented by the control.


Raize Components 6

TRzDateTimeEdit.AdjustDay Example
TRzDateTimeEdit


TRzDateTimeEdit.AdjustHour

Declaration
procedure AdjustHour(DeltaHours: Int64);

void __fastcall AdjustHour(__int64 DeltaHours)

Description

Use this method to adjust the hour portion of the time currently represented by the control.


Raize Components 6

TRzDateTimeEdit.AdjustHour Example
TRzDateTimeEdit


TRzDateTimeEdit.AdjustMinute

Declaration
procedure AdjustMinute(DeltaMinutes: Int64);

void __fastcall AdjustMinute(__int64 DeltaMinutes)

Description

Use this method to adjust the minute portion of the time currently represented by the control.


Raize Components 6

TRzDateTimeEdit.AdjustMinute Example
TRzDateTimeEdit


TRzDateTimeEdit.AdjustMonth

Declaration
procedure AdjustMonth(DeltaMonths: Integer);

void __fastcall AdjustMonth(int DeltaMonths)

Description

Use this method to adjust the month portion of the date currently represented by the control.


Raize Components 6

TRzDateTimeEdit.AdjustMonth Example
TRzDateTimeEdit


TRzDateTimeEdit.AdjustYear

Declaration
procedure AdjustYear(DeltaYears: Integer);

void __fastcall AdjustYear(int DeltaYears)

Description

Use this method to adjust the year portion of the date currently represented by the control.


Raize Components 6

TRzDateTimeEdit.AdjustYear Example
TRzDateTimeEdit


TRzDateTimeEdit.CalendarColors

Specifies various colors of the calendar.

Declaration
property CalendarColors: TRzCalendarColors;

__property Rzpopups::TRzCalendarColors *CalendarColors

Description

Use CalendarColors to change various colors of the calendar display.


Raize Components 6

TRzDateTimeEdit.CalendarColors Example
TRzDateTimeEdit


TRzDateTimeEdit.CalendarElements

Determines visibility of various calendar elements.

Declaration
property CalendarElements: TRzCalendarElements default[ceYear, ceMonth, ceArrows, ceFillDays, ceDaysOfWeek, ceTodayButton, ceClearButton];

__property Rzpopups::TRzCalendarElements CalendarElements

Description

Use Elements to toggle the visibility of various areas of the calendar.


Raize Components 6

TRzDateTimeEdit.CalendarElements Example
TRzDateTimeEdit


TRzDateTimeEdit.CaptionAM

Declaration
property CaptionAM: string;

__property AnsiString CaptionAM

Description

Use CaptionAM to change the caption of the AM radio button. When empty, the caption defaults to "AM".


Raize Components 6

TRzDateTimeEdit.CaptionAM Example
TRzDateTimeEdit


TRzDateTimeEdit.CaptionClearBtn

Specifies caption to be used on Clear button in calendar.

Declaration
property CaptionClearBtn: string;

__property AnsiString CaptionClearBtn

Description

Use CaptionClearBtn to change the caption of the Clear button. When empty, the caption defaults to "Clear".


Raize Components 6

TRzDateTimeEdit.CaptionClearBtn Example
TRzDateTimeEdit


TRzDateTimeEdit.CaptionPM

Declaration
property CaptionPM: string;

__property AnsiString CaptionPM

Description

Use CaptionPM to change the caption of the PM radio button. When empty, the caption defaults to "PM".


Raize Components 6

TRzDateTimeEdit.CaptionPM Example
TRzDateTimeEdit


TRzDateTimeEdit.CaptionSet

Declaration
property CaptionSet: string;

Description

Use CaptionSet to change the caption of the Set button. When empty, the caption defaults to "Set".


Raize Components 6

TRzDateTimeEdit.CaptionSet Example
TRzDateTimeEdit


TRzDateTimeEdit.CaptionTodayBtn

Specifies caption to be used on Today button in calendar.

Declaration
property CaptionTodayBtn: string;

__property AnsiString CaptionTodayBtn

Description

Use CaptionTodayBtn to change the caption of the Today button. When empty, the caption defaults to "Today".


Raize Components 6

TRzDateTimeEdit.CaptionTodayBtn Example
TRzDateTimeEdit


TRzDateTimeEdit.Clear

Declaration
procedure Clear; override;

Description

Use this method to programmatically clear the date/time.


Raize Components 6

TRzDateTimeEdit.Clear Example
TRzDateTimeEdit


TRzDateTimeEdit.ClockFaceColors

Declaration
property ClockFaceColors: TRzClockFaceColors;

__property Rzpopups::TRzClockFaceColors *ClockFaceColors

Description

Use ClockFaceColors to alter the appearance of the clock face.


Raize Components 6

TRzDateTimeEdit.ClockFaceColors Example
TRzDateTimeEdit


TRzDateTimeEdit.Date

Specifies currently selected date.

Declaration
property Date: TDate;

__property TDate Date

Description

This property represents the selected date when EditType is set to etDate.


Raize Components 6

TRzDateTimeEdit.Date Example
TRzDateTimeEdit


TRzDateTimeEdit.DaysToBitmask

Use to create a Bitmask that can be used in handling OnGetBoldDays event.

Declaration
function DaysToBitmask(Days: array of Byte): Cardinal;

unsigned __fastcall DaysToBitmask(const Byte *Days, const int Days_Size)

Description

Use DaysToBitmask when handling the OnGetBoldDays event to specify a set of days to display in bold in the calendar.

For the passed in Year and Month, specify the days to bold in the Bitmask parameter. Use the DaysToBitmask method which takes an array of days (e.g. [ 8, 14, 25 ]) and returns an appropriate bitmask.

For example, the following event handler causes the 15th and 18th of December 2002 to be displayed in bold.

procedure TForm1.RzCalendar1GetBoldDays( Sender: TObject; Year, Month: Word;
var Bitmask: Cardinal );
begin
if ( Month = 12 ) and ( Year = 2002 ) then
Bitmask := RzCalendar1.DaysToBitmask( [ 15, 18 ] );
end;


Raize Components 6

TRzDateTimeEdit.DaysToBitmask Example
TRzDateTimeEdit


TRzDateTimeEdit.EditType

Determines if the control is editing dates or times.

Declaration
property EditType: TRzDTEditType;

__property TRzDTEditType EditType

Description

Set EditType to etDate (the default) to use the edit control to enter dates. Clicking the drop down button displays a TRzCalendar . Set EditType to etTime to use the edit control to enter times. Clicking the drop down button displays a TRzTimePicker .


Raize Components 6

TRzDateTimeEdit.EditType Example
TRzDateTimeEdit


Raize Components 6

TRzDateTimeEdit Events
TRzDateTimeEdit

Public
OnDateTimeChange
OnGetBoldDays
OnGetDayFormat
OnGetWeekNumber
OnInvalidDate
OnViewDateChange


TRzDateTimeEdit.FirstDayOfWeek

Specifies the day of week to be considered first.

Declaration
property FirstDayOfWeek: TRzFirstDayOfWeek default fdowLocale;

__property Rzpopups::TRzFirstDayOfWeek FirstDayOfWeek

Description

Use FirstDayOfWeek to specify the day that is to be considered the first day of the week. The default is dowLocale, which gets its actual value from the locale settings from the operating system.


Raize Components 6

TRzDateTimeEdit.FirstDayOfWeek Example
TRzDateTimeEdit


TRzDateTimeEdit.Format

Determines format of date or time displayed.

Declaration
property Format: string;

__property AnsiString Format

Description

The Format property determines how the current date and time is displayed within the control. The string specified in this property is passed to the standard FormatDateTime procedure. The following are some sample Format values and the corresponding status display:

Format String Output

c 9/15/90 5:18:23 PM

dddddd Saturday, September 15, 1990

m/d/yy 9/15/90

mm/dd/yyy 09/15/1990

t 5:18 PM

hh:nn a/p 05:18 p

h:nn:ss am/pm 5:18:35 pm


Raize Components 6

TRzDateTimeEdit.Format Example
TRzDateTimeEdit


TRzDateTimeEdit.HowToUseMsg

Declaration
property HowToUseMsg: string;

__property AnsiString HowToUseMsg

Description

Use HotToUseMsg to specify a helpful hint that describes how to select time using the left and right mouse buttons.


Raize Components 6

TRzDateTimeEdit.HowToUseMsg Example
TRzDateTimeEdit


TRzDateTimeEdit.MaxDate

Use to specify end of valid date range.

Declaration
property MaxDate: TDateTime;

Description

Use MaxDate to specify the end range of valid dates that can be selected.


Raize Components 6

TRzDateTimeEdit.MaxDate Example
TRzDateTimeEdit


Raize Components 6

TRzDateTimeEdit Methods
TRzDateTimeEdit

Public
AdjustDay
AdjustHour
AdjustMinute
AdjustMonth
AdjustYear
Clear
DaysToBitmask


TRzDateTimeEdit.MinDate

Use to specify start of valid date range.

Declaration
property MinDate: TDateTime;

Description

Use MinDate to specify the start of the range of valid dates that can be selected.


Raize Components 6

TRzDateTimeEdit.MinDate Example
TRzDateTimeEdit


TRzDateTimeEdit.OnDateTimeChange

Declaration
property OnDateTimeChange: TRzDateTimeChangeEvent;

__property TRzDateTimeChangeEvent OnDateTimeChange

Description

This event fires whenever the date/time value in the edit field changes.


Raize Components 6

TRzDateTimeEdit.OnDateTimeChange Example
TRzDateTimeEdit


TRzDateTimeEdit.OnGetBoldDays

Occurs when days need to be displayed in the calendar.

Declaration
property OnGetBoldDays: TRzGetBoldDaysEvent;

__property Rzpopups::TRzGetBoldDaysEvent OnGetBoldDays

Description

Use the OnGetBoldDays event to specify a set of days to display in bold in the calendar.

For the passed in Year and Month, specify the days to bold in the Bitmask parameter. Use the DaysToBitmask method which takes an array of days (e.g. [ 8, 14, 25 ]) and returns an appropriate bitmask.

For example, the following event handler causes the 15th and 18th of December 2002 to be displayed in bold.

procedure TForm1.RzCalendar1GetBoldDays( Sender: TObject; Year, Month: Word;
var Bitmask: Cardinal );
begin
if ( Month = 12 ) and ( Year = 2002 ) then
Bitmask := RzCalendar1.DaysToBitmask( [ 15, 18 ] );
end;


Raize Components 6

TRzDateTimeEdit.OnGetBoldDays Example
TRzDateTimeEdit


TRzDateTimeEdit.OnGetDayFormat

Occurs when days in the calendar need to be displayed.

Declaration
property OnGetDayFormat: TRzGetDayFormatEvent;

Description

This event allows the individual days of the calendar display to be colored and styled differently than the calendar's default formatting. This new event should be used in place of the OnGetBoldDays event. The OnGetBoldDays event is still available, but the new OnGetDayFormat event is much more flexible and powerful.

procedure TFrmWidgets.RzCalendar1GetDayFormat(Sender: TObject;
DayDate: TDateTime; Year, Month, Day: Word; var DayColor,
DayFontColor: TColor; var DayFontStyle: TFontStyles);
var
Y, M, NDOW, DOW: Word;
begin
// If Saturday or Sunday, then highlight the day
if DayOfWeek( DayDate ) in [ 1, 7 ] then
DayColor := $00D2F0F5;

if ( Month = 2 ) and ( Day = 7 ) then
begin
// Highlight Anniversary of Raize Software
DayColor := $008CD2E6;
DayFontColor := $00783C3C;
DayFontStyle := [ fsBold ];
end;

DecodeDayOfWeekInMonth( DayDate, Y, M, NDOW, DOW );
if ( DOW = 5 ) and ( NDOW = 2 ) then
begin
// Bold the 2nd Friday of each month
DayFontStyle := [ fsBold ];
end;

end;


Raize Components 6

TRzDateTimeEdit.OnGetDayFormat Example
TRzDateTimeEdit


TRzDateTimeEdit.OnGetWeekNumber

Occurs when week numbers need to be displayed.

Declaration
property OnGetWeekNumber: TRzGetWeekNumberEvent;

__property TRzGetWeekNumberEvent OnGetWeekNumber

Description

Use the OnGetWeekNumber event to specify an alternate week-numbering scheme when displaying week numbers in the calendar. Simply change the WeekNumber parameter to the desired week number for the specified WeekDate. The default value of WeekNumber is the default week number as determined by the ISO 8601 standard.


Raize Components 6

TRzDateTimeEdit.OnGetWeekNumber Example
TRzDateTimeEdit


TRzDateTimeEdit.OnInvalidDate

Declaration
property OnInvalidDate: TRzInvalidDateEvent;

__property Rzpopups::TRzInvalidDateEvent OnInvalidDate

Description

This event is fired when the user enters an invalid date value (e.g. 4/55/2007) and the control loses keyboard focus. In previous versions, the control would display the "0" date, which is "12/30/1899". Starting with this version, the default behavior in this situation is to blank out the date, which is essentially the same as before except the 12/30/1899 date is not displayed, which is much more noticeable to users.

However, the new OnInvalidDate event gives developers much more control over what happens in this situation. Specifically, OnInvalidDate event handlers are passed 3 variable parameters: KeepFocused, KeepInvalidText, and NewDate. Set KeepFocused to True in the event handler to keep the focus on the control. What appears in the control depends on the other two parameters. Set KeepInvalidText to True to have the control continue to display the invalid text the user entered. When KeepInvalidText is True, it is implied that focus is to be kept on the control. If KeepInvalidText is False, then the NewDate parameter controls what appears to replace the invalid date. By default NewDate is 0, which means the date gets blanked out. Setting NewDate to some other value causes the invalid date to be changed to the date specified, regardless of whether focus stays on the control or not. The OnInvalidDate event handler can also be used to display a message box (or some other indicator) to the user that an invalid date has been entered.


Raize Components 6

TRzDateTimeEdit.OnInvalidDate Example
TRzDateTimeEdit


TRzDateTimeEdit.OnViewDateChange

Declaration
property OnViewDateChange: TRzViewDateChangeEvent;

__property Rzpopups::TRzViewDateChangeEvent OnViewDateChange

Description

This event fires when the month (i.e. view) of the drop-down calendar is changed by the user.


Raize Components 6

TRzDateTimeEdit.OnViewDateChange Example
TRzDateTimeEdit


TRzDateTimeEdit.PopupButtonColor

Specifies color of buttons in popup window.

Declaration
property PopupButtonColor: TColor default clBtnFace;

__property Graphics::TColor PopupButtonColor

Description

Use PopupButtonColor to change the background color of the buttons and header area of the popup calendar or time picker.


Raize Components 6

TRzDateTimeEdit.PopupButtonColor Example
TRzDateTimeEdit


TRzDateTimeEdit.PopupButtonFontColor

Specifies font color of buttons in popup window.

Declaration
property PopupButtonFontColor: TColor default clWindowText;

__property Graphics::TColor PopupButtonFontColor

Description

Use PopupButtonFontColor to change the color of the text that is diplayed on the buttons and header in the popup calendar or time picker.


Raize Components 6

TRzDateTimeEdit.PopupButtonFontColor Example
TRzDateTimeEdit


TRzDateTimeEdit.PopupHeight

Specifies the height the popup window should be when displayed.

Declaration
property PopupHeight: Integer;

__property int PopupHeight

Description

Use this property to override the default size of the popup window when it is displayed. Both the PopupHeight and PopupWidth properties must be non-zero for the overridden value to be used.


Raize Components 6

TRzDateTimeEdit.PopupHeight Example
TRzDateTimeEdit


TRzDateTimeEdit.PopupWidth

Specifies the width the popup window should be when displayed.

Declaration
property PopupWidth: Integer;

__property int PopupWidth

Description

Use this property to override the default size of the popup window when it is displayed. Both the PopupHeight and PopupWidth properties must be non-zero for the overridden value to be used.


Raize Components 6

TRzDateTimeEdit.PopupWidth Example
TRzDateTimeEdit


Raize Components 6

TRzDateTimeEdit Properties
TRzDateTimeEdit

Public
About
Align
Alignment
Anchors
AutoSelect
AutoSize
BeepOnInvalidKey
BiDiMode
BorderStyle
CalendarColors
CalendarElements
CaptionAM
CaptionClearBtn
CaptionPM
CaptionSet
CaptionTodayBtn
CharCase
ClockFaceColors
Color
Constraints
Date
DisabledColor
DragCursor
DragKind
DragMode
DropButtonVisible
EditType
Enabled
FirstDayOfWeek
FlatButtonColor
FlatButtons
FocusColor
Font
Format
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HideSelection
HowToUseMsg
ImeMode
ImeName
MaxDate
MaxLength
MinDate
OEMConvert
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PasswordChar
PopupButtonColor
PopupButtonFontColor
PopupHeight
PopupMenu
PopupWidth
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
RestrictMinutes
ShowHint
ShowHowToUseHint
TabOnEnter
TabOrder
TabStop
Text
Time
TwoDigitYearConverter
Visible


TRzDateTimeEdit.RestrictMinutes

Declaration
property RestrictMinutes: Boolean default False;

__property bool RestrictMinutes

Description

When RestrictMinutes is True, setting the minutes value is restricted to 5 minute values (i.e. 0, 5, 10, 15, etc.).


Raize Components 6

TRzDateTimeEdit.RestrictMinutes Example
TRzDateTimeEdit


TRzDateTimeEdit.ShowHowToUseHint

Declaration
property ShowHowToUseHint: Boolean default True;

__property bool ShowHowToUseHint

Description

When ShowHotToUseHint is True, the hint message specified in HowToUseMsg


Raize Components 6

TRzDateTimeEdit.ShowHowToUseHint Example
TRzDateTimeEdit


TRzDateTimeEdit.Time

Specifies currently selected time.

Declaration
property Time: TTime;

__property TTime Time

Description

This property represents the selected time when EditType is etTime.


Raize Components 6

TRzDateTimeEdit.Time Example
TRzDateTimeEdit


TRzDateTimeEdit.TwoDigitYearConverter

Specifies how 2-digit years are converted to 4-digit years.

Declaration
property TwoDigitYearConverter: TRzTwoDigitYearConverter

Description

Use this property to control how 2-digit years are converted to 4-digit years. The default value is ycStandard, which means that 2-digit years are converted using the TwoDigitYearCenturyWindow value. The ycPastNotFuture value means that a date with a 2-digit year is interpreted as a date in the past rather than the future.

For example, consider entering '3/15/20' (in the U.S.). With the ycStandard converter value, the date gets converted to '3/15/2020'. But with the ycPastNotFuture converter, the converted date is '3/15/1920'. Entry of 4-digit years are that unaffected by this property.


Raize Components 6

TRzDateTimeEdit.TwoDigitYearConverter Example
TRzDateTimeEdit


TRzDTEditType

Unit
RzEdit

Declaration
TRzDTEditType =(etDate, etTime);

enum TRzDTEditType etDate, etTime ;

Description

Value Meaning

etDate:

etTime:


TRzEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzEdit.About Example
TRzEdit


Raize Components 6

TRzEdit Events
TRzEdit

Public


Raize Components 6

TRzEdit Properties
TRzEdit

Public
About
Align
Alignment
Anchors
AutoSelect
AutoSize
BiDiMode
CharCase
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
Enabled
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HideSelection
ImeMode
ImeName
MaxLength
OEMConvert
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PasswordChar
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
ShowHint
TabOnEnter
TabOrder
TabStop
Text
Visible


TRzEdit.Text

Specifies text content of control.

Declaration
property Text: TCaption;

__property AnsiString Text

Description

Use the Text property to read the text of the edit box or specify a new string for the Text value. By default, Text is the string specified in the Name property.


Raize Components 6

TRzEdit.Text Example
TRzEdit


TRzExpandEdit.ExpandedWidth

Specifies expanded width of control.

Declaration
property ExpandedWidth: Integer;

__property int ExpandedWidth

Description

Use this property to specify the width in pixels the edit control should be resized to when in the expanded state.


Raize Components 6

TRzExpandEdit.ExpandedWidth Example
TRzExpandEdit


TRzExpandEdit.ExpandOn

Determines what causes the edit to expand.

Declaration
property ExpandOn: TExpandOnType default etNone;

__property Rzcommon::TExpandOnType ExpandOn

Description

This property defines the event for which the edit control resizes to the width defined by the ExpandedWidth property. The possible values of ExpandOn are:

Value Meaning

etNone Resizing of the edit control is disabled.

etMouseButton2Click Resizing of the edit control occurs when the user clicks the secondary mouse button on the edit control.

etFocus Resizing of the edit control occurs when the control gets the input focus.


Raize Components 6

TRzExpandEdit.ExpandOn Example
TRzExpandEdit


Raize Components 6

TRzExpandEdit Properties
TRzExpandEdit

Public
ExpandedWidth
ExpandOn


TRzHotKeyEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzHotKeyEdit.About Example
TRzHotKeyEdit


TRzHotKeyEdit.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzHotKeyEdit.DisabledColor Example
TRzHotKeyEdit


Raize Components 6

TRzHotKeyEdit Events
TRzHotKeyEdit

Public
OnMouseEnter
OnMouseLeave


TRzHotKeyEdit.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzHotKeyEdit.FocusColor Example
TRzHotKeyEdit


TRzHotKeyEdit.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzHotKeyEdit.FrameColor Example
TRzHotKeyEdit


TRzHotKeyEdit.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzHotKeyEdit.FrameController Example
TRzHotKeyEdit


TRzHotKeyEdit.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzHotKeyEdit.FrameControllerNotifications Example
TRzHotKeyEdit


TRzHotKeyEdit.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzHotKeyEdit.FrameHotColor Example
TRzHotKeyEdit


TRzHotKeyEdit.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzHotKeyEdit.FrameHotStyle Example
TRzHotKeyEdit


TRzHotKeyEdit.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzHotKeyEdit.FrameHotTrack Example
TRzHotKeyEdit


TRzHotKeyEdit.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzHotKeyEdit.FrameSides Example
TRzHotKeyEdit


TRzHotKeyEdit.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzHotKeyEdit.FrameStyle Example
TRzHotKeyEdit


TRzHotKeyEdit.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzHotKeyEdit.FrameVisible Example
TRzHotKeyEdit


TRzHotKeyEdit.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzHotKeyEdit.FramingPreference Example
TRzHotKeyEdit


TRzHotKeyEdit.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzHotKeyEdit.OnMouseEnter Example
TRzHotKeyEdit


TRzHotKeyEdit.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzHotKeyEdit.OnMouseLeave Example
TRzHotKeyEdit


Raize Components 6

TRzHotKeyEdit Properties
TRzHotKeyEdit

Public
About
Color
DisabledColor
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference


TRzMaskEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzMaskEdit.About Example
TRzMaskEdit


Raize Components 6

TRzMaskEdit Events
TRzMaskEdit

Public


Raize Components 6

TRzMaskEdit Properties
TRzMaskEdit

Public
About
Align
Alignment
Anchors
AutoSelect
AutoSize
BiDiMode
CharCase
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
EditMask
Enabled
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HideSelection
ImeMode
ImeName
MaxLength
OEMConvert
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PasswordChar
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
ShowHint
TabOnEnter
TabOrder
TabStop
Text
Visible


TRzMemo.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzMemo.About Example
TRzMemo


TRzMemo.Column

Declaration
property Column: Integer;

__property int Column

Description

This runtime property can be used to get and set the column position of the cursor. The column value is the character position immediately to the right of the cursor. Therefore, when the cursor is positioned at the beginning of a line of text, the Column value is 1.


Raize Components 6

TRzMemo.Column Example
TRzMemo


TRzMemo.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzMemo.DisabledColor Example
TRzMemo


Raize Components 6

TRzMemo Events
TRzMemo

Public
OnClipboardChange
OnLineColChange
OnMouseEnter
OnMouseLeave


TRzMemo.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzMemo.FocusColor Example
TRzMemo


TRzMemo.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzMemo.FrameColor Example
TRzMemo


TRzMemo.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzMemo.FrameController Example
TRzMemo


TRzMemo.FrameControllerNotifcations

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzMemo.FrameControllerNotifcations Example
TRzMemo


TRzMemo.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzMemo.FrameHotColor Example
TRzMemo


TRzMemo.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzMemo.FrameHotStyle Example
TRzMemo


TRzMemo.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzMemo.FrameHotTrack Example
TRzMemo


TRzMemo.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzMemo.FrameSides Example
TRzMemo


TRzMemo.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzMemo.FrameStyle Example
TRzMemo


TRzMemo.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzMemo.FrameVisible Example
TRzMemo


TRzMemo.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzMemo.FramingPreference Example
TRzMemo


TRzMemo.JumpTo
TRzMemo Methods

Declaration
procedure JumpTo(ALine, ACol: Integer);

void __fastcall JumpTo(int ALine, int ACol)

Description

This method provides a quick way to position the cursor position anywhere within the memo component.


Raize Components 6

TRzMemo.JumpTo Example
TRzMemo


TRzMemo.Line

Declaration
property Line: Integer;

__property int Line

Description

This runtime property can be used to get and set the line position of the cursor. The line value is one greater than the line index. Therefore, when the cursor is positioned on the top line of text, the Line value is 1.


Raize Components 6

TRzMemo.Line Example
TRzMemo


Raize Components 6

TRzMemo Methods
TRzMemo

Public
JumpTo


TRzMemo.OnClipboardChange

Declaration
property OnClipboardChange: TClipboardChangeEvent;

__property TClipboardChangeEvent OnClipboardChange

Description

This event occurs whenever the text selection changes in the memo component. The HasSelection parameter to the event handler indicates whether text is actually selected in the memo. The HasText parameter indicates whether the clipboard contains text that could be pasted into the memo. This event provides an easy way to update the status of controls that implements the Cut, Copy, and Paste clipboard commands.


Raize Components 6

TRzMemo.OnClipboardChange Example
TRzMemo


TRzMemo.OnLineColChange

Declaration
property OnLineColChange: TLineColChangeEvent;

__property TLineColChangeEvent OnLineColChange

Description

This event occurs whenever the cursor position in the memo changes. The Line and Column parameters to the event handler indicate the new cursor position.


Raize Components 6

TRzMemo.OnLineColChange Example
TRzMemo


TRzMemo.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzMemo.OnMouseEnter Example
TRzMemo


TRzMemo.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzMemo.OnMouseLeave Example
TRzMemo


Raize Components 6

TRzMemo Properties
TRzMemo

Public
About
Color
Column
DisabledColor
FocusColor
FrameColor
FrameController
FrameControllerNotifcations
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
Line
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
TabOnEnter


TRzMemo.ReadOnly

Declaration
property ReadOnly:Boolean default False;

Description

When ReadOnly is True, the control does not allow editing.


Raize Components 6

TRzMemo.ReadOnly Example
TRzMemo


TRzMemo.ReadOnlyColor

Specifies color to be used when the control's ReadOnly property is True.

Declaration
property ReadOnlyColor: TColor default clInfoBk;

Description

Use ReadOnlyColor to read or change the background color of the control when the control's ReadOnly property is set to True.


Raize Components 6

TRzMemo.ReadOnlyColor Example
TRzMemo


TRzMemo.ReadOnlyColorOnFocus

Determines if the ReadOnlyColor value or the FocusColor value is used to highlight a control when that control has the focus and has its ReadOnly property set to True.

Declaration
property ReadOnlyColorOnFocus: Boolean default False;

__property bool ReadOnlyColorOnFocus

Description

This property determines if the ReadOnlyColor or FocusColor is used to color the control when the control has the focus and has its ReadOnly property set to True. By default, a focused control will use the FocusColor even if the control is read-only. Setting ReadOnlyColorOnFocus to True will cause a focused read-only control to be colored using ReadOnlyColor.


Raize Components 6

TRzMemo.ReadOnlyColorOnFocus Example
TRzMemo


TRzMemo.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzMemo.TabOnEnter Example
TRzMemo


TRzNumericEdit.AllowBlank

Specifies that the edit control may be empty.

Declaration
property AllowBlank: Boolean default False;

__property bool AllowBlank

Description

Set the AllowBlank property to True to allow an empty edit field. If the edit field is empty and AllowBlank is True, when you try to get the value of the edit, the value specified in BlankValue is returned.


Raize Components 6

TRzNumericEdit.AllowBlank Example
TRzNumericEdit


TRzNumericEdit.AllowScientificNotation

Controls whether or not the control allow numbers to be entered in scientific notation.

Declaration
property AllowScientificNotation: Boolean default True;

__property bool AllowScientificNotation

Description

When set to True (the default), the control allows entering "E" and "e" to specify a number in scientific notation. Setting this property to False, prevents the control from accepting "E" and "e" during data-entry and parsing.


Raize Components 6

TRzNumericEdit.AllowScientificNotation Example
TRzNumericEdit


TRzNumericEdit.BlankValue

Specifies how a blank (empty) field is interpretted.

Declaration
property BlankValue: Extended;

__property Extended BlankValue

Description

Set the AllowBlank property to True to allow an empty edit field. If the edit field is empty and AllowBlank is True, when you try to get the value of the edit, the value specified in BlankValue is returned.


Raize Components 6

TRzNumericEdit.BlankValue Example
TRzNumericEdit


TRzNumericEdit.CheckRange

Determines if range checking is performed.

Declaration
property CheckRange: Boolean default False;

__property bool CheckRange

Description

This property is used in the situation where the Min and Max properties are equal. Setting both Min and Max to the same value can be interpreted in two different ways. The first is when CheckRange is False. In this case, there is no range on the values that can be entered into the component. If CheckRange is set to True, then only the value represented by Min and Max can be entered into the component.


Raize Components 6

TRzNumericEdit.CheckRange Example
TRzNumericEdit


TRzNumericEdit.DisplayFormat

Declaration
property DisplayFormat: string;

__property AnsiString DisplayFormat

Description

Use this property to control how the edit field displays the numeric value it contains. By default, the format string is set to ',0;(,0)'. The possible format strings are those that can be passed to the standard FormatFloat method.


Raize Components 6

TRzNumericEdit.DisplayFormat Example
TRzNumericEdit


Raize Components 6

TRzNumericEdit Events
TRzNumericEdit

Public
OnRangeError


TRzNumericEdit.IntegersOnly

Declaration
property IntegersOnly: Boolean default True;

__property bool IntegersOnly

Description

Set this property to True to restrict values to Integers. If keyboard entry is allowed via AllowKeyEdit, the user is not allowed to enter a decimal point. Therefore, the Decimals property has no effect when IntegersOnly is True.


Raize Components 6

TRzNumericEdit.IntegersOnly Example
TRzNumericEdit


TRzNumericEdit.IntValue

Represents the Integer value currently represented by the control.

Declaration
property IntValue: Integer;

__property int IntValue

Description

Use this property to retrieve the Value property converted to an Integer value. Since the Value property is a floating point number, using it in an Integer calculation will result in type-mismatch errors. The IntValue property eliminates the need to perform the typecast.


Raize Components 6

TRzNumericEdit.IntValue Example
TRzNumericEdit


TRzNumericEdit.Max

Specifies a maximum value for a range.

Declaration
property Max: Extended;

__property Extended Max

Description

For track bars, use this property to specify the maximum position along the track.

For spin edits and numeric edits, use this property to specify the maximum value that can be entered.


Raize Components 6

TRzNumericEdit.Max Example
TRzNumericEdit


TRzNumericEdit.Min

Specifies a minimum value for a range.

Declaration
property Min: Extended;

__property Extended Min

Description

For track bars, use this property to specify the minimum position along the track.

For spin edits, use this property to specify the minimum value that can be entered.


Raize Components 6

TRzNumericEdit.Min Example
TRzNumericEdit


TRzNumericEdit.OnRangeError
TRzNumericEdit Events

Occurs when a value exceeds the specified range.

Declaration
property OnRangeError: TRzRangeErrorEvent;

__property TRzRangeErrorEvent OnRangeError

Description

Occurs when the focus leaves the field and the value entered by the user exceeds the bounds defined by the Min and Max properties. An OnRangeError event handler receives 3 parameters in addition to Sender: EnteredValue, AdjustedValue, and AutoCorrect.

EnteredValue is the value the user entered, and AdjustedValue is the value the control wants to change it to (within the bounds of Min..Max). AutoCorrect defaults to True and means that the value of the control will indeed be changed to the AdjustedValue.

If the AutoCorrect parameter is set to False in an event handler, then the input focus is kept at the edit field. As such, clicking a Cancel button in a dialog box with the focus currently in a numeric edit with a value outside the specified range will not close the dialog box because the focus will be returned back the numeric edit. To handle this, the developer will need to set a flag that indicates that the cancel button is being clicked so as not to set AutoCorrect to False in the event handler.


Raize Components 6

TRzNumericEdit.OnRangeError Example
TRzNumericEdit


Raize Components 6

TRzNumericEdit Properties
TRzNumericEdit

Public
Alignment
AllowBlank
AllowScientificNotation
BeepOnInvalidKey
BlankValue
CheckRange
DisplayFormat
IntegersOnly
IntValue
Max
Min
Text
Value


TRzNumericEdit.Value

Declaration
property Value: Extended;

__property Extended Value

Description

The property represents the numeric value entered into the control.


Raize Components 6

TRzNumericEdit.Value Example
TRzNumericEdit


TRzRangeErrorEvent

Unit
RzEdit

Declaration
TRzRangeErrorEvent=procedure(Sender: TObject; EnteredValue, AdjustedValue: Extended; var AutoCorrect: Boolean) of object;

typedef void __fastcall (__closure *TRzRangeErrorEvent)(System::TObject* Sender, Extended EnteredValue, Extended AdjustedValue, bool &AutoCorrect);

Description

.


TRzRichEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzRichEdit.About Example
TRzRichEdit


TRzRichEdit.Column

Declaration
property Column: Integer;

__property int Column

Description

This runtime property can be used to get and set the column position of the cursor. The column value is the character position immediately to the right of the cursor. Therefore, when the cursor is positioned at the beginning of a line of text, the Column value is 1.


Raize Components 6

TRzRichEdit.Column Example
TRzRichEdit


TRzRichEdit.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzRichEdit.DisabledColor Example
TRzRichEdit


Raize Components 6

TRzRichEdit Events
TRzRichEdit

Public
OnClipboardChange
OnLineColChange
OnMouseEnter
OnMouseLeave


TRzRichEdit.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzRichEdit.FocusColor Example
TRzRichEdit


TRzRichEdit.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzRichEdit.FrameColor Example
TRzRichEdit


TRzRichEdit.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzRichEdit.FrameController Example
TRzRichEdit


TRzRichEdit.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzRichEdit.FrameControllerNotifications Example
TRzRichEdit


TRzRichEdit.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzRichEdit.FrameHotColor Example
TRzRichEdit


TRzRichEdit.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzRichEdit.FrameHotStyle Example
TRzRichEdit


TRzRichEdit.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzRichEdit.FrameHotTrack Example
TRzRichEdit


TRzRichEdit.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzRichEdit.FrameSides Example
TRzRichEdit


TRzRichEdit.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzRichEdit.FrameStyle Example
TRzRichEdit


TRzRichEdit.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzRichEdit.FrameVisible Example
TRzRichEdit


TRzRichEdit.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzRichEdit.FramingPreference Example
TRzRichEdit


TRzRichEdit.JumpTo
TRzRichEdit Methods

Declaration
procedure JumpTo(ALine, ACol: Integer);

void __fastcall JumpTo(int ALine, int ACol)

Description

This method provides a quick way to position the cursor position anywhere within the memo component.


Raize Components 6

TRzRichEdit.JumpTo Example
TRzRichEdit


TRzRichEdit.Line

Declaration
property Line: Integer;

__property int Line

Description

This runtime property can be used to get and set the line position of the cursor. The line value is one greater than the line index. Therefore, when the cursor is positioned on the top line of text, the Line value is 1.


Raize Components 6

TRzRichEdit.Line Example
TRzRichEdit


Raize Components 6

TRzRichEdit Methods
TRzRichEdit

Public
JumpTo


TRzRichEdit.OnClipboardChange

Declaration
property OnClipboardChange: TClipboardChangeEvent;

__property TClipboardChangeEvent OnClipboardChange

Description

This event occurs whenever the text selection changes in the memo component. The HasSelection parameter to the event handler indicates whether text is actually selected in the memo. The HasText parameter indicates whether the clipboard contains text that could be pasted into the memo. This event provides an easy way to update the status of controls that implements the Cut, Copy, and Paste clipboard commands.


Raize Components 6

TRzRichEdit.OnClipboardChange Example
TRzRichEdit


TRzRichEdit.OnLineColChange

Declaration
property OnLineColChange: TLineColChangeEvent;

__property TLineColChangeEvent OnLineColChange

Description

This event occurs whenever the cursor position in the memo changes. The Line and Column parameters to the event handler indicate the new cursor position.


Raize Components 6

TRzRichEdit.OnLineColChange Example
TRzRichEdit


TRzRichEdit.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzRichEdit.OnMouseEnter Example
TRzRichEdit


TRzRichEdit.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzRichEdit.OnMouseLeave Example
TRzRichEdit


Raize Components 6

TRzRichEdit Properties
TRzRichEdit

Public
About
Color
Column
DisabledColor
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
Line
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
TabOnEnter


TRzRichEdit.ReadOnly

Declaration
property ReadOnly: Boolean default False;

Description

When ReadOnly is True, the control does not allow editing.


Raize Components 6

TRzRichEdit.ReadOnly Example
TRzRichEdit


TRzRichEdit.ReadOnlyColor

Specifies color to be used when the control's ReadOnly property is True.

Declaration
property ReadOnlyColor: TColor default clInfoBk;

Description

Use ReadOnlyColor to read or change the background color of the control when the control's ReadOnly property is set to True.


Raize Components 6

TRzRichEdit.ReadOnlyColor Example
TRzRichEdit


TRzRichEdit.ReadOnlyColorOnFocus

Determines if the ReadOnlyColor value or the FocusColor value is used to highlight a control when that control has the focus and has its ReadOnly property set to True.

Declaration
property ReadOnlyColorOnFocus: Boolean default False;

__property bool ReadOnlyColorOnFocus

Description

This property determines if the ReadOnlyColor or FocusColor is used to color the control when the control has the focus and has its ReadOnly property set to True. By default, a focused control will use the FocusColor even if the control is read-only. Setting ReadOnlyColorOnFocus to True will cause a focused read-only control to be colored using ReadOnlyColor.


Raize Components 6

TRzRichEdit.ReadOnlyColorOnFocus Example
TRzRichEdit


TRzRichEdit.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzRichEdit.TabOnEnter Example
TRzRichEdit


TRzValidateErrorEvent

Unit
RzEdit

Declaration
TRzValidateErrorEvent=procedure(Sender: TObject; var ErrorMsg: string)of object;

Description

.


RzFilSys

RzFilSys File
List of Units

Unit Classes

TDriveTypes |
TNetworkVolumeFormat |
TRzDirectoryListBox | TRzDirectoryListBox is a specialized list box aware of the directory structure of the current drive.
TRzDirectoryTree | TRzDirectoryTree is a specialized tree view that allows a user to navigate through the *file* system.
TRzDriveComboBox | TRzDriveComboBox is a specialized combo box for selecting drives from the users file system.
TRzFileListBox | TRzFileListBox is an specialized list box for displaying files in a specified directory.


TDriveTypes

Unit
RzFilSys

Declaration
TDriveTypes=set of TDriveType;

Description

.


TNetworkVolumeFormat

Unit
RzFilSys

Declaration
TNetworkVolumeFormat=(nvfExplorer, nvfUNC, nvfVolumeOnly);

enum TNetworkVolumeFormat nvfExplorer, nvfUNC, nvfVolumeOnly ;

Description

.


TRzDirectoryListBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__propertyRzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDirectoryListBox.About Example
TRzDirectoryListBox


TRzDirectoryListBox.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clWindow;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzDirectoryListBox.Color Example
TRzDirectoryListBox


TRzDirectoryListBox.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__propertyGraphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzDirectoryListBox.DisabledColor Example
TRzDirectoryListBox


Raize Components 6

TRzDirectoryListBox Events
TRzDirectoryListBox

Public
OnMouseEnter
OnMouseLeave


TRzDirectoryListBox.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__propertyGraphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzDirectoryListBox.FocusColor Example
TRzDirectoryListBox


TRzDirectoryListBox.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzDirectoryListBox.FrameColor Example
TRzDirectoryListBox


TRzDirectoryListBox.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__propertyRzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzDirectoryListBox.FrameController Example
TRzDirectoryListBox


TRzDirectoryListBox.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDirectoryListBox.FrameHotColor Example
TRzDirectoryListBox


TRzDirectoryListBox.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDirectoryListBox.FrameHotStyle Example
TRzDirectoryListBox


TRzDirectoryListBox.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__propertybool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzDirectoryListBox.FrameHotTrack Example
TRzDirectoryListBox


TRzDirectoryListBox.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzDirectoryListBox.FrameSides Example
TRzDirectoryListBox


TRzDirectoryListBox.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzDirectoryListBox.FrameStyle Example
TRzDirectoryListBox


TRzDirectoryListBox.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzDirectoryListBox.FrameVisible Example
TRzDirectoryListBox


TRzDirectoryListBox.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzDirectoryListBox.FramingPreference Example
TRzDirectoryListBox


TRzDirectoryListBox.LongDirName

Declaration
property LongDirName: string;

__property AnsiString LongDirName

Description

Use this property to obtain the long version of the currently selected directory name in a TRzDirectoryListBox component.


Raize Components 6

TRzDirectoryListBox.LongDirName Example
TRzDirectoryListBox


TRzDirectoryListBox.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzDirectoryListBox.OnMouseEnter Example
TRzDirectoryListBox


TRzDirectoryListBox.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzDirectoryListBox.OnMouseLeave Example
TRzDirectoryListBox


Raize Components 6

TRzDirectoryListBox Properties
TRzDirectoryListBox

Public
About
Color
DisabledColor
FocusColor
FrameColor
FrameController
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
LongDirName


TRzDirectoryTree.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDirectoryTree.About Example
TRzDirectoryTree


TRzDirectoryTree.CreateNewDir

Declaration
procedure CreateNewDir(NewDirName: string; PlaceInEditMode: Boolean);

void __fastcall CreateNewDir(AnsiString NewDirName, bool PlaceInEditMode)

Description

Use this method to create a new directory as a sub-directory of the currently selected node.


Raize Components 6

TRzDirectoryTree.CreateNewDir Example
TRzDirectoryTree


TRzDirectoryTree.Directory

Declaration
property Directory: string;

__property AnsiString Directory

Description

This property provides runtime access to the directory currently selected in the component.


Raize Components 6

TRzDirectoryTree.Directory Example
TRzDirectoryTree


TRzDirectoryTree.DirLabel

Declaration
property DirLabel: TLabel;

__property Stdctrls::TLabel *DirLabel

Description

Use this property to specify a TLabel control to be updated with the currently selected directory.


Raize Components 6

TRzDirectoryTree.DirLabel Example
TRzDirectoryTree


TRzDirectoryTree.Drive

Declaration
property Drive: Char;

__property char Drive

Description

Use this property to determine the current drive being represented in the component's display.


Raize Components 6

TRzDirectoryTree.Drive Example
TRzDirectoryTree


TRzDirectoryTree.DriveTypes

Declaration
property DriveTypes: TDriveTypes default[dtUnknown, dtFloppy, dtFixed, dtNetwork, dtCDROM, dtRAM];

__property TDriveTypes DriveTypes

Description

This set property allows you to select which types of drives will show up in the list.


Raize Components 6

TRzDirectoryTree.DriveTypes Example
TRzDirectoryTree


Raize Components 6

TRzDirectoryTree Events
TRzDirectoryTree

Public
OnDeletion
OnDriveChange


TRzDirectoryTree.FileList

Declaration
property FileList: TRzFileListBox;

__property TRzFileListBox *FileList

Description

Use FileList to specify a file list box in which to display the files of the current directory.


Raize Components 6

TRzDirectoryTree.FileList Example
TRzDirectoryTree


TRzDirectoryTree.GetNodeFromPath

This method returns a reference to the node that corresponds to the passed in path.

Declaration
function GetNodeFromPath(Path: string): TTreeNode;

Comctrls::TTreeNode *__fastcall GetNodeFromPath(AnsiString Path)

Description

This method returns a reference to the node that corresponds to the passed in path. A path is a string containing the captions of each node in the parent node chain separated by ' haracters.


Raize Components 6

TRzDirectoryTree.GetNodeFromPath Example
TRzDirectoryTree


TRzDirectoryTree.GetPathFromNode

This method returns the path that locates the passed in node.

Declaration
function GetPathFromNode(Node: TTreeNode): string;

AnsiString __fastcall GetPathFromNode(Comctrls::TTreeNode *Node)

Description

This method returns the path that locates the passed in node. A path is a string containing the captions of each node in the parent node chain separated by ' haracters.


Raize Components 6

TRzDirectoryTree.GetPathFromNode Example
TRzDirectoryTree


Raize Components 6

TRzDirectoryTree Methods
TRzDirectoryTree

Public
CreateNewDir
GetNodeFromPath
GetPathFromNode
RefreshTree
UpOneLevel


TRzDirectoryTree.NetworkVolumeFormat

Declaration
property NetworkVolumeFormat: TNetworkVolumeFormat default nvfExplorer;

__property TNetworkVolumeFormat NetworkVolumeFormat

Description

This property determines how volume names for network drive mappings appear in the directory tree. Specifically, the possible values are nvfExplorer (the defalut), nvfUNC, and nvfVolumeOnly.

Value Description

nvfExplorer Volumes appear in the same format as Windows Explorer (eg. System on 'Comp1' (K:) ).

nvfUNC UNC naming convention is used (eg. (K:) ).

nvfVolumeOnly Only the volume name is displayed (eg. System (K:) ).


Raize Components 6

TRzDirectoryTree.NetworkVolumeFormat Example
TRzDirectoryTree


TRzDirectoryTree.OnDeletion

Declaration
property OnDeletion: TTVExpandedEvent;

__property Comctrls::TTVExpandedEvent OnDeletion

Description

Write an OnDeletion event handler to respond when an item in the list is about to be deleted. The Item parameter is the TListItem object from the Items property that is about to be deleted.


Raize Components 6

TRzDirectoryTree.OnDeletion Example
TRzDirectoryTree


TRzDirectoryTree.OnDriveChange

Declaration
property OnDriveChange: TNotifyEvent;

__property Classes::TNotifyEvent OnDriveChange

Description

This event occurs whenever the user switches to a different drive in the tree view.


Raize Components 6

TRzDirectoryTree.OnDriveChange Example
TRzDirectoryTree


TRzDirectoryTree.OpenCurrentDir

Declaration
property OpenCurrentDir: Boolean default False;

__property bool OpenCurrentDir

Description

When this property is set to True, the current directory is automatically selected in the directory tree. When this property is set to False (the default), the root directory of the current drive is selected.


Raize Components 6

TRzDirectoryTree.OpenCurrentDir Example
TRzDirectoryTree


Raize Components 6

TRzDirectoryTree Properties
TRzDirectoryTree

Public
About
Align
Anchors
AutoExpand
AutoSelect
BiDiMode
BorderStyle
BorderWidth
ChangeDelay
Color
Constraints
Ctl3D
Directory
DirLabel
DisabledColor
DragCursor
DragKind
DragMode
Drive
DriveTypes
Enabled
FileList
FocusColor
Font
FrameColor
FrameController
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
Height
HideSelection
HotTrack
Indent
NetworkVolumeFormat
OpenCurrentDir
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
RightClickSelect
RowSelect
SelectionPen
ShowButtons
ShowHiddenDirs
ShowHint
ShowLines
StateImages
TabOrder
TabStop
ToolTips
Visible
Width


TRzDirectoryTree.RefreshTree

Declaration
procedure RefreshTree;

virtual void __fastcall RefreshTree(void)

Description

Call this method to force the component to refresh its display by re-reading the directory structure.


Raize Components 6

TRzDirectoryTree.RefreshTree Example
TRzDirectoryTree


TRzDirectoryTree.ShowHiddenDirs

Declaration
property ShowHiddenDirs: Boolean default False;

__property bool ShowHiddenDirs

Description

This property controls whether or not the tree view displays directories with the faHidden attribute set.


Raize Components 6

TRzDirectoryTree.ShowHiddenDirs Example
TRzDirectoryTree


TRzDirectoryTree.UpOneLevel

Declaration
procedure UpOneLevel;

void __fastcall UpOneLevel(void)

Description

Use this method to programmatically move up one level in the directory tree.


Raize Components 6

TRzDirectoryTree.UpOneLevel Example
TRzDirectoryTree


TRzDriveComboBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzDriveComboBox.About Example
TRzDriveComboBox


TRzDriveComboBox.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clWindow;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzDriveComboBox.Color Example
TRzDriveComboBox


TRzDriveComboBox.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzDriveComboBox.DisabledColor Example
TRzDriveComboBox


TRzDriveComboBox.DriveTypes

Declaration
property DriveTypes: TDriveTypes default[dtFloppy, dtFixed, dtNetwork, dtCDROM, dtRAM];

__property TDriveTypes DriveTypes

Description

This set property allows you to select which types of drives will show up in the list.


Raize Components 6

TRzDriveComboBox.DriveTypes Example
TRzDriveComboBox


Raize Components 6

TRzDriveComboBox Events
TRzDriveComboBox

Public
OnMouseEnter
OnMouseLeave


TRzDriveComboBox.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

TRzDriveComboBox.FlatButtonColor Example
TRzDriveComboBox


TRzDriveComboBox.FlatButtons

Determines if buttons appear flat or raised.

Declaration
property FlatButtons: Boolean default True;

__property bool FlatButtons

Description

This property controls whether or not the buttons embedded in each of these controls appears as a normal 3D button or with the Flat style. When set to True, the buttons appear without any border until the mouse is positioned over the button. For combo boxes, the button appears with a border, when the mouse is positioned anywhere on the control.


Raize Components 6

TRzDriveComboBox.FlatButtons Example
TRzDriveComboBox


TRzDriveComboBox.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzDriveComboBox.FocusColor Example
TRzDriveComboBox


TRzDriveComboBox.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzDriveComboBox.FrameColor Example
TRzDriveComboBox


TRzDriveComboBox.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzDriveComboBox.FrameController Example
TRzDriveComboBox


TRzDriveComboBox.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDriveComboBox.FrameHotColor Example
TRzDriveComboBox


TRzDriveComboBox.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzDriveComboBox.FrameHotStyle Example
TRzDriveComboBox


TRzDriveComboBox.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzDriveComboBox.FrameHotTrack Example
TRzDriveComboBox


TRzDriveComboBox.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzDriveComboBox.FrameSides Example
TRzDriveComboBox


TRzDriveComboBox.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzDriveComboBox.FrameStyle Example
TRzDriveComboBox


TRzDriveComboBox.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzDriveComboBox.FrameVisible Example
TRzDriveComboBox


TRzDriveComboBox.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzDriveComboBox.FramingPreference Example
TRzDriveComboBox


TRzDriveComboBox.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzDriveComboBox.OnMouseEnter Example
TRzDriveComboBox


TRzDriveComboBox.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzDriveComboBox.OnMouseLeave Example
TRzDriveComboBox


Raize Components 6

TRzDriveComboBox Properties
TRzDriveComboBox

Public
About
Align
Color
DisabledColor
DriveTypes
FlatButtonColor
FlatButtons
FocusColor
FrameColor
FrameController
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference


TRzFileListBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzFileListBox.About Example
TRzFileListBox


TRzFileListBox.AllowOpen

Declaration
property AllowOpen: Boolean default False;

__property bool AllowOpen

Description

Use this property to specify what happens when a file in the list box is double-clicked. When this property is set to True, the list box will attempt to start the application associated with the file and open the selected the file. When AllowOpen is False, double-clicking on a file does nothing.


Raize Components 6

TRzFileListBox.AllowOpen Example
TRzFileListBox


TRzFileListBox.ApplyFilePath

Declaration
procedure ApplyFilePath(const Value: string);

virtual void __fastcall ApplyFilePath(const AnsiString Value)

Description

Call ApplyFilePath to change the Directory, Drive, FileName, and Mask properties so that they match the values implied by the EditText parameter. For example, if an edit control is linked to the file list box using the FileEdit property, call ApplyFilePath from the OnChange event handler of the edit control to update the file list box whenever the user types a value in the edit control.

ApplyFilePath updates the Mask property only if the EditText parameter includes wildcards. If the form contains a TDirectoryListBox object that specifies this file list box object in its FileList property, the Directory and Drive properties of the directory list box object are updated as well. If the form also includes a TDriveComboBox object that specifies the directory list box in its DirList property, the Drive property of the drive combo box will also be updated. However, the Mask property of any TFilterComboBox will not be updated.


Raize Components 6

TRzFileListBox.ApplyFilePath Example
TRzFileListBox


TRzFileListBox.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clWindow;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzFileListBox.Color Example
TRzFileListBox


TRzFileListBox.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzFileListBox.DisabledColor Example
TRzFileListBox


Raize Components 6

TRzFileListBox Events
TRzFileListBox

Public
OnMouseEnter
OnMouseLeave


TRzFileListBox.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzFileListBox.FocusColor Example
TRzFileListBox


TRzFileListBox.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzFileListBox.FrameColor Example
TRzFileListBox


TRzFileListBox.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzFileListBox.FrameController Example
TRzFileListBox


TRzFileListBox.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzFileListBox.FrameHotColor Example
TRzFileListBox


TRzFileListBox.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzFileListBox.FrameHotStyle Example
TRzFileListBox


TRzFileListBox.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzFileListBox.FrameHotTrack Example
TRzFileListBox


TRzFileListBox.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzFileListBox.FrameSides Example
TRzFileListBox


TRzFileListBox.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzFileListBox.FrameStyle Example
TRzFileListBox


TRzFileListBox.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzFileListBox.FrameVisible Example
TRzFileListBox


TRzFileListBox.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzFileListBox.FramingPreference Example
TRzFileListBox


TRzFileListBox.LongFileName

Declaration
property LongFileName: string;

__property AnsiString LongFileName

Description

Use this property to obtain the long version of the currently selected file name in a TRzFileListBox component.


Raize Components 6

TRzFileListBox.LongFileName Example
TRzFileListBox


Raize Components 6

TRzFileListBox Methods
TRzFileListBox

Public
ApplyFilePath
UpOneLevel


TRzFileListBox.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzFileListBox.OnMouseEnter Example
TRzFileListBox


TRzFileListBox.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzFileListBox.OnMouseLeave Example
TRzFileListBox


Raize Components 6

TRzFileListBox Properties
TRzFileListBox

Public
About
AllowOpen
Color
Columns
DisabledColor
FocusColor
FrameColor
FrameController
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
LongFileName
ShortFileName
ShowGlyphs


TRzFileListBox.ShortFileName

Declaration
property ShortFileName: string;

__property AnsiString ShortFileName

Description

This run-time only property can be used to obtain the short file name selected in a TRzFileListBox.


Raize Components 6

TRzFileListBox.ShortFileName Example
TRzFileListBox


TRzFileListBox.ShowGlyphs

Declaration
property ShowGlyphs: Boolean default True;

__property bool ShowGlyphs

Description

Set ShowGlyphs to True to display icons next to the files in the list that indicate the file type. Set ShowGlyphs to False to list only the file names.


Raize Components 6

TRzFileListBox.ShowGlyphs Example
TRzFileListBox


TRzFileListBox.UpOneLevel

Declaration
procedure UpOneLevel;

void __fastcall UpOneLevel(void)

Description

This method instructs the file list box to navigate one directory level up from its current directory location.


Raize Components 6

TRzFileListBox.UpOneLevel Example
TRzFileListBox


RzForms

RzForms File
List of Units

Unit Classes

TRzFormShape
TRzFormShape is a custom image control for creating non-rectangular forms.
TRzFormState TRzForm
State is a nonvisual control for persisting positional and size information for a form.


TRzFormShape.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzFormShape.About Example
TRzFormShape


TRzFormShape.AllowFormDrag

Determines if user can drag form by clicking anywhere on the form.

Declaration
property AllowFormDrag: Boolean default True;

__property bool AllowFormDrag

Description

When AllowFormDrag is True, the control automatically handles moving the form when the user clicks and drags anywhere on the non-transparent area of the image.


Raize Components 6

TRzFormShape.AllowFormDrag Example
TRzFormShape


Raize Components 6

TRzFormShape Properties
TRzFormShape

Public
About
Align
AllowFormDrag
Transparent


TRzFormState.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzFormState.About Example
TRzFormState


Raize Components 6

TRzFormState Events
TRzFormState

Public
OnRestoreState
OnSaveState


Raize Components 6

TRzFormState Methods
TRzFormState

Public
RestoreState
SaveState


TRzFormState.OnRestoreState

Occurs when the form's state has been restored.

Declaration
property OnRestoreState: TNotifyEvent;

__property Classes::TNotifyEvent OnRestoreState

Description

This event is generated when a form's state has been restored by the component.


Raize Components 6

TRzFormState.OnRestoreState Example
TRzFormState


TRzFormState.OnSaveState

Occurs when the form's state has been saved.

Declaration
property OnSaveState: TNotifyEvent;

__property Classes::TNotifyEvent OnSaveState

Description

This event is generated when a form's state has been saved by the component.


Raize Components 6

TRzFormState.OnSaveState Example
TRzFormState


Raize Components 6

TRzFormState Properties
TRzFormState

Public
About
RegIniFile
Section


TRzFormState.RegIniFile

Specifies a TRzRegIniFile component to be used for storage of settings.

Declaration
property RegIniFile: TRzRegIniFile;

__property Rzcommon::TRzRegIniFile *RegIniFile

Description

Use RegIniFile to specify a TRzRegIniFile component to be used by the control to read and write data to and from the Registry or an INI file.


Raize Components 6

TRzFormState.RegIniFile Example
TRzFormState


TRzFormState.RestoreState

Use RestoreState to manually restore the state of a form.

Declaration
procedure RestoreState;

virtual void __fastcall RestoreState(void)

Description

Use RestoreState to manually restore the state of a form.


Raize Components 6

TRzFormState.RestoreState Example
TRzFormState


TRzFormState.SaveState

Use SaveState to manually save the state of a form.

Declaration
procedure SaveState;

virtual void __fastcall SaveState(void)

Description

Use SaveState to manually save the state of a form.


Raize Components 6

TRzFormState.SaveState Example
TRzFormState


TRzFormState.Section

Specifies names of the INI file section or Registry key for settings.

Declaration
property Section: string;

__property AnsiString Section

Description

Use Section to specify the section in the associated INI file or Registry key specified in the associated RegIniFile component.


Raize Components 6

TRzFormState.Section Example
TRzFormState


RzGrafx

RzGrafx File
List of Units

Unit Classes

TSmoothFactor
TTrapBevelStyle
TTrapDirect
TTrapShape


TSmoothFactor

Unit
RzGrafx

Declaration
TSmoothFactor=1..8;

typedef Shortint TSmoothFactor;

Description

.


TTrapBevelStyle

Unit
RzGrafx

Declaration
TTrapBevelStyle=(bsNone, bsLowered, bsRaised);

enum TTrapBevelStyle bsNone, bsLowered, bsRaised ;

Description

Value Meaning

bsNone

bsLowered

bsRaised


TTrapDirect

Unit
RzGrafx

Declaration
TTrapDirect=(tdLargeToSmall, tdSmallToLarge);

enum TTrapDirect tdLargeToSmall, tdSmallToLarge ;

Description

Value Meaning

tdLargeToSmall

tdSmallToLarge


TTrapShape

Unit
RzGrafx

Declaration
TTrapShape=(tsLeft, tsCenter, tsRight);

enum TTrapShape tsLeft, tsCenter, tsRight ;

Description

Value Meaning

tsLeft

tsCenter

tsRight


RzGrids

RzGrids File
List of Units

Unit Classes

TRzStringGrid
TRzStringGrid is a enhanced TStringGrid that supports Custom Framing and additional display options for grid cells.


TRzStringGrid.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzStringGrid.About Example
TRzStringGrid


TRzStringGrid.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clWindow;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzStringGrid.Color Example
TRzStringGrid


TRzStringGrid.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzStringGrid.DisabledColor Example
TRzStringGrid


Raize Components 6

TRzStringGrid Events
TRzStringGrid

Public
OnMouseEnter
OnMouseLeave


TRzStringGrid.FixedLineColor

Specifies the color used to display fixed lines in grid cells.

Declaration
property FixedLineColor: TColor default clBtnShadow;

__property Graphics::TColor FixedLineColor

Description

Use FixedLineColor to specify the color to be used when drawing the lines between the fixed cells of the grid.


Raize Components 6

TRzStringGrid.FixedLineColor Example
TRzStringGrid


TRzStringGrid.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzStringGrid.FocusColor Example
TRzStringGrid


TRzStringGrid.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzStringGrid.FrameColor Example
TRzStringGrid


TRzStringGrid.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzStringGrid.FrameController Example
TRzStringGrid


TRzStringGrid.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzStringGrid.FrameControllerNotifications Example
TRzStringGrid


TRzStringGrid.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzStringGrid.FrameHotColor Example
TRzStringGrid


TRzStringGrid.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzStringGrid.FrameHotStyle Example
TRzStringGrid


TRzStringGrid.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzStringGrid.FrameHotTrack Example
TRzStringGrid


TRzStringGrid.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzStringGrid.FrameSides Example
TRzStringGrid


TRzStringGrid.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzStringGrid.FrameStyle Example
TRzStringGrid


TRzStringGrid.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzStringGrid.FrameVisible Example
TRzStringGrid


TRzStringGrid.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzStringGrid.FramingPreference Example
TRzStringGrid


TRzStringGrid.LineColor

Specifies the color to be used in drawing lines in a grid.

Declaration
property LineColor: TColor default clBtnFace;

__property Graphics::TColor LineColor

Description

Use LineColor to specify the color to be used when drawing the lines between the non-fixed cells of the grid.


Raize Components 6

TRzStringGrid.LineColor Example
TRzStringGrid


TRzStringGrid.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzStringGrid.OnMouseEnter Example
TRzStringGrid


TRzStringGrid.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzStringGrid.OnMouseLeave Example
TRzStringGrid


Raize Components 6

TRzStringGrid Properties
TRzStringGrid

Public
About
Color
DisabledColor
FixedLineColor
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
LineColor


RzGroupBar

RzGroupBar File
List of Units

Unit Classes

ERzGroupBarError |
TRzCanCloseEvent |
TRzCanOpenEvent |
TRzCaptionState |
TRzCaptionStyle |
TRzGroup | TRzGroup is a custom control for managing a collection of user interface commands within a TRzGroupBar.
TRzGroupBar | TRzGroupBar is a custom control for managing a collection of user interface command groups.
TRzGroupBarStyle |
TRzGroupController | TRzGroupController is a nonvisual control used to manage the appearance of TRzGroup controls within a TRzGroupBar.
TRzGroupItem |
TRzGroupItemPopupMenuEvent |
TRzGroupItems |
TRzGroupProperty |
TRzGroupTemplate | TRzGroupTemplate is a custom nonvisual control for managing a collection of user interface commands that will be used to create corresponding TRzGroup controls within a TRzGroupBar.
TRzGroupTemplateItem |
TRzGroupTemplateItems |
TRzItemSelectionStyle |
TRzItemStyle |
TRzMouseOverItemEvent |


ERzGroupBarError

Unit
RzGroupBar

Declaration
ERzGroupBarError=Class(Exception);;

Description

TRzGroup controls can only be parented by TRzGroupBar controls. This exception is generated when a TRzGroup control is parented to some other type of container.


TRzCanCloseEvent

Unit
RzGroupBar

Declaration
TRzCanCloseEvent=procedure(Sender: TObject; var CanClose: Boolean) of object;

Description

.


TRzCanOpenEvent

Unit
RzGroupBar

Declaration
TRzCanOpenEvent=procedure(Sender: TObject; var CanOpen: Boolean) of object;

Description

.


TRzCaptionState

Unit
RzGroupBar

Declaration
TRzCaptionState =(csNormal, csHot, csDown);

Description

Value Meaning

csNormal:

csHot:

csDown:


TRzCaptionStyle

Unit
RzGroupBar

Declaration
TRzCaptionStyle =(csSmall, csLarge);

Description

Value Meaning

csSmall:

csLarge:


TRzGroup

TRzGroup is a custom control for managing a collection of user interface commands within a TRzGroupBar.

Unit
RzGroupBar

Declaration
TRzGroup=Class(TCustomControl);

Description

The TRzGroupBar component manages a list of TRzGroup components. Each TRzGroup manages its own list of items. Each item can be associated with an Action, or separate OnClick event handlers can be created. There are many different ways to customize the appearance of the group when it is contained in a TRzGroupBar.


TRzGroup.AddToGroup

Add TRzGroupTemplate items to a group.

Declaration
procedure AddToGroup(Template: TRzGroupTemplate);

Description

Use this method take the items defined in TRzGroupTemplate and add them to an existing group. This allows multiple templates to be used in populating a single TRzGroup instance.


Raize Components 6

TRzGroup.AddToGroup Example
TRzGroup


TRzGroup.AssignActionList

Create items in group that map to actions in an ActionList.

Declaration
procedure AssignActionList(ActionList: TCustomActionList; const Category: string='');

void __fastcall AssignActionList(Actnlist::TCustomActionList *ActionList, const AnsiString Category="")

Description

Use AssignActionList to populate a group with items that map to the actions in an ActionList. Specify a Category to only add items corresponding to actions that belong to the specified Category.


Raize Components 6

TRzGroup.AssignActionList Example
TRzGroup


TRzGroupBar.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzGroupBar.About Example
TRzGroupBar


TRzGroupBar.AddGroup

Use AddGroup to programmatically add a new group to a TRzGroupBar.

Declaration
function AddGroup(Template: TRzGroupTemplate): TRzGroup; overload;

procedure AddGroup(Group: TRzGroup); overload;

Description

Use AddGroup to programmatically add a new group to a TRzGroupBar. First create a new instance of TRzGroup and then pass it to the AddGroup method.


Raize Components 6

TRzGroupBar.AddGroup Example
TRzGroupBar


TRzGroupBar.BeginUpdateLayout

Declaration
procedure BeginUpdateLayout;

void __fastcall BeginUpdateLayout(void)

Description

Use this method to prevent changes made to the group bar from updating the group bar immediately. For example, when adding a lot of groups to the group bar at one time. When finished call EndUpdateLayout.


Raize Components 6

TRzGroupBar.BeginUpdateLayout Example
TRzGroupBar


TRzGroupBar.BevelWidth

Specifies the width in pixels of bevel.

Declaration
property BevelWidth: TBevelWidth default 1;

__property Controls::TBevelWidth BevelWidth

Description

Use BevelWidth to specify how wide the inner or outer bevel should be. Do not confuse BevelWidth, which is the width of the bevels, with BorderWidth, which is the space between the bevels.

If both the BevelInner and BevelOuter properties are bvNone, BevelWidth has no effect. To remove both bevels, set the BevelInner and BevelOuter properties to bvNone, rather than setting the BevelWidth to 0, as this involves less overhead when painting.


Raize Components 6

TRzGroupBar.BevelWidth Example
TRzGroupBar


TRzGroupBar.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Declaration
property BorderColor: TColor default clBtnFace;

__property Graphics::TColor BorderColor

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

TRzGroupBar.BorderColor Example
TRzGroupBar


TRzGroupBar.BorderHighlight

Specifies the color used to display highlighted portions of the border.

Declaration
property BorderHighlight: TColor default clBtnHighlight;

__property Graphics::TColor BorderHighlight

Description

Use this property to specify the color used when painting highlighted portions of the border.


Raize Components 6

TRzGroupBar.BorderHighlight Example
TRzGroupBar


TRzGroupBar.BorderInner

Specifies the style of the inner border.

Declaration
property BorderInner: TFrameStyleEx default fsNone;

__property Rzcommon::TFrameStyle BorderInner

Description

Use this property to change the style of the inner border used by a component.


Raize Components 6

TRzGroupBar.BorderInner Example
TRzGroupBar


TRzGroupBar.BorderOuter

Specifies the style of the outer border.

Declaration
property BorderOuter: TFrameStyleEx default fsNone;

__property Rzcommon::TFrameStyle BorderOuter

Description

Use this property to change the style of the outer border used by a component.


Raize Components 6

TRzGroupBar.BorderOuter Example
TRzGroupBar


TRzGroupBar.BorderShadow

Specifies the color used to display shadow portions of the border.

Declaration
property BorderShadow: TColor default clBtnShadow;

__property Graphics::TColor BorderShadow

Description

Use this property to specify the color used when painting shadowed portions of the border.


Raize Components 6

TRzGroupBar.BorderShadow Example
TRzGroupBar


TRzGroupBar.BorderSides

Specifies which sides of the border are visible.

Declaration
property BorderSides: TSides default[sdLeft, sdTop, sdRight, sdBottom];

__property Rzcommon::TSides BorderSides

Description

Use this property to select which sides of the component will display a border.


Raize Components 6

TRzGroupBar.BorderSides Example
TRzGroupBar


TRzGroupBar.CloseAllGroups

Declaration
procedure CloseAllGroups;

void __fastcall CloseAllGroups(void)

Description

Close all groups in the group bar. Only applicable when Style is gbsCategoryView.


Raize Components 6

TRzGroupBar.CloseAllGroups Example
TRzGroupBar


TRzGroupBar.CreateGroupFromTemplate

Create a new group based on a TRzGroupTemplate.

Declaration
function CreateGroupFromTemplate(Template: TRzGroupTemplate): TRzGroup;

Description

Use this method to create a new instance of a TRzGroup where the details of the group are defined in a TRzGroupTemplate .


Raize Components 6

TRzGroupBar.CreateGroupFromTemplate Example
TRzGroupBar


TRzGroupBar.EndUpdateLayout

Declaration
procedure EndUpdateLayout;

void __fastcall EndUpdateLayout(void)

Description

Call this method after making several changes to the group bar (and after calling BeginUpdateLayout) to force the group bar to update its display.


Raize Components 6

TRzGroupBar.EndUpdateLayout Example
TRzGroupBar


Raize Components 6

TRzGroupBar Events
TRzGroupBar

Public


TRzGroupBar.ExclusiveMode

Specifies that only one group can be opened at a time.

Declaration
property ExclusiveMode: Boolean default False;

__propertybool ExclusiveMode

Description

When ExclusiveMode is set to True, only one group can be opened at a time. This property is only used when Style is gbsCategoryView. gbsOutlook style always operates in exclusive mode, and the gbsTaskList style does not support opening and closing groups.


Raize Components 6

TRzGroupBar.ExclusiveMode Example
TRzGroupBar


TRzGroupBar.FlatColor

Specifies the color to be used in drawing flat borders.

Declaration
property FlatColor: TColor default clBtnShadow;

__property Graphics::TColor FlatColor

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

TRzGroupBar.FlatColor Example
TRzGroupBar


TRzGroupBar.FlatColorAdjustment

Determines if the FlatColor property value is adjusted to be either lighter or darker.

Declaration
property FlatColorAdjustment: Integer default 30;

Description

Use FlatColorAdjustment to lighten or darken the FlatColor used for the border of a control when the border is fsFlat. This property is used in TRzGroupBox components and TRzStatusPane components to allow the color of the border to be a lighter shade of the clBtnShadow color.


Raize Components 6

TRzGroupBar.FlatColorAdjustment Example
TRzGroupBar


TRzGroupBar.GradientColorStart

Specifies the starting color to be used when defining a gradient.

Declaration
property GradientColorStart: TColor default clWhite;

Description

Use GradientColorStart to specify the starting color that is used in defining a gradient color fill.


Raize Components 6

TRzGroupBar.GradientColorStart Example
TRzGroupBar


TRzGroupBar.GradientColorStop

Specifies the stopping color to be used when defining a gradient.

Declaration
property GradientColorStop: TColor default clBtnFace;

Description

Use GradientColorStop to specify the stopping color that is used in defining a gradient color fill.


Raize Components 6

TRzGroupBar.GradientColorStop Example
TRzGroupBar


TRzGroupBar.GradientColorStyle

Use GradientColorStyle to specify how gradient color values are obtained for the control.

Declaration
property GradientColorStyle: TRzGradientColorStyle default gcsSystem;

Description

GradientColorStyle properties are active when the control's VisualStyle property is set to vsGradient. The default value of properties of this type is gcsSystem, which means that the gradient color values needed by the control are obtained from the current system colors. This value ensures that the control look great regardless of the users current color scheme. To mimic the Microsoft Office 2003 look when XP themes are active (i.e. blue, green, and silver backgrounds for toolbars, etc.) then select the gcsMSOffice value. If XP themes are not present, then the control will utilize the gcsSystem value. And finally, if you wish to select custom color values for the gradients used in a control, then select the gcsCustom value.


Raize Components 6

TRzGroupBar.GradientColorStyle Example
TRzGroupBar


TRzGroupBar.GradientPath

This property controls the way the gradient background of the group bar is drawn.

Declaration
property GradientPath: TRzGroupBarGradientPath default gpTopToBottom;

Description

This property controls the way the gradient background of the group bar is drawn.


Raize Components 6

TRzGroupBar.GradientPath Example
TRzGroupBar


TRzGroupBar.GroupBorderSize

Specifies the spacing between groups.

Declaration
property GroupBorderSize: Integer nodefault;

__property int GroupBorderSize

Description

Use GroupBorderSize to specify the number of pixels between the edge of the control and the outer edge of the embedded TRzGroup components.


Raize Components 6

TRzGroupBar.GroupBorderSize Example
TRzGroupBar


TRzGroupBar.GroupCount

Returns the number of groups in the group bar.

Declaration
property GroupCount: Integer;

__property int GroupCount

Description

This property represents the number of groups contained in the group bar.


Raize Components 6

TRzGroupBar.GroupCount Example
TRzGroupBar


TRzGroupBar.Groups

Use Groups to access the individual TRzGroup objects through the group bar.

Declaration
property Groups[Index: Integer]: TRzGroup;

__property TRzGroup *Groups[int Index]

Description

Use Groups to access the individual TRzGroup objects through the group bar.


Raize Components 6

TRzGroupBar.Groups Example
TRzGroupBar


TRzGroupBar.InsertGroup

Insert a new group into the group bar.

Declaration
function InsertGroup(Index: Integer; Template: TRzGroupTemplate): TRzGroup; overload;

procedure InsertGroup(Index: Integer; Group: TRzGroup); overload;

Description

Use InsertGroup to programmatically insert a new group to a TRzGroupBar at a specific postion. First create a new instance of TRzGroup and then pass it to the InsertGroup method.


Raize Components 6

TRzGroupBar.InsertGroup Example
TRzGroupBar


TRzGroupBar.LargeImages

Use LargeImages to associate an image list containing large images (32 x 32 pixels) with the group.

Declaration
property LargeImages: TCustomImageList;

__property Imglist::TCustomImageList *LargeImages

Description

Use LargeImages to associate an image list containing large images (32 x 32 pixels) with the group. The images from this image list will be used when ItemStyle is isLarge.


Raize Components 6

TRzGroupBar.LargeImages Example
TRzGroupBar


Raize Components 6

TRzGroupBar Methods
TRzGroupBar

Public
AddGroup
BeginUpdateLayout
CloseAllGroups
CreateGroupFromTemplate
EndUpdateLayout
InsertGroup
OpenAllGroups
RemoveGroup
ScrollInView
ShowEntireGroup


TRzGroupBar.OpenAllGroups

Declaration
procedure OpenAllGroups;

void __fastcall OpenAllGroups(void)

Description

Open all groups in the group bar. Only applicable when Style is gbsCategoryView.


Raize Components 6

TRzGroupBar.OpenAllGroups Example
TRzGroupBar


Raize Components 6

TRzGroupBar Properties
TRzGroupBar

Public
About
Align
Anchors
AutoSize
BevelWidth
BiDiMode
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
Caption
Color
Constraints
Ctl3D
DockManager
DragCursor
DragKind
DragMode
Enabled
ExclusiveMode
FlatColor
FlatColorAdjustment
Font
GradientColorStart
GradientColorStop
GradientColorStyle
GradientPath
GroupBorderSize
GroupCount
Groups
Height
LargeImages
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ScrollPosition
ShowHint
SmallImages
Style
TabOrder
TabStop
UniqueItemSelection
Visible
VisualStyle
Width


TRzGroupBar.RemoveGroup

Remove a group from the group bar.

Declaration
procedure RemoveGroup(Group: TRzGroup);

Description

Do not call this method directly. It is used internally by the component for clean-up when a group contained in a TRzGroupBar is destroyed, or when a group is moved to to another group bar.

To delete a group from a group at runtime, simply free the desired group.


Raize Components 6

TRzGroupBar.RemoveGroup Example
TRzGroupBar


TRzGroupBar.ScrollInView

Declaration
procedure ScrollInView(AControl: TControl);

void __fastcall ScrollInView(Controls::TControl *AControl)

Description

Call this method to scroll the group bar such that the specified control is visible.


Raize Components 6

TRzGroupBar.ScrollInView Example
TRzGroupBar


TRzGroupBar.ScrollPosition

Declaration
property ScrollPosition: Integer;

__property int ScrollPosition

Description

Represents the current scrolling position of the group bar.


Raize Components 6

TRzGroupBar.ScrollPosition Example
TRzGroupBar


TRzGroupBar.ShowEntireGroup

Declaration
procedure ShowEntireGroup(Group: TRzGroup);

void __fastcall ShowEntireGroup(TRzGroup *Group)

Description

Call this method to scroll the group bar such that the specified group is visible.


Raize Components 6

TRzGroupBar.ShowEntireGroup Example
TRzGroupBar


TRzGroupBar.SmallImages

Use SmallImages to associate an image list containing large images (16 x 16 pixels) with the group.

Declaration
property SmallImages: TCustomImageList;

__property Imglist::TCustomImageList *SmallImages

Description

Use SmallImages to associate an image list containing large images (16 x 16 pixels) with the group. The images from this image list will be used when ItemStyle is isSmall.


Raize Components 6

TRzGroupBar.SmallImages Example
TRzGroupBar


TRzGroupBarStyle

Unit
RzGroupBar

Declaration
TRzGroupBarStyle =(gbsCategoryView, gbsTaskList, gbsOutlook);

Description

Value Meaning

gbsCategoryView:

gbsTaskList:

gbsOutlook:


Raize Components 6

TRzGroupBar.Style Example
TRzGroupBar


TRzGroupBar.UniqueItemSelection

Determines if item selection occurs across all groups.

Declaration
property UniqueItemSelection: Boolean default False;

Description

When this property is set to True, only one group item can be selected at any one time across all groups in the group bar.


Raize Components 6

TRzGroupBar.UniqueItemSelection Example
TRzGroupBar


TRzGroupBar.VisualStyle

Use VisualStyle to specify the general appearance of a control.

Declaration
property VisualStyle: TRzVisualStyle default vsGradient;

Description

VisualStyle properties are used to specify the general appearance of a control. The vsClassic style setting indicates that the control will take on the pre-WinXP style (i.e. classic). To utilize Windows XP themes (if they are present), the VisualStyle of vsWinXP is chosen. To give the control a more modern appearance, select the vsGradient style.


Raize Components 6

TRzGroupBar.VisualStyle Example
TRzGroupBar


TRzGroup.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Declaration
property BorderColor: TColor default clBtnHighlight;

__property Graphics::TColor BorderColor

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

TRzGroup.BorderColor Example
TRzGroup


TRzGroup.CanClose

Determines if the group can be closed.

Declaration
property CanClose: Boolean default True;

__property bool CanClose

Description

When CanClose is True and Style is gbsCategoryView, the group can be closed. A circle with a chevron appears in this state.


Raize Components 6

TRzGroup.CanClose Example
TRzGroup


TRzGroup.CaptionColor

Specifies background color of group caption.

Declaration
property CaptionColor: TColor;

__property Graphics::TColor CaptionColor

Description

Use CaptionColor to specify the background color of the caption bar for each group.


Raize Components 6

TRzGroup.CaptionColor Example
TRzGroup


TRzGroup.CaptionColorDefault

Specifies if group's caption is determines by Style selected.

Declaration
property CaptionColorDefault: Boolean default True;

__property bool CaptionColorDefault

Description

When CaptionColorDefault is True, the background color for the group's Caption is determined by the Style selected.


Raize Components 6

TRzGroup.CaptionColorDefault Example
TRzGroup


TRzGroup.CaptionColorStart

Specifies starting color for gradient fill.

Declaration
property CaptionColorStart: TColor default clWindow;

Description

Use this property to specify the starting color used in drawing the group's caption background.


Raize Components 6

TRzGroup.CaptionColorStart Example
TRzGroup


TRzGroup.CaptionColorStop

Specifies stopping color for gradient fill.

Declaration
property CaptionColorStop: TColor default clBtnFace;

Description

Use this property to specify the ending color used in drawing the group's caption background.


Raize Components 6

TRzGroup.CaptionColorStop Example
TRzGroup


TRzGroup.CaptionFont

Specifies font for group's caption.

Declaration
property CaptionFont: TFont;

__property Graphics::TFont *CaptionFont

Description

Use CaptionFont to specify the font to be used in displaying the group's Caption text.


Raize Components 6

TRzGroup.CaptionFont Example
TRzGroup


TRzGroup.CaptionHeight

Specifies height of caption bar.

Declaration
property CaptionHeight: Integer default 20;

__property int CaptionHeight

Description

Use CaptionHeight to specify the height of the group's Caption bar.


Raize Components 6

TRzGroup.CaptionHeight Example
TRzGroup


TRzGroup.CaptionHotColor

Specifies color to be used for caption text when mouse is over the caption bar.

Declaration
property CaptionHotColor: TColor default clHotLight;

__property Graphics::TColor CaptionHotColor

Description

Use CaptionHotColor to specify the color to be used in displaying the group's Caption text when the mouse is positioned over the group's caption bar.


Raize Components 6

TRzGroup.CaptionHotColor Example
TRzGroup


TRzGroup.CaptionImageIndex

Specifies image to be displayed on caption bar.

Declaration
property CaptionImageIndex: TImageIndex default -1;

__property Imglist::TImageIndex CaptionImageIndex

Description

Use CaptionImageIndex to specify the index of the image to be displayed next to the group's Caption text.


Raize Components 6

TRzGroup.CaptionImageIndex Example
TRzGroup


TRzGroup.CaptionStyle

Specifies whether small or large images are used in the caption bar.

Declaration
property CaptionStyle: TRzCaptionStyle default csSmall;

__property TRzCaptionStyle CaptionStyle

Description

Use the CaptionStyle property to control the appearance of the group's caption area. When set to csSmall (the default), the CaptionImageIndex image from the SmallImages image list is displayed. When CaptionStyle is set to csLarge, the CaptionImageIndex image from the LargeImages image list is displayed. When a large image (32x32 pixels) is displayed, the top of the image extends beyond the top of the group's caption area.


Raize Components 6

TRzGroup.CaptionStyle Example
TRzGroup


TRzGroup.Close

Close the group.

Declaration
procedure Close;

void __fastcall Close(void)

Description

Call Close to programmatically close the group.


Raize Components 6

TRzGroup.Close Example
TRzGroup


TRzGroup.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzGroup.Color Example
TRzGroup


TRzGroup.ColorDefault

Specifies if group's color is determines by Style selected.

Declaration
property ColorDefault: Boolean default True;

__property bool ColorDefault

Description

When ColorDefault is True, the background color of the group's client area is determined by the current setting of the Style property.


Raize Components 6

TRzGroup.ColorDefault Example
TRzGroup


TRzGroupController.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzGroupController.About Example
TRzGroupController


TRzGroupController.BeginUpdate

Declaration
procedure BeginUpdate;

void __fastcall BeginUpdate(void)

Description

Use this method to prevent the associated groups from updating themselves after each property change. Call EndUpdate when finished to update the associated groups.


Raize Components 6

TRzGroupController.BeginUpdate Example
TRzGroupController


TRzGroupController.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Declaration
property BorderColor: TColor default clBtnHighlight;

__property Graphics::TColor BorderColor

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

TRzGroupController.BorderColor Example
TRzGroupController


TRzGroupController.CaptionColor

Specifies background color of group caption.

Declaration
property CaptionColor: TColor default clHighlightText;

__property Graphics::TColor CaptionColor

Description

Use CaptionColor to specify the background color of the caption bar for each group.


Raize Components 6

TRzGroupController.CaptionColor Example
TRzGroupController


TRzGroupController.CaptionColorStart

Specifies starting color for gradient fill.

Declaration
property CaptionColorStart: TColor default clWindow;

Description

Use this property to specify the starting color used in drawing the group's caption background.


Raize Components 6

TRzGroupController.CaptionColorStart Example
TRzGroupController


TRzGroupController.CaptionColorStop

Specifies stopping color for gradient fill.

Declaration
property CaptionColorStop: TColor default clBtnFace;

Description

Use this property to specify the ending color used in drawing the group's caption background.


Raize Components 6

TRzGroupController.CaptionColorStop Example
TRzGroupController


TRzGroupController.CaptionFont

Specifies font for group's caption.

Declaration
property CaptionFont: TFont stored FCaptionFontChanged;

__property Graphics::TFont *CaptionFont

Description

Use CaptionFont to specify the font to be used in displaying the group's Caption text.


Raize Components 6

TRzGroupController.CaptionFont Example
TRzGroupController


TRzGroupController.CaptionHeight

Specifies height of caption bar.

Declaration
property CaptionHeight: Integer default 20;

__property int CaptionHeight

Description

Use CaptionHeight to specify the height of the group's Caption bar.


Raize Components 6

TRzGroupController.CaptionHeight Example
TRzGroupController


TRzGroupController.CaptionHotColor

Specifies color to be used for caption text when mouse is over the caption bar.

Declaration
property CaptionHotColor: TColor default clHotLight;

__property Graphics::TColor CaptionHotColor

Description

Use CaptionHotColor to specify the color to be used in displaying the group's Caption text when the mouse is positioned over the group's caption bar.


Raize Components 6

TRzGroupController.CaptionHotColor Example
TRzGroupController


TRzGroupController.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clBtnFace;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzGroupController.Color Example
TRzGroupController


TRzGroupController.DividerColor

Specifies color to be used for divider.

Declaration
property DividerColor: TColor default clHighlight;

__property Graphics::TColor DividerColor

Description

Use DividerColor to specify the color used to display a divider line between the group's Caption bar and the group's client area.


Raize Components 6

TRzGroupController.DividerColor Example
TRzGroupController


TRzGroupController.DividerVisible

Determines if divider is visible.

Declaration
property DividerVisible: Boolean default False;

__property bool DividerVisible

Description

When DividerVisible is True, a divider line appears between the group's Caption Bar and the group's client area.


Raize Components 6

TRzGroupController.DividerVisible Example
TRzGroupController


TRzGroupController.EndUpdate

Declaration
procedure EndUpdate;

void __fastcall EndUpdate(void)

Description

Use this method to force the associated groups to update themselves based on the changes that have been made since the call to BeginUpdate.


Raize Components 6

TRzGroupController.EndUpdate Example
TRzGroupController


TRzGroupController.Font

Declaration
property Font: TFont;

__property Font


Raize Components 6

TRzGroupController.Font Example
TRzGroupController


TRzGroupController.IgnoreSelectedItemClick

Declaration
property IgnoreSelectedItemClick: Boolean default True;

__property bool IgnoreSelectedItemClick

Description

Use this property to control whether or not an item's OnClick event is raised if the item is already selected.


Raize Components 6

TRzGroupController.IgnoreSelectedItemClick Example
TRzGroupController


TRzGroupController.ItemHeight

Specifies height of each item in group.

Declaration
property ItemHeight: Integer default 20;

__property int ItemHeight

Description

Use ItemHeight to specify the height (in pixels) of each item in the group.


Raize Components 6

TRzGroupController.ItemHeight Example
TRzGroupController


TRzGroupController.ItemHotColor

Specifies color to be used for items when mouse is positioned over them.

Declaration
property ItemHotColor: TColor default clHotLight;

__property Graphics::TColor ItemHotColor

Description

Use ItemHotColor to specify the color to be used in displaying an item's Caption text when the mouse is positioned over the item's caption or icon.


Raize Components 6

TRzGroupController.ItemHotColor Example
TRzGroupController


TRzGroupController.ItemIndent

Specifies amount each indent-level is indented.

Declaration
property ItemIndent: Byte default 20;

__property Byte ItemIndent

Description

Use ItemIndent to specify the number of pixels that will represent an indent-level in the group.


Raize Components 6

TRzGroupController.ItemIndent Example
TRzGroupController


TRzGroupController.ItemSelectionStyle

Determines appearance of item selection.

Declaration
property ItemSelectionStyle: TRzItemSelectionStyle default issImageAndCaption;

Description

Use this property to control how an item in the group appears when it is selected. The default is issImage, which means that the image associated with the item is highlighted. When set to issCaption, the text of the caption is highlighted.


Raize Components 6

TRzGroupController.ItemSelectionStyle Example
TRzGroupController


TRzGroupController.ItemStaticFont

Specifies font to be used when displaying static items.

Declaration
property ItemStaticFont: TFont;

__property Graphics::TFont *ItemStaticFont

Description

Use ItemStaticFont to specify a different font for items in a group that do not have an OnClick event handler nor an assigned Action.


Raize Components 6

TRzGroupController.ItemStaticFont Example
TRzGroupController


TRzGroupController.Load

Declaration
procedure Load(const Section: string);

Description

Call Load to retrieve Group Controller settings previously stored using the Save method.


Raize Components 6

TRzGroupController.Load Example
TRzGroupController


Raize Components 6

TRzGroupController Methods
TRzGroupController

Public
BeginUpdate
EndUpdate
Load
Save
SetDefaults


TRzGroupController.ParentColor

Declaration
property ParentColor: Boolean default False;

__property ParentColor

Description

To have a control use the same color as its parent control, set ParentColor to true. If ParentColor is false, the control uses its own Color property.

Set ParentColor to true for all controls in order to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is true for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.

When the value of a control's Color property changes, ParentColor becomes false automatically.


Raize Components 6

TRzGroupController.ParentColor Example
TRzGroupController


TRzGroupController.ParentFont

Declaration
property ParentFont: Boolean default True;

__property ParentFont

Description

To have a control use the same font as its parent control, set ParentFont to true. If ParentFont is false, the control uses its own Font property. Many controls default ParentFont to true so that all the controls in a form or other container present a uniform appearance. When the value of a control's Font property changes, ParentFont becomes false automatically.

When ParentFont is true for a form, the form uses the default font.


Raize Components 6

TRzGroupController.ParentFont Example
TRzGroupController


Raize Components 6

TRzGroupController Properties
TRzGroupController

Public
About
BorderColor
CaptionColor
CaptionColorStart
CaptionColorStop
CaptionFont
CaptionHeight
CaptionHotColor
Color
DividerColor
DividerVisible
Font
IgnoreSelectedItemClick
ItemHeight
ItemHotColor
ItemIndent
ItemSelectionStyle
ItemStaticFont
ParentColor
ParentFont
RegIniFile
SelectionColor
SelectionFrameColor
SelectionShadowColor
ShowItemSelection


TRzGroupController.RegIniFile

Specifies a TRzRegIniFile component to be used for storage of settings.

Declaration
property RegIniFile: TRzRegIniFile;

Description

Use RegIniFile to specify a TRzRegIniFile component to be used by the control to read and write data to and from the Registry or an INI file.


Raize Components 6

TRzGroupController.RegIniFile Example
TRzGroupController


TRzGroupController.Save

Declaration
procedure Save(const Section: string);

Description

Call Save to store the current properties to the persistent store referenced by the RegIniFile component.


Raize Components 6

TRzGroupController.Save Example
TRzGroupController


TRzGroupController.SelectionColor

Specifies color to be used for selection.

Declaration
property SelectionColor: TColor default clBtnFace;

__property Graphics::TColor SelectionColor

Description

Use SelectionColor to specify the color used to identify which item in the group is selected.


Raize Components 6

TRzGroupController.SelectionColor Example
TRzGroupController


TRzGroupController.SelectionFrameColor

Specifies color to be used for selection frame.

Declaration
property SelectionFrameColor: TColor default cl3DDkShadow;

Description

Use this property to specify the color that should be used in drawing the item selection box. This property is only used when parent TRzGroupBar's VisualStyle is set to vsGradient and GradientColorStyle is set to gcsCustom.


Raize Components 6

TRzGroupController.SelectionFrameColor Example
TRzGroupController


TRzGroupController.SelectionShadowColor

Specifies color to be used for selection gradient.

Declaration
property SelectionShadowColor: TColor default clBtnShadow;

Description

Use this property to specify the second color that defines the gradient (along with the SelectionColor value) that should be used in drawing the item selection box. This property is only used when parent TRzGroupBar's VisualStyle is set to vsGradient and GradientColorStyle is set to gcsCustom.


Raize Components 6

TRzGroupController.SelectionShadowColor Example
TRzGroupController


TRzGroupController.SetDefaults

Declaration
procedure SetDefaults(Style: TRzGroupBarStyle);

Description

Use SetDefaults to reset the TRzGroupController property values to the default values used for the specified style: gbsCategoryView, gbsTaskList, or gbsOutlook.


Raize Components 6

TRzGroupController.SetDefaults Example
TRzGroupController


TRzGroupController.ShowItemSelection

Determines the appearance of selected items.

Declaration
property ShowItemSelection: Boolean default False;

__property bool ShowItemSelection

Description

When ShowItemSelection is True, a color rectangle is displayed around the last item that was clicked (or selected). The color of the rectangle is determined by the SelectionColor property.


Raize Components 6

TRzGroupController.ShowItemSelection Example
TRzGroupController


TRzGroup.Data

Use this property to programmatically associate some data with the group.

Declaration
property Data: Pointer;

Description

Use this property to programmatically associate some data with the group.


Raize Components 6

TRzGroup.Data Example
TRzGroup


TRzGroup.DividerColor

Specifies color to be used for divider.

Declaration
property DividerColor: TColor default clHighlight;

__property Graphics::TColor DividerColor

Description

Use DividerColor to specify the color used to display a divider line between the group's Caption bar and the group's client area.


Raize Components 6

TRzGroup.DividerColor Example
TRzGroup


TRzGroup.DividerVisible

Determines if divider is visible.

Declaration
property DividerVisible: Boolean;

__property bool DividerVisible

Description

When DividerVisible is True, a divider line appears between the group's Caption Bar and the group's client area.


Raize Components 6

TRzGroup.DividerVisible Example
TRzGroup


Raize Components 6

TRzGroup Events
TRzGroup

Public
OnCanClose
OnCanOpen
OnClose
OnItemPopupMenu
OnMouseOverItem
OnOpen


TRzGroup.GroupBar

References TRzGroupBar that holds this group.

Declaration
property GroupBar: TRzGroupBar;

__property TRzGroupBar *GroupBar

Description

This property references the TRzGroupBar component that manages this group.


Raize Components 6

TRzGroup.GroupBar Example
TRzGroup


TRzGroup.GroupController

References an associated TRzGroupController.

Declaration
property GroupController: TRzGroupController;

Description

Use this property to associate this group with a TRzGroupController. The specified controller will only affect the appearance of the group when the parent TRzGroupBar's VisualStyle is vsGradient and GradientColorStyle is gcsCustom.


Raize Components 6

TRzGroup.GroupController Example
TRzGroup


TRzGroup.GroupIndex

Specifies ordering amoung other groups in TRzGroupBar.

Declaration
property GroupIndex: Integer;

__property int GroupIndex

Description

GroupIndex represents the ordering of this group among the other groups in the owning TRzGroupBar .


Raize Components 6

TRzGroup.GroupIndex Example
TRzGroup


TRzGroup.IgnoreSelectedItemClick

Declaration
property IgnoreSelectedItemClick: Boolean default True;

__property bool IgnoreSelectedItemClick

Description

Use this property to control whether or not an item's OnClick event is raised if the item is already selected.


Raize Components 6

TRzGroup.IgnoreSelectedItemClick Example
TRzGroup


TRzGroupItem

Unit
RzGroupBar

Declaration
TRzGroupItem=Class(TCollectionItem);

Description

This class represents an item within a TRzGroup.


TRzGroupItem.Action

Specifies TAction object to be associated with clicking the control.

Declaration
property Action: TBasicAction;

__property Classes::TBasicAction *Action

Description

Action is the action object that is associated with the control. Actions allow an application to centralize the response to user commands. When a control is associated with an action, the action determines the appropriate properties and events of the control (such as whether the control is enabled or how it responds to an OnClick event).

To create actions at design time, place an action list component on a form or data module. Double click the action list to bring up the action list editor. Add actions in the editor using its context menu. Once the actions have been added using the action list editor, they appear in the drop-down list for the Action property in the Object Inspector.


Raize Components 6

TRzGroupItem.Action Example
TRzGroupItem


TRzGroup.ItemAtPos

Returns group located at specified coordinates.

Declaration
function ItemAtPos(P: TPoint): Integer;

Description

Use this method to determine the group item located at the specified mouse coordinates.


Raize Components 6

TRzGroup.ItemAtPos Example
TRzGroup


TRzGroupItem.Caption

Specifies the text to display on the control.

Declaration
property Caption: TCaption;

__property AnsiString Caption

Description

Use Caption to specify the text string that labels the control.

To underline a character in a Caption that labels a component, include an ampersand (&) before the character. This type of character is called an accelerator character. The user can then select the component by pressing Alt while typing the underlined character. To display an ampersand character in the caption, use two ampersands (&&).

Note: Controls that display text use either the Caption property or the Text property to specify the text value. Which property is used depends on the type of control. In general, Caption is used for text that appears as a window title or label, while Text is used for text that appears as the content of a control.


Raize Components 6

TRzGroupItem.Caption Example
TRzGroupItem


TRzGroupItem.Click
TRzGroupItem Methods

Declaration
procedure Click;

DYNAMIC void __fastcall Click(void)

Description

Click is called automatically when the user left-clicks the control. Component or application code can call Click to simulate a user mouse click. This is often done in menu actions and hotkey handlers.

As implemented in TControl, Click queries whether the OnClick event handler exists and is different from the OnExecute handler for the controls Action. If this is true, the OnClick event handler is called. If this is false, and the Action OnExecute event handler exists, the Actions Execute method is called. Override Click to provide additional behavior.


Raize Components 6

TRzGroupItem.Click Example
TRzGroupItem


TRzGroupItem.Data

Declaration
property Data: Pointer;

__property void Data

Description

Use the Data property to associate application defined data to a group item.


Raize Components 6

TRzGroupItem.Data Example
TRzGroupItem


TRzGroupItem.DisabledIndex

Specifies image to be displayed when item is disabled.

Declaration
property DisabledIndex: TImageIndex default -1;

Description

Use this property to assiociate a particular image to be used when the item is disabled.


Raize Components 6

TRzGroupItem.DisabledIndex Example
TRzGroupItem


TRzGroupItem.Enabled

Determines whether or not the contol is enabled.

Declaration
property Enabled: Boolean default True;

__propertybool Enabled

Description

Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to false. Disabled controls appear dimmed. If Enabled is False, the control ignores mouse, keyboard, and timer events.

To re-enable a control, set Enabled to True. The control is no longer dimmed, and the user can use the control.


Raize Components 6

TRzGroupItem.Enabled Example
TRzGroupItem


Raize Components 6

TRzGroupItem Events
TRzGroupItem

Public
OnClick


TRzGroupItem.FontColor

Declaration
property FontColor: TColor default clNone;

__property Graphics::TColor FontColor

Description

Use FontColor to override the default color used in displaying the text of the item's Caption. When FontColor is set to clNone (the default), the color specified in the owning group's Font property or ItemStaticFont property is used.


Raize Components 6

TRzGroupItem.FontColor Example
TRzGroupItem


TRzGroupItem.FontStyle

Declaration
property FontStyle: TFontStyles default[];

__property Graphics::TFontStyles FontStyle

Description

Use FontStyle to override the default font style used in displaying the text of the item's Caption. When FontStyle is set to [] (empty set--the default), the style specified in the owning group's Font property or ItemStaticFont property is used.


Raize Components 6

TRzGroupItem.FontStyle Example
TRzGroupItem


TRzGroupItem.Group

Declaration
property Group: TRzGroup;

__property TRzGroup *Group

Description

Use Group to access the TRzGroup component that contains this item.


Raize Components 6

TRzGroupItem.Group Example
TRzGroupItem


TRzGroup.ItemHeight

Specifies height of each item in group.

Declaration
property ItemHeight: Integer default 20;

__property int ItemHeight

Description

Use ItemHeight to specify the height (in pixels) of each item in the group.


Raize Components 6

TRzGroup.ItemHeight Example
TRzGroup


TRzGroupItem.Hint

Specifies the text to be displayed as a popup hint when the mouse is positioned over the control.

Declaration
property Hint: string;

__property AnsiString Hint

Description

Use the Hint property to provide a string of help text either as a Help Hint, or as help text on a particular location such as a status bar.

A Help Hint is a box containing help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily. To set up Help Hints:

· Specify the Hint property of each control for which a Help Hint should appear.

· Set the ShowHint property of each appropriate control to true, or set the ParentShowHint property of all controls to true and set the ShowHint property of the form to true.

· At runtime, set the value of the application's ShowHint property to true.

To show the Hint on a status bar or other location, use the OnHint event handler of the application. The applications OnHint event occurs when the mouse pointer moves over the control.

Specify a hint to be used for both a Help Hint box and by an OnHint handler by specifying two values separated by a | character (the vertical bar or symbol). For example,

Edit1.Hint := 'Name|Enter Name in the edit box';

The 'Name' part appears in the Help Hint box and the 'Enter full name in the edit box' part can be extracted using the GetLongHint function for use in an OnHint event handler.

If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint function. If a control has no Hint value specified, but its parent control does, the control uses the Hint value of the parent control (as long as the control's ShowHint property is true).

Note: If the application's ShowHint property is false, the Help Hint does not appear, but the OnHint event handler is still called.


Raize Components 6

TRzGroupItem.Hint Example
TRzGroupItem


TRzGroup.ItemHotColor

Specifies color to be used for items when mouse is positioned over them.

Declaration
property ItemHotColor: TColor default clHotLight;

__property Graphics::TColor ItemHotColor

Description

Use ItemHotColor to specify the color to be used in displaying an item's Caption text when the mouse is positioned over the item's caption or icon.


Raize Components 6

TRzGroup.ItemHotColor Example
TRzGroup


TRzGroupItem.ImageIndex

Specifies the image to use when the control is in a normal state.

Declaration
property ImageIndex: TImageIndex default -1;

__property Imglist::TImageIndex ImageIndex

Description

Use ImageIndex to specify the image to be displayed when the control is in a normal state.


Raize Components 6

TRzGroupItem.ImageIndex Example
TRzGroupItem


TRzGroup.ItemIndent

Specifies amount each indent-level is indented.

Declaration
property ItemIndent: Byte default 20;

__property Byte ItemIndent

Description

Use ItemIndent to specify the number of pixels that will represent an indent-level in the group.


Raize Components 6

TRzGroup.ItemIndent Example
TRzGroup


TRzGroupItem.IndentLevel

Declaration
property IndentLevel: Byte default 0;

__property Byte IndentLevel

Description

Use IndentLevel to specify how far to indent the item. Each indent level represents the number of pixels specified in the group's ItemIndent property.


Raize Components 6

TRzGroupItem.IndentLevel Example
TRzGroupItem


TRzGroup.ItemIndex

Determines which item in group was most recently clicked.

Declaration
property ItemIndex: Integer;

__property int ItemIndex

Description

Use ItemIndex to determine the index of the item in the group that was most recently clicked. This property is useful when you need to determine the item that invoked a shared event handler.


Raize Components 6

TRzGroup.ItemIndex Example
TRzGroup


Raize Components 6

TRzGroupItem Methods
TRzGroupItem

Public
Click


TRzGroupItem.OnClick
TRzGroupItem Events

Occurs when an item is clicked.

Declaration
property OnClick: TNotifyEvent;

__property Classes::TNotifyEvent OnClick

Description

Use the OnClick event handler to respond when the user clicks the control. If the control has an associated action, and that action has an OnExecute method, the actions OnExecute method responds to click events unless it is superseded by an OnClick event handler.


Raize Components 6

TRzGroupItem.OnClick Example
TRzGroupItem


TRzGroup.ItemPopupMenu

Specifies popup menu to be used for items.

Declaration
property ItemPopupMenu: TPopupMenu;

__property Menus::TPopupMenu *ItemPopupMenu

Description

Use ItemPopupMenu to specify the popup menu that is to be displayed when the user right-clicks an item within the group.


Raize Components 6

TRzGroup.ItemPopupMenu Example
TRzGroup


TRzGroupItemPopupMenuEvent

Unit
RzGroupBar

Declaration
TRzGroupItemPopupMenuEvent=procedure(Sender: TObject; Item: TRzGroupItem) of object;

typedef void __fastcall (__closure *TRzGroupItemPopupMenuEvent)(System::TObject* Sender, TRzGroupItem* Item);

Description

.


Raize Components 6

TRzGroupItem Properties
TRzGroupItem

Public
Action
Caption
Data
DisabledIndex
Enabled
FontColor
FontStyle
Group
Hint
ImageIndex
IndentLevel
Selected
Tag
Visible


TRzGroupItems

Unit
RzGroupBar

Declaration
TRzGroupItems=Class(TCollection);

Description

TRzGroupItems is the collection class that manages a list of TRzGroupItem instances within a TRzGroup.


Raize Components 6

TRzGroup.Items Example
TRzGroup


TRzGroupItems.Add
TRzGroupItems Methods

Declaration
function Add: TRzGroupItem;

Description

Use the Add method to add a new item to the collection.


Raize Components 6

TRzGroupItems.Add Example
TRzGroupItems


TRzGroupItem.Selected

Declaration
property Selected: Boolean default False;

Description

Use this property to determine if a given group item is selected. Setting this property to True will cause the item to appear selected.


Raize Components 6

TRzGroupItem.Selected Example
TRzGroupItem


TRzGroup.ItemSelectionStyle

Determines appearance of item selection.

Declaration
property ItemSelectionStyle: TRzItemSelectionStyle default issImageAndCaption;

Description

Use this property to control how an item in the group appears when it is selected. The default is issImage, which means that the image associated with the item is highlighted. When set to issCaption, the text of the caption is highlighted.


Raize Components 6

TRzGroup.ItemSelectionStyle Example
TRzGroup


TRzGroupItems.Items
TRzGroupItems Properties

Declaration
property Items[Index: Integer]: TRzGroupItem;

__property TRzGroupItem *Items[int Index]

Description

Use the Items property to access the invidual TRzGroupItem collection item objects from a TRzGroup.


Raize Components 6

TRzGroupItems.Items Example
TRzGroupItems


Raize Components 6

TRzGroupItems Methods
TRzGroupItems

Public
Add


Raize Components 6

TRzGroupItems Properties
TRzGroupItems

Public
Items


TRzGroup.ItemStaticFont

Specifies font to be used when displaying static items.

Declaration
property ItemStaticFont: TFont;

__property Graphics::TFont *ItemStaticFont

Description

Use ItemStaticFont to specify a different font for items in a group that do not have an OnClick event handler nor an assigned Action.


Raize Components 6

TRzGroup.ItemStaticFont Example
TRzGroup


TRzGroup.ItemStyle

Specifies appearance of items and their associated icons.

Declaration
property ItemStyle: TRzItemStyle default isSmall;

__property TRzItemStyle ItemStyle

Description

Use ItemStyle to specify where small icon or large icons are to be displayed or each item.


Raize Components 6

TRzGroup.ItemStyle Example
TRzGroup


TRzGroupItem.Tag

Declaration
property Tag: Longint default 0;

__property long Tag

Description

Tag has no predefined meaning. The Tag property is provided for the convenience of developers. It can be used for storing an additional integer value or it can be typecast to any 32-bit value such as a component reference or a pointer.


Raize Components 6

TRzGroupItem.Tag Example
TRzGroupItem


TRzGroupItem.Visible

Determines if the control is visible at runtime.

Declaration
property Visible: Boolean default True;

__propertybool Visible

Description

Use the Visible property to control the visibility of the control at runtime. If Visible is True, the control appears. If Visible is False, the control is not visible.

Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.


Raize Components 6

TRzGroupItem.Visible Example
TRzGroupItem


TRzGroup.LargeImages

References an image list to be used for supplying large images (32x32).

Declaration
property LargeImages: TCustomImageList;

__property Imglist::TCustomImageList *LargeImages

Description

Use LargeImages to associate an image list containing large images (32 x 32 pixels) with the group. The images from this image list will be used when ItemStyle is isLarge.


Raize Components 6

TRzGroup.LargeImages Example
TRzGroup


Raize Components 6

TRzGroup Methods
TRzGroup

Public
AddToGroup
AssignActionList
Close
ItemAtPos
Open


TRzGroup.OnCanClose

Occurs when a group is about to be closed.

Declaration
property OnCanClose: TRzCanCloseEvent;

__property TRzCanCloseEvent OnCanClose

Description

This event occurs when a group is about to be closed.


Raize Components 6

TRzGroup.OnCanClose Example
TRzGroup


TRzGroup.OnCanOpen

Occurs when a group is about to be opened.

Declaration
property OnCanOpen: TRzCanOpenEvent;

__property TRzCanOpenEvent OnCanOpen

Description

This event occurs when a group is about to be opened.


Raize Components 6

TRzGroup.OnCanOpen Example
TRzGroup


TRzGroup.OnClose

Occurs when a group is closed.

Declaration
property OnClose: TNotifyEvent;

__property Classes::TNotifyEvent OnClose

Description

This event occurs when a group is closed.


Raize Components 6

TRzGroup.OnClose Example
TRzGroup


TRzGroup.OnItemPopupMenu

Occurs when a popup menu is displayed for an item.

Declaration
property OnItemPopupMenu: TRzGroupItemPopupMenuEvent;

__property TRzGroupItemPopupMenuEvent OnItemPopupMenu

Description

This event is raised just before the menu referenced by ItemPopupMenu is displayed for an item in the group. Use this event to make state changes or even assign differt menus to ItemPopupMenu.


Raize Components 6

TRzGroup.OnItemPopupMenu Example
TRzGroup


TRzGroup.OnMouseOverItem

Occurs when the mouse is positioned over an item.

Declaration
property OnMouseOverItem: TRzMouseOverItemEvent;

__property TRzMouseOverItem OnMouseOverItem

Description

This event is generated when the user moves the mouse over a linked item in the group. A linked item is an item that has an OnClick event handler assigned or an Action association. If the mouse is not positioned over an item, the Item parameter is nil.


Raize Components 6

TRzGroup.OnMouseOverItem Example
TRzGroup


TRzGroup.OnOpen

Occurs when a group is opened.

Declaration
property OnOpen: TNotifyEvent;

__property Classes::TNotifyEvent OnOpen

Description

This event occurs when a group is opened.


Raize Components 6

TRzGroup.OnOpen Example
TRzGroup


TRzGroup.Open

Open the group.

Declaration
procedure Open;

void __fastcall Open(void)

Description

Call Open to programmatically open the group.


Raize Components 6

TRzGroup.Open Example
TRzGroup


TRzGroup.Opened

Returns True if group is opened.

Declaration
property Opened: Boolean;

__property bool Opened

Description

This property is True if the group is opened.


Raize Components 6

TRzGroup.Opened Example
TRzGroup


TRzGroup.OpenedHeight

Specifies height of the group when open.

Declaration
property OpenedHeight: Integer default 50;

__property int OpenedHeight

Description

Use OpenedHeight to specify the height of an open group. When a group contains just items from the Items collection, then the height of the group is calculated automatically. However, if the group contains other controls, then the height of the group can be controlled through the OpenedHeight property.


Raize Components 6

TRzGroup.OpenedHeight Example
TRzGroup


TRzGroup.PopupItem

Specifies item that was right-clicked to invoke the popup menu.

Declaration
property PopupItem: TRzGroupItem;

__property TRzGroupItem* PopupItem

Description

Use this property to determine the TRzGroupItem for which the most recent popup menu was displayed. This property is useful within TMenuItem.OnClick or TAction.OnExecute event handlers to identify the group item that was right-clicked.


Raize Components 6

TRzGroup.PopupItem Example
TRzGroup


Raize Components 6

TRzGroup Properties
TRzGroup

Public
BiDiMode
BorderColor
CanClose
Caption
CaptionColor
CaptionColorDefault
CaptionColorStart
CaptionColorStop
CaptionFont
CaptionHeight
CaptionHotColor
CaptionImageIndex
CaptionStyle
Color
ColorDefault
Data
DividerColor
DividerVisible
DragCursor
DragMode
Font
GroupBar
GroupController
GroupIndex
Height
IgnoreSelectedItemClick
ItemHeight
ItemHotColor
ItemIndent
ItemIndex
ItemPopupMenu
Items
ItemSelectionStyle
ItemStaticFont
ItemStyle
LargeImages
Left
Opened
OpenedHeight
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupItem
PopupMenu
SelectedItem
SelectionColor
SelectionFrameColor
SelectionShadowColor
ShowHint
ShowItemSelection
SmallImages
Special
Top
TopItem
Visible
Width


TRzGroup.SelectedItem

Specifies currently selected item.

Declaration
property SelectedItem: TRzGroupItem;

__property TRzGroupItem *SelectedItem

Description

Use SelectedItem to determine the item in the group that was most recently clicked. This property is useful when you need to determine the item that invoked a shared event handler.


Raize Components 6

TRzGroup.SelectedItem Example
TRzGroup


TRzGroup.SelectionColor

Specifies color to be used for selection.

Declaration
property SelectionColor: TColor default clBtnFace;

__property Graphics::TColor SelectionColor

Description

Use SelectionColor to specify the color used to identify which item in the group is selected.


Raize Components 6

TRzGroup.SelectionColor Example
TRzGroup


TRzGroup.SelectionFrameColor

Specifies color to be used for selection frame.

Declaration
property SelectionFrameColor: TColor default cl3DDkShadow;

Description

Use this property to specify the color that should be used in drawing the item selection box. This property is only used when parent TRzGroupBar's VisualStyle is set to vsGradient and GradientColorStyle is set to gcsCustom.


Raize Components 6

TRzGroup.SelectionFrameColor Example
TRzGroup


TRzGroup.SelectionShadowColor

Specifies color to be used for selection gradient.

Declaration
property SelectionShadowColor: TColor default clBtnShadow;

Description

Use this property to specify the second color that defines the gradient (along with the SelectionColor value) that should be used in drawing the item selection box. This property is only used when parent TRzGroupBar's VisualStyle is set to vsGradient and GradientColorStyle is set to gcsCustom.


Raize Components 6

TRzGroup.SelectionShadowColor Example
TRzGroup


TRzGroup.ShowItemSelection

Determines the appearance of selected items.

Declaration
property ShowItemSelection: Boolean default False;

__property bool ShowItemSelection

Description

When ShowItemSelection is True, a color rectangle is displayed around the last item that was clicked (or selected). The color of the rectangle is determined by the SelectionColor property.


Raize Components 6

TRzGroup.ShowItemSelection Example
TRzGroup


TRzGroup.SmallImages

References an image list to be used for supplying small images (16x16).

Declaration
property SmallImages: TCustomImageList;

__property Imglist::TCustomImageList *SmallImages

Description

Use SmallImages to associate an image list containing small images (16 x 16 pixels) with the group. The images from this image list will be used when ItemStyle is isSmall.


Raize Components 6

TRzGroup.SmallImages Example
TRzGroup


TRzGroup.Special

Determines if caption bar is highlighted.

Declaration
property Special: Boolean default False;

__property bool Special

Description

When Special is True, the group is treated as a special group, which means that the background color and font color of the group's caption bar are switched in order to highlight the group.


Raize Components 6

TRzGroup.Special Example
TRzGroup


TRzGroupTemplate.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzGroupTemplate.About Example
TRzGroupTemplate


TRzGroupTemplate.AssignActionList
TRzGroupTemplate Methods

Declaration
procedure AssignActionList(ActionList: TCustomActionList; const Category: string='');

Description

Use AssignActionList to populate a group with items that map to the actions in an ActionList. Specify a Category to only add items corresponding to actions that belong to the specified Category.


Raize Components 6

TRzGroupTemplate.AssignActionList Example
TRzGroupTemplate


TRzGroupTemplate.CanClose

Declaration
property CanClose: Boolean default True;

__property bool CanClose

Description

When CanClose is True and Style is gbsCategoryView, the group can be closed. A circle with a chevron appears in this state.


Raize Components 6

TRzGroupTemplate.CanClose Example
TRzGroupTemplate


TRzGroupTemplate.Caption

Declaration
property Caption: string;

Description

Use this property to specify the Caption that will be assigned to the group created from this template.


Raize Components 6

TRzGroupTemplate.Caption Example
TRzGroupTemplate


TRzGroupTemplate.CaptionImageIndex

Declaration
property CaptionImageIndex: TImageIndex default -1;

__property Imglist::TImageIndex CaptionImageIndex

Description

Use CaptionImageIndex to specify the index of the image to be displayed next to the group's Caption text.


Raize Components 6

TRzGroupTemplate.CaptionImageIndex Example
TRzGroupTemplate


TRzGroupTemplate.CaptionStyle

Declaration
property CaptionStyle: TRzCaptionStyle default csSmall;

Description

Use this property to specify whether the caption bar for the group (in gbsCategoryView mode) uses small images or large images.


Raize Components 6

TRzGroupTemplate.CaptionStyle Example
TRzGroupTemplate


Raize Components 6

TRzGroupTemplate Events
TRzGroupTemplate

Public
OnItemPopupMenu


TRzGroupTemplateItem

Unit
RzGroupBar

Declaration
TRzGroupTemplateItem=Class(TCollectionItem);

Description

This class represents an item within a TRzGroupTemplate. This light-weight item class is used to specify the functionality to be invoked by a corresponding TRzGroupItem instance that is created when the TRzGroupTemplate is used to construct an actual instance of a TRzGroup on a TRzGroupBar.


TRzGroupTemplateItem.Action

Specifies TAction object to be associated with clicking the control.

Declaration
property Action: TBasicAction;

__property Classes::TBasicAction *Action

Description

Action is the action object that is associated with the control. Actions allow an application to centralize the response to user commands. When a control is associated with an action, the action determines the appropriate properties and events of the control (such as whether the control is enabled or how it responds to an OnClick event).

To create actions at design time, place an action list component on a form or data module. Double click the action list to bring up the action list editor. Add actions in the editor using its context menu. Once the actions have been added using the action list editor, they appear in the drop-down list for the Action property in the Object Inspector.


Raize Components 6

TRzGroupTemplateItem.Action Example
TRzGroupTemplateItem


TRzGroupTemplateItem.Caption

Specifies the text to display on the control.

Declaration
property Caption: TCaption;

__property AnsiString Caption

Description

Use Caption to specify the text string that labels the control.

To underline a character in a Caption that labels a component, include an ampersand (&) before the character. This type of character is called an accelerator character. The user can then select the component by pressing Alt while typing the underlined character. To display an ampersand character in the caption, use two ampersands (&&).

Note: Controls that display text use either the Caption property or the Text property to specify the text value. Which property is used depends on the type of control. In general, Caption is used for text that appears as a window title or label, while Text is used for text that appears as the content of a control.


Raize Components 6

TRzGroupTemplateItem.Caption Example
TRzGroupTemplateItem


TRzGroupTemplateItem.Data

Declaration
property Data: Pointer;

__property void Data

Description

Use the Data property to associate application defined data to a group item.


Raize Components 6

TRzGroupTemplateItem.Data Example
TRzGroupTemplateItem


TRzGroupTemplateItem.DisabledIndex

Declaration
property DisabledIndex: TImageIndex default -1;

Description

Use this property to assiociate a particular image to be used when the item is disabled.


Raize Components 6

TRzGroupTemplateItem.DisabledIndex Example
TRzGroupTemplateItem


TRzGroupTemplateItem.Enabled

Determines whether or not the contol is enabled.

Declaration
property Enabled: Boolean default True;

__property bool Enabled

Description

Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to false. Disabled controls appear dimmed. If Enabled is False, the control ignores mouse, keyboard, and timer events.

To re-enable a control, set Enabled to True. The control is no longer dimmed, and the user can use the control.


Raize Components 6

TRzGroupTemplateItem.Enabled Example
TRzGroupTemplateItem


Raize Components 6

TRzGroupTemplateItem Events
TRzGroupTemplateItem

Public
OnClick


TRzGroupTemplateItem.FontColor

Declaration
property FontColor: TColor default clNone;

__property Graphics::TColor FontColor

Description

Use FontColor to override the default color used in displaying the text of the item's Caption. When FontColor is set to clNone (the default), the color specified in the owning group's Font property or ItemStaticFont property is used.


Raize Components 6

TRzGroupTemplateItem.FontColor Example
TRzGroupTemplateItem


TRzGroupTemplateItem.FontStyle

Declaration
property FontStyle: TFontStyles default[];

__property Graphics::TFontStyles FontStyle

Description

Use FontStyle to override the default font style used in displaying the text of the item's Caption. When FontStyle is set to [] (empty set--the default), the style specified in the owning group's Font property or ItemStaticFont property is used.


Raize Components 6

TRzGroupTemplateItem.FontStyle Example
TRzGroupTemplateItem


TRzGroupTemplateItem.Hint

Specifies the text to be displayed as a popup hint when the mouse is positioned over the control.

Declaration
property Hint: string;

__property AnsiString Hint

Description

Use the Hint property to provide a string of help text either as a Help Hint, or as help text on a particular location such as a status bar.

A Help Hint is a box containing help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily. To set up Help Hints:

· Specify the Hint property of each control for which a Help Hint should appear.

· Set the ShowHint property of each appropriate control to true, or set the ParentShowHint property of all controls to true and set the ShowHint property of the form to true.

· At runtime, set the value of the application's ShowHint property to true.

To show the Hint on a status bar or other location, use the OnHint event handler of the application. The applications OnHint event occurs when the mouse pointer moves over the control.

Specify a hint to be used for both a Help Hint box and by an OnHint handler by specifying two values separated by a | character (the vertical bar or symbol). For example,

Edit1.Hint := 'Name|Enter Name in the edit box';

The 'Name' part appears in the Help Hint box and the 'Enter full name in the edit box' part can be extracted using the GetLongHint function for use in an OnHint event handler.

If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint function. If a control has no Hint value specified, but its parent control does, the control uses the Hint value of the parent control (as long as the control's ShowHint property is true).

Note: If the application's ShowHint property is false, the Help Hint does not appear, but the OnHint event handler is still called.


Raize Components 6

TRzGroupTemplateItem.Hint Example
TRzGroupTemplateItem


TRzGroupTemplateItem.ImageIndex

Specifies the image to use when the control is in a normal state.

Declaration
property ImageIndex: TImageIndex default -1;

__property Imglist::TImageIndex ImageIndex

Description

Use ImageIndex to specify the image to be displayed when the control is in a normal state.


Raize Components 6

TRzGroupTemplateItem.ImageIndex Example
TRzGroupTemplateItem


TRzGroupTemplateItem.IndentLevel

Declaration
property IndentLevel: Byte default 0;

__property Byte IndentLevel

Description

Use IndentLevel to specify how far to indent the item. Each indent level represents the number of pixels specified in the group's ItemIndent property.


Raize Components 6

TRzGroupTemplateItem.IndentLevel Example
TRzGroupTemplateItem


TRzGroupTemplateItem.OnClick
TRzGroupTemplateItem Events

Declaration
property OnClick: TNotifyEvent;

__property Classes::TNotifyEvent OnClick

Description

Use the OnClick event handler to respond when the user clicks the control. If the control has an associated action, and that action has an OnExecute method, the actions OnExecute method responds to click events unless it is superseded by an OnClick event handler.


Raize Components 6

TRzGroupTemplateItem.OnClick Example
TRzGroupTemplateItem


TRzGroupTemplate.ItemPopupMenu

Declaration
property ItemPopupMenu: TPopupMenu;

__property Menus::TPopupMenu *ItemPopupMenu

Description

Use ItemPopupMenu to specify the popup menu that is to be displayed when the user right-clicks an item within a group created from this template.


Raize Components 6

TRzGroupTemplate.ItemPopupMenu Example
TRzGroupTemplate


Raize Components 6

TRzGroupTemplateItem Properties
TRzGroupTemplateItem

Public
Action
Caption
Data
DisabledIndex
Enabled
FontColor
FontStyle
Hint
ImageIndex
IndentLevel
Tag
Template
Visible


TRzGroupTemplateItems

Unit
RzGroupBar

Declaration
TRzGroupTemplateItems=Class(TCollection);

Description

TRzGroupTemplateItems is the collection class that manages a list of TRzGroupTemplateItem instances within a TRzGroupTemplate.


Raize Components 6

TRzGroupTemplate.Items Example
TRzGroupTemplate


TRzGroupTemplateItems.Add
TRzGroupTemplateItems Methods

Declaration
function Add: TRzGroupTemplateItem;

Description

Use the Add method to add a new item to the collection.


Raize Components 6

TRzGroupTemplateItems.Add Example
TRzGroupTemplateItems


TRzGroupTemplateItems.Items
TRzGroupTemplateItems Properties

Declaration
property Items[Index: Integer]: TRzGroupTemplateItem;

__property TRzGroupTemplateItem *Items[int Index]

Description

Use the Items property to access the invidual TRzGroupTemplateItem collection item objects from a TRzGroupTemplate.


Raize Components 6

TRzGroupTemplateItems.Items Example
TRzGroupTemplateItems


Raize Components 6

TRzGroupTemplateItems Methods
TRzGroupTemplateItems

Public
Add


Raize Components 6

TRzGroupTemplateItems Properties
TRzGroupTemplateItems

Public
Items


TRzGroupTemplateItem.Tag

Declaration
property Tag: Longint default 0;

__property long Tag

Description

Tag has no predefined meaning. The Tag property is provided for the convenience of developers. It can be used for storing an additional integer value or it can be typecast to any 32-bit value such as a component reference or a pointer.


Raize Components 6

TRzGroupTemplateItem.Tag Example
TRzGroupTemplateItem


TRzGroupTemplateItem.Template

Declaration
property Template: TRzGroupTemplate;

__property TRzGroupTemplate *Template

Description

Use Template to access the TRzGroupTemplate component that contains this item.


Raize Components 6

TRzGroupTemplateItem.Template Example
TRzGroupTemplateItem


TRzGroupTemplateItem.Visible

Determines if the control is visible at runtime.

Declaration
property Visible: Boolean default True;

__propertybool Visible

Description

Use the Visible property to control the visibility of the control at runtime. If Visible is True, the control appears. If Visible is False, the control is not visible.

Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.


Raize Components 6

TRzGroupTemplateItem.Visible Example
TRzGroupTemplateItem


Raize Components 6

TRzGroupTemplate Methods
TRzGroupTemplate

Public
AssignActionList


TRzGroupTemplate.OnItemPopupMenu
TRzGroupTemplate Events

Declaration
property OnItemPopupMenu: TRzGroupItemPopupMenuEvent;

Description

Use this event to assign an event handler for each group's OnItemPopupMenu event that is created from this template. The event is only raised in the context of a TRzGroup just the menu referenced by ItemPopupMenu is displayed for an item in the group. Use this event to make state changes or even assign differt menus to ItemPopupMenu.


Raize Components 6

TRzGroupTemplate.OnItemPopupMenu Example
TRzGroupTemplate


TRzGroupTemplate.Opened

Declaration
property Opened: Boolean default True;

__property bool Opened

Description

This property is True if the group is opened.


Raize Components 6

TRzGroupTemplate.Opened Example
TRzGroupTemplate


TRzGroupTemplate.PopupMenu

Declaration
property PopupMenu: TPopupMenu;

__property Menus::TPopupMenu *PopupMenu

Description

Use PopupMenu to specify the popup menu that is to be displayed when the user right-clicks in an area of a group created from this template that is not occupied by a group item.


Raize Components 6

TRzGroupTemplate.PopupMenu Example
TRzGroupTemplate


TRzGroupTemplate.PreviewOptions

Declaration
property PreviewOptions: TRzGroupTemplatePreviewOptions;

Description

The sub-property of PreviewOptions control various aspects of the preview group that is displayed when using the context menu for a TRzGroupTemplate. With PreviewOptions you can specify large and small image lists and the item style used in the group. When selecting Preview from the context menu, these options provide a more realistic appearance for the template.


Raize Components 6

TRzGroupTemplate.PreviewOptions Example
TRzGroupTemplate


Raize Components 6

TRzGroupTemplate Properties
TRzGroupTemplate

Public
About
CanClose
Caption
CaptionImageIndex
CaptionStyle
ItemPopupMenu
Items
Opened
PopupMenu
PreviewOptions
Special


TRzGroupTemplate.Special

Declaration
property Special: Boolean default False;

__property bool Special

Description

When Special is True, the group is treated as a special group, which means that the background color and font color of the group's caption bar are switched in order to highlight the group.


Raize Components 6

TRzGroupTemplate.Special Example
TRzGroupTemplate


TRzGroup.TopItem

Declaration
property TopItem: Integer;

__property int TopItem

Description

This property is used when the group's Style property is set to gbsOutlook, and specifically controls the item that is displayed at the top of the group. The scroll buttons that appear in a gbsOutlook style group internally change the top item index value. The TopItem property provides programmatic access to this same value.


Raize Components 6

TRzGroup.TopItem Example
TRzGroup


TRzItemSelectionStyle

Unit
RzGroupBar

Declaration
TRzItemSelectionStyle =(issImage, issCaption, issImageAndCaption);

Description

Value Meaning

issImage:

issCaption:

issImageAndCaption:


TRzItemStyle

Unit
RzGroupBar

Declaration
TRzItemStyle =(isSmall, isLarge);

enum TRzItemStyle isSmall, isLarge ;

Description

Value Meaning

isSmall:

isLarge:


TRzMouseOverItemEvent

Unit
RzGroupBar

Declaration
TRzMouseOverItemEvent=procedure(Sender: TObject; Item: TRzGroupItem) of object;

typedef void __fastcall(__closure *TRzMouseOverItemEvent)(System::TObject *Sender, TRzGroupItem* Item);

Description

.


RzIntLst

RzIntLst File
List of Units

Unit Classes

EOutOfRange
TRzIntegerList


EOutOfRange

Unit
RzIntLst

Declaration
EOutOfRange=class(EListError);

Description

This exception is generated when an integer that is added to a TRzIntegerList exceeds the range defined by the Min and Max values.


TRzIntegerList

Unit
RzIntLst

Description

Use TRzIntegerList to manage a list of integer values in a data-structure similar to a TStringList.


TRzIntegerList.Add

Declaration
function Add(Value: Longint): Integer;

virtual int __fastcall Add(int Value)

Description

Use Add to add an integer to the list.


Raize Components 6

TRzIntegerList.Add Example
TRzIntegerList


TRzIntegerList.AddIntegers

Declaration
procedure AddIntegers(List: TRzIntegerList);

virtual void __fastcall AddIntegers(TRzIntegerList *List)

Description

Use AddIntegers to add all the integer values from another integer list into this instance.


Raize Components 6

TRzIntegerList.AddIntegers Example
TRzIntegerList


TRzIntegerList.Clear

Declaration
procedure Clear;

virtual void __fastcall Clear(void

Description

Clears the list of integer values.


Raize Components 6

TRzIntegerList.Clear Example
TRzIntegerList


TRzIntegerList.Count

Declaration
property Count: Integer;

__property int Count

Description

Returns the number of integer values in the list.


Raize Components 6

TRzIntegerList.Count Example
TRzIntegerList


TRzIntegerList.Delete

Declaration
procedure Delete(Index: Integer);

virtual void __fastcall Delete(int Index)

Description

Delete an integer value from the list.


Raize Components 6

TRzIntegerList.Delete Example
TRzIntegerList


TRzIntegerList.Duplicates

Declaration
property Duplicates: TDuplicates;

__property Classes::TDuplicates Duplicates

Description

Use Duplicates to specify how duplicate values should be handled.


Raize Components 6

TRzIntegerList.Duplicates Example
TRzIntegerList


TRzIntegerList.Equals

Declaration
function Equals(List: TRzIntegerList): Boolean;

bool __fastcall Equals(TRzIntegerList *List)

Description

Tests if two integer values are equal.


Raize Components 6

TRzIntegerList.Equals Example
TRzIntegerList


TRzIntegerList.Exchange

Declaration
procedure Exchange(Index1, Index2: Integer);

virtual void __fastcall Exchange(int Index1, int Index2)

Description

Exchanges two integer values.


Raize Components 6

TRzIntegerList.Exchange Example
TRzIntegerList


TRzIntegerList.IndexOf

Declaration
function IndexOf(N: Longint): Integer;

virtual int __fastcall IndexOf(int N)

Description

Returns the index into the list of the specified integer value.


Raize Components 6

TRzIntegerList.IndexOf Example
TRzIntegerList


TRzIntegerList.Insert

Declaration
procedure Insert(Index: Integer; Value: Longint);

virtual void __fastcall Insert(int Index, int Value)

Description

Insert an integer value into a specific location in the list.


Raize Components 6

TRzIntegerList.Insert Example
TRzIntegerList


TRzIntegerList.Items

Declaration
property Items[Index: Integer]: Longint;

__property int Items[int Index]

Description

This property provides access to the list of integer values.


Raize Components 6

TRzIntegerList.Items Example
TRzIntegerList


TRzIntegerList.Max

Specifies a maximum value for a range.

Declaration
property Max: Longint;

__property int Max

Description

For track bars, use this property to specify the maximum position along the track.

For spin edits and numeric edits, use this property to specify the maximum value that can be entered.


Raize Components 6

TRzIntegerList.Max Example
TRzIntegerList


Raize Components 6

TRzIntegerList Methods
TRzIntegerList

Public
Add
AddIntegers
Clear
Delete
Equals
Exchange
IndexOf
Insert
Move


TRzIntegerList.Min

Specifies a minimum value for a range.

Declaration
property Min: Longint;

__property int Min

Description

For track bars, use this property to specify the minimum position along the track.

For spin edits, use this property to specify the minimum value that can be entered.


Raize Components 6

TRzIntegerList.Min Example
TRzIntegerList


TRzIntegerList.Move

Declaration
procedure Move(CurIndex, NewIndex: Integer);

virtual void __fastcall Move(int CurIndex, int NewIndex)

Description

Moves the specified item to a new location in the list.


Raize Components 6

TRzIntegerList.Move Example
TRzIntegerList


Raize Components 6

TRzIntegerList Properties
TRzIntegerList

Public
Count
Duplicates
Items
Max
Min
Sorted


TRzIntegerList.Sorted

Declaration
property Sorted: Boolean;

__property bool Sorted

Description

This property determines whether or not the list of integer values is sorted.


Raize Components 6

TRzIntegerList.Sorted Example
TRzIntegerList


RzLabel

RzLabel File
List of Units

Unit Classes

TCenterPoint |
TRotation |
TRzCondenseCaption |
TRzLabel | TRzLabel is a graphical control for displaying text.
TRzURLLabel | TRzURLLabel is a specialized TRzLabel control for presenting clickable URL links on a form.


TCenterPoint

Unit
RzLabel

Declaration
TCenterPoint =(cpUpperLeft, cpUpperCenter, cpUpperRight, cpLeftCenter, cpCenter, cpRightCenter, cpLowerLeft, cpLowerCenter, cpLowerRight);

enum TCenterPoint cpUpperLeft, cpUpperCenter, cpUpperRight, cpLeftCenter, cpCenter, cpRightCenter, cpLowerLeft, cpLowerCenter, cpLowerRight ;

Description

Value Meaning

cpUpperLeft:

cpUpperCenter:

cpUpperRight:

cpLeftCenter:

cpCenter:

cpRightCenter:

cpLowerLeft:

cpLowerCenter:

cpLowerRight:


TRotation

Unit
RzLabel

Declaration
TRotation =(roNone, roFlat, roCurve);

enum TRotation roNone, roFlat, roCurve ;

Description

Value Meaning

roNone:

roFlat:

roCurve:


TRzCondenseCaption

Unit
RzLabel

Declaration
TRzCondenseCaption =(ccNone, ccAtEnd, ccWithinPath);

Description

Value Meaning

ccNone:

ccAtEnd:

ccWithinPath:


TRzLabel.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzLabel.About Example
TRzLabel


TRzLabel.Angle

Declaration
property Angle: Integer default 0;

__property int Angle

Description

Use this property to specify the angle used to rotate the label.


Raize Components 6

TRzLabel.Angle Example
TRzLabel


TRzLabel.BevelWidth

Specifies the width in pixels of bevel.

Declaration
property BevelWidth: Integer default 1;

__property int BevelWidth

Description

Use BevelWidth to specify how wide the inner or outer bevel should be. Do not confuse BevelWidth, which is the width of the bevels, with BorderWidth, which is the space between the bevels.

If both the BevelInner and BevelOuter properties are bvNone, BevelWidth has no effect. To remove both bevels, set the BevelInner and BevelOuter properties to bvNone, rather than setting the BevelWidth to 0, as this involves less overhead when painting.


Raize Components 6

TRzLabel.BevelWidth Example
TRzLabel


TRzLabel.BlinkColor

Specifies color of control when blinking.

Declaration
property BlinkColor: TColor default clHighlight;

__property Graphics::TColor BlinkColor

Description

This property determines the color the Caption of the component is drawn in when BlinkState is bsOn.


Raize Components 6

TRzLabel.BlinkColor Example
TRzLabel


TRzLabel.Blinking

Controls whether component's text blinks.

Declaration
property Blinking: Boolean default False;

__property bool Blinking

Description

When this property is True, the Caption of the component will periodically be drawn using the BlinkColor value to give the appearance that the component is blinking. When Blinking is False, the Caption appears only in the color specified in Font.Color.


Raize Components 6

TRzLabel.Blinking Example
TRzLabel


TRzLabel.BlinkIntervalOff

Specifies delay when a blinking caption is off.

Declaration
property BlinkIntervalOff: Word default 500;

__property Word BlinkIntervalOff

Description

This property controls how long (in milliseconds) a blinking caption stays in the bsOff BlinkState.


Raize Components 6

TRzLabel.BlinkIntervalOff Example
TRzLabel


TRzLabel.BlinkIntervalOn

Specifies delay when a blinking caption is on.

Declaration
property BlinkIntervalOn: Word default 500;

__property Word BlinkIntervalOn

Description

This property controls how long (in milliseconds) a blinking caption stays in the bsOn BlinkState.


Raize Components 6

TRzLabel.BlinkIntervalOn Example
TRzLabel


TRzLabel.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Declaration
property BorderColor: TColor default clBtnFace;

__property Graphics::TColor BorderColor

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

TRzLabel.BorderColor Example
TRzLabel


TRzLabel.BorderHighlight

Specifies the color used to display highlighted portions of the border.

Declaration
property BorderHighlight: TColor default clBtnHighlight;

__property Graphics::TColor BorderHighlight

Description

Use this property to specify the color used when painting highlighted portions of the border.


Raize Components 6

TRzLabel.BorderHighlight Example
TRzLabel


TRzLabel.BorderInner

Specifies the style of the inner border.

Declaration
property BorderInner: TFrameStyleEx default fsNone;

__property Rzcommon::TFrameStyle BorderInner

Description

Use this property to change the style of the inner border used by a component.


Raize Components 6

TRzLabel.BorderInner Example
TRzLabel


TRzLabel.BorderOuter

Specifies the style of the outer border.

Declaration
property BorderOuter: TFrameStyleEx default fsNone;

__property Rzcommon::TFrameStyle BorderOuter

Description

Use this property to change the style of the outer border used by a component.


Raize Components 6

TRzLabel.BorderOuter Example
TRzLabel


TRzLabel.BorderShadow

Specifies the color used to display shadow portions of the border.

Declaration
property BorderShadow: TColor default clBtnShadow;

__property Graphics::TColor BorderShadow

Description

Use this property to specify the color used when painting shadowed portions of the border.


Raize Components 6

TRzLabel.BorderShadow Example
TRzLabel


TRzLabel.BorderSides

Specifies which sides of the border are visible.

Declaration
property BorderSides: TSides default[sdLeft, sdTop, sdRight, sdBottom];

__property Rzcommon::TSides BorderSides

Description

Use this property to select which sides of the component will display a border.


Raize Components 6

TRzLabel.BorderSides Example
TRzLabel


TRzLabel.BorderWidth

Specifies the width of the border.

Declaration
property BorderWidth: Integer default 0;

__property int BorderWidth

Description

Use BorderWidth to specify how wide the border around the panel should be. A value of 0 (zero) means no border should appear.

The border of a panel is the area between the outer and inner bevels. It is visible only if the inner bevel is raised or lowered, but affects the inset of the caption within the panel even if BevelInner is bvNone. If the Alignment property is not taCenter, the Caption will be aligned to the inner edge of the border. This edge is BorderWidth pixels in from the outer bevel if BevelInner is bvNone. It is the inner edge of the inner bevel otherwise.

Do not confuse the border of the panel with line drawn around the panel itself. The line around the panel is specified by the BorderStyle property.


Raize Components 6

TRzLabel.BorderWidth Example
TRzLabel


TRzLabel.CenterPoint

Declaration
property CenterPoint: TCenterPoint default cpCenter;

__property TCenterPoint CenterPoint

Description

This property is used to change the origin of the curve used when drawing the label when the Rotation property is set to roCurve. The center position can be any one of the nine locations defined by the bounding rectangle.

cpUpperLeft cpUpperCenter cpUpperRight,

cpLeftCenter cpCenter cpRightCenter,

cpLowerLeft cpLowerCenter cpLowerRight


Raize Components 6

TRzLabel.CenterPoint Example
TRzLabel


TRzLabel.CondenseCaption

Use CondenseCaption to display the Caption in an alternate form when it is too long for the display area.

Declaration
property CondenseCaption: TRzCondenseCaption default ccNone;

Description

This property is used to display the contents of the Caption differently in situations where the Caption is too long for the display area. When set to ccAtEnd, if the Caption does not fit within the control's bounds, the end of the string is replaced with an ellipsis (...). When set to ccWithinPath, if the Caption is condensed so that the start and end of the path string is displayed within the bounds of the control.


Raize Components 6

TRzLabel.CondenseCaption Example
TRzLabel


Raize Components 6

TRzLabel Events
TRzLabel

Public
OnMouseEnter
OnMouseLeave


TRzLabel.FlatColor

Specifies the color to be used in drawing flat borders.

Declaration
property FlatColor: TColor default clBtnShadow;

__property Graphics::TColor FlatColor

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

TRzLabel.FlatColor Example
TRzLabel


TRzLabel.FlatColorAdjustment

Determines if the FlatColor property value is adjusted to be either lighter or darker.

Declaration
property FlatColorAdjustment: Integer default 30;

Description

Use FlatColorAdjustment to lighten or darken the FlatColor used for the border of a control when the border is fsFlat. This property is used in TRzGroupBox components and TRzStatusPane components to allow the color of the border to be a lighter shade of the clBtnShadow color.


Raize Components 6

TRzLabel.FlatColorAdjustment Example
TRzLabel


TRzLabel.FlyByColor

Specifies the color used to display the caption when the mouse is position over the control.

Declaration
property FlyByColor: TColor default clHighlight;

__property Graphics::TColor FlyByColor

Description

Use this property to specify the color the label should change to when the mouse is positioned over the label. This property is only used when the FlyByEnabled property is True.


Raize Components 6

TRzLabel.FlyByColor Example
TRzLabel


TRzLabel.FlyByEnabled

Determines if the control will display its caption differently when the mouse is moved over the control.

Declaration
property FlyByEnabled: Boolean default False;

__property bool FlyByEnabled

Description

When this property is set to True, the label will change the font color to that specified in the FlyByColor property whenever the mouse is positioned over the label.


Raize Components 6

TRzLabel.FlyByEnabled Example
TRzLabel


TRzLabel.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzLabel.FrameController Example
TRzLabel


TRzLabel.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzLabel.FrameControllerNotifications Example
TRzLabel


TRzLabel.HighlightColor

Specifies the color used to display a "selected" portion of the control.

Declaration
property HighlightColor: TColor default clBtnHighlight;

__property Graphics::TColor HighlightColor

Description

Use HighlightColor to specify the color to be used to draw a highlighted portion of the control. For radio buttons and check boxes, this would be the check or dot. For page controls and tab controls, this would be the highlight bar at the edge of the tab.


Raize Components 6

TRzLabel.HighlightColor Example
TRzLabel


TRzLabel.Layout

Declaration
property Layout: TTextLayout default tlTop;

__property Stdctrls::TTextLayout Layout

Description

For Labels, set Layout to specify how the text of the label is placed within the ClientRect of the label control. Layout can be one of the following values:

Value Meaning

tlTop The text appears at the top of the label.

tlCenter The text is vertically centered in the label.

tlBottom The text appears along the bottom of the label.


Raize Components 6

TRzLabel.Layout Example
TRzLabel


TRzLabel.LightTextStyle

Determines if 3D appearance of text is made to be more subtle.

Declaration
property LightTextStyle: Boolean default False;

__property bool LightTextStyle

Description

When this property is set to True, only the HighlightColor is used to give the caption a three dimensional appearance.


Raize Components 6

TRzLabel.LightTextStyle Example
TRzLabel


TRzLabel.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzLabel.OnMouseEnter Example
TRzLabel


TRzLabel.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzLabel.OnMouseLeave Example
TRzLabel


Raize Components 6

TRzLabel Properties
TRzLabel

Public
About
Angle
BevelWidth
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
CenterPoint
Color
CondenseCaption
FlatColor
FlatColorAdjustment
FlyByColor
FlyByEnabled
FrameController
FrameControllerNotifications
HighlightColor
Layout
LightTextStyle
Rotation
ShadowColor
ShadowDepth
TextMargin
TextStyle


TRzLabel.Rotation

Declaration
property Rotation: TRotation default roNone;

__property TRotation Rotation

Description

This property determines how the label is rotated. When Rotation is set to roNone, no rotation is performed. When set to roFlat, the label is rotated within the center of the bounding rectangle at the angle specified in the Angle property. When Rotation is set to roCurve, the label is displayed along the curve defined by the bounding rectangle. The CenterPoint property can be used to alter the curve.


Raize Components 6

TRzLabel.Rotation Example
TRzLabel


TRzLabel.ShadowColor

Specifies the color to be used in displaying (3D) shadow areas of text.

Declaration
property ShadowColor: TColor default clBtnShadow;

__property Graphics::TColor ShadowColor

Description

Use this property to specify the shadow color used in the 3D text styles.


Raize Components 6

TRzLabel.ShadowColor Example
TRzLabel


TRzLabel.ShadowDepth

Specifies the depth (in pixels) the text shadow appears below the text.

Declaration
property ShadowDepth: Integer default 2;

__property int ShadowDepth

Description

Use this property to specify how far down and to the right the shadow text will be displayed from the main text. This property is only applicable when TextStyle is set to tsShadow.


Raize Components 6

TRzLabel.ShadowDepth Example
TRzLabel


TRzLabel.TextMargin

Declaration
property TextMargin: Integer default 0;

__property int TextMargin=default=0

Description

This property controls the amount of space between the inside border of the control (or edge of control if no borders are visible) and the Caption's display area.


Raize Components 6

TRzLabel.TextMargin Example
TRzLabel


TRzLabel.TextStyle

Specifies the 3D style used to display the control's Caption.

Declaration
property TextStyle: TTextStyle default tsNormal;

__property Rzcommon::TTextStyle TextStyle

Description

Use this property to change the 3D style of the component's caption. The four possible values are: tsNormal, tsRaised, tsRecessed, and tsShadow.


Raize Components 6

TRzLabel.TextStyle Example
TRzLabel


TRzURLLabel.Click
TRzURLLabel Methods

Declaration
procedure Click; override;

Description

Call Click to invoke the link specified in the control's Caption or in the URL property.


Raize Components 6

TRzURLLabel.Click Example
TRzURLLabel


Raize Components 6

TRzURLLabel Methods
TRzURLLabel

Public
Click


Raize Components 6

TRzURLLabel Properties
TRzURLLabel

Public
Cursor
TextStyle
UnvisitedColor
URL
Visited
VisitedColor


TRzURLLabel.UnvisitedColor

Declaration
property UnvisitedColor: TColor default clHighlight;

__property Graphics::TColor UnvisitedColor

Description

Use this property to specify the color to be used to draw the Caption of a TRzURLLabel that has not yet been clicked on by the user. The default value is clHighlight.


Raize Components 6

TRzURLLabel.UnvisitedColor Example
TRzURLLabel


TRzURLLabel.URL

Declaration
property URL: string;

__property AnsiString URL

Description

Use this property if you would like to display a different name for the link. That is, specify the link in this property and then use the Caption property to specify the custom display string. The following tables shows examples of how to format a link:

Web page 'http://www.raize.com'

Email 'mailto:support@raize.com?subject=RC3'

File 'C:

This component allows you to provide a hyperlink to a web page, an email address, or a file. Simply drop the control on a form and set the Caption property to the link for example:


Raize Components 6

TRzURLLabel.URL Example
TRzURLLabel


TRzURLLabel.Visited

Declaration
property Visited: Boolean default False;

__property bool Visited

Description

This property indicates whether or not the user has visited the link specified in the label by clicking on the label. When Visited is False, the label's Caption is drawn using the UnvisitedColor, and when Visited is True, the VisitedColor is used.


Raize Components 6

TRzURLLabel.Visited Example
TRzURLLabel


TRzURLLabel.VisitedColor

Declaration
property VisitedColor: TColor default clPurple;

__property Graphics::TColor VisitedColor

Description

Use this property to specify the color to be used to draw the Caption of a TRzURLLabel that has been clicked on by the user. The default value is clPurple.


Raize Components 6

TRzURLLabel.VisitedColor Example
TRzURLLabel


RzLaunch

RzLaunch File
List of Units

Unit Classes

TRzLauncher | TRzLauncher is a nonvisual component for executing another application.
TRzLaunchErrorEvent |
TRzWaitType |
TShowMode |


TRzLauncher.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzLauncher.About Example
TRzLauncher


TRzLauncher.Action

Determines what happens when the associated files is launched.

Declaration
property Action: string;

__property AnsiString Action

Description

Use this property to specify the operation that is to be performed. By default, the action performed is open. The other common operation is print. Under Windows 95/98 and Windows NT, Action can be set to Explore, which will cause an Explorer window to open to the path specified in FileName property.


Raize Components 6

TRzLauncher.Action Example
TRzLauncher


Raize Components 6

TRzLauncher Events
TRzLauncher

Public
OnError
OnFinished
OnTimeout


TRzLauncher.Execute

Declaration
function Execute: DWord; virtual;

virtual unsigned __fastcall Execute(void);

Description

Use the Execute method to start the specified process (FileName ) without monitoring for termination. That is, the Execute method simply starts the specified process and does not wait until it finishes. Also, unlike the Launch method, you can execute multiple times without waiting for the previous instance of the process to complete.


Raize Components 6

TRzLauncher.Execute Example
TRzLauncher


TRzLauncher.ExitCode

Declaration
property ExitCode: DWord;

__property unsigned ExitCode

Description

This read-only property is only available under Win32, and is populated with the return value of the launched process when it terminates.


Raize Components 6

TRzLauncher.ExitCode Example
TRzLauncher


TRzLauncher.FileName

Declaration
property FileName: string;

__property AnsiString FileName

Description

Use this property to designate which file to execute. If a full path is not specified, the current search path is used.

NOTE: The TRzLauncher uses the Windows ShellExecute function to launch the application in Delphi 1.0, and ShellExecuteEx under 32-bit versions of Delphi and C++Builder. This means that the FileName can be set to any file that has a corresponding association registered with Windows. For example, setting FileName to 'README.TXT' will invoke the NotePad when launched.


Raize Components 6

TRzLauncher.FileName Example
TRzLauncher


TRzLauncher.GetErrorMsg

Declaration
function GetErrorMsg(ErrorCode: DWord): string;

AnsiString __fastcall GetErrorMsg(unsigned ErrorCode)

Description

This OnError event is generated when an error occurs launching the specified application. The event handler is passed an ErrorCode identifying the problem and the GetErrorMsg method can be used to return a string representation of the error code.


Raize Components 6

TRzLauncher.GetErrorMsg Example
TRzLauncher


TRzLauncher.HInstance

Declaration
property HInstance: THandle;

__property unsigned HInstance

Description

Run-time and read only. When the selected application is launched, this property provides access to the application instance handle of the currently launched program. When the application terminates (and before one is launched), this property is set to zero.


Raize Components 6

TRzLauncher.HInstance Example
TRzLauncher


TRzLauncher.HProcess

Declaration
property HProcess: THandle;

__property unsigned HProcess

Description

This read-only property is only available under Win32, and is populated with the handle of the process once it is launched, otherwise it is zero.


Raize Components 6

TRzLauncher.HProcess Example
TRzLauncher


TRzLauncher.Launch

Declaration
procedure Launch; virtual;

virtual void __fastcall Launch(void)

Description

Under Windows 95/98 or Windows NT, this method uses the ShellExecuteEx API function to execute the application specified by the FileName property. If the launch was successful, the HProcess property is set to the handle of the new process. If the WaitUntilFinished property is True, the parent process sleeps until the launched process completes. If the WaitUntilFinished property is False, the launched process is executed in its own thread, and the parent process continues to execute.


Raize Components 6

TRzLauncher.Launch Example
TRzLauncher


Raize Components 6

TRzLauncher Methods
TRzLauncher

Public
Execute
GetErrorMsg
Launch


TRzLauncher.OnError

Declaration
property OnError: TRzLaunchErrorEvent;

__property TRzLaunchErrorEvent OnError

Description

This event is generated when an error occurs launching the specified application. The event handler is passed an ErrorCode identifying the problem and the new GetErrorMsg method can be used to return a string representation of the error code.


Raize Components 6

TRzLauncher.OnError Example
TRzLauncher


TRzLauncher.OnFinished

Declaration
property OnFinished: TNotifyEvent;

__property Classes::TNotifyEvent OnFinished

Description

This event is generated when the launched application is terminated. This gives the application that launched the program a way of determining when the other application ends.


Raize Components 6

TRzLauncher.OnFinished Example
TRzLauncher


TRzLauncher.OnTimeout

Declaration
property OnTimeout: TNotifyEvent;

__property Classes::TNotifyEvent OnTimeout

Description

This event occurs whenever a process launched by TRzLauncher takes longer than the Timeout value to terminate.


Raize Components 6

TRzLauncher.OnTimeout Example
TRzLauncher


TRzLauncher.Parameters

Declaration
property Parameters: string;

__property AnsiString Parameters

Description

This property is used to specify the parameters that are passed to the selected application. For example, if the FileName property is set to "NOTEPAD.EXE," the Parameters property could be set to "WIN.INI." In this case, when the application is launched, the WIN.INI file will be loaded into NotePad.


Raize Components 6

TRzLauncher.Parameters Example
TRzLauncher


Raize Components 6

TRzLauncher Properties
TRzLauncher

Public
About
Action
ExitCode
FileName
HInstance
HProcess
Parameters
Running
ShowMode
StartDir
Timeout
WaitType
WaitUntilFinished


TRzLaunchErrorEvent

Unit
RzLaunch

Declaration
TRzLaunchErrorEvent=procedure(Sender: TObject; ErrorCode: DWord) of object;

Description

.


TRzLauncher.Running

Declaration
property Running: Boolean;

__property bool Running

Description

Use this property to determine if the component is currently running some other process.


Raize Components 6

TRzLauncher.Running Example
TRzLauncher


TRzLauncher.ShowMode

Declaration
property ShowMode: TShowMode default smNormal;

__property TShowMode ShowMode

Description

The initial state of the launched applications main window can be specified using this property. The application can be started in its normal state, maximized, minimized, or hidden.


Raize Components 6

TRzLauncher.ShowMode Example
TRzLauncher


TRzLauncher.StartDir

Declaration
property StartDir: string;

__property AnsiString StartDir

Description

This property can be used to change the default starting directory for the application. If empty, the application starts in the same directory that contains the executable file.


Raize Components 6

TRzLauncher.StartDir Example
TRzLauncher


TRzLauncher.Timeout

Declaration
property Timeout: Integer;

__property int Timeout

Description

This property is only available under Win32. Use this property to specify a time limit (in milliseconds) to wait for the launched process to terminate. If set to INFINITE (-1), the launcher will wait indefinitely for the process to terminate. When the timeout limit is reached, the OnTimeout event is generated.


Raize Components 6

TRzLauncher.Timeout Example
TRzLauncher


TRzLauncher.WaitType

Declaration
property WaitType: TRzWaitType default wtFullStop;

__property TRzWaitType WaitType

Description

When WaitUntilFinished is True, the new WaitType property controls whether the application completely stops, while waiting for the launched process to finish (wtFullStop), or to continue processing messages while waiting for the launched process to finish (wtProcessMessages).


Raize Components 6

TRzLauncher.WaitType Example
TRzLauncher


TRzLauncher.WaitUntilFinished

Declaration
property WaitUntilFinished: Boolean default False;

__property bool WaitUntilFinished

Description

Use this property to specify what your program should do while the launched process is executing. If the WaitUntilFinished property is True, the parent process sleeps until the launched process completes. If the WaitUntilFinished property is False, the launched process is executed in its own thread, and the parent process continues to execute.


Raize Components 6

TRzLauncher.WaitUntilFinished Example
TRzLauncher


TRzWaitType

Unit
RzLaunch

Declaration
TRzWaitType =(wtFullStop, wtProcessMessages);

Description

Value Meaning

wtFullStop:

wtProcessMessages:


TShowMode

Unit
RzLaunch

Declaration
TShowMode =(smNormal, smMaximized, smMinimized, smHide);

Description

Value Meaning

smNormal:

smMaximized:

smMinimized:

smHide:


RzLine

RzLine File
List of Units

Unit Classes

TRzLine | TRzLine is a graphical control for displaying a line between two points with optional arrows.
TRzLineSlope |
TRzShowArrows |


TRzLine.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzLine.About Example
TRzLine


TRzLine.ArrowLength

Declaration
property ArrowLength: Integer default 10;

__property int ArrowLength

Description

Use ArrowLength to specify how big the arrows should be.


Raize Components 6

TRzLine.ArrowLength Example
TRzLine


Raize Components 6

TRzLine Events
TRzLine

Public


TRzLine.LineColor

Declaration
property LineColor: TColor default clWindowText;

__property Graphics::TColor LineColor

Description

Use LineColor to specify the color of the line to be displayed.


Raize Components 6

TRzLine.LineColor Example
TRzLine


TRzLine.LineSlope

Declaration
property LineSlope: TRzLineSlope default lsDown;

__property TRzLineSlope LineSlope

Description

Use LineSlope to specify whether the line connects the Upper-Left corner to the Lower-Right corner, or whether the Lower-Left corner connects to the Upper-Right corner.


Raize Components 6

TRzLine.LineSlope Example
TRzLine


TRzLine.LineStyle

Declaration
property LineStyle: TPenStyle default psSolid;

__property Graphics::TPenStyle LineStyle

Description

Use LineStyle to change the way in which the line is displayed.


Raize Components 6

TRzLine.LineStyle Example
TRzLine


TRzLine.LineWidth

Declaration
property LineWidth: Integer default 1;

__property int LineWidth

Description

Use LineWidth to change the thickness of the line. Please note that LineWidth can only be set to odd values in order to ensure that the line remains centered against the arrrows.


Raize Components 6

TRzLine.LineWidth Example
TRzLine


Raize Components 6

TRzLine Properties
TRzLine

Public
About
Align
Anchors
ArrowLength
Constraints
DragCursor
DragKind
DragMode
LineColor
LineSlope
LineStyle
LineWidth
ParentShowHint
PopupMenu
ShowArrows
ShowHint
Visible


TRzLine.ShowArrows

Declaration
property ShowArrows: TRzShowArrows default saNone;

__property TRzShowArrows ShowArrows

Description

Use ShowArrows to specify which ends, if any, should have arrows drawn.


Raize Components 6

TRzLine.ShowArrows Example
TRzLine


TRzLineSlope

Unit
RzLine

Declaration
TRzLineSlope =(lsDown, lsUp);

enum TRzLineSlope lsDown, lsUp ;

Description

Value Meaning

lsDown:

lsUp:


TRzShowArrows

Unit
RzLine

Declaration
TRzShowArrows =(saNone, saStart, saEnd, saBoth);

Description

Value Meaning

saNone:

saStart:

saEnd:

saBoth:


RzListVw

RzListVw File
List of Units

Unit Classes

TRzCustomListView |
TRzListView | TRzListView is an enhanced list view.
TRzLVCheckStateChanging |
TRzLVDrawHeaderEvent |
TRzLVHeaderSortDisplayMode |
TRzLVOnItemContextMenuEvent |
TRzLVSortDirection |


TRzCustomListView

Unit
RzListVw

Declaration
TRzCustomListView=Class(TCustomListView);

__property TRzLVSortDirection HeaderSortDirection

Description

Use this property to change the direction of the sort icon.


TRzCustomListView.AlphaSortAll

Determines if clicking a column header will sort the column.

Declaration
property AlphaSortAll: Boolean default False;

__property bool AlphaSortAll

Description

When this property is set to True, the list view will automatically sort the list alphabetically based on the column clicked on by the user.


Raize Components 6

TRzCustomListView.AlphaSortAll Example
TRzCustomListView


TRzCustomListView.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzCustomListView.DisabledColor Example
TRzCustomListView


TRzCustomListView.EditItemCaption

Use EditItemCaption to place the specified list item in edit mode.

Declaration
function EditItemCaption(Item: TListItem): Boolean;

bool __fastcall EditItemCaption(Comctrls::TListItem *Item)

Description

Use EditItemCaption to place the specified list item in edit mode.


Raize Components 6

TRzCustomListView.EditItemCaption Example
TRzCustomListView


TRzCustomListView.EditOnRowClick

Determines if clicking anywhere on the row will put the item into edit mode.

Declaration
property EditOnRowClick: Boolean default False;

__property bool EditOnRowClick

Description

This property is only used when RowSelect is set to True and ViewStyle is vsReport. Under these circumstances, when EditOnRowClick is True, the list item is placed into edit mode if the user clicks anywhere on the row. When this property is set to False, the list item is placed into edit mode only if the user clicks on the first column.


Raize Components 6

TRzCustomListView.EditOnRowClick Example
TRzCustomListView


TRzCustomListView.EditSelectedCaption

Use EditSelectedCaption to place the selected list item in edit mode.

Declaration
function EditSelectedCaption: Boolean;

bool __fastcall EditSelectedCaption(void)

Description

Use EditSelectedCaption to place the selected list item in edit mode.


Raize Components 6

TRzCustomListView.EditSelectedCaption Example
TRzCustomListView


Raize Components 6

TRzCustomListView Events
TRzCustomListView

Public
OnCheckStateChange
OnCheckStateChanging
OnDrawHeader
OnItemContextMenu
OnMouseEnter
OnMouseLeave

Protected
OnCheckStateChange
OnCheckStateChanging
OnDrawHeader
OnItemContextMenu
OnMouseEnter
OnMouseLeave


TRzCustomListView.FillLastColumn

Determines if the last columns attempts to fill empty space.

Declaration
property FillLastColumn: Boolean default True;

__property bool FillLastColumn

Description

This property is only used when RowSelect is set to True and ViewStyle is vsReport. Under these circumstances, when FillLastColumn is True, the list view will automatically resize the last column so that it fills any extra space left in the client area. This property has no effect if the total width of all columns exceeds the width of the list view control.


Raize Components 6

TRzCustomListView.FillLastColumn Example
TRzCustomListView


TRzCustomListView.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzCustomListView.FocusColor Example
TRzCustomListView


TRzCustomListView.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzCustomListView.FrameColor Example
TRzCustomListView


TRzCustomListView.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzCustomListView.FrameController Example
TRzCustomListView


TRzCustomListView.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzCustomListView.FrameControllerNotifications Example
TRzCustomListView


TRzCustomListView.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzCustomListView.FrameHotColor Example
TRzCustomListView


TRzCustomListView.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzCustomListView.FrameHotStyle Example
TRzCustomListView


TRzCustomListView.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzCustomListView.FrameHotTrack Example
TRzCustomListView


TRzCustomListView.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzCustomListView.FrameSides Example
TRzCustomListView


TRzCustomListView.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzCustomListView.FrameStyle Example
TRzCustomListView


TRzCustomListView.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzCustomListView.FrameVisible Example
TRzCustomListView


TRzCustomListView.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzCustomListView.FramingPreference Example
TRzCustomListView


TRzCustomListView.HeaderCanvas

Declaration
property HeaderCanvas: TCanvas;

Description

Provides access to the TCanvas object used to display the header.


Raize Components 6

TRzCustomListView.HeaderCanvas Example
TRzCustomListView


TRzCustomListView.HeaderDefaultDrawing

Determines if the header cells are drawn by the control.

Declaration
property HeaderDefaultDrawing: Boolean default True;

__property bool HeaderDefaultDrawing;

Description

When HeaderDefaultDrawing is set to True (the default), the header area for the columns of the list view will be drawn by the control. This is useful, when you want to hook into the drawing of the header area, but do not want to be responsible for drawing the entire header.


Raize Components 6

TRzCustomListView.HeaderDefaultDrawing Example
TRzCustomListView


TRzCustomListView.HeaderSortColumn

Specifies column to display sort indicator.

Declaration
property HeaderSortColumn: Integer default -1;

__property int HeaderSortColumn

Description

Use this property to set which column will show the sort icon. Columns are counted with a 0-base, i.e. the first column is column 0.

Set HeaderSortColumn to -1 to hide the sort indicator. Alternatively, use the HeaderSortDirection property to hide the sort indicator.

This property does not cause the execution of any sorting. It is purely a visual property.


Raize Components 6

TRzCustomListView.HeaderSortColumn Example
TRzCustomListView


TRzCustomListView.HeaderSortDirection

Specifies the sort direction icon.

Declaration
property HeaderSortDirection: TRzLVSortDirection default sdAscending;

__property TRzLVSortDirection HeaderSortDirection

Description

Use this property to change the direction of the sort icon.


Raize Components 6

TRzCustomListView.HeaderSortDirection Example
TRzCustomListView


TRzCustomListView.HeaderSortDisplayMode

Specifies location of sort icon.

Declaration
property HeaderSortDisplayMode: TRzLVHeaderSortDisplayMode default hsdmRightOfText;

__property TRzLVHeaderSortDisplayMode HeaderSortDisplayMode

Description

Use this property to change where the sort icon is placed relative to the text in the header.


Raize Components 6

TRzCustomListView.HeaderSortDisplayMode Example
TRzCustomListView


Raize Components 6

TRzCustomListView Methods
TRzCustomListView

Public
EditItemCaption
EditSelectedCaption
SortByColumn


TRzCustomListView.OnCheckStateChange

Occurs when check state of item has changed.

Declaration
property OnCheckStateChange: TLVNotifyEvent;

__property Comctrls::TLVNotifyEvent OnCheckStateChange

Description

This event is generated when the check state of an item has changed.


Raize Components 6

TRzCustomListView.OnCheckStateChange Example
TRzCustomListView


TRzCustomListView.OnCheckStateChanging

Occurs when check state of an item is about to change.

Declaration
property OnCheckStateChanging: TRzLVCheckStateChanging;

__property TRzLVCheckStateChanging OnCheckStateChanging

Description

This event is generated when the check state of an item is about to change.


Raize Components 6

TRzCustomListView.OnCheckStateChanging Example
TRzCustomListView


TRzCustomListView.OnDrawHeader

Declaration
property OnDrawHeader: TRzLVDrawHeaderEvent;

Description

This event is fired when the header needs to be drawn and HeaderDefaultDrawing is set to False.

procedure TForm1.DrawHeaderHandler( Sender: TObject; Canvas: TCanvas; Index: Integer;
Rect: TRect );
begin
case Index of
0: Canvas.Brush.Color := clRed;
1: Canvas.Brush.Color := clLime;
2: Canvas.Brush.Color := clYellow;
end;
Canvas.TextRect( Rect, Rect.Left + 2, Rect.Top + 2, RzListView1.Columns[ Index ].Caption );
end;


Raize Components 6

TRzCustomListView.OnDrawHeader Example
TRzCustomListView


TRzCustomListView.OnItemContextMenu

Occurs just before the context menu for an item is displayed.

Declaration
property OnItemContextMenu: TRzLVOnItemContextMenuEvent;

__property TRzLVOnItemContextMenuEvent OnItemContextMenu

Description

This event is invoked immediately before a popup menu is shown for the list view (in response to a user's right-click, Shift+F10 or menu-key). aItem is the item for which the popup should be shown. If the PopupMenu property is assigned, then aMenu is initialised to that value. You can change it by assigning some other menu, leave it unchanged or assign it nil to prevent any menu processing. When this event returns, the aMenu paramter will be used as the popup menu.

You can handle the menu display and processing yourself in which case you should assign aMenu to nil.

You can also reposition the menu by modifying the pt parameter.


Raize Components 6

TRzCustomListView.OnItemContextMenu Example
TRzCustomListView


TRzCustomListView.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzCustomListView.OnMouseEnter Example
TRzCustomListView


TRzCustomListView.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzCustomListView.OnMouseLeave Example
TRzCustomListView


Raize Components 6

TRzCustomListView Properties
TRzCustomListView

Protected
AlphaSortAll
DisabledColor
EditOnRowClick
FillLastColumn
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HeaderCanvas
HeaderDefaultDrawing
HeaderSortColumn
HeaderSortDirection
HeaderSortDisplayMode
ViewStyle


TRzCustomListView.SortByColumn

Call this method to programmatically sort the column specified by the Index parameter.

Declaration
procedure SortByColumn(Index: Integer; Direction: TRzLVSortDirection=sdAscending);

Description

Call this method to programmatically sort the column specified by the Index parameter. Use the Direction parameter to specify the sort order: sdAscending (the default) or sdDescending.


Raize Components 6

TRzCustomListView.SortByColumn Example
TRzCustomListView


TRzCustomListView.ViewStyle

Specifies how items are displayed.

Declaration
property ViewStyle: TViewStyle default vsIcon;

__property TRzLVHeaderSortDisplayMode HeaderSortDisplayMode

Description

Set ViewStyle to control the visual display of items in a list view. The items can be displayed as a set of movable icons, or as columns of text. These are the possible values:

Value Meaning

vsIcon Each item appears as a full-sized icon with a label below it. The user can drag the items to any location in the list view window.

vsSmallIcon Each item appears as a small icon with the label to the right of it. The user can drag the items to any location.

vsList Each item appears as a small icon with a label to the right of it. Items are arranged in columns and cannot be dragged by the user.

vsReport Each item appears on its own line with information arranged in columns. The leftmost column contains the small icon and label, and subsequent columns contain subitems as specified by the application. Unless ShowColumnHeaders is False, each column has a header.


Raize Components 6

TRzCustomListView.ViewStyle Example
TRzCustomListView


TRzListView.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzListView.About Example
TRzListView


Raize Components 6

TRzListView Events
TRzListView

Public


Raize Components 6

TRzListView Properties
TRzListView

Public
About
Action
Align
AllocBy
AlphaSortAll
Anchors
BiDiMode
BorderStyle
BorderWidth
Checkboxes
Color
ColumnClick
Columns
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
EditOnRowClick
Enabled
FillLastColumn
FlatScrollBars
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
FullDrag
GridLines
HeaderCanvas
HeaderDefaultDrawing
HeaderHandle
HeaderSortColumn
HeaderSortDirection
HeaderSortDisplayMode
HideSelection
HotTrack
HotTrackStyles
HoverTime
IconOptions
Items
LargeImages
MultiSelect
OwnerData
OwnerDraw
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ReadOnly
RowSelect
ShowColumnHeaders
ShowHint
ShowWorkAreas
SmallImages
SortType
StateImages
TabOrder
TabStop
ViewStyle
Visible


TRzLVCheckStateChanging

Unit
RzListVw

Declaration
TRzLVCheckStateChanging=procedure(Sender: TObject; Item: TListItem; ToBeChecked: Boolean; var AllowChange: Boolean) of object;

typedef void __fastcall(__closure *TRzLVCheckStateChanging)(System::TObject *Sender, Comctrls::TListItem *Item, bool ToBeChecked, bool & AllowChange);

Description

.


TRzLVDrawHeaderEvent

Unit
RzListVw

Declaration
TRzLVDrawHeaderEvent=procedure(Sender: TObject; Canvas: TCanvas; Index: Integer; Rect: TRect) of object;

Description

.


TRzLVHeaderSortDisplayMode

Unit
RzListVw

Declaration
TRzLVHeaderSortDisplayMode =(hsdmNone, hsdmLeftAlign, hsdmRightOfText, hsdmRightAlign);

enum TRzLVHeaderSortDisplayMode hsdmNone, hsdmLeftAlign, hsdmRightOfText, hsdmRightAlign ;

Description

Value Meaning

hsdmNone:

hsdmLeftAlign:

hsdmRightOfText:

hsdmRightAlign:


TRzLVOnItemContextMenuEvent

Unit
RzListVw

Declaration
TRzLVOnItemContextMenuEvent=procedure(Sender: TObject; Item: TListItem; var Pos: TPoint; var Menu: TPopupMenu) of object;

typedef void __fastcall(__closure *TRzLVOnItemContextMenuEvent)(System::TObject *Sender, Comctrls::TListItem *Item, Types::TPoint & Pos, Menus::TPopupMenu *& Menu);

Description

.


TRzLVSortDirection

Unit
RzListVw

Declaration
TRzLVSortDirection =(sdAscending, sdDescending);

enum TRzLVSortDirection sdAscending, sdDescending ;

Description

Value Meaning

sdAscending:

sdDescending:


RzLookup

RzLookup File
List of Units

Unit Classes

TRzLookupDialog
TRzLookupDialog is a dialog-based control containing a list box and an edit field for searching the list.


TRzLookupDialog.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzLookupDialog.About Example
TRzLookupDialog


TRzLookupDialog.AutoSelect

Declaration
property AutoSelect: Boolean default True;

__property bool AutoSelect

Description

Use this property to set the AutoSelect property of the Search edit field in the lookup dialog.


Raize Components 6

TRzLookupDialog.AutoSelect Example
TRzLookupDialog


TRzLookupDialog.ButtonGlyphs

Declaration
property ButtonGlyphs: Boolean default False;

__property bool ButtonGlyphs

Description

Set this property to True to display glyphs on the buttons of the dialog box.


Raize Components 6

TRzLookupDialog.ButtonGlyphs Example
TRzLookupDialog


TRzLookupDialog.CharCase

Declaration
property CharCase: TEditCharCase default ecNormal;

__property Stdctrls::TEditCharCase CharCase

Description

Use this property to set the CharCase property of the Search edit field in the lookup dialog.


Raize Components 6

TRzLookupDialog.CharCase Example
TRzLookupDialog


TRzLookupDialog.Execute
TRzLookupDialog Methods

Declaration
function Execute: Boolean;

bool __fastcall Execute(void)

Description

Displays the corresponding dialog box associated with the component. If the user presses the OK button in the dialog box, the Execute method returns True. If the user presses the Cancel button or closes the dialog box, the Execute method returns False.


Raize Components 6

TRzLookupDialog.Execute Example
TRzLookupDialog


TRzLookupDialog.List

Declaration
property List: TStrings;

__property Classes::TStrings *List

Description

Use this property to populate the list box of a TRzLookupDialog component. The list can be populated at design-time using the string list editor, or at run-time by assigning another string list to the List property.


Raize Components 6

TRzLookupDialog.List Example
TRzLookupDialog


Raize Components 6

TRzLookupDialog Methods
TRzLookupDialog

Public
Execute


TRzLookupDialog.Prompt

Declaration
property Prompt: string;

__property AnsiString Prompt

Description

Use this property to specify the string placed above the edit field in the lookup dialog components. This strings prompts the user what to enter.


Raize Components 6

TRzLookupDialog.Prompt Example
TRzLookupDialog


Raize Components 6

TRzLookupDialog Properties
TRzLookupDialog

Public
About
AutoSelect
BorderStyle
ButtonGlyphs
Caption
CaptionCancel
CaptionHelp
CaptionOK
CharCase
Font
FrameColor
FrameStyle
FrameVisible
FramingPreference
Height
HelpContext
List
Prompt
SearchEdit
SearchString
SelectedIndex
SelectedItem
UpdateSearchEdit
Width


TRzLookupDialog.SearchEdit

Declaration
property SearchEdit: TCustomEdit;

__property Stdctrls::TCustomEdit *SearchEdit

Description

Use this property to specify a TEdit component (or descendant) that will be used to initialize the edit field of the lookup dialog.


Raize Components 6

TRzLookupDialog.SearchEdit Example
TRzLookupDialog


TRzLookupDialog.SearchString

Declaration
property SearchString: string;

__property AnsiString SearchString

Description

For lookup dialog components, the SearchString property is used to specify an initial search string. When the dialog is executed, the SearchString, if specified, is copied to the edit field used for keyboard searching. This causes the lookup dialog to try to find the item that most closely matches the characters specified in the search string.


Raize Components 6

TRzLookupDialog.SearchString Example
TRzLookupDialog


TRzLookupDialog.SelectedIndex

Declaration
property SelectedIndex: Integer;

__property int SelectedIndex

Description

Use this property to specify the index of the item in the list that is to be initially selected when the dialog box is displayed. When the dialog box is closed, SelectedIndex indicates the item selected by the user.


Raize Components 6

TRzLookupDialog.SelectedIndex Example
TRzLookupDialog


TRzLookupDialog.SelectedItem

Declaration
property SelectedItem: string;

__property AnsiString SelectedItem

Description

Use this property to specify the index of the item in the list that is to be initially selected when the dialog box is displayed. When the dialog box is closed, SelectedIndex indicates the item selected by the user.


Raize Components 6

TRzLookupDialog.SelectedItem Example
TRzLookupDialog


TRzLookupDialog.UpdateSearchEdit

Declaration
property UpdateSearchEdit: Boolean default False;

__property bool UpdateSearchEdit

Description

When this property is set to True, the lookup dialog component will automatically update the SearchEdit control (if specified) with the appropriate contents selected by the user in the lookup dialog form. By default, UpdateSearchEdit is set to False to ensure backward compatibility with existing code that may already be populating the edit control manually.


Raize Components 6

TRzLookupDialog.UpdateSearchEdit Example
TRzLookupDialog


RzLstBox

RzLstBox File
List of Units

Unit Classes

EHeaderError |
TRzCustomListBox | TRzCustomListBox is the base class for all list box controls in Raize Components.
TRzCustomTabbedListBox | TRzCustomTabbedListBox is the base type for the TRzTabbedListBox control.
TRzEditListBox | TRzEditListBox is an enhanced list box allowing users to edit items at runtime.
TRzFontListBox | TRzFontListBox is a specialized list box for selecting fonts.
TRzItemChangedEvent |
TRzListBox | TRzListBox is an enhanced list box control.
TRzModifierKey |
TRzMoveItemEvent |
TRzRankListBox | TRzRankListBox is a specialized list box that supports reordering items through drag-n-drop at runtime.
TRzShowingEditorEvent |
TRzSizeEditRectEvent |
TRzTabbedListBox | TRzTabbedListBox is a specialized list box that supports a list of tab stops used to display items in columns.
TRzTabStopList |
TRzTabStopsMode |


EHeaderError

Unit
RzLstBox

Declaration
EHeaderError=Class(Exception);;

Description

This exception is generated when a control other than a THeader or THeaderControl is passed to TRzTabbedListBox.UpdateFromHeader.


TRzCustomListBox

TRzCustomListBox is the base class for all list box controls in Raize Components.

Unit
RzLstBox

Declaration
TRzCustomListBox=Class(TCustomListBox);

Description

Do not create instances of TRzCustomListBox--use TRzListBox or some other descendant.


TRzCustomListBox.Add

This method is equivalent to calling Items.Add.

Declaration
function Add(const S: string): Integer;

int __fastcall Add(const AnsiString S)

Description

This method is equivalent to calling Items.Add.


Raize Components 6

TRzCustomListBox.Add Example
TRzCustomListBox


TRzCustomListBox.AddGroup

Adds the specified string as a new group item in the list.

Declaration
function AddGroup(const S: string): Integer;

int __fastcall AddGroup(const AnsiString S)

Description

Adds the specified string as a new group item in the list.


Raize Components 6

TRzCustomListBox.AddGroup Example
TRzCustomListBox


TRzCustomListBox.AddItemToGroup

Adds the specified string to the specified group index in the list.

Declaration
function AddItemToGroup(GroupIndex: Integer; const S: string): Integer;

int __fastcall AddItemToGroup(int GroupIndex, const AnsiString S)

Description

Adds the specified string to the specified group index in the list.


Raize Components 6

TRzCustomListBox.AddItemToGroup Example
TRzCustomListBox


TRzCustomListBox.AddObject

This method is equivalent to calling Items.AddObject.

Declaration
function AddObject(const S: string; AObject: TObject): Integer;

int __fastcall AddObject(const AnsiString S, System::TObject *AObject)

Description

This method is equivalent to calling Items.AddObject.


Raize Components 6

TRzCustomListBox.AddObject Example
TRzCustomListBox


TRzCustomListBox.AdjustHorzExtent

Adjust the horizontal scroll bar's extent to match content.

Declaration
procedure AdjustHorzExtent; virtual;

virtual void __fastcall AdjustHorzExtent(void)

Description

Call this method to adjust the horizontal scroll bar's extent so that it matches the width of the content.


Raize Components 6

TRzCustomListBox.AdjustHorzExtent Example
TRzCustomListBox


TRzCustomListBox.BeepOnInvalidKey

Determines if a beep is sounded on an invalid key press.

Declaration
property BeepOnInvalidKey: Boolean default True;

__property bool BeepOnInvalidKey

Description

This property is used by all Raize Components that provide intuitive keyboard speed searching (i.e. combo boxes and list boxes). If the user presses an invalid key, the BeepOnInvalidKey property determines whether or not a beep is indicated.


Raize Components 6

TRzCustomListBox.BeepOnInvalidKey Example
TRzCustomListBox


TRzCustomListBox.ClearSearchString

Use this method to clear the search string the user typed into the control.

Declaration
procedure ClearSearchString;

void __fastcall ClearSearchString(void)

Description

Use this method to clear the search string the user typed into the control.


Raize Components 6

TRzCustomListBox.ClearSearchString Example
TRzCustomListBox


TRzCustomListBox.Count

This method is equivalent to calling Items.Count.

Declaration
function Count: Integer;

int __fastcall Count(void

Description

This method is equivalent to calling Items.Count.


Raize Components 6

TRzCustomListBox.Count Example
TRzCustomListBox


TRzCustomListBox.DefaultDrawItem

Draw the specified item using the default drawing method.

Declaration
procedure DefaultDrawItem(Index: Integer; Rect: TRect; State: TOwnerDrawState); virtual;

virtual void __fastcall DefaultDrawItem(int Index, const Types::TRect &Rect, Windows::TOwnerDrawState State)

Description

Call this method to draw the specified item using the default drawing method.


Raize Components 6

TRzCustomListBox.DefaultDrawItem Example
TRzCustomListBox


TRzCustomListBox.Delete

This method is equivalent to calling Items.Delete.

Declaration
procedure Delete(Index: Integer);

void __fastcall Delete(int Index)

Description

This method is equivalent to calling Items.Delete.


Raize Components 6

TRzCustomListBox.Delete Example
TRzCustomListBox


TRzCustomListBox.DeleteSelectedItems

Use this method to delete the selected items in the list.

Declaration
procedure DeleteSelectedItems;

void __fastcall DeleteSelectedItems(void)

Description

Use this method to delete the selected items in the list.


Raize Components 6

TRzCustomListBox.DeleteSelectedItems Example
TRzCustomListBox


TRzCustomListBox.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzCustomListBox.DisabledColor Example
TRzCustomListBox


Raize Components 6

TRzCustomListBox Events
TRzCustomListBox

Public
OnDeleteItems
OnDrawItem
OnMatch
OnMouseEnter
OnMouseLeave

Protected
OnDeleteItems
OnDrawItem
OnMatch
OnMouseEnter
OnMouseLeave


TRzCustomListBox.FindItem

This function returns True if the string specified in S is in the list.

Declaration
function FindItem(const S: string): Boolean;

bool __fastcall FindItem(const AnsiString S)

Description

This function returns True if the string specified in S is in the list.


Raize Components 6

TRzCustomListBox.FindItem Example
TRzCustomListBox


TRzCustomListBox.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzCustomListBox.FocusColor Example
TRzCustomListBox


TRzCustomListBox.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzCustomListBox.FrameColor Example
TRzCustomListBox


TRzCustomListBox.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzCustomListBox.FrameController Example
TRzCustomListBox


TRzCustomListBox.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzCustomListBox.FrameControllerNotifications Example
TRzCustomListBox


TRzCustomListBox.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzCustomListBox.FrameHotColor Example
TRzCustomListBox


TRzCustomListBox.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzCustomListBox.FrameHotStyle Example
TRzCustomListBox


TRzCustomListBox.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzCustomListBox.FrameHotTrack Example
TRzCustomListBox


TRzCustomListBox.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzCustomListBox.FrameSides Example
TRzCustomListBox


TRzCustomListBox.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzCustomListBox.FrameStyle Example
TRzCustomListBox


TRzCustomListBox.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzCustomListBox.FrameVisible Example
TRzCustomListBox


TRzCustomListBox.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzCustomListBox.FramingPreference Example
TRzCustomListBox


TRzCustomListBox.GroupColor

Specifies color to be used for group headings.

Declaration
property GroupColor: TColor default clInactiveCaptionText;

Description

Use GroupColor to specify the color used for group heading items.


Raize Components 6

TRzCustomListBox.GroupColor Example
TRzCustomListBox


TRzCustomListBox.GroupFont

Specifies font to be used in group headings.

Declaration
property GroupFont: TFont;

Description

Use GroupFont to specify the font to use to display the captions of group heading items.


Raize Components 6

TRzCustomListBox.GroupFont Example
TRzCustomListBox


TRzCustomListBox.GroupIndexOfItem

Returns the group index containing the specified item index.

Declaration
function GroupIndexOfItem(Index: Integer): Integer; virtual;

virtual int __fastcall GroupIndexOfItem(int Index)

Description

Call this method to get the group index of the specified item index.


Raize Components 6

TRzCustomListBox.GroupIndexOfItem Example
TRzCustomListBox


TRzCustomListBox.GroupPrefix

Specifies character string to indicate group headings.

Declaration
property GroupPrefix: string;

Description

Use GroupPrefix to specify the character string that will indicate a group item. If the GroupPrefix occurs at the beginning of the item's Caption, then the item is treated as a group.


Raize Components 6

TRzCustomListBox.GroupPrefix Example
TRzCustomListBox


TRzCustomListBox.GroupToItem

Converts a group item to a regular item.

Declaration
procedure GroupToItem(Index: Integer);

void __fastcall GroupToItem(int Index)

Description

Call this method to convert the specified item index from a Group item to a regular item.


Raize Components 6

TRzCustomListBox.GroupToItem Example
TRzCustomListBox


TRzCustomListBox.HorzExtent

Specifies virtual width of list box.

Declaration
property HorzExtent: Word default 0;

__property Word HorzExtent

Description

Use this property to specify the virtual width of the list box. The actual width of a list box is defined by its Width property and border size. The horizontal extent must be larger than the actual width in order to display a horizontal scroll bar.


Raize Components 6

TRzCustomListBox.HorzExtent Example
TRzCustomListBox


TRzCustomListBox.HorzScrollBar

Determines if horizontal scroll bar is visible.

Declaration
property HorzScrollBar: Boolean default False;

__property bool HorzScrollBar

Description

When this property is set to True, a horizontal scroll bar will appear in the list box when the HorzExtent is greater than the width of the list box.


Raize Components 6

TRzCustomListBox.HorzScrollBar Example
TRzCustomListBox


TRzCustomListBox.IncrementalSearch

Determines if selection moves to match what user types.

Declaration
property IncrementalSearch: Boolean default True;

Description

When IncrementalSearch is True, as the user types characters, the selection bar is moved to the matching item. When False, the selection bar moves according to the rules defined in Windows. That is, only the first character of an item in the list is considered during the match.


Raize Components 6

TRzCustomListBox.IncrementalSearch Example
TRzCustomListBox


TRzCustomListBox.IndexOf

This method is equivalent to calling Items.IndexOf.

Declaration
function IndexOf(const S: string): Integer;

int __fastcall IndexOf(const AnsiString S)

Description

This method is equivalent to calling Items.IndexOf.


Raize Components 6

TRzCustomListBox.IndexOf Example
TRzCustomListBox


TRzCustomListBox.Insert

This method is equivalent to calling Items.Insert.

Declaration
procedure Insert(Index: Integer; const S: string);

void __fastcall Insert(int Index, const AnsiString S)

Description

This method is equivalent to calling Items.Insert.


Raize Components 6

TRzCustomListBox.Insert Example
TRzCustomListBox


TRzCustomListBox.InsertItemIntoGroup

Insert the specified item into a group.

Declaration
function InsertItemIntoGroup(GroupIndex, Index: Integer; const S: string): Integer;

int __fastcall InsertItemIntoGroup(int GroupIndex, int Index, const AnsiString S)

Description

Inserts the specified string into the specified group index in the list.


Raize Components 6

TRzCustomListBox.InsertItemIntoGroup Example
TRzCustomListBox


TRzCustomListBox.InsertObject

This method is equivalent to calling Items.InsertObject.

Declaration
procedure InsertObject(Index: Integer; const S: string; AObject: TObject);

void __fastcall InsertObject(int Index, const AnsiString S, System::TObject *AObject)

Description

This method is equivalent to calling Items.InsertObject.


Raize Components 6

TRzCustomListBox.InsertObject Example
TRzCustomListBox


TRzCustomListBox.ItemCaption

Returns the caption for the specified item or group item.

Declaration
function ItemCaption(Index: Integer): string;

AnsiString __fastcall ItemCaption(int Index)

Description

Call this method to get the text portion of an item's caption. The item can be a regular item or a group item.


Raize Components 6

TRzCustomListBox.ItemCaption Example
TRzCustomListBox


TRzCustomListBox.ItemGroupIndex

Returns the index to the heading for the group containing ItemIndex.

Declaration
function ItemGroupIndex(Index: Integer): Integer; virtual;

virtual int __fastcall ItemGroupIndex(int Index)

Description

Call this method to get the group index of the group that contains the specified item index.


Raize Components 6

TRzCustomListBox.ItemGroupIndex Example
TRzCustomListBox


TRzCustomListBox.ItemIndexOfGroup

Returns the listbox item index representing the specified group index.

Declaration
function ItemIndexOfGroup(GroupIndex: Integer): Integer;

int __fastcall ItemIndexOfGroup(int GroupIndex)

Description

Call this method to get the list box item index representing the specified group index.


Raize Components 6

TRzCustomListBox.ItemIndexOfGroup Example
TRzCustomListBox


TRzCustomListBox.ItemInsideGroup

Use to determine if specified item is in a group.

Declaration
function ItemInsideGroup(Index: Integer): Boolean; virtual;

virtual bool __fastcall ItemInsideGroup(int Index)

Description

Call this method to determine if the specified item is in a group.


Raize Components 6

TRzCustomListBox.ItemInsideGroup Example
TRzCustomListBox


TRzCustomListBox.ItemIsGroup

Determines if item is a group.

Declaration
property ItemIsGroup[Index: Integer]: Boolean;

Description

Use ItemIsGroup to quickly determine if the specified item index is a group.


Raize Components 6

TRzCustomListBox.ItemIsGroup Example
TRzCustomListBox


TRzCustomListBox.ItemsInGroup

Returns the number of items in the specified group index.

Declaration
function ItemsInGroup(GroupIndex: Integer): Integer;

int __fastcall ItemsInGroup(int GroupIndex)

Description

Call this method to get the number of items in the specified group index.


Raize Components 6

TRzCustomListBox.ItemsInGroup Example
TRzCustomListBox


TRzCustomListBox.ItemToGroup

Converts a regular item to a group item.

Declaration
procedure ItemToGroup(Index: Integer);

void __fastcall ItemToGroup(int Index)

Description

Call this method to convert a regular item into a group item.


Raize Components 6

TRzCustomListBox.ItemToGroup Example
TRzCustomListBox


Raize Components 6

TRzCustomListBox Methods
TRzCustomListBox

Public
Add
AddGroup
AddItemToGroup
AddObject
AdjustHorzExtent
ClearSearchString
Count
DefaultDrawItem
Delete
DeleteSelectedItems
FindItem
GroupIndexOfItem
GroupToItem
IndexOf
Insert
InsertItemIntoGroup
InsertObject
ItemCaption
ItemGroupIndex
ItemIndexOfGroup
ItemInsideGroup
ItemsInGroup
ItemToGroup
SelectAll
SelectedItem
UnselectAll


TRzCustomListBox.OnDeleteItems

Occurs when items are deleted from list.

Declaration
property OnDeleteItems: TNotifyEvent;

__property Classes::TNotifyEvent OnDeleteItems

Description

This event is generated when items are deleted from the list.


Raize Components 6

TRzCustomListBox.OnDeleteItems Example
TRzCustomListBox


TRzCustomListBox.OnDrawItem

Occurs when an item needs to be drawn.

Declaration
property OnDrawItem: TDrawItemEvent;

__property Stdctrls::TDrawItemEvent OnDrawItem

Description

Use OnDrawItem to write a handler for drawing of the items in list boxes with the Style values lbOwnerDrawFixed, lbOwnerDrawVariable, or lbVirtualOwnerDraw. OnDrawItem occurs when the list box needs to display an item. OnDrawItem occurs only for owner-draw list boxes.

The size of the rectangle that contains the item is determined either by the ItemHeight property for fixed owner-draw list boxes or by the response to the OnMeasureItem event for variable owner-draw list boxes.


Raize Components 6

TRzCustomListBox.OnDrawItem Example
TRzCustomListBox


TRzCustomListBox.OnMatch

Occurs when an item is found that matches what the user has typed.

Declaration
property OnMatch: TNotifyEvent;

__property Classes::TNotifyEvent OnMatch

Description

This event occurs when an item is found in the list that match what the user has typed in. Using the arrow keys to navigate through the list *does not* cause the OnMatch event to fire.


Raize Components 6

TRzCustomListBox.OnMatch Example
TRzCustomListBox


TRzCustomListBox.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzCustomListBox.OnMouseEnter Example
TRzCustomListBox


TRzCustomListBox.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzCustomListBox.OnMouseLeave Example
TRzCustomListBox


TRzCustomListBox.OwnerDrawIndent

Specifies adjustment to item rectangle.

Declaration
property OwnerDrawIndent: Integer default 0;

Description

Use OwnerDrawIndent to control the rectangle used for each item when the Style is in Owner-Draw Mode. This property allows a user to have only a portion of the item appear selected while the DrawItem event can draw anywhere in the original rectangle.


Raize Components 6

TRzCustomListBox.OwnerDrawIndent Example
TRzCustomListBox


Raize Components 6

TRzCustomListBox Properties
TRzCustomListBox

Public
BeepOnInvalidKey
ItemIsGroup
SearchString

Protected
DisabledColor
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
GroupColor
GroupFont
GroupPrefix
HorzExtent
HorzScrollBar
IncrementalSearch
OwnerDrawIndent
ShowGroups
ShowItemHints
TabOnEnter
UseGradients


TRzCustomListBox.SearchString

Determines the currently active search string.

Declaration
property SearchString: string;

__property AnsiString SearchString

Description

For list boxes and combo boxes, this read-only property records the series of characters typed by the user while navigating through the list. As the user types the SearchString property is built up, or taken down if the BackSpace key is pressed. The list component then moves the selection bar to the item which most closely matches the SearchString.


Raize Components 6

TRzCustomListBox.SearchString Example
TRzCustomListBox


TRzCustomListBox.SelectAll

When the list box MultiSelect property is True, calling this method causes all items in the list to be selected.

Declaration
procedure SelectAll;

virtual void __fastcall SelectAll(void)

Description

When the list box MultiSelect property is True, calling this method causes all items in the list to be selected.


Raize Components 6

TRzCustomListBox.SelectAll Example
TRzCustomListBox


TRzCustomListBox.SelectedItem

This method returns the string value of the currently selected item in the list.

Declaration
function SelectedItem: string;

Description

This method returns the string value of the currently selected item in the list. If no item is selected, the function returns an empty string.


Raize Components 6

TRzCustomListBox.SelectedItem Example
TRzCustomListBox


TRzCustomListBox.ShowGroups

Determines if groups are visible.

Declaration
property ShowGroups: Boolean default False;

Description

When ShowGroups is True, items that start with the GroupPrefix are displayed as groups instead of normal items.


Raize Components 6

TRzCustomListBox.ShowGroups Example
TRzCustomListBox


TRzCustomListBox.ShowItemHints

Determines if hints are displayed for long items.

Declaration
property ShowItemHints: Boolean default True;

__property bool ShowItemHints

Description

When ShowItemHints is True, if an item is not fully displayed in the list area, a popup hint is displayed containing the full text of the item.


Raize Components 6

TRzCustomListBox.ShowItemHints Example
TRzCustomListBox


TRzCustomListBox.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzCustomListBox.TabOnEnter Example
TRzCustomListBox


TRzCustomListBox.UnselectAll

When the list box MultiSelect property is True, calling this method causes all items in the list to be unselected.

Declaration
procedure UnselectAll;

void __fastcall UnselectAll(void)

Description

When the list box MultiSelect property is True, calling this method causes all items in the list to be unselected.


Raize Components 6

TRzCustomListBox.UnselectAll Example
TRzCustomListBox


TRzCustomListBox.UseGradients

Determines if group headings are drawn with gradient fills.

Declaration
property UseGradients: Boolean default True;

Description

When UseGradients is True, the group background is drawn using a gradient from the GroupColor to the Color of the list box.


Raize Components 6

TRzCustomListBox.UseGradients Example
TRzCustomListBox


TRzCustomTabbedListBox

TRzCustomTabbedListBox is the base type for the TRzTabbedListBox control.

Unit
RzLstBox

Declaration
TRzCustomTabbedListBox=Class(TRzCustomListBox);

Description

Do not create instances of TRzCustomTabbedListBox--use TRzTabbedListBox .


TRzCustomTabbedListBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzCustomTabbedListBox.About Example
TRzCustomTabbedListBox


TRzCustomTabbedListBox.AdjustTabStops

Declaration
procedure AdjustTabStops; virtual;

virtual void __fastcall AdjustTabStops(void)

Description

Call this method to force the list box to automatically adjust tab stops based on content of the list. The tab stops will be placed such that all columns are visible and correctly aligned.


Raize Components 6

TRzCustomTabbedListBox.AdjustTabStops Example
TRzCustomTabbedListBox


TRzCustomTabbedListBox.Cells

Declaration
property Cells[ACol, ARow: Integer]: string;

__property AnsiString Cells[int ACol][int ARow]

Description

Provides access to individual cell data represented in the list. Each item in the list is a row, and the tab stops separate columns of data. The Cells property can be used to access and update an individual cell.


Raize Components 6

TRzCustomTabbedListBox.Cells Example
TRzCustomTabbedListBox


Raize Components 6

TRzCustomTabbedListBox Methods
TRzCustomTabbedListBox

Public
AdjustTabStops
UpdateFromHeader


Raize Components 6

TRzCustomTabbedListBox Properties
TRzCustomTabbedListBox

Public
About
Cells
TabStops
TabStopsMode


TRzCustomTabbedListBox.TabStops

Declaration
property TabStops: TRzTabStopList;

__property TRzTabStopList *TabStops

Description

Use this integer list to maintain the list of tab stops used by the TRzTabbedListBox. The TabStops property is equivalent to the Items property, but instead of dealing with strings, TabStops utilizes integers. The custom property editor gives developers the ability to visually set tab stops at design-time.


Raize Components 6

TRzCustomTabbedListBox.TabStops Example
TRzCustomTabbedListBox


TRzCustomTabbedListBox.TabStopsMode

Declaration
property TabStopsMode: TRzTabStopsMode default tsmManual;

__property TRzTabStopsMode TabStopsMode

Description

Use this property to control whether the list box establishes appropriate tab stops automatically, or if tab stops must be set manually using the TabStops property.


Raize Components 6

TRzCustomTabbedListBox.TabStopsMode Example
TRzCustomTabbedListBox


TRzCustomTabbedListBox.UpdateFromHeader

Declaration
procedure UpdateFromHeader(Header: TControl); virtual;

virtual void __fastcall UpdateFromHeader(Controls::TControl *Header)

Description

Call this method to update the tab stops in the list to match the positions established by the specified header control. The following example shows this method getting called whenver one of the header sections gets resized.

procedure TFmeListBoxes.hdrTimesSized(Sender: TObject; ASection, AWidth: Integer);
begin
lstTimes.UpdateFromHeader( hdrTimes );
end;


Raize Components 6

TRzCustomTabbedListBox.UpdateFromHeader Example
TRzCustomTabbedListBox


TRzEditListBox.AllowDeleteByKbd

Determines if an item can be deleted by pressing Delete.

Declaration
property AllowDeleteByKbd: Boolean default False;

__property bool AllowDeleteByKbd

Description

This property controls whether or not the user is allowed to delete items from a TRzEditListBox using the Delete key on the keyboard. If this property is set to True, any selected items in the list will be deleted when the user presses the Delete key.


Raize Components 6

TRzEditListBox.AllowDeleteByKbd Example
TRzEditListBox


TRzEditListBox.AllowEdit

Specifies whether or not the control allows editing of its data.

Declaration
property AllowEdit: Boolean default True;

__property bool AllowEdit

Description

This property is defined in TRzCustomComboBox and provides a way for a csDropDown style combo box to only allow items currently in its list to be entered into the edit portion of the combo box. That is, if AllowEdit is True (the default) the user is allowed to enter any text they want into a csDropDown style combo box. Of course, the user could also select an item from the drop down list.

If AllowEdit is False, the user can only select items that appear in the list. However, the user can still use the keyboard to enter the first few characters of the desired item and let the combo box auto-complete the entry.


Raize Components 6

TRzEditListBox.AllowEdit Example
TRzEditListBox


Raize Components 6

TRzEditListBox Events
TRzEditListBox

Public
OnHidingEditor
OnItemChanged
OnShowingEditor
OnSizeEditRect


TRzEditListBox.HideEditor

Hide the popup editor window.

Declaration
procedure HideEditor(SaveChanges: Boolean); virtual;

virtual void __fastcall HideEditor(bool SaveChanges)

Description

Call this method to programmatically hide the popup editor window that is displayed to modify an item in the list. The SaveChanges parameter determines whether or not the selected list item is updated with the changes made in the edit window.


Raize Components 6

TRzEditListBox.HideEditor Example
TRzEditListBox


Raize Components 6

TRzEditListBox Methods
TRzEditListBox

Public
HideEditor
ShowEditor


TRzEditListBox.OnHidingEditor

Occurs when the popup editor used to modify a list item is hidden.

Declaration
property OnHidingEditor: TNotifyEvent;

__property Classes::TNotifyEvent OnHidingEditor

Description

This event occurs when the popup editor used to modify a list item is hidden.


Raize Components 6

TRzEditListBox.OnHidingEditor Example
TRzEditListBox


TRzEditListBox.OnItemChanged

Occurs when an item is changed at runtime.

Declaration
property OnItemChanged: TRzItemChangedEvent;

__property TRzItemChangedEvent OnItemChanged

Description

This event is generated when an item is changed at runtime.


Raize Components 6

TRzEditListBox.OnItemChanged Example
TRzEditListBox


TRzEditListBox.OnShowingEditor

Occurs when the popup editor used to modify a list item is displayed.

Declaration
property OnShowingEditor: TRzShowingEditorEvent;

__property TRzShowingEditorEvent OnShowingEditor

Description

This event occurs when the popup editor used to modify a list item is displayed.


Raize Components 6

TRzEditListBox.OnShowingEditor Example
TRzEditListBox


TRzEditListBox.OnSizeEditRect

Occurs just before the popup edit window is displayed

Declaration
property OnSizeEditRect: TRzSizeEditRectEvent;

__property TRzSizeEditRectEvent OnSizeEditRect

Description

This event occurs just before the popup edit window is displayed. By default the popup edit window is positioned and sized so that if occupies the same place as the list item. This event allows you to customize the size of the popup edit window.


Raize Components 6

TRzEditListBox.OnSizeEditRect Example
TRzEditListBox


TRzEditListBox.PopupVisible

Returns current visibility of popup edit window.

Declaration
property PopupVisible: Boolean;

__property bool PopupVisible

Description

This read-only property indicates whether the popup edit window used for editing list items is currently visible.


Raize Components 6

TRzEditListBox.PopupVisible Example
TRzEditListBox


Raize Components 6

TRzEditListBox Properties
TRzEditListBox

Public
AllowDeleteByKbd
AllowEdit
PopupVisible


TRzEditListBox.ShowEditor

Display the popup edit window for the selected item.

Declaration
procedure ShowEditor; virtual;

virtual void __fastcall ShowEditor(void)

Description

Call this method to programmatically show the popup editor window that is displayed to modify the currently selected item in the list. The method is useful if you would like to invoke the editor immediately after a new item is added to the list.


Raize Components 6

TRzEditListBox.ShowEditor Example
TRzEditListBox


TRzFontListBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzFontListBox.About Example
TRzFontListBox


Raize Components 6

TRzFontListBox Events
TRzFontListBox

Public


TRzFontListBox.FontDevice

Determines which device is used to populate list of fonts.

Declaration
property FontDevice: TRzFontDevice default fdScreen;

__property Rzcmbobx::TRzFontDevice FontDevice

Description

The screen and printer each have their own list of available fonts. This property allows a user to select which list is used to populate the combo box.


Raize Components 6

TRzFontListBox.FontDevice Example
TRzFontListBox


TRzFontListBox.FontName

Specifies name of selected font.

Declaration
property FontName: string;

__property AnsiString FontName

Description

Use this property to set the selected font name using the name of the font rather than a TFont value. This property is automatically updated if a new font is selected in the list.


Raize Components 6

TRzFontListBox.FontName Example
TRzFontListBox


TRzFontListBox.FontSize

Specifies point size of selected font.

Declaration
property FontSize: Integer default 8;

__property int FontSize

Description

This property is used to specify the point size used in the TFont value returned by the SelectedFont property. When a new font is selected, only the name is chosen. However, a TFont object needs a font size, and this property allows a developer to override the default size of 8.


Raize Components 6

TRzFontListBox.FontSize Example
TRzFontListBox


TRzFontListBox.FontStyle

Specifies style of selected font.

Declaration
property FontStyle: TFontStyles default[];

__property Graphics::TFontStyles FontStyle

Description

This property is used to specify the font style (e.g. bold, italic, etc.) used in the TFont value returned by the SelectedFont property. When a new font is selected, only the name is chosen. However, a TFont object needs a font style, and this property allows a developer to override the default style.


Raize Components 6

TRzFontListBox.FontStyle Example
TRzFontListBox


TRzFontListBox.FontType

Determines which types of fonts are displayed in the list.

Declaration
property FontType: TRzFontType default ftAll;

__property Rzcmbobx::TRzFontType FontType

Description

Use this property to restrict the fonts displayed in a TRzFontComboBox. This list can be restricted to True Type fonts, fixed-pitched fonts, or printer fonts. To remove any restriction, set FontType to ftAll.


Raize Components 6

TRzFontListBox.FontType Example
TRzFontListBox


TRzFontListBox.MaintainMRUFonts

Determines if most recently used fonts are added to top of list.

Declaration
property MaintainMRUFonts: Boolean default False;

__property bool MaintainMRUFonts

Description

When MaintainMRUFonts is True, the control will automatically maintain a list of the most recently used (i.e. selected) fonts at the top of the list.


Raize Components 6

TRzFontListBox.MaintainMRUFonts Example
TRzFontListBox


TRzFontListBox.PreviewEdit

Specifies an edit control to be used for displaying font previews.

Declaration
property PreviewEdit: TCustomEdit;

__property Stdctrls::TCustomEdit *PreviewEdit

Description

Use PreviewEdit to specify an edit control containing text to be displayed in the preview window when ShowStyle is ssFontPreview.


Raize Components 6

TRzFontListBox.PreviewEdit Example
TRzFontListBox


TRzFontListBox.PreviewFontSize

Specifies size of font sample displayed in preview window.

Declaration
property PreviewFontSize: Integer default 36;

__property int PreviewFontSize

Description

Use PreviewFontSize to control the size of the font displayed in the preview window when ShowStyle is ssFontPreview.


Raize Components 6

TRzFontListBox.PreviewFontSize Example
TRzFontListBox


TRzFontListBox.PreviewHeight

Specifies height of preview window.

Declaration
property PreviewHeight: Integer default 65;

__property int PreviewHeight

Description

Use PreviewHeight to control the height of the preview window displayed when ShowStyle is ssFontPreview.


Raize Components 6

TRzFontListBox.PreviewHeight Example
TRzFontListBox


TRzFontListBox.PreviewText

Specifies text to display in preview window.

Declaration
property PreviewText: string;

__property AnsiString PreviewText

Description

Use PreviewText to specify the text to display in the preview window when ShowStyle is ssFontPreview.


Raize Components 6

TRzFontListBox.PreviewText Example
TRzFontListBox


TRzFontListBox.PreviewWidth

Specifies width of preview window.

Declaration
property PreviewWidth: Integer default 260;

__property int PreviewWidth

Description

Use PreviewWidth to control the width of the preview window displayed when ShowStyle is ssFontPreview.


Raize Components 6

TRzFontListBox.PreviewWidth Example
TRzFontListBox


Raize Components 6

TRzFontListBox Properties
TRzFontListBox

Public
About
Align
Anchors
BeepOnInvalidKey
BiDiMode
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
Enabled
FocusColor
Font
FontDevice
FontName
FontSize
FontStyle
FontType
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ItemHeight
MaintainMRUFonts
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
PreviewEdit
PreviewFontSize
PreviewHeight
PreviewText
PreviewWidth
SelectedFont
ShowHint
ShowStyle
ShowSymbolFonts
Sorted
TabOnEnter
TabOrder
TabStop
Visible


TRzFontListBox.SelectedFont

Specifies the currently selected font.

Declaration
property SelectedFont: TFont;

__property Graphics::TFont *SelectedFont

Description

Use this property to obtain a TFont value corresponding to the font name selected in the list. Setting SelectedFont to a TFont value causes the component to change its selection to the corresponding font name. Using this property is much easier than trying to manipulate the ItemIndex property.


Raize Components 6

TRzFontListBox.SelectedFont Example
TRzFontListBox


TRzFontListBox.ShowStyle

Specifies how the font list appears.

Declaration
property ShowStyle: TRzShowStyle default ssFontName;

__property Rzcmbobx::TRzShowStyle ShowStyle

Description

Use this property to specify how the font names are displayed in the drop down list. The possible values are:

Value Meaning

ssFontName The list shows the name of each font in the font specified by the control's Font property.

ssFontSample The list shows the name of each font in the actual font represented by that item.

ssFontNameAndSample The list shows both the name of the font and a sample.

ssFontPreview A popup window is displayed showing a preview of the selected font item.


Raize Components 6

TRzFontListBox.ShowStyle Example
TRzFontListBox


TRzFontListBox.ShowSymbolFonts

Determines if symbol fonts are included in the list.

Declaration
property ShowSymbolFonts: Boolean default True;

__property bool ShowSymbolFonts

Description

Use ShowSymbolFonts to specify whether or not the list contains symbol fonts.


Raize Components 6

TRzFontListBox.ShowSymbolFonts Example
TRzFontListBox


TRzItemChangedEvent

Unit
RzLstBox

Declaration
TRzItemChangedEvent=procedure(Sender: TObject; Index: Integer) of object;

typedef void __fastcall(__closure *TRzItemChangedEvent)(System::TObject *Sender, int Index);

Description

.


TRzListBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzListBox.About Example
TRzListBox


Raize Components 6

TRzListBox Events
TRzListBox

Public


Raize Components 6

TRzListBox Properties
TRzListBox

Public
About
Align
Anchors
BeepOnInvalidKey
BiDiMode
BorderStyle
Color
Columns
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
Enabled
ExtendedSelect
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
GroupColor
GroupFont
GroupPrefix
HorzExtent
HorzScrollBar
ImeMode
ImeName
IncrementalSearch
IntegralHeight
ItemHeight
Items
MultiSelect
OwnerDrawIndent
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ShowGroups
ShowHint
ShowItemHints
Sorted
Style
TabOnEnter
TabOrder
TabStop
TabWidth
UseGradients
Visible


TRzModifierKey

Unit
RzLstBox

Declaration
TRzModifierKey =(mkShift, mkNone);

enum TRzModifierKey mkShift, mkNone ;

Description

Value Meaning

mkShift:

mkNone:


TRzMoveItemEvent

Unit
RzLstBox

Declaration
TRzMoveItemEvent=procedure(Sender: TObject; OldIndex, NewIndex: Integer) of object;

typedef void __fastcall(__closure *TRzMoveItemEvent)(System::TObject *Sender, int OldIndex, int NewIndex);

Description

.


Raize Components 6

TRzRankListBox Events
TRzRankListBox

Public
OnMoveItem


TRzRankListBox.ModifierKey

Declaration
property ModifierKey: TRzModifierKey default mkShift;

__property TRzModifierKey ModifierKey

Description

The ModifierKey property determines what key needs to be held down when dragging an item to a new position with the mouse. The default value is mkShift. Using the value mkNone allows items to be repositioned without holding down the Shift key. Note that this property only applies to item movement using the mouse -- moving an item with the keyboard still requires that the Shift key be held down.


Raize Components 6

TRzRankListBox.ModifierKey Example
TRzRankListBox


TRzRankListBox.MoveOnDrag

Declaration
property MoveOnDrag: Boolean default True;

__property bool MoveOnDrag

Description

The MoveOnDrag property determines whether the item's position will be changed immediately (MoveOnDrag = True) as it is being dragged with the mouse or only when it is dropped (MoveOnDrag = False). The default value is True. When the keyboard is used to move an item the position will be changed immediately, regardless of the MoveOnDrag setting.


Raize Components 6

TRzRankListBox.MoveOnDrag Example
TRzRankListBox


TRzRankListBox.OnMoveItem
TRzRankListBox Events

Declaration
property OnMoveItem: TRzMoveItemEvent;

__property TRzMoveItemEvent OnMoveItem

Description

The OnMoveItem event occurs immediately after an item is moved in the listbox. Note that if you have MoveOnDrag set to True many OnMoveItem events will be generated as you drag the item up and down. The old and new index positions of the item being moved are passed to the event handler.


Raize Components 6

TRzRankListBox.OnMoveItem Example
TRzRankListBox


Raize Components 6

TRzRankListBox Properties
TRzRankListBox

Public
Columns
DragCursor
DragMode
ExtendedSelect
ModifierKey
MoveOnDrag
MultiSelect
Sorted


TRzShowingEditorEvent

Unit
RzLstBox

Declaration
TRzShowingEditorEvent=procedure(Sender: TObject; Index: Integer; var AllowShow: Boolean) of object;

typedef void __fastcall(__closure *TRzShowingEditorEvent)(System::TObject *Sender, int Index, bool & AllowShow);

Description

.


TRzSizeEditRectEvent

Unit
RzLstBox

Declaration
TRzSizeEditRectEvent=procedure(Sender: TObject; Index: Integer; var EditRect: TRect) of object;

Description

.


TRzTabbedListBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzTabbedListBox.About Example
TRzTabbedListBox


TRzTabbedListBox.Cells

Declaration
property Cells[ACol, ARow: Integer]: string;

__property AnsiString Cells[int ACol][int ARow]

Description

This property provides cell-based access to the tab-delimited data displayed in a TRzTabbedListBox or descendant. The ARow value is equivalent to the ItemIndex property of the list box and the ACol value represents the column. For example, for the following list:

Compiler Version Base Package

Delphi 7.0 VCL70.bpl

C++builder 6.0 VCL60.bpl

The statement S := Cells[ 2, 1 ]; would set S to 'VCL70.bpl'.


Raize Components 6

TRzTabbedListBox.Cells Example
TRzTabbedListBox


Raize Components 6

TRzTabbedListBox Events
TRzTabbedListBox

Public


Raize Components 6

TRzTabbedListBox Methods
TRzTabbedListBox

Public
UpdateFromHeader
UpdateTabStops


Raize Components 6

TRzTabbedListBox Properties
TRzTabbedListBox

Public
About
Align
Anchors
BeepOnInvalidKey
BiDiMode
BorderStyle
Cells
Color
Columns
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
Enabled
ExtendedSelect
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
GroupColor
GroupFont
GroupPrefix
HorzExtent
HorzScrollBar
ImeMode
ImeName
IncrementalSearch
IntegralHeight
ItemHeight
Items
MultiSelect
OwnerDrawIndent
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ShowGroups
ShowHint
ShowItemHints
Sorted
Style
TabOnEnter
TabOrder
TabStop
TabStops
TabStopsMode
UseGradients
Visible


TRzTabbedListBox.UpdateFromHeader

Declaration
procedure UpdateFromHeader(Header: TControl);

virtual void __fastcall UpdateFromHeader(Controls::TControl *Header)

Description

This method can be passed a THeader or a THeaderControl component and will use the positions of the sections in the header to update the tab stop positions of the list box. For example, the following event handler ensures that the tab stops in the list box line up with the widths of the header sections:

procedure TForm1.Header1Sizing( Sender: TObject; ASection, AWidth: Integer);
begin
RzTabbedListBox1.UpdateFromHeader( Header1 );
end;


Raize Components 6

TRzTabbedListBox.UpdateFromHeader Example
TRzTabbedListBox


TRzTabbedListBox.UpdateTabStops

Declaration
procedure UpdateTabStops;

void __fastcall UpdateTabStops(void)

Description

This method is called whenever the TabStops list is modified. This ensures that the underlying list box control uses the same tab stops specified in the TabStops property.


Raize Components 6

TRzTabbedListBox.UpdateTabStops Example
TRzTabbedListBox


TRzTabStopList

Methods

Unit
RzLstBox

Declaration
TRzTabStopList=Class(TRzIntegerList);

class PASCALIMPLEMENTATION TRzTabStopList: public Rzintlst::TRzIntegerList

Description

This custom TRzIntegerList descendant is designed for managing a list of tab stops for the TRzTabbedListBox component.


Raize Components 6

TRzTabStopList Methods
TRzTabStopList


TRzTabStopsMode

Unit
RzLstBox

Declaration
TRzTabStopsMode =(tsmManual, tsmAutomatic);

Description

Value Meaning

tsmManual:

tsmAutomatic:


RzPanel

RzPanel File
List of Units

Unit Classes

TRzCustomGroupBox | TRzCustomGroupBox is the base class for all group box controls in Raize Components.
TRzCustomizeCaptions |
TRzCustomPanel | TRzCustomPanel is the base class for all panel controls in Raize Components.
TRzFlowPanel | TRzFlowPanel is a descendant of TFlowPanel that provides additional display functionality from TRzCustomPanel.
TRzGridPanel | TRzGridPanel is a descendant of TGridPanel that provides additional display functionality from TRzCustomPanel.
TRzGridStyle |
TRzGroupBox | TRzGroupBox is a specialized panel for grouping related controls.
TRzGroupBoxStyle |
TRzPanel | TRzPanel is a custom panel control for grouping other controls.
TRzSpacer | TRzSpacer is a graphical control for separating buttons and controls on a toolbar.
TRzStatusBar | TRzStatusBar is a specialized panel control for displaying status information.
TRzToolbar | TRzToolbar is a specialized panel control for creating toolbars.
TRzToolbarTextOptions |


TRzCustomGroupBox

Properties

TRzCustomGroupBox is the base class for all group box controls in Raize Components.

Unit
RzPanel

Declaration
TRzCustomGroupBox=Class(TRzCustomPanel);

Description

Do not create instances of TRzCustomGroupBox--use TRzGroupBox or some other descendant.


TRzCustomGroupBox.GroupStyle

Determines the appearance of the group box.

Declaration
property GroupStyle: TRzGroupBoxStyle default gsFlat;

__property TRzGroupBoxStyle GroupStyle

Description

Use this property to specify whether a group box uses the standard style for its border or a custom style. When gsCustom is selected, the border's appearance is defined by the border properties. When gsTopLine is selected, only the top border of the group box is displayed. This format is used quite frequently in Microsoft Office applications.


Raize Components 6

TRzCustomGroupBox.GroupStyle Example
TRzCustomGroupBox


Raize Components 6

TRzCustomGroupBox Properties
TRzCustomGroupBox

Public
GroupStyle


TRzCustomizeCaptions

Properties

Unit
RzPanel

Declaration
TRzCustomizeCaptions=Class(TPersistent);

Description

.


TRzCustomizeCaptions.Close

Specifies the caption for Close button in Toolbar Customize dialog.

Declaration
property Close: string;

__property AnsiString Close

Description

Specifies the caption for Close button in Toolbar Customize dialog.


Raize Components 6

TRzCustomizeCaptions.Close Example
TRzCustomizeCaptions


TRzCustomizeCaptions.Hint

Specifies the caption for Hint label in Toolbar Customize dialog.

Declaration
property Hint: string;

__property AnsiString Hint

Description

Specifies the caption for Hint label in Toolbar Customize dialog. Default is "Uncheck to hide control".


Raize Components 6

TRzCustomizeCaptions.Hint Example
TRzCustomizeCaptions


TRzCustomizeCaptions.MoveDown

Specifies the caption for Move Down button in Toolbar Customize dialog.

Declaration
property MoveDown: string;

__property AnsiString MoveDown

Description

Specifies the caption for Move Down button in Toolbar Customize dialog.


Raize Components 6

TRzCustomizeCaptions.MoveDown Example
TRzCustomizeCaptions


TRzCustomizeCaptions.MoveUp

Specifies the caption for Move Up button in Toolbar Customize dialog.

Declaration
property MoveUp: string;

__property AnsiString MoveUp

Description

Specifies the caption for Move Up button in Toolbar Customize dialog.


Raize Components 6

TRzCustomizeCaptions.MoveUp Example
TRzCustomizeCaptions


TRzCustomizeCaptions.NoTextLabels

Specifies the text for the No Text Labels item in the TextOptions combo box in Toolbar Customize dialog.

Declaration
property NoTextLabels: string;

__property AnsiString NoTextLabels

Description

Specifies the text for the No Text Labels item in the TextOptions combo box in Toolbar Customize dialog.


Raize Components 6

TRzCustomizeCaptions.NoTextLabels Example
TRzCustomizeCaptions


Raize Components 6

TRzCustomizeCaptions Properties
TRzCustomizeCaptions

Public
Close
Hint
MoveDown
MoveUp
NoTextLabels
SelectiveTextOnRight
ShowTextLabels
TextOptions
Title


TRzCustomizeCaptions.SelectiveTextOnRight

Specifies the text for the Selective Text On Right item in the TextOptions combo box in Toolbar Customize dialog.

Declaration
property SelectiveTextOnRight: string;

__property AnsiString SelectiveTextOnRight

Description

Specifies the text for the Selective Text On Right item in the TextOptions combo box in Toolbar Customize dialog.


Raize Components 6

TRzCustomizeCaptions.SelectiveTextOnRight Example
TRzCustomizeCaptions


TRzCustomizeCaptions.ShowTextLabels

Specifies the text for the Show Text Labels item in the TextOptions combo box in Toolbar Customize dialog.

Declaration
property ShowTextLabels: string;

__property AnsiString ShowTextLabels

Description

Specifies the text for the Show Text Labels item in the TextOptions combo box in Toolbar Customize dialog.


Raize Components 6

TRzCustomizeCaptions.ShowTextLabels Example
TRzCustomizeCaptions


TRzCustomizeCaptions.TextOptions

Specifies the caption for the Text Options label in Toolbar Customize dialog.

Declaration
property TextOptions: string;

__property AnsiString TextOptions

Description

Specifies the caption for the Text Options label in Toolbar Customize dialog.


Raize Components 6

TRzCustomizeCaptions.TextOptions Example
TRzCustomizeCaptions


TRzCustomizeCaptions.Title

Specifies the caption of the Toolbar Customize dialog. Defaults to "Customize Toolbar".

Declaration
property Title: string;

__property AnsiString Title

Description

Specifies the caption of the Toolbar Customize dialog. Defaults to "Customize Toolbar".


Raize Components 6

TRzCustomizeCaptions.Title Example
TRzCustomizeCaptions


TRzCustomPanel

TRzCustomPanel is the base class for all panel controls in Raize Components.

Unit
RzPanel

Declaration
TRzCustomPanel=Class(TCustomPanel,IRzCustomFramingNotification);

Description

Do not create instances of TRzCustomPanel--use TRzPanel or some other descendant.


TRzCustomPanel.AlignmentVertical

Specifies the vertical alignment position.

Declaration
property AlignmentVertical: TAlignmentVertical default avCenter;

__property Rzcommon::TAlignmentVertical AlignmentVertical

Description

Use this property to change the vertical alignment of the caption. The caption can be positioned at the top, center, or bottom of the component's bounding rectangle.


Raize Components 6

TRzCustomPanel.AlignmentVertical Example
TRzCustomPanel


TRzCustomPanel.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Declaration
property BorderColor: TColor default clBtnFace;

__property Graphics::TColor BorderColor

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

TRzCustomPanel.BorderColor Example
TRzCustomPanel


TRzCustomPanel.BorderHighlight

Specifies the color used to display highlighted portions of the border.

Declaration
property BorderHighlight: TColor default clBtnHighlight;

__property Graphics::TColor BorderHighlight

Description

Use this property to specify the color used when painting highlighted portions of the border.


Raize Components 6

TRzCustomPanel.BorderHighlight Example
TRzCustomPanel


TRzCustomPanel.BorderInner

Specifies the style of the inner border.

Declaration
property BorderInner: TFrameStyleEx default fsNone;

__property Rzcommon::TFrameStyle BorderInner

Description

Use this property to change the style of the inner border used by a component.


Raize Components 6

TRzCustomPanel.BorderInner Example
TRzCustomPanel


TRzCustomPanel.BorderOuter

Specifies the style of the outer border.

Declaration
property BorderOuter: TFrameStyleEx default fsRaised;

__property Rzcommon::TFrameStyle BorderOuter

Description

Use this property to change the style of the outer border used by a component.


Raize Components 6

TRzCustomPanel.BorderOuter Example
TRzCustomPanel


TRzCustomPanel.BorderShadow

Specifies the color used to display shadow portions of the border.

Declaration
property BorderShadow: TColor default clBtnShadow;

__property Graphics::TColor BorderShadow

Description

Use this property to specify the color used when painting shadowed portions of the border.


Raize Components 6

TRzCustomPanel.BorderShadow Example
TRzCustomPanel


TRzCustomPanel.BorderSides

Specifies which sides of the border are visible.

Declaration
property BorderSides: TSides default[sdLeft, sdTop, sdRight, sdBottom];

__property Rzcommon::TSides BorderSides

Description

Use this property to select which sides of the component will display a border.


Raize Components 6

TRzCustomPanel.BorderSides Example
TRzCustomPanel


Raize Components 6

TRzCustomPanel Events
TRzCustomPanel

Public
OnMouseEnter
OnMouseLeave
OnPaint

Protected
OnMouseEnter
OnMouseLeave
OnPaint


TRzCustomPanel.FlatColor

Specifies the color to be used in drawing flat borders.

Declaration
property FlatColor: TColor default clBtnShadow;

__property Graphics::TColor FlatColor

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

TRzCustomPanel.FlatColor Example
TRzCustomPanel


TRzCustomPanel.FlatColorAdjustment

Determines if the FlatColor property value is adjusted to be either lighter or darker.

Declaration
property FlatColorAdjustment: Integer default 30;

__property int FlatColorAdjustment

Description

Use FlatColorAdjustment to lighten or darken the FlatColor used for the border of a control when the border is fsFlat. This property is used in TRzGroupBox components and TRzStatusPane components to allow the color of the border to be a lighter shade of the clBtnShadow color.


Raize Components 6

TRzCustomPanel.FlatColorAdjustment Example
TRzCustomPanel


TRzCustomPanel.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzCustomPanel.FrameController Example
TRzCustomPanel


TRzCustomPanel.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzCustomPanel.FrameControllerNotifications Example
TRzCustomPanel


TRzCustomPanel.GradientColorStart

Specifies the starting color to be used when defining a gradient.

Declaration
property GradientColorStart: TColor default clWhite;

Description

Use GradientColorStart to specify the starting color that is used in defining a gradient color fill.


Raize Components 6

TRzCustomPanel.GradientColorStart Example
TRzCustomPanel


TRzCustomPanel.GradientColorStop

Specifies the stopping color to be used when defining a gradient.

Declaration
property GradientColorStop: TColor default clBtnFace;

Description

Use GradientColorStop to specify the stopping color that is used in defining a gradient color fill.


Raize Components 6

TRzCustomPanel.GradientColorStop Example
TRzCustomPanel


TRzCustomPanel.GradientColorStyle

Use GradientColorStyle to specify how gradient color values are obtained for the control.

Declaration
property GradientColorStyle: TRzGradientColorStyle default gcsSystem;

Description

GradientColorStyle properties are active when the control's VisualStyle property is set to vsGradient. The default value of properties of this type is gcsSystem, which means that the gradient color values needed by the control are obtained from the current system colors. This value ensures that the control look great regardless of the users current color scheme. To mimic the Microsoft Office 2003 look when XP themes are active (i.e. blue, green, and silver backgrounds for toolbars, etc.) then select the gcsMSOffice value. If XP themes are not present, then the control will utilize the gcsSystem value. And finally, if you wish to select custom color values for the gradients used in a control, then select the gcsCustom value.


Raize Components 6

TRzCustomPanel.GradientColorStyle Example
TRzCustomPanel


TRzCustomPanel.GradientDirection

Determines the direction of the gradient fill path.

Declaration
property GradientDirection: TGradientDirection default gdHorizontalEnd;

Description

This property determines which direction the gradient fill will flow. Your choices include:

Value Meaning

dBigSquareBox Top and bottom converge together to form a big square box in the center.

dDiagonalDown Top right to bottom left.

dDiagonalUp Top left to bottom right

dHorizontalBox Top and bottom converge together to form a box in the center.

dHorizontalCenter Top and bottom converge to the center.

dHorizontalEnd Horizontally downward

dSquareBox All sides converge into a square

dVerticalBox Sides converge into a box.

dVerticalCenter Sides converge into a box at the center.


Raize Components 6

TRzCustomPanel.GradientDirection Example
TRzCustomPanel


TRzCustomPanel.GridColor

Specifies color to use for grid lines.

Declaration
property GridColor: TColor default clBtnShadow;

__property Graphics::TColor GridColor

Description

Use GridColor to specify the color to use when displaying grid lines on the panel.


Raize Components 6

TRzCustomPanel.GridColor Example
TRzCustomPanel


TRzCustomPanel.GridStyle

Specifies style of grid lines.

Declaration
property GridStyle: TRzGridStyle default gsDots;

__property TRzGridStyle GridStyle

Description

Use GridStyle to change the style in which the grid lines are drawn.


Raize Components 6

TRzCustomPanel.GridStyle Example
TRzCustomPanel


TRzCustomPanel.GridXSize

Specifies horizontal distance between grid lines.

Declaration
property GridXSize: Word default 8;

__property Word GridXSize

Description

Use GridXSize to specify the horizontal separation in pixels between grid lines.


Raize Components 6

TRzCustomPanel.GridXSize Example
TRzCustomPanel


TRzCustomPanel.GridYSize

Specifies vertical distance between grid lines.

Declaration
property GridYSize: Word default 8;

__property Word GridYSize

Description

Use GridYSize to specify the vertical separation in pixels between grid lines.


Raize Components 6

TRzCustomPanel.GridYSize Example
TRzCustomPanel


Raize Components 6

TRzCustomPanel Methods
TRzCustomPanel

Public
SetGridSize


TRzCustomPanel.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzCustomPanel.OnMouseEnter Example
TRzCustomPanel


TRzCustomPanel.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzCustomPanel.OnMouseLeave Example
TRzCustomPanel


TRzCustomPanel.OnPaint

Occurs when control needs to be repainted.

Declaration
property OnPaint: TNotifyEvent;

Description

This event fires when the control is being repainted. Handle this event to provide custom painting using the Canvas property.


Raize Components 6

TRzCustomPanel.OnPaint Example
TRzCustomPanel


TRzCustomPanel.PaintClientArea

Controls whether panel paints its client area.

Declaration
property PaintClientArea: Boolean default True;

__property bool PaintClientArea

Description

This property is set to True by default. Set this property to False, when you are using another control to completely fill the client area of the panel. Therefore, the panel does not need to paint the client area as this will be painted by the other control (such as a TRzBackground). This will eliminate flicker when resizing the panel.


Raize Components 6

TRzCustomPanel.PaintClientArea Example
TRzCustomPanel


Raize Components 6

TRzCustomPanel Properties
TRzCustomPanel

Protected
AlignmentVertical
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
FlatColor
FlatColorAdjustment
FrameController
FrameControllerNotifications
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
GridColor
GridStyle
GridXSize
GridYSize
PaintClientArea
ShowDockClientCaptions
ShowGrid
TextMargin
TextMarginVertical
Transparent
VisualStyle
WordWrap


TRzCustomPanel.SetGridSize
TRzCustomPanel Methods

Use SetGridSize to specify the horizontal and vertical separation between grid lines at the same time.

Declaration
procedure SetGridSize(XSize, YSize: Integer);

void __fastcall SetGridSize(int XSize, int YSize)

Description

Use SetGridSize to specify the horizontal and vertical separation between grid lines at the same time.


Raize Components 6

TRzCustomPanel.SetGridSize Example
TRzCustomPanel


TRzCustomPanel.ShowDockClientCaptions

Specifies whether the Raize Custom Docking Manager displays captions for dock clients.

Declaration
property ShowDockClientCaptions: Boolean default True;

__property bool ShowDockClientCaptions

Description

This property is used by the Raize Custom Docking Manager in Delphi 4 and later versions. When set to True (the default), client controls docked inside this component will be displayed with a caption bar instead of the default grabber bars. Set this property to False to have the Docking Manager display the default grabber bars.


Raize Components 6

TRzCustomPanel.ShowDockClientCaptions Example
TRzCustomPanel


TRzCustomPanel.ShowGrid

Determines if grid lines are visible.

Declaration
property ShowGrid: Boolean default False;

__property bool ShowGrid

Description

Set ShowGrid to True to display grid lines on the panel.


Raize Components 6

TRzCustomPanel.ShowGrid Example
TRzCustomPanel


TRzCustomPanel.TextMargin

Specifies horizontal buffer amount around text.

Declaration
property TextMargin: Integer default 0;

Description

This property controls the amount of space on the left and right of the interior of the control before the text Caption will be drawn.


Raize Components 6

TRzCustomPanel.TextMargin Example
TRzCustomPanel


TRzCustomPanel.TextMarginVertical

Specifies vertical buffer amount around text.

Declaration
property TextMarginVertical: Integer default 0;

__property int TextMarginVertical

Description

This property controls the amount of space on the top and bottom of the interior of the control before the text Caption will be drawn.


Raize Components 6

TRzCustomPanel.TextMarginVertical Example
TRzCustomPanel


TRzCustomPanel.Transparent

Determines if the control appears transparent.

Declaration
property Transparent: Boolean default False;

__property bool Transparent

Description

When this property is set to True, the background behind the control shows through.


Raize Components 6

TRzCustomPanel.Transparent Example
TRzCustomPanel


TRzCustomPanel.VisualStyle

Use VisualStyle to specify the general appearance of a control.

Declaration
property VisualStyle: TRzVisualStyle default vsWinXP;

Description

VisualStyle properties are used to specify the general appearance of a control. The vsClassic style setting indicates that the control will take on the pre-WinXP style (i.e. classic). To utilize Windows XP themes (if they are present), the VisualStyle of vsWinXP is chosen. To give the control a more modern appearance, select the vsGradient style.


Raize Components 6

TRzCustomPanel.VisualStyle Example
TRzCustomPanel


TRzCustomPanel.WordWrap

Determines if long captions are wrapped to multiple lines.

Declaration
property WordWrap: Boolean default True;

Description

Use WordWrap to wrap a long caption to multiple lines if the length of the caption exceeds the width of the control.


Raize Components 6

TRzCustomPanel.WordWrap Example
TRzCustomPanel


TRzFlowPanel.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzFlowPanel.About Example
TRzFlowPanel


TRzFlowPanel.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Declaration
property BorderColor: TColor default clBtnFace;

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

TRzFlowPanel.BorderColor Example
TRzFlowPanel


TRzFlowPanel.BorderHighlight

Specifies the color used to display highlighted portions of the border.

Declaration
property BorderHighlight: TColor default clBtnHighlight;

Description

Use this property to specify the color used when painting highlighted portions of the border.


Raize Components 6

TRzFlowPanel.BorderHighlight Example
TRzFlowPanel


TRzFlowPanel.BorderInner

Specifies the style of the inner border.

Declaration
property BorderInner: TFrameStyleEx default fsNone;

Description

Use this property to change the style of the inner border used by a component.


Raize Components 6

TRzFlowPanel.BorderInner Example
TRzFlowPanel


TRzFlowPanel.BorderOuter

Specifies the style of the outer border.

Declaration
property BorderOuter: TFrameStyleEx default fsRaised;

Description

Use this property to change the style of the outer border used by a component.


Raize Components 6

TRzFlowPanel.BorderOuter Example
TRzFlowPanel


TRzFlowPanel.BorderShadow

Specifies the color used to display shadow portions of the border.

Declaration
property BorderShadow: TColor default clBtnShadow;

Description

Use this property to specify the color used when painting shadowed portions of the border.


Raize Components 6

TRzFlowPanel.BorderShadow Example
TRzFlowPanel


TRzFlowPanel.BorderSides

Specifies which sides of the border are visible.

Declaration
property BorderSides: TSides default[sdLeft, sdTop, sdRight, sdBottom];

Description

Use this property to select which sides of the component will display a border.


Raize Components 6

TRzFlowPanel.BorderSides Example
TRzFlowPanel


Raize Components 6

TRzFlowPanel Events
TRzFlowPanel

Public
OnPaint


TRzFlowPanel.FlatColor

Specifies the color to be used in drawing flat borders.

Declaration
property FlatColor: TColor default clBtnShadow;

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

TRzFlowPanel.FlatColor Example
TRzFlowPanel


TRzFlowPanel.FlatColorAdjustment

Determines if the FlatColor property value is adjusted to be either lighter or darker.

Declaration
property FlatColorAdjustment: Integer default 30;

Description

Use FlatColorAdjustment to lighten or darken the FlatColor used for the border of a control when the border is fsFlat. This property is used in TRzGroupBox components and TRzStatusPane components to allow the color of the border to be a lighter shade of the clBtnShadow color.


Raize Components 6

TRzFlowPanel.FlatColorAdjustment Example
TRzFlowPanel


TRzFlowPanel.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzFlowPanel.FrameController Example
TRzFlowPanel


TRzFlowPanel.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzFlowPanel.FrameControllerNotifications Example
TRzFlowPanel


TRzFlowPanel.GradientColorStart

Specifies the starting color to be used when defining a gradient.

Declaration
property GradientColorStart: TColor default clWhite;

Description

Use GradientColorStart to specify the starting color that is used in defining a gradient color fill.


Raize Components 6

TRzFlowPanel.GradientColorStart Example
TRzFlowPanel


TRzFlowPanel.GradientColorStop

Specifies the stopping color to be used when defining a gradient.

Declaration
property GradientColorStop: TColor default clBtnFace;

Description

Use GradientColorStop to specify the stopping color that is used in defining a gradient color fill.


Raize Components 6

TRzFlowPanel.GradientColorStop Example
TRzFlowPanel


TRzFlowPanel.GradientColorStyle

Use GradientColorStyle to specify how gradient color values are obtained for the control.

Declaration
property GradientColorStyle: TRzGradientColorStyle default gcsSystem;

Description

GradientColorStyle properties are active when the control's VisualStyle property is set to vsGradient. The default value of properties of this type is gcsSystem, which means that the gradient color values needed by the control are obtained from the current system colors. This value ensures that the control look great regardless of the users current color scheme. To mimic the Microsoft Office 2003 look when XP themes are active (i.e. blue, green, and silver backgrounds for toolbars, etc.) then select the gcsMSOffice value. If XP themes are not present, then the control will utilize the gcsSystem value. And finally, if you wish to select custom color values for the gradients used in a control, then select the gcsCustom value.


Raize Components 6

TRzFlowPanel.GradientColorStyle Example
TRzFlowPanel


TRzFlowPanel.GradientDirection

Determines the direction of the gradient fill path.

Declaration
property GradientDirection: TGradientDirection default gdHorizontalEnd;

Description

This property determines which direction the gradient fill will flow. Your choices include:

Value Meaning

dBigSquareBox Top and bottom converge together to form a big square box in the center.

dDiagonalDown Top right to bottom left.

dDiagonalUp Top left to bottom right

dHorizontalBox Top and bottom converge together to form a box in the center.

dHorizontalCenter Top and bottom converge to the center.

dHorizontalEnd Horizontally downward

dSquareBox All sides converge into a square

dVerticalBox Sides converge into a box.

dVerticalCenter Sides converge into a box at the center.


Raize Components 6

TRzFlowPanel.GradientDirection Example
TRzFlowPanel


TRzFlowPanel.OnPaint

Occurs when control needs to be repainted.

Declaration
property OnPaint: TNotifyEvent;

Description

This event fires when the control is being repainted. Handle this event to provide custom painting using the Canvas property.


Raize Components 6

TRzFlowPanel.OnPaint Example
TRzFlowPanel


Raize Components 6

TRzFlowPanel Properties
TRzFlowPanel

Public
About
Align
Anchors
AutoSize
AutoWrap
BevelWidth
BiDiMode
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
Canvas
Color
Constraints
Ctl3D
DockManager
DockSite
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
FlowStyle
Font
FrameController
FrameControllerNotifications
FullRepaint
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
Locked
Padding
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ShowHint
TabOrder
TabStop
Transparent
Visible
VisualStyle


TRzFlowPanel.Transparent

Determines if the control appears transparent.

Declaration
property Transparent: Boolean default False;

Description

When this property is set to True, the background behind the control shows through.


Raize Components 6

TRzFlowPanel.Transparent Example
TRzFlowPanel


TRzFlowPanel.VisualStyle

Use VisualStyle to specify the general appearance of a control.

Declaration
property VisualStyle: TRzVisualStyle default vsWinXP;

Description

VisualStyle properties are used to specify the general appearance of a control. The vsClassic style setting indicates that the control will take on the pre-WinXP style (i.e. classic). To utilize Windows XP themes (if they are present), the VisualStyle of vsWinXP is chosen. To give the control a more modern appearance, select the vsGradient style.


Raize Components 6

TRzFlowPanel.VisualStyle Example
TRzFlowPanel


TRzGridPanel.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzGridPanel.About Example
TRzGridPanel


TRzGridPanel.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Declaration
property BorderColor: TColor default clBtnFace;

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

TRzGridPanel.BorderColor Example
TRzGridPanel


TRzGridPanel.BorderHighlight

Specifies the color used to display highlighted portions of the border.

Declaration
property BorderHighlight: TColor default clBtnHighlight;

Description

Use this property to specify the color used when painting highlighted portions of the border.


Raize Components 6

TRzGridPanel.BorderHighlight Example
TRzGridPanel


TRzGridPanel.BorderInner

Specifies the style of the inner border.

Declaration
property BorderInner: TFrameStyleEx default fsNone;

Description

Use this property to change the style of the inner border used by a component.


Raize Components 6

TRzGridPanel.BorderInner Example
TRzGridPanel


TRzGridPanel.BorderOuter

Specifies the style of the outer border.

Declaration
property BorderOuter: TFrameStyleEx default fsRaised;

Description

Use this property to change the style of the outer border used by a component.


Raize Components 6

TRzGridPanel.BorderOuter Example
TRzGridPanel


TRzGridPanel.BorderShadow

Specifies the color used to display shadow portions of the border.

Declaration
property BorderShadow: TColor default clBtnShadow;

Description

Use this property to specify the color used when painting shadowed portions of the border.


Raize Components 6

TRzGridPanel.BorderShadow Example
TRzGridPanel


TRzGridPanel.BorderSides

Specifies which sides of the border are visible.

Declaration
property BorderSides: TSides default[sdLeft, sdTop, sdRight, sdBottom];

Description

Use this property to select which sides of the component will display a border.


Raize Components 6

TRzGridPanel.BorderSides Example
TRzGridPanel


Raize Components 6

TRzGridPanel Events
TRzGridPanel

Public
OnPaint


TRzGridPanel.FlatColor

Specifies the color to be used in drawing flat borders.

Declaration
property FlatColor: TColor default clBtnShadow;

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

TRzGridPanel.FlatColor Example
TRzGridPanel


TRzGridPanel.FlatColorAdjustment

Determines if the FlatColor property value is adjusted to be either lighter or darker.

Declaration
property FlatColorAdjustment: Integer default 30;

Description

Use FlatColorAdjustment to lighten or darken the FlatColor used for the border of a control when the border is fsFlat. This property is used in TRzGroupBox components and TRzStatusPane components to allow the color of the border to be a lighter shade of the clBtnShadow color.


Raize Components 6

TRzGridPanel.FlatColorAdjustment Example
TRzGridPanel


TRzGridPanel.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzGridPanel.FrameController Example
TRzGridPanel


TRzGridPanel.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzGridPanel.FrameControllerNotifications Example
TRzGridPanel


TRzGridPanel.GradientColorStart

Specifies the starting color to be used when defining a gradient.

Declaration
property GradientColorStart: TColor default clWhite;

Description

Use GradientColorStart to specify the starting color that is used in defining a gradient color fill.


Raize Components 6

TRzGridPanel.GradientColorStart Example
TRzGridPanel


TRzGridPanel.GradientColorStop

Specifies the stopping color to be used when defining a gradient.

Declaration
property GradientColorStop: TColor default clBtnFace;

Description

Use GradientColorStop to specify the stopping color that is used in defining a gradient color fill.


Raize Components 6

TRzGridPanel.GradientColorStop Example
TRzGridPanel


TRzGridPanel.GradientColorStyle

Use GradientColorStyle to specify how gradient color values are obtained for the control.

Declaration
property GradientColorStyle: TRzGradientColorStyle default gcsSystem;

Description

GradientColorStyle properties are active when the control's VisualStyle property is set to vsGradient. The default value of properties of this type is gcsSystem, which means that the gradient color values needed by the control are obtained from the current system colors. This value ensures that the control look great regardless of the users current color scheme. To mimic the Microsoft Office 2003 look when XP themes are active (i.e. blue, green, and silver backgrounds for toolbars, etc.) then select the gcsMSOffice value. If XP themes are not present, then the control will utilize the gcsSystem value. And finally, if you wish to select custom color values for the gradients used in a control, then select the gcsCustom value.


Raize Components 6

TRzGridPanel.GradientColorStyle Example
TRzGridPanel


TRzGridPanel.GradientDirection

Determines the direction of the gradient fill path.

Declaration
property GradientDirection: TGradientDirection default gdHorizontalEnd;

Description

This property determines which direction the gradient fill will flow. Your choices include:

Value Meaning

dBigSquareBox Top and bottom converge together to form a big square box in the center.

dDiagonalDown Top right to bottom left.

dDiagonalUp Top left to bottom right

dHorizontalBox Top and bottom converge together to form a box in the center.

dHorizontalCenter Top and bottom converge to the center.

dHorizontalEnd Horizontally downward

dSquareBox All sides converge into a square

dVerticalBox Sides converge into a box.

dVerticalCenter Sides converge into a box at the center.


Raize Components 6

TRzGridPanel.GradientDirection Example
TRzGridPanel


TRzGridPanel.OnPaint

Occurs when control needs to be repainted.

Declaration
property OnPaint: TNotifyEvent;

Description

This event fires when the control is being repainted. Handle this event to provide custom painting using the Canvas property.


Raize Components 6

TRzGridPanel.OnPaint Example
TRzGridPanel


Raize Components 6

TRzGridPanel Properties
TRzGridPanel

Public
About
Align
Anchors
AutoSize
BevelWidth
BiDiMode
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
Canvas
Color
ColumnCollection
Constraints
ControlCollection
Ctl3D
DockManager
DockSite
DragCursor
DragKind
DragMode
Enabled
ExpandStyle
FlatColor
FlatColorAdjustment
Font
FrameController
FrameControllerNotifications
FullRepaint
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
Locked
Padding
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
RowCollection
ShowHint
TabOrder
TabStop
Transparent
Visible
VisualStyle


TRzGridPanel.Transparent

Determines if the control appears transparent.

Declaration
property Transparent: Boolean default False;

Description

When this property is set to True, the background behind the control shows through.


Raize Components 6

TRzGridPanel.Transparent Example
TRzGridPanel


TRzGridPanel.VisualStyle

Use VisualStyle to specify the general appearance of a control.

Declaration
property VisualStyle: TRzVisualStyle default vsWinXP;

Description

VisualStyle properties are used to specify the general appearance of a control. The vsClassic style setting indicates that the control will take on the pre-WinXP style (i.e. classic). To utilize Windows XP themes (if they are present), the VisualStyle of vsWinXP is chosen. To give the control a more modern appearance, select the vsGradient style.


Raize Components 6

TRzGridPanel.VisualStyle Example
TRzGridPanel


TRzGridStyle

Unit
RzPanel

Declaration
TRzGridStyle =(gsDots, gsDottedLines, gsSolidLines);

enum TRzGridStyle gsDots, gsDottedLines, gsSolidLines ;

Description

Value Meaning

gsDots:

gsDottedLines:

gsSolidLines:


TRzGroupBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzGroupBox.About Example
TRzGroupBox


Raize Components 6

TRzGroupBox Events
TRzGroupBox

Public


Raize Components 6

TRzGroupBox Properties
TRzGroupBox

Public
About
Align
Alignment
Anchors
BevelWidth
BiDiMode
BorderColor
BorderInner
BorderOuter
BorderSides
BorderWidth
Caption
Color
Constraints
Ctl3D
DockSite
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
FrameController
FrameControllerNotifications
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
GroupStyle
Height
Padding
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ShowDockClientCaptions
ShowHint
TabOrder
TabStop
Transparent
Visible
VisualStyle


TRzGroupBoxStyle

Unit
RzPanel

Declaration
TRzGroupBoxStyle =(gsStandard, gsCustom, gsTopLine, gsFlat, gsBanner, gsUnderline);

enum TRzGroupBoxStyle gsStandard, gsCustom, gsTopLine, gsFlat, gsBanner, gsUnderline ;

Description

Value Meaning

gsStandard:

gsCustom:

gsTopLine:

gsFlat:

gsBanner:

gsUnderline:


TRzPanel.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzPanel.About Example
TRzPanel


Raize Components 6

TRzPanel Events
TRzPanel

Public


Raize Components 6

TRzPanel Properties
TRzPanel

Public
About
Align
Alignment
AlignmentVertical
Anchors
AutoSize
BevelWidth
BiDiMode
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
Canvas
Caption
Color
Constraints
Ctl3D
DockManager
DockSite
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
FrameController
FrameControllerNotifications
FullRepaint
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
GridColor
GridStyle
GridXSize
GridYSize
Locked
Padding
PaintClientArea
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ShowDockClientCaptions
ShowGrid
ShowHint
TabOrder
TabStop
TextMargin
TextMarginVertical
Transparent
UseDockManager
Visible
VisualStyle
WordWrap


TRzSpacer.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSpacer.About Example
TRzSpacer


TRzSpacer.Grooved

Declaration
property Grooved: Boolean default False;

__property bool Grooved

Description

When this property is set to True, the spacer displays a grooved line to separate the components on a toolbar. The direction of the line is controlled by the Orientation property of the TRzToolbar.


Raize Components 6

TRzSpacer.Grooved Example
TRzSpacer


TRzSpacer.Orientation

Specifies that the control is horizontally or veritcally oriented.

Declaration
property Orientation: TOrientation default orHorizontal;

__property Rzcommon::TOrientation Orientation

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

TRzSpacer.Orientation Example
TRzSpacer


Raize Components 6

TRzSpacer Properties
TRzSpacer

Public
About
Align
Anchors
Constraints
Grooved
Height
Orientation
Visible
Width


TRzStatusBar.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzStatusBar.About Example
TRzStatusBar


TRzStatusBar.AutoScalePanes

Determines if status bar automatically resizes its status panes.

Declaration
property AutoScalePanes: Boolean default False;

__property bool AutoScalePanes

Description

When this property is set to True, the status bar automatically scales its status panes as the status bar is resized.


Raize Components 6

TRzStatusBar.AutoScalePanes Example
TRzStatusBar


TRzStatusBar.AutoStyle

Determines if the status bar automatically adjusts its style.

Declaration
property AutoStyle: Boolean default True;

__property bool AutoStyle

Description

This property determines whether or not the toolbar or status bar automatically adjusts its style according the operating system. As a result, if AutoStyle is True, any changes made to any of the border properties will not be honored when the application is executed. To customize the appearance of a toolbar or status bar set the AutoStyle property to False.


Raize Components 6

TRzStatusBar.AutoStyle Example
TRzStatusBar


Raize Components 6

TRzStatusBar Events
TRzStatusBar

Public


Raize Components 6

TRzStatusBar Properties
TRzStatusBar

Public
About
Align
Anchors
AutoScalePanes
AutoStyle
BevelWidth
BiDiMode
BorderColor
BorderInner
BorderOuter
BorderSides
BorderWidth
Color
Constraints
Ctl3D
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
FullRepaint
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
Height
Locked
Padding
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ShowHint
ShowSizeGrip
SimpleCaption
SimpleFrameStyle
SimpleStatus
TabOrder
TabStop
Visible
VisualStyle


TRzStatusBar.ShowSizeGrip

Declaration
property ShowSizeGrip: Boolean default True;

__property bool ShowSizeGrip

Description

This property determines whether the size grip of the status bar is visible. The size grip is located in the lower right corner of the status bar and functions like a sizing border. Click on the sizing grip and drag it to resize the parent window.


Raize Components 6

TRzStatusBar.ShowSizeGrip Example
TRzStatusBar


TRzStatusBar.SimpleCaption

Declaration
property SimpleCaption: TCaption;

__property AnsiString SimpleCaption

Description

Use this property to specify the caption string to be displayed in the single status pane that is displayed when SimpleStatus is set to True.


Raize Components 6

TRzStatusBar.SimpleCaption Example
TRzStatusBar


TRzStatusBar.SimpleFrameStyle

Declaration
property SimpleFrameStyle: TFrameStyle default fsFlat;

Description

Use this property to change the frame used when the SimpleStatus property is set to True.


Raize Components 6

TRzStatusBar.SimpleFrameStyle Example
TRzStatusBar


TRzStatusBar.SimpleStatus

Declaration
property SimpleStatus: Boolean default False;

__property bool SimpleStatus

Description

Set this property to True to instruct the status bar to hide any status panes already on the component and display a single pane that occupies the entire client area of the component. To specify the text to be displayed in this single status pane, use the SimpleCaption property.


Raize Components 6

TRzStatusBar.SimpleStatus Example
TRzStatusBar


TRzToolbar.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzToolbar.About Example
TRzToolbar


TRzToolbar.Align

Controls the positioning of the control within a container.

Declaration
property Align: TAlign default alTop;

__property Controls::TAlign Align

Description

Use Align to align a control to the top, bottom, left, or right of a form or panel and have it remain there even if the size of the form, panel, or component that contains the control changes. When the parent is resized, an aligned control also resizes so that it continues to span the top, bottom, left, or right edge of the parent.

For example, to use a panel component with various controls on it as a tool palette, change the panels Align value to alLeft. The value of alLeft for the Align property of the panel guarantees that the tool palette remains on the left side of the form and always equals the client height of the form.

The default value of Align is alNone, which means a control remains where it is positioned on a form or panel.

Tip: If Align is set to alClient, the control fills the entire client area so that it is impossible to select the parent form by clicking on it. In this case, select the parent by selecting the control on the form and pressing Esc, or by using the Object Inspector.

Any number of child components within a single parent can have the same Align value, in which case they stack up along the edge of the parent. The child controls stack up in z-order. To adjust the order in which the controls stack up, drag the controls into their desired positions.

Note: To cause a control to maintain a specified relationship with an edge of its parent, but not necessarily lie along one edge of the parent, use the Anchors property instead.


Raize Components 6

TRzToolbar.Align Example
TRzToolbar


TRzToolbar.AutoResize

Declaration
property AutoResize: Boolean default True;

__property bool AutoResize

Description

When this property is True, the toolbar will automatically adjust its size as more controls are added to the toolbar, and as the window which contains the toolbar is resized.

When using a TRzToolbar on a TControlBar, you should select the ControlBar Settings option from the TRzToolbar component menu. One of the things this option does is to turn off AutoResize because the TControlBar wants to have complete control over sizing any components dropped onto it.


Raize Components 6

TRzToolbar.AutoResize Example
TRzToolbar


TRzToolbar.AutoStyle

Determines if toolbar automatically adjusts its style.

Declaration
property AutoStyle: Boolean default True;

__property bool AutoStyle

Description

This property determines whether or not the toolbar or status bar automatically adjusts its style according the operating system. As a result, if AutoStyle is True, any changes made to any of the border properties will not be honored when the application is executed. To customize the appearance of a toolbar or status bar set the AutoStyle property to False.


Raize Components 6

TRzToolbar.AutoStyle Example
TRzToolbar


TRzToolbar.Background

Declaration
property Background: TBitmap;

__property Graphics::TBitmap *Background

Description

Use this property to specify a bitmap which will be tiled behind the controls on the toolbar.


Raize Components 6

TRzToolbar.Background Example
TRzToolbar


TRzToolbar.ButtonHeight

Declaration
property ButtonHeight: Integer default 25;

__property int ButtonHeight

Description

Use ButtonHeight to specify the default height of all TRzToolButton components on the toolbar.


Raize Components 6

TRzToolbar.ButtonHeight Example
TRzToolbar


TRzToolbar.ButtonLayout

Declaration
property ButtonLayout: TButtonLayout default blGlyphLeft;

__property Buttons::TButtonLayout ButtonLayout

Description

Use ButtonLayout to specify the default layout value for all TRzToolButton components on the toolbar.


Raize Components 6

TRzToolbar.ButtonLayout Example
TRzToolbar


TRzToolbar.ButtonWidth

Declaration
property ButtonWidth: Integer default 25;

__property int ButtonWidth

Description

Use ButtonWidth to specify the default width of all TRzToolButton components on the toolbar. The actual width of a button may be longer than the ButtonWidth value if the Caption of the button is too long to fit in completely in the button's client area.


Raize Components 6

TRzToolbar.ButtonWidth Example
TRzToolbar


TRzToolbar.Customize

Declaration
procedure Customize(ShowTextOptions: Boolean=True);

Description

Use the Customize method to display the runtime customization dialog box. The resulting dialog box allows a user to change the visibility of controls on the toolbar as well as reorder the controls, and change the appearance of toolbar buttons. If the ShowTextOptions parameter is False, then the Text Options combo box is not visible when the dialog is displayed.


Raize Components 6

TRzToolbar.Customize Example
TRzToolbar


TRzToolbar.CustomizeCaptions

Declaration
property CustomizeCaptions: TRzCustomizeCaptions;

Description

Use this property to change the text strings displayed in the Customize Toolbar dialog box.


Raize Components 6

TRzToolbar.CustomizeCaptions Example
TRzToolbar


TRzToolbar.DisabledImages

Specifies an associated image list containing disabled images.

Declaration
property DisabledImages: TCustomImageList;

__property Imglist::TCustomImageList *DisabledImages

Description

Use DisabledImages to specify a separate image list that contains the disabled versions of images contained in the Images image list.


Raize Components 6

TRzToolbar.DisabledImages Example
TRzToolbar


Raize Components 6

TRzToolbar Events
TRzToolbar

Public
OnVisibleChanged


TRzToolbar.Images

Specifies an associated image list.

Declaration
property Images: TCustomImageList;

__property Imglist::TCustomImageList *Images

Description

Use Images to connect the control to an image list control.


Raize Components 6

TRzToolbar.Images Example
TRzToolbar


TRzToolbar.Margin

Declaration
property Margin: Integer default 4;

__property int Margin

Description

This property controls the spacing between the left (or right) edge of the toolbar and the controls that reside within the toolbar.


Raize Components 6

TRzToolbar.Margin Example
TRzToolbar


Raize Components 6

TRzToolbar Methods
TRzToolbar

Public
Customize
PositionControls
RestoreLayout
SaveLayout
UpdateButtonSize


TRzToolbar.OnVisibleChanged

Declaration
property OnVisibleChanged: TNotifyEvent;

__property Classes::TNotifyEvent OnVisibleChanged

Description

This event is generated whenever the Visible state of the toolbar is changed. This is very useful when the toolbar is inside a floating dock window. If the dock window is closed, this event allows you to become notified of the change, which will enable you to update the state of your user interface appropriately.


Raize Components 6

TRzToolbar.OnVisibleChanged Example
TRzToolbar


TRzToolbar.Orientation

Specifies that the control is horizontally or veritcally oriented.

Declaration
property Orientation: TOrientation default orHorizontal;

__property Rzcommon::TOrientation Orientation

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

TRzToolbar.Orientation Example
TRzToolbar


TRzToolbar.PositionControls

Declaration
procedure PositionControls; virtual;

virtual void __fastcall PositionControls(void)

Description

Use this method to force the toolbar to reposition the controls it contains. Calling this method is usually needed when dynamically adding controls to the toolbar before the toolbar and the form which it is on is visible.


Raize Components 6

TRzToolbar.PositionControls Example
TRzToolbar


Raize Components 6

TRzToolbar Properties
TRzToolbar

Public
About
Align
Anchors
AutoResize
AutoSize
AutoStyle
Background
BevelWidth
BiDiMode
BorderColor
BorderInner
BorderOuter
BorderSides
BorderWidth
ButtonHeight
ButtonLayout
ButtonWidth
Canvas
Caption
Color
Constraints
Ctl3D
CustomizeCaptions
DisabledImages
DockManager
DockSite
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
FullRepaint
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
Height
Images
Locked
Margin
Orientation
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
RegIniFile
RowHeight
ShowButtonCaptions
ShowDivider
ShowDockClientCaptions
ShowHint
TabOrder
TabStop
TextOptions
TopMargin
Transparent
UseDockManager
Visible
VisualStyle
Width
WrapControls


TRzToolbar.RegIniFile

Specifies a TRzRegIniFile component to be used for storage of settings.

Declaration
property RegIniFile: TRzRegIniFile;

__property Rzcommon::TRzRegIniFile *RegIniFile

Description

Use RegIniFile to specify a TRzRegIniFile component to be used by the control to read and write data to and from the Registry or an INI file.


Raize Components 6

TRzToolbar.RegIniFile Example
TRzToolbar


TRzToolbar.RestoreLayout

Declaration
procedure RestoreLayout;

void __fastcall RestoreLayout(void)

Description

Calling RestoreLayout will instruct the toolbar to use its associated RegIniFile component to read a previously saved layout and restore those settings to the toolbar.


Raize Components 6

TRzToolbar.RestoreLayout Example
TRzToolbar


TRzToolbar.RowHeight

Declaration
property RowHeight: Integer default 25;

__property int RowHeight

Description

This property determines the position of controls that are wrapped in a TRzToolbar. That is, when a control is wrapped to a new line (or row), the position of the new control is RowHeight pixels from the previous row. The same property is used for vertical wrapping as well.

To create toolbars with large buttons, increase the RowHeight to match the large button height (e.g. 40).


Raize Components 6

TRzToolbar.RowHeight Example
TRzToolbar


TRzToolbar.SaveLayout

Declaration
procedure SaveLayout;

void __fastcall SaveLayout(void)

Description

Calling SaveLayout will instruct the toolbar to use its associated RegIniFile component to save the layout, ordering, and button style settings to the Registry or an INI file so that those values can be restored later using the RestoreLayout method.


Raize Components 6

TRzToolbar.SaveLayout Example
TRzToolbar


TRzToolbar.ShowButtonCaptions

Declaration
property ShowButtonCaptions: Boolean default False;

__property bool ShowButtonCaptions

Description

Use ShowButtonCaptions to control whether or not TRzToolButton components on the toolbar display their captions.


Raize Components 6

TRzToolbar.ShowButtonCaptions Example
TRzToolbar


TRzToolbar.ShowDivider

Declaration
property ShowDivider: Boolean default True;

__property bool ShowDivider

Description

Use this property to show or hide the divider line of a TRzToolbar. The divider line is a groove that separates the toolbar from the main menu or from other toolbars.


Raize Components 6

TRzToolbar.ShowDivider Example
TRzToolbar


TRzToolbarTextOptions

Unit
RzPanel

Declaration
TRzToolbarTextOptions =(ttoNoTextLabels, ttoShowTextLabels, ttoSelectiveTextOnRight, ttoCustom);

enum TRzToolbarTextOptions ttoNoTextLabels, ttoShowTextLabels, ttoSelectiveTextOnRight, ttoCustom ;

Description

Value Meaning

ttoNoTextLabels:

ttoShowTextLabels:

ttoSelectiveTextOnRight:

ttoCustom:


Raize Components 6

TRzToolbar.TextOptions Example
TRzToolbar


TRzToolbar.TopMargin

Declaration
property TopMargin: Integer default 2;

__property int TopMargin

Description

This property controls the spacing between the top edge of the toolbar and the controls that reside within the toolbar.


Raize Components 6

TRzToolbar.TopMargin Example
TRzToolbar


TRzToolbar.UpdateButtonSize

Declaration
procedure UpdateButtonSize(NewWidth, NewHeight: Integer; ShowCaptions: Boolean); virtual;

virtual void __fastcall UpdateButtonSize(int NewWidth, int NewHeight, bool ShowCaptions)

Description

Call this method to change the size of all buttons on the toolbar. The ShowCaptions parameter determines whether or not the Caption for each button is shown. Note, that the RowHeight property of the toolbar is also updated to match the new size of the buttons.


Raize Components 6

TRzToolbar.UpdateButtonSize Example
TRzToolbar


TRzToolbar.WrapControls

Declaration
property WrapControls: Boolean default True;

__property bool WrapControls

Description

When this property is set to True, the toolbar will wrap any controls (typically buttons) that extend beyond the bounds of the toolbar to multiple lines. If the toolbar's Orientation property is set to orVertical, then the controls will be wrapped into multiple columns.


Raize Components 6

TRzToolbar.WrapControls Example
TRzToolbar


RzPathBar

RzPathBar File
List of Units

Unit Classes

TRzMouseOverPathItemEvent |
TRzPathBar | TRzPathBar is a navigational control for managing a collection of links that represent a "you are here" path.
TRzPathItem |
TRzPathItemPopupMenuEvent |
TRzPathItems |


TRzMouseOverPathItemEvent

Unit
RzPathBar

Declaration
TRzMouseOverPathItemEvent=procedure(Sender: TObject; Item: TRzPathItem) of object;

typedef void __fastcall(__closure *TRzMouseOverPathItemEvent)(System::TObject *Sender, TRzPathItem *Item);

Description

.


TRzPathBar.AssignActionList

Declaration
procedure AssignActionList(ActionList: TCustomActionList; const Category: string='');

void __fastcall AssignActionList(Actnlist::TCustomActionList *ActionList, const AnsiString Category="")

Description

Use AssignActionList to populate a pathbar with items that map to the actions in an ActionList. Specify a Category to only add items corresponding to actions that belong to the specified Category.


Raize Components 6

TRzPathBar.AssignActionList Example
TRzPathBar


TRzPathBar.BoldLastItem

Declaration
property BoldLastItem: Boolean default True;

__property bool BoldLastItem

Description

Use BoldLastItem to display the last (i.e. usually the current location) in a bold typeface.


Raize Components 6

TRzPathBar.BoldLastItem Example
TRzPathBar


Raize Components 6

TRzPathBar Events
TRzPathBar

Public
OnItemPopupMenu
OnMouseOverItem


TRzPathBar.HighlightColor

Declaration
property HighlightColor: TColor default clHighlight;

__property Graphics::TColor HighlightColor

Description

Use HighlightColor to specify the color to be used in displaying the selection bar around an item when the mouse is positioned over the item's caption or icon.


Raize Components 6

TRzPathBar.HighlightColor Example
TRzPathBar


TRzPathBar.Images

Declaration
property Images: TCustomImageList;

__property Imglist::TCustomImageList *Images

Description

Use Images to associate an image list containing images (16 x 16 pixels) with the pathbar.


Raize Components 6

TRzPathBar.Images Example
TRzPathBar


TRzPathBar.ItemAtPos

Declaration
function ItemAtPos(P: TPoint): Integer;

int __fastcall ItemAtPos(const Types::TPoint &P)

Description

Use ItemAtPos to determine the path item positioned at the specified point.


Raize Components 6

TRzPathBar.ItemAtPos Example
TRzPathBar


TRzPathBar.ItemHotColor

Declaration
property ItemHotColor: TColor default clHotLight;

__property Graphics::TColor ItemHotColor

Description

Use ItemHotColor to specify the color to be used in displaying an item's Caption text when the mouse is positioned over the item's caption or icon.


Raize Components 6

TRzPathBar.ItemHotColor Example
TRzPathBar


TRzPathBar.ItemPopupMenu

Declaration
property ItemPopupMenu: TPopupMenu;

__property Menus::TPopupMenu *ItemPopupMenu

Description

Use ItemPopupMenu to specify the popup menu that is to be displayed when the user right-clicks an item within the pathbar.


Raize Components 6

TRzPathBar.ItemPopupMenu Example
TRzPathBar


TRzPathBar.Items

Declaration
property Items: TRzPathItems;

__property TRzPathItems *Items

Description

Use Items to access the collection of TRzPathItem objects that represent items in the pathbar.


Raize Components 6

TRzPathBar.Items Example
TRzPathBar


Raize Components 6

TRzPathBar Methods
TRzPathBar

Public
AssignActionList
ItemAtPos


TRzPathBar.OnItemPopupMenu

Declaration
property OnItemPopupMenu: TRzPathItemPopupMenuEvent;

__property TRzPathItemPopupMenuEvent OnItemPopupMenu

Description

This event is raised just before the menu referenced by ItemPopupMenu is displayed for an item in the path. Use this event to make state changes or even assign differt menus to ItemPopupMenu.


Raize Components 6

TRzPathBar.OnItemPopupMenu Example
TRzPathBar


TRzPathBar.OnMouseOverItem

Declaration
property OnMouseOverItem: TRzMouseOverPathItemEvent;

__property TRzMouseOverPathItemEvent OnMouseOverItem

Description

This event is generated when the user moves the mouse over a linked item in the pathbar. A linked item is an item that has an OnClick event handler assigned or an Action association. If the mouse is not positioned over an item, the Item parameter is nil.


Raize Components 6

TRzPathBar.OnMouseOverItem Example
TRzPathBar


TRzPathBar.PopupItem

Declaration
property PopupItem: TRzPathItem;

__property TRzPathItem *PopupItem

Description

Use this property to determine the TRzPathItem for which the most recent popup menu was displayed. This property is useful within TMenuItem.OnClick or TAction.OnExecute event handlers to identify the path item that was right-clicked.


Raize Components 6

TRzPathBar.PopupItem Example
TRzPathBar


Raize Components 6

TRzPathBar Properties
TRzPathBar

Public
Align
Alignment
AlignmentVertical
Anchors
AutoSize
BevelWidth
BiDiMode
BoldLastItem
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
Canvas
Caption
Color
Constraints
Ctl3D
DockManager
DockSite
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
FrameController
FullRepaint
GridColor
GridStyle
GridXSize
GridYSize
Height
HighlightColor
Images
ItemHotColor
ItemPopupMenu
Items
Locked
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupItem
PopupMenu
Separator
SeparatorFont
ShowDockClientCaptions
ShowGrid
ShowHint
TabOrder
TabStop
Transparent
UseDockManager
Visible


TRzPathBar.Separator

Declaration
property Separator: string;

__property AnsiString Separator

Description

Use Separator to specify the character to display in between items in the path bar. The font of the specified character can be controlled by the SeparatorFont property. The default is ">".


Raize Components 6

TRzPathBar.Separator Example
TRzPathBar


TRzPathBar.SeparatorFont

Declaration
property SeparatorFont: TFont;

__property Graphics::TFont *SeparatorFont

Description

Use SeparatorFont to specify the font from which the character to display in between items in the path bar is chosen.


Raize Components 6

TRzPathBar.SeparatorFont Example
TRzPathBar


TRzPathItem

Unit
RzPathBar

Description

This class represents an item within a TRzPathBar.


TRzPathItem.Action

Specifies TAction object to be associated with clicking the control.

Declaration
property Action: TBasicAction;

__property Classes::TBasicAction *Action

Description

Action is the action object that is associated with the control. Actions allow an application to centralize the response to user commands. When a control is associated with an action, the action determines the appropriate properties and events of the control (such as whether the control is enabled or how it responds to an OnClick event).

To create actions at design time, place an action list component on a form or data module. Double click the action list to bring up the action list editor. Add actions in the editor using its context menu. Once the actions have been added using the action list editor, they appear in the drop-down list for the Action property in the Object Inspector.


Raize Components 6

TRzPathItem.Action Example
TRzPathItem


TRzPathItem.Caption

Specifies the text to display on the control.

Declaration
property Caption: TCaption;

__property AnsiString Caption

Description

Use Caption to specify the text string that labels the control.

To underline a character in a Caption that labels a component, include an ampersand (&) before the character. This type of character is called an accelerator character. The user can then select the component by pressing Alt while typing the underlined character. To display an ampersand character in the caption, use two ampersands (&&).

Note: Controls that display text use either the Caption property or the Text property to specify the text value. Which property is used depends on the type of control. In general, Caption is used for text that appears as a window title or label, while Text is used for text that appears as the content of a control.


Raize Components 6

TRzPathItem.Caption Example
TRzPathItem


TRzPathItem.Click
TRzPathItem Methods

Declaration
procedure Click;

DYNAMIC void __fastcall Click(void)

Description

Click is called automatically when the user left-clicks the control. Component or application code can call Click to simulate a user mouse click. This is often done in menu actions and hotkey handlers.

As implemented in TControl, Click queries whether the OnClick event handler exists and is different from the OnExecute handler for the controls Action. If this is true, the OnClick event handler is called. If this is false, and the Action OnExecute event handler exists, the Actions Execute method is called. Override Click to provide additional behavior.


Raize Components 6

TRzPathItem.Click Example
TRzPathItem


Raize Components 6

TRzPathItem Events
TRzPathItem

Public
OnClick


TRzPathItem.HighlightColor

Declaration
property HighlightColor: TColor default clNone;

__property Graphics::TColor HighlightColor

Description

Use HighlightColor to override the selection color for this particular item. To use the default HighlightColor defined in the TRzPathBar, set the item's HighlightColor to clNone.


Raize Components 6

TRzPathItem.HighlightColor Example
TRzPathItem


TRzPathItem.Hint

Specifies the text to be displayed as a popup hint when the mouse is positioned over the control.

Declaration
property Hint: string;

__property AnsiString Hint

Description

Use the Hint property to provide a string of help text either as a Help Hint, or as help text on a particular location such as a status bar.

A Help Hint is a box containing help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily. To set up Help Hints:

· Specify the Hint property of each control for which a Help Hint should appear.

· Set the ShowHint property of each appropriate control to true, or set the ParentShowHint property of all controls to true and set the ShowHint property of the form to true.

· At runtime, set the value of the application's ShowHint property to true.

To show the Hint on a status bar or other location, use the OnHint event handler of the application. The applications OnHint event occurs when the mouse pointer moves over the control.

Specify a hint to be used for both a Help Hint box and by an OnHint handler by specifying two values separated by a | character (the vertical bar or symbol). For example,

Edit1.Hint := 'Name|Enter Name in the edit box';

The 'Name' part appears in the Help Hint box and the 'Enter full name in the edit box' part can be extracted using the GetLongHint function for use in an OnHint event handler.

If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint function. If a control has no Hint value specified, but its parent control does, the control uses the Hint value of the parent control (as long as the control's ShowHint property is true).

Note: If the application's ShowHint property is false, the Help Hint does not appear, but the OnHint event handler is still called.


Raize Components 6

TRzPathItem.Hint Example
TRzPathItem


TRzPathItem.ImageIndex

Specifies the image to use when the control is in a normal state.

Declaration
property ImageIndex: TImageIndex default - 1;

__property Imglist::TImageIndex ImageIndex

Description

Use ImageIndex to specify the image to be displayed when the control is in a normal state.


Raize Components 6

TRzPathItem.ImageIndex Example
TRzPathItem


TRzPathItem.LinkInfo

Declaration
property LinkInfo: string;

__property AnsiString LinkInfo

Description

Use LinkInfo to specify a string to associate with the link represented by this item.


Raize Components 6

TRzPathItem.LinkInfo Example
TRzPathItem


TRzPathItem.LinkObject

Declaration
property LinkObject: TObject;

__property System::TObject *LinkObject

Description

Use LinkObject to specify an object instance to associate with the link represented by this item.


Raize Components 6

TRzPathItem.LinkObject Example
TRzPathItem


Raize Components 6

TRzPathItem Methods
TRzPathItem

Public
Click


TRzPathItem.OnClick
TRzPathItem Events

Declaration
property OnClick: TNotifyEvent;

__property Classes::TNotifyEvent OnClick

Description

Use the OnClick event handler to respond when the user clicks the control. If the control has an associated action, and that action has an OnExecute method, the actions OnExecute method responds to click events unless it is superseded by an OnClick event handler.


Raize Components 6

TRzPathItem.OnClick Example
TRzPathItem


TRzPathItem.PathBar

Declaration
property PathBar: TRzPathBar;

__property TRzPathBar *PathBar

Description

Use PathBar to access the TRzPathBar component that contains this item.


Raize Components 6

TRzPathItem.PathBar Example
TRzPathItem


TRzPathItemPopupMenuEvent

Unit
RzPathBar

Declaration
TRzPathItemPopupMenuEvent=procedure(Sender: TObject; Item: TRzPathItem) of object;

typedef void __fastcall(__closure *TRzPathItemPopupMenuEvent)(System::TObject *Sender, TRzPathItem *Item);

Description

.


Raize Components 6

TRzPathItem Properties
TRzPathItem

Public
Action
Caption
HighlightColor
Hint
ImageIndex
LinkInfo
LinkObject
PathBar
Tag


TRzPathItems

Unit
RzPathBar

Description

TRzPathItems is the collection class that manages a list of TRzPathItem instances within a TRzPathBar.


TRzPathItems.Add
TRzPathItems Methods

Declaration
function Add: TRzPathItem;

HIDESBASE TRzPathItem *__fastcall Add(void)

Description

Use the Add method to add a new item to the collection.


Raize Components 6

TRzPathItems.Add Example
TRzPathItems


TRzPathItems.Items
TRzPathItems Properties

Declaration
property Items[Index: Integer]: TRzPathItem;

__property TRzPathItem *Items[int Index]

Description

Use the Items property to access the invidual TRzPathItem collection item objects from a TRzPathBar.


Raize Components 6

TRzPathItems.Items Example
TRzPathItems


Raize Components 6

TRzPathItems Methods
TRzPathItems

Public
Add


Raize Components 6

TRzPathItems Properties
TRzPathItems

Public
Items


TRzPathItem.Tag

Declaration
property Tag: Longint default 0;

__property int Tag

Description

Tag has no predefined meaning. The Tag property is provided for the convenience of developers. It can be used for storing an additional integer value or it can be typecast to any 32-bit value such as a component reference or a pointer.


Raize Components 6

TRzPathItem.Tag Example
TRzPathItem


RzPopups

RzPopups File
List of Units

Unit Classes

ERzCalendarError |
TRzCalculator | TRzCalculator is a custom panel that displays a calculator with with a user can perform simple mathematical computations.
TRzCalendar | TRzCalendar is a custom panel that displays a month-view calendar from which a user can select a date.
TRzCalendarArea |
TRzCalendarClearEvent |
TRzCalendarColors |
TRzCalendarElement |
TRzCalendarElements |
TRzCalendarTodayEvent |
TRzClockFaceColors |
TRzFirstDayOfWeek |
TRzGetBoldDaysEvent |
TRzGetDayFormatEvent |
TRzGetWeekNumberEvent |
TRzInvalidDateEvent |
TRzTimePicker | TRzTimePicker is a custom panel that displays a clock from which a user can select a time.
TRzViewDateChangeEvent |


ERzCalendarError

Unit
RzPopups

Declaration
ERzCalendarError=class(Exception);

Description

This exception is generated when the entered date in a TRzDateTimeEdit exceeds the range defined by the Min and Max values.


TRzCalendar.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzCalendar.About Example
TRzCalendar


TRzCalendarArea

Unit
RzPopups

Declaration
TRzCalendarArea =(caYear, caMonth, caLeftArrow, caRightArrow, caWeekNumbers, caDays, caDaysOfWeek, caFillDays, caTodayButton, caClearButton);

Description

Value Meaning

caYear:

caMonth:

caLeftArrow:

caRightArrow:

caWeekNumbers:

caDays:

caDaysOfWeek:

caFillDays:

caTodayButton:

caClearButton:


TRzCalendar.ButtonColor

Specifies color of buttons in calendar.

Declaration
property ButtonColor: TColor default clBtnFace;

__property Graphics::TColor ButtonColor

Description

Use ButtonColor to change the background color of the buttons and header area of the calendar's display.


Raize Components 6

TRzCalendar.ButtonColor Example
TRzCalendar


TRzCalendar.ButtonFontColor

Specifies color of button's font in calendar.

Declaration
property ButtonFontColor: TColor default clWindowText;

__property Graphics::TColor ButtonFontColor

Description

Use ButtonFontColor to change the color of the text that is diplayed on the buttons and header in the calendar's display.


Raize Components 6

TRzCalendar.ButtonFontColor Example
TRzCalendar


TRzCalendar.CalendarColors

Specifies various colors of the calendar.

Declaration
property CalendarColors: TRzCalendarColors;

__property TRzCalendarColors *CalendarColors

Description

Use CalendarColors to change various colors of the calendar display.


Raize Components 6

TRzCalendar.CalendarColors Example
TRzCalendar


TRzCalendar.CaptionClearBtn

Specifies caption to be used on Clear button in calendar.

Declaration
property CaptionClearBtn: TCaption;

__property AnsiString CaptionClearBtn

Description

Use CaptionClearBtn to change the caption of the Clear button. When empty, the caption defaults to "Clear".


Raize Components 6

TRzCalendar.CaptionClearBtn Example
TRzCalendar


TRzCalendar.CaptionTodayBtn

Specifies caption to be used on Today button in calendar.

Declaration
property CaptionTodayBtn: TCaption;

__property AnsiString CaptionTodayBtn

Description

Use CaptionTodayBtn to change the caption of the Today button. When empty, the caption defaults to "Today".


Raize Components 6

TRzCalendar.CaptionTodayBtn Example
TRzCalendar


TRzCalendar.Clear

Clears the calendar so that no date is selected.

Declaration
procedure Clear;

void __fastcall Clear(void)

Description

Clears the calendar so that no date is selected.


Raize Components 6

TRzCalendar.Clear Example
TRzCalendar


TRzCalendarClearEvent

Unit
RzPopups

Declaration
TRzCalendarClearEvent=procedure(Sender: TObject; var AllowClear: Boolean) of object;

Description

.


TRzCalendarColors

Properties

Unit
RzPopups

Declaration
TRzCalendarColors=Class(TPersistent);

Description

.


TRzCalendarColors.Days

Specifies the font color used to display the day numbers.

Declaration
property Days: TColor default clWindowText;

__property Graphics::TColor Days

Description

Specifies the font color used to display the day numbers.


Raize Components 6

TRzCalendarColors.Days Example
TRzCalendarColors


TRzCalendarColors.DaysOfWeek

Specifies the font color used to display the day of week headings.

Declaration
property DaysOfWeek: TColor default clWindowText;

__property Graphics::TColor DaysOfWeek

Description

Specifies the font color used to display the day of week headings.


Raize Components 6

TRzCalendarColors.DaysOfWeek Example
TRzCalendarColors


TRzCalendarColors.FillDays

Specifies the font color used to display the days of the previous and next months.

Declaration
property FillDays: TColor default clBtnShadow;

__property Graphics::TColor FillDays

Description

Specifies the font color used to display the days of the previous and next months.


Raize Components 6

TRzCalendarColors.FillDays Example
TRzCalendarColors


TRzCalendarColors.Lines

Specifies the color used to display the separator lines.

Declaration
property Lines: TColor default clBtnShadow;

__property Graphics::TColor Lines

Description

Specifies the color used to display the separator lines.


Raize Components 6

TRzCalendarColors.Lines Example
TRzCalendarColors


Raize Components 6

TRzCalendarColors Properties
TRzCalendarColors

Public
Days
DaysOfWeek
FillDays
Lines
SelectedDateBack
SelectedDateFore
TodaysDateFrame


TRzCalendarColors.SelectedDateBack

Specifies the background color used to display the selected date.

Declaration
property SelectedDateBack: TColor default clHighlight;

__property Graphics::TColor SelectedDateBack

Description

Specifies the background color used to display the selected date.


Raize Components 6

TRzCalendarColors.SelectedDateBack Example
TRzCalendarColors


TRzCalendarColors.SelectedDateFore

Specifies the foreground color used to display the selected date.

Declaration
property SelectedDateFore: TColor default clHighlightText;

__property Graphics::TColor SelectedDateFore

Description

Specifies the foreground color used to display the selected date.


Raize Components 6

TRzCalendarColors.SelectedDateFore Example
TRzCalendarColors


TRzCalendarColors.TodaysDateFrame

Specifies the color used to display the frame around today's date.

Declaration
property TodaysDateFrame: TColor default clMaroon;

__property Graphics::TColor TodaysDateFrame

Description

Specifies the color used to display the frame around today's date.


Raize Components 6

TRzCalendarColors.TodaysDateFrame Example
TRzCalendarColors


TRzCalendar.Date

Determines current date of calendar.

Declaration
property Date: TDateTime;

__property System::TDateTime Date

Description

Use Date to get or set the selected date of the calendar.


Raize Components 6

TRzCalendar.Date Example
TRzCalendar


TRzCalendar.DaysToBitmask

Use to create a Bitmask that can be used in handling OnGetBoldDays event.

Declaration
function DaysToBitmask(Days: array of Byte): Cardinal;

unsigned __fastcall DaysToBitmask(const Byte *Days, const int Days_Size)

Description

Use DaysToBitmask when handling the OnGetBoldDays event to specify a set of days to display in bold in the calendar.

For the passed in Year and Month, specify the days to bold in the Bitmask parameter. Use the DaysToBitmask method which takes an array of days (e.g. [ 8, 14, 25 ]) and returns an appropriate bitmask.

For example, the following event handler causes the 15th and 18th of December 2002 to be displayed in bold.

procedure TForm1.RzCalendar1GetBoldDays( Sender: TObject; Year, Month: Word;
var Bitmask: Cardinal );
begin
if ( Month = 12 ) and ( Year = 2002 ) then
Bitmask := RzCalendar1.DaysToBitmask( [ 15, 18 ] );
end;


Raize Components 6

TRzCalendar.DaysToBitmask Example
TRzCalendar


TRzCalendarElement

Unit
RzPopups

Declaration
TRzCalendarElement =(ceYear, ceMonth, ceArrows, ceWeekNumbers, ceDaysOfWeek, ceFillDays, ceTodayButton, ceClearButton);

Description

Value Meaning

ceYear:

ceMonth:

ceArrows:

ceWeekNumbers:

ceDaysOfWeek:

ceFillDays:

ceTodayButton:

ceClearButton:


TRzCalendarElements

Unit
RzPopups

Declaration
TRzCalendarElements=set of TRzCalendarElement;

Description

.


Raize Components 6

TRzCalendar.Elements Example
TRzCalendar


Raize Components 6

TRzCalendar Events
TRzCalendar

Public
OnChange
OnClear
OnGetBoldDays
OnGetDayFormat
OnGetWeekNumber
OnToday
OnViewDateChange


TRzCalendar.FirstDayOfWeek

Specifies the day of week to be considered first.

Declaration
property FirstDayOfWeek: TRzFirstDayOfWeek default fdowLocale;

__property TRzFirstDayOfWeek FirstDayOfWeek

Description

Use FirstDayOfWeek to specify the day that is to be considered the first day of the week. The default is dowLocale, which gets its actual value from the locale settings from the operating system.


Raize Components 6

TRzCalendar.FirstDayOfWeek Example
TRzCalendar


TRzCalendar.IsClear

Returns True if no date is selected.

Declaration
function IsClear: Boolean;

bool __fastcall IsClear(void)

Description

Returns True if no date is selected.


Raize Components 6

TRzCalendar.IsClear Example
TRzCalendar


TRzCalendar.MaxDate

Use to specify end of valid date range.

Declaration
property MaxDate: TDateTime stored StoreMaxDate;

Description

Use MaxDate to specify the end range of valid dates that can be selected.


Raize Components 6

TRzCalendar.MaxDate Example
TRzCalendar


Raize Components 6

TRzCalendar Methods
TRzCalendar

Public
Clear
DaysToBitmask
IsClear
Today


TRzCalendar.MinDate

Use to specify start of valid date range.

Declaration
property MinDate: TDateTime stored StoreMinDate;

Description

Use MinDate to specify the start of the range of valid dates that can be selected.


Raize Components 6

TRzCalendar.MinDate Example
TRzCalendar


TRzCalendar.OnChange

Occurs when a new date is selected in the calendar.

Declaration
property OnChange: TNotifyEvent;

__property Classes::TNotifyEvent OnChange

Description

The event occurs when a new date is selected in the calendar.


Raize Components 6

TRzCalendar.OnChange Example
TRzCalendar


TRzCalendar.OnClear

Occurs when the Clear button is clicked.

Declaration
property OnClear: TRzCalendarClearEvent;

Description

This event occurs when the Clear button is clicked on the calendar.


Raize Components 6

TRzCalendar.OnClear Example
TRzCalendar


TRzCalendar.OnGetBoldDays

Occurs when days need to be displayed in the calendar.

Declaration
property OnGetBoldDays: TRzGetBoldDaysEvent;

__property TRzGetBoldDaysEvent OnGetBoldDays

Description

Use the OnGetBoldDays event to specify a set of days to display in bold in the calendar.

For the passed in Year and Month, specify the days to bold in the Bitmask parameter. Use the DaysToBitmask method which takes an array of days (e.g. [ 8, 14, 25 ]) and returns an appropriate bitmask.

For example, the following event handler causes the 15th and 18th of December 2002 to be displayed in bold.

procedure TForm1.RzCalendar1GetBoldDays( Sender: TObject; Year, Month: Word;
var Bitmask: Cardinal );
begin
if ( Month = 12 ) and ( Year = 2002 ) then
Bitmask := RzCalendar1.DaysToBitmask( [ 15, 18 ] );
end;


Raize Components 6

TRzCalendar.OnGetBoldDays Example
TRzCalendar


TRzCalendar.OnGetDayFormat

Occurs when days in the calendar need to be displayed.

Declaration
property OnGetDayFormat: TRzGetDayFormatEvent;

Description

This event allows the individual days of the calendar display to be colored and styled differently than the calendar's default formatting. This new event should be used in place of the OnGetBoldDays event. The OnGetBoldDays event is still available, but the new OnGetDayFormat event is much more flexible and powerful.

procedure TFrmWidgets.RzCalendar1GetDayFormat(Sender: TObject;
DayDate: TDateTime; Year, Month, Day: Word; var DayColor,
DayFontColor: TColor; var DayFontStyle: TFontStyles);
var
Y, M, NDOW, DOW: Word;
begin
// If Saturday or Sunday, then highlight the day
if DayOfWeek( DayDate ) in [ 1, 7 ] then
DayColor := $00D2F0F5;

if ( Month = 2 ) and ( Day = 7 ) then
begin
// Highlight Anniversary of Raize Software
DayColor := $008CD2E6;
DayFontColor := $00783C3C;
DayFontStyle := [ fsBold ];
end;

DecodeDayOfWeekInMonth( DayDate, Y, M, NDOW, DOW );
if ( DOW = 5 ) and ( NDOW = 2 ) then
begin
// Bold the 2nd Friday of each month
DayFontStyle := [ fsBold ];
end;

end;


Raize Components 6

TRzCalendar.OnGetDayFormat Example
TRzCalendar


TRzCalendar.OnGetWeekNumber

Occurs when week numbers need to be displayed.

Declaration
property OnGetWeekNumber: TRzGetWeekNumberEvent;

__property TRzGetWeekNumberEvent OnGetWeekNumber

Description

Use the OnGetWeekNumber event to specify an alternate week-numbering scheme when displaying week numbers in the calendar. Simply change the WeekNumber parameter to the desired week number for the specified WeekDate. The default value of WeekNumber is the default week number as determined by the ISO 8601 standard.


Raize Components 6

TRzCalendar.OnGetWeekNumber Example
TRzCalendar


TRzCalendar.OnToday

Occurs when the Today button is clicked.

Declaration
property OnToday: TRzCalendarTodayEvent;

Description

This event occurs when the Today button is clicked.


Raize Components 6

TRzCalendar.OnToday Example
TRzCalendar


TRzCalendar.OnViewDateChange

Occurs when the month (i.e. view) of the calendar changes.

Declaration
property OnViewDateChange: TRzViewDateChangeEvent;

Description

This event fires when the month (i.e. view) of the calendar changes.


Raize Components 6

TRzCalendar.OnViewDateChange Example
TRzCalendar


Raize Components 6

TRzCalendar Properties
TRzCalendar

Public
About
Align
Alignment
Anchors
AutoSize
BevelWidth
BiDiMode
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
ButtonColor
ButtonFontColor
CalendarColors
CaptionClearBtn
CaptionTodayBtn
Color
Constraints
Ctl3D
Date
DragCursor
DragKind
DragMode
Elements
Enabled
FirstDayOfWeek
FlatColor
FlatColorAdjustment
Font
FrameController
FrameControllerNotifications
MaxDate
MinDate
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ShowDays
ShowHint
TabOrder
TabStop
ThemeAware
ViewDate
Visible


TRzCalendar.ShowDays

Determines if grid of days in calendar is visible.

Declaration
property ShowDays: Boolean default True;

__property bool ShowDays;

Description

Use the ShowDays property to hide the grid of days from the display, which is useful if you only require month and year selection (for example, report generation).


Raize Components 6

TRzCalendar.ShowDays Example
TRzCalendar


TRzCalendar.ThemeAware

Determines if the control uses Windows XP Themes if available.

Declaration
property ThemeAware: Boolean default True;

Description

When ThemeAware is True and Windows XP Themes are available to the application, the component will display itself according to active theme. This property has no effect if Windows XP Themes are not available.


Raize Components 6

TRzCalendar.ThemeAware Example
TRzCalendar


TRzCalendar.Today

Set the selected date of the calendar to Today's date.

Declaration
procedure Today;

void __fastcall Today(void)

Description

Set the selected date of the calendar to Today's date.


Raize Components 6

TRzCalendar.Today Example
TRzCalendar


TRzCalendarTodayEvent

Unit
RzPopups

Declaration
TRzCalendarTodayEvent=procedure(Sender: TObject; var AllowChange: Boolean) of object;

Description

.


TRzCalendar.ViewDate

Specifies the date currently displayed by the calendar.

Declaration
property ViewDate: TDateTime;

__property System::TDateTime ViewDate

Description

Specifies the date currently displayed by the calendar. ViewDate may not be the same as Date, such as when the user is navigating to a new month or year in the calendar and has not yet selected a new date.


Raize Components 6

TRzCalendar.ViewDate Example
TRzCalendar


TRzClockFaceColors

Properties

Unit
RzPopups

Declaration
TRzClockFaceColors=Class(TPersistent);

Description

.


TRzClockFaceColors.Face

Specifies the color used to display the clock face.

Declaration
property Face: TColor default clBtnFace;

__property Graphics::TColor Face

Description

Specifies the color used to display the clock face.


Raize Components 6

TRzClockFaceColors.Face Example
TRzClockFaceColors


TRzClockFaceColors.Hands

Specifies the color used to display the hour and minute hands.

Declaration
property Hands: TColor default clWindowText;

__property Graphics::TColor Hands

Description

Specifies the color used to display the hour and minute hands.


Raize Components 6

TRzClockFaceColors.Hands Example
TRzClockFaceColors


TRzClockFaceColors.HourTicks

Specifies the color used to display the tick marks indicating hours.

Declaration
property HourTicks: TColor default clBtnShadow;

__property Graphics::TColor HourTicks

Description

Specifies the color used to display the tick marks indicating hours.


Raize Components 6

TRzClockFaceColors.HourTicks Example
TRzClockFaceColors


TRzClockFaceColors.MinuteTicks

Specifies the color used to display the tick marks indicating minutes.

Declaration
property MinuteTicks: TColor default clWindowText;

__property Graphics::TColor MinuteTicks

Description

Specifies the color used to display the tick marks indicating minutes.


Raize Components 6

TRzClockFaceColors.MinuteTicks Example
TRzClockFaceColors


TRzClockFaceColors.Numbers

Specifies the font color used to display the hour numbers.

Declaration
property Numbers: TColor default clWindowText;

__property Graphics::TColor Numbers

Description

Specifies the font color used to display the hour numbers.


Raize Components 6

TRzClockFaceColors.Numbers Example
TRzClockFaceColors


Raize Components 6

TRzClockFaceColors Properties
TRzClockFaceColors

Public
Face
Hands
HourTicks
MinuteTicks
Numbers


TRzFirstDayOfWeek

Unit
RzPopups

Declaration
TRzFirstDayOfWeek =(fdowMonday, fdowTuesday, fdowWednesday, fdowThursday, fdowFriday, fdowSaturday, fdowSunday, fdowLocale);

enum TRzFirstDayOfWeek fdowMonday, fdowTuesday, fdowWednesday, fdowThursday, fdowFriday, fdowSaturday, fdowSunday, fdowLocale ;

Description

Value Meaning

fdowMonday:

fdowTuesday:

fdowWednesday:

fdowThursday:

fdowFriday:

fdowSaturday:

fdowSunday:

fdowLocale:


TRzGetBoldDaysEvent

Unit
RzPopups

Declaration
TRzGetBoldDaysEvent=procedure(Sender: TObject; Year, Month: Word; var Bitmask: Cardinal) of object;

typedef void __fastcall(__closure *TRzGetBoldDaysEvent)(System::TObject *Sender, Word Year, Word Month, unsigned & Bitmask);

Description

.


TRzGetDayFormatEvent

Unit
RzPopups

Declaration
TRzGetDayFormatEvent=procedure(Sender: TObject; DayDate: TDateTime; Year, Month, Day: Word; var DayColor, DayFontColor: TColor; var DayFontStyle: TFontStyles) of object;

Description

.


TRzGetWeekNumberEvent

Unit
RzPopups

Declaration
TRzGetWeekNumberEvent=procedure(Sender: TObject; WeekDate: TDateTime; var WeekNumber: Integer) of object;

typedef void __fastcall (__closure *TRzGetWeekNumberEvent)(System::TObject* Sender, System::TDateTime WeekDate, int &WeekNumber);

Description

.


TRzInvalidDateEvent

Unit
RzPopups

Declaration
TRzInvalidDateEvent=procedure(Sender: TObject; var KeepFocused, KeepInvalidText: Boolean; var NewDate: TDateTime) of object;

typedef void __fastcall(__closure *TRzInvalidDateEvent)(System::TObject *Sender, bool &KeepFocused, bool &KeepInvalidText, System::TDateTime &NewDate);

Description

.


TRzTimePicker.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzTimePicker.About Example
TRzTimePicker


TRzTimePicker.AdjustHour

Declaration
procedure AdjustHour(DeltaHours: Int64);

void __fastcall AdjustHour(__int64 DeltaHours)

Description

Use this method to adjust the hour portion of the time currently represented by the control.


Raize Components 6

TRzTimePicker.AdjustHour Example
TRzTimePicker


TRzTimePicker.AdjustMinute

Declaration
procedure AdjustMinute(DeltaMinutes: Int64);

void __fastcall AdjustMinute(__int64 DeltaMinutes)

Description

Use this method to adjust the minute portion of the time currently represented by the control.


Raize Components 6

TRzTimePicker.AdjustMinute Example
TRzTimePicker


TRzTimePicker.ButtonColor

Declaration
property ButtonColor: TColor default clBtnFace;

__property Graphics::TColor ButtonColor

Description

Use ButtonColor to change the background color of the buttons and header area of the time picker's display.


Raize Components 6

TRzTimePicker.ButtonColor Example
TRzTimePicker


TRzTimePicker.ButtonFontColor

Declaration
property ButtonFontColor: TColor default clWindowText;

__property Graphics::TColor ButtonFontColor

Description

Use ButtonFontColor to change the color of the text that is diplayed on the buttons and header in the time picker's display.


Raize Components 6

TRzTimePicker.ButtonFontColor Example
TRzTimePicker


TRzTimePicker.CaptionAM

Declaration
property CaptionAM: TCaption;

__property AnsiString CaptionAM

Description

Use CaptionAM to change the caption of the AM radio button. When empty, the caption defaults to "AM".


Raize Components 6

TRzTimePicker.CaptionAM Example
TRzTimePicker


TRzTimePicker.CaptionPM

Declaration
property CaptionPM: TCaption;

__property AnsiString CaptionPM

Description

Use CaptionPM to change the caption of the PM radio button. When empty, the caption defaults to "PM".


Raize Components 6

TRzTimePicker.CaptionPM Example
TRzTimePicker


TRzTimePicker.CaptionSet

Declaration
property CaptionSet: TCaption;

__property AnsiString CaptionSet

Description

Use CaptionSet to change the caption of the Set button. When empty, the caption defaults to "Set".


Raize Components 6

TRzTimePicker.CaptionSet Example
TRzTimePicker


TRzTimePicker.Clear

Declaration
procedure Clear;

void __fastcall Clear(void)

Description

Use Clear to clear the selected time value.


Raize Components 6

TRzTimePicker.Clear Example
TRzTimePicker


TRzTimePicker.ClockFaceColors

Declaration
property ClockFaceColors: TRzClockFaceColors;

__property TRzClockFaceColors *ClockFaceColors

Description

Use ClockFaceColors to alter the appearance of the clock face.


Raize Components 6

TRzTimePicker.ClockFaceColors Example
TRzTimePicker


Raize Components 6

TRzTimePicker Events
TRzTimePicker

Public
OnChange
OnSetBtnClick
OnSetTime


TRzTimePicker.Format

Declaration
property Format: string;

Description

Use this property to specify the format string used in displaying the digital time at the top of the control.


Raize Components 6

TRzTimePicker.Format Example
TRzTimePicker


TRzTimePicker.HowToUseMsg

Declaration
property HowToUseMsg: string;

__property AnsiString HowToUseMsg

Description

Use HotToUseMsg to specify a helpful hint that describes how to select time using the left and right mouse buttons.


Raize Components 6

TRzTimePicker.HowToUseMsg Example
TRzTimePicker


TRzTimePicker.IsClear

Declaration
function IsClear: Boolean;

bool __fastcall IsClear(void)

Description

Use IsClear to determine if there is no time value currently selected.


Raize Components 6

TRzTimePicker.IsClear Example
TRzTimePicker


Raize Components 6

TRzTimePicker Methods
TRzTimePicker

Public
AdjustHour
AdjustMinute
Clear
IsClear


TRzTimePicker.OnChange

Declaration
property OnChange: TNotifyEvent;

__property Classes::TNotifyEvent OnChange

Description

This event is generated when a new time value is selected.


Raize Components 6

TRzTimePicker.OnChange Example
TRzTimePicker


TRzTimePicker.OnSetBtnClick

Declaration
property OnSetBtnClick: TNotifyEvent;

__property Classes::TNotifyEvent OnSetBtnClick

Description

This event is fired when the Set button in the time picker is clicked.


Raize Components 6

TRzTimePicker.OnSetBtnClick Example
TRzTimePicker


TRzTimePicker.OnSetTime

Declaration
property OnSetTime: TNotifyEvent;

__property Classes::TNotifyEvent OnSetTime

Description

This event is similiar to the OnChange event in that it is generated when a new time value is selected. However, OnSetTime only fires when the user releases the mouse button on a selected time.


Raize Components 6

TRzTimePicker.OnSetTime Example
TRzTimePicker


Raize Components 6

TRzTimePicker Properties
TRzTimePicker

Public
About
Align
Alignment
Anchors
AutoSize
BevelWidth
BiDiMode
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
ButtonColor
ButtonFontColor
CaptionAM
CaptionPM
CaptionSet
ClockFaceColors
Color
Constraints
Ctl3D
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
Format
FrameController
FrameControllerNotifications
HowToUseMsg
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
RestrictMinutes
RestrictMinutesBy
ShowHint
ShowHowToUseHint
ShowSetButton
ShowTime
TabOrder
TabStop
ThemeAware
Time
Visible


TRzTimePicker.RestrictMinutes

Declaration
property RestrictMinutes: Boolean default False;

__property bool RestrictMinutes

Description

When RestrictMinutes is True, setting the minutes value is restricted to 5 minute values (i.e. 0, 5, 10, 15, etc.).


Raize Components 6

TRzTimePicker.RestrictMinutes Example
TRzTimePicker


TRzTimePicker.RestrictMinutesBy

Declaration
property RestrictMinutesBy: Integer default 5;

__property int RestrictMinutesBy

Description

Use this property to specify the number of minutes by which time values are restricted. The default is 5.


Raize Components 6

TRzTimePicker.RestrictMinutesBy Example
TRzTimePicker


TRzTimePicker.ShowHowToUseHint

Declaration
property ShowHowToUseHint: Boolean default True;

__property bool ShowHowToUseHint

Description

When ShowHotToUseHint is True, the hint message specified in HowToUseMsg


Raize Components 6

TRzTimePicker.ShowHowToUseHint Example
TRzTimePicker


TRzTimePicker.ShowSetButton

Declaration
property ShowSetButton: Boolean default False;

__property bool ShowSetButton

Description

When ShowSetButton is True, a Set button is displayed at the bottom of the time picker. This button is used when the TRzTimePicker is used in the TRzDateTimeEdit .


Raize Components 6

TRzTimePicker.ShowSetButton Example
TRzTimePicker


TRzTimePicker.ShowTime

Declaration
property ShowTime: Boolean default True;

__property bool ShowTime;

Description

Use this property to hide the digital time display that appears at the top of the control.


Raize Components 6

TRzTimePicker.ShowTime Example
TRzTimePicker


TRzTimePicker.ThemeAware

Determines if the control uses Windows XP Themes if available.

Declaration
property ThemeAware: Boolean default True;

__property bool ThemeAware

Description

When ThemeAware is True and Windows XP Themes are available to the application, the component will display itself according to active theme. This property has no effect if Windows XP Themes are not available.


Raize Components 6

TRzTimePicker.ThemeAware Example
TRzTimePicker


TRzTimePicker.Time

Declaration
property Time: TTime;

__property TTime Time

Description

This property represents the selected time.


Raize Components 6

TRzTimePicker.Time Example
TRzTimePicker


TRzViewDateChangeEvent

Unit
RzPopups

Declaration
TRzViewDateChangeEvent=procedure(Sender: TObject; ViewDate: TDateTime) of object;

Description

.


RzPrgres

RzPrgres File
List of Units

Unit Classes

TProgressChangeEvent |
TRzCustomProgressBar | TRzCustomProgressBar is the base class for all progress bar controls in Raize Components.
TRzProgressBar | TRzProgressBar is a graphical control for displaying a percentage value.
TUnsignedLongint |


TProgressChangeEvent

Unit
RzPrgres

Declaration
TProgressChangeEvent=procedure(Sender: TObject; Percent: Integer) of object;

typedef void __fastcall(__closure *TProgressChangeEvent)(System::TObject *Sender, int Percent);

Description

.


TRzCustomProgressBar

TRzCustomProgressBar is the base class for all progress bar controls in Raize Components.

Description

Do not create instances of TRzCustomProgressBar--use TRzProgressBar or some other descendant.


TRzCustomProgressBar.BackColor

Specifies background color.

Declaration
property BackColor: TColor default clWhite;

__property Graphics::TColor BackColor

Description

Use this property to specify the color used to fill the background of the component. For progress bars, when the BarStyle is bsTraditional, the BackColor is also used to display the percent value text in the filled area.


Raize Components 6

TRzCustomProgressBar.BackColor Example
TRzCustomProgressBar


TRzCustomProgressBar.BackColorStop

Specifies "stop" color used with BackColor for displaying gradient.

Declaration
property BackColorStop: TColor default clBtnFace;

Description

Use this property to specify the "stop" color used with BackColor in defining the gradient fill that is used for the control's background.


Raize Components 6

TRzCustomProgressBar.BackColorStop Example
TRzCustomProgressBar


TRzCustomProgressBar.BarColor

Specifes color to be used for percentage bar.

Declaration
property BarColor: TColor default clHighlight;

__property Graphics::TColor BarColor

Description

Use this property to specify the color used to fill the progress area. When the BarStyle is bsTraditional, the BarColor is also used to display the percent value text in the unfilled area.


Raize Components 6

TRzCustomProgressBar.BarColor Example
TRzCustomProgressBar


TRzCustomProgressBar.BarColorStop

Specifies "stop" color used with BarColor for displaying percentage bar.

Declaration
property BarColorStop: TColor default clHotLight;

Description

Use this property to specify the "stop" color used with BarColor in defining the gradient fill that is used for the percentage bar.


Raize Components 6

TRzCustomProgressBar.BarColorStop Example
TRzCustomProgressBar


TRzCustomProgressBar.BarStyle

Specifies style of percentage bar.

Declaration
property BarStyle: TBarStyle default bsTraditional;

__property Rzcommon::TBarStyle BarStyle

Description

The property controls the style used to fill the progress area. When set to bsTraditional, the progress area is filled using a solid bar progressing from left to right or bottom to top depending on the orientation. When set to bsLED, the progress area is filled with segments instead of a solid color.


Raize Components 6

TRzCustomProgressBar.BarStyle Example
TRzCustomProgressBar


TRzCustomProgressBar.BevelWidth

Specifies the width in pixels of bevel.

Declaration
property BevelWidth: TBevelWidth default 1;

__property Controls::TBevelWidth BevelWidth

Description

Use BevelWidth to specify how wide the inner or outer bevel should be. Do not confuse BevelWidth, which is the width of the bevels, with BorderWidth, which is the space between the bevels.

If both the BevelInner and BevelOuter properties are bvNone, BevelWidth has no effect. To remove both bevels, set the BevelInner and BevelOuter properties to bvNone, rather than setting the BevelWidth to 0, as this involves less overhead when painting.


Raize Components 6

TRzCustomProgressBar.BevelWidth Example
TRzCustomProgressBar


TRzCustomProgressBar.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Declaration
property BorderColor: TColor default clBtnFace;

__property Graphics::TColor BorderColor

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

TRzCustomProgressBar.BorderColor Example
TRzCustomProgressBar


TRzCustomProgressBar.BorderInner

Specifies the style of the inner border.

Declaration
property BorderInner: TFrameStyle default fsNone;

__property Rzcommon::TFrameStyle BorderInner

Description

Use this property to change the style of the inner border used by a component.


Raize Components 6

TRzCustomProgressBar.BorderInner Example
TRzCustomProgressBar


TRzCustomProgressBar.BorderOuter

Specifies the style of the outer border.

Declaration
property BorderOuter: TFrameStyle default fsLowered;

__property Rzcommon::TFrameStyle BorderOuter

Description

Use this property to change the style of the outer border used by a component.


Raize Components 6

TRzCustomProgressBar.BorderOuter Example
TRzCustomProgressBar


TRzCustomProgressBar.BorderWidth

Specifies the width of the border.

Declaration
property BorderWidth: TBorderWidth;

__property Controls::TBorderWidth BorderWidth

Description

Use BorderWidth to specify how wide the border around the panel should be. A value of 0 (zero) means no border should appear.

The border of a panel is the area between the outer and inner bevels. It is visible only if the inner bevel is raised or lowered, but affects the inset of the caption within the panel even if BevelInner is bvNone. If the Alignment property is not taCenter, the Caption will be aligned to the inner edge of the border. This edge is BorderWidth pixels in from the outer bevel if BevelInner is bvNone. It is the inner edge of the inner bevel otherwise.

Do not confuse the border of the panel with line drawn around the panel itself. The line around the panel is specified by the BorderStyle property.


Raize Components 6

TRzCustomProgressBar.BorderWidth Example
TRzCustomProgressBar


Raize Components 6

TRzCustomProgressBar Events
TRzCustomProgressBar

Public
OnChange

Protected
OnChange


TRzCustomProgressBar.FlatColor

Specifies the color to be used in drawing flat borders.

Declaration
property FlatColor: TColor default clBtnShadow;

__property Graphics::TColor FlatColor

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

TRzCustomProgressBar.FlatColor Example
TRzCustomProgressBar


TRzCustomProgressBar.FlatColorAdjustment

Determines if the FlatColor property value is adjusted to be either lighter or darker.

Declaration
property FlatColorAdjustment: Integer default 30;

__property int FlatColorAdjustment

Description

Use FlatColorAdjustment to lighten or darken the FlatColor used for the border of a control when the border is fsFlat. This property is used in TRzGroupBox components and TRzStatusPane components to allow the color of the border to be a lighter shade of the clBtnShadow color.


Raize Components 6

TRzCustomProgressBar.FlatColorAdjustment Example
TRzCustomProgressBar


TRzCustomProgressBar.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzCustomProgressBar.FrameController Example
TRzCustomProgressBar


TRzCustomProgressBar.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzCustomProgressBar.FrameControllerNotifications Example
TRzCustomProgressBar


TRzCustomProgressBar.GradientDirection

Determines the direction of the gradient fill path.

Description

This property determines which direction the gradient fill will flow. Your choices include:

Value Meaning

dBigSquareBox Top and bottom converge together to form a big square box in the center.

dDiagonalDown Top right to bottom left.

dDiagonalUp Top left to bottom right

dHorizontalBox Top and bottom converge together to form a box in the center.

dHorizontalCenter Top and bottom converge to the center.

dHorizontalEnd Horizontally downward

dSquareBox All sides converge into a square

dVerticalBox Sides converge into a box.

dVerticalCenter Sides converge into a box at the center.


Raize Components 6

TRzCustomProgressBar.GradientDirection Example
TRzCustomProgressBar


TRzCustomProgressBar.InteriorOffset

Specifies number of pixels for interior border.

Declaration
property InteriorOffset: Byte;

__property Byte InteriorOffset

Description

This property is used to make the progress area smaller than the size defined by the inner border. The InteriorOffset specifies the number of pixels inside the inner border.


Raize Components 6

TRzCustomProgressBar.InteriorOffset Example
TRzCustomProgressBar


TRzCustomProgressBar.NumSegments

Specifies number of segments needed for full percentage bar.

Declaration
property NumSegments: TSegmentRange default 20;

__property TSegmentRange NumSegments

Description

The property is used to specify the number of segments it takes to fill the progress bar at 100%. By default, NumSegments is set to 20.


Raize Components 6

TRzCustomProgressBar.NumSegments Example
TRzCustomProgressBar


TRzCustomProgressBar.OnChange

Occurs when percent value changes.

Declaration
property OnChange: TProgressChangeEvent;

__property TProgressChangeEvent OnChange

Description

This event is generated when the percent value of the progress bar is changed.


Raize Components 6

TRzCustomProgressBar.OnChange Example
TRzCustomProgressBar


TRzCustomProgressBar.Orientation

Specifies that the control is horizontally or veritcally oriented.

Declaration
property Orientation: TOrientation default orHorizontal;

__property Rzcommon::TOrientation Orientation

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

TRzCustomProgressBar.Orientation Example
TRzCustomProgressBar


TRzCustomProgressBar.PartsComplete

Specifies number of parts completed.

Declaration
property PartsComplete: TUnsignedLongint;

__property TUnsignedLongint PartsComplete

Description

This property, when used with the TotalParts property, allows a user to quickly adjust the progress without having to manually calculate the percentage value. First, set the TotalParts to the desired value. When the progress needs to be adjusted, change the PartsComplete value. The IncParts and IncPartsByOne methods provide fast ways of changing these values.


Raize Components 6

TRzCustomProgressBar.PartsComplete Example
TRzCustomProgressBar


TRzCustomProgressBar.Percent

Specifies current perctage value.

Declaration
property Percent: Word;

__property Word Percent

Description

The Percent property determines how much of the progress area gets filled. The Percent property can be set directly, or indirectly using the TotalParts and PartsComplete properties.


Raize Components 6

TRzCustomProgressBar.Percent Example
TRzCustomProgressBar


Raize Components 6

TRzCustomProgressBar Properties
TRzCustomProgressBar

Public
Align
Font
GradientDirection
Height
ParentFont
ParentShowHint
PopupMenu
ShowHint
Visible
Width

Protected
BackColor
BackColorStop
BarColor
BarColorStop
BarStyle
BevelWidth
BorderColor
BorderInner
BorderOuter
BorderWidth
FlatColor
FlatColorAdjustment
FrameController
FrameControllerNotifications
InteriorOffset
NumSegments
Orientation
PartsComplete
Percent
ShowPercent
ThemeAware
TotalParts


TRzCustomProgressBar.ShowPercent

Determines if percentage text is displayed.

Declaration
property ShowPercent: Boolean default True;

__property bool ShowPercent

Description

Controls whether or not the percentage value is displayed. This property has no effect when the BarStyle is set to bsLED.


Raize Components 6

TRzCustomProgressBar.ShowPercent Example
TRzCustomProgressBar


TRzCustomProgressBar.ThemeAware

Determines if the control uses Windows XP Themes if available.

Declaration
property ThemeAware: Boolean default True;

__property bool ThemeAware

Description

When ThemeAware is True and Windows XP Themes are available to the application, the component will display itself according to active theme. This property has no effect if Windows XP Themes are not available.


Raize Components 6

TRzCustomProgressBar.ThemeAware Example
TRzCustomProgressBar


TRzCustomProgressBar.TotalParts

Specifies total number of parts that when compared with PartsComplete automatically calculates percentage.

Declaration
property TotalParts: TUnsignedLongint;

__property TUnsignedLongint TotalParts

Description

This property, when used with the PartsComplete property, allows a user to quickly adjust the progress without having to manually calculate the percentage value. First, set the TotalParts to the number of parts that define a task. When the progress needs to be adjusted, change the PartsComplete value. The IncParts and IncPartsByOne methods provide fast ways of changing the number of parts completed.


Raize Components 6

TRzCustomProgressBar.TotalParts Example
TRzCustomProgressBar


TRzProgressBar.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzProgressBar.About Example
TRzProgressBar


Raize Components 6

TRzProgressBar Events
TRzProgressBar

Public


TRzProgressBar.IncParts

Declaration
procedure IncParts(N: TUnsignedLongint);

void __fastcall IncParts(TUnsignedLongint N)

Description

Increments the PartsComplete property by N.


Raize Components 6

TRzProgressBar.IncParts Example
TRzProgressBar


TRzProgressBar.IncPartsByOne

Declaration
procedure IncPartsByOne;

void __fastcall IncPartsByOne(void)

Description

Increments the PartsComplete property by 1.


Raize Components 6

TRzProgressBar.IncPartsByOne Example
TRzProgressBar


Raize Components 6

TRzProgressBar Methods
TRzProgressBar

Public
IncParts
IncPartsByOne


Raize Components 6

TRzProgressBar Properties
TRzProgressBar

Public
About
Align
Anchors
BackColor
BackColorStop
BarColor
BarColorStop
BarStyle
BevelWidth
BorderColor
BorderInner
BorderOuter
BorderWidth
Constraints
DragKind
FlatColor
FlatColorAdjustment
Font
FrameController
FrameControllerNotifications
GradientDirection
Height
InteriorOffset
NumSegments
Orientation
ParentFont
ParentShowHint
PartsComplete
Percent
PopupMenu
ShowHint
ShowPercent
ThemeAware
TotalParts
Visible
Width


TUnsignedLongint

Unit
RzPrgres

Declaration
TUnsignedLongint=0..MaxLongint;

typedef int TUnsignedLongint;

Description

.


RzRadChk

RzRadChk File
List of Units

Unit Classes

TRzCheckBox | TRzCheckBox is a custom VCL check box control.
TRzCustomCheckBox | TRzCustomCheckBox is the base class for all check box controls in Raize Components.
TRzCustomGlyphButton | TRzCustomGlyphButton is the base class for all glyph-based state button controls in Raize Components.
TRzRadioButton | TRzRadioButton is a custom VCL radio button.


TRzCheckBox.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzCheckBox.About Example
TRzCheckBox


Raize Components 6

TRzCheckBox Events
TRzCheckBox

Public


Raize Components 6

TRzCheckBox Properties
TRzCheckBox

Public
About
Action
Align
Alignment
AlignmentVertical
AllowGrayed
Anchors
BiDiMode
Caption
Checked
Color
Constraints
CustomGlyphs
DisabledColor
DragCursor
DragKind
DragMode
Enabled
FillColor
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
Height
HelpContext
HighlightColor
Hint
HotTrack
HotTrackColor
HotTrackColorType
HotTrackStyle
LightTextStyle
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
ShowHint
State
TabOnEnter
TabOrder
TabStop
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
Transparent
TransparentColor
UseCustomGlyphs
Visible
Width
WinMaskColor


TRzCustomCheckBox

TRzCustomCheckBox is the base class for all check box controls in Raize Components.

Unit
RzRadChk

Declaration
TRzCustomCheckBox=Class(TRzCustomGlyphButton);

Description

Do not create instances of TRzCustomCheckBox--use TRzCheckBox or some other descendant.


TRzCustomCheckBox.AllowGrayed

Specifies if grayed state check boxes are allowed.

Declaration
property AllowGrayed: Boolean default False;

__property bool AllowGrayed

Description

Setting this property to True allows the user to change a check box to the grayed state. By default, AllowGrayed is False, meaning that for each check box only the checked and unchecked states are allowed. If AllowGrayed is True, you should use the State property to determine whether the check box is checked, unchecked, or grayed.


Raize Components 6

TRzCustomCheckBox.AllowGrayed Example
TRzCustomCheckBox


TRzCustomCheckBox.InitState
TRzCustomCheckBox Methods

Use this method to specify an initial state of the check box without generating the OnClick event.

Declaration
procedure InitState(Value: TCheckBoxState);

void __fastcall InitState(Stdctrls::TCheckBoxState Value)

Description

Use this method to specify an initial state of the check box without generating the OnClick event.


Raize Components 6

TRzCustomCheckBox.InitState Example
TRzCustomCheckBox


Raize Components 6

TRzCustomCheckBox Methods
TRzCustomCheckBox

Public
InitState


Raize Components 6

TRzCustomCheckBox Properties
TRzCustomCheckBox

Protected
AllowGrayed
State


TRzCustomCheckBox.State

Specifies the current state of the control.

Declaration
property State: TCheckBoxState;

__property Stdctrls::TCheckBoxState State

Description

These are the possible values of State:

Value Meaning

cbUnchecked The check box has no check mark, indicating that the user has not selected the option.

cbChecked The check box has a check mark in it, indicating that the user has selected the option.

cbGrayed The check box has a check mark in it, but it is grayed.


Raize Components 6

TRzCustomCheckBox.State Example
TRzCustomCheckBox


TRzCustomGlyphButton

Properties

TRzCustomGlyphButton is the base class for all glyph-based state button controls in Raize Components.

Unit
RzRadChk

Declaration
TRzCustomGlyphButton=Class(TRzCustomButton,IRzCustomFramingNotification);

Description

Do not create instances of TRzCustomGlyphButton--use TRzRadioButton and TRzCheckBox or some other descendant.


TRzCustomGlyphButton.Alignment

Specifies the horizontal alignement of text.

Declaration
property Alignment: TLeftRight default taRightJustify;

__property Classes::TLeftRight Alignment

Description

Use Alignment to change the way the text is displayed in the control. Alignment can take one of the following values:

Value Meaning

taLeftJustify Align text to the left side of the control

taCenter Center text horizontally in the control.

taRightJustify Align text to the right side of the control.


Raize Components 6

TRzCustomGlyphButton.Alignment Example
TRzCustomGlyphButton


TRzCustomGlyphButton.Checked

Determines if button control (radio button, check box) is checked.

Declaration
property Checked: Boolean default False;

__property bool Checked

Description

Use Checked to determine whether a button control is checked.


Raize Components 6

TRzCustomGlyphButton.Checked Example
TRzCustomGlyphButton


TRzCustomGlyphButton.CustomGlyphs

Specifies a bitmap that contains glyphs to be used by the control.

Declaration
property CustomGlyphs: TBitmap;

__property Graphics::TBitmap *CustomGlyphs

Description

Use this property to change the glyphs used to display the current state. This bitmap must consist of a series of glyphs. Each glyph must be the same size and the order of each glyph in the bitmap determines when the glyph will be displayed. The number of glyphs that must be specified depends on the type of control: radio button, check box, or check list.

The following examples illustrate how to construct a custom glyph bitmap. Note that the samples use clTeal as the WinMaskColor and clOlive as the TransparentColor. Also note that the images below have been enlarged to show more detail.

Radio Button Example

Glyph # Description

1 Unchecked
2 Checked
3 Unchecked Down
4 Checked Down
5 Unchecked Disabled
6 Checked Disabled

Check Box Example

Glyph # Description

1 Unchecked
2 Checked
3 Grayed
4 Unchecked Down
5 Checked Down
6 Grayed Down
7 Unchecked Disabled
8 Checked Disabled
9 Grayed Disabled

Check List Example

Glyph # Description

1 Unchecked
2 Checked
3 Grayed
4 Unchecked Disabled
5 Checked Disabled
6 Grayed Disabled


Raize Components 6

TRzCustomGlyphButton.CustomGlyphs Example
TRzCustomGlyphButton


TRzCustomGlyphButton.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzCustomGlyphButton.DisabledColor Example
TRzCustomGlyphButton


TRzCustomGlyphButton.FillColor

Specifies the interior color to be used for radio button or check box.

Declaration
property FillColor: TColor default clWindow;

Description

Use this property to specify the color to be used for the interior of the radio button or check box.


Raize Components 6

TRzCustomGlyphButton.FillColor Example
TRzCustomGlyphButton


TRzCustomGlyphButton.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzCustomGlyphButton.FocusColor Example
TRzCustomGlyphButton


TRzCustomGlyphButton.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzCustomGlyphButton.FrameColor Example
TRzCustomGlyphButton


TRzCustomGlyphButton.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzCustomGlyphButton.FrameController Example
TRzCustomGlyphButton


TRzCustomGlyphButton.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzCustomGlyphButton.FrameControllerNotifications Example
TRzCustomGlyphButton


TRzCustomGlyphButton.HotTrackStyle

Specifies how the control is highlighted when the mouse is over the control.

Declaration
property HotTrackStyle: TRzButtonHotTrackStyle default htsInterior;

Description

Use this property to change the way the control is highlighted when the mouse is positioned over the control.


Raize Components 6

TRzCustomGlyphButton.HotTrackStyle Example
TRzCustomGlyphButton


Raize Components 6

TRzCustomGlyphButton Properties
TRzCustomGlyphButton

Protected
Alignment
Checked
CustomGlyphs
DisabledColor
FillColor
FocusColor
FrameColor
FrameController
FrameControllerNotifications
HotTrackStyle
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
TabOnEnter
TransparentColor
UseCustomGlyphs
WinMaskColor


TRzCustomGlyphButton.ReadOnly

Use to prevent changes.

Declaration
property ReadOnly: Boolean default False;

Description

Use this property to specify if the control is read-only.


Raize Components 6

TRzCustomGlyphButton.ReadOnly Example
TRzCustomGlyphButton


TRzCustomGlyphButton.ReadOnlyColor

Specifies color to be used when the control's ReadOnly property is True.

Declaration
property ReadOnlyColor: TColor default clInfoBk;

Description

Use ReadOnlyColor to read or change the background color of the control when the control's ReadOnly property is set to True.


Raize Components 6

TRzCustomGlyphButton.ReadOnlyColor Example
TRzCustomGlyphButton


TRzCustomGlyphButton.ReadOnlyColorOnFocus

Determines if the ReadOnlyColor value or the FocusColor value is used to highlight a control when that control has the focus and has its ReadOnly property set to True.

Declaration
property ReadOnlyColorOnFocus: Boolean default False;

Description

This property determines if the ReadOnlyColor or FocusColor is used to color the control when the control has the focus and has its ReadOnly property set to True. By default, a focused control will use the FocusColor even if the control is read-only. Setting ReadOnlyColorOnFocus to True will cause a focused read-only control to be colored using ReadOnlyColor.


Raize Components 6

TRzCustomGlyphButton.ReadOnlyColorOnFocus Example
TRzCustomGlyphButton


TRzCustomGlyphButton.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzCustomGlyphButton.TabOnEnter Example
TRzCustomGlyphButton


TRzCustomGlyphButton.TransparentColor

Specifies the color to be considered as transparent in the CustomGlyphs bitmap.

Declaration
property TransparentColor: TColor default clOlive;

__property Graphics::TColor TransparentColor

Description

Use this property to specify the color in the CustomGlyphs bitmap that will be treated as transparent. The default value is clOlive.


Raize Components 6

TRzCustomGlyphButton.TransparentColor Example
TRzCustomGlyphButton


TRzCustomGlyphButton.UseCustomGlyphs

Determines if the control uses the glyphs in CustomGlyphs instead of standard glyphs.

Declaration
property UseCustomGlyphs: Boolean default False;

__property bool UseCustomGlyphs

Description

Use this property to instruct the component to use the glyphs embedded in the CustomGlyphs property instead of the standard glyphs that are used by default.


Raize Components 6

TRzCustomGlyphButton.UseCustomGlyphs Example
TRzCustomGlyphButton


TRzCustomGlyphButton.WinMaskColor

Specifies CustomGlyph image color to be replaced with clWindow.

Declaration
property WinMaskColor: TColor default clLime;

__property Graphics::TColor WinMaskColor

Description

Use this property to specify the color in the CustomGlyphs bitmap that will be replaced with the window color. The default value is clTeal.


Raize Components 6

TRzCustomGlyphButton.WinMaskColor Example
TRzCustomGlyphButton


TRzRadioButton.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzRadioButton.About Example
TRzRadioButton


Raize Components 6

TRzRadioButton Events
TRzRadioButton

Public


Raize Components 6

TRzRadioButton Properties
TRzRadioButton

Public
About
Action
Align
Alignment
AlignmentVertical
Anchors
BiDiMode
Caption
Checked
Color
Constraints
CustomGlyphs
DisabledColor
DragCursor
DragKind
DragMode
Enabled
FillColor
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
Height
HelpContext
HighlightColor
Hint
HotTrack
HotTrackColor
HotTrackColorType
HotTrackStyle
LightTextStyle
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
ShowHint
TabOnEnter
TabOrder
TabStop
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
Transparent
TransparentColor
UseCustomGlyphs
Visible
Width
WinMaskColor


RzRadGrp

RzRadGrp File
List of Units

Unit Classes

TRzCheckGroup | TRzCheckGroup is a specialized group box designed to manage a set of check boxes.
TRzCustomCheckGroup | TRzCustomCheckGroup is the base class for all check group controls in Raize Components.
TRzCustomRadioGroup | TRzCustomRadioGroup is the base class for all radio group controls in Raize Components.
TRzIndexChangingEvent |
TRzRadioGroup | TRzRadioGroup is a specialized group box that manages a set of radio buttons.
TRzStateChangingEvent |


TRzCheckGroup.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzCheckGroup.About Example
TRzCheckGroup


Raize Components 6

TRzCheckGroup Events
TRzCheckGroup

Public


Raize Components 6

TRzCheckGroup Properties
TRzCheckGroup

Public
About
Align
Alignment
AllowGrayed
Anchors
BevelWidth
BiDiMode
BorderColor
BorderInner
BorderOuter
BorderSides
BorderWidth
Caption
Checks
Color
Columns
Constraints
Ctl3D
CustomGlyphs
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
FrameController
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
GroupStyle
Height
ItemChecked
ItemEnabled
ItemFont
ItemFrameColor
ItemHeight
ItemHighlightColor
ItemHotTrack
ItemHotTrackColor
ItemHotTrackColorType
Items
ItemState
LightTextStyle
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ShowHint
SpaceEvenly
StartXPos
StartYPos
TabOnEnter
TabOrder
TabStop
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
Transparent
TransparentColor
UseCustomGlyphs
VerticalSpacing
Visible
VisualStyle
WinMaskColor


TRzCustomCheckGroup

TRzCustomCheckGroup is the base class for all check group controls in Raize Components.

Description

Do not create instances of TRzCustomCheckGroup--use TRzCheckGroup or some other descendant.


TRzCustomCheckGroup.AllowGrayed

Specifies if grayed state check boxes are allowed.

Declaration
property AllowGrayed: Boolean default False;

__property bool AllowGrayed

Description

Setting this property to True allows the user to change a check box to the grayed state. By default, AllowGrayed is False, meaning that for each check box only the checked and unchecked states are allowed. If AllowGrayed is True, you should use the State property to determine whether the check box is checked, unchecked, or grayed.


Raize Components 6

TRzCustomCheckGroup.AllowGrayed Example
TRzCustomCheckGroup


TRzCustomCheckGroup.Caption

Specifies the text to display on the control.

Declaration
property Caption: TCaption;

__property AnsiString Caption

Description

Use Caption to specify the text string that labels the control.

To underline a character in a Caption that labels a component, include an ampersand (&) before the character. This type of character is called an accelerator character. The user can then select the component by pressing Alt while typing the underlined character. To display an ampersand character in the caption, use two ampersands (&&).

Note: Controls that display text use either the Caption property or the Text property to specify the text value. Which property is used depends on the type of control. In general, Caption is used for text that appears as a window title or label, while Text is used for text that appears as the content of a control.


Raize Components 6

TRzCustomCheckGroup.Caption Example
TRzCustomCheckGroup


TRzCustomCheckGroup.Checks

Use Checks to access the individual TRzCheckBox controls that are created in the group.

Description

Use Checks to access the individual TRzCheckBox controls that are created in the group.


Raize Components 6

TRzCustomCheckGroup.Checks Example
TRzCustomCheckGroup


TRzCustomCheckGroup.Columns

Specifies number of columns for button arrangement.

Declaration
property Columns: Integer default 1;

__property int Columns

Description

Columns determines the number of columns in the radio group. Its value can range from 1 to 16. The default value is 1, which means that the radio buttons or check boxes are arranged in a single vertical line.


Raize Components 6

TRzCustomCheckGroup.Columns Example
TRzCustomCheckGroup


TRzCustomCheckGroup.CustomGlyphs

Specifies a bitmap that contains glyphs to be used by the control.

Declaration
property CustomGlyphs: TBitmap;

__property Graphics::TBitmap *CustomGlyphs

Description

Use this property to change the glyphs used to display the current state. This bitmap must consist of a series of glyphs. Each glyph must be the same size and the order of each glyph in the bitmap determines when the glyph will be displayed. The number of glyphs that must be specified depends on the type of control: radio button, check box, or check list.

The following examples illustrate how to construct a custom glyph bitmap. Note that the samples use clTeal as the WinMaskColor and clOlive as the TransparentColor. Also note that the images below have been enlarged to show more detail.

Radio Button Example

Glyph # Description

1 Unchecked
2 Checked
3 Unchecked Down
4 Checked Down
5 Unchecked Disabled
6 Checked Disabled

Check Box Example

Glyph # Description

1 Unchecked
2 Checked
3 Grayed
4 Unchecked Down
5 Checked Down
6 Grayed Down
7 Unchecked Disabled
8 Checked Disabled
9 Grayed Disabled

Check List Example

Glyph # Description

1 Unchecked
2 Checked
3 Grayed
4 Unchecked Disabled
5 Checked Disabled
6 Grayed Disabled


Raize Components 6

TRzCustomCheckGroup.CustomGlyphs Example
TRzCustomCheckGroup


Raize Components 6

TRzCustomCheckGroup Events
TRzCustomCheckGroup

Public
OnChange

Protected
OnChange


TRzCustomCheckGroup.ItemChecked

Provides access to checked state of individual items in the list.

Declaration
property ItemChecked[Index: Integer]: Boolean;

__property bool ItemChecked[int Index]

Description

Use this run-time only property to get or set the check state of an item in the control. ItemChecked will return True if the item is checked, False otherwise. If you need to determine if an item is in the grayed state, use the ItemState property. The Index value is zero based and corresponds to the index used in the Items property.


Raize Components 6

TRzCustomCheckGroup.ItemChecked Example
TRzCustomCheckGroup


TRzCustomCheckGroup.ItemEnabled

Provides access to enabled state of individual items in the list.

Declaration
property ItemEnabled[Index: Integer]: Boolean;

__property bool ItemEnabled[int Index]

Description

Use this run-time only property to enable or disable individual list item in a control. Disabled list items appear in the disabled font style and the associated check box cannot be changed. The Index value is zero based and corresponds to the index used in the Items property.


Raize Components 6

TRzCustomCheckGroup.ItemEnabled Example
TRzCustomCheckGroup


TRzCustomCheckGroup.ItemFont

Specifies font to be used for items.

Declaration
property ItemFont: TFont stored FItemFontChanged;

__property Graphics::TFont *ItemFont

Description

Use this property to specify the font used to display the radio buttons in a radio group. This property allows the radio group items to use a different font from the Caption property.


Raize Components 6

TRzCustomCheckGroup.ItemFont Example
TRzCustomCheckGroup


TRzCustomCheckGroup.ItemFrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property ItemFrameColor: TColor default clBtnShadow;

__property Graphics::TColor ItemFrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzCustomCheckGroup.ItemFrameColor Example
TRzCustomCheckGroup


TRzCustomCheckGroup.ItemHeight

Specifies height of each item.

Declaration
property ItemHeight: Integer default 17;

__property int ItemHeight

Description

Use ItemHeight to specify the height of each radio button or check box.


Raize Components 6

TRzCustomCheckGroup.ItemHeight Example
TRzCustomCheckGroup


TRzCustomCheckGroup.ItemHighlightColor

Specifies the color used to display a "selected" portion of the control.

Declaration
property ItemHighlightColor: TColor default clHighlight;

__property Graphics::TColor ItemHighlightColor

Description

Use HighlightColor to specify the color to be used to draw a highlighted portion of the control. For radio buttons and check boxes, this would be the check or dot. For page controls and tab controls, this would be the highlight bar at the edge of the tab.


Raize Components 6

TRzCustomCheckGroup.ItemHighlightColor Example
TRzCustomCheckGroup


TRzCustomCheckGroup.ItemHotTrack

Determines if the control changes its appearance as the mouse is moved over the control.

Declaration
property ItemHotTrack: Boolean default False;

__property bool ItemHotTrack

Description

Set HotTrack to True to display an additional border around a control when the mouse is positioned over the control.


Raize Components 6

TRzCustomCheckGroup.ItemHotTrack Example
TRzCustomCheckGroup


TRzCustomCheckGroup.ItemHotTrackColor

Specifies the color to be used when drawing the control in a "hot" state.

Declaration
property ItemHotTrackColor: TColor default clHotLight;

__property Graphics::TColor ItemHotTrackColor

Description

Use HotTrackColor to specify the color to be used when drawing the control in the HotTrack state. That is, when the mouse is positioned over the control.


Raize Components 6

TRzCustomCheckGroup.ItemHotTrackColor Example
TRzCustomCheckGroup


TRzCustomCheckGroup.ItemHotTrackColorType

Determines how the HotTrackColor property value is interpretted by the control.

Declaration
property ItemHotTrackColorType: TRzHotTrackColorType default htctComplement;

Description

Use HotTrackColorType to specify whether or not the HotTrackColor property value should be adjusted when being displayed by the control. There are two possible values for this property as described below. The default value is htctComplement:

Value Meaning

htctComplement The HotTrackColor property value is not used directly when painting the control. Instead, the complement color to the property value is used. For example, if a blue color is specified for the HotTrackColor property, the color displayed by the control will be an orange color. This behavior makes it much easier to define a set of colors that will work well together regardless of the color scheme specified by the user.

htctActual The actual HotTrackColor property value specified in used when painting the control. No adjustments are made to the color. This setting is useful if you wish to use a specific color for hot tracking.


Raize Components 6

TRzCustomCheckGroup.ItemHotTrackColorType Example
TRzCustomCheckGroup


TRzCustomCheckGroup.Items

Specifies captions for radio buttons (check boxes).

Declaration
property Items: TStrings;

__property Classes::TStrings *Items

Description

Use the Items string list property to specify the captions for each radio button or check box.


Raize Components 6

TRzCustomCheckGroup.Items Example
TRzCustomCheckGroup


TRzCustomCheckGroup.ItemState

Provides access to state of individual items in the list.

Declaration
property ItemState[Index: Integer]: TCheckBoxState;

__property Stdctrls::TCheckBoxState ItemState[int Index]

Description

Use this run-time only property to set or get the state of the check box associated with an item in a control. A check box can be cbChecked, cbUnchecked, or cbGrayed. However, in order to set a check box to the grayed state, the AllowGrayed property must be set to True. The Index value is zero based and corresponds to the index used in the Items property.


Raize Components 6

TRzCustomCheckGroup.ItemState Example
TRzCustomCheckGroup


TRzCustomCheckGroup.LightTextStyle

Determines if 3D appearance of text is made to be more subtle.

Declaration
property LightTextStyle: Boolean default False;

__property bool LightTextStyle

Description

When this property is set to True, only the HighlightColor is used to give the caption a three dimensional appearance.


Raize Components 6

TRzCustomCheckGroup.LightTextStyle Example
TRzCustomCheckGroup


TRzCustomCheckGroup.OnChange
TRzCustomCheckGroup Events

Occurs when the state of a check box in the group is changed.

Declaration
property OnChange: TStateChangeEvent;

__property Rzcommon::TStateChangeEvent OnChange

Description

This event occurs when the state of one of the check boxes in the group is changed.


Raize Components 6

TRzCustomCheckGroup.OnChange Example
TRzCustomCheckGroup


Raize Components 6

TRzCustomCheckGroup Properties
TRzCustomCheckGroup

Public
Checks
ItemChecked
ItemEnabled
ItemState

Protected
AllowGrayed
Caption
Columns
CustomGlyphs
ItemFont
ItemFrameColor
ItemHeight
ItemHighlightColor
ItemHotTrack
ItemHotTrackColor
ItemHotTrackColorType
Items
LightTextStyle
SpaceEvenly
StartXPos
StartYPos
TabOnEnter
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
TransparentColor
UseCustomGlyphs
VerticalSpacing
WinMaskColor


TRzCustomCheckGroup.SpaceEvenly

Determines if radio buttons (check boxes) are spaced evenly across control.

Declaration
property SpaceEvenly: Boolean default False;

__property bool SpaceEvenly

Description

When SpaceEvenly is True, the controls are positioned so that each column of controls takes up the same amount of space. When SpaceEvenly is False (the default), the controls are positioned so that each column only takes up as much room as needed to display the longest item.


Raize Components 6

TRzCustomCheckGroup.SpaceEvenly Example
TRzCustomCheckGroup


TRzCustomCheckGroup.StartXPos

Specifies starting X position for first radio button or check box.

Declaration
property StartXPos: Integer default 8;

__property int StartXPos

Description

Use this property to specify the starting X position for the first radio button in a radio group. All other radio buttons will be positioned with respect to this value.


Raize Components 6

TRzCustomCheckGroup.StartXPos Example
TRzCustomCheckGroup


TRzCustomCheckGroup.StartYPos

Specifies starting Y position for first radio button or check box.

Declaration
property StartYPos: Integer default 2;

__property int StartYPos

Description

Use this property to specify the starting Y position for the first radio button in a radio group. All other radio buttons will be positioned with respect to this value.


Raize Components 6

TRzCustomCheckGroup.StartYPos Example
TRzCustomCheckGroup


TRzCustomCheckGroup.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzCustomCheckGroup.TabOnEnter Example
TRzCustomCheckGroup


TRzCustomCheckGroup.TextHighlightColor

Specifies the color to be used in displaying (3D) highlighted areas of text.

Declaration
property TextHighlightColor: TColor default clBtnHighlight;

__property Graphics::TColor TextHighlightColor

Description

Use this property to specify the highlight color used in the 3D text styles.


Raize Components 6

TRzCustomCheckGroup.TextHighlightColor Example
TRzCustomCheckGroup


TRzCustomCheckGroup.TextShadowColor

Specifies the color to be used in displaying (3D) shadow areas of text.

Declaration
property TextShadowColor: TColor default clBtnShadow;

__property Graphics::TColor TextShadowColor

Description

Use this property to specify the shadow color used in the 3D text styles.


Raize Components 6

TRzCustomCheckGroup.TextShadowColor Example
TRzCustomCheckGroup


TRzCustomCheckGroup.TextShadowDepth

Specifies the depth (in pixels) the text shadow appears below the text.

Declaration
property TextShadowDepth: Integer default 2;

__property int TextShadowDepth

Description

Use this property to specify how far down and to the right the shadow text will be displayed from the main text. This property is only applicable when TextStyle is set to tsShadow.


Raize Components 6

TRzCustomCheckGroup.TextShadowDepth Example
TRzCustomCheckGroup


TRzCustomCheckGroup.TextStyle

Specifies the 3D style used to display the control's Caption.

Declaration
property TextStyle: TTextStyle default tsNormal;

__property Rzcommon::TTextStyle TextStyle

Description

Use this property to change the 3D style of the component's caption. The four possible values are: tsNormal, tsRaised, tsRecessed, and tsShadow.


Raize Components 6

TRzCustomCheckGroup.TextStyle Example
TRzCustomCheckGroup


TRzCustomCheckGroup.TransparentColor

Specifies the color to be considered as transparent in the CustomGlyphs bitmap.

Declaration
property TransparentColor: TColor default clOlive;

__property Graphics::TColor TransparentColor

Description

Use this property to specify the color in the CustomGlyphs bitmap that will be treated as transparent. The default value is clOlive.


Raize Components 6

TRzCustomCheckGroup.TransparentColor Example
TRzCustomCheckGroup


TRzCustomCheckGroup.UseCustomGlyphs

Determines if the control uses the glyphs in CustomGlyphs instead of standard glyphs.

Declaration
property UseCustomGlyphs: Boolean default False;

__property bool UseCustomGlyphs

Description

Use this property to instruct the component to use the glyphs embedded in the CustomGlyphs property instead of the standard glyphs that are used by default.


Raize Components 6

TRzCustomCheckGroup.UseCustomGlyphs Example
TRzCustomCheckGroup


TRzCustomCheckGroup.VerticalSpacing

Specifies number of pixels used between rows of radio buttons or check boxes.

Declaration
property VerticalSpacing: Integer default 3;

__property int VerticalSpacing

Description

Use this property to specify the number of pixels used between rows of radio buttons in a radio group.


Raize Components 6

TRzCustomCheckGroup.VerticalSpacing Example
TRzCustomCheckGroup


TRzCustomCheckGroup.WinMaskColor

Specifies CustomGlyph image color to be replaced with clWindow.

Declaration
property WinMaskColor: TColor default clTeal;

__property Graphics::TColor WinMaskColor

Description

Use this property to specify the color in the CustomGlyphs bitmap that will be replaced with the window color. The default value is clTeal.


Raize Components 6

TRzCustomCheckGroup.WinMaskColor Example
TRzCustomCheckGroup


TRzCustomRadioGroup

TRzCustomRadioGroup is the base class for all radio group controls in Raize Components.

Description

Do not create instances of TRzCustomRadioGroup--use TRzRadioGroup or some other descendant.


TRzCustomRadioGroup.Buttons

Provides access to invidual radio button controls.

Description

Use Buttons to access the individual TRzRadioButton controls that are created in the group.


Raize Components 6

TRzCustomRadioGroup.Buttons Example
TRzCustomRadioGroup


TRzCustomRadioGroup.Caption

Specifies the text to display on the control.

Declaration
property Caption: TCaption;

__property AnsiString Caption

Description

Use Caption to specify the text string that labels the control.

To underline a character in a Caption that labels a component, include an ampersand (&) before the character. This type of character is called an accelerator character. The user can then select the component by pressing Alt while typing the underlined character. To display an ampersand character in the caption, use two ampersands (&&).

Note: Controls that display text use either the Caption property or the Text property to specify the text value. Which property is used depends on the type of control. In general, Caption is used for text that appears as a window title or label, while Text is used for text that appears as the content of a control.


Raize Components 6

TRzCustomRadioGroup.Caption Example
TRzCustomRadioGroup


TRzCustomRadioGroup.Columns

Specifies number of columns for button arrangement.

Declaration
property Columns: Integer default 1;

__property int Columns

Description

Columns determines the number of columns in the radio group. Its value can range from 1 to 16. The default value is 1, which means that the radio buttons or check boxes are arranged in a single vertical line.


Raize Components 6

TRzCustomRadioGroup.Columns Example
TRzCustomRadioGroup


TRzCustomRadioGroup.CustomGlyphs

Specifies a bitmap that contains glyphs to be used by the control.

Declaration
property CustomGlyphs: TBitmap;

__property Graphics::TBitmap *CustomGlyphs

Description

Use this property to change the glyphs used to display the current state. This bitmap must consist of a series of glyphs. Each glyph must be the same size and the order of each glyph in the bitmap determines when the glyph will be displayed. The number of glyphs that must be specified depends on the type of control: radio button, check box, or check list.

The following examples illustrate how to construct a custom glyph bitmap. Note that the samples use clTeal as the WinMaskColor and clOlive as the TransparentColor. Also note that the images below have been enlarged to show more detail.

Radio Button Example

Glyph # Description

1 Unchecked
2 Checked
3 Unchecked Down
4 Checked Down
5 Unchecked Disabled
6 Checked Disabled

Check Box Example

Glyph # Description

1 Unchecked
2 Checked
3 Grayed
4 Unchecked Down
5 Checked Down
6 Grayed Down
7 Unchecked Disabled
8 Checked Disabled
9 Grayed Disabled

Check List Example

Glyph # Description

1 Unchecked
2 Checked
3 Grayed
4 Unchecked Disabled
5 Checked Disabled
6 Grayed Disabled


Raize Components 6

TRzCustomRadioGroup.CustomGlyphs Example
TRzCustomRadioGroup


Raize Components 6

TRzCustomRadioGroup Events
TRzCustomRadioGroup

Public
OnChanging

Protected
OnChanging


TRzCustomRadioGroup.ItemEnabled

Provides access to enabled state of individual items in the list.

Declaration
property ItemEnabled[Index: Integer]: Boolean;

__property bool ItemEnabled[int Index]

Description

Use this run-time only property to enable or disable individual list item in a control. Disabled list items appear in the disabled font style and the associated check box cannot be changed. The Index value is zero based and corresponds to the index used in the Items property.


Raize Components 6

TRzCustomRadioGroup.ItemEnabled Example
TRzCustomRadioGroup


TRzCustomRadioGroup.ItemFont

Specifies font to be used for items.

Declaration
property ItemFont: TFont stored FItemFontChanged;

__property Graphics::TFont *ItemFont

Description

Use this property to specify the font used to display the radio buttons in a radio group. This property allows the radio group items to use a different font from the Caption property.


Raize Components 6

TRzCustomRadioGroup.ItemFont Example
TRzCustomRadioGroup


TRzCustomRadioGroup.ItemFrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property ItemFrameColor: TColor default clBtnShadow;

__property Graphics::TColor ItemFrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzCustomRadioGroup.ItemFrameColor Example
TRzCustomRadioGroup


TRzCustomRadioGroup.ItemHeight

Specifies height of each item.

Declaration
property ItemHeight: Integer default 17;

__property int ItemHeight

Description

Use ItemHeight to specify the height of each radio button or check box.


Raize Components 6

TRzCustomRadioGroup.ItemHeight Example
TRzCustomRadioGroup


TRzCustomRadioGroup.ItemHighlightColor

Specifies the color used to display a "selected" portion of the control.

Declaration
property ItemHighlightColor: TColor default clHighlight;

__property Graphics::TColor ItemHighlightColor

Description

Use HighlightColor to specify the color to be used to draw a highlighted portion of the control. For radio buttons and check boxes, this would be the check or dot. For page controls and tab controls, this would be the highlight bar at the edge of the tab.


Raize Components 6

TRzCustomRadioGroup.ItemHighlightColor Example
TRzCustomRadioGroup


TRzCustomRadioGroup.ItemHotTrack

Determines if the control changes its appearance as the mouse is moved over the control.

Declaration
property ItemHotTrack: Boolean default False;

__property bool ItemHotTrack

Description

Set HotTrack to True to display an additional border around a control when the mouse is positioned over the control.


Raize Components 6

TRzCustomRadioGroup.ItemHotTrack Example
TRzCustomRadioGroup


TRzCustomRadioGroup.ItemHotTrackColor

Specifies the color to be used when drawing the control in a "hot" state.

Declaration
property ItemHotTrackColor: TColor default clHotLight;

__property Graphics::TColor ItemHotTrackColor

Description

Use HotTrackColor to specify the color to be used when drawing the control in the HotTrack state. That is, when the mouse is positioned over the control.


Raize Components 6

TRzCustomRadioGroup.ItemHotTrackColor Example
TRzCustomRadioGroup


TRzCustomRadioGroup.ItemHotTrackColorType

Determines how the HotTrackColor property value is interpretted by the control.

Declaration
property ItemHotTrackColorType: TRzHotTrackColorType default htctComplement;

Description

Use HotTrackColorType to specify whether or not the HotTrackColor property value should be adjusted when being displayed by the control. There are two possible values for this property as described below. The default value is htctComplement:

Value Meaning

htctComplement The HotTrackColor property value is not used directly when painting the control. Instead, the complement color to the property value is used. For example, if a blue color is specified for the HotTrackColor property, the color displayed by the control will be an orange color. This behavior makes it much easier to define a set of colors that will work well together regardless of the color scheme specified by the user.

htctActual The actual HotTrackColor property value specified in used when painting the control. No adjustments are made to the color. This setting is useful if you wish to use a specific color for hot tracking.


Raize Components 6

TRzCustomRadioGroup.ItemHotTrackColorType Example
TRzCustomRadioGroup


TRzCustomRadioGroup.ItemIndex

Specifies which radio button (check box) is checked.

Declaration
property ItemIndex: Integer default - 1;

__property int ItemIndex

Description

Use ItemIndex to specify which radio button in the group is checked.


Raize Components 6

TRzCustomRadioGroup.ItemIndex Example
TRzCustomRadioGroup


TRzCustomRadioGroup.Items

Specifies captions for radio buttons (check boxes).

Declaration
property Items: TStrings;

__property Classes::TStrings *Items

Description

Use the Items string list property to specify the captions for each radio button or check box.


Raize Components 6

TRzCustomRadioGroup.Items Example
TRzCustomRadioGroup


TRzCustomRadioGroup.LightTextStyle

Determines if 3D appearance of text is made to be more subtle.

Declaration
property LightTextStyle: Boolean default False;

__property bool LightTextStyle

Description

When this property is set to True, only the HighlightColor is used to give the caption a three dimensional appearance.


Raize Components 6

TRzCustomRadioGroup.LightTextStyle Example
TRzCustomRadioGroup


TRzCustomRadioGroup.OnChanging
TRzCustomRadioGroup Events

Occurs when user attempts to check a different radio button.

Declaration
property OnChanging: TRzIndexChangingEvent;

__property TRzIndexChangingEvent OnChanging

Description

This event occurs when the user attempts to change the currently checked radio button in the group.


Raize Components 6

TRzCustomRadioGroup.OnChanging Example
TRzCustomRadioGroup


Raize Components 6

TRzCustomRadioGroup Properties
TRzCustomRadioGroup

Public
Buttons
ItemEnabled

Protected
Caption
Columns
CustomGlyphs
ItemFont
ItemFrameColor
ItemHeight
ItemHighlightColor
ItemHotTrack
ItemHotTrackColor
ItemHotTrackColorType
ItemIndex
Items
LightTextStyle
SpaceEvenly
StartXPos
StartYPos
TabOnEnter
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
TransparentColor
UseCustomGlyphs
VerticalSpacing
WinMaskColor


TRzCustomRadioGroup.SpaceEvenly

Determines if radio buttons (check boxes) are spaced evenly across control.

Declaration
property SpaceEvenly: Boolean default False;

__property bool SpaceEvenly

Description

When SpaceEvenly is True, the controls are positioned so that each column of controls takes up the same amount of space. When SpaceEvenly is False (the default), the controls are positioned so that each column only takes up as much room as needed to display the longest item.


Raize Components 6

TRzCustomRadioGroup.SpaceEvenly Example
TRzCustomRadioGroup


TRzCustomRadioGroup.StartXPos

Specifies starting X position for first radio button or check box.

Declaration
property StartXPos: Integer index 1 default 8;

__property int StartXPos

Description

Use this property to specify the starting X position for the first radio button in a radio group. All other radio buttons will be positioned with respect to this value.


Raize Components 6

TRzCustomRadioGroup.StartXPos Example
TRzCustomRadioGroup


TRzCustomRadioGroup.StartYPos

Specifies starting Y position for first radio button or check box.

Declaration
property StartYPos: Integer index 2 default 2;

__property int StartYPos

Description

Use this property to specify the starting Y position for the first radio button in a radio group. All other radio buttons will be positioned with respect to this value.


Raize Components 6

TRzCustomRadioGroup.StartYPos Example
TRzCustomRadioGroup


TRzCustomRadioGroup.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzCustomRadioGroup.TabOnEnter Example
TRzCustomRadioGroup


TRzCustomRadioGroup.TextHighlightColor

Specifies the color to be used in displaying (3D) highlighted areas of text.

Declaration
property TextHighlightColor: TColor default clBtnHighlight;

__property Graphics::TColor TextHighlightColor

Description

Use this property to specify the highlight color used in the 3D text styles.


Raize Components 6

TRzCustomRadioGroup.TextHighlightColor Example
TRzCustomRadioGroup


TRzCustomRadioGroup.TextShadowColor

Specifies the color to be used in displaying (3D) shadow areas of text.

Declaration
property TextShadowColor: TColor default clBtnShadow;

__property Graphics::TColor TextShadowColor

Description

Use this property to specify the shadow color used in the 3D text styles.


Raize Components 6

TRzCustomRadioGroup.TextShadowColor Example
TRzCustomRadioGroup


TRzCustomRadioGroup.TextShadowDepth

Specifies the depth (in pixels) the text shadow appears below the text.

Declaration
property TextShadowDepth: Integer default 2;

__property int TextShadowDepth

Description

Use this property to specify how far down and to the right the shadow text will be displayed from the main text. This property is only applicable when TextStyle is set to tsShadow.


Raize Components 6

TRzCustomRadioGroup.TextShadowDepth Example
TRzCustomRadioGroup


TRzCustomRadioGroup.TextStyle

Specifies the 3D style used to display the control's Caption.

Declaration
property TextStyle: TTextStyle default tsNormal;

__property Rzcommon::TTextStyle TextStyle

Description

Use this property to change the 3D style of the component's caption. The four possible values are: tsNormal, tsRaised, tsRecessed, and tsShadow.


Raize Components 6

TRzCustomRadioGroup.TextStyle Example
TRzCustomRadioGroup


TRzCustomRadioGroup.TransparentColor

Specifies the color to be considered as transparent in the CustomGlyphs bitmap.

Declaration
property TransparentColor: TColor default clOlive;

__property Graphics::TColor TransparentColor

Description

Use this property to specify the color in the CustomGlyphs bitmap that will be treated as transparent. The default value is clOlive.


Raize Components 6

TRzCustomRadioGroup.TransparentColor Example
TRzCustomRadioGroup


TRzCustomRadioGroup.UseCustomGlyphs

Determines if the control uses the glyphs in CustomGlyphs instead of standard glyphs.

Declaration
property UseCustomGlyphs: Boolean default False;

__property bool UseCustomGlyphs

Description

Use this property to instruct the component to use the glyphs embedded in the CustomGlyphs property instead of the standard glyphs that are used by default.


Raize Components 6

TRzCustomRadioGroup.UseCustomGlyphs Example
TRzCustomRadioGroup


TRzCustomRadioGroup.VerticalSpacing

Specifies number of pixels used between rows of radio buttons or check boxes.

Declaration
property VerticalSpacing: Integer default 3;

__property int VerticalSpacing

Description

Use this property to specify the number of pixels used between rows of radio buttons in a radio group.


Raize Components 6

TRzCustomRadioGroup.VerticalSpacing Example
TRzCustomRadioGroup


TRzCustomRadioGroup.WinMaskColor

Specifies CustomGlyph image color to be replaced with clWindow.

Declaration
property WinMaskColor: TColor default clTeal;

__property Graphics::TColor WinMaskColor

Description

Use this property to specify the color in the CustomGlyphs bitmap that will be replaced with the window color. The default value is clTeal.


Raize Components 6

TRzCustomRadioGroup.WinMaskColor Example
TRzCustomRadioGroup


TRzIndexChangingEvent

Unit
RzRadGrp

Declaration
TRzIndexChangingEvent=procedure(Sender: TObject; NewIndex: Integer; var AllowChange: Boolean) of object;

typedef void __fastcall(__closure *TRzIndexChangingEvent)(System::TObject *Sender, int NewIndex, bool & AllowChange);

Description

.


TRzRadioGroup.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzRadioGroup.About Example
TRzRadioGroup


Raize Components 6

TRzRadioGroup Events
TRzRadioGroup

Public


Raize Components 6

TRzRadioGroup Properties
TRzRadioGroup

Public
About
Align
Alignment
Anchors
BevelWidth
BiDiMode
BorderColor
BorderInner
BorderOuter
BorderSides
BorderWidth
Buttons
Caption
Color
Columns
Constraints
Ctl3D
CustomGlyphs
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
FrameController
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
GroupStyle
Height
Hint
ItemEnabled
ItemFont
ItemFrameColor
ItemHeight
ItemHighlightColor
ItemHotTrack
ItemHotTrackColor
ItemHotTrackColorType
ItemIndex
Items
LightTextStyle
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ShowHint
SpaceEvenly
StartXPos
StartYPos
TabOnEnter
TabOrder
TabStop
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
Transparent
TransparentColor
UseCustomGlyphs
VerticalSpacing
Visible
VisualStyle
WinMaskColor


TRzStateChangingEvent

Unit
RzRadGrp

Declaration
TRzStateChangingEvent=procedure(Sender: TObject; Index: Integer; NewState: TCheckBoxState; var AllowChange: Boolean) of object;

typedef void __fastcall(__closure *TRzStateChangingEvent)(System::TObject *Sender, int Index, Stdctrls::TCheckBoxState NewState, bool & AllowChange);

Description

.


RzSelDir

RzSelDir File
List of Units

Unit Classes

TRzSelDirDialog
TRzSelDirDialog is a nonvisual control that displays a dialog for selecting a directory.


TRzSelDirDialog.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSelDirDialog.About Example
TRzSelDirDialog


TRzSelDirDialog.AllowCreate

Declaration
property AllowCreate: Boolean default False;

__property bool AllowCreate

Description

Use this property to instruct the TRzSelDirDialog component to provide an edit field in which the user may enter a new directory name. When the user presses the OK button, the selected directory is checked for existence. If it exists, the dialog is closed. If not, the user is prompted to verify the creation of the new directory. Once accepted, the dialog component creates the directory and closes the dialog box.


Raize Components 6

TRzSelDirDialog.AllowCreate Example
TRzSelDirDialog


TRzSelDirDialog.AutoSelect

Declaration
property AutoSelect: Boolean default False;

__property bool AutoSelect

Description

When this property is set to True, and the user expands or collapses a node in the tree by clicking the plus or minus symbols, the corresponding node is automatically selected. Note that the AutoSelect property and the new AutoExpand property introduced in VCL 5 are mutually exclusive.


Raize Components 6

TRzSelDirDialog.AutoSelect Example
TRzSelDirDialog


TRzSelDirDialog.ButtonGlyphs

Declaration
property ButtonGlyphs: Boolean default False;

__property bool ButtonGlyphs

Description

Set this property to True to display glyphs on the buttons of the dialog box.


Raize Components 6

TRzSelDirDialog.ButtonGlyphs Example
TRzSelDirDialog


TRzSelDirDialog.ChangeCurrentDir

Declaration
property ChangeCurrentDir: Boolean default True;

__property bool ChangeCurrentDir

Description

This property controls whether or not the current directory is changed to the directory selected by the user using this dialog. When set to False, the current directory is restored to the value it was before the dialog was invoked. The default behavior is to allow the current directory to be changed.


Raize Components 6

TRzSelDirDialog.ChangeCurrentDir Example
TRzSelDirDialog


TRzSelDirDialog.Directory

Declaration
property Directory: string;

__property AnsiString Directory

Description

Use this property to specify the initial directory displayed in a TRzSelDirDialog component. After the dialog box is closed, this property contains the directory selected by the user.


Raize Components 6

TRzSelDirDialog.Directory Example
TRzSelDirDialog


TRzSelDirDialog.DriveTypes

Declaration
property DriveTypes: TDriveTypes;

__property Rzfilsys::TDriveTypes DriveTypes

Description

This set property allows you to select which types of drives will show up in the list.


Raize Components 6

TRzSelDirDialog.DriveTypes Example
TRzSelDirDialog


TRzSelDirDialog.Execute
TRzSelDirDialog Methods

Declaration
function Execute: Boolean;

DYNAMIC bool __fastcall Execute(void)

Description

Displays the corresponding dialog box associated with the component. If the user presses the OK button in the dialog box, the Execute method returns True. If the user presses the Cancel button or closes the dialog box, the Execute method returns False.


Raize Components 6

TRzSelDirDialog.Execute Example
TRzSelDirDialog


Raize Components 6

TRzSelDirDialog Methods
TRzSelDirDialog

Public
Execute


TRzSelDirDialog.NetworkVolumeFormat

Declaration
property NetworkVolumeFormat: TNetworkVolumeFormat default nvfExplorer;

__property Rzfilsys::TNetworkVolumeFormat NetworkVolumeFormat

Description

This property determines how volume names for network drive mappings appear in the directory tree. Specifically, the possible values are nvfExplorer (the defalut), nvfUNC, and nvfVolumeOnly.

Value Description

nvfExplorer Volumes appear in the same format as Windows Explorer (eg. System on 'Comp1' (K:) ).

nvfUNC UNC naming convention is used (eg. (K:) ).

nvfVolumeOnly Only the volume name is displayed (eg. System (K:) ).


Raize Components 6

TRzSelDirDialog.NetworkVolumeFormat Example
TRzSelDirDialog


TRzSelDirDialog.OpenCurrentDir

Declaration
property OpenCurrentDir: Boolean default False;

__property bool OpenCurrentDir

Description

When this property is set to True, the current directory is automatically selected in the directory tree. When this property is set to False (the default), the root directory of the current drive is selected.


Raize Components 6

TRzSelDirDialog.OpenCurrentDir Example
TRzSelDirDialog


TRzSelDirDialog.Prompt

Declaration
property Prompt: string;

__property AnsiString Prompt

Description

Use this property to specify the string placed above the edit field in the lookup dialog components. This strings prompts the user what to enter.


Raize Components 6

TRzSelDirDialog.Prompt Example
TRzSelDirDialog


TRzSelDirDialog.PromptFolders

Declaration
property PromptFolders: string;

__property AnsiString PromptFolders

Description

This property allows you to customize the prompt use to identify the Directory tree view in the dialog.


Raize Components 6

TRzSelDirDialog.PromptFolders Example
TRzSelDirDialog


Raize Components 6

TRzSelDirDialog Properties
TRzSelDirDialog

Public
About
AllowCreate
AutoSelect
BorderStyle
ButtonGlyphs
Caption
CaptionCancel
CaptionHelp
CaptionOK
ChangeCurrentDir
Directory
DriveTypes
Font
FrameColor
FrameStyle
FrameVisible
FramingPreference
Height
HelpContext
NetworkVolumeFormat
OpenCurrentDir
Prompt
PromptFolders
Width


RzShellCtrls

RzShellCtrls File
List of Units

Unit Classes

TRzCustomShellCombo | TRzCustomShellCombo is the base class for all Shell combo controls in Raize Components.
TRzCustomShellList | TRzCustomShellList is the base class for all Shell list controls in Raize Components.
TRzCustomShellTree | TRzCustomShellTree is the base class for all Shell tree controls in Raize Components.
TRzShAddItemEvent |
TRzShComboDeleteItemEvent |
TRzShDblClickOpenEvent |
TRzShellCombo | TRzShellCombo is a specialized combo box for selecting folders in the shell namespace.
TRzShellComboData |
TRzShellComboOption |
TRzShellComboOptions |
TRzShellList | TRzShellList is a specialized list view for displaying the contents of a shell folder.
TRzShellListData |
TRzShellListOption |
TRzShellListOptions |
TRzShellLocator |
TRzShellTree | TRzShellTree is a specialized tree view for navigating through the shell namespace.
TRzShellTreeData |
TRzShellTreeOption |
TRzShellTreeOptions |
TRzShListDeleteItemEvent |
TRzShPopupHintEvent |
TRzShTreeDeleteItemEvent |
TRzShTreeInsertItemEvent |


TRzCustomShellCombo

TRzCustomShellCombo is the base class for all Shell combo controls in Raize Components.

Description

Do not create instances of TRzCustomShellCombo--use TRzShellCombo .


TRzCustomShellCombo.AutoDropDownCount

Determines if drop down list is sized according to the number of items.

Declaration
property AutoDropDownCount: Boolean default True;

__property bool AutoDropDownCount

Description

When true, the control automatically sizes the dropdown list to be the either the number of items in the list, or the maximum number of items that can fit on the screen below the combo control itself, whichever is fewer.


Raize Components 6

TRzCustomShellCombo.AutoDropDownCount Example
TRzCustomShellCombo


TRzCustomShellCombo.FillItems

Adds items to the combo box.

Declaration
procedure FillItems;

void __fastcall FillItems(void)

Description

FillItems adds items to the combobox. You must call FillItems at least once for the combo to function. If ptscoAutoFill is in the Options property then FillItems is automatically called once before the combo becomes visible.


Raize Components 6

TRzCustomShellCombo.FillItems Example
TRzCustomShellCombo


TRzCustomShellCombo.GoUp

Move up one level in the hierarchy.

Declaration
procedure GoUp(Levels: Integer);

void __fastcall GoUp(int Levels)

Description

Calling this method moves the selected item back Levels in the hierarchy.

Levels must be greater than or equal to 1.

You can navigate to the top of the namespace with the following:

Delphi:

RzShellCombo1.SelectedFolder.IdList := nil;

C++Builder:

RzShellCombo1->SelectedFolder->IdList = NULL;


Raize Components 6

TRzCustomShellCombo.GoUp Example
TRzCustomShellCombo


Raize Components 6

TRzCustomShellCombo Methods
TRzCustomShellCombo

Public
FillItems
GoUp
Synchronize


TRzCustomShellCombo.Options

Determines behavior of shell combo box.

Declaration
property Options: TRzShellComboOptions default[scoAutofill, scoNonFilesystemAncestors];

__property TRzShellComboOptions Options

Description

Use Options to change the behavior and appearance of the Shell combo.


Raize Components 6

TRzCustomShellCombo.Options Example
TRzCustomShellCombo


Raize Components 6

TRzCustomShellCombo Properties
TRzCustomShellCombo

Protected
AutoDropDownCount
Options
SelectedFolder
ShellComboData
ShellList
ShellTree


TRzCustomShellCombo.SelectedFolder

Specifies selected folder.

Declaration
property SelectedFolder: TRzShellLocator;

__property TRzShellLocator *SelectedFolder

Description

Run time only. You can set this property to change the currently selected folder, or read it to retrieve the current selection information.


Raize Components 6

TRzCustomShellCombo.SelectedFolder Example
TRzCustomShellCombo


TRzCustomShellCombo.ShellComboData

Provides access to shell data associated with selected item.

Declaration
property ShellComboData[Index: Integer]: TRzShellComboData;

__property TRzShellComboData *ShellComboData[int Index]

Description

Run time and read only.

This property is simply a convenient way of accessing the TRzShellComboData object for a given tree node. The node is specified by index.

Equivalent code is:

Delphi:

Data := TObject(RzShellCombo1.Items[ idx ].Data) as TRzShellComboData;

C++Builder:

TRzShellComboData* data = dynamic_cast<TRzShellComboData*>(RzShellCombo1->Items[idx]->Data);

It's much more convenient to express it this way:

Delphi:

Data := RzShellCombo1.ShellComboData[ idx ];

C++Builder:

TRzShellComboData* data = RzShellCombo1->ShellComboData[idx];


Raize Components 6

TRzCustomShellCombo.ShellComboData Example
TRzCustomShellCombo


TRzCustomShellCombo.ShellList

Specifies associated TRzShellList control.

Declaration
property ShellList: TRzCustomShellList;

__property TRzCustomShellList *ShellList

Description

You can set the ShellList property to any TRzShellList control available on the same form. When set, the list and combo are synchronised.

You can set only one of ShellList and ShellTree. After setting ShellList, subsequent attempts to set ShellTree will be ignored. To clear the setting, set ShellList to nil.

If ShellList is set, the combo and list work together. To make all three controls (combo, tree and list) work together, you must set the ShellTree property of the combo and the ShellList property of the tree.


Raize Components 6

TRzCustomShellCombo.ShellList Example
TRzCustomShellCombo


TRzCustomShellCombo.ShellTree

Specifies associated TRzShellTree control.

Declaration
property ShellTree: TRzCustomShellTree;

__property TRzCustomShellTree *ShellTree

Description

You can set the ShellTree property to any TRzShellTree control available on the same form. When set, the tree and combo are synchronised.

You can set only one of ShellList and ShellTree. After setting ShellTree, subsequent attempts to set ShellList will be ignored. To clear the setting, set ShellTree to nil.

If ShellTree is set, the combo and tree work together. To make all three controls (combo, tree and list) work together, you must set the ShellTree property of the combo and the ShellList property of the tree.


Raize Components 6

TRzCustomShellCombo.ShellTree Example
TRzCustomShellCombo


TRzCustomShellCombo.Synchronize

Causes any pending updates to be immediately processed.

Declaration
procedure Synchronize(ApplyToGroup: Boolean);

void __fastcall Synchronize(bool ApplyToGroup)

Description

Calling this method causes any pending updates to be immediately processed.

If ApplyToGroup is false then this method only synchronises the control for which it is called. If ApplyToGroup is true then all associated controls are synchronised.

The following situations cause pending updates:

Using the cursor keys to move around a tree. The update of associated list and combo controls is delayed.

Detecting file system changes with dynamic refresh options. The update is delayed to improve performance, effectively batching changes until no additional changes have been made for the allotted time.


Raize Components 6

TRzCustomShellCombo.Synchronize Example
TRzCustomShellCombo


TRzCustomShellList

TRzCustomShellList is the base class for all Shell list controls in Raize Components.

Description

Do not create instances of TRzCustomShellList--use TRzShellList .


TRzCustomShellList.CreateNewFolder

Creates a new folder.

Declaration
function CreateNewFolder(EditNow: Boolean): Boolean;

bool __fastcall CreateNewFolder(bool EditNow)

Description

If possible, creates a new child folder of the currently selected tree node with the name "New Folder".

If EditNow is true then the new tree node immediately enters edit mode.

Returns true if the new folder was created successfully otherwise false.


Raize Components 6

TRzCustomShellList.CreateNewFolder Example
TRzCustomShellList


TRzCustomShellList.DoCommandForAllSelected

Declaration
procedure DoCommandForAllSelected(Cmd: PChar);

void __fastcall DoCommandForAllSelected(char *Cmd)

Description

Perform a string-based command for all the selected items.

For more information see Folder command strings .


Raize Components 6

TRzCustomShellList.DoCommandForAllSelected Example
TRzCustomShellList


TRzCustomShellList.DoCommandForFolder

Declaration
procedure DoCommandForFolder(Cmd: PChar);

void __fastcall DoCommandForFolder(char *Cmd)

Description

Perform a string-based command for the current folder. The current folder is the parent of the items in the list control.

For more information see Folder command strings .


Raize Components 6

TRzCustomShellList.DoCommandForFolder Example
TRzCustomShellList


TRzCustomShellList.DoCommandForItem

Declaration
procedure DoCommandForItem(Item: TListItem; Cmd: PChar);

void __fastcall DoCommandForItem(Comctrls::TListItem *Item, char *Cmd)

Description

Perform a string-based command for the given list item.

For more information see Folder command strings .


Raize Components 6

TRzCustomShellList.DoCommandForItem Example
TRzCustomShellList


Raize Components 6

TRzCustomShellList Events
TRzCustomShellList

Public
OnAddItem
OnDblClickOpen
OnDeleteItem
OnFillComplete
OnFillStart
OnFolderChanged
OnPopupHint

Protected
OnAddItem
OnDblClickOpen
OnDeleteItem
OnFillComplete
OnFillStart
OnFolderChanged
OnPopupHint


TRzCustomShellList.FileFilter

Determines which file types are displayed.

Declaration
property FileFilter: string;

__property AnsiString FileFilter

Description

The Filter property specifies the file masks used in determining which files are displayed in the shell list control. A file mask or file filter is a file name that usually includes wildcard characters (*.PAS, for example). Only files that match the selected file filter are displayed in the list. To specify a file filter, assign a filter string as the value of FileFilter.

Multiple filters can be used by applying semicolon ( ; ) delimiters.


Raize Components 6

TRzCustomShellList.FileFilter Example
TRzCustomShellList


TRzCustomShellList.FillItems

Clears the list and then adds items.

Declaration
procedure FillItems;

void __fastcall FillItems(void)

Description

FillItems clears the list and then adds items. You must call FillItems at least once for the list to function. If sloAutoFill is in the Options property then FillItems is automatically called once before the list becomes visible.

You can call FillItems at any time to have all the items in the list cleared and re-added. It is generally preferable to call RefreshNodes to update an already filled list to reflect changes.


Raize Components 6

TRzCustomShellList.FillItems Example
TRzCustomShellList


TRzCustomShellList.Folder

Identifies current folder.

Declaration
property Folder: TRzShellLocator stored IsFolderStored;

__property TRzShellLocator *Folder

Description

This property identifies the current folder for the shell list control. Set this property to change the current folder, or read it to determine the current folder.

Examples

1. Set the current folder to a pathname.

Delphi:

RzShellList1.Folder.PathName := 'C:�par C++Builder:

Rz ShellList1->Folder->PathName = "C:

2. Set the current folder to the control panel folder.

Delphi:

Rz ShellList1.Folder.CSIDL := csidlControls;

C++Builder:

Rz ShellList1->Folder->CSIDL = csidlControls;

3. Display the current folder.

Delphi:

ShowMessage( 'The current folder is '+ Rz ShellList1.Folder.PathName );

C++Builder:

ShowMessage( AnsiString("The current folder is") + Rz ShellList1->Folder->PathName );


Raize Components 6

TRzCustomShellList.Folder Example
TRzCustomShellList


TRzCustomShellList.GetDataFromItem

Returns the TRzShellListData object associated with the given list item.

Declaration
function GetDataFromItem(Item: TListItem): TRzShellListData;

TRzShellListData *__fastcall GetDataFromItem(Comctrls::TListItem *Item)

Description

Returns the TRzShellListData object associated with the given list item. This is simply a convenient wrapper around the following code:

Delphi:

result := TObject(item.Data) as TPTShListData;

C++Builder:

return dynamic_cast<TPTShListData*>((TObject*)(item.Data));


Raize Components 6

TRzCustomShellList.GetDataFromItem Example
TRzCustomShellList


TRzCustomShellList.GoUp

Move up one level in the hierarchy.

Declaration
procedure GoUp(Levels: Integer);

void __fastcall GoUp(int Levels)

Description

Calling this method moves the selected item back Levels in the hierarchy.

Levels must be greater than or equal to 1.

You can navigate to the top of the namespace with the following:

Delphi:

RzShellCombo1.SelectedFolder.IdList := nil;

C++Builder:

RzShellCombo1->SelectedFolder->IdList = NULL;


Raize Components 6

TRzCustomShellList.GoUp Example
TRzCustomShellList


Raize Components 6

TRzCustomShellList Methods
TRzCustomShellList

Public
CreateNewFolder
DoCommandForAllSelected
DoCommandForFolder
DoCommandForItem
FillItems
GetDataFromItem
GoUp
OpenItem
OpenSelectedItems
ProcessMenu
ProcessMenuForAllSelected
RefreshItems
SelectAll
Synchronize


TRzCustomShellList.OnAddItem

Occurs when an item is added to the tree.

Declaration
property OnAddItem: TRzShAddItemEvent;

__property TRzShAddItemEvent OnAddItem

Description

This event is called for each item added to the tree. Your handler can reject an item by setting the AllowAdd parameter to false.

See the example for TRzShellTree.OnAddItem for more information.


Raize Components 6

TRzCustomShellList.OnAddItem Example
TRzCustomShellList


TRzCustomShellList.OnDblClickOpen

Occurs just before an item is double-clicked.

Declaration
property OnDblClickOpen: TRzShDblClickOpenEvent;

__property TRzShDblClickOpenEvent OnDblClickOpen

Description

This event is called just before double-click (or Enter key) processing is performed on a list item or items. It is not called when the user double-clicks a folder or a link to a folder.

The default behaviour when a non-folder, non-link to folder item is double-clicked is to perform the default menu item action on that item (edit for .txt files, execute for .exe files etc.). By responding to this event you can change that behaviour.

For example, the TRzOpenDialog and TRzSaveDialog components use this event to make double-click select the item and end the dialog.

To prevent the default action, set afHandled to true. To allow the default action, leave afHandled unchanged or assign it to false.


Raize Components 6

TRzCustomShellList.OnDblClickOpen Example
TRzCustomShellList


TRzCustomShellList.OnDeleteItem

Occurs when an item is deleted.

Declaration
property OnDeleteItem: TRzShListDeleteItemEvent;

__property TRzShListDeleteItemEvent OnDeleteItem

Description

This event is called immediately before each item of the list is deleted. If you have stored any data with the item, this is your last chance to delete it.


Raize Components 6

TRzCustomShellList.OnDeleteItem Example
TRzCustomShellList


TRzCustomShellList.OnFillComplete

Occurs when all appropriate items are added.

Declaration
property OnFillComplete: TNotifyEvent;

__property Classes::TNotifyEvent OnFillComplete

Description

This event is called after the items in the control have been added (see TRzShellList.FillItems, TRzShellTree.FillItems, TRzShellList.RefreshItems and TRzShellTree.RefreshNodes). For TRzShellTree controls, this includes when a node is expanded for the first time. For TRzShellList controls this is normally only when the control changes to view another folder.


Raize Components 6

TRzCustomShellList.OnFillComplete Example
TRzCustomShellList


TRzCustomShellList.OnFillStart

Occurs when new items are about to be added.

Declaration
property OnFillStart: TNotifyEvent;

__property Classes::TNotifyEvent OnFillStart

Description

This event is called just before the items in the control are to be added (see TRzShellList.FillItems, TRzShellTree.FillItems, TRzShellList.RefreshItems and TRzShellTree.RefreshNodes). For TRzShellTree controls, this includes when a node is expanded for the first time. For TRzShellList controls this is normally only when the control changes to view another folder.


Raize Components 6

TRzCustomShellList.OnFillStart Example
TRzCustomShellList


TRzCustomShellList.OnFolderChanged

Occurs when the user changes directories.

Declaration
property OnFolderChanged: TNotifyEvent;

__property Classes::TNotifyEvent OnFolderChanged

Description

The OnFolderChanged event occurs when the user changes the directory that is displayed in the list view. This can happen when the user double-clicks on a directory, clicks the Up button, or uses the combo box or tree view to navigate through the directory structure.

This event also fires if the folder is changed via code.


Raize Components 6

TRzCustomShellList.OnFolderChanged Example
TRzCustomShellList


TRzCustomShellList.OnPopupHint

Occurs when a hint is about to be displayed for an item.

Declaration
property OnPopupHint: TRzShPopupHintEvent;

__property TRzShPopupHintEvent OnPopupHint

Description

Hint text is generated as the user navigates context menus for tree and list items. As each hint is produced, this event is called.

A typical OnPopupHint event handler would simply assign the hint string to the Application.Hint property.


Raize Components 6

TRzCustomShellList.OnPopupHint Example
TRzCustomShellList


TRzCustomShellList.OpenItem

Opens item if not a folder. If a folder, then navigates to it.

Declaration
procedure OpenItem(Item: TListItem);

void __fastcall OpenItem(Comctrls::TListItem *Item)

Description

If aNode is a folder then it is assigned to the list's Folder property and the list refilled. If aNode is not a folder then the default menu item action is performed on that item.


Raize Components 6

TRzCustomShellList.OpenItem Example
TRzCustomShellList


TRzCustomShellList.OpenSelectedItems

Performs the default menu item action on all the selected items.

Declaration
procedure OpenSelectedItems;

void __fastcall OpenSelectedItems(void)

Description

Performs the default menu item action on all the selected items. If no items are selected, nothing happens.


Raize Components 6

TRzCustomShellList.OpenSelectedItems Example
TRzCustomShellList


TRzCustomShellList.Options

Use Options to change the behavior and appearance of the Shell list.

Declaration
property Options: TRzShellListOptions default[sloAutofill, sloNonFilesystemAncestors, sloDefaultKeyHandling, sloContextMenus, sloDynamicRefresh, sloOleDrag, sloOleDrop, sloFolderContextMenu, sloShowHidden];

__property TRzShellListOptions Options

Description

Use Options to change the behavior and appearance of the Shell list.


Raize Components 6

TRzCustomShellList.Options Example
TRzCustomShellList


TRzCustomShellList.ProcessMenu

Creates, displays and processes hints and selection for the context menu of the given item.

Declaration
procedure ProcessMenu(Item: TListItem; Pt: TPoint);

void __fastcall ProcessMenu(Comctrls::TListItem *Item, const Types::TPoint & Pt)

Description

Creates, displays and processes hints and selection for the context menu of the given item. The menu is placed left aligned at the screen coordinate specified by the at parameter.


Raize Components 6

TRzCustomShellList.ProcessMenu Example
TRzCustomShellList


TRzCustomShellList.ProcessMenuForAllSelected

Creates, displays and processes the context menu for all the currently selected items.

Declaration
procedure ProcessMenuForAllSelected(Pt: TPoint);

void __fastcall ProcessMenuForAllSelected(const Types::TPoint & Pt)

Description

Creates, displays and processes the context menu for all the currently selected items. at is the top left pixel coordinate of the popup menu in screen coordinates.


Raize Components 6

TRzCustomShellList.ProcessMenuForAllSelected Example
TRzCustomShellList


Raize Components 6

TRzCustomShellList Properties
TRzCustomShellList

Protected
FileFilter
Folder
Options
SelectedItem
ShellListData
SortColumn


TRzCustomShellList.RefreshItems

Every item in the list is checked to see if it still exists (if it doesn't it is removed from the list) or if it new items are present (added to the list).

Declaration
procedure RefreshItems;

void __fastcall RefreshItems(void)

Description

This method works on an already populated list. Every item in the list is checked to see if it still exists (if it doesn't it is removed from the list) or if it new items are present (added to the list). This is the preferred method to update the list because it does not unnecessarily refresh any items or erase the user's selection state. Use this method in preference to FillItems which does erase the selection state.


Raize Components 6

TRzCustomShellList.RefreshItems Example
TRzCustomShellList


TRzCustomShellList.SelectAll

Selects all the list items.

Declaration
procedure SelectAll;

virtual void __fastcall SelectAll(void)

Description

Selects all the list items.


Raize Components 6

TRzCustomShellList.SelectAll Example
TRzCustomShellList


TRzCustomShellList.SelectedItem

Returns the data object describing the currently selected item in a single selection list.

Declaration
property SelectedItem: TRzShellListData;

__property TRzShellListData *SelectedItem

Description

Run-time and read only. Returns the data object describing the currently selected item in a single selection list. If there is no currently selected item, the property is nil.


Raize Components 6

TRzCustomShellList.SelectedItem Example
TRzCustomShellList


TRzCustomShellList.ShellListData

This property is simply a convenient way of accessing the TRzShellListData object for a given list item.

Declaration
property ShellListData[Index: Integer]: TRzShellListData;

__property TRzShellListData *ShellListData[int Index]

Description

Run time and read only.

This property is simply a convenient way of accessing the TRzShellListData object for a given list item. The item is specified by index.

Equivalent code is:

Delphi:

Data := TObject(RzShellList1.Items[ idx ].Data) as TRzShellListData;

C++Builder:

TRzShellListData* data = dynamic_cast<TRzShellListData*>(RzShellList1->Items[idx]->Data);

It is much more convenient this way:

Delphi:

data := RzShellList1.ShellListData[ idx ];

C++Builder:

TRzShellListData* data = RzShellList1->ShellListData[ idx ];


Raize Components 6

TRzCustomShellList.ShellListData Example
TRzCustomShellList


TRzCustomShellList.SortColumn

Specifies column to be used for sorting.

Declaration
property SortColumn: Integer;

__property int SortColumn

Description

Run-time only. One based index of the column in details view currently used to sort the items.

Negative values indicate a reverse sort order, so a value of -1 would mean the first column in reverse order for example.

Zero (0) is used to indicate a custom sort order. When SortColumn = 0, the OnCompare event is called to determine the sort order. You can use the GetDataFromItem method to convert the TListItem parameters into TRzShellListData objects.


Raize Components 6

TRzCustomShellList.SortColumn Example
TRzCustomShellList


TRzCustomShellList.Synchronize

Causes any pending updates to be immediately processed.

Declaration
procedure Synchronize(ApplyToGroup: Boolean);

void __fastcall Synchronize(bool ApplyToGroup)

Description

Calling this method causes any pending updates to be immediately processed.

If ApplyToGroup is false then this method only synchronises the control for which it is called. If ApplyToGroup is true then all associated controls are synchronised.

The following situations cause pending updates:

Using the cursor keys to move around a tree. The update of associated list and combo controls is delayed.

Detecting file system changes with dynamic refresh options. The update is delayed to improve performance, effectively batching changes until no additional changes have been made for the allotted time.


Raize Components 6

TRzCustomShellList.Synchronize Example
TRzCustomShellList


TRzCustomShellTree

TRzCustomShellTree is the base class for all Shell tree controls in Raize Components.

Description

Do not create instances of TRzCustomShellTree--use TRzShellTree .


TRzCustomShellTree.BaseFolder

Specifies the root node of the tree.

Declaration
property BaseFolder: TRzShellLocator;

__property TRzShellLocator *BaseFolder

Description

Use this property to set the root node of the tree.


Raize Components 6

TRzCustomShellTree.BaseFolder Example
TRzCustomShellTree


TRzCustomShellTree.CreateNewFolder

Creates a new folder.

Declaration
function CreateNewFolder(EditNow: Boolean): Boolean;

bool __fastcall CreateNewFolder(bool EditNow)

Description

If possible, creates a new child folder of the currently selected tree node with the name "New Folder".

If EditNow is true then the new tree node immediately enters edit mode.

Returns true if the new folder was created successfully, otherwise false.


Raize Components 6

TRzCustomShellTree.CreateNewFolder Example
TRzCustomShellTree


TRzCustomShellTree.DoCommandForNode

Declaration
function DoCommandForNode(Node: TTreeNode; Cmd: PChar): HResult;

HRESULT __fastcall DoCommandForNode(Comctrls::TTreeNode *Node, char *Cmd)

Description

Perform a string-based command for the given tree node. For more information see Folder command strings .


Raize Components 6

TRzCustomShellTree.DoCommandForNode Example
TRzCustomShellTree


Raize Components 6

TRzCustomShellTree Events
TRzCustomShellTree

Public
OnAddItem
OnDeleteItem
OnFillComplete
OnFillStart
OnInsertItem
OnPopupHint

Protected
OnAddItem
OnDeleteItem
OnFillComplete
OnFillStart
OnInsertItem
OnPopupHint


TRzCustomShellTree.FillItems

Clears the list and then adds items.

Declaration
procedure FillItems;

void __fastcall FillItems(void)

Description

FillItems adds nodes to the tree. You must call FillItems at least once for the tree to function. If stoAutoFill is in the Options property then FillItems is automatically called once before the tree becomes visible.

You can call FillItems at any time to have all the nodes in the tree cleared and re-added. All open nodes will be collapsed after a call to FillItems. It is generally preferable to call RefreshNodes to update an already filled tree to reflect changes.


Raize Components 6

TRzCustomShellTree.FillItems Example
TRzCustomShellTree


TRzCustomShellTree.FindNodeWithIdList

Searches the children of baseNode for an element with a relative item id list of idList.

Declaration
function FindNodeWithIdList(BaseNode: TTreeNode; pidl: PItemIdList): TTreeNode;

Comctrls::TTreeNode *__fastcall FindNodeWithIdList(Comctrls::TTreeNode *BaseNode, Shlobj::PItemIDList pidl)

Description

Searches the children of baseNode for an element with a relative item id list of idList. If found, the tree node is returned otherwise nil is returned.


Raize Components 6

TRzCustomShellTree.FindNodeWithIdList Example
TRzCustomShellTree


TRzCustomShellTree.GetDataFromNode

Returns the TRzShellListData object associated with the given node.

Declaration
function GetDataFromNode(Node: TTreeNode): TRzShellTreeData;

TRzShellTreeData *__fastcall GetDataFromNode(Comctrls::TTreeNode *Node)

Description

Returns the TRzShellTreeData object associated with the given tree node. This is simply a convenient wrapper around the following code:

Delphi:

Result := TObject(node.Data) as TRzShellTreeData;

C++Builder:

return dynamic_cast<TRzShellTreeData*>(node->Data);


Raize Components 6

TRzCustomShellTree.GetDataFromNode Example
TRzCustomShellTree


TRzCustomShellTree.GoUp

Move up one level in the hierarchy.

Declaration
procedure GoUp(Levels: Integer);

void __fastcall GoUp(int Levels)

Description

Calling this method moves the selected item back Levels in the hierarchy.

Levels must be greater than or equal to 1.

You can navigate to the top of the namespace with the following:

Delphi:

RzShellCombo1.SelectedFolder.IdList := nil;

C++Builder:

RzShellCombo1->SelectedFolder->IdList = NULL;


Raize Components 6

TRzCustomShellTree.GoUp Example
TRzCustomShellTree


Raize Components 6

TRzCustomShellTree Methods
TRzCustomShellTree

Public
CreateNewFolder
DoCommandForNode
FillItems
FindNodeWithIdList
GetDataFromNode
GoUp
RefreshNodes
SortNode
Synchronize


TRzCustomShellTree.OnAddItem

Occurs when an item is added to tree.

Declaration
property OnAddItem: TRzShAddItemEvent;

__property TRzShAddItemEvent OnAddItem

Description

This event is called for each item added to the tree. Your handler can reject an item by setting the aAllowAdd parameter to false.


Raize Components 6

TRzCustomShellTree.OnAddItem Example
TRzCustomShellTree


TRzCustomShellTree.OnDeleteItem

Occurs when item is deleted.

Declaration
property OnDeleteItem: TRzShTreeDeleteItemEvent;

__property TRzShTreeDeleteItemEvent OnDeleteItem

Description

This event is called immediately before each node of the tree is deleted. If you have stored any data with the node, this is your last chance to delete it.


Raize Components 6

TRzCustomShellTree.OnDeleteItem Example
TRzCustomShellTree


TRzCustomShellTree.OnFillComplete

Occurs when all appropriate items are added.

Declaration
property OnFillComplete: TNotifyEvent;

__property Classes::TNotifyEvent OnFillComplete

Description

This event is called after the items in the control have been added (see TRzShellList.FillItems, TRzShellTree.FillItems, TRzShellList.RefreshItems and TRzShellTree.RefreshNodes). For TRzShellTree controls, this includes when a node is expanded for the first time. For TRzShellList controls this is normally only when the control changes to view another folder.


Raize Components 6

TRzCustomShellTree.OnFillComplete Example
TRzCustomShellTree


TRzCustomShellTree.OnFillStart

Occurs when new items are about to be added.

Declaration
property OnFillStart: TNotifyEvent;

__property Classes::TNotifyEvent OnFillStart

Description

This event is called before a fill or refresh operation commences. For TRzShellTree controls, this includes when a node is expanded for the first time.


Raize Components 6

TRzCustomShellTree.OnFillStart Example
TRzCustomShellTree


TRzCustomShellTree.OnInsertItem

Occurs after a node is added to the tree.

Declaration
property OnInsertItem: TRzShTreeInsertItemEvent;

__property TRzShTreeInsertItemEvent OnInsertItem

Description

This event is called after each node is added to the tree.


Raize Components 6

TRzCustomShellTree.OnInsertItem Example
TRzCustomShellTree


TRzCustomShellTree.OnPopupHint

Occurs when a hint is about to be displayed for an item.

Declaration
property OnPopupHint: TRzShPopupHintEvent;

__property TRzShPopupHintEvent OnPopupHint

Description

Hint text is generated as the user navigates context menus for tree and list items. As each hint is produced, this event is called.

A typical OnPopupHint event handler would simply assign the hint string to the Application.Hint property.


Raize Components 6

TRzCustomShellTree.OnPopupHint Example
TRzCustomShellTree


TRzCustomShellTree.Options

Determines the behavior of the shell tree.

Declaration
property Options: TRzShellTreeOptions default[stoAutoFill, stoVirtualFolders, stoDefaultKeyHandling, stoContextMenus, stoDynamicRefresh, stoOleDrag, stoOleDrop, stoShowHidden];

__property TRzShellTreeOptions Options

Description

Use Options to change the behavior and appearance of the Shell tree.


Raize Components 6

TRzCustomShellTree.Options Example
TRzCustomShellTree


Raize Components 6

TRzCustomShellTree Properties
TRzCustomShellTree

Public
Height
Width

Protected
BaseFolder
Options
SelectedFolder
SelectedItem
SelectedPathName
ShellList
ShellTreeData


TRzCustomShellTree.RefreshNodes

Every node in the tree is checked to see if it still exists (if it doesn't it is removed from the tree) or if it has new children (added to the tree).

Declaration
procedure RefreshNodes;

void __fastcall RefreshNodes(void)

Description

This method works on an already populated tree. Every node in the tree is checked to see if it still exists (if it doesn't it is removed from the tree) or if it has new children (added to the tree). This is the preferred method to update the tree because it does not unnecessarily collapse any tree nodes. Use this method in preference to FillItems which does collapse the tree.


Raize Components 6

TRzCustomShellTree.RefreshNodes Example
TRzCustomShellTree


TRzCustomShellTree.SelectedFolder

Specifies the selected folder.

Declaration
property SelectedFolder: TRzShellLocator;

__property TRzShellLocator *SelectedFolder

Description

Run time only. This property allows selection and retrieval of the selected shell folder using the convenient TRzShellLocator class.

If you don't care about item id lists, you can use the SelectedPathName property instead.


Raize Components 6

TRzCustomShellTree.SelectedFolder Example
TRzCustomShellTree


TRzCustomShellTree.SelectedItem

Returns the data object describing the currently selected node in the tree.

Declaration
property SelectedItem: TRzShellTreeData;

__property TRzShellTreeData *SelectedItem

Description

Run-time and read only. Returns the data object describing the currently selected node in the tree. If there is no currently selected node, the property is nil.


Raize Components 6

TRzCustomShellTree.SelectedItem Example
TRzCustomShellTree


TRzCustomShellTree.SelectedPathName

Specifies the selected path.

Declaration
property SelectedPathName: string;

__property AnsiString SelectedPathName

Description

Run time only. This property is the pathname of the selected item. If the item is not part of the filesystem, this property will be an empty string.

When assigning to SelectedPathName, if the folder is not found an exception will be raised.


Raize Components 6

TRzCustomShellTree.SelectedPathName Example
TRzCustomShellTree


TRzCustomShellTree.ShellList

Specifies associated TRzShellList control.

Declaration
property ShellList: TRzCustomShellList;

__property TRzCustomShellList *ShellList

Description

You can set the ShellList property to any TRzShellList control available on the same form. When set, the list and tree are synchronised.


Raize Components 6

TRzCustomShellTree.ShellList Example
TRzCustomShellTree


TRzCustomShellTree.ShellTreeData

This property is simply a convenient way of accessing the TPTShTreeData object for a given tree node

Declaration
property ShellTreeData[Index: Integer]: TRzShellTreeData;

__property TRzShellTreeData *ShellTreeData[int Index]

Description

Run time and read only.

This property is simply a convenient way of accessing the TPTShTreeData object for a given tree node. The node is specified by index.

Equivalent code is:

Delphi:

data := TObject(RzShellTree1.Items[ idx ].Data) as TRzShellTreeData;

C++Builder:

TRzShellTreeData* data = dynamic_cast<TRzShellTreeData*>(RzShellTree1->Items[idx]->Data);

It's much more convenient to express it this way:

Delphi:

data := RzShellTree1.ShellTreeData[ idx ];

C++Builder:

TRzShellTreeData* data = RzShellTree1->ShellTreeData[idx];


Raize Components 6

TRzCustomShellTree.ShellTreeData Example
TRzCustomShellTree


TRzCustomShellTree.SortNode

Sorts the given node according to standard shell sorting order.

Declaration
procedure SortNode(Node: TTreeNode);

void __fastcall SortNode(Comctrls::TTreeNode *Node)

Description

Sorts the given node according to standard shell sorting order.

If Node is nil then the whole tree is sorted.


Raize Components 6

TRzCustomShellTree.SortNode Example
TRzCustomShellTree


TRzCustomShellTree.Synchronize

Causes any pending updates to be immediately processed.

Declaration
procedure Synchronize(afApplyToGroup: Boolean);

void __fastcall Synchronize(bool afApplyToGroup)

Description

Calling this method causes any pending updates to be immediately processed.

If ApplyToGroup is false then this method only synchronises the control for which it is called. If ApplyToGroup is true then all associated controls are synchronised.

The following situations cause pending updates:

Using the cursor keys to move around a tree. The update of associated list and combo controls is delayed.

Detecting file system changes with dynamic refresh options. The update is delayed to improve performance, effectively batching changes until no additional changes have been made for the allotted time.


Raize Components 6

TRzCustomShellTree.Synchronize Example
TRzCustomShellTree


TRzShAddItemEvent

Unit
RzShellCtrls

Declaration
TRzShAddItemEvent=procedure(Sender: TObject; ParentIShf: IShellFolder_NRC; ParentAbsIdList: PItemIdList; ItemRelIdList: PItemIdList; Attribs: Integer; var AllowAdd: Bool) of object;

typedef void __fastcall(__closure *TRzShAddItemEvent)(System::TObject *Sender, Rzshellintf::IShellFolder_NRC *ParentIShf, Shlobj::PItemIDList ParentAbsIdList, Shlobj::PItemIDList ItemRelIdList, int Attribs, BOOL & AllowAdd);

Description

.


TRzShComboDeleteItemEvent

Unit
RzShellCtrls

Declaration
TRzShComboDeleteItemEvent=procedure(Sender: TObject; Item: Integer; ComboData: TRzShellComboData) of object;

typedef void __fastcall(__closure *TRzShComboDeleteItemEvent)(System::TObject *Sender, int Item, TRzShellComboData *ComboData);

Description

.


TRzShDblClickOpenEvent

Unit
RzShellCtrls

Declaration
TRzShDblClickOpenEvent=procedure(Sender: TObject; var Handled: Boolean) of object;

typedef void __fastcall(__closure *TRzShDblClickOpenEvent)(System::TObject *Sender, bool & Handled);

Description

.


TRzShellCombo.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzShellCombo.About Example
TRzShellCombo


TRzShellComboData

Properties

Unit
RzShellCtrls

Description

This class handles data for each item of the TRzShellCombo component.


TRzShellComboData.AbsoluteIdList

Declaration
property AbsoluteIdList: PItemIdList;

__property Shlobj::PItemIDList AbsoluteIdList

Description

Read only. Returns the item id list for the item relative to the desktop. This particular id list is used in many other functions.

You do not need to free the returned id list. If you want to remember it (store it in a non-local variable) you must copy it - use the CopyIdList function for this purpose.


Raize Components 6

TRzShellComboData.AbsoluteIdList Example
TRzShellComboData


TRzShellComboData.ParentIdList

Declaration
property ParentIdList: PItemIdList;

__property Shlobj::PItemIDList ParentIdList

Description

Read only. Returns the absolute item id list of the parent folder of the combo item.

You do not need to free the returned id list. If you want to remember it (store it in a non-local variable) you must copy it - use the CopyIdList function for this purpose.


Raize Components 6

TRzShellComboData.ParentIdList Example
TRzShellComboData


TRzShellComboData.ParentIShf

Declaration
property ParentIShf: IShellFolder_NRC;

__property Rzshellintf::IShellFolder_NRC *ParentIShf

Description

Read only. The IShellFolder interface for the parent of this combo item. For the desktop node, this property is nil.


Raize Components 6

TRzShellComboData.ParentIShf Example
TRzShellComboData


Raize Components 6

TRzShellComboData Properties
TRzShellComboData

Public
AbsoluteIdList
ParentIdList
ParentIShf
RelativeIdList


TRzShellComboData.RelativeIdList

Declaration
property RelativeIdList: PItemIdList;

__property Shlobj::PItemIDList RelativeIdList

Description

Read only. This property returns the item id list of the item, relative to the item's parent folder. You do not need to free the returned item. If you want to keep it, you should copy it with CopyIdList.


Raize Components 6

TRzShellComboData.RelativeIdList Example
TRzShellComboData


Raize Components 6

TRzShellCombo Events
TRzShellCombo

Public


TRzShellComboOption

Unit
RzShellCtrls

Declaration
TRzShellComboOption=(scoAutofill, scoNonFilesystemAncestors);

enum TRzShellComboOption scoAutofill, scoNonFilesystemAncestors ;

Description

Value Meaning

scoAutofill When this option is set, the contents of the combo box are automatically initialised.

scoNonFilesystemAncestors When true items which are not part of the file system, and not parents of file system folders are automatically excluded from the list. Candidates for exclusion are Control Panel, Printers and Recycle bin for example. My Computer will not be excluded since it is the ancestor of file system items.


TRzShellComboOptions

Unit
RzShellCtrls

Declaration
TRzShellComboOptions=set of TRzShellComboOption;

Description

.


Raize Components 6

TRzShellCombo Properties
TRzShellCombo

Public
About
Anchors
AutoDropDownCount
BiDiMode
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
DropDownCount
DropDownWidth
Enabled
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
ImeMode
ImeName
ItemIndent
Options
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
SelectedFolder
ShellComboData
ShellList
ShellTree
ShowHint
Sorted
TabOrder
TabStop
Visible


TRzShellList.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzShellList.About Example
TRzShellList


TRzShellListData

Properties

Unit
RzShellCtrls

Description

This class handles data for each node of the TRzShellList component.


TRzShellListData.AbsoluteIdList

Declaration
property AbsoluteIdList: PItemIdList;

__property Shlobj::PItemIDList AbsoluteIdList

Description

Read only. Returns the item id list for the tree node relative to the desktop. This particular id list is used in many other functions.

You do not need to free the returned id list. If you want to remember it (store it in a non-local variable) you must copy it - use the CopyIdList function for this purpose.


Raize Components 6

TRzShellListData.AbsoluteIdList Example
TRzShellListData


TRzShellListData.Attributes

Declaration
property Attributes: DWORD;

__property unsigned Attributes

Description

Read only. Returns the raw SFGAO_ attributes for the folder. These attributes are cached by the TRzShellListData object.


Raize Components 6

TRzShellListData.Attributes Example
TRzShellListData


TRzShellListData.ColText

Declaration
property ColText[Col: Integer]: string;

__property AnsiString ColText[int Col]

Description

Read only. Returns the item's text for a particular column of the list control. If the column does not apply, it returns an empty string.


Raize Components 6

TRzShellListData.ColText Example
TRzShellListData


TRzShellListData.Data

Declaration
property Data: Pointer;

__property void *Data

Description

This property allows the user of the list to store extra data with each item. If you store a heap allocated structure or object with this pointer, you must ensure that it is freed in all instances by responding to the TRzShellList.OnDeleteItem event.


Raize Components 6

TRzShellListData.Data Example
TRzShellListData


TRzShellListData.DisplayName

Declaration
property DisplayName: string;

__property AnsiString DisplayName

Description

Read only. Returns the name of the item, suitable for displaying to the user. If the user has "hide extensions" on then the display name will not include extensions. This function can take some time to execute, especially if you call it for every item in a list of hundreds.


Raize Components 6

TRzShellListData.DisplayName Example
TRzShellListData


TRzShellListData.Editable

Declaration
property Editable: Boolean;

__property bool Editable

Description

Read only. This is not the same as the read-only file attribute. If property is true then this node is potentially editable. Read-only files are still 'editable'. Examples of nodes that are never editable are Desktop, My Computer, Network Neighborhood etc.


Raize Components 6

TRzShellListData.Editable Example
TRzShellListData


TRzShellListData.FileName

Declaration
property FileName: string;

__property AnsiString FileName

Description

Read only. Returns the file name of the selected item suitable for use with system functions. To present a name to the user you should not use the property, use DisplayName instead. Returns an empty string for non-filesystem items.


Raize Components 6

TRzShellListData.FileName Example
TRzShellListData


TRzShellListData.FileType

Declaration
property FileType: string;

__property AnsiString FileType

Description

Read only. Returns the description of the item.


Raize Components 6

TRzShellListData.FileType Example
TRzShellListData


TRzShellListData.Modified

Declaration
property Modified: string;

__property AnsiString Modified

Description

Read only. Returns an appropriately formatted date/time string of the last modified date/time of the item. If this property does not apply, it returns an empty string.


Raize Components 6

TRzShellListData.Modified Example
TRzShellListData


TRzShellListData.Owner

Declaration
property Owner: TRzCustomShellList;

__property TRzCustomShellList *Owner

Description

Read only. Returns the owner of the item.


Raize Components 6

TRzShellListData.Owner Example
TRzShellListData


TRzShellListData.PathName

Declaration
property PathName: string;

__property AnsiString PathName

Description

Read only. Returns the fully qualified path name of the item. Returns an empty string for non-filesystem items.


Raize Components 6

TRzShellListData.PathName Example
TRzShellListData


Raize Components 6

TRzShellListData Properties
TRzShellListData

Public
AbsoluteIdList
Attributes
ColText
Data
DisplayName
Editable
FileName
FileType
Modified
Owner
PathName
RelativeIdList
Size


TRzShellListData.RelativeIdList

Declaration
property RelativeIdList: PItemIdList;

__property Shlobj::PItemIDList RelativeIdList

Description

Read only. This property returns the item id list of the item, relative to the item's parent folder. You do not need to free the returned item. If you want to keep it, you should copy it with CopyIdList.


Raize Components 6

TRzShellListData.RelativeIdList Example
TRzShellListData


TRzShellListData.Size

Declaration
property Size: string;

__property AnsiString Size

Description

Read only. If the item has a size in bytes, this property returns the string as seen in Explorer's list view - such as "1KB". If this property does not apply, it returns an empty string. Note that Explorer's list view always shows amounts in KB, whereas other parts of the shell use bytes, KB, MB, GB and TB. This property only shows the KB amount.


Raize Components 6

TRzShellListData.Size Example
TRzShellListData


Raize Components 6

TRzShellList Events
TRzShellList

Public


TRzShellListOption

Unit
RzShellCtrls

Declaration
TRzShellListOption=(sloAutoFill, sloNonFilesystemAncestors, sloDesignInteractive, sloDefaultKeyHandling, sloContextMenus, sloDontChangeFolder, sloDontGoBelowBase, sloDynamicRefresh, sloHideFoldersWhenLinkedToTree, sloOleDrag, sloOleDrop, sloFolderContextMenu, sloShowHidden);

enum TRzShellListOption sloAutoFill, sloNonFilesystemAncestors, sloDesignInteractive, sloDefaultKeyHandling, sloContextMenus, sloDontChangeFolder, sloDontGoBelowBase, sloDynamicRefresh, sloHideFoldersWhenLinkedToTree, sloOleDrag, sloOleDrop, sloFolderContextMenu, sloShowHidden ;

Description

Value Meaning

sloAutoFill When this option is set, the contents of the list are automatically initialised.

sloNonFilesystemAncestors When false, items which are not part of the filesystem, and not parents of filesystem folders are automatically excluded from the list. Candidates for exclusion are Control Panel, Printers and Recycle bin for example. My Computer will not be excluded since it is the ancestor of filesystem items.

sloDesignInteractive This option only has effect at design time. When true, you can interact with the shell list control at design time. You can select items, navigate into folders etc. If you set this option true, some of Delphi's design time keyboard interface might not work.

sloDefaultKeyHandling Enables default keyboard processing. This includes such keys as Backspace, Enter, Ctrl+A (Select All), Ctrl+C (Copy) and Ctrl+X (Cut).

sloContextMenus Enables context menu processing. When set a right-click on a selected item or group of items will display a popup-menu.

sloDontChangeFolder When set, navigation is disabled. You cannot go into a folder, or go back to a parent folder.

sloDontGoBelowBase Only valid when the shell list control is used by itself - not linked to a shell combo and/or shell tree. Prevents the user navigating up past the folder specified in the BaseFolder property.

sloDynamicRefresh When true the list monitors changes to items in it's folder. When a change is detected the list is refreshed (a deliberate delay of 2 seconds is imposed between the detection of a change and the update of the list).

sloHideFoldersWhenLinkedToTree When this option is set true and the list control is linked to a shell tree control, file system folders are not shown in the list (like the way the open dialogs in Windows 3.1 worked). Obviously using this feature will make your interface non-standard, but some have argued why waste space showing the folders in the list when they are already visible in the tree?

sloOleDrag When true, the user can drag items out of the list onto other trees or lists or into other applications.

sloOleDrop When true, the user can drop items onto list item.

sloFolderContextMenu When this option is true, and the PopupMenu property is unassigned a default menu similar to Explorer's "no items are selected" menu is shown. This gives access to New Document functionality. Not implemented yet 7 Mar 98.

sloShowHidden When true, hidden and system files and folders are included in the list, otherwise they are excluded.


TRzShellListOptions

Unit
RzShellCtrls

Declaration
TRzShellListOptions=set of TRzShellListOption;

Description

.


Raize Components 6

TRzShellList Properties
TRzShellList

Public
About
Align
Anchors
BiDiMode
BorderStyle
BorderWidth
Checkboxes
Color
ColumnClick
Columns
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
Enabled
FileFilter
FlatScrollBars
FocusColor
Folder
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
FullDrag
GridLines
HeaderSortColumn
HeaderSortDirection
HeaderSortDisplayMode
HideSelection
HotTrack
HotTrackStyles
IconOptions
MultiSelect
Options
OwnerData
OwnerDraw
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
RowSelect
SelectedItem
ShellListData
ShowColumnHeaders
ShowHint
SortColumn
StateImages
TabOrder
TabStop
ViewStyle
Visible


TRzShellLocator

Unit
RzShellCtrls

Description

The TPTShellLocator class provides an easy to use encapsulation of the different ways a shell folder can be addressed.

There are three ways a shell folder can be specified. By item id list, pathname or system folder constant (CSIDL). This class performs automatic conversion between the different types, through its properties. You can use the TPTShellLocator class in much the same way as Variant variables are used.

For example, if you write a pathname, you can read an id list. If you write a CSIDL you can read a pathname. The only caveat is if you write an id list or pathname, you cannot meaningfully read CSIDL (it will return csidlNone).

Since TPTShellLocator class is derived from TPersistent it can be used as a published property of components.


TRzShellLocator.Clear

Declaration
procedure Clear;

void __fastcall Clear(void)

Description

Clears the folder addressed by the TRzShellLocator class. When cleared, the IdList property returns nil, the PathName property returns an empty string and the CSIDL property returns csidlNone.


Raize Components 6

TRzShellLocator.Clear Example
TRzShellLocator


TRzShellLocator.CSIDL

Declaration
property CSIDL: TCSIDL;

__property Rzshellutils::TCSIDL CSIDL

Description

When assigned sets the TRzShellLocator object to the specified system folder constant.

When read, the value depends on whether the CSIDL property was used to assign a system folder constant, or the IdList or PathName properties were used. If CSIDL was used then the returned value is the same as the assigned value. If IdList or PathName was used then csidlNone is returned.


Raize Components 6

TRzShellLocator.CSIDL Example
TRzShellLocator


Raize Components 6

TRzShellLocator Events
TRzShellLocator

Public
OnChange


TRzShellLocator.IdList

Declaration
property IdList: PItemIdList;

__property Shlobj::PItemIDList IdList

Description

Returns the item id list of the folder addressed by the TRzShellLocator object.


Raize Components 6

TRzShellLocator.IdList Example
TRzShellLocator


TRzShellLocator.IsEqual

Declaration
function IsEqual(Value: TRzShellLocator): Boolean;

bool __fastcall IsEqual(TRzShellLocator *Value)

Description

Returns True if the passed in object refers to the same namespace location as this object.


Raize Components 6

TRzShellLocator.IsEqual Example
TRzShellLocator


Raize Components 6

TRzShellLocator Methods
TRzShellLocator

Public
Clear
IsEqual


TRzShellLocator.OnChange
TRzShellLocator Events

Declaration
property OnChange: TNotifyEvent;

__property Classes::TNotifyEvent OnChange

Description

The OnChange event specifies which event handler should execute when the contents of the TRzShellLocator class changes.


Raize Components 6

TRzShellLocator.OnChange Example
TRzShellLocator


TRzShellLocator.PathName

Declaration
property PathName: string;

__property AnsiString PathName

Description

Returns the pathname of the folder addressed by the TRzShellLocator object. If the folder is not part of the file system an empty string is returned.


Raize Components 6

TRzShellLocator.PathName Example
TRzShellLocator


Raize Components 6

TRzShellLocator Properties
TRzShellLocator

Public
CSIDL
IdList
PathName


TRzShellTree.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzShellTree.About Example
TRzShellTree


TRzShellTreeData

Properties

Unit
RzShellCtrls

Description

This class handles data for each node of the TRzShellTree component. The TRzShellTree component stores one of these objects with each tree node in the TTreeNode.Data property. This means you should never write to the Data property of a TTreeNode in a TRzShellTree. You can however read that Data property, cast it to a TRzShellTreeData class and then use the following properties to access information about the node.

You do not need to free any of the item IDs returned by these properties.


TRzShellTreeData.AbsoluteIdList

Declaration
property AbsoluteIdList: PItemIdList;

__property Shlobj::PItemIDList AbsoluteIdList

Description

Read only. Returns the item id list for the tree node relative to the desktop. This particular id list is used in many other functions.

You do not need to free the returned id list. If you want to remember it (store it in a non-local variable) you must copy it - use the CopyIdList function for this purpose.


Raize Components 6

TRzShellTreeData.AbsoluteIdList Example
TRzShellTreeData


TRzShellTreeData.Data

Declaration
property Data: Pointer;

__property void *Data

Description

This property allows the user of the tree to store extra data with each node. If you store a heap allocated structure or object with this pointer, you must ensure that it is freed in all instances by responding to the TRzShellTree.OnDeleteItem event.


Raize Components 6

TRzShellTreeData.Data Example
TRzShellTreeData


TRzShellTreeData.Editable

Declaration
property Editable: Boolean;

__property bool Editable

Description

Read only. This is not the same as the read-only file attribute. If the property is true then this node is potentially editable. Read-only files are still 'editable'. Examples of nodes that are never editable are Desktop, My Computer, Network Neighborhood etc.


Raize Components 6

TRzShellTreeData.Editable Example
TRzShellTreeData


TRzShellTreeData.ParentIShf

Declaration
property ParentIShf: IShellFolder_NRC;

__property Rzshellintf::IShellFolder_NRC *ParentIShf

Description

Read only. The IShellFolder interface for the parent of the tree node. For the desktop node, this property is nil.


Raize Components 6

TRzShellTreeData.ParentIShf Example
TRzShellTreeData


TRzShellTreeData.PathName

Declaration
property PathName: string;

__property AnsiString PathName

Description

Read only. Returns the pathname of the associated tree node. If the node has no associated pathname (such as My Computer or Network Neighbourhood) then this property is an empty string.


Raize Components 6

TRzShellTreeData.PathName Example
TRzShellTreeData


Raize Components 6

TRzShellTreeData Properties
TRzShellTreeData

Public
AbsoluteIdList
Data
Editable
ParentIShf
PathName
RelativeIdList
ThisIShf


TRzShellTreeData.RelativeIdList

Declaration
property RelativeIdList: PItemIdList;

__property Shlobj::PItemIDList RelativeIdList

Description

Read only. This property is the item id list for this tree node relative to its parent.

Many useful functions can only be performed in a item via its parent. To this end, you can use a combination of ParentIShf and RelativePidl to perform IShellFolder operations on this item.


Raize Components 6

TRzShellTreeData.RelativeIdList Example
TRzShellTreeData

Delphi Example
This example obtains some of the attribute flags for the current item and does an action if the item is a file system folder, or an ancestor of the filesystem (such as Desktop and My Computer).

Delphi

var nodeData: TPTShTreeData; // assume initialised
...
dwAttr := SFGAO_FILESYSTEM or SFGAO_FILESYSANCESTOR;
nodeData.ParentIShf.GetAttributesOf( 1, nodeData.RelativeIdList, dwAttr );
if ((dwAttr and (SFGAO_FILESYSTEM or SFGAO_FILESYSANCESTOR))<>0 then
DoAction;

C++Builder

TPTShTreeData* nodeData; // assume initialised
...
unsigned dwAttr = SFGAO_FILESYSTEM | SFGAO_FILESYSANCESTOR;
nodeData->ParentIShf->GetAttributesOf( 1, nodeData->RelativeIdList, dwAttr );
if (dwAttr & (SFGAO_FILESYSTEM | SFGAO_FILESYSANCESTOR))
DoAction();


TRzShellTreeData.ThisIShf

Declaration
property ThisIShf: IShellFolder_NRC;

__property Rzshellintf::IShellFolder_NRC *ThisIShf

Description

Read only. This is the IShellFolder interface for the current item.


Raize Components 6

TRzShellTreeData.ThisIShf Example
TRzShellTreeData


Raize Components 6

TRzShellTree Events
TRzShellTree

Public


TRzShellTreeOption

Unit
RzShellCtrls

Declaration
TRzShellTreeOption=(stoAutoFill, stoVirtualFolders, stoDesignInteractive, stoDefaultKeyHandling, stoContextMenus, stoDynamicRefresh, stoIncludeNonFolders, stoOleDrag, stoOleDrop, stoShowHidden);

enum TRzShellTreeOption stoAutoFill, stoVirtualFolders, stoDesignInteractive, stoDefaultKeyHandling, stoContextMenus, stoDynamicRefresh, stoIncludeNonFolders, stoOleDrag, stoOleDrop, stoShowHidden ;

Description

Value Meaning

stoAutoFill When this option is set, the contents of the tree are automatically initialised.

stoVirtualFolders When true, non-file system nodes such as Control Panel and Printers are included in the tree. Default is True.

stoDesignInteractive This option only has effect at design time. When true, you can interact with the shell list control at design time. You can select items, navigate into folders etc. If you set this option true, some of Delphi's design time keyboard interface might not work.

stoDefaultKeyHandling Enables default keyboard processing. This includes such keys as Ctrl+C (Copy), Ctrl+V (Paste) and F5 (Refresh).

stoContextMenus Enables context menu processing. When set a right-click on a selected item or group of items will display a popup-menu.

stoDynamicRefresh When true the tree monitors changes to all local drives (and networks drives with a mapped drive letter). When a change to a folder is detected on any drive the tree is updated to reflect the change, if that folder is visible.

stoIncludeNonFolders When true the tree includes non-folders as nodes. Such things as files, control panel applets, printers etc. will be available in the tree. Because of system limitations (explorer tree views weren't meant to work this way) all folders have a '+' icon, as there is no way to tell if there are any sub-items until the items are actually enumerated.

stoOleDrag When true, the user can drag items out of the tree onto other trees or lists or into other applications.

stoOleDrop When true, the user can drop items onto tree nodes.

stoShowHidden When true, hidden and system files and folders are included in the tree, otherwise they are excluded.


TRzShellTreeOptions

Unit
RzShellCtrls

Declaration
TRzShellTreeOptions=set of TRzShellTreeOption;

Description

.


Raize Components 6

TRzShellTree Properties
TRzShellTree

Public
About
Align
Anchors
AutoExpand
BaseFolder
BiDiMode
BorderStyle
BorderWidth
ChangeDelay
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
Enabled
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HideSelection
HotTrack
Indent
Options
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
RightClickSelect
RowSelect
SelectedFolder
SelectedItem
SelectedPathName
ShellList
ShellTreeData
ShowButtons
ShowHint
ShowLines
ShowRoot
StateImages
TabOrder
TabStop
ToolTips
Visible


TRzShListDeleteItemEvent

Unit
RzShellCtrls

Declaration
TRzShListDeleteItemEvent=procedure(Sender: TObject; Node: TListItem; ListData: TRzShellListData) of object;

typedef void __fastcall(__closure *TRzShListDeleteItemEvent)(System::TObject *Sender, Comctrls::TListItem *Node, TRzShellListData *ListData);

Description

.


TRzShPopupHintEvent

Unit
RzShellCtrls

Declaration
TRzShPopupHintEvent=procedure(Sender: TObject; const Hint: string)of object;

typedef void __fastcall(__closure *TRzShPopupHintEvent)(System::TObject *Sender, const AnsiString Hint);

Description

.


TRzShTreeDeleteItemEvent

Unit
RzShellCtrls

Declaration
TRzShTreeDeleteItemEvent=procedure(Sender: TObject; Node: TTreeNode; TreeData: TRzShellTreeData) of object;

typedef void __fastcall(__closure *TRzShTreeDeleteItemEvent)(System::TObject *Sender, Comctrls::TTreeNode *Node, TRzShellTreeData *TreeData);

Description

.


TRzShTreeInsertItemEvent

Unit
RzShellCtrls

Declaration
TRzShTreeInsertItemEvent=procedure(Sender: TObject; Node: TTreeNode) of object;

typedef void __fastcall(__closure *TRzShTreeInsertItemEvent)(System::TObject *Sender, Comctrls::TTreeNode *Node);

Description

.


RzShellDialogs

RzShellDialogs File
List of Units

Unit Classes

TRzCustomOpenDialog
TRzCustomOpenDialog is the base class for all open dialog controls in Raize Components.
TRzCustomSaveDialog
TRzCustomSaveDialog is the base class for all save dialog controls in Raize Components.
TRzCustomSelectFolderDialog
TRzCustomSelectFolderDialog is the base class for all select folder dialog controls in Raize Components.
TRzFileDialog
TRzFolderBrowseSelChangeEvent
TRzOpenDialog TRzOpenDialog is a
 dialog-based control for opening files.
TRzOpenSaveOptions
TRzSaveDialog
TRzSaveDialog is a dialog-based control for saving files.
TRzSelectFolderDialog
TRzSelectFolderDialog is a nonvisual control that displays a dialog

TRzSelectFolderDialogOption
TRzSelectFolderDialogOptions
TRzShellDialog
TRzShellDialog is the base class for all Shell dialog controls in Raize Components.


TRzCustomOpenDialog

TRzCustomOpenDialog is the base class for all open dialog controls in Raize Components.

Description

Do not create instances of TRzCustomOpenDialog--use TRzOpenDialog or some other descendant.


TRzCustomSaveDialog

TRzCustomSaveDialog is the base class for all save dialog controls in Raize Components.

Description

Do not create instances of TRzCustomSaveDialog--use TRzSaveDialog .


TRzCustomSelectFolderDialog

TRzCustomSelectFolderDialog is the base class for all select folder dialog controls in Raize Components.

Description

Do not create instances of TRzCustomSelectFolderDialog--use TRzSelectFolderDialog or some other descendant.


TRzCustomSelectFolderDialog.BaseFolder

Specifies the root node of the tree.

Declaration
property BaseFolder: TRzShellLocator;

__property Rzshellctrls::TRzShellLocator *BaseFolder

Description

Use this property to set the root node of the tree.


Raize Components 6

TRzCustomSelectFolderDialog.BaseFolder Example
TRzCustomSelectFolderDialog


Raize Components 6

TRzCustomSelectFolderDialog Events
TRzCustomSelectFolderDialog

Public
OnAddItem
OnSelChange

Protected
OnAddItem
OnSelChange


TRzCustomSelectFolderDialog.Form

Declaration
property Form: TCustomForm;

__property Forms::TCustomForm* Form;

Description

Read-Only property. Use this property to access the underlying form object of the dialog box.


Raize Components 6

TRzCustomSelectFolderDialog.Form Example
TRzCustomSelectFolderDialog


TRzCustomSelectFolderDialog.OkEnabled

Determines if OK button is enabled.

Declaration
property OkEnabled: Boolean;

__property bool OkEnabled

Description

Run time only. This property can be set via an event handler to enable and disable the OK button. You would typically use this property in conjunction with the OnSelChanged event to provide feedback as to which folders were acceptable.


Raize Components 6

TRzCustomSelectFolderDialog.OkEnabled Example
TRzCustomSelectFolderDialog


TRzCustomSelectFolderDialog.OnAddItem

Occurs every time an item is added to the tree view.

Declaration
property OnAddItem: TRzShAddItemEvent;

__property Rzshellctrls::TRzShAddItemEvent OnAddItem

Description

This event is called every time an item is added to the tree view. You have the opportunity to filter out the unwanted items. You should respond to this event in the same way as you would respond to the OnAddItem event in TRzShellTree.


Raize Components 6

TRzCustomSelectFolderDialog.OnAddItem Example
TRzCustomSelectFolderDialog


TRzCustomSelectFolderDialog.OnSelChange

Occurs when the selected node has changed.

Declaration
property OnSelChange: TRzFolderBrowseSelChangeEvent;

__property TRzFolderBrowseSelChangeEvent OnSelChange

Description

This event is called after the selected tree item has changed. You should not free aNewSel. If you need to remember the id list, you should use CopyIdList.


Raize Components 6

TRzCustomSelectFolderDialog.OnSelChange Example
TRzCustomSelectFolderDialog


TRzCustomSelectFolderDialog.Options

Determines the behavior of the Select Folder Dialog form.

Declaration
property Options: TRzSelectFolderDialogOptions default DEF_SFDO_OPTIONS;

__property TRzSelectFolderDialogOptions Options

Description

Use Options to alter the behavior of the Select Folder Dialog.


Raize Components 6

TRzCustomSelectFolderDialog.Options Example
TRzCustomSelectFolderDialog


Raize Components 6

TRzCustomSelectFolderDialog Properties
TRzCustomSelectFolderDialog

Public
Executing

Protected
BaseFolder
Form
OkEnabled
Options
SelectedFolder
SelectedPathName
Status


TRzCustomSelectFolderDialog.SelectedFolder

Specifies the selected folder.

Declaration
property SelectedFolder: TRzShellLocator;

__property Rzshellctrls::TRzShellLocator *SelectedFolder

Description

Run time only. This is an input and output property. You can set it to an initial id list before calling Execute and the dialog will open with that folder as the selected item. If the item is not found then a nearby folder is selected, no exception is raised in this case.

If Execute returns true you can read this property to see which folder the user selected.

You do not need to free the returned item id list. If you need to remember the id list, you should use CopyIdList.


Raize Components 6

TRzCustomSelectFolderDialog.SelectedFolder Example
TRzCustomSelectFolderDialog


TRzCustomSelectFolderDialog.SelectedPathName

Specifies the selected path.

Declaration
property SelectedPathName: string;

__property AnsiString SelectedPathName

Description

Run time only. This is an input or output property. You can set it to an initial pathname before calling Execute and the dialog will open with that pathname as the selected item. If the item is not found then a nearby folder is selected, no exception is raised in this case.

If Execute returns true you can read this property to see which folder the user selected. If the folder is not a filesystem folder (such as My Computer or Network Neighbourhood), then this property is an empty string.


Raize Components 6

TRzCustomSelectFolderDialog.SelectedPathName Example
TRzCustomSelectFolderDialog


TRzCustomSelectFolderDialog.Status

Specifies a status message to be displayed on the form.

Declaration
property Status: string;

__property AnsiString Status

Description

Run time only. This property can be set before the form is executed or via an event handler during executing to a line of text at the top of the form.


Raize Components 6

TRzCustomSelectFolderDialog.Status Example
TRzCustomSelectFolderDialog


TRzFileDialog

Unit
RzShellDialogs

Description

Base class for file-based (i.e. Open and Save) dialog components.


TRzFileDialog.DefaultExt

Specifies extension to be used if one is not specified.

Declaration
property DefaultExt: string;

__property AnsiString DefaultExt

Description

The DefaultExt property specifies the extension that is added to the file name the user types in the File Name edit box if the user doesn't include a file-name extension in the filename. If the user specifies an extension for the filename, the value of the DefaultExt property is ignored. If the DefaultExt value remains blank, no extension is added to the filename entered in the File Name edit box.

Legal extensions can be greater than 3 characters in length. Don't include the period (.) that divides the filename and its extension.


Raize Components 6

TRzFileDialog.DefaultExt Example
TRzFileDialog


Raize Components 6

TRzFileDialog Events
TRzFileDialog

Public
OnAddComboItem
OnAddListItem
OnAddTreeItem
OnFolderChanged
OnHelp
OnSelectionChanged
OnTypeChanged

Protected
OnAddComboItem
OnAddListItem
OnAddTreeItem
OnFolderChanged
OnHelp
OnSelectionChanged
OnTypeChanged


TRzFileDialog.FileName

Specifies file name that appears in File Name edit box.

Declaration
property FileName: string;

__property AnsiString FileName

Description

The FileName property specifies the file name that appears in the File Name edit box when the dialog box opens. The user can then select that filename or specify any other. Once the user specifies a filename and chooses OK, the value of the FileName property becomes the name of the file the user selected.

The path name can include a path. For example, to open the file README.TXT in the directory C:set FileName to C:

The FileName property can be set to the name of a file that doesn't exist in the current directory. In an Open dialog box, you can use this capability to let the user open a new file, and in a Save dialog box, the user can save a file that hasn't been saved before.


Raize Components 6

TRzFileDialog.FileName Example
TRzFileDialog


TRzFileDialog.Files

List of all files names.

Declaration
property Files: TStrings;

__property Classes::TStrings *Files

Description

Run-time and read-only. The Files property value contains a list of all the file names selected in the Open or Save dialog box including the path names.

To let users select multiple file names in the dialog box, include ofAllowMultiSelect in the Options property set (set ofAllowMultiSelect to True).

The first item in the list of names is returned as the value of the FileName property.


Raize Components 6

TRzFileDialog.Files Example
TRzFileDialog


TRzFileDialog.Filter

Specifies file mask filter.

Declaration
property Filter: string;

__property AnsiString Filter

Description

The Filter property determines the file masks available to the user for use in determining which files display in the dialog box's list box. A file mask or file filter is a file name that usually includes wildcard characters (*.PAS, for example). Only files that match the selected file filter are displayed in the dialog box's list box, and the selected file filter appears in the File Name edit box. To specify a file filter, assign a filter string as the value of Filter. To create the string, follow these steps:

1 Type some meaningful text that indicates the type of file.

2 Type a | character (this is the "pipe" or "or" character).

3 Type the file filter.

Don't put in any spaces around the | character in the string.

Here's an example:

Delphi: OpenDialog1.Filter := 'Text files|*.TXT';

C++Builder: OpenDialog1->Filter = "Text files|*.TXT";

If you entered the preceding example as the Filter of an Open or Save dialog box, the string "Text files" appears in the List Files of Type drop-down list box when the dialog box appears in your application, the file filter appears in the File Name edit box, and only .TXT files appear in the list box. You can specify multiple file filters so that a list of filters appears in the List Files of Type drop-down list box or in the filter combo box. This allows the user to select from a number of file filters and determine which files are displayed in the list box.

To specify multiple file filters,

1 Create a file filter string as previously shown.

2 Type another file filter in the same way, but separate the second file filter from the first with the | character.

3 Continue adding as many file filters as you like, separating them with the | character. The string can be up to 255 characters.

Here's an example of three file filters specified as the value of the Filter property:

'Text files (*.TXT)|*.TXT|Pascal files (*.PAS)|*.PAS|Quattro Pro files (*.WB1)|*.WB1'

Now when the dialog box appears, the user can choose from three file filters that appear in the List Files of Type drop-down list box.

Note that the previous example includes the file filters in parentheses in the text parts. This isn't required, but it's a common convention that helps users understand what to expect when they select a file filter.

You can string multiple wildcard file filters together if you separate them with semicolons:

Delphi: OpenDialog1.Filter := 'All files|*.TXT;*.PAS;*.WB1';

C++ Builder: OpenDialog1->Filter = "All files|*.TXT;*.PAS;*.WBA";


Raize Components 6

TRzFileDialog.Filter Example
TRzFileDialog


TRzFileDialog.FilterIndex

Determines which filter is selected.

Declaration
property FilterIndex: Integer default 1;

__property int FilterIndex

Description

The FilterIndex property determines which file filter specified in the Filter property appears as the default file filter in the List Files of Type drop-down list box. For example, if you set the FilterIndex value to 2, the second file filter listed in the Filter property becomes the default filter when the dialog box appears. The default FilterIndex value is 1. If you specify a value greater than the number of file filters in the Filter property, the first filter is chosen.

The default value is 1.


Raize Components 6

TRzFileDialog.FilterIndex Example
TRzFileDialog


TRzFileDialog.Form

Use this property to access the underlying form object of the dialog box.

Declaration
property Form: TCustomForm;

__property Forms::TCustomForm* Form;

Description

Read-Only property. Use this property to access the underlying form object of the dialog box.


Raize Components 6

TRzFileDialog.Form Example
TRzFileDialog


TRzFileDialog.FormSplitterPos

Specifies starting position for splitter bar.

Declaration
property FormSplitterPos: Integer default - 1;

__property int FormSplitterPos

Description

The FormSplitterPos property allows you to specify a starting position for the splitter bar between the tree and list views. You would typically assign this property before calling Execute. It has no effect while the dialog is executing.

When the dialog is closed (either successfully or cancelled) this property is set to the position of the splitter bar between the tree and list views. You can use this feature to implement persistent form sizing. The WriteStateToRegistry, ReadStateFromRegistry and WriteStateToStream, ReadStateFromStream methods can do the persistence for you.


Raize Components 6

TRzFileDialog.FormSplitterPos Example
TRzFileDialog


TRzFileDialog.HelpContext

Specifies help context value for help button.

Declaration
property HelpContext: THelpContext default 0;

__property Classes::THelpContext HelpContext

Description

Use HelpContext to specify a help context value to be used when the Help button is clicked.


Raize Components 6

TRzFileDialog.HelpContext Example
TRzFileDialog


TRzFileDialog.HistoryList

Declaration
property HistoryList: TStrings;

__property Classes::TStrings *HistoryList

Description

The HistoryList property is provided for compatibility with earlier versions of TOpenDialog. This property might be implemented in a future revision.


Raize Components 6

TRzFileDialog.HistoryList Example
TRzFileDialog


TRzFileDialog.InitialDir

Specifies the initial directory.

Declaration
property InitialDir: string;

__property AnsiString InitialDir

Description

The InitialDir property determines the current directory when the dialog box first appears and value of the InitialDir property is shown as the current directory in the directory tree. Only files in the current directory appear in the dialog box's list of filenames. After the dialog box appears, users can then use the directory tree to change to another directory if they want.

When specifying the initial directory, include the full path name. For example,

C:

If no initial directory is specified, the directory that is current when the dialog box appears remains the current directory. The same is true if you specify a directory that does not exist.


Raize Components 6

TRzFileDialog.InitialDir Example
TRzFileDialog


TRzFileDialog.OnAddComboItem

Occurs every time an item is added to the combo box.

Declaration
property OnAddComboItem: TRzShAddItemEvent;

__property Rzshellctrls::TRzShAddItemEvent OnAddComboItem

Description

This event Is called every time an item is added to the combo box. You have the opportunity to filter out unwanted items. You should respond to this event in the same way you would respond to the OnAddItem event in TRzShellCombo.

You would typically use the same event handler for all three OnAddTreeItem, OnAddListItem and OnAddComboItem events. If you use different event handlers you must ensure there are no logical inconsistencies in what you are filtering. For example, if something appears in the list, it must also appear in the tree and combo. You can safely filter anything from the list that is still present in the tree and combo. The only things you should really filter from the combo are first-level items such as My Computer or Network Neighbourhood.


Raize Components 6

TRzFileDialog.OnAddComboItem Example
TRzFileDialog


TRzFileDialog.OnAddListItem

Occurs every time an item is added to the file list.

Declaration
property OnAddListItem: TRzShAddItemEvent;

__property Rzshellctrls::TRzShAddItemEvent OnAddListItem

Description

This event is called every time an item is added to the file list. You have the opportunity to filter out unwanted items. You should respond to this event in the same way you would respond to the OnAddItem event in TRzShellList.

You would typically use the same event handler for all three OnAddTreeItem, OnAddListItem and OnAddComboItem events. If you use different event handlers you must ensure there are no logical inconsistencies in what you are filtering. For example, if something appears in the list, it must also appear in the tree and combo. You can safely filter anything from the list that is still present in the tree and combo. The only things you should really filter from the combo are first-level items such as My Computer or Network Neighbourhood.


Raize Components 6

TRzFileDialog.OnAddListItem Example
TRzFileDialog


TRzFileDialog.OnAddTreeItem

Occurs every time an item is added to the tree view.

Declaration
property OnAddTreeItem: TRzShAddItemEvent;

__property Rzshellctrls::TRzShAddItemEvent OnAddTreeItem

Description

This event is called every time an item is added to the tree view. You have the opportunity to filter out unwanted items. You should respond to this event in the same way you would respond to the OnAddItem event in TRzShellTree.

You would typically use the same event handler for all three OnAddTreeItem, OnAddListItem and OnAddComboItem events. If you use different event handlers you must ensure there are no logical inconsistencies in what you are filtering. For example, if something appears in the list, it must also appear in the tree and combo. You can safely filter anything from the list that is still present in the tree and combo. The only things you should really filter from the combo are first-level items such as My Computer or Network Neighbourhood.


Raize Components 6

TRzFileDialog.OnAddTreeItem Example
TRzFileDialog


TRzFileDialog.OnFolderChanged

Occurs when the user changes the directory that is displayed in the dialog.

Declaration
property OnFolderChanged: TNotifyEvent;

__property Classes::TNotifyEvent OnFolderChanged

Description

The OnFolderChanged event occurs when the user changes the directory that is displayed in the dialog. This can happen when the user double-clicks on a directory, clicks the Up button, or uses the combo box or tree view to navigate through the directory structure.


Raize Components 6

TRzFileDialog.OnFolderChanged Example
TRzFileDialog


TRzFileDialog.OnHelp

Use OnHelp to write an event handler to perform special processing when help is requested.

Declaration
property OnHelp: THelpEvent;

__property Forms::THelpEvent OnHelp

Description

Use OnHelp to write an event handler to perform special processing when help is requested. Set CallHelp to false if you don't want the standard help file invoked.


Raize Components 6

TRzFileDialog.OnHelp Example
TRzFileDialog


TRzFileDialog.OnSelectionChanged

Occurs when the user does something to change the list displayed in the dialog.

Declaration
property OnSelectionChanged: TNotifyEvent;

__property Classes::TNotifyEvent OnSelectionChanged

Description

The OnSelectionChange event occurs when the user does something to change the list displayed in the dialog. This can include opening the file-selection dialog, highlighting a file or directory, selecting a new filter, selecting a new directory, or creating a new folder.


Raize Components 6

TRzFileDialog.OnSelectionChanged Example
TRzFileDialog


TRzFileDialog.OnTypeChanged

Occurs when the user selects a new filter from the Files of Type combo box at the bottom of the dialog.

Declaration
property OnTypeChanged: TNotifyEvent;

__property Classes::TNotifyEvent OnTypeChanged

Description

The OnTypeChanged event occurs when the user selects a new filter from the Files of Type combo box at the bottom of the dialog.


Raize Components 6

TRzFileDialog.OnTypeChanged Example
TRzFileDialog


TRzFileDialog.Options

Use this property to change the behavior and appearance of the dialog.

Declaration
property Options: TRzOpenSaveOptions;

__property TRzOpenSaveOptions Options

Description

Use this property to change the behavior and appearance of the dialog.


Raize Components 6

TRzFileDialog.Options Example
TRzFileDialog


Raize Components 6

TRzFileDialog Properties
TRzFileDialog

Protected
DefaultExt
FileName
Files
Filter
FilterIndex
Form
FormSplitterPos
HelpContext
HistoryList
InitialDir
Options


TRzFolderBrowseSelChangeEvent

Unit
RzShellDialogs

Declaration
TRzFolderBrowseSelChangeEvent=procedure(Sender: TObject; NewSel: PItemIdList) of object;

typedef void __fastcall(__closure *TRzFolderBrowseSelChangeEvent)(System::TObject *Sender, Shlobj::PItemIDList NewSel);

Description

.


TRzOpenDialog.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzOpenDialog.About Example
TRzOpenDialog


Raize Components 6

TRzOpenDialog Events
TRzOpenDialog

Public


Raize Components 6

TRzOpenDialog Properties
TRzOpenDialog

Public
About
ButtonColor
DefaultExt
Executing
FileName
Files
Filter
FilterIndex
Form
FormHeight
FormSplitterPos
FormWidth
FormWindowState
FrameColor
FrameStyle
FrameVisible
FramingPreference
HelpContext
HighlightColor
HistoryList
HotTrack
HotTrackColor
HotTrackColorType
InitialDir
Options
Title


TRzOpenSaveOptions

Unit
RzShellDialogs

Declaration
TRzOpenSaveOptions=set of TRzOpenSaveOption;

Description

.


TRzSaveDialog.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSaveDialog.About Example
TRzSaveDialog


Raize Components 6

TRzSaveDialog Events
TRzSaveDialog

Public


Raize Components 6

TRzSaveDialog Properties
TRzSaveDialog

Public
About
ButtonColor
DefaultExt
Executing
FileName
Files
Filter
FilterIndex
Form
FormHeight
FormSplitterPos
FormWidth
FormWindowState
FrameColor
FrameStyle
FrameVisible
FramingPreference
HelpContext
HighlightColor
HistoryList
HotTrack
HotTrackColor
HotTrackColorType
InitialDir
Options
Title


TRzSelectFolderDialog.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSelectFolderDialog.About Example
TRzSelectFolderDialog


Raize Components 6

TRzSelectFolderDialog Events
TRzSelectFolderDialog

Public


TRzSelectFolderDialogOption

Unit
RzShellDialogs

Declaration
TRzSelectFolderDialogOption=(sfdoCreateDeleteButtons, sfdoContextMenus, sfdoReadOnly, sfdoIncludeNonFolders, sfdoOleDrag, sfdoOleDrop, sfdoCreateFolderIcon, sfdoDeleteFolderIcon, sfdoVirtualFolders, sfdoShowHidden);

enum TRzSelectFolderDialogOption sfdoCreateDeleteButtons, sfdoContextMenus, sfdoReadOnly, sfdoIncludeNonFolders, sfdoOleDrag, sfdoOleDrop, sfdoCreateFolderIcon, sfdoDeleteFolderIcon, sfdoVirtualFolders, sfdoShowHidden ;

Description

Value Meaning

sfdoCreateDeleteButtons When True, Create and Delete buttons are placed at the bottom of the form.

sfdoContextMenus When True, right-click context menus are available in the tree control.

sfdoReadOnly When True, you cannot rename items in the tree.

sfdoIncludeNonFolders When True, non-folders are included in the tree. Such things as files, control panel applets, printers etc. will be available in the tree. Because of system limitations (explorer tree views weren't meant to work this way) all folders have a '+' icon, as there is no way to tell if there are any sub-items until the items are actually enumerated.

sfdoOleDrag When True, the user can drag items out of the tree into other forms or applications.

sfdoOleDrop When True, the user can drop items onto the tree.

sfdoCreateFolderIcon When True, a small icon appears in the top-right of the form allowing the user to create a folder.

sfdoDeleteFolderIcon When True, a small icon appears in the top-right of the form allowing the user to delete a folder.

sfdoVirtualFolders When True, so-called virtual folders are also included in the list. Such things as the Control Panel and Printers folders appear in the list.

sfdoShowHidden When true, hidden and system files and folders are included in the tree and list, otherwise they are excluded.


TRzSelectFolderDialogOptions

Unit
RzShellDialogs

Declaration
TRzSelectFolderDialogOptions=set of TRzSelectFolderDialogOption;

Description

.


Raize Components 6

TRzSelectFolderDialog Properties
TRzSelectFolderDialog

Public
About
BaseFolder
ButtonColor
Form
FormHeight
FormWidth
FormWindowState
FrameColor
FrameStyle
FrameVisible
FramingPreference
HighlightColor
HotTrack
HotTrackColor
HotTrackColorType
OkEnabled
Options
SelectedFolder
SelectedPathName
Status
Title


TRzShellDialog

TRzShellDialog is the base class for all Shell dialog controls in Raize Components.

Description

Do not create instances of TRzShellDialog--use TRzOpenDialog , TRzSaveDialog , or TRzSelectFolderDialog .


TRzShellDialog.ButtonColor

Declaration
property ButtonColor: TColor;

__property Graphics::TColor ButtonColor

Description

Use ButtonColor to change the background color of the push buttons used in the dialog box.


Raize Components 6

TRzShellDialog.ButtonColor Example
TRzShellDialog


Raize Components 6

TRzShellDialog Events
TRzShellDialog

Public
OnFormClose
OnFormShow
OnInitialized

Protected
OnFormClose
OnFormShow
OnInitialized


TRzShellDialog.Execute

Declaration
function Execute: Boolean;

bool __fastcall Execute(void)

Description

Creates and displays the form modally. Returns true if the user accepted the form, false if they cancelled.


Raize Components 6

TRzShellDialog.Execute Example
TRzShellDialog


TRzShellDialog.Executing

Declaration
property Executing: Boolean;

__property bool Executing

Description

Run time and read only. This property is true while the dialog is active.


Raize Components 6

TRzShellDialog.Executing Example
TRzShellDialog


TRzShellDialog.FormHeight

Declaration
property FormHeight: Integer default - 1;

__property int FormHeight

Description

The FormHeight property allows you to specify a height for the form. If FormHeight is -1 then a default height is used. You would typically assign this property before calling Execute. It has no effect while the dialog is executing.

When the dialog is closed (either successfully or cancelled) this property is set to the height the user adjusted the form to. You can use this feature to implement persistent form sizing. The WriteStateToRegistry, ReadStateFromRegistry and WriteStateToStream, ReadStateFromStream methods can do the persistence for you.


Raize Components 6

TRzShellDialog.FormHeight Example
TRzShellDialog


TRzShellDialog.FormWidth

Declaration
property FormWidth: Integer default - 1;

__property int FormWidth

Description

The FormWidth property allows you to specify a width for the form. If FormWidth is -1 then a default width is used. You would typically assign this property before calling Execute. It has no effect while the dialog is executing.

When the dialog is closed (either successfully or cancelled) this property is set to the width the user adjusted the form to. You can use this feature to implement persistent form sizing. The WriteStateToRegistry, ReadStateFromRegistry and WriteStateToStream, ReadStateFromStream methods can do the persistence for you.


Raize Components 6

TRzShellDialog.FormWidth Example
TRzShellDialog


TRzShellDialog.FormWindowState

Declaration
property FormWindowState: TWindowState default wsNormal;

__property Forms::TWindowState FormWindowState

Description

The FormWindowState property allows you to specify how the form appears on the screen. You would typically assign this property before calling Execute. It has no effect while the dialog is executing.

FormWindowState can have one of the following TWindowState values:

Value Meaning

wsNormal The form appears in its normal state (that is, its non-minimized, non-maximized state).

wsMinimized The form appears in its minimized state.

wsMaximized The form appears in its maximized state.

When the dialog is closed (either successfully or cancelled) this property is set to current form window state. You can use this feature to implement persistent form sizing. The WriteStateToRegistry, ReadStateFromRegistry and WriteStateToStream, ReadStateFromStream methods can do the persistence for you.


Raize Components 6

TRzShellDialog.FormWindowState Example
TRzShellDialog


TRzShellDialog.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzShellDialog.FrameColor Example
TRzShellDialog


TRzShellDialog.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzShellDialog.FrameStyle Example
TRzShellDialog


TRzShellDialog.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzShellDialog.FrameVisible Example
TRzShellDialog


TRzShellDialog.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzShellDialog.FramingPreference Example
TRzShellDialog


TRzShellDialog.HighlightColor

Specifies the color used to display a "selected" portion of the control.

Declaration
property HighlightColor: TColor;

__property Graphics::TColor HighlightColor

Description

Use HighlightColor to specify the color to be used to draw a highlighted portion of the control. For radio buttons and check boxes, this would be the check or dot. For page controls and tab controls, this would be the highlight bar at the edge of the tab.


Raize Components 6

TRzShellDialog.HighlightColor Example
TRzShellDialog


TRzShellDialog.HotTrack

Determines if the control changes its appearance as the mouse is moved over the control.

Declaration
property HotTrack: Boolean;

__property bool HotTrack

Description

Set HotTrack to True to display an additional border around a control when the mouse is positioned over the control.


Raize Components 6

TRzShellDialog.HotTrack Example
TRzShellDialog


TRzShellDialog.HotTrackColor

Specifies the color to be used when drawing the control in a "hot" state.

Declaration
property HotTrackColor: TColor;

__property Graphics::TColor HotTrackColor

Description

Use HotTrackColor to specify the color to be used when drawing the control in the HotTrack state. That is, when the mouse is positioned over the control.


Raize Components 6

TRzShellDialog.HotTrackColor Example
TRzShellDialog


TRzShellDialog.HotTrackColorType

Determines how the HotTrackColor property value is interpretted by the control.

Declaration
property HotTrackColorType: TRzHotTrackColorType default htctComplement;

__property Rzcommon::TRzHotTrackColorType HotTrackColorType

Description

Use HotTrackColorType to specify whether or not the HotTrackColor property value should be adjusted when being displayed by the control. There are two possible values for this property as described below. The default value is htctComplement:

Value Meaning

htctComplement The HotTrackColor property value is not used directly when painting the control. Instead, the complement color to the property value is used. For example, if a blue color is specified for the HotTrackColor property, the color displayed by the control will be an orange color. This behavior makes it much easier to define a set of colors that will work well together regardless of the color scheme specified by the user.

htctActual The actual HotTrackColor property value specified in used when painting the control. No adjustments are made to the color. This setting is useful if you wish to use a specific color for hot tracking.


Raize Components 6

TRzShellDialog.HotTrackColorType Example
TRzShellDialog


Raize Components 6

TRzShellDialog Methods
TRzShellDialog

Public
Execute
ReadStateFromRegistry
ReadStateFromStream
WriteStateToRegistry
WriteStateToStream


TRzShellDialog.OnFormClose

Declaration
property OnFormClose: TNotifyEvent;

__property Classes::TNotifyEvent OnFormClose

Description

Write an OnFormClose event handler to perform special processing when the dialog closes.


Raize Components 6

TRzShellDialog.OnFormClose Example
TRzShellDialog


TRzShellDialog.OnFormShow

Declaration
property OnFormShow: TNotifyEvent;

__property Classes::TNotifyEvent OnFormShow

Description

Write an OnFormShow event handler to perform special processing when the dialog is displayed.


Raize Components 6

TRzShellDialog.OnFormShow Example
TRzShellDialog


TRzShellDialog.OnInitialized

Declaration
property OnInitialized: TNotifyEvent;

__property Classes::TNotifyEvent OnInitialized

Description

This event is called after the form is created and the controls are filled, but before the form is shown.


Raize Components 6

TRzShellDialog.OnInitialized Example
TRzShellDialog


Raize Components 6

TRzShellDialog Properties
TRzShellDialog

Protected
ButtonColor
Executing
FormHeight
FormWidth
FormWindowState
FrameColor
FrameStyle
FrameVisible
FramingPreference
HighlightColor
HotTrack
HotTrackColor
HotTrackColorType
Title


TRzShellDialog.ReadStateFromRegistry

Declaration
procedure ReadStateFromRegistry(BaseKey: HKEY; SubKeyName, ValueName: string);

void __fastcall ReadStateFromRegistry(HKEY BaseKey, AnsiString SubKeyName, AnsiString ValueName)

Description

Reads FormWidth, FormHeight and FormWindowState properties from the given registry key item.

For TRzOpenDialog and TRzSaveDialog this method also reads FormSplitterPos and whether the tree view button was pressed or not.


Raize Components 6

TRzShellDialog.ReadStateFromRegistry Example
TRzShellDialog


TRzShellDialog.ReadStateFromStream

Declaration
procedure ReadStateFromStream(Stream: TStream);

DYNAMIC void __fastcall ReadStateFromStream(Classes::TStream *Stream)

Description

Reads the FormWidth, FormHeight and FormWindowState properties from the given registry key item.

For TRzOpenDialog and TRzSaveDialog this method also reads FormSplitterPos and whether the tree view button was pressed or not.


Raize Components 6

TRzShellDialog.ReadStateFromStream Example
TRzShellDialog


TRzShellDialog.Title

Declaration
property Title: string;

__property AnsiString Title

Description

This property appears in the caption of the form. If unassigned an appropriate default title is used.


Raize Components 6

TRzShellDialog.Title Example
TRzShellDialog


TRzShellDialog.WriteStateToRegistry

Declaration
procedure WriteStateToRegistry(BaseKey: HKEY; SubKeyName, ValueName: string);

void __fastcall WriteStateToRegistry(HKEY BaseKey, AnsiString SubKeyName, AnsiString ValueName)

Description

Writes FormWidth, FormHeight and FormWindowState properties to the given registry key item.

For TRzOpenDialog and TRzSaveDialog this method also stores FormSplitterPos and whether the tree view button was pressed or not.


Raize Components 6

TRzShellDialog.WriteStateToRegistry Example
TRzShellDialog


TRzShellDialog.WriteStateToStream

Declaration
procedure WriteStateToStream(Stream: TStream);

DYNAMIC void __fastcall WriteStateToStream(Classes::TStream *Stream)

Description

Writes FormWidth, FormHeight and FormWindowState properties to the given stream.

For TRzOpenDialog and TRzSaveDialog this method also stores FormSplitterPos and whether the tree view button was pressed or not.


Raize Components 6

TRzShellDialog.WriteStateToStream Example
TRzShellDialog


RzShellIntf

RzShellIntf File
List of Units

Unit Classes

TRzOpenSaveOption


TRzOpenSaveOption

Unit
RzShellIntf

Declaration
TRzOpenSaveOption=(osoAllowMultiselect, osoCreatePrompt, osoExtensionDifferent, osoFileMustExist, osoHideReadOnly, osoNoChangeDir, osoNoDereferenceLinks, osoNoReadOnlyReturn, osoNoTestFileCreate, osoNoValidate, osoOverwritePrompt, osoReadOnly, osoPathMustExist, osoShareAware, osoShowHelp, osoAllowTree, osoShowTree, osoShowHints, osoHideFoldersInListWhenTreeVisible, osoOleDrag, osoOleDrop, osoShowHidden);

enum TRzOpenSaveOption osoAllowMultiselect, osoCreatePrompt, osoExtensionDifferent, osoFileMustExist, osoHideReadOnly, osoNoChangeDir, osoNoDereferenceLinks, osoNoReadOnlyReturn, osoNoTestFileCreate, osoNoValidate, osoOverwritePrompt, osoReadOnly, osoPathMustExist, osoShareAware, osoShowHelp, osoAllowTree, osoShowTree, osoShowHints, osoHideFoldersInListWhenTreeVisible, osoOleDrag, osoOleDrop, osoShowHidden ;

Description

Value Meaning

osoAllowMultiselect When True, this option allows users to select more than one file in the File Name list view. Use the Files property to access the list of files.

osoCreatePrompt When True, this option displays a dialog box with a message if the user enters a filename that doesn't exist in the File Name edit box and chooses OK (Open/Save). The message tells the user the file doesn't exist and asks if the user wants to create a new file with that name.

osoExtensionDifferent This option is set when the filename returned from the dialog box has an extension that differs from the default file extension, the value in the DefaultExt property. Your application can then use this information. Setting a ptofExtensionDifferent value with the Object Inspector has no meaning.

osoFileMustExist If True, this option displays a dialog box with a message if the user enters a file that doesn't exist in the File Name edit box and chooses OK. The message informs the user the file can't be found and asks the user to make sure they entered the correct path and filename.

osoHideReadOnly Hides the read-only checkbox.

osoNoChangeDir When False, the current directory is changed to the last folder accessed by the dialog - whether the dialog was accepted or cancelled.

osoNoDereferenceLinks If True, directs the dialog box to return the path and filename of the selected shortcut (.LNK) file. If this value is not given, the dialog box returns the path and filename of the file referenced by the shortcut.

osoNoReadOnlyReturn If True, a message box appears informing the user if the selected file is read-only.

osoNoTestFileCreate This option applies only when the user wants to save a file on a create-no-modify network share point, which can't be opened again once it has been opened. If ptofNoTestFileCreate is True, your application won't check for write protection, a full disk, an open drive door, or network protection when saving the file because doing so creates a test file. Your application will then have to handle file operations carefully so that a file isn't closed until you really want it to be. Not implemented 2-January-98.

osoNoValidate If True, this option doesn't prevent the user from entering invalid characters in a filename. If pfofNoValidate is False and the user enters invalid characters for a filename in the File Name edit box, a message dialog box appears informing the user the filename contains invalid characters.

osoOverwritePrompt If True, this option displays a message dialog box if the user attempts to save a file that already exists. The message informs the user the file exists and lets the user choose to overwrite the existing file or not.

osoReadOnly If True, the Read Only check box is checked when the dialog box is displayed.

osoPathMustExist If this option is True, the user can type only existing path names as part of the filename in the File Name edit box. If the user enters a path name that doesn't exist, a message box appears informing the user that the path name is invalid. Not implemented.

osoShareAware If True, the dialog box ignores all sharing errors and returns the name of the selected file even though a sharing violation occurred. If ptofShareAware is False, a sharing violation results in a message box informing the user of the problem. Not implemented 2-January-98.

osoShowHelp If True, this option displays a Help button in the dialog box.

osoAllowTree If True then a "Show Tree" button is placed on the button bar.

osoShowTree If True then shows a tree view to the left of the list view, like a mini-explorer. This flag also reflects the visibility state of the tree after the user dismisses the dialog.

osoShowHints If True then popup hints are enabled on the button bar.

osoHideFoldersInListWhenTreeVisible When this option is set true and the list control is linked to a shell tree control, file system folders are not shown in the list (like the way the open dialogs in Windows 3.1 worked). Obviously using this feature will make your interface non-standard, but some have argued why waste space showing the folders in the list when they are already visible in the tree?

osoOleDrag When True items can be dragged out of the tree and list.

osoOleDrop When True items can be dropped onto the tree and list.

osoShowHidden When true, hidden and system files and folders are included in the tree and list, otherwise they are excluded.


RzShellUtils

RzShellUtils File
List of Units

Unit Classes

TCSIDL
TRzDeviceChangeEvent
TRzFriendlyNameFlags
TRzIdListArray
TRzModuleVersion
TRzShellIconSize


TCSIDL

Unit
RzShellUtils

Declaration
TCSIDL=(csidlDesktop, csidl_None1, csidlPrograms, csidlControls, csidlPrinters, csidlPersonal, csidlFavorites, csidlStartup, csidlRecent, csidlSendTo, csidlBitBucket, csidlStartMenu, csidl_None2, csidl_None3, csidl_None4, csidl_None5, csidlDesktopDirectory, csidlDrives, csidlNetwork, csidlNethood, csidlFonts, csidlTemplates, csidlCommonStartMenu, csidlCommonPrograms, csidlCommonStartup, csidlCommonDesktopDirectory, csidlAppData, csidlPrintHood, csidlLocalAppData, csidlAltStartup, csidlCommonAltStartup, csidlCommonFavorites, csidlInternetCache, csidlCookies, csidlHistory, csidlCommonAppData, csidlWindows, csidlSystem, csidlProgramFiles, csidlMyPictures, csidlProfile, csidlSystemX86, csidlProgramFilesX86, csidlProgramFilesCommon, csidlProgramFilesCommonX86, csidlCommonTemplates, csidlCommonDocuments, csidlCommonAdminTools, csidlAdminTools, csidlConnections, csidlNone);

enum TCSIDL csidlDesktop, csidl_None1, csidlPrograms, csidlControls, csidlPrinters, csidlPersonal, csidlFavorites, csidlStartup, csidlRecent, csidlSendTo, csidlBitBucket, csidlStartMenu, csidl_None2, csidl_None3, csidl_None4, csidl_None5, csidlDesktopDirectory, csidlDrives, csidlNetwork, csidlNethood, csidlFonts, csidlTemplates, csidlCommonStartMenu, csidlCommonPrograms, csidlCommonStartup, csidlCommonDesktopDirectory, csidlAppData, csidlPrintHood, csidlLocalAppData, csidlAltStartup, csidlCommonAltStartup, csidlCommonFavorites, csidlInternetCache, csidlCookies, csidlHistory, csidlCommonAppData, csidlWindows, csidlSystem, csidlProgramFiles, csidlMyPictures, csidlProfile, csidlSystemX86, csidlProgramFilesX86, csidlProgramFilesCommon, csidlProgramFilesCommonX86, csidlCommonTemplates, csidlCommonDocuments, csidlCommonAdminTools, csidlAdminTools, csidlConnections, csidlNone ;

Description

The following constants can be used to refer to system folders in various functions and components of the Shell Control Pack. The system folder constants map to the location of the particular system folder on the current machine.

csidlBitBucket Recycle bin - file system directory containing file objects in the user's recycle bin. The location of this directory is not in the registry; it is marked with the hidden and system attributes to prevent the user from moving or deleting it.

csidlControls Control Panel - virtual folder containing icons for the control panel applications.

csidlDesktop Windows desktop - virtual folder at the root of the name space.

csidlDesktopDirectory File system directory used to physically store file objects on the desktop (not to be confused with the desktop folder itself).

csidlDrives My Computer - virtual folder containing everything on the local computer: storage devices, printers, and Control Panel. The folder may also contain mapped network drives.

csidlFonts Virtual folder containing fonts.

csidlFavorites File system directory that contains the user's favourites.

csidlNethood File system directory containing objects that appear in the network neighbourhood.

csidlNetwork Network Neighbourhood - virtual folder representing the top level of the network hierarchy.

csidlPersonal File system directory that serves as a common repository for documents. Typically the My Documents folder.

csidlPrinters Printers folder - virtual folder containing installed printers.

csidlPrograms File system directory that contains the user's program groups (which are also file system directories).

csidlRecent File system directory that contains the user's most recently used documents.

csidlSendTo File system directory that contains Send To menu items.

csidlStartMenu File system directory containing Start menu items.

csidlStartup File system directory that corresponds to the user's Startup program group.

csidlTemplates File system directory that serves as a common repository for document templates.

csidlCommonStartMenu File system directory that contains the programs and folders that appear on the Start menu for all users.

csidlCommonPrograms File system directory that contains the directories for the common program groups that appear on the Start menu for all users.

csidlCommonStartup File system directory that contains the programs that appear in the Startup folder for all users. The system starts these programs whenever any user logs on to Windows NT or starts up Windows 95.

csidlCommonDesktopDirectory File system directory that contains files and folders that appear on the desktop for all users.

csidlAppData The meaning of this item is not documented.

csidlPrintHood The meaning of this item is not documented.

csidlLocalAppData The meaning of this item is documented in the MSDN.

csidlAltStartup The meaning of this item is documented in the MSDN.

csidlCommonAltStartup The meaning of this item is documented in the MSDN.

csidlCommonFavorites The meaning of this item is documented in the MSDN.

csidlInternetCache The meaning of this item is documented in the MSDN.

csidlCookies The meaning of this item is documented in the MSDN.

csidlHistory The meaning of this item is documented in the MSDN.

csidlCommonAppData The meaning of this item is documented in the MSDN.

csidlWindows The meaning of this item is documented in the MSDN.

csidlSystem The meaning of this item is documented in the MSDN.

csidlProgramFiles The meaning of this item is documented in the MSDN.

csidlMyPictures The meaning of this item is documented in the MSDN.

csidlProfile The meaning of this item is documented in the MSDN.

csidlSystemX86 The meaning of this item is documented in the MSDN.

csidlProgramFilesX86 The meaning of this item is documented in the MSDN.

csidlProgramFilesCommon The meaning of this item is documented in the MSDN.

csidlProgramFilesCommonX86 The meaning of this item is documented in the MSDN.

csidlCommonTemplates The meaning of this item is documented in the MSDN.

csidlCommonDocuments The meaning of this item is documented in the MSDN.

csidlCommonAdminTools The meaning of this item is documented in the MSDN.

csidlAdminTools The meaning of this item is documented in the MSDN.

csidlConnections The meaning of this item is documented in the MSDN.


TRzDeviceChangeEvent

Unit
RzShellUtils

Declaration
TRzDeviceChangeEvent=procedure(ASender: TObject; var AMessage: TMessage) of object;

typedef void __fastcall(__closure *TRzDeviceChangeEvent)(System::TObject *ASender, Messages::TMessage & AMessage);

Description

.


TRzFriendlyNameFlags

Unit
RzShellUtils

Declaration
TRzFriendlyNameFlags=(fnNormal, fnInFolder, fnForParsing);

enum TRzFriendlyNameFlags fnNormal, fnInFolder, fnForParsing ;

Description

Value Meaning

fnNormal

fnInFolder

fnForParsing


TRzIdListArray

Unit
RzShellUtils

Description

The TPTIdListArray class provides a convenient mechanism for treating an item id list as an array of individual item ids.


TRzIdListArray.GoUp
TRzIdListArray Methods

Declaration
function GoUp(items: Integer): PItemIdList;

Shlobj::PItemIDList __fastcall GoUp(int items)

Description

Removes items ids from then end of the list and returns the new list. You don't need to free the returned list. Subsequent calls to GoUp or Item[ ] invalidate previous results from this function.


Raize Components 6

TRzIdListArray.GoUp Example
TRzIdListArray


TRzIdListArray.Item

Declaration
property Item[Index: Integer]: PItemIdList;

__property Shlobj::PItemIDList Item[int Index]

Description

Read only. A copy of the given id is allocated from shell memory and returned. You don't have to free it. If you want to keep it you should use CopyIdList to make a copy. Each call to Item invalidates the previous return value.


Raize Components 6

TRzIdListArray.Item Example
TRzIdListArray


TRzIdListArray.ItemCount

Declaration
property ItemCount: Integer;

__property int ItemCount

Description

Read only. Returns the number of ids in the list.


Raize Components 6

TRzIdListArray.ItemCount Example
TRzIdListArray


Raize Components 6

TRzIdListArray Methods
TRzIdListArray

Public
GoUp


Raize Components 6

TRzIdListArray Properties
TRzIdListArray

Public
Item
ItemCount


TRzModuleVersion

Unit
RzShellUtils

Declaration
TPTModuleVersion=packed record
case Integer of
0: (w1, w2, w3, w4: Word); // Higher number means more significant - w4=major, w3=minor etc.
1: (dw1, dw2: Integer);
2: (asComp: Comp); // Treat as a single 64-bit integer
3: (_1, _2, minor, major: Word);
4: (_3, version: Integer);
end;

TPTModuleVersion
struct WORD w1; WORD w2; WORD w3; WORD w4; ;
struct DWORD dw1; DWORD dw2 ;
struct WORD _1; WORD _2; WORD minor; WORD major; ;
struct DWORD _3; DWORD version
};

Description

.


TRzShellIconSize

Unit
RzShellUtils

Declaration
TRzShellIconSize=(iszSmall, iszLarge);

enum TRzShellIconSize iszSmall, iszLarge ;

Description

Value Meaning

iszSmall 16x16 icons

iszLarge 32x32 icons


RzSndMsg

RzSndMsg File
List of Units

Unit Classes

EMapiError |
EMapiUserAbort |
TRzSendMessage | TRzSendMessage is a nonvisual control that provides a component wrapper around the Simple Messaging API (MAPI) SendMail function.


EMapiError

Unit
RzSndMsg

Declaration
EMapiError=class(Exception )
ErrorCode: Integer;
end;

Description

This exception is raised by a TRzSendMessage component when a problem occurs in executing a function in the Messaging API. The error code returned from the function is stored in the ErrorCode field.


EMapiUserAbort

Unit
RzSndMsg

Declaration
EMapiUserAbort=class(EAbort);

Description

This silent exception is raised when a user aborts sending a message from the MAPI compose dialog box after it was originally sent using a TRzSendMessage component.


TRzSendMessage.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSendMessage.About Example
TRzSendMessage


TRzSendMessage.Attachments

Declaration
property Attachments: TStrings;

__property Classes::TStrings *Attachments

Description

This property is used to specify a list of files to be sent along with the message. Each string in the list holds the full path of the file to be attached.


Raize Components 6

TRzSendMessage.Attachments Example
TRzSendMessage


TRzSendMessage.BccRecipients

Declaration
property BccRecipients: TStrings;

__property Classes::TStrings *BccRecipients

Description

This property is used to specify the list of blind carbon copy recipients of the message. Simply add each recipient's email address to this string list property.


Raize Components 6

TRzSendMessage.BccRecipients Example
TRzSendMessage


TRzSendMessage.CcRecipients

Declaration
property CcRecipients: TStrings;

__property Classes::TStrings *CcRecipients

Description

This property is used to specify the list of carbon copy recipients of the message. Simply add each recipient's email address to this string list property.


Raize Components 6

TRzSendMessage.CcRecipients Example
TRzSendMessage


TRzSendMessage.ClearLists

Declaration
procedure ClearLists;

void __fastcall ClearLists(void)

Description

Use this method to clear all list properties of the component including Attachments, BccRecipients, CcRecipients, ToRecipients, and MessageText.


Raize Components 6

TRzSendMessage.ClearLists Example
TRzSendMessage


TRzSendMessage.Logoff

Declaration
procedure Logoff;

void __fastcall Logoff(void)

Description

Terminates the current mail session. Any successive MAPI function call will reinitiate the log on process.


Raize Components 6

TRzSendMessage.Logoff Example
TRzSendMessage


TRzSendMessage.Logon

Declaration
procedure Logon;

void __fastcall Logon(void)

Description

This method uses the ProfileName and Password properties, if specified, to log on to the mail server. The end result is that a session ID is retrieved which is then used for all other MAPI function calls. If Logon is not called, the Logon process will be initiated during the first call to the Send method.


Raize Components 6

TRzSendMessage.Logon Example
TRzSendMessage


TRzSendMessage.MapiInstalled

Declaration
function MapiInstalled: Boolean;

bool MapiInstalled();

Description

This method checks the system's Registry to determine if Windows considers the Messaging API supported.


Raize Components 6

TRzSendMessage.MapiInstalled Example
TRzSendMessage


TRzSendMessage.MessageMemo

Declaration
property MessageMemo: TCustomMemo;

__property Stdctrls::TCustomMemo *MessageMemo

Description

If this property references a Memo component, the contents of that memo control are used to populate the MessageText property before the message is sent. By connecting this property to a Memo component at design-time, you do not have to worry about populating the MessageText property before calling Send.


Raize Components 6

TRzSendMessage.MessageMemo Example
TRzSendMessage


TRzSendMessage.MessageText

Declaration
property MessageText: TStrings;

__property Classes::TStrings *MessageText

Description

This string list is used to hold the contents of the message. The property can be directly modified using the standard string list functions, or it can be assigned to another string list using the Assign method.


Raize Components 6

TRzSendMessage.MessageText Example
TRzSendMessage


Raize Components 6

TRzSendMessage Methods
TRzSendMessage

Public
ClearLists
Logoff
Logon
MapiInstalled
Send


TRzSendMessage.Password

Declaration
property Password: string;

__property AnsiString Password

Description

Use this property to specify the password to be used during the Logon process.


Raize Components 6

TRzSendMessage.Password Example
TRzSendMessage


TRzSendMessage.ProfileName

Declaration
property ProfileName: string;

__property AnsiString ProfileName

Description

Use this property to specify a Profile to be used by the Messaging API when the Send method is called. Typically, this property is left blank which instructs MAPI to use the default profile.


Raize Components 6

TRzSendMessage.ProfileName Example
TRzSendMessage


Raize Components 6

TRzSendMessage Properties
TRzSendMessage

Public
About
Attachments
BccRecipients
CcRecipients
MessageMemo
MessageText
Password
ProfileName
Review
Subject
SubjectEdit
ToRecipients


TRzSendMessage.Review

Declaration
property Review: Boolean default True;

__property bool Review

Description

If this property is set to True the common Compose MAPI dialog is displayed before the message is sent regardless of whether or not the message is completely specified. If this property is set to False, the common Compose MAPI dialog is only displayed if the mail message is not completely specified.


Raize Components 6

TRzSendMessage.Review Example
TRzSendMessage


TRzSendMessage.Send

Declaration
procedure Send;

void __fastcall Send(void)

Description

Calling this method instructs the TRzSendMessage component to package the message subject, text, recipient lists, and file attachments into the correct format required by the Messaging API. Once the message is formatted, it is sent using the MAPI protocol. If the message is not completely specified or the Review property is set to True, then the MAPI Compose dialog box is displayed so that the user can complete the message.


Raize Components 6

TRzSendMessage.Send Example
TRzSendMessage


TRzSendMessage.Subject

Declaration
property Subject: string;

__property AnsiString Subject

Description

Use the property to specify the subject string for the message. Note: the contents of this property will be ignored if the SubjectEdit property references an edit component. In this case, when the Send method is called, the contents of the edit control are used to populate the subject of the message.


Raize Components 6

TRzSendMessage.Subject Example
TRzSendMessage


TRzSendMessage.SubjectEdit

Declaration
property SubjectEdit: TCustomEdit;

__property Stdctrls::TCustomEdit *SubjectEdit

Description

If this property references an Edit component, the contents of that edit control are used to populate the Subject property before the message is sent. By connecting this property to an Edit component at design-time, you do not have to worry about populating the Subject property.


Raize Components 6

TRzSendMessage.SubjectEdit Example
TRzSendMessage


TRzSendMessage.ToRecipients

Declaration
property ToRecipients: TStrings;

__property Classes::TStrings *ToRecipients

Description

This property is used to specify the list of direct recipients of the message. Simply add each recipient's email address to this string list property.


Raize Components 6

TRzSendMessage.ToRecipients Example
TRzSendMessage


RzSplit

RzSplit File
List of Units

Unit Classes

TFixedPane |
THotSpotDirection |
THotSpotPosition |
TRzCustomSizePanel | TRzCustomSizePanel is the base class for all size panel controls in Raize Components.
TRzPaneData |
TRzSizePanel | TRzSizePanel is a custom panel that supports being resized at runtime.
TRzSplitter | TRzSplitter is a specialized panel component designed for splitting two regions of a window.
TRzSplitterPane |
TSelectedPane |
TSizeBarWidth |
TSplitterStyle |


TFixedPane

Unit
RzSplit

Declaration
TFixedPane=(fpUpperLeft, fpLowerRight);

enum TFixedPane fpUpperLeft, fpLowerRight ;

Description

.


THotSpotDirection

Unit
RzSplit

Declaration
THotSpotDirection=(hsdMin, hsdMax, hsdBoth);

enum THotSpotDirection hsdMin, hsdMax, hsdBoth ;

Description

.


THotSpotPosition

Unit
RzSplit

Declaration
THotSpotPosition=(hspOpen, hspClosed);

enum THotSpotPosition hspOpen, hspClosed ;

Description

.


TRzCustomSizePanel

TRzCustomSizePanel is the base class for all size panel controls in Raize Components.

Description

Do not create instances of TRzCustomSizePanel--use TRzSizePanel .


TRzCustomSizePanel.Align

Controls the positioning of the control within a container.

Declaration
property Align: TAlign default alLeft;

__property Controls::TAlign Align

Description

Use Align to align a control to the top, bottom, left, or right of a form or panel and have it remain there even if the size of the form, panel, or component that contains the control changes. When the parent is resized, an aligned control also resizes so that it continues to span the top, bottom, left, or right edge of the parent.

For example, to use a panel component with various controls on it as a tool palette, change the panels Align value to alLeft. The value of alLeft for the Align property of the panel guarantees that the tool palette remains on the left side of the form and always equals the client height of the form.

The default value of Align is alNone, which means a control remains where it is positioned on a form or panel.

Tip: If Align is set to alClient, the control fills the entire client area so that it is impossible to select the parent form by clicking on it. In this case, select the parent by selecting the control on the form and pressing Esc, or by using the Object Inspector.

Any number of child components within a single parent can have the same Align value, in which case they stack up along the edge of the parent. The child controls stack up in z-order. To adjust the order in which the controls stack up, drag the controls into their desired positions.

Note: To cause a control to maintain a specified relationship with an edge of its parent, but not necessarily lie along one edge of the parent, use the Anchors property instead.


Raize Components 6

TRzCustomSizePanel.Align Example
TRzCustomSizePanel


TRzCustomSizePanel.CloseHotSpot

Declaration
procedure CloseHotSpot;

void __fastcall CloseHotSpot(void)

Description

CloseHotSpot performs the same function that occurs when a user clicks on the HotSpot button while the splitter bar is positioned in the middle of the splitting region. To restore the splitter bar's position from the "closed" position, call the RestoreHotSpot method.


Raize Components 6

TRzCustomSizePanel.CloseHotSpot Example
TRzCustomSizePanel


Raize Components 6

TRzCustomSizePanel Events
TRzCustomSizePanel

Public
OnHotSpotClick

Protected
OnHotSpotClick


TRzCustomSizePanel.GradientColorAdjustment

Determines stopping color for gradient fill.

Declaration
property GradientColorAdjustment: Integer default 30;

Description

Use this property to control the gradient used in drawing the splitter bar when SplitterStyle is set to ssGroupBar


Raize Components 6

TRzCustomSizePanel.GradientColorAdjustment Example
TRzCustomSizePanel


TRzCustomSizePanel.GradientPath

Specifies direction of gradient fill path.

Declaration
property GradientPath: TRzGroupBarGradientPath default gpTopToBottom;

Description

Use this property to control the gradient direction used in drawing the splitter bar when SplitterStyle is set to ssGroupBar


Raize Components 6

TRzCustomSizePanel.GradientPath Example
TRzCustomSizePanel


TRzCustomSizePanel.HotSpotClosed

Declaration
property HotSpotClosed: Boolean;

__property bool HotSpotClosed

Description

This read-only property is True, if the splitter or size panel was closed via the HotSpot button.


Raize Components 6

TRzCustomSizePanel.HotSpotClosed Example
TRzCustomSizePanel


TRzCustomSizePanel.HotSpotColor

Declaration
property HotSpotColor: TColor default clBtnFace;

Description

Use this property to specify the color of the interior of the HotSpot button.


Raize Components 6

TRzCustomSizePanel.HotSpotColor Example
TRzCustomSizePanel


TRzCustomSizePanel.HotSpotDotColor

Declaration
property HotSpotDotColor: TColor default clHighlight;

Description

Use this property to specify the color of the dots drawn inside the HotSpot button.


Raize Components 6

TRzCustomSizePanel.HotSpotDotColor Example
TRzCustomSizePanel


TRzCustomSizePanel.HotSpotFrameColor

Declaration
property HotSpotFrameColor: TColor default clBtnShadow;

Description

Use this property to specify the color of the frame drawn around the HotSpot button.


Raize Components 6

TRzCustomSizePanel.HotSpotFrameColor Example
TRzCustomSizePanel


TRzCustomSizePanel.HotSpotHighlight

Declaration
property HotSpotHighlight: TColor default clWindow;

__property Graphics::TColor HotSpotHighlight

Description

Use this property to customize the color that is used when the mouse is positioned over the HotSpot button. This property is only used when HotSpotVisible is True.


Raize Components 6

TRzCustomSizePanel.HotSpotHighlight Example
TRzCustomSizePanel


TRzCustomSizePanel.HotSpotIgnoreMargins

Declaration
property HotSpotIgnoreMargins: Boolean default False;

__property bool HotSpotIgnoreMargins

Description

When this property is True and the user clicks on the HotSpot button, the splitter pane is completely closed regardless of any margins set for the pane.


Raize Components 6

TRzCustomSizePanel.HotSpotIgnoreMargins Example
TRzCustomSizePanel


TRzCustomSizePanel.HotSpotPosition

Declaration
property HotSpotPosition: Integer;

__property int HotSpotPosition

Description

This read-only property contains the position value of the splitter bar (or sizing bar) before the pane or panel is closed using the HotSpot button.


Raize Components 6

TRzCustomSizePanel.HotSpotPosition Example
TRzCustomSizePanel


TRzCustomSizePanel.HotSpotSizePercent

Declaration
property HotSpotSizePercent: Integer default 40;

__property int HotSpotSizePercent

Description

This property controls how big the HotSpot button appears on the splitter bar or sizing bar. By default, the button takes up 40% of the size of the splitter bar.


Raize Components 6

TRzCustomSizePanel.HotSpotSizePercent Example
TRzCustomSizePanel


TRzCustomSizePanel.HotSpotVisible

Declaration
property HotSpotVisible: Boolean default False;

__property bool HotSpotVisible

Description

When the HotSpotVisible property is set to True, the center portion of the splitter or sizing bar contains a small thin button that when clicked on by the user causes the splitter bar to be repositioned to one side.


Raize Components 6

TRzCustomSizePanel.HotSpotVisible Example
TRzCustomSizePanel


TRzCustomSizePanel.LockBar

Declaration
property LockBar: Boolean default False;

__property bool LockBar

Description

When this property is set to True, the splitter bar cannot be moved.


Raize Components 6

TRzCustomSizePanel.LockBar Example
TRzCustomSizePanel


TRzCustomSizePanel.MarginMax

Declaration
property MarginMax: Integer default 0;

__property int MarginMax

Description

Use this property to specify how close to the right or bottom edge of the control the splitter bar can be positioned. The actual edge depends on the Orientation property.


Raize Components 6

TRzCustomSizePanel.MarginMax Example
TRzCustomSizePanel


TRzCustomSizePanel.MarginMin

Declaration
property MarginMin: Integer default 0;

__property int MarginMin

Description

Use this property to specify how close to the left or top edge of the control the splitter bar can be positioned. The actual edge depends on the Orientation property.


Raize Components 6

TRzCustomSizePanel.MarginMin Example
TRzCustomSizePanel


Raize Components 6

TRzCustomSizePanel Methods
TRzCustomSizePanel

Public
CloseHotSpot
ResetHotSpot
RestoreHotSpot


TRzCustomSizePanel.OnHotSpotClick
TRzCustomSizePanel Events

Declaration
property OnHotSpotClick: TNotifyEvent;

__property Classes::TNotifyEvent OnHotSpotClick

Description

This event is generated when the user clicks on the HotSpot button.


Raize Components 6

TRzCustomSizePanel.OnHotSpotClick Example
TRzCustomSizePanel


Raize Components 6

TRzCustomSizePanel Properties
TRzCustomSizePanel

Protected
Align
GradientColorAdjustment
GradientPath
HotSpotClosed
HotSpotColor
HotSpotDotColor
HotSpotFrameColor
HotSpotHighlight
HotSpotIgnoreMargins
HotSpotPosition
HotSpotSizePercent
HotSpotVisible
LockBar
MarginMax
MarginMin
RealTimeDrag
Side
SizeBarStyle
SizeBarWidth


TRzCustomSizePanel.RealTimeDrag

Declaration
property RealTimeDrag: Boolean default False;

__property bool RealTimeDrag

Description

This property controls the appearance of the splitter component when the user moves the splitter bar. By default, RealTimeDrag is False and thus a mask is displayed showing the new position of the bar, and when the user releases the mouse, the bar is repositioned. When RealTimeDrag is set to True, the bar is repositioned as the user moves the mouse.


Raize Components 6

TRzCustomSizePanel.RealTimeDrag Example
TRzCustomSizePanel


TRzCustomSizePanel.ResetHotSpot

Declaration
procedure ResetHotSpot;

virtual void __fastcall ResetHotSpot(void)

Description

Call this method if you programmatically change the position of the splitter bar. This method will ensure that if the user clicks on the HotSpot, the mouse click will be registered correctly.


Raize Components 6

TRzCustomSizePanel.ResetHotSpot Example
TRzCustomSizePanel


TRzCustomSizePanel.RestoreHotSpot

Declaration
procedure RestoreHotSpot;

void __fastcall RestoreHotSpot(void)

Description

RestoreHotSpot performs the same function that occurs when a user clicks on the HotSpot button while it is in the "closed" position, thus returning the splitter bar to its "open" position. Use the CloseHotSpot method to close the pane or panel.


Raize Components 6

TRzCustomSizePanel.RestoreHotSpot Example
TRzCustomSizePanel


TRzCustomSizePanel.Side

Specifies side panel will close to.

Declaration
property Side: TSide default sdLeft;

Description

Use the Side property to specify which side the panel will close to when the control's Align property is set to alCustom or alNone.


Raize Components 6

TRzCustomSizePanel.Side Example
TRzCustomSizePanel


TRzCustomSizePanel.SizeBarStyle

Specifies appearance of sizing bar.

Declaration
property SizeBarStyle: TSplitterStyle default ssStandard;

__property TSplitterStyle SizeBarStyle

Description

Use this property to change the appearance of the sizing bar. By default this property is set to ssStandard, which causes the sizing bar to appear as a solid bar. When set to ssBump or ssGroove, the sizing bar appears raised or lowered depending on the actual setting.


Raize Components 6

TRzCustomSizePanel.SizeBarStyle Example
TRzCustomSizePanel


TRzCustomSizePanel.SizeBarWidth

Specifies width of sizing bar.

Declaration
property SizeBarWidth: TSizeBarWidth default 4;

__property TSizeBarWidth SizeBarWidth

Description

Use this property to specify the width (in pixels) of the sizing bar in a TRzSizePanel component.


Raize Components 6

TRzCustomSizePanel.SizeBarWidth Example
TRzCustomSizePanel


TRzPaneData

Properties

Unit
RzSplit

Description

TRzPaneData provides access to the customizable properties of the embedded splitter panes of a TRzSplitter .


TRzPaneData.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Declaration
property BorderColor: TColor default clBtnFace;

__property Graphics::TColor BorderColor

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

TRzPaneData.BorderColor Example
TRzPaneData


TRzPaneData.BorderInner

Specifies the style of the inner border.

Declaration
property BorderInner: TFrameStyle default fsNone;

__property Rzcommon::TFrameStyle BorderInner

Description

Use this property to change the style of the inner border used by a component.


Raize Components 6

TRzPaneData.BorderInner Example
TRzPaneData


TRzPaneData.BorderOuter

Specifies the style of the outer border.

Declaration
property BorderOuter: TFrameStyle default fsNone;

__property Rzcommon::TFrameStyle BorderOuter

Description

Use this property to change the style of the outer border used by a component.


Raize Components 6

TRzPaneData.BorderOuter Example
TRzPaneData


TRzPaneData.BorderWidth

Specifies the width of the border.

Declaration
property BorderWidth: TBorderWidth default 0;

__property Controls::TBorderWidth BorderWidth

Description

Use BorderWidth to specify how wide the border around the panel should be. A value of 0 (zero) means no border should appear.

The border of a panel is the area between the outer and inner bevels. It is visible only if the inner bevel is raised or lowered, but affects the inset of the caption within the panel even if BevelInner is bvNone. If the Alignment property is not taCenter, the Caption will be aligned to the inner edge of the border. This edge is BorderWidth pixels in from the outer bevel if BevelInner is bvNone. It is the inner edge of the inner bevel otherwise.

Do not confuse the border of the panel with line drawn around the panel itself. The line around the panel is specified by the BorderStyle property.


Raize Components 6

TRzPaneData.BorderWidth Example
TRzPaneData


TRzPaneData.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clBtnFace;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzPaneData.Color Example
TRzPaneData


TRzPaneData.DockSite

Declaration
property DockSite: Boolean default False;

__property bool DockSite

Description

Set DockSite to True to allow other controls to be docked to this windowed control.


Raize Components 6

TRzPaneData.DockSite Example
TRzPaneData


TRzPaneData.FlatColor

Specifies the color to be used in drawing flat borders.

Declaration
property FlatColor: TColor default clBtnShadow;

__property Graphics::TColor FlatColor

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

TRzPaneData.FlatColor Example
TRzPaneData


TRzPaneData.Pane

Declaration
property Pane: TRzSplitterPane;

__property TRzSplitterPane *Pane

Description

Use Pane to reference the actual TWinControl used to contain the controls in the specified pane of a TRzSplitter component. This property is useful if you need to parent another control onto one of the panes. For example,

ListBox1.Parent := RzSplitter1.LowerRight.Pane;


Raize Components 6

TRzPaneData.Pane Example
TRzPaneData


Raize Components 6

TRzPaneData Properties
TRzPaneData

Public
BorderColor
BorderInner
BorderOuter
BorderWidth
Color
DockSite
FlatColor
Pane
ShowDockClientCaptions
Visible


TRzPaneData.ShowDockClientCaptions

Specifies whether the Raize Custom Docking Manager displays captions for dock clients.

Declaration
property ShowDockClientCaptions: Boolean default True;

__property bool ShowDockClientCaptions

Description

This property is used by the Raize Custom Docking Manager in Delphi 4 and later versions. When set to True (the default), client controls docked inside this component will be displayed with a caption bar instead of the default grabber bars. Set this property to False to have the Docking Manager display the default grabber bars.


Raize Components 6

TRzPaneData.ShowDockClientCaptions Example
TRzPaneData


TRzPaneData.Visible

Determines if the control is visible at runtime.

Declaration
property Visible: Boolean default True;

__property bool Visible

Description

Use the Visible property to control the visibility of the control at runtime. If Visible is True, the control appears. If Visible is False, the control is not visible.

Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.


Raize Components 6

TRzPaneData.Visible Example
TRzPaneData


TRzSizePanel.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSizePanel.About Example
TRzSizePanel


Raize Components 6

TRzSizePanel Events
TRzSizePanel

Public


Raize Components 6

TRzSizePanel Properties
TRzSizePanel

Public
About
Align
Alignment
AlignmentVertical
Anchors
AutoSize
BevelWidth
BiDiMode
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
Caption
Color
Constraints
Ctl3D
DockSite
DragCursor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
FullRepaint
GradientColorAdjustment
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
GradientPath
HotSpotClosed
HotSpotColor
HotSpotDotColor
HotSpotFrameColor
HotSpotHighlight
HotSpotIgnoreMargins
HotSpotPosition
HotSpotSizePercent
HotSpotVisible
LockBar
Locked
MarginMax
MarginMin
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
RealTimeDrag
ShowDockClientCaptions
ShowHint
Side
SizeBarStyle
SizeBarWidth
TabOrder
TabStop
UseDockManager
Visible
VisualStyle


TRzSplitter.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSplitter.About Example
TRzSplitter


TRzSplitter.BorderWidth

Specifies the width of the border.

Declaration
property BorderWidth: TBorderWidth default 0;

__property Controls::TBorderWidth BorderWidth

Description

Use BorderWidth to specify how wide the border around the panel should be. A value of 0 (zero) means no border should appear.

The border of a panel is the area between the outer and inner bevels. It is visible only if the inner bevel is raised or lowered, but affects the inset of the caption within the panel even if BevelInner is bvNone. If the Alignment property is not taCenter, the Caption will be aligned to the inner edge of the border. This edge is BorderWidth pixels in from the outer bevel if BevelInner is bvNone. It is the inner edge of the inner bevel otherwise.

Do not confuse the border of the panel with line drawn around the panel itself. The line around the panel is specified by the BorderStyle property.


Raize Components 6

TRzSplitter.BorderWidth Example
TRzSplitter


TRzSplitter.CloseHotSpot

Declaration
procedure CloseHotSpot(ToMin: Boolean);

procedure CloseHotSpot;

void __fastcall CloseHotSpot(void)

void __fastcall CloseHotSpot(bool ToMin)

Description

CloseHotSpot performs the same function that occurs when a user clicks on the HotSpot button while the splitter bar is positioned in the middle of the splitting region. To restore the splitter bar's position from the "closed" position, call the RestoreHotSpot method.


Raize Components 6

TRzSplitter.CloseHotSpot Example
TRzSplitter


Raize Components 6

TRzSplitter Events
TRzSplitter

Public
OnChange
OnChanging
OnHotSpotClick
OnLRDockDrop
OnLRDockOver
OnLRGetSiteInfo
OnLRUnDock
OnULDockDrop
OnULDockOver
OnULGetSiteInfo
OnULUnDock


TRzSplitter.FixedPane

Declaration
property FixedPane: TFixedPane default fpUpperLeft;

__property TFixedPane FixedPane

Description

This property controls which pane of the splitter control remains fixed in size as the splitter control is resized. By default, FixedPane is set to fpUpperLeft, which means the upper or left pane (depending on the Orientation) will remain fixed. The other option is fpLowerRight.


Raize Components 6

TRzSplitter.FixedPane Example
TRzSplitter


TRzSplitter.GradientColorAdjustment

Declaration
property GradientColorAdjustment: Integer default 30;

Description

Use this property to control the gradient used in drawing the splitter bar when SplitterStyle is set to ssGroupBar


Raize Components 6

TRzSplitter.GradientColorAdjustment Example
TRzSplitter


TRzSplitter.GradientPath

Declaration
property GradientPath: TRzGroupBarGradientPath default gpTopToBottom;

Description

Use this property to control the gradient direction used in drawing the splitter bar when SplitterStyle is set to ssGroupBar


Raize Components 6

TRzSplitter.GradientPath Example
TRzSplitter


TRzSplitter.HotSpotClosed

Declaration
property HotSpotClosed: Boolean;

__property bool HotSpotClosed

Description

This read-only property is True, if the splitter or size panel was closed via the HotSpot button.


Raize Components 6

TRzSplitter.HotSpotClosed Example
TRzSplitter


TRzSplitter.HotSpotClosedToMax

Declaration
property HotSpotClosedToMax: Boolean;

__property bool HotSpotClosedToMax

Description

This read-only property is True, if the splitter is closed and positioned at the maximun (i.e. right or bottom) of the control.


Raize Components 6

TRzSplitter.HotSpotClosedToMax Example
TRzSplitter


TRzSplitter.HotSpotClosedToMin

Declaration
property HotSpotClosedToMin: Boolean;

__property bool HotSpotClosedToMin

Description

This read-only property is True, if the splitter is closed and positioned at the minimum (i.e. left or top) of the control.


Raize Components 6

TRzSplitter.HotSpotClosedToMin Example
TRzSplitter


TRzSplitter.HotSpotColor

Declaration
property HotSpotColor: TColor default clBtnFace;

Description

Use this property to specify the color of the interior of the HotSpot button.


Raize Components 6

TRzSplitter.HotSpotColor Example
TRzSplitter


TRzSplitter.HotSpotDirection

Declaration
property HotSpotDirection: THotSpotDirection default hsdMin;

__property THotSpotDirection HotSpotDirection

Description

Use this property to specify which side of the splitter the splitter bar will be repositioned to if the user clicks the HotSpot button. The direction the splitter bar will move is indicated by small arrows on the button.


Raize Components 6

TRzSplitter.HotSpotDirection Example
TRzSplitter


TRzSplitter.HotSpotDotColor

Declaration
property HotSpotDotColor: TColor default clHighlight;

Description

Use this property to specify the color of the dots drawn inside the HotSpot button.


Raize Components 6

TRzSplitter.HotSpotDotColor Example
TRzSplitter


TRzSplitter.HotSpotFrameColor

Declaration
property HotSpotFrameColor: TColor default clBtnShadow;

Description

Use this property to specify the color of the frame drawn around the HotSpot button.


Raize Components 6

TRzSplitter.HotSpotFrameColor Example
TRzSplitter


TRzSplitter.HotSpotHighlight

Declaration
property HotSpotHighlight: TColor default clWindow;

__property Graphics::TColor HotSpotHighlight

Description

Use this property to customize the color that is used when the mouse is positioned over the HotSpot button. This property is only used when HotSpotVisible is True.


Raize Components 6

TRzSplitter.HotSpotHighlight Example
TRzSplitter


TRzSplitter.HotSpotIgnoreMargins

Declaration
property HotSpotIgnoreMargins: Boolean default True;

__property bool HotSpotIgnoreMargins

Description

When this property is True and the user clicks on the HotSpot button, the splitter pane is completely closed regardless of any margins set for the pane.


Raize Components 6

TRzSplitter.HotSpotIgnoreMargins Example
TRzSplitter


TRzSplitter.HotSpotPosition

Declaration
property HotSpotPosition: Integer;

__property int HotSpotPosition

Description

This read-only property contains the position value of the splitter bar (or sizing bar) before the pane or panel is closed using the HotSpot button.


Raize Components 6

TRzSplitter.HotSpotPosition Example
TRzSplitter


TRzSplitter.HotSpotSizePercent

Declaration
property HotSpotSizePercent: Integer default 40;

__property int HotSpotSizePercent

Description

This property controls how big the HotSpot button appears on the splitter bar or sizing bar. By default, the button takes up 40% of the size of the splitter bar.


Raize Components 6

TRzSplitter.HotSpotSizePercent Example
TRzSplitter


TRzSplitter.HotSpotVisible

Declaration
property HotSpotVisible: Boolean default False;

__property bool HotSpotVisible

Description

When the HotSpotVisible property is set to True, the center portion of the splitter or sizing bar contains a small thin button that when clicked on by the user causes the splitter bar to be repositioned to one side.


Raize Components 6

TRzSplitter.HotSpotVisible Example
TRzSplitter


TRzSplitter.LockBar

Declaration
property LockBar: Boolean default False;

__property bool LockBar

Description

When this property is set to True, the splitter bar cannot be moved.


Raize Components 6

TRzSplitter.LockBar Example
TRzSplitter


TRzSplitter.LockedPosition

Declaration
property LockedPosition: Integer;

__property int LockedPosition

Description

This property lets a developer programmatically change the Position of the splitter while the LockBar property is set to the True.


Raize Components 6

TRzSplitter.LockedPosition Example
TRzSplitter


TRzSplitter.LowerRight

Declaration
property LowerRight: TRzPaneData;

__property TRzPaneData *LowerRight

Description

This property provides access to the lower pane for a vertically oriented splitter or the right pane for a horizontally oriented splitter. This property provides design-time access to the inner and outer border styles, the border color, and the border width of the lower right pane. This property also allows the border color and interior color of the pane to be changed. The final design-time subproperty controls the visible state of the pane.

At runtime, the Pane subproperty can be used to access the underlying TRzSplitterPane component. This is useful, when you wish to create components dynamically on one of the panes. Set the new component's Parent property to the reference returned by the LowerRight.Pane property.

This property also provides access to the DockSite property and ShowDockClientCaptions property. Set LowerRight.DockSite to True, if you want this pane to be a dock site. Likewise, set ShowDockClientCaptions to True if you want the pane to use the Raize Components custom Docking Manager, which displays the client captions instead of the default grabber bar.


Raize Components 6

TRzSplitter.LowerRight Example
TRzSplitter


TRzSplitter.MarginMax

Declaration
property MarginMax: Integer default 0;

__property int MarginMax

Description

Use this property to specify how close to the right or bottom edge of the control the splitter bar can be positioned. The actual edge depends on the Orientation property.


Raize Components 6

TRzSplitter.MarginMax Example
TRzSplitter


TRzSplitter.MarginMin

Declaration
property MarginMin: Integer default 0;

__property int MarginMin

Description

Use this property to specify how close to the left or top edge of the control the splitter bar can be positioned. The actual edge depends on the Orientation property.


Raize Components 6

TRzSplitter.MarginMin Example
TRzSplitter


Raize Components 6

TRzSplitter Methods
TRzSplitter

Public
CloseHotSpot
ResetHotSpot
RestoreHotSpot


TRzSplitter.OnChange

Declaration
property OnChange: TNotifyEvent;

__property Classes::TNotifyEvent OnChange

Description

This event occurs when the position of the splitter bar changes.


Raize Components 6

TRzSplitter.OnChange Example
TRzSplitter


TRzSplitter.OnChanging

Declaration
property OnChanging: TPositionChangingEvent;

__property Rzcommon::TPositionChangingEvent OnChanging

Description

This event occurs whenever the user repositions the splitter bar. The new position is passed to an event handler. To prevent the component from moving to the new position, set the AllowChange parameter to False.


Raize Components 6

TRzSplitter.OnChanging Example
TRzSplitter


TRzSplitter.OnHotSpotClick

Declaration
property OnHotSpotClick: TNotifyEvent;

__property Classes::TNotifyEvent OnHotSpotClick

Description

This event is generated when the user clicks on the HotSpot button.


Raize Components 6

TRzSplitter.OnHotSpotClick Example
TRzSplitter


TRzSplitter.OnLRDockDrop

Declaration
property OnLRDockDrop: TDockDropEvent;

__property Controls::TDockDropEvent OnLRDockDrop

Description

This event is equivalent to the standard OnDockDrop event but is associated with the lower-right pane of a TRzSplitter component.


Raize Components 6

TRzSplitter.OnLRDockDrop Example
TRzSplitter


TRzSplitter.OnLRDockOver

Declaration
property OnLRDockOver: TDockOverEvent;

__property Controls::TDockOverEvent OnLRDockOver

Description

This event is equivalent to the standard OnDockOver event but is associated with the lower-right pane of a TRzSplitter component.


Raize Components 6

TRzSplitter.OnLRDockOver Example
TRzSplitter


TRzSplitter.OnLRGetSiteInfo

Declaration
property OnLRGetSiteInfo: TGetSiteInfoEvent;

__property Controls::TGetSiteInfoEvent OnLRGetSiteInfo

Description

This event is equivalent to the standard OnGetSiteInfo event but is associated with the lower-right pane of a TRzSplitter component.


Raize Components 6

TRzSplitter.OnLRGetSiteInfo Example
TRzSplitter


TRzSplitter.OnLRUnDock

Declaration
property OnLRUnDock: TUnDockEvent;

__property Controls::TUnDockEvent OnLRUnDock

Description

This event is equivalent to the standard OnUnDock event but is associated with the lower-right pane of a TRzSplitter component.


Raize Components 6

TRzSplitter.OnLRUnDock Example
TRzSplitter


TRzSplitter.OnULDockDrop

Declaration
property OnULDockDrop: TDockDropEvent;

__property Controls::TDockDropEvent OnULDockDrop

Description

This event is equivalent to the standard OnDockDrop event but is associated with the upper-left pane of a TRzSplitter component.


Raize Components 6

TRzSplitter.OnULDockDrop Example
TRzSplitter


TRzSplitter.OnULDockOver

Declaration
property OnULDockOver: TDockOverEvent;

__property Controls::TDockOverEvent OnULDockOver

Description

This event is equivalent to the standard OnDockOver event but is associated with the upper-left pane of a TRzSplitter component.


Raize Components 6

TRzSplitter.OnULDockOver Example
TRzSplitter


TRzSplitter.OnULGetSiteInfo

Declaration
property OnULGetSiteInfo: TGetSiteInfoEvent;

__property Controls::TGetSiteInfoEvent OnULGetSiteInfo

Description

This event is equivalent to the standard OnGetSiteInfo event but is associated with the upper-left pane of a TRzSplitter component.


Raize Components 6

TRzSplitter.OnULGetSiteInfo Example
TRzSplitter


TRzSplitter.OnULUnDock

Declaration
property OnULUnDock: TUnDockEvent;

__property Controls::TUnDockEvent OnULUnDock

Description

This event is equivalent to the standard OnUnDock event but is associated with the upper-left pane of a TRzSplitter component.


Raize Components 6

TRzSplitter.OnULUnDock Example
TRzSplitter


TRzSplitter.Orientation

Specifies that the control is horizontally or veritcally oriented.

Declaration
property Orientation: TOrientation default orHorizontal;

__property Rzcommon::TOrientation Orientation

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

TRzSplitter.Orientation Example
TRzSplitter


TRzSplitterPane

Unit
RzSplit

Description

TRzSplitterPane represents the customizable properties of the embedded panes of a TRzSplitter .


Raize Components 6

TRzSplitterPane Events
TRzSplitterPane

Public


Raize Components 6

TRzSplitterPane Properties
TRzSplitterPane

Public
BorderColor
BorderInner
BorderOuter
BorderWidth
Color
FlatColor
FlatColorAdjustment
ShowDockClientCaptions
TabStop
Visible


TRzSplitterPane.Visible

Determines if the control is visible at runtime.

Declaration
property Visible: Boolean default True;

__property bool Visible

Description

Use the Visible property to control the visibility of the control at runtime. If Visible is True, the control appears. If Visible is False, the control is not visible.

Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.


Raize Components 6

TRzSplitterPane.Visible Example
TRzSplitterPane


TRzSplitter.Percent

Declaration
property Percent: Integer default 50;

__property int Percent

Description

The Percent property determines the relative position of the splitter bar. That is, when Percent equals 50%, the splitter bar will be positioned in the middle of the splitting region. When the splitting region is resized, the splitter bar maintains its relative positioning based on the Percent property value. This property is only active when the UsePercent property is True.


Raize Components 6

TRzSplitter.Percent Example
TRzSplitter


TRzSplitter.PercentMax

Declaration
property PercentMax: Integer default 100;

__property int PercentMax

Description

This property restricts the splitter bar from moving to the right or below this percentage value. Only enforced when the UsePercent property is True.


Raize Components 6

TRzSplitter.PercentMax Example
TRzSplitter


TRzSplitter.PercentMin

Declaration
property PercentMin: Integer default 0;

__property int PercentMin

Description

This property restricts the splitter bar from moving to the left or above this percentage value. Only enforced when the UsePercent property is True.


Raize Components 6

TRzSplitter.PercentMin Example
TRzSplitter


TRzSplitter.Position

Declaration
property Position: Integer;

__property int Position

Description

This property indicates the current position of the splitter bar. That is, the distance from either the left or top of the component depending on the orientation of the component.


Raize Components 6

TRzSplitter.Position Example
TRzSplitter


Raize Components 6

TRzSplitter Properties
TRzSplitter

Public
About
Align
Anchors
BevelWidth
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
Color
Constraints
Enabled
FixedPane
FlatColor
FlatColorAdjustment
FullRepaint
GradientColorAdjustment
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
GradientPath
Height
HotSpotClosed
HotSpotClosedToMax
HotSpotClosedToMin
HotSpotColor
HotSpotDirection
HotSpotDotColor
HotSpotFrameColor
HotSpotHighlight
HotSpotIgnoreMargins
HotSpotPosition
HotSpotSizePercent
HotSpotVisible
LockBar
Locked
LockedPosition
LowerRight
MarginMax
MarginMin
Orientation
ParentColor
ParentShowHint
Percent
PercentMax
PercentMin
PopupMenu
Position
RealTimeDrag
SelectedPane
ShowHint
SplitterStyle
SplitterWidth
TabOrder
TabStop
Transparent
UpperLeft
UsePercent
Visible
VisualStyle
Width


TRzSplitter.RealTimeDrag

Declaration
property RealTimeDrag: Boolean default False;

__property bool RealTimeDrag

Description

This property controls the appearance of the splitter component when the user moves the splitter bar. By default, RealTimeDrag is False and thus a mask is displayed showing the new position of the bar, and when the user releases the mouse, the bar is repositioned. When RealTimeDrag is set to True, the bar is repositioned as the user moves the mouse.


Raize Components 6

TRzSplitter.RealTimeDrag Example
TRzSplitter


TRzSplitter.ResetHotSpot

Declaration
procedure ResetHotSpot;

virtual void __fastcall ResetHotSpot(void)

Description

Call this method if you programmatically change the position of the splitter bar. This method will ensure that if the user clicks on the HotSpot, the mouse click will be registered correctly.


Raize Components 6

TRzSplitter.ResetHotSpot Example
TRzSplitter


TRzSplitter.RestoreHotSpot

Declaration
procedure RestoreHotSpot;

void __fastcall RestoreHotSpot(void)

Description

RestoreHotSpot performs the same function that occurs when a user clicks on the HotSpot button while it is in the "closed" position, thus returning the splitter bar to its "open" position. Use the CloseHotSpot method to close the pane or panel.


Raize Components 6

TRzSplitter.RestoreHotSpot Example
TRzSplitter


TRzSplitter.SelectedPane

Declaration
property SelectedPane: TSelectedPane;

__property TSelectedPane SelectedPane

Description

This property indicates the currently selected pane in a splitter component. It is rarely used at runtime, but is extremely valuable at design-time. Since there are two panes in a splitter that can serve as containers for other components, pasting controls previously copied to the clipboard requires selecting the destination pane before pasting the controls. The currently selected pane has a dashed line around its perimeter. To change the selected pane, use the SelectedPane property or select the desired pane from the splitter's popup menu.


Raize Components 6

TRzSplitter.SelectedPane Example
TRzSplitter


TRzSplitter.SplitterStyle

Declaration
property SplitterStyle: TSplitterStyle default ssStandard;

__property TSplitterStyle SplitterStyle

Description

Use this property to change the appearance of the splitter bar. By default this property is set to ssStandard, which causes the splitter bar to appear as a solid bar. When set to ssBump or ssGroove, the splitter bar appears raised or lowered depending on the actual setting.


Raize Components 6

TRzSplitter.SplitterStyle Example
TRzSplitter


TRzSplitter.SplitterWidth

Declaration
property SplitterWidth: Word default 4;

__property Word SplitterWidth

Description

Use this property to specify the width (in pixels) of the splitter bar in a TRzSplitter component.


Raize Components 6

TRzSplitter.SplitterWidth Example
TRzSplitter


TRzSplitter.UpperLeft

Declaration
property UpperLeft: TRzPaneData;

__property TRzPaneData *UpperLeft

Description

This property provides access to the upper pane for a vertically oriented splitter or the left pane for a horizontally oriented splitter. This property provides design-time access to the inner and outer border styles, the border color, and the border width of the upper left pane. This property also allows the border color and interior color of the pane to be changed. The final design-time subproperty controls the visible state of the pane.

At runtime, the Pane subproperty can be used to access the underlying TRzSplitterPane component. This is useful, when you wish to create components dynamically on one of the panes. Set the new component's Parent property to the reference returned by the UpperLeft.Pane property.

This property also provides access to the DockSite property and ShowDockClientCaptions property. Set LowerRight.DockSite to True, if you want this pane to be a dock site. Likewise, set ShowDockClientCaptions to True if you want the pane to use the Raize Components custom Docking Manager, which displays the client captions instead of the default grabber bar.


Raize Components 6

TRzSplitter.UpperLeft Example
TRzSplitter


TRzSplitter.UsePercent

Declaration
property UsePercent: Boolean default False;

__property bool UsePercent

Description

When this property is set to True, the Percent property is used to control the positioning on the splitter bar.


Raize Components 6

TRzSplitter.UsePercent Example
TRzSplitter


TSelectedPane

Unit
RzSplit

Declaration
TSelectedPane=(spUpperLeft, spLowerRight);

enum TSelectedPane spUpperLeft, spLowerRight ;

Description

Value Meaning

spUpperLeft

spLowerRight


TSizeBarWidth

Unit
RzSplit

Declaration
TSizeBarWidth=1..MaxInt;

typedef int TSizeBarWidth;

Description

.


TSplitterStyle

Unit
RzSplit

Declaration
TSplitterStyle=(ssStandard, ssGroove, ssBump);

enum TSplitterStyle ssStandard, ssGroove, ssBump ;

Description

Value Meaning

ssStandard

ssGroove

ssBump


RzSpnEdt

RzSpnEdt File
List of Units

Unit Classes

TRzButtonType |
TRzRapidFireButton | TRzRapidFireButton is a specialized speed button that repeatedly generates OnClick events when held down.
TRzSpinButtons | TRzSpinButtons is a compound control containing two TRzRapidFireButton .
TRzSpinEdit | TRzSpinEdit is a specialized single-line edit control for entering numeric values.
TRzSpinner | TRzSpinner is a custom control for selecting integer values.
TRzSpinnerEvent |
TSpinButtonEvent |
TSpinButtonType |
TSpinChangingEvent |
TSpinDirection |


TRzButtonType

Unit
RzSpnEdt

Declaration
TRzButtonType=(btMinus, btPlus);

enum TRzButtonType btMinus, btPlus ;

Description

.


TRzRapidFireButton.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzRapidFireButton.About Example
TRzRapidFireButton


TRzRapidFireButton.Delay

Declaration
property Delay: Word default 100;

__property Word Delay

Description

Use this property to specify the interval (in milliseconds) between OnClick events generated when a TRzRapidFireButton is depressed.


Raize Components 6

TRzRapidFireButton.Delay Example
TRzRapidFireButton


TRzRapidFireButton.InitialDelay

Declaration
property InitialDelay: Word default 400;

__property Word InitialDelay

Description

Use this property to specify the number of milliseconds before the first OnClick event is generated after a TRzRapidFireButton is depressed.


Raize Components 6

TRzRapidFireButton.InitialDelay Example
TRzRapidFireButton


Raize Components 6

TRzRapidFireButton Properties
TRzRapidFireButton

Public
About
Delay
InitialDelay
ScrollStyle


TRzRapidFireButton.ScrollStyle

Declaration
property ScrollStyle: TRzScrollStyle default scsNone;

__property TRzScrollStyle ScrollStyle

Description

Use ScrollStyle to specify that the button will be used for scrolling and that an appropriate image is displayed on the button.


Raize Components 6

TRzRapidFireButton.ScrollStyle Example
TRzRapidFireButton


TRzSpinButtons.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSpinButtons.About Example
TRzSpinButtons


TRzSpinButtons.Direction

Declaration
property Direction: TSpinDirection default sdUpDown;

__property TSpinDirection Direction

Description

For spin edit, this property controls direction the arrows on the button point to. In particular, the arrows can point Up and Down or Left and Right. The default value is sdUpDown. However, if you change the Orientation of the spin edit to orHorizontal so that the buttons are side by side, you may want to consider changing the Direction of sdLeftRight.


Raize Components 6

TRzSpinButtons.Direction Example
TRzSpinButtons


TRzSpinButtons.DownLeftButton

Declaration
property DownLeftButton: TRzRapidFireButton;

__property TRzRapidFireButton *DownLeftButton

Description

This read-only property provides runtime access to the speed button that represents the down or left direction of the component.


Raize Components 6

TRzSpinButtons.DownLeftButton Example
TRzSpinButtons


TRzSpinButtons.Enabled

Determines whether or not the contol is enabled.

Declaration
property Enabled: Boolean default True;

__property bool Enabled

Description

Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to false. Disabled controls appear dimmed. If Enabled is False, the control ignores mouse, keyboard, and timer events.

To re-enable a control, set Enabled to True. The control is no longer dimmed, and the user can use the control.


Raize Components 6

TRzSpinButtons.Enabled Example
TRzSpinButtons


Raize Components 6

TRzSpinButtons Events
TRzSpinButtons

Public
OnDownLeftClick
OnUpRightClick


TRzSpinButtons.Flat

Declaration
property Flat: Boolean default False;

__property bool Flat

Description

This property determines whether or not the button control has a border when the mouse is not positioned over the control. When set to True, the button appears without a border until the user moves the mouse over the button.


Raize Components 6

TRzSpinButtons.Flat Example
TRzSpinButtons


TRzSpinButtons.FocusControl

Declaration
property FocusControl: TWinControl;

__property Controls::TWinControl *FocusControl

Description

Set FocusControl to the windowed control that should receive focus when the user presses the accelerator key specified by the label.


Raize Components 6

TRzSpinButtons.FocusControl Example
TRzSpinButtons


TRzSpinButtons.GlyphDownLeft

Declaration
property GlyphDownLeft: TBitmap stored FCustomDownLeftGlyph;

__property Graphics::TBitmap *GlyphDownLeft

Description

Use this property to override the default Down or Left arrow bitmap used for a TRzSpinButtons component.


Raize Components 6

TRzSpinButtons.GlyphDownLeft Example
TRzSpinButtons


TRzSpinButtons.GlyphUpRight

Declaration
property GlyphUpRight: TBitmap stored FCustomUpRightGlyph;

__property Graphics::TBitmap *GlyphUpRight

Description

Use this property to override the default Up or Right arrow bitmap used for a TRzSpinButtons component.


Raize Components 6

TRzSpinButtons.GlyphUpRight Example
TRzSpinButtons


TRzSpinButtons.NumGlyphsDownLeft

Declaration
property NumGlyphsDownLeft: TNumGlyphs stored FCustomDownLeftGlyph default 2;

__property Buttons::TNumGlyphs NumGlyphsDownLeft

Description

Use this property to specify the number of glyphs embedded in the GlyphDownLeft bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the control. The first glyph is used for the normal Up state. The second one is used when the control is Disabled, and the third is used for the Down state. The last glyph is used when the control can be kept in the Down state (such as a button). This last glyph is not used by the TRzSpinButtons component.


Raize Components 6

TRzSpinButtons.NumGlyphsDownLeft Example
TRzSpinButtons


TRzSpinButtons.NumGlyphsUpRight

Declaration
property NumGlyphsUpRight: TNumGlyphs stored FCustomUpRightGlyph default 2;

__property Buttons::TNumGlyphs NumGlyphsUpRight

Description

Use this property to specify the number of glyphs embedded in the GlyphUpRight bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the control. The first glyph is used for the normal Up state. The second one is used when the control is Disabled, and the third is used for the Down state. The last glyph is used when the control can be kept in the Down state (such as a button). This last glyph is not used by the TRzSpinButtons component.


Raize Components 6

TRzSpinButtons.NumGlyphsUpRight Example
TRzSpinButtons


TRzSpinButtons.OnDownLeftClick

Declaration
property OnDownLeftClick: TNotifyEvent;

__property Classes::TNotifyEvent OnDownLeftClick

Description

This event occurs whenever the user clicks the decrement button of a TRzSpinButtons component.


Raize Components 6

TRzSpinButtons.OnDownLeftClick Example
TRzSpinButtons


TRzSpinButtons.OnUpRightClick

Declaration
property OnUpRightClick: TNotifyEvent;

__property Classes::TNotifyEvent OnUpRightClick

Description

This event occurs whenever the user clicks the increment button of a TRzSpinButtons component.


Raize Components 6

TRzSpinButtons.OnUpRightClick Example
TRzSpinButtons


TRzSpinButtons.Orientation

Specifies that the control is horizontally or veritcally oriented.

Declaration
property Orientation: TOrientation default orVertical;

__property Rzcommon::TOrientation Orientation

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

TRzSpinButtons.Orientation Example
TRzSpinButtons


Raize Components 6

TRzSpinButtons Properties
TRzSpinButtons

Public
About
Align
Anchors
Color
Constraints
Ctl3D
Direction
DownLeftButton
DragCursor
DragKind
DragMode
Enabled
Flat
FocusControl
GlyphDownLeft
GlyphUpRight
NumGlyphsDownLeft
NumGlyphsUpRight
Orientation
ParentColor
ParentCtl3D
ParentShowHint
PopupMenu
ShowHint
TabOrder
TabStop
UpRightButton
Visible


TRzSpinButtons.UpRightButton

Declaration
property UpRightButton: TRzRapidFireButton;

__property TRzRapidFireButton *UpRightButton

Description

This read-only property provides runtime access to the speed button that represents the up or right direction of the component.


Raize Components 6

TRzSpinButtons.UpRightButton Example
TRzSpinButtons


TRzSpinEdit.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSpinEdit.About Example
TRzSpinEdit


TRzSpinEdit.AllowBlank

Specifies that the edit control may be empty.

Declaration
property AllowBlank: Boolean default False;

__property bool AllowBlank

Description

Set the AllowBlank property to True to allow an empty edit field. If the edit field is empty and AllowBlank is True, when you try to get the value of the edit, the value specified in BlankValue is returned.


Raize Components 6

TRzSpinEdit.AllowBlank Example
TRzSpinEdit


TRzSpinEdit.AllowKeyEdit

Specifies whether or not the control allows keyboard editing.

Declaration
property AllowKeyEdit: Boolean default False;

__property bool AllowKeyEdit

Description

Set this property to True to allow a user to type into the edit portion of the control. When this property is False, only the buttons (or arrow keys for spin edits) can be used to modify the value.


Raize Components 6

TRzSpinEdit.AllowKeyEdit Example
TRzSpinEdit


TRzSpinEdit.BlankValue

Specifies how a blank (empty) field is interpretted.

Declaration
property BlankValue: Extended;

__property Extended BlankValue

Description

Set the AllowBlank property to True to allow an empty edit field. If the edit field is empty and AllowBlank is True, when you try to get the value of the edit, the value specified in BlankValue is returned.


Raize Components 6

TRzSpinEdit.BlankValue Example
TRzSpinEdit


TRzSpinEdit.ButtonDownGlyph

Declaration
property ButtonDownGlyph: TBitmap;

__property Graphics::TBitmap *ButtonDownGlyph

Description

Use this property to override the default down arrow bitmap used for a spin edit component.


Raize Components 6

TRzSpinEdit.ButtonDownGlyph Example
TRzSpinEdit


TRzSpinEdit.ButtonDownNumGlyphs

Declaration
property ButtonDownNumGlyphs: TNumGlyphs;

__property Buttons::TNumGlyphs ButtonDownNumGlyphs

Description

Use this property to specify the number of glyphs embedded in the ButtonDownGlyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the button. The first glyph is used for the normal Up state. The second one is used when the button is Disabled, and the third is used for the Down state. The last glyph is used when the button can be kept in the Down state. This last glyph is not used by the spin edit components.


Raize Components 6

TRzSpinEdit.ButtonDownNumGlyphs Example
TRzSpinEdit


TRzSpinEdit.ButtonUpGlyph

Declaration
property ButtonUpGlyph: TBitmap;

__property Graphics::TBitmap *ButtonUpGlyph

Description

Use this property to override the default up arrow bitmap used for a spin edit component.


Raize Components 6

TRzSpinEdit.ButtonUpGlyph Example
TRzSpinEdit


TRzSpinEdit.ButtonUpNumGlyphs

Declaration
property ButtonUpNumGlyphs: TNumGlyphs;

__property Buttons::TNumGlyphs ButtonUpNumGlyphs

Description

Use this property to specify the number of glyphs embedded in the ButtonUpGlyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the button. The first glyph is used for the normal Up state. The second one is used when the button is Disabled, and the third is used for the Down state. The last glyph is used when the button can be kept in the Down state. This last glyph is not used by the spin edit components.


Raize Components 6

TRzSpinEdit.ButtonUpNumGlyphs Example
TRzSpinEdit


TRzSpinEdit.ButtonWidth

Declaration
property ButtonWidth: Integer default 17;

__property int ButtonWidth

Description

Use this property to specify the width of both spin buttons.


Raize Components 6

TRzSpinEdit.ButtonWidth Example
TRzSpinEdit


TRzSpinEdit.CheckRange

Determines if range checking is performed.

Declaration
property CheckRange: Boolean default False;

__property bool CheckRange

Description

This property is used in the situation where the Min and Max properties are equal. Setting both Min and Max to the same value can be interpreted in two different ways. The first is when CheckRange is False. In this case, there is no range on the values that can be entered into the component. If CheckRange is set to True, then only the value represented by Min and Max can be entered into the component.


Raize Components 6

TRzSpinEdit.CheckRange Example
TRzSpinEdit


TRzSpinEdit.Decimals

Declaration
property Decimals: Byte default 0;

__property Byte Decimals

Description

Use this property to specify the number of decimal places used by a spin edit when displaying floating point values.


Raize Components 6

TRzSpinEdit.Decimals Example
TRzSpinEdit


TRzSpinEdit.Direction

Declaration
property Direction: TSpinDirection default sdUpDown;

__property TSpinDirection Direction

Description

For spin edit, this property controls direction the arrows on the button point to. In particular, the arrows can point Up and Down or Left and Right. The default value is sdUpDown. However, if you change the Orientation of the spin edit to orHorizontal so that the buttons are side by side, you may want to consider changing the Direction of sdLeftRight.


Raize Components 6

TRzSpinEdit.Direction Example
TRzSpinEdit


TRzSpinEdit.DownLeftButton

Declaration
property DownLeftButton: TSpeedButton;

__property Buttons::TSpeedButton *DownLeftButton

Description

This read-only property provides runtime access to the speed button that represents the down or left direction of the component.


Raize Components 6

TRzSpinEdit.DownLeftButton Example
TRzSpinEdit


Raize Components 6

TRzSpinEdit Events
TRzSpinEdit

Public
OnButtonClick
OnChanging


TRzSpinEdit.FlatButtonColor

Specifies color of embedded buttons.

Declaration
property FlatButtonColor: TColor default clBtnFace;

__property Graphics::TColor FlatButtonColor

Description

Use FlatButtonColor to specify the background color of the embedded buttons.


Raize Components 6

TRzSpinEdit.FlatButtonColor Example
TRzSpinEdit


TRzSpinEdit.Increment

Specifies the single unit amount by which the Value property is adjusted.

Declaration
property Increment: Extended;

__property Extended Increment

Description

Use this property to specify the amount the Value property is incremented or decremented by when one of the spin buttons is pressed or when either the up or down arrow key is pressed. Note that the Increment property can be set to a floating point value, thus allowing non-integer increments.


Raize Components 6

TRzSpinEdit.Increment Example
TRzSpinEdit


TRzSpinEdit.IntegersOnly

Declaration
property IntegersOnly: Boolean default True;

__property bool IntegersOnly

Description

Set this property to True to restrict values to Integers. If keyboard entry is allowed via AllowKeyEdit, the user is not allowed to enter a decimal point. Therefore, the Decimals property has no effect when IntegersOnly is True.


Raize Components 6

TRzSpinEdit.IntegersOnly Example
TRzSpinEdit


TRzSpinEdit.IntValue

Represents the Integer value currently represented by the control.

Declaration
property IntValue: Integer;

__property int IntValue

Description

Use this property to retrieve the Value property converted to an Integer value. Since the Value property is a floating point number, using it in an Integer calculation will result in type-mismatch errors. The IntValue property eliminates the need to perform the typecast.


Raize Components 6

TRzSpinEdit.IntValue Example
TRzSpinEdit


TRzSpinEdit.Max

Specifies a maximum value for a range.

Declaration
property Max: Extended stored StoreMax;

__property Extended Max

Description

For track bars, use this property to specify the maximum position along the track.

For spin edits and numeric edits, use this property to specify the maximum value that can be entered.


Raize Components 6

TRzSpinEdit.Max Example
TRzSpinEdit


TRzSpinEdit.Min

Specifies a minimum value for a range.

Declaration
property Min: Extended;

__property Extended Min

Description

For track bars, use this property to specify the minimum position along the track.

For spin edits, use this property to specify the minimum value that can be entered.


Raize Components 6

TRzSpinEdit.Min Example
TRzSpinEdit


TRzSpinEdit.OnButtonClick

Declaration
property OnButtonClick: TSpinButtonEvent;

__property TSpinButtonEvent OnButtonClick

Description

For spin edits, this event occurs whenever one of the buttons in a spin edit component gets pressed. The event handler is passed a parameter indicating which button (up or down) was pressed.


Raize Components 6

TRzSpinEdit.OnButtonClick Example
TRzSpinEdit


TRzSpinEdit.OnChanging

Declaration
property OnChanging: TSpinChangingEvent;

__property TSpinChangingEvent OnChanging

Description

For spin edits, this event occurs whenever the user presses either the up or down button to change the value of a spin edit component. To prevent the value from being changed, set the AllowChange parameter to False.


Raize Components 6

TRzSpinEdit.OnChanging Example
TRzSpinEdit


TRzSpinEdit.Orientation

Specifies that the control is horizontally or veritcally oriented.

Declaration
property Orientation: TOrientation default orVertical;

__property Rzcommon::TOrientation Orientation

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

TRzSpinEdit.Orientation Example
TRzSpinEdit


TRzSpinEdit.PageSize

Specifies the amount by which the Value property is adjusted when the PgUp or PgDn keys are pressed.

Declaration
property PageSize: Extended;

__property Extended PageSize

Description

For track bars, use this property to specify the amount the Position changes when either the PgUp or PgDn key is pressed.

For spin edits, use this property to specify the amount the Value property is incremented or decremented by when either the PgUp or PgDn key is pressed. Note that the PageSize property can be set to a floating point value, thus allowing non-integer increments.


Raize Components 6

TRzSpinEdit.PageSize Example
TRzSpinEdit


Raize Components 6

TRzSpinEdit Properties
TRzSpinEdit

Public
About
Align
Alignment
AllowBlank
AllowKeyEdit
Anchors
AutoSelect
AutoSize
BiDiMode
BlankValue
ButtonDownGlyph
ButtonDownNumGlyphs
ButtonUpGlyph
ButtonUpNumGlyphs
ButtonWidth
CharCase
CheckRange
Color
Constraints
Ctl3D
Decimals
Direction
DisabledColor
DownLeftButton
DragCursor
DragKind
DragMode
Enabled
FlatButtonColor
FlatButtons
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HideSelection
ImeMode
ImeName
Increment
IntegersOnly
IntValue
Max
Min
OEMConvert
Orientation
PageSize
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PasswordChar
PopupMenu
ReadOnly
ReadOnlyColor
ReadOnlyColorOnFocus
ShowHint
TabOnEnter
TabOrder
TabStop
UpRightButton
Value
Visible


TRzSpinEdit.UpRightButton

Declaration
property UpRightButton: TSpeedButton;

__property Buttons::TSpeedButton *UpRightButton

Description

This read-only property provides runtime access to the speed button that represents the up or right direction of the component.


Raize Components 6

TRzSpinEdit.UpRightButton Example
TRzSpinEdit


TRzSpinEdit.Value

Declaration
property Value: Extended;

__property Extended Value

Description

For spin edits, this property is equal to the contents of the edit portion converted to a floating point value. If the IntegersOnly property is True, then using the IntValue property eliminates the need to manually perform the conversion to an Integer value.


Raize Components 6

TRzSpinEdit.Value Example
TRzSpinEdit


TRzSpinner.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzSpinner.About Example
TRzSpinner


TRzSpinner.ButtonColor

Declaration
property ButtonColor: TColor default clBtnFace;

__property Graphics::TColor ButtonColor

Description

Use ButtonColor to specify the color of the increment and decrement buttons.


Raize Components 6

TRzSpinner.ButtonColor Example
TRzSpinner


TRzSpinner.ButtonWidth

Declaration
property ButtonWidth: Integer default 18;

__property int ButtonWidth

Description

Use ButtonWidth to specify the width of both the increment and decrement buttons.


Raize Components 6

TRzSpinner.ButtonWidth Example
TRzSpinner


TRzSpinner.CheckRange

Determines if range checking is performed.

Declaration
property CheckRange: Boolean default False;

__property bool CheckRange

Description

This property is used in the situation where the Min and Max properties are equal. Setting both Min and Max to the same value can be interpreted in two different ways. The first is when CheckRange is False. In this case, there is no range on the values that can be entered into the component. If CheckRange is set to True, then only the value represented by Min and Max can be entered into the component.


Raize Components 6

TRzSpinner.CheckRange Example
TRzSpinner


Raize Components 6

TRzSpinner Events
TRzSpinner

Public
OnChange
OnChanging


TRzSpinner.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzSpinner.FrameColor Example
TRzSpinner


TRzSpinner.ImageIndexMinus

Declaration
property ImageIndexMinus: TImageIndex default - 1;

__property Imglist::TImageIndex ImageIndexMinus

Description

Use ImageIndexMinus to specify the index into an image list for the image to be displayed on the decrement button.


Raize Components 6

TRzSpinner.ImageIndexMinus Example
TRzSpinner


TRzSpinner.ImageIndexPlus

Declaration
property ImageIndexPlus: TImageIndex default - 1;

__property Imglist::TImageIndex ImageIndexPlus

Description

Use ImageIndexPlus to specify the index into an image list for the image to be displayed on the decrement button.


Raize Components 6

TRzSpinner.ImageIndexPlus Example
TRzSpinner


TRzSpinner.Images

Specifies an associated image list.

Declaration
property Images: TCustomImageList;

__property Imglist::TCustomImageList *Images

Description

Use Images to connect the control to an image list control.


Raize Components 6

TRzSpinner.Images Example
TRzSpinner


TRzSpinner.Increment

Specifies the single unit amount by which the Value property is adjusted.

Declaration
property Increment: Integer default 1;

__property int Increment

Description

Use this property to specify the amount the Value property is incremented or decremented by when one of the spin buttons is pressed or when either the up or down arrow key is pressed. Note that the Increment property can be set to a floating point value, thus allowing non-integer increments.


Raize Components 6

TRzSpinner.Increment Example
TRzSpinner


TRzSpinner.Max

Specifies a maximum value for a range.

Declaration
property Max: Integer default 100;

__property int Max

Description

For track bars, use this property to specify the maximum position along the track.

For spin edits and numeric edits, use this property to specify the maximum value that can be entered.


Raize Components 6

TRzSpinner.Max Example
TRzSpinner


TRzSpinner.Min

Specifies a minimum value for a range.

Declaration
property Min: Integer default 0;

__property int Min

Description

For track bars, use this property to specify the minimum position along the track.

For spin edits, use this property to specify the minimum value that can be entered.


Raize Components 6

TRzSpinner.Min Example
TRzSpinner


TRzSpinner.OnChange

Declaration
property OnChange: TNotifyEvent;

__property Classes::TNotifyEvent OnChange

Description

This event occurs whenever the percentage value of the progress bar changes. The new percentage value is passed as a parameter to the event handler.


Raize Components 6

TRzSpinner.OnChange Example
TRzSpinner


TRzSpinner.OnChanging

Declaration
property OnChanging: TRzSpinnerEvent;

__property TRzSpinnerEvent OnChanging

Description

For spin edits, this event occurs whenever the user presses either the up or down button to change the value of a spin edit component. To prevent the value from being changed, set the AllowChange parameter to False.


Raize Components 6

TRzSpinner.OnChanging Example
TRzSpinner


TRzSpinner.PageSize

Specifies the amount by which the Value property is adjusted when the PgUp or PgDn keys are pressed.

Declaration
property PageSize: Integer default 10;

__property int PageSize

Description

For track bars, use this property to specify the amount the Position changes when either the PgUp or PgDn key is pressed.

For spin edits, use this property to specify the amount the Value property is incremented or decremented by when either the PgUp or PgDn key is pressed. Note that the PageSize property can be set to a floating point value, thus allowing non-integer increments.


Raize Components 6

TRzSpinner.PageSize Example
TRzSpinner


Raize Components 6

TRzSpinner Properties
TRzSpinner

Public
About
ButtonColor
ButtonWidth
CheckRange
Color
DragCursor
DragMode
Enabled
Font
FrameColor
Height
HelpContext
Hint
ImageIndexMinus
ImageIndexPlus
Images
Increment
Max
Min
PageSize
ParentColor
ParentShowHint
PopupMenu
ShowHint
TabOnEnter
TabOrder
TabStop
Value
Visible
Width


TRzSpinner.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzSpinner.TabOnEnter Example
TRzSpinner


TRzSpinner.Value

Declaration
property Value: Integer default 0;

__property int Value

Description

Value represents the integer value displayed in the client area of the spinner.


Raize Components 6

TRzSpinner.Value Example
TRzSpinner


TSpinButtonEvent

Unit
RzSpnEdt

Declaration
TSpinButtonEvent=procedure(Sender: TObject; Button: TSpinButtonType) of object;

typedef void __fastcall(__closure *TSpinButtonEvent)(System::TObject *Sender, TSpinButtonType Button);

Description

.


TSpinButtonType

Unit
RzSpnEdt

Declaration
TSpinButtonType=(sbUp, sbDown);

enum TSpinButtonType sbUp, sbDown ;

Description

Value Meaning

sbUp

sbDown


TSpinChangingEvent

Unit
RzSpnEdt

Declaration
TSpinChangingEvent=procedure(Sender: TObject; NewValue: Extended; var AllowChange: Boolean) of object;

typedef void __fastcall(__closure *TSpinChangingEvent)(System::TObject *Sender, Extended NewValue, bool & AllowChange);

Description

.


TSpinDirection

Unit
RzSpnEdt

Declaration
TSpinDirection=(sdUpDown, sdLeftRight);

enum TSpinDirection sdUpDown, sdLeftRight ;

Description

Value Meaning

sdUpDown

sdLeftRight


RzStatus

RzStatus File
List of Units

Unit Classes

TDisplayStyle |
TGlyphAlignment |
TResourceType |
TRzClockStatus | TRzClockStatus is a status pane that displays the current date and time.
TRzCustomFieldStatus | TRzCustomFieldStatus is the base class for all status panes designed to display a field label next to the status caption.
TRzCustomGlyphStatus | TRzCustomGlyphStatus is the base class for all glyph-based status controls in Raize Components.
TRzCustomStatusPane | TRzCustomStatusPane is the base type for all status panes in Raize Components.
TRzFieldStatus | TRzFieldStatus is a status control for displaying a field label next to the status caption.
TRzGetDateTimeEvent |
TRzGlyphStatus | TRzGlyphStatus is a status control for displaying text and a specified image.
TRzInsertState |
TRzKeyOffAppearance |
TRzKeyStatus | TRzKeyStatus is a status control for displaying the current state of a keyboard key.
TRzKeyStrings |
TRzMarqueeStatus | TRzMarqueeStatus is a status pane which scrolls its caption to left or right.
TRzPollingStatus |
TRzProgressStatus | TRzProgressStatus is a custom status pane for displaying progress indicators.
TRzResourceStatus | TRzResourceStatus is a status pane for displaying current system resource usage.
TRzResourceStrings |
TRzStatusPane | TRzStatusPane is a graphical control for displaying status information.
TRzToggleKey |
TRzToggleState |
TRzVersionInfo | TRzVersionInfo is a nonvisual control that provides access to the version information of an application or file.
TRzVersionInfoField |
TRzVersionInfoStatus | TRzVersionInfoStatus is a specialized status pane for displaying version information recorded in a TRzVersionInfo component.


TDisplayStyle

Unit
RzStatus

Declaration
TDisplayStyle =(dsBar, dsText);

enum TDisplayStyle dsBar, dsText ;

Description

Value Meaning

dsBar:

dsText:


TGlyphAlignment

Unit
RzStatus

Declaration
TGlyphAlignment =(gaLeft, gaRight);

enum TGlyphAlignment gaLeft, gaRight ;

Description

Value Meaning

gaLeft:

gaRight:


TResourceType

Unit
RzStatus

Declaration
TResourceType =(rtSystem, rtMemory);

Description

Value Meaning

rtSystem:

rtMemory:


Raize Components 6

TRzClockStatus Events
TRzClockStatus

Public
OnGetDateTime


TRzClockStatus.Format

Determines format of date and time displayed.

Declaration
property Format: string;

__property AnsiString Format

Description

The Format property determines how the current date and time is displayed within the TRzClockStatus component. The string specified in this property is passed to the standard Format procedure. The following are some sample Format values and the corresponding status display:

Format String Output

c 9/15/90 5:18:23 PM

dddddd Saturday, September 15, 1990

m/d/yy 9/15/90

mm/dd/yyy 09/15/1990

t 5:18 PM

hh:nn a/p 05:18 p

h:nn:ss am/pm 5:18:35 pm


Raize Components 6

TRzClockStatus.Format Example
TRzClockStatus


TRzClockStatus.OnGetDateTime
TRzClockStatus Events

Occurs when the date/time value gets updated.

Declaration
property OnGetDateTime: TRzGetDateTimeEvent;

Description

This event occurs when the date/time gets updated in the status area.


Raize Components 6

TRzClockStatus.OnGetDateTime Example
TRzClockStatus


Raize Components 6

TRzClockStatus Properties
TRzClockStatus

Public
Alignment
AutoSize
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
CaptionOffset
DefaultWidth
Format
Width


TRzCustomFieldStatus

Properties

TRzCustomFieldStatus is the base class for all status panes designed to display a field label next to the status caption.

Unit
RzStatus

Declaration
TRzCustomFieldStatus=Class(TRzCustomStatusPane);

Description

Do not create instances of TRzCustomFieldStatus--use TRzFieldStatus or some other descendant.


TRzCustomFieldStatus.FieldLabel

Specifies static text to be displayed to identify contents of control.

Declaration
property FieldLabel: string;

__property AnsiString FieldLabel

Description

Use this property to specify a static text string that identifies the information displayed in the Caption property. The FieldLabel string is displayed on the left side of the status pane.


Raize Components 6

TRzCustomFieldStatus.FieldLabel Example
TRzCustomFieldStatus


TRzCustomFieldStatus.FieldLabelColor

Specifies the color of the field label.

Declaration
property FieldLabelColor: TColor default clHighlight;

__property Graphics::TColor FieldLabelColor

Description

Use this property to specify what color the text specified in the FieldLabel property will be diplayed in.


Raize Components 6

TRzCustomFieldStatus.FieldLabelColor Example
TRzCustomFieldStatus


Raize Components 6

TRzCustomFieldStatus Properties
TRzCustomFieldStatus

Public
Alignment
AutoSize
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
CaptionOffset
FieldLabel
FieldLabelColor


TRzCustomGlyphStatus

Properties

TRzCustomGlyphStatus is the base class for all glyph-based status controls in Raize Components.

Unit
RzStatus

Declaration
TRzCustomGlyphStatus=Class(TRzCustomStatusPane);

Description

Do not create instances of TRzCustomGlyphStatus--use TRzGlyphStatus or some other descendant.


TRzCustomGlyphStatus.DisabledIndex

Specifies the image to use when the control is disabled.

Declaration
property DisabledIndex: TImageIndex default -1;

__property Imglist::TImageIndex DisabledIndex

Description

Use DisabledIndex to specify an alternate image to be displayed when the control is disabled.


Raize Components 6

TRzCustomGlyphStatus.DisabledIndex Example
TRzCustomGlyphStatus


TRzCustomGlyphStatus.Glyph

Specifies the bitmap image to display.

Declaration
property Glyph: TBitmap;

__property Graphics::TBitmap *Glyph

Description

Use Glyph to specify a separate bitmap file that contains the image to display.


Raize Components 6

TRzCustomGlyphStatus.Glyph Example
TRzCustomGlyphStatus


TRzCustomGlyphStatus.GlyphAlignment

Determines location of glyph.

Declaration
property GlyphAlignment: TGlyphAlignment default gaLeft;

__property TGlyphAlignment GlyphAlignment

Description

This property determines the location of a glyph displayed within a status control. The glyph can be placed either to the left (the default) or to the right of the caption.


Raize Components 6

TRzCustomGlyphStatus.GlyphAlignment Example
TRzCustomGlyphStatus


TRzCustomGlyphStatus.GlyphOffset

Adjusts the position of the glyph.

Declaration
property GlyphOffset: Integer default 2;

__property int GlyphOffset

Description

This property determines how far away from the border the glyph is positioned. The property value indicates the number of pixels between the border and the glyph.


Raize Components 6

TRzCustomGlyphStatus.GlyphOffset Example
TRzCustomGlyphStatus


TRzCustomGlyphStatus.ImageIndex

Specifies the image to use when the control is in a normal state.

Declaration
property ImageIndex: TImageIndex default -1;

__property Imglist::TImageIndex ImageIndex

Description

Use ImageIndex to specify the image to be displayed when the control is in a normal state.


Raize Components 6

TRzCustomGlyphStatus.ImageIndex Example
TRzCustomGlyphStatus


TRzCustomGlyphStatus.Images

Specifies an associated image list.

Declaration
property Images: TCustomImageList;

__property Imglist::TCustomImageList *Images

Description

Use Images to connect the control to an image list control.


Raize Components 6

TRzCustomGlyphStatus.Images Example
TRzCustomGlyphStatus


TRzCustomGlyphStatus.NumGlyphs

Specifies the numer of separate images (glyphs) that are represented by the Glyph bitmap.

Declaration
property NumGlyphs: TNumGlyphs default 1;

__property Buttons::TNumGlyphs NumGlyphs

Description

Use this property to specify the number of glyphs embedded in the Glyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the control. The first glyph is used for the normal Up state. The second one is used when the control is Disabled, and the third is used for the Down state. The last glyph is used when the control can be kept in the Down state (such as a button). This last glyph is not used by the glyph status component.


Raize Components 6

TRzCustomGlyphStatus.NumGlyphs Example
TRzCustomGlyphStatus


Raize Components 6

TRzCustomGlyphStatus Properties
TRzCustomGlyphStatus

Protected
DisabledIndex
Glyph
GlyphAlignment
GlyphOffset
ImageIndex
Images
NumGlyphs
ShowGlyph


TRzCustomGlyphStatus.ShowGlyph

Determines if a glyph (if specified) is displayed.

Declaration
property ShowGlyph: Boolean default True;

__property bool ShowGlyph

Description

Use this property to show or hide the bitmap specified in the Glyph property.


Raize Components 6

TRzCustomGlyphStatus.ShowGlyph Example
TRzCustomGlyphStatus


TRzCustomStatusPane

TRzCustomStatusPane is the base type for all status panes in Raize Components.

Unit
RzStatus

Declaration
TRzCustomStatusPane=Class(TGraphicControl,IRzCustomFramingNotification);

Description

Do not create instances of TRzCustomStatusPane--use TRzStatusPane or some other descendant.


TRzCustomStatusPane.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzCustomStatusPane.About Example
TRzCustomStatusPane


TRzCustomStatusPane.Alignment

Specifies the horizontal alignement of text.

Declaration
property Alignment: TAlignment default taLeftJustify;

__property Classes::TAlignment Alignment

Description

Use Alignment to change the way the text is displayed in the control. Alignment can take one of the following values:

Value Meaning

taLeftJustify Align text to the left side of the control

taCenter Center text horizontally in the control.

taRightJustify Align text to the right side of the control.


Raize Components 6

TRzCustomStatusPane.Alignment Example
TRzCustomStatusPane


TRzCustomStatusPane.AutoHint

Displays hint of control under current mouse position.

Declaration
property AutoHint: Boolean default False;

__property bool AutoHint

Description

When set to True, the status pane will display the hint of the control that is currently underneath the current position of the mouse.


Raize Components 6

TRzCustomStatusPane.AutoHint Example
TRzCustomStatusPane


TRzCustomStatusPane.AutoSize

Determines if control resizes itself automatically.

Declaration
property AutoSize: Boolean default False;

__property bool AutoSize

Description

When this property is set to True, the bounds of the component are automatically adjusted so that its contents fit completely within the control. When the status pane has an empty Caption, the width of the component is set to the value specified in the DefaultWidth property.


Raize Components 6

TRzCustomStatusPane.AutoSize Example
TRzCustomStatusPane


TRzCustomStatusPane.BlinkColor

Specifies color of control when blinking.

Declaration
property BlinkColor: TColor default clHighlight;

__property Graphics::TColor BlinkColor

Description

This property determines the color the Caption of the component is drawn in when BlinkState is bsOn.


Raize Components 6

TRzCustomStatusPane.BlinkColor Example
TRzCustomStatusPane


TRzCustomStatusPane.Blinking

Controls whether component's text blinks.

Declaration
property Blinking: Boolean default False;

__property bool Blinking

Description

When this property is True, the Caption of the component will periodically be drawn using the BlinkColor value to give the appearance that the component is blinking. When Blinking is False, the Caption appears only in the color specified in Font.Color.


Raize Components 6

TRzCustomStatusPane.Blinking Example
TRzCustomStatusPane


TRzCustomStatusPane.BlinkIntervalOff

Specifies delay when a blinking caption is off.

Declaration
property BlinkIntervalOff: Word default 500;

__property Word BlinkIntervalOff

Description

This property controls how long (in milliseconds) a blinking caption stays in the bsOff BlinkState.


Raize Components 6

TRzCustomStatusPane.BlinkIntervalOff Example
TRzCustomStatusPane


TRzCustomStatusPane.BlinkIntervalOn

Specifies delay when a blinking caption is on.

Declaration
property BlinkIntervalOn: Word default 500;

__property Word BlinkIntervalOn

Description

This property controls how long (in milliseconds) a blinking caption stays in the bsOn BlinkState.


Raize Components 6

TRzCustomStatusPane.BlinkIntervalOn Example
TRzCustomStatusPane


TRzCustomStatusPane.BorderWidth

Specifies the width of the border.

Declaration
property BorderWidth: TBorderWidth default 1;

__property Controls::TBorderWidth BorderWidth

Description

Use BorderWidth to specify how wide the border around the panel should be. A value of 0 (zero) means no border should appear.

The border of a panel is the area between the outer and inner bevels. It is visible only if the inner bevel is raised or lowered, but affects the inset of the caption within the panel even if BevelInner is bvNone. If the Alignment property is not taCenter, the Caption will be aligned to the inner edge of the border. This edge is BorderWidth pixels in from the outer bevel if BevelInner is bvNone. It is the inner edge of the inner bevel otherwise.

Do not confuse the border of the panel with line drawn around the panel itself. The line around the panel is specified by the BorderStyle property.


Raize Components 6

TRzCustomStatusPane.BorderWidth Example
TRzCustomStatusPane


TRzCustomStatusPane.Caption

Specifies the text to display on the control.

Declaration
property Caption: TCaption;

__property AnsiString Caption

Description

Use Caption to specify the text string that labels the control.

To underline a character in a Caption that labels a component, include an ampersand (&) before the character. This type of character is called an accelerator character. The user can then select the component by pressing Alt while typing the underlined character. To display an ampersand character in the caption, use two ampersands (&&).

Note: Controls that display text use either the Caption property or the Text property to specify the text value. Which property is used depends on the type of control. In general, Caption is used for text that appears as a window title or label, while Text is used for text that appears as the content of a control.


Raize Components 6

TRzCustomStatusPane.Caption Example
TRzCustomStatusPane


TRzCustomStatusPane.CaptionOffset

Determines distance from border the caption is positioned.

Declaration
property CaptionOffset: Integer default 2;

__property int CaptionOffset

Description

This property determines how far away from the border the caption is positioned. The property value indicates the number of pixels between the border and the caption.


Raize Components 6

TRzCustomStatusPane.CaptionOffset Example
TRzCustomStatusPane


TRzCustomStatusPane.DefaultWidth

Determines if the size of the control is automatically adjusted based on content.

Declaration
property DefaultWidth: Integer default 40;

__property int DefaultWidth

Description

When the AutoSize property is set to True, the bounds of the component are automatically adjusted so that its contents fit completely within the control. When the status pane has an empty Caption, the width of the component is set to the value specified in the DefaultWidth property.


Raize Components 6

TRzCustomStatusPane.DefaultWidth Example
TRzCustomStatusPane


Raize Components 6

TRzCustomStatusPane Events
TRzCustomStatusPane

Public


TRzCustomStatusPane.FillColor

Specifies color to be used to fill interior of status area.

Declaration
property FillColor: TColor default clBtnFace;

__property Graphics::TColor FillColor

Description

Use this property to specify the color used to fill in the interior of a status component.


Raize Components 6

TRzCustomStatusPane.FillColor Example
TRzCustomStatusPane


TRzCustomStatusPane.FlatColor

Specifies the color to be used in drawing flat borders.

Declaration
property FlatColor: TColor default clBtnShadow;

__property Graphics::TColor FlatColor

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

TRzCustomStatusPane.FlatColor Example
TRzCustomStatusPane


TRzCustomStatusPane.FlatColorAdjustment

Determines if the FlatColor property value is adjusted to be either lighter or darker.

Declaration
property FlatColorAdjustment: Integer default 30;

__property int FlatColorAdjustment

Description

Use FlatColorAdjustment to lighten or darken the FlatColor used for the border of a control when the border is fsFlat. This property is used in TRzGroupBox components and TRzStatusPane components to allow the color of the border to be a lighter shade of the clBtnShadow color.


Raize Components 6

TRzCustomStatusPane.FlatColorAdjustment Example
TRzCustomStatusPane


TRzCustomStatusPane.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzCustomStatusPane.FrameController Example
TRzCustomStatusPane


TRzCustomStatusPane.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzCustomStatusPane.FrameControllerNotifications Example
TRzCustomStatusPane


TRzCustomStatusPane.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzCustomStatusPane.FrameStyle Example
TRzCustomStatusPane


TRzCustomStatusPane.ParentFillColor

Declaration
property ParentFillColor: Boolean default True;

Description

Set this property to True to cause the FillColor to match the ParentColor and Color values.


Raize Components 6

TRzCustomStatusPane.ParentFillColor Example
TRzCustomStatusPane


Raize Components 6

TRzCustomStatusPane Properties
TRzCustomStatusPane

Public
About
Align
Anchors
BorderWidth
Canvas
Color
Constraints
DragCursor
DragKind
DragMode
Enabled
FillColor
FlatColor
FlatColorAdjustment
Font
FrameController
FrameControllerNotifications
FrameStyle
Height
ParentColor
ParentFillColor
ParentFont
ParentShowHint
PopupMenu
ShowHint
Transparent
Visible
Width

Protected
Alignment
AutoHint
AutoSize
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
Caption
CaptionOffset
DefaultWidth


TRzCustomStatusPane.Transparent

Determines if the control appears transparent.

Declaration
property Transparent: Boolean default True;

Description

When this property is set to True, the background behind the control shows through.


Raize Components 6

TRzCustomStatusPane.Transparent Example
TRzCustomStatusPane


TRzFieldStatus.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzFieldStatus.About Example
TRzFieldStatus


Raize Components 6

TRzFieldStatus Properties
TRzFieldStatus

Public
About
Alignment
AutoHint
AutoSize
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
Caption
CaptionOffset
FieldLabel
FieldLabelColor


TRzGetDateTimeEvent

Unit
RzStatus

Declaration
TRzGetDateTimeEvent=procedure(Sender: TObject; var DateTime: TDateTime) of object;

Description

.


Raize Components 6

TRzGlyphStatus Properties
TRzGlyphStatus

Public
Alignment
AutoHint
AutoSize
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
Caption
CaptionOffset
DefaultWidth
DisabledIndex
Glyph
GlyphAlignment
GlyphOffset
ImageIndex
Images
NumGlyphs
ShowGlyph


TRzInsertState

Unit
RzStatus

Declaration
TRzInsertState =(isInsert, isOverwrite);

Description

Value Meaning

isInsert:

isOverwrite:


TRzKeyOffAppearance

Unit
RzStatus

Declaration
TRzKeyOffAppearance =(koaBlank, koaDimmed);

Description

Value Meaning

koaBlank:

koaDimmed:


TRzKeyStatus.InsertState

Declaration
property InsertState: TRzInsertState default isInsert;

__property TRzInsertState InsertState

Description

Use this property to specify the initial state of the Insert key.


Raize Components 6

TRzKeyStatus.InsertState Example
TRzKeyStatus


TRzKeyStatus.Key

Declaration
property Key: TRzToggleKey default tkCapsLock;

__property TRzToggleKey Key

Description

Use this property to specify the key to monitor. The CapsLock, NumLock, and ScrLock keys can be monitored.


Raize Components 6

TRzKeyStatus.Key Example
TRzKeyStatus


TRzKeyStatus.KeyOffAppearance

Declaration
property KeyOffAppearance: TRzKeyOffAppearance default koaBlank;

__property TRzKeyOffAppearance KeyOffAppearance

Description

Use this property to control the appearance of the "Key Off" state. The default is koaBlank, the other is koaDimmed.


Raize Components 6

TRzKeyStatus.KeyOffAppearance Example
TRzKeyStatus


TRzKeyStatus.KeyStrings

Declaration
property KeyStrings: TRzKeyStrings;

__property TRzKeyStrings *KeyStrings

Description

This property lets a developer customize the strings displayed indicating the current key being monitored by the status control.


Raize Components 6

TRzKeyStatus.KeyStrings Example
TRzKeyStatus


Raize Components 6

TRzKeyStatus Properties
TRzKeyStatus

Public
Alignment
AutoSize
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
DefaultWidth
InsertState
Key
KeyOffAppearance
KeyStrings
State
Width


TRzKeyStatus.State

Declaration
property State: TRzToggleState;

__property TRzToggleState State

Description

Read-only property. This property indicates the current state of the selected Key.


Raize Components 6

TRzKeyStatus.State Example
TRzKeyStatus


TRzKeyStrings

Properties

Unit
RzStatus

Declaration
TRzKeyStrings=Class(TPersistent);

Description

.


TRzKeyStrings.CapsLock

Declaration
property CapsLock: string;

__property AnsiString CapsLock

Description

String to use to identify the CapsLock key.


Raize Components 6

TRzKeyStrings.CapsLock Example
TRzKeyStrings


TRzKeyStrings.Insert

Declaration
property Insert: string;

__property AnsiString Insert

Description

String to use to identify the Insert key.


Raize Components 6

TRzKeyStrings.Insert Example
TRzKeyStrings


TRzKeyStrings.NumLock

Declaration
property NumLock: string;

__property AnsiString NumLock

Description

String to use to identify the NumLock key.


Raize Components 6

TRzKeyStrings.NumLock Example
TRzKeyStrings


TRzKeyStrings.Overwrite

Declaration
property Overwrite: string;

__property AnsiString Overwrite

Description

String to use to identify the Overwrite key.


Raize Components 6

TRzKeyStrings.Overwrite Example
TRzKeyStrings


Raize Components 6

TRzKeyStrings Properties
TRzKeyStrings

Public
CapsLock
Insert
NumLock
Overwrite
ScrollLock


TRzKeyStrings.ScrollLock

Declaration
property ScrollLock: string;

__property AnsiString ScrollLock

Description

String to use to identify the ScrollLock key.


Raize Components 6

TRzKeyStrings.ScrollLock Example
TRzKeyStrings


Raize Components 6

TRzMarqueeStatus Properties
TRzMarqueeStatus

Public
ScrollDelay
Scrolling
ScrollSize
ScrollType


TRzMarqueeStatus.ScrollDelay

Declaration
property ScrollDelay: Word default 100;

__property Word ScrollDelay

Description

Use this property to control how fast the caption string scrolls across the control. The higher the value, the slower the caption will scroll.


Raize Components 6

TRzMarqueeStatus.ScrollDelay Example
TRzMarqueeStatus


TRzMarqueeStatus.Scrolling

Declaration
property Scrolling: Boolean default True;

__property bool Scrolling

Description

This property determines whether or not the caption is scrolled across the control.


Raize Components 6

TRzMarqueeStatus.Scrolling Example
TRzMarqueeStatus


TRzMarqueeStatus.ScrollSize

Declaration
property ScrollSize: Word default 1;

__property Word ScrollSize

Description

Use this property to specify the number of pixels by which to move the caption to create the effect of scrolling. The default value is 4.


Raize Components 6

TRzMarqueeStatus.ScrollSize Example
TRzMarqueeStatus


TRzMarqueeStatus.ScrollType

Declaration
property ScrollType: TRzScrollType default stRightToLeft;

__property Rzcommon::TRzScrollType ScrollType

Description

Use this property to specify in which direction the status pane should scroll its caption. The default value is right to left, but you can change this to left to right. A third option of stNone causes the Caption to appear in its standard position. That is, the status pane appears as a normal TStatusPane without any scrolling. The stNone setting is useful if you only want to scroll text under certain circumstances.


Raize Components 6

TRzMarqueeStatus.ScrollType Example
TRzMarqueeStatus


TRzPollingStatus

Unit
RzStatus

Declaration
TRzPollingStatus=Class(TRzCustomStatusPane);

Description

The TRzPollingStatus class is the base class for all status controls that need to utilize a polling mechanism to determine what information to display. This class introduces the OnTimerExpired event which gets triggered whenever an internal timer event occurs. The state of the internal timer can be controlled through the Active and Interval properties. When Active is True the internal timer continues to generate OnTimerExpired events. The Interval property specifies the number of milliseconds between events.


TRzPollingStatus.Active

Declaration
property Active: Boolean default True;

__property bool Active

Description

This property indicates that the shared polling timer used by all Raize polling status components is generating timer events. Set this property to False to disable the shared timer. All status components relying on a timer (i.e. TRzClockStatus , TRzKeyStatus , TRzResourceStatus ), will not received timer events to update their displays.


Raize Components 6

TRzPollingStatus.Active Example
TRzPollingStatus


Raize Components 6

TRzPollingStatus Events
TRzPollingStatus

Public
OnTimerExpired


TRzPollingStatus.Interval

Declaration
property Interval: Word default 500;

__property Word Interval

Description

The Interval property specifies the number of milliseconds between OnTimerExpired events in Raize Status Controls that utilize a shared polling mechanism by descending from TRzPollingStatus.


Raize Components 6

TRzPollingStatus.Interval Example
TRzPollingStatus


TRzPollingStatus.OnTimerExpired
TRzPollingStatus Events

Declaration
property OnTimerExpired: TNotifyEvent;

__property Classes::TNotifyEvent OnTimerExpired

Description

This event is generated whenever the timer used by polling status controls expires. The frequency of the timer is controlled by the Interval and Active properties.


Raize Components 6

TRzPollingStatus.OnTimerExpired Example
TRzPollingStatus


Raize Components 6

TRzPollingStatus Properties
TRzPollingStatus

Public
Active
Interval


TRzProgressStatus

TRzProgressStatus is a custom status pane for displaying progress indicators.

Unit
RzStatus

Declaration
TRzProgressStatus=Class(TRzCustomStatusPane);

Description

This component has the functionality of a progress bar, but is designed to be placed in a TRzStatusBar. In previous versions, a TRzProgressBar could be used in a TRzStatusBar, and it's border properties modified so that it would look appropriately in the status bar, but with the new TRzProgressStatus, this is no longer necessary. In addition, the TRzProgressStatus supports transparency just like the other status panes, and therefore provides a much better user interface for progress bar status.


TRzProgressStatus.BackColor

Specifies background color.

Declaration
property BackColor: TColor default clBtnFace;

Description

Use this property to specify the color used to fill the background of the component. For progress bars, when the BarStyle is bsTraditional, the BackColor is also used to display the percent value text in the filled area.


Raize Components 6

TRzProgressStatus.BackColor Example
TRzProgressStatus


TRzProgressStatus.BackColorStop

Specifies "stop" color used with BackColor for displaying gradient.

Declaration
property BackColorStop: TColor default clBtnFace;

Description

Use this property to specify the "stop" color used with BackColor in defining the gradient fill that is used for the control's background.


Raize Components 6

TRzProgressStatus.BackColorStop Example
TRzProgressStatus


TRzProgressStatus.BarColor

Specifes color to be used for percentage bar.

Declaration
property BarColor: TColor default clHighlight;

Description

Use this property to specify the color used to fill the progress area. When the BarStyle is bsTraditional, the BarColor is also used to display the percent value text in the unfilled area.


Raize Components 6

TRzProgressStatus.BarColor Example
TRzProgressStatus


TRzProgressStatus.BarColorStop

Specifies "stop" color used with BackColor for displaying gradient.

Declaration
property BarColorStop: TColor default clHotLight;

Description

Use this property to specify the "stop" color used with BackColor in defining the gradient fill that is used for the control's background.


Raize Components 6

TRzProgressStatus.BarColorStop Example
TRzProgressStatus


TRzProgressStatus.BarStyle

Specifies style of percentage bar.

Declaration
property BarStyle: TBarStyle default bsTraditional;

Description

The property controls the style used to fill the progress area. When set to bsTraditional, the progress area is filled using a solid bar progressing from left to right or bottom to top depending on the orientation. When set to bsLED, the progress area is filled with segments instead of a solid color.


Raize Components 6

TRzProgressStatus.BarStyle Example
TRzProgressStatus


TRzProgressStatus.GradientDirection

Declaration
property GradientDirection: TGradientDirection default gdHorizontalCenter;


Raize Components 6

TRzProgressStatus.GradientDirection Example
TRzProgressStatus


TRzProgressStatus.IncParts

Declaration
procedure IncParts(N: TUnsignedLongint);

void __fastcall IncParts(Rzprgres::TUnsignedLongint N)

Description

Increments the PartsComplete property by N.


Raize Components 6

TRzProgressStatus.IncParts Example
TRzProgressStatus


TRzProgressStatus.IncPartsByOne

Declaration
procedure IncPartsByOne;

void __fastcall IncPartsByOne(void)

Description

Increments the PartsComplete property by 1.


Raize Components 6

TRzProgressStatus.IncPartsByOne Example
TRzProgressStatus


Raize Components 6

TRzProgressStatus Methods
TRzProgressStatus

Public
IncParts
IncPartsByOne


TRzProgressStatus.NumSegments

Specifies number of segments needed for full percentage bar.

Declaration
property NumSegments: TSegmentRange default 15;

Description

The property is used to specify the number of segments it takes to fill the progress bar at 100%. By default, NumSegments is set to 20.


Raize Components 6

TRzProgressStatus.NumSegments Example
TRzProgressStatus


TRzProgressStatus.PartsComplete

Specifies number of parts completed.

Declaration
property PartsComplete: TUnsignedLongint;

Description

This property, when used with the TotalParts property, allows a user to quickly adjust the progress without having to manually calculate the percentage value. First, set the TotalParts to the desired value. When the progress needs to be adjusted, change the PartsComplete value. The IncParts and IncPartsByOne methods provide fast ways of changing these values.


Raize Components 6

TRzProgressStatus.PartsComplete Example
TRzProgressStatus


TRzProgressStatus.Percent

Specifies current perctage value.

Declaration
property Percent: Word;

Description

The Percent property determines how much of the progress area gets filled. The Percent property can be set directly, or indirectly using the TotalParts and PartsComplete properties.


Raize Components 6

TRzProgressStatus.Percent Example
TRzProgressStatus


Raize Components 6

TRzProgressStatus Properties
TRzProgressStatus

Public
Alignment
BackColor
BackColorStop
BarColor
BarColorStop
BarStyle
GradientDirection
Hint
NumSegments
PartsComplete
Percent
ShowHint
ShowPercent
TotalParts


TRzProgressStatus.ShowPercent

Determines if percentage text is displayed.

Declaration
property ShowPercent: Boolean default False;

Description

Controls whether or not the percentage value is displayed. This property has no effect when the BarStyle is set to bsLED.


Raize Components 6

TRzProgressStatus.ShowPercent Example
TRzProgressStatus


TRzProgressStatus.TotalParts

Specifies total number of parts that when compared with PartsComplete automatically calculates percentage.

Declaration
property TotalParts: TUnsignedLongint;

Description

This property, when used with the PartsComplete property, allows a user to quickly adjust the progress without having to manually calculate the percentage value. First, set the TotalParts to the number of parts that define a task. When the progress needs to be adjusted, change the PartsComplete value. The IncParts and IncPartsByOne methods provide fast ways of changing the number of parts completed.


Raize Components 6

TRzProgressStatus.TotalParts Example
TRzProgressStatus


TRzResourceStatus.BackColor

Specifies background color.

Declaration
property BackColor: TColor default clBtnFace;

__property Graphics::TColor BackColor

Description

Use this property to specify the color used to fill the background of the component. For progress bars, when the BarStyle is bsTraditional, the BackColor is also used to display the percent value text in the filled area.


Raize Components 6

TRzResourceStatus.BackColor Example
TRzResourceStatus


TRzResourceStatus.BackColorStop

Specifies "stop" color used with BackColor for displaying gradient.

Declaration
property BackColorStop: TColor default clBtnFace;

__property Graphics::TColor BackColorStop

Description

Use this property to specify the "stop" color used with BackColor in defining the gradient fill that is used for the control's background.


Raize Components 6

TRzResourceStatus.BackColorStop Example
TRzResourceStatus


TRzResourceStatus.BarColor

Specifes color to be used for percentage bar.

Declaration
property BarColor: TColor default clHighlight;

__property Graphics::TColor BarColor

Description

Use this property to specify the color used to fill the progress area. When the BarStyle is bsTraditional, the BarColor is also used to display the percent value text in the unfilled area.


Raize Components 6

TRzResourceStatus.BarColor Example
TRzResourceStatus


TRzResourceStatus.BarColorStop

Specifies "stop" color used with BarColor for displaying percentage bar.

Declaration
property BarColorStop: TColor default clHotLight;

__property Graphics::TColor BarColorStop

Description

Use this property to specify the "stop" color used with BarColor in defining the gradient fill that is used for the percentage bar.


Raize Components 6

TRzResourceStatus.BarColorStop Example
TRzResourceStatus


TRzResourceStatus.BarStyle

Specifies style of percentage bar.

Declaration
property BarStyle: TBarStyle default bsTraditional;

__property Rzcommon::TBarStyle BarStyle

Description

The property controls the style used to fill the progress area. When set to bsTraditional, the progress area is filled using a solid bar progressing from left to right or bottom to top depending on the orientation. When set to bsLED, the progress area is filled with segments instead of a solid color.


Raize Components 6

TRzResourceStatus.BarStyle Example
TRzResourceStatus


TRzResourceStatus.DisplayStyle

Declaration
property DisplayStyle: TDisplayStyle default dsBar;

__property TDisplayStyle DisplayStyle

Description

This property controls whether the amount of free resources is displayed using a progress bar or as a simple text value.


Raize Components 6

TRzResourceStatus.DisplayStyle Example
TRzResourceStatus


TRzResourceStatus.FreeMemory

Declaration
property FreeMemory: Longint;

__property int FreeMemory

Description

This read-only property indicates the current amount of Free Memory (in KB) as determined by the TRzResourceStatus component.


Raize Components 6

TRzResourceStatus.FreeMemory Example
TRzResourceStatus


TRzResourceStatus.FreePercent

Declaration
property FreePercent: Integer;

__property int FreePercent

Description

This read-only property indicates the current percentage of whatever resource type is selected in the ResourceType property.


Raize Components 6

TRzResourceStatus.FreePercent Example
TRzResourceStatus


TRzResourceStatus.GradientDirection

Declaration
property GradientDirection: TGradientDirection default gdHorizontalCenter;

__property Rzcommon::TGradientDirection GradientDirection


Raize Components 6

TRzResourceStatus.GradientDirection Example
TRzResourceStatus


TRzResourceStatus.NumSegments

Specifies number of segments needed for full percentage bar.

Declaration
property NumSegments: TSegmentRange default 15;

__property Rzprgres::TSegmentRange NumSegments

Description

The property is used to specify the number of segments it takes to fill the progress bar at 100%. By default, NumSegments is set to 20.


Raize Components 6

TRzResourceStatus.NumSegments Example
TRzResourceStatus


TRzResourceStatus.Orientation

Specifies that the control is horizontally or veritcally oriented.

Declaration
property Orientation: TOrientation default orHorizontal;

__property Rzcommon::TOrientation Orientation

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

TRzResourceStatus.Orientation Example
TRzResourceStatus


Raize Components 6

TRzResourceStatus Properties
TRzResourceStatus

Public
Alignment
BackColor
BackColorStop
BarColor
BarColorStop
BarStyle
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
CaptionOffset
DisplayStyle
FreeMemory
FreePercent
GradientDirection
Hint
NumSegments
Orientation
ResourceStrings
ShowHint
ShowPercent


TRzResourceStatus.ResourceStrings

Declaration
property ResourceStrings: TRzResourceStrings;

__property TRzResourceStrings *ResourceStrings

Description

This property lets a developer customize the strings displayed indicating the current resource being monitored by the status control.


Raize Components 6

TRzResourceStatus.ResourceStrings Example
TRzResourceStatus


TRzResourceStatus.ShowPercent

Determines if percentage text is displayed.

Declaration
property ShowPercent: Boolean default False;

__property bool ShowPercent

Description

Controls whether or not the percentage value is displayed. This property has no effect when the BarStyle is set to bsLED.


Raize Components 6

TRzResourceStatus.ShowPercent Example
TRzResourceStatus


TRzResourceStrings

Properties

Unit
RzStatus

Declaration
TRzResourceStrings=Class(TPersistent);

Description

.


TRzResourceStrings.Memory

Declaration
property Memory: string;

__property AnsiString Memory

Description

String used to represent the "Memory" resource.


Raize Components 6

TRzResourceStrings.Memory Example
TRzResourceStrings


Raize Components 6

TRzResourceStrings Properties
TRzResourceStrings

Public
Memory
System


TRzResourceStrings.System

Declaration
property System: string;

__property AnsiString System

Description

String used to represent the "System" resource.


Raize Components 6

TRzResourceStrings.System Example
TRzResourceStrings


Raize Components 6

TRzStatusPane Properties
TRzStatusPane

Public
Alignment
AutoHint
AutoSize
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
Caption
CaptionOffset
DefaultWidth


TRzToggleKey

Unit
RzStatus

Declaration
TRzToggleKey =(tkCapsLock, tkNumLock, tkScrollLock, tkInsert);

enum TRzToggleKey tkCapsLock, tkNumLock, tkScrollLock, tkInsert ;

Description

Value Meaning

tkCapsLock:

tkNumLock:

tkScrollLock:

tkInsert:


TRzToggleState

Unit
RzStatus

Declaration
TRzToggleState =(tsOn, tsOff);

enum TRzToggleState tsOn, tsOff ;

Description

Value Meaning

tsOn:

tsOff:


TRzVersionInfo.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzVersionInfo.About Example
TRzVersionInfo


TRzVersionInfo.Comments

Declaration
property Comments: string;

__property AnsiString Comments

Description

This read-only property retrieves the Comments entry from the module's Version Information block.


Raize Components 6

TRzVersionInfo.Comments Example
TRzVersionInfo


TRzVersionInfo.CompanyName

Declaration
property CompanyName: string;

__property AnsiString CompanyName

Description

This read-only property retrieves the CompanyName entry from the module's Version Information block.


Raize Components 6

TRzVersionInfo.CompanyName Example
TRzVersionInfo


TRzVersionInfo.Copyright

Declaration
property Copyright: string;

__property AnsiString Copyright

Description

This read-only property retrieves the Copyright entry from the module's Version Information block.


Raize Components 6

TRzVersionInfo.Copyright Example
TRzVersionInfo


TRzVersionInfoField

Unit
RzStatus

Declaration
TRzVersionInfoField =(vifCompanyName, vifFileDescription, vifFileVersion, vifInternalName, vifCopyright, vifTrademarks, vifOriginalFilename, vifProductName, vifProductVersion, vifComments);

Description

Value Meaning

vifCompanyName:

vifFileDescription:

vifFileVersion:

vifInternalName:

vifCopyright:

vifTrademarks:

vifOriginalFilename:

vifProductName:

vifProductVersion:

vifComments:


TRzVersionInfo.FileDescription

Declaration
property FileDescription: string;

__property AnsiString FileDescription

Description

This read-only property retrieves the FileDescription entry from the module's Version Information block.


Raize Components 6

TRzVersionInfo.FileDescription Example
TRzVersionInfo


TRzVersionInfo.FilePath

Declaration
property FilePath: string;

__property AnsiString FilePath

Description

Use FilePath to specify the full path and filename of a module from which to retrieve version information. When FilePath is empty, the current module is queried for version information.


Raize Components 6

TRzVersionInfo.FilePath Example
TRzVersionInfo


TRzVersionInfo.FileVersion

Declaration
property FileVersion: string;

__property AnsiString FileVersion

Description

This read-only property retrieves the FileVersion entry from the module's Version Information block.


Raize Components 6

TRzVersionInfo.FileVersion Example
TRzVersionInfo


TRzVersionInfo.InternalName

Declaration
property InternalName: string;

__property AnsiString InternalName

Description

This read-only property retrieves the InternalName entry from the module's Version Information block.


Raize Components 6

TRzVersionInfo.InternalName Example
TRzVersionInfo


TRzVersionInfo.OriginalFilename

Declaration
property OriginalFilename: string;

__property AnsiString OriginalFilename

Description

This read-only property retrieves the OriginalFilename entry from the module's Version Information block.


Raize Components 6

TRzVersionInfo.OriginalFilename Example
TRzVersionInfo


TRzVersionInfo.ProductName

Declaration
property ProductName: string;

__property AnsiString ProductName

Description

This read-only property retrieves the ProductName entry from the module's Version Information block.


Raize Components 6

TRzVersionInfo.ProductName Example
TRzVersionInfo


TRzVersionInfo.ProductVersion

Declaration
property ProductVersion: string;

__property AnsiString ProductVersion

Description

This read-only property retrieves the ProductVersion entry from the module's Version Information block.


Raize Components 6

TRzVersionInfo.ProductVersion Example
TRzVersionInfo


Raize Components 6

TRzVersionInfo Properties
TRzVersionInfo

Public
About
Comments
CompanyName
Copyright
FileDescription
FilePath
FileVersion
InternalName
OriginalFilename
ProductName
ProductVersion
Trademarks
VersionInfoAvailable


TRzVersionInfoStatus.Field

Declaration
property Field: TRzVersionInfoField;

__property TRzVersionInfoField Field

Description

Use Field to specify which entry from the Version Information block is to be displayed in the status pane.


Raize Components 6

TRzVersionInfoStatus.Field Example
TRzVersionInfoStatus


Raize Components 6

TRzVersionInfoStatus Properties
TRzVersionInfoStatus

Public
Alignment
AutoSize
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
CaptionOffset
Field
FieldLabel
FieldLabelColor
VersionInfo


TRzVersionInfoStatus.VersionInfo

Declaration
property VersionInfo: TRzVersionInfo;

__property TRzVersionInfo *VersionInfo

Description

Use VersionInfo to specify the TRzVersionInfo component that will provide version information to the status pane.


Raize Components 6

TRzVersionInfoStatus.VersionInfo Example
TRzVersionInfoStatus


TRzVersionInfo.Trademarks

Declaration
property Trademarks: string;

__property AnsiString Trademarks

Description

This read-only property retrieves the Trademarks entry from the module's Version Information block.


Raize Components 6

TRzVersionInfo.Trademarks Example
TRzVersionInfo


TRzVersionInfo.VersionInfoAvailable

Declaration
property VersionInfoAvailable: Boolean;

__property bool VersionInfoAvailable

Description

Use this read-only property to determine if Version Information is available in the current module.


Raize Components 6

TRzVersionInfo.VersionInfoAvailable Example
TRzVersionInfo


RzTabs

RzTabs File
List of Units

Unit Classes

ERzTabControlError |
TRzCollectionTabControl |
TRzCustomTabControl | TRzCustomTabControl is the base type for all tab controls and page controls in Raize Components.
TRzGetTextColorEvent |
TRzHorizontalAlignment |
TRzImagePosition |
TRzPageControl | TRzPageControl is a custom control for grouping controls into multiple pages.
TRzPaintBackgroundEvent |
TRzPaintCardBackgroundEvent |
TRzPaintTabBackgroundEvent |
TRzTabChangingEvent |
TRzTabCloseEvent |
TRzTabCollection |
TRzTabCollectionItem |
TRzTabColors |
TRzTabControl | TRzTabControl is a custom control for displaying a set of tabs.
TRzTabHotTrackStyle |
TRzTabOrderChangeEvent |
TRzTabOrientation |
TRzTabScrollerBtn |
TRzTabSequence |
TRzTabSheet |
TRzTabStyle |
TRzTextColors |
TRzTextStyle |
TRzVerticalAlignment |


ERzTabControlError

Unit
RzTabs

Declaration
ERzTabControlError=Class(Exception);;

Description

This exception is generated when an invalid condition occurs in the TRzPageControl or TRzTabControl . The exception message provides specific details of the error condition.


TRzCollectionTabControl

Unit
RzTabs

Declaration
TRzCollectionTabControl=Class(TRzCustomTabControl);

Description

Base class for TRzTabControl. Implements collection for managing a set of tabs.


TRzCollectionTabControl.HideAllTabs

Hides all visible tabs.

Declaration
procedure HideAllTabs; override;

Description

Use this method to hide all visible tabs.


Raize Components 6

TRzCollectionTabControl.HideAllTabs Example
TRzCollectionTabControl


Raize Components 6

TRzCollectionTabControl Methods
TRzCollectionTabControl

Public
HideAllTabs
ShowAllTabs


Raize Components 6

TRzCollectionTabControl Properties
TRzCollectionTabControl

Public
TabIndex
Tabs


TRzCollectionTabControl.ShowAllTabs

Makes all tabs visible.

Declaration
procedure ShowAllTabs; override;

Description

Use this method to make all tabs visible.


Raize Components 6

TRzCollectionTabControl.ShowAllTabs Example
TRzCollectionTabControl


TRzCollectionTabControl.Tabs

Specifies collection of tabs.

Declaration
property Tabs: TRzTabCollection;

__property TRzTabCollection *Tabs

Description

The Tabs property of a TRzTabControl component is a collection of the items describing each of the tabs. Each item in the collection is a TRzTabCollectionItem object. Changes to the contents of the Tabs property, such as adding/deleting/moving items, are automatically reflected in the tab control; you do not need to call Invalidate after changing the Tabs property. The example below shows how to dynamically add a new tab to a TRzTabControl component; the example assumes the code is in a method (such as an OnClick event handler) of a form (Form1) and you have a TcsTabControl component named TC on the form:

var

NewTab: TRzTabCollectionItem;

begin

NewTab := TC.Tabs.Add; create new tab collection item

NewTab.Caption := New Tab;

end;


Raize Components 6

TRzCollectionTabControl.Tabs Example
TRzCollectionTabControl


TRzCustomTabControl

TRzCustomTabControl is the base type for all tab controls and page controls in Raize Components.

Unit
RzTabs

Declaration
TRzCustomTabControl=Class(TCustomControl);

Description

TRzCustomTabControl defines the common properties, methods, and events required to implement a control that manages a set of tabs.

Do not create instances of the TRzCustomTabControl--use TRzTabControl or TRzPageControl .


TRzCustomTabControl.AlignTabs

Determines if tabs occupy entire width of control.

Declaration
property AlignTabs: Boolean default False;

__property bool AlignTabs

Description

The AlignTabs property determines whether the tabs in each row are extended to completely fill the row. The default value is False. AlignTabs is only active when MultiLine = True and automatic sizing is in effect (TabWidth = 0 or TabHeight = 0, depending on current orientation).


Raize Components 6

TRzCustomTabControl.AlignTabs Example
TRzCustomTabControl


TRzCustomTabControl.AllowTabDragging

Determines if tabs can be reordered by dragging.

Declaration
property AllowTabDragging: Boolean default False;

Description

When this property is set to True, the user can reorder the tabs by dragging them with the mouse.


Raize Components 6

TRzCustomTabControl.AllowTabDragging Example
TRzCustomTabControl


TRzCustomTabControl.BackgroundColor

Specifies color to be used for background area outside tabs and cards.

Declaration
property BackgroundColor: TColor;

__property Graphics::TColor BackgroundColor

Description

The BackgroundColor property determines the color of the area outside the tabs and cards. Usually, you will want BackgroundColor to be the same as the color of its parent so the area outside the tabs/cards appears transparent; you can achieve this by setting ParentBackgroundColor to True.


Raize Components 6

TRzCustomTabControl.BackgroundColor Example
TRzCustomTabControl


TRzCustomTabControl.BoldCurrentTab

Determines if active tab has a bold caption.

Declaration
property BoldCurrentTab: Boolean default False;

Description

When this property is set to True, the current tab's caption is drawn in boldface font.


Raize Components 6

TRzCustomTabControl.BoldCurrentTab Example
TRzCustomTabControl


TRzCustomTabControl.CloseActiveTab

Close all active tabs.

Declaration
procedure CloseActiveTab;

Description

This method provides a programmatic way to invoke the same process that occurs when the user clicks the Close button (available when ShowCloseButton=True). In particular, calling CloseActiveTab cause the control's OnClose event to get fired, and if the AllowClose parameter is set to True, the active page/tab to be destroyed/deleted.


Raize Components 6

TRzCustomTabControl.CloseActiveTab Example
TRzCustomTabControl


TRzCustomTabControl.CutCornerSize

Specifies size of corner cut for tsCutCorner TabStyle.

Declaration
property CutCornerSize: Integer default 6;

__property int CutCornerSize

Description

The CutCornerSize property determines the size of the corners of each tab when using the tsCutCorner TabStyle and has no effect when using the other tab styles. Values are in pixels and must be >= 0. The default value is 5. No checks are performed to ensure that the specified value is legitimate (i.e. results in a reasonable looking tab shape) for the current tab width and height -- it is your responsibility to specify values that dont result in weird results, e.g. if CutCornerSize is > the tab height.


Raize Components 6

TRzCustomTabControl.CutCornerSize Example
TRzCustomTabControl


TRzCustomTabControl.DragIndicatorColor

Determines the color used when displaying the triangle indicator when dragging tabs.

Declaration
property DragIndicatorColor: TColor default clBtnShadow;

__property Graphics::TColor DragIndicatorColor

Description

The DragIndicatorColor property to controls the color that is used to color the indicator that is displayed when dragging tabs.


Raize Components 6

TRzCustomTabControl.DragIndicatorColor Example
TRzCustomTabControl


Raize Components 6

TRzCustomTabControl Events
TRzCustomTabControl

Public
OnChange
OnChanging
OnClose
OnGetTextColor
OnPageChange
OnPaintBackground
OnPaintCardBackground
OnPaintTabBackground
OnScrolledTabs
OnTabClick
OnTabOrderChange

Protected
OnChange
OnChanging
OnClose
OnGetTextColor
OnPageChange
OnPaintBackground
OnPaintCardBackground
OnPaintTabBackground
OnScrolledTabs
OnTabClick
OnTabOrderChange


TRzCustomTabControl.FlatColor

Specifies the color to be used in drawing flat borders.

Declaration
property FlatColor: TColor default clBtnShadow;

__property Graphics::TColor FlatColor

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

TRzCustomTabControl.FlatColor Example
TRzCustomTabControl


TRzCustomTabControl.FlatColorAdjustment

Determines if the FlatColor property value is adjusted to be either lighter or darker.

Declaration
property FlatColorAdjustment: Integer default 0;

__property int FlatColorAdjustment

Description

Use FlatColorAdjustment to lighten or darken the FlatColor used for the border of a control when the border is fsFlat. This property is used in TRzGroupBox components and TRzStatusPane components to allow the color of the border to be a lighter shade of the clBtnShadow color.


Raize Components 6

TRzCustomTabControl.FlatColorAdjustment Example
TRzCustomTabControl


TRzCustomTabControl.GetExtentOfAllTabs

Returns the number of pixels needed to display all visible tabs.

Declaration
function GetExtentOfAllTabs: Integer;

Description

This method returns the number of pixels needed to display all of the visible tabs in the control taking into account orientation and layout of the tabs. That is, for tab positions of top and bottom, the extent returned represents the width required. For tab positions on the left or right, the extent represents the height required.


Raize Components 6

TRzCustomTabControl.GetExtentOfAllTabs Example
TRzCustomTabControl


TRzCustomTabControl.HideAllTabs

Hide all visible tabs.

Declaration
procedure HideAllTabs; virtual;

Description

Use this method to hide all tabs.


Raize Components 6

TRzCustomTabControl.HideAllTabs Example
TRzCustomTabControl


TRzCustomTabControl.HotTrack

Determines if the control changes its appearance as the mouse is moved over the control.

Declaration
property HotTrack: Boolean default True;

__property bool HotTrack

Description

Set HotTrack to True to display an additional border around a control when the mouse is positioned over the control.


Raize Components 6

TRzCustomTabControl.HotTrack Example
TRzCustomTabControl


TRzCustomTabControl.HotTrackColor

Specifies the color to be used when drawing the control in a "hot" state.

Declaration
property HotTrackColor: TColor default xpHotTrackColor;

__property Graphics::TColor HotTrackColor

Description

Use HotTrackColor to specify the color to be used when drawing the control in the HotTrack state. That is, when the mouse is positioned over the control.


Raize Components 6

TRzCustomTabControl.HotTrackColor Example
TRzCustomTabControl


TRzCustomTabControl.HotTrackColorType

Determines how the HotTrackColor property value is interpretted by the control.

Declaration
property HotTrackColorType: TRzHotTrackColorType default htctActual;

Description

Use HotTrackColorType to specify whether or not the HotTrackColor property value should be adjusted when being displayed by the control. There are two possible values for this property as described below. The default value is htctComplement:

Value Meaning

htctComplement The HotTrackColor property value is not used directly when painting the control. Instead, the complement color to the property value is used. For example, if a blue color is specified for the HotTrackColor property, the color displayed by the control will be an orange color. This behavior makes it much easier to define a set of colors that will work well together regardless of the color scheme specified by the user.

htctActual The actual HotTrackColor property value specified in used when painting the control. No adjustments are made to the color. This setting is useful if you wish to use a specific color for hot tracking.


Raize Components 6

TRzCustomTabControl.HotTrackColorType Example
TRzCustomTabControl


TRzCustomTabControl.HotTrackStyle

Specifies how tabs are highlight when mouse is position over the tab.

Declaration
property HotTrackStyle: TRzTabHotTrackStyle default htsTab;

__property TRzTabHotTrackStyle HotTrackStyle

Description

Use HotTrackStyle to specify whether tabs are highlighted with a highlight bar as the mouse is positioned over the tab, or that the caption of the tab is highlighted.


Raize Components 6

TRzCustomTabControl.HotTrackStyle Example
TRzCustomTabControl


TRzCustomTabControl.ImageAlignment

Determines horizontal positioning of image.

Declaration
property ImageAlignment: TRzHorizontalAlignment default haCenter;

__property TRzHorizontalAlignment ImageAlignment

Description

The ImageAlignment property determines the horizontal positioning of the glyph within the area of the tabs face set aside for glyph display. The default value is haLeft. The size of the area of the tabs face which is set aside for glyph display will depend on the actual tab size, which in turn is based on the size of the largest glyph (of any tab), the size of the largest caption, the size of the glyph to be displayed, whether using automatic tab sizing or fixed tab sizing etc. The position of the tabs glyph relative to its Caption is specified by the ImagePosition property.


Raize Components 6

TRzCustomTabControl.ImageAlignment Example
TRzCustomTabControl


TRzCustomTabControl.ImageAlignmentVertical

Determines veritical positioning of image.

Declaration
property ImageAlignmentVertical: TRzVerticalAlignment default vaCenter;

__property TRzVerticalAlignment ImageAlignmentVertical

Description

The ImageAlignmentVertical property determines the vertical positioning of the glyph within the area of the tabs face set aside for glyph display. The default value is vaTop. The size of the area of the tabs face which is set aside for glyph display will depend on the actual tab size, which in turn is based on the size of the largest glyph (of any tab), the size of the largest caption, the size of the glyph to be displayed, whether using automatic tab sizing or fixed tab sizing etc. The position of the tabs glyph relative to its Caption is specified by the ImagePosition property.


Raize Components 6

TRzCustomTabControl.ImageAlignmentVertical Example
TRzCustomTabControl


TRzCustomTabControl.ImageMargin

Specifies margin between image and caption.

Declaration
property ImageMargin: Integer default 2;

__property int ImageMargin

Description

The ImageMargin property determines the margin between the tab glyph and the tab caption. Values are in pixels and must be >= 0. The default value is 2. No checks are performed to ensure that the specified value is legitimate (i.e. results in a reasonable looking tab shape) for the current tab width and height -- it is your responsibility to specify values that dont result in weird results, e.g. if a large value is used.


Raize Components 6

TRzCustomTabControl.ImageMargin Example
TRzCustomTabControl


TRzCustomTabControl.ImagePosition

Specifies position of tab image in relation to caption.

Declaration
property ImagePosition: TRzImagePosition default ipLeft;

__property TRzImagePosition ImagePosition

Description

The ImagePosition property determines the position of each tabs glyph relative to its caption. The default value is gpLeft, which indicates that the glyph will be displayed to the left of the tabs caption. ImagePosition works in conjunction with ImageMargin, ImageAlignment and ImageAlignmentVertical. The possible values for ImagePosition are:

Value Meaning

ipLeft, ipTop The image is displayed to the left, top, right or bottom of the caption respectively.

ipRight, ipBottom

ipBack The image is displayed behind (underneath) the tabs caption. The size of the image is not changed (shrunk or stretched).

ipStretch The image is displayed behind (underneath) the tabs caption and is stretched (or shrunken) to use the entire tab face. (Note that the tab face area is not equivalent to the entire background of the tab (there is a margin around the sides/corners); to fill the entire background of the tab with a custom background, you can use the OnPaintTabBackground event.)


Raize Components 6

TRzCustomTabControl.ImagePosition Example
TRzCustomTabControl


TRzCustomTabControl.Images

Specifies an associated image list.

Declaration
property Images: TCustomImageList;

__property Imglist::TCustomImageList *Images

Description

Use Images to connect the control to an image list control.


Raize Components 6

TRzCustomTabControl.Images Example
TRzCustomTabControl


TRzCustomTabControl.Margin

Specifies space between edge of card and tabs.

Declaration
property Margin: Integer default 0;

__property int Margin

Description

The Margin property determines the leading and trailing margins between the edge of each card and the attached tabs. The default value is 0. You will not normally need to change Margin unless you have set ClientArea to False and are using an Align value other than alNone.


Raize Components 6

TRzCustomTabControl.Margin Example
TRzCustomTabControl


Raize Components 6

TRzCustomTabControl Methods
TRzCustomTabControl

Public
CloseActiveTab
GetExtentOfAllTabs
HideAllTabs
ShowAllTabs
TabAtPos
TabIndexInView


TRzCustomTabControl.MultiLine

Determines if tabs are wrapped to multiple lines.

Declaration
property MultiLine: Boolean default False;

__property bool MultiLine

Description

The MultiLine property determines whether you want to allow multiple lines of tabs (if there are more than will fit in a single line) or restrict the control to a single line of tabs which can be scrolled. The default value is False, i.e. a single line of tabs which can be scrolled.


Raize Components 6

TRzCustomTabControl.MultiLine Example
TRzCustomTabControl


TRzCustomTabControl.OnChange

Occurs when the user changes to a new visible tab.

Declaration
property OnChange: TNotifyEvent;

__property Classes::TNotifyEvent OnChange

Description

The OnChange event occurs after changing to a new tab. To prevent changing to the new tab use the OnChanging event.


Raize Components 6

TRzCustomTabControl.OnChange Example
TRzCustomTabControl


TRzCustomTabControl.OnChanging

Occurs just before changing to a new visible tab.

Declaration
property OnChanging: TRzTabChangingEvent;

__property TRzTabChangingEvent OnChanging

Description

The OnChanging event occurs prior to changing to a new tab. The OnChanging event can be used to prevent changing to a new tab (indicated by the NewIndex parameter) by setting the AllowChange parameter to False.


Raize Components 6

TRzCustomTabControl.OnChanging Example
TRzCustomTabControl


TRzCustomTabControl.OnClose

Occurs when the user clicks the Close button.

Declaration
property OnClose: TRzTabCloseEvent;

__property TRzTabCloseEvent OnClose

Description

The OnClose event occurs when the user clicks the Close button of the control (ShowCloseButton=True). Handle this event to perform any cleanup before the active page/tab gets destroyed/deleted. To prevent the active page/tab from being destroyed/deleted, set the AllowClose parameter to False.


Raize Components 6

TRzCustomTabControl.OnClose Example
TRzCustomTabControl


TRzCustomTabControl.OnGetTextColor

Occurs when the component needs the color of a tab's caption.

Declaration
property OnGetTextColor: TRzGetTextColorEvent;

__property TRzGetTextColorEvent OnGetTextColor

Description

The OnGetTextColor event occurs when the component needs to know the color for caption text of a tab. The colors you specify will be ignored unless you set the Handled parameter to True.


Raize Components 6

TRzCustomTabControl.OnGetTextColor Example
TRzCustomTabControl


TRzCustomTabControl.OnPageChange

Occurs whenever the user switches pages.

Declaration
property OnPageChange: TNotifyEvent;

Description

This event fires whenever the user switches pages by clicking on a tab *or* the page is switched programmatically. This event fires regardless of whether the associated tab with the page is visible or not.


Raize Components 6

TRzCustomTabControl.OnPageChange Example
TRzCustomTabControl


TRzCustomTabControl.OnPaintBackground

Occurs when the background needs to be painted.

Declaration
property OnPaintBackground: TRzPaintBackgroundEvent;

__property TRzPaintBackgroundEvent OnPaintBackground

Description

The OnPaintBackground event occurs when the background of the component needs to be painted. The background of the component is the area outside the region occupied by the tabs and cards of the component. You can use the event if you are displaying the component on top of an image and you want to give the appearance that the area outside the tabs and cards is transparent, allowing what is underneath to show through. If you dont respond to this event and set the Handled parameter to True, the default behaviour is to fill the area outside the tabs and cards with the BackgroundColor color.


Raize Components 6

TRzCustomTabControl.OnPaintBackground Example
TRzCustomTabControl


TRzCustomTabControl.OnPaintCardBackground

Occurs when the background of a card needs to be painted.

Declaration
property OnPaintCardBackground: TRzPaintCardBackgroundEvent;

__property TRzPaintCardBackgroundEvent OnPaintCardBackground

Description

The OnPaintCardBackground event occurs when the background of one of the cards drawn by the component needs to be painted. If you dont respond to this event and set the Handled parameter to True, the default behaviour is to fill the background of the card with the appropriate color based on whether it is the current (front) card and the color of the currently selected tab and the ColoredTabs property.


Raize Components 6

TRzCustomTabControl.OnPaintCardBackground Example
TRzCustomTabControl


TRzCustomTabControl.OnPaintTabBackground

Occurs when a tab's background needs to be painted.

Declaration
property OnPaintTabBackground: TRzPaintTabBackgroundEvent;

__property TRzPaintTabBackgroundEvent OnPaintTabBackground

Description

The OnPaintTabBackground event occurs when the background of one of the tabs drawn by the component needs to be painted. If you dont respond to the event and set the Handled parameter to True, the default behaviour is to fill the background of the tab with the appropriate color depending on the current value of the ColoredTabs property. To paint a custom background for the tab you should paint the designated area (ARect parameter) of the canvas (ACanvas parameter) with the desired image. The canvas will automatically clip any painting you do which is outside the shape of the tab being drawn.


Raize Components 6

TRzCustomTabControl.OnPaintTabBackground Example
TRzCustomTabControl


TRzCustomTabControl.OnScrolledTabs

Occurs when tabs are scrolled by clicking the scroll buttons.

Declaration
property OnScrolledTabs: TNotifyEvent;

__property Classes::TNotifyEvent OnScrolledTabs

Description

This event gets fired when the tabs are scrolled by clicking the scroll buttons.


Raize Components 6

TRzCustomTabControl.OnScrolledTabs Example
TRzCustomTabControl


TRzCustomTabControl.OnTabClick

Occurs when a tab is clicked.

Declaration
property OnTabClick: TNotifyEvent;

__property Classes::TNotifyEvent OnTabClick

Description

The OnTabClick event occurs after a new tab has been selected using the mouse or keyboard. The OnTabClick event does not occur when a new tab is selected programmatically, i.e. when changing TabIndex or ActivePage within source code. To respond to programmatic tab changes you can use the OnChange and OnChanging events.


Raize Components 6

TRzCustomTabControl.OnTabClick Example
TRzCustomTabControl


TRzCustomTabControl.OnTabOrderChange

Occurs when the order of tabs is changed.

Declaration
property OnTabOrderChange: TRzTabOrderChangeEvent;

Description

This event is generated when the order of the tabs in the control are changed either by dragging the tabs, or by modifying a tab sheet's PageIndex property, or by moving items in the TRzTabControl.Tabs collection.


Raize Components 6

TRzCustomTabControl.OnTabOrderChange Example
TRzCustomTabControl


TRzCustomTabControl.ParentBackgroundColor

Determines if control gets BackgroundColor from its parent.

Declaration
property ParentBackgroundColor: Boolean default True;

__property bool ParentBackgroundColor

Description

The ParentBackgroundColor property determines whether the color of the background area (the area outside the tabs and cards) is the same as the parents Color or is the color specified by the BackgroundColor property. ParentBackgroundColor is thus similar to the way in which Color and ParentColor work together.


Raize Components 6

TRzCustomTabControl.ParentBackgroundColor Example
TRzCustomTabControl


Raize Components 6

TRzCustomTabControl Properties
TRzCustomTabControl

Public
TabStop

Protected
AlignTabs
AllowTabDragging
BackgroundColor
BoldCurrentTab
CutCornerSize
DragIndicatorColor
FlatColor
FlatColorAdjustment
HotTrack
HotTrackColor
HotTrackColorType
HotTrackStyle
ImageAlignment
ImageAlignmentVertical
ImageMargin
ImagePosition
Images
Margin
MultiLine
ParentBackgroundColor
RowIndent
RowOverlap
ShowCard
ShowCardFrame
ShowCloseButton
ShowFocusRect
ShowFullFrame
ShowMenuButton
ShowShadow
SoftCorners
TabColors
TabHeight
TabHints
TabIndex
TabIndexDefault
TabOrientation
TabOverlap
TabSequence
TabStyle
TabWidth
TextAlignment
TextAlignmentVertical
TextColors
TextOrientation
Transparent
UseColoredTabs
UseGradients


TRzCustomTabControl.RowIndent

Specifies amount successive rows are indented.

Declaration
property RowIndent: Integer default 5;

__property int RowIndent

Description

The RowIndent property determines the amount by which successive rows of tabs (after the first) will be indented. Values are in pixels and must be >= 0. The default value is 5. When TabOrientation is toTop or toBottom the value is an offset in the horizontal direction, when using toLeft or toRight it is an offset in the vertical direction.


Raize Components 6

TRzCustomTabControl.RowIndent Example
TRzCustomTabControl


TRzCustomTabControl.RowOverlap

Specifies amount successive rows are overlapped.

Declaration
property RowOverlap: Integer default 5;

__property int RowOverlap

Description

The RowOverlap property determines the amount by which successive rows of tabs (after the first) will be overlapped. Values are in pixels and must be >= 0. The default value is 5. When TabOrientation is toTop or toBottom the value is an offset in the vertical direction, when using toLeft or toRight it is an offset in the horizontal direction.


Raize Components 6

TRzCustomTabControl.RowOverlap Example
TRzCustomTabControl


TRzCustomTabControl.ShowAllTabs

Show all hidden tabs.

Declaration
procedure ShowAllTabs; virtual;

Description

Use this method to make all tabs visible.


Raize Components 6

TRzCustomTabControl.ShowAllTabs Example
TRzCustomTabControl


TRzCustomTabControl.ShowCard

Determines if the control has a client area.

Declaration
property ShowCard: Boolean default True;

__property bool ShowCard

Description

The ShowCard property determines whether the control has a client area (on which other controls can be placed). The default value is True. The client area corresponds to the card which is drawn below the tabs. To give the control the appearance of a tabset (with no card), set ShowCard to False.


Raize Components 6

TRzCustomTabControl.ShowCard Example
TRzCustomTabControl


TRzCustomTabControl.ShowCardFrame

Determines if a frame is drawn around client area.

Declaration
property ShowCardFrame: Boolean default True;

Description

The ShowCardFrame property determines if a frame is drawn around the client area of the control.


Raize Components 6

TRzCustomTabControl.ShowCardFrame Example
TRzCustomTabControl


TRzCustomTabControl.ShowCloseButton

Determines if the Close button is visible.

Declaration
property ShowCloseButton: Boolean default False;

__property bool ShowCloseButton

Description

The ShowCloseButton property determines whether the control displays a Close button next to the tabs. Clicking the close button at runtime causes active page/tab to be destroye/deleted if the AllowClose parameter passed to the OnClose event is set to True.


Raize Components 6

TRzCustomTabControl.ShowCloseButton Example
TRzCustomTabControl


TRzCustomTabControl.ShowFocusRect

Determines if focus rectangle is drawn around tab caption.

Declaration
property ShowFocusRect: Boolean default True;

Description

This property determines if a focus rectangle is drawn around the caption of the active tab when it has focus.


Raize Components 6

TRzCustomTabControl.ShowFocusRect Example
TRzCustomTabControl


TRzCustomTabControl.ShowFullFrame

Determines if entire frame is drawn or just the portion adjacent to tabs.

Declaration
property ShowFullFrame: Boolean default True;

Description

When this property is set to False, only the portion of the frame that is adjacent to the tabs is drawn.


Raize Components 6

TRzCustomTabControl.ShowFullFrame Example
TRzCustomTabControl


TRzCustomTabControl.ShowMenuButton

Determines if Memo button is visible.

Declaration
property ShowMenuButton: Boolean default False;

Description

The ShowMenuButton property determines if a button appears next to the tabs (next to the Close button if it is visible). When this button is clicked a popup menu is displayed listing all of the tabs currently visible in the control. The user can navigate to a tab by selecting the corresponding menu item.


Raize Components 6

TRzCustomTabControl.ShowMenuButton Example
TRzCustomTabControl


TRzCustomTabControl.ShowShadow

Determines if a alpha-blended drop shadow is displayed.

Declaration
property ShowShadow: Boolean default True;

__property bool ShowShadow

Description

When ShowShadow is set to True, and TabOrientation is toTop, the right and bottom sides of the control display a drop shadow.


Raize Components 6

TRzCustomTabControl.ShowShadow Example
TRzCustomTabControl


TRzCustomTabControl.SoftCorners

Determines if tab corners are drawn more rounded.

Declaration
property SoftCorners: Boolean default False;

__property bool SoftCorners

Description

When SoftCorners is set to True, the angle corner of the tsSingleSlant, tsDoubleSlant, and tsBackSlant styles are drawn softer (more rounded). The default is False.


Raize Components 6

TRzCustomTabControl.SoftCorners Example
TRzCustomTabControl


TRzCustomTabControl.TabAtPos

Returns index of tab at specified position.

Declaration
function TabAtPos(X, Y: Integer): Integer;

Description

The TabAtPos method returns the index of the tab containing the specified point. If the point is not within any of the tabs then the result is -1.


Raize Components 6

TRzCustomTabControl.TabAtPos Example
TRzCustomTabControl


TRzCustomTabControl.TabColors

Use TabColors to alter the coloring of the tabs.

Declaration
property TabColors: TRzTabColors;

__property TRzTabColors *TabColors

Description

Use TabColors to alter the coloring of the tabs.


Raize Components 6

TRzCustomTabControl.TabColors Example
TRzCustomTabControl


TRzCustomTabControl.TabHeight

Specifies the height of the tabs.

Declaration
property TabHeight: Integer default 0;

__property int TabHeight

Description

The TabHeight property determines the height of the tabs. Values are in pixels and must be >= 0. The default value is 0 which results in automatic tab sizing, i.e. large enough to accomodate each tabs caption and glyph. Note that TabHeight is always the vertical extent, regardless of the current TabOrientation, e.g. when using toLeft orientation, TabHeight is still the vertical extent even though it could be thought of as the tabs width (were the tab not rotated sideways).


Raize Components 6

TRzCustomTabControl.TabHeight Example
TRzCustomTabControl


TRzCustomTabControl.TabHints

Determines if hints are shown for each tab.

Declaration
property TabHints: Boolean default False;

__property bool TabHints

Description

The TabHints property determines whether individual hints will be shown for each tab as the mouse cursor is moved over individual tabs. The default value is False. To cause individual hints to be shown you will need to specify a hint for each tab which should have a specific hint and also set either ShowHint or ParentShowHint for the control. The TabHints property is independent of the current HotTrack setting.


Raize Components 6

TRzCustomTabControl.TabHints Example
TRzCustomTabControl


TRzCustomTabControl.TabIndex

Determines the currently selected tab.

Declaration
property TabIndex: Integer default -1;

__property int TabIndex

Description

The TabIndex property determines the currently selected tab of the tab control. Values can be in the range -1 to the number of tabs less one. A value of -1 indicates that no tab is currently selected (or there are no tabs). When the tab control is first loaded by the form, the TabIndexDefault value is used to determine the initial value for TabIndex. Changing TabIndex (after it has been set to its initial value) will cause an OnChanging event and -- provided the tab change is allowed -- an OnChange event.


Raize Components 6

TRzCustomTabControl.TabIndex Example
TRzCustomTabControl


TRzCustomTabControl.TabIndexDefault

Specifies initial value for TabIndex when first loaded.

Declaration
property TabIndexDefault: Integer default 0;

__property int TabIndexDefault

Description

The TabIndexDefault property determines the initial value for TabIndex when the tab control is first loaded by the form. Values can be in the range -1 to the number of tabs less one. The default value is 0.


Raize Components 6

TRzCustomTabControl.TabIndexDefault Example
TRzCustomTabControl


TRzCustomTabControl.TabIndexInView

Determines if specified tab is currently in view.

Declaration
function TabIndexInView(Index: Integer): Boolean;

Description

This method determines if the specified tab index is currently in view, or has been hidden because it has been scrolled out of view.


Raize Components 6

TRzCustomTabControl.TabIndexInView Example
TRzCustomTabControl


TRzCustomTabControl.TabOrientation

Specifies location of tabs on the control.

Declaration
property TabOrientation: TRzTabOrientation default toTop;

__property TRzTabOrientation TabOrientation

Description

The TabOrientation property determines the orientation of the tabs around the client area of the control. The default value is toTop.


Raize Components 6

TRzCustomTabControl.TabOrientation Example
TRzCustomTabControl


TRzCustomTabControl.TabOverlap

Specifies amount of overlap between adjacent tabs.

Declaration
property TabOverlap: Integer default -1;

__property int TabOverlap

Description

Use this property to control the number of pixels a tab will overlap an adjacent tab. This property is only active when the TabStyle is set to tsCutCorner or tsRoundedCorners. For example, a TabOverlap of 1 will cause adjacent tabs to overlap by 1 pixel thus causing the tabs to share a border. Specifying an negative value for TabOverlap causes a space to appear between tabs.


Raize Components 6

TRzCustomTabControl.TabOverlap Example
TRzCustomTabControl


TRzCustomTabControl.TabSequence

Determines ordering of tabs.

Declaration
property TabSequence: TRzTabSequence default tsStandard;

__property TRzTabSequence TabSequence

Description

The TabSequence property determines the way in which the tab display area is filled with tabs. The default value is tsStandard. The outcome of using different values of TabSequence depends on the current TabOrientation value as shown below.

TabSequence

TabOrientation tsStandard tsReverse

toTop, toBottom Fill from left to right. Fill from right to left.

toLeft Fill from bottom to top. Fill from top to bottom.

toRight Fill from top to bottom. Fill from bottom to top.


Raize Components 6

TRzCustomTabControl.TabSequence Example
TRzCustomTabControl


TRzCustomTabControl.TabStyle

Use TabStyle to change the appearance of the tabs.

Declaration
property TabStyle: TRzTabStyle default tsSingleSlant;

__property TRzTabStyle TabStyle

Description

Use TabStyle to change the appearance of the tabs.


Raize Components 6

TRzCustomTabControl.TabStyle Example
TRzCustomTabControl


TRzCustomTabControl.TabWidth

Specifies width of tabs.

Declaration
property TabWidth: Integer default 0;

__property int TabWidth

Description

The TabWidth property determines the width of the tabs. Values are in pixels and must be >= 0. The default value is 0 which results in automatic tab sizing, i.e. large enough to accomodate each tabs caption and glyph. Note that TabWidth is always the horizontal extent, regardless of the current TabOrientation, e.g. when using toLeft orientation, TabWidth is still the horizontal extent even though it could be thought of as the tabs height (were the tab not rotated sideways).


Raize Components 6

TRzCustomTabControl.TabWidth Example
TRzCustomTabControl


TRzCustomTabControl.TextAlignment

Specifies horizontal position of tab captions.

Declaration
property TextAlignment: TRzHorizontalAlignment default haCenter;

__property TRzHorizontalAlignment TextAlignment

Description

The TextAlignment property determines the horizontal positioning of the tab captions within the area of each tabs face set aside for caption display. The default value is haLeft. The size of the area of the tabs face which is set aside for caption display will depend on the actual tab size, which in turn is based on the size of the largest glyph (of any tab), the size of the largest caption, the size of the caption to be displayed, whether using automatic tab sizing or fixed tab sizing etc.


Raize Components 6

TRzCustomTabControl.TextAlignment Example
TRzCustomTabControl


TRzCustomTabControl.TextAlignmentVertical

Specifies vertical positioning of tab captions.

Declaration
property TextAlignmentVertical: TRzVerticalAlignment default vaCenter;

__property TRzVerticalAlignment TextAlignmentVertical

Description

The TextAlignmentVertical property determines the vertical positioning of the tab captions within the area of each tabs face set aside for caption display. The default value is vaTop. The size of the area of the tabs face which is set aside for caption display will depend on the actual tab size, which in turn is based on the size of the largest glyph (of any tab), the size of the largest caption, the size of the caption to be displayed, whether using automatic tab sizing or fixed tab sizing etc.


Raize Components 6

TRzCustomTabControl.TextAlignmentVertical Example
TRzCustomTabControl


TRzCustomTabControl.TextColors

Use TextColors to change the colors used to display captions of the tabs in various states.

Declaration
property TextColors: TRzTextColors;

__property TRzTextColors *TextColors

Description

Use TextColors to change the colors used to display captions of the tabs in various states.


Raize Components 6

TRzCustomTabControl.TextColors Example
TRzCustomTabControl


TRzCustomTabControl.TextOrientation

Determines if text is display horizontally or vertically.

Declaration
property TextOrientation: TOrientation default orHorizontal;

__property Rzcommon::TOrientation TextOrientation

Description

The TextOrientation property determines whether the tab captions are displayed horizontally or vertically.


Raize Components 6

TRzCustomTabControl.TextOrientation Example
TRzCustomTabControl


TRzCustomTabControl.Transparent

Determines if the control appears transparent.

Declaration
property Transparent: Boolean default False;

__property bool Transparent

Description

When this property is set to True, the background behind the control shows through.


Raize Components 6

TRzCustomTabControl.Transparent Example
TRzCustomTabControl


TRzCustomTabControl.UseColoredTabs

Determines if each tab can be displayed in its own color.

Declaration
property UseColoredTabs: Boolean default False;

__property bool UseColoredTabs

Description

The UseColoredTabs property determines whether the color of each tab is derived from the color value for each tab (in the tabs information) or from the color of the control. The default value is False. When False, the color of the tabs will be based on the current Color of the control (which can in turn be determined by the ParentColor value). When True, each tabs color will be the color specified in the tabs information entered via the Edit Tabs editor (accessed via the context menu).


Raize Components 6

TRzCustomTabControl.UseColoredTabs Example
TRzCustomTabControl


TRzCustomTabControl.UseGradients

Determines if the control displays control elements using gradient fills.

Declaration
property UseGradients: Boolean default True;

__property bool UseGradients

Description

When UseGradients is set to True (the default), the control will display elements of its interface using a gradient fill.


Raize Components 6

TRzCustomTabControl.UseGradients Example
TRzCustomTabControl


TRzGetTextColorEvent

Unit
RzTabs

Declaration
TRzGetTextColorEvent=procedure(Sender: TObject; ATabIndex: Integer; AStyle: TRzTextStyle; var AColor: TColor; var Handled: Boolean) of object;

typedef void __fastcall(__closure *TRzGetTextColorEvent)(System::TObject *Sender, int ATabIndex, TRzTextStyle AStyle, Graphics::TColor & AColor, bool & Handled);

Description

.


TRzHorizontalAlignment

Unit
RzTabs

Declaration
TRzHorizontalAlignment =(haLeft, haCenter, haRight);

Description

Value Meaning

haLeft:

haCenter:

haRight:


TRzImagePosition

Unit
RzTabs

Declaration
TRzImagePosition =(ipLeft, ipTop, ipRight, ipBottom, ipBack, ipStretch);

Description

Value Meaning

ipLeft:

ipTop:

ipRight:

ipBottom:

ipBack:

ipStretch:


TRzPageControl.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzPageControl.About Example
TRzPageControl


TRzPageControl.ActivePage

Declaration
property ActivePage: TRzTabSheet;

__property TRzTabSheet *ActivePage

Description

The ActivePage property determines the currently displayed page of the page control. A value of nil indicates that no page is currently displayed. When the page control is first loaded by the form, the ActivePageDefault value is used to determine the initial value for ActivePage. Changing ActivePage (after it has been set to its initial value) will cause an OnChanging event and -- provided the page change is allowed -- an OnChange event.


Raize Components 6

TRzPageControl.ActivePage Example
TRzPageControl


TRzPageControl.ActivePageDefault

Declaration
property ActivePageDefault: TRzTabSheet;

__property TRzTabSheet *ActivePageDefault

Description

The ActivePageDefault property determines the initial value for ActivePage when the page control is first loaded by the form. The default value is nil; this indicates that ActivePageDefault is to be ignored and the previous ActivePage value (at design-time) is to be used.


Raize Components 6

TRzPageControl.ActivePageDefault Example
TRzPageControl


TRzPageControl.ActivePageIndex

Declaration
property ActivePageIndex: Integer;

__property int ActivePageIndex

Description

The ActivePageIndex property determines the currently displayed page of the page control. A value of -1 indicates that no page is currently displayed.


Raize Components 6

TRzPageControl.ActivePageIndex Example
TRzPageControl


TRzPageControl.DblClickUndocks

Declaration
property DblClickUndocks: Boolean default True;

Description

When this property is set to True, double-clicking on the tab of a docked page causes the page to be un-docked.


Raize Components 6

TRzPageControl.DblClickUndocks Example
TRzPageControl


Raize Components 6

TRzPageControl Events
TRzPageControl

Public


TRzPageControl.FindNextPage

Declaration
function FindNextPage(CurPage: TRzTabSheet; GoForward, CheckTabVisible: Boolean): TRzTabSheet;

Description

The FindNextPage method starts at the page specified by CurPage and searches for the next page. GoForward determines whether to search forwards through the pages. CheckTabVisible indicates whether the search should only include pages which have a visible tab (where visible means that the pages TabVisible property is True, not that the tab is actually in view at the moment). If no page is found the method returns nil.


Raize Components 6

TRzPageControl.FindNextPage Example
TRzPageControl


TRzPageControl.MakeControlVisible

Declaration
procedure MakeControlVisible(AControl: TControl);

Description

Use this method to have the page control switch to the appropriate tab sheet so that the specified control is visible.


Raize Components 6

TRzPageControl.MakeControlVisible Example
TRzPageControl


Raize Components 6

TRzPageControl Methods
TRzPageControl

Public
FindNextPage
MakeControlVisible
PageForTab
SelectNextPage


TRzPageControl.PageCount

Declaration
property PageCount: Integer;

__property int PageCount

Description

Run-time only. The read-only PageCount property indicates the number of pages for the page control. The Pages property can be used to iterate through each page.


Raize Components 6

TRzPageControl.PageCount Example
TRzPageControl


TRzPageControl.PageForTab

Declaration
function PageForTab(ATabIndex: Integer): TRzTabSheet;

Description

The PageForTab method returns the page associated with the specified tab.


Raize Components 6

TRzPageControl.PageForTab Example
TRzPageControl


TRzPageControl.Pages

Declaration
property Pages[Index: Integer]: TRzTabSheet;

__property TRzTabSheet *Pages[int Index]

Description

Run-time only. The read-only Pages property can be used to access each page of the page control. The first page has an Index of 0, the second page has an Index of 1 and so on up to PageCount - 1.


Raize Components 6

TRzPageControl.Pages Example
TRzPageControl


Raize Components 6

TRzPageControl Properties
TRzPageControl

Public
About
ActivePage
ActivePageDefault
ActivePageIndex
Align
AlignTabs
AllowTabDragging
Anchors
BackgroundColor
BoldCurrentTab
Color
Constraints
CutCornerSize
DblClickUndocks
DockSite
DragCursor
DragIndicatorColor
DragKind
DragMode
Enabled
FlatColor
FlatColorAdjustment
Font
HelpContext
Hint
HotTrack
HotTrackColor
HotTrackColorType
HotTrackStyle
ImageAlignment
ImageAlignmentVertical
ImageMargin
ImagePosition
Images
Margin
MultiLine
PageCount
Pages
ParentBackgroundColor
ParentColor
ParentFont
ParentShowHint
PopupMenu
RowIndent
RowOverlap
SaveResources
ShowCardFrame
ShowCloseButton
ShowFocusRect
ShowFullFrame
ShowHint
ShowMenuButton
ShowShadow
SoftCorners
TabColors
TabHeight
TabHints
TabIndex
TabOrder
TabOrientation
TabOverlap
TabSequence
TabStop
TabStyle
TabWidth
TextAlignment
TextAlignmentVertical
TextColors
TextOrientation
Transparent
UseColoredTabs
UseGradients
Visible


TRzPageControl.SaveResources

Declaration
property SaveResources: Boolean default False;

__property bool SaveResources

Description

The SaveResources property determines whether window handles of controls on the current page should be released when changing to another page, thus saving GDI resources. The default value is False.


Raize Components 6

TRzPageControl.SaveResources Example
TRzPageControl


TRzPageControl.SelectNextPage

Declaration
procedure SelectNextPage(GoForward: Boolean);

Description

The SelectNextPage method searches from the current page for the next page which has a visible tab and then selects that page. GoForward determines whether to search forwards or backwards.


Raize Components 6

TRzPageControl.SelectNextPage Example
TRzPageControl


TRzPaintBackgroundEvent

Unit
RzTabs

Declaration
TRzPaintBackgroundEvent=procedure(Sender: TObject; ACanvas: TCanvas; const ARect: TRect; var Handled: Boolean) of object;

typedef void __fastcall(__closure *TRzPaintBackgroundEvent)(System::TObject *Sender, Graphics::TCanvas *ACanvas, const Types::TRect & ARect, bool & Handled);

Description

The TRzPaintBackgroundEvent type points to a method that can paint/erase the area behind a notebook. The canvas parameter will already have had the appropriate clipping region selected into it. The specified rectangle is relative to the top-left corner of the notebook. If you paint/erase the background you should set the Handled parameter to True.


TRzPaintCardBackgroundEvent

Unit
RzTabs

Declaration
TRzPaintCardBackgroundEvent=procedure(Sender: TObject; ACanvas: TCanvas; ARow: Integer; const ARect: TRect; var Handled: Boolean) of object;

typedef void __fastcall(__closure *TRzPaintCardBackgroundEvent)(System::TObject *Sender, Graphics::TCanvas *ACanvas, int ARow, const Types::TRect & ARect, bool & Handled);

Description

The TRzPaintCardBackgroundEvent type is used for the OnPaintCardBackground event of TRzTabControl and TRzPageControl components.

The ACanvas parameter represents the drawing surface of the entire control. The ARow parameter is the zero-based index of the row of tabs for which the card is being painted. The currently selected tab is always in row 0. The ARect parameter specifies the area within the canvas that needs to be painted. A clipping region equal to the position and size of the card being painted will have already been selected into the canvas to prevent painting outside the designated cards boundaries. The Handled parameter should be set to True if you paint the specified area. If you dont set Handled to True the control will perform its default behaviour, i.e. filling the area with the appropriate color.


TRzPaintTabBackgroundEvent

Unit
RzTabs

Declaration
TRzPaintTabBackgroundEvent=procedure(Sender: TObject; ACanvas: TCanvas; ATabIndex: Integer; const ARect: TRect; var Handled: Boolean) of object;

typedef void __fastcall(__closure *TRzPaintTabBackgroundEvent)(System::TObject *Sender, Graphics::TCanvas *ACanvas, int ATabIndex, const Types::TRect & ARect, bool & Handled);

Description

The TRzPaintTabBackgroundEvent type is used for the OnPaintTabBackground event of TRzTabControl and TRzPageControl components.

The ACanvas parameter represents the drawing surface of the entire control. The ATabIndex parameter is the zero-based index of the tab that is being painted. The ARect parameter specifies the area within the canvas that needs to be painted. A clipping region equal to the position, size and (non-retangular) shape of the tab being painted will have already been selected into the canvas to prevent painting outside the designated tabs boundaries. The Handled parameter should be set to True if you paint the specified area. If you dont set Handled to True the control will perform its default behaviour, i.e. filling the area with the appropriate color.


TRzTabChangingEvent

Unit
RzTabs

Declaration
TRzTabChangingEvent=procedure(Sender: TObject; NewIndex: Integer; var AllowChange: Boolean) of object;

Description

.


TRzTabCloseEvent

Unit
RzTabs

Declaration
TRzTabCloseEvent=procedure(Sender: TObject; var AllowClose: Boolean) of object;

Description

.


TRzTabCollection

Unit
RzTabs

Declaration
TRzTabCollection=Class(TCollection);

Description

The TRzTabCollection object allows a collection of TRzTabCollectionItem objects to be manipulated. It is the type of the Tabs property in a TRzTabControl component.


TRzTabCollection.Add

Declaration
function Add: TRzTabCollectionItem;

HIDESBASE TRzTabCollectionItem *__fastcall Add(void)

Description

Creates and adds a new item to the end of the collection and returns the new item.


Raize Components 6

TRzTabCollection.Add Example
TRzTabCollection


TRzTabCollection.Clear

Clears the collection.

Declaration
procedure Clear;

HIDESBASE void __fastcall Clear(void)

Description

Clears the collection of all items.


Raize Components 6

TRzTabCollection.Clear Example
TRzTabCollection


TRzTabCollection.Delete

Deletes the specified item.

Declaration
procedure Delete(Index: Integer);

HIDESBASE void __fastcall Delete(int Index)

Description

Deletes the specified item from the collection.


Raize Components 6

TRzTabCollection.Delete Example
TRzTabCollection


TRzTabCollection.Insert

Declaration
function Insert(Index: Integer): TRzTabCollectionItem;

HIDESBASE TRzTabCollectionItem *__fastcall Insert(int Index)

Description

Creates and inserts a new item into the collection and returns the new item.


Raize Components 6

TRzTabCollection.Insert Example
TRzTabCollection


TRzTabCollectionItem

Properties

Unit
RzTabs

Declaration
TRzTabCollectionItem=Class(TCollectionItem);

Description

The TRzTabCollectionItem object is used to store and manipulate the properties for each tab of a TRzTabControl component. Each item in the Tabs list is a TRzTabCollectionItem object.


TRzTabCollectionItem.Caption

Specifies the text to display on the control.

Declaration
property Caption: string;

__property AnsiString Caption

Description

Use Caption to specify the text string that labels the control.

To underline a character in a Caption that labels a component, include an ampersand (&) before the character. This type of character is called an accelerator character. The user can then select the component by pressing Alt while typing the underlined character. To display an ampersand character in the caption, use two ampersands (&&).

Note: Controls that display text use either the Caption property or the Text property to specify the text value. Which property is used depends on the type of control. In general, Caption is used for text that appears as a window title or label, while Text is used for text that appears as the content of a control.


Raize Components 6

TRzTabCollectionItem.Caption Example
TRzTabCollectionItem


TRzTabCollectionItem.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clBtnFace;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzTabCollectionItem.Color Example
TRzTabCollectionItem


TRzTabCollectionItem.Data

Declaration
property Data: Pointer;

__property void *Data

Description

Use this property associate an untyped data reference to the collection item.


Raize Components 6

TRzTabCollectionItem.Data Example
TRzTabCollectionItem


TRzTabCollectionItem.DisabledIndex

Specifies the image to use when the control is disabled.

Declaration
property DisabledIndex: TImageIndex default -1;

__property Imglist::TImageIndex DisabledIndex

Description

Use DisabledIndex to specify an alternate image to be displayed when the control is disabled.


Raize Components 6

TRzTabCollectionItem.DisabledIndex Example
TRzTabCollectionItem


TRzTabCollectionItem.Enabled

Determines whether or not the contol is enabled.

Declaration
property Enabled: Boolean default True;

__property bool Enabled

Description

Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to false. Disabled controls appear dimmed. If Enabled is False, the control ignores mouse, keyboard, and timer events.

To re-enable a control, set Enabled to True. The control is no longer dimmed, and the user can use the control.


Raize Components 6

TRzTabCollectionItem.Enabled Example
TRzTabCollectionItem


TRzTabCollectionItem.Hint

Specifies the text to be displayed as a popup hint when the mouse is positioned over the control.

Declaration
property Hint: string;

__property AnsiString Hint

Description

Use the Hint property to provide a string of help text either as a Help Hint, or as help text on a particular location such as a status bar.

A Help Hint is a box containing help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily. To set up Help Hints:

· Specify the Hint property of each control for which a Help Hint should appear.

· Set the ShowHint property of each appropriate control to true, or set the ParentShowHint property of all controls to true and set the ShowHint property of the form to true.

· At runtime, set the value of the application's ShowHint property to true.

To show the Hint on a status bar or other location, use the OnHint event handler of the application. The applications OnHint event occurs when the mouse pointer moves over the control.

Specify a hint to be used for both a Help Hint box and by an OnHint handler by specifying two values separated by a | character (the vertical bar or symbol). For example,

Edit1.Hint := 'Name|Enter Name in the edit box';

The 'Name' part appears in the Help Hint box and the 'Enter full name in the edit box' part can be extracted using the GetLongHint function for use in an OnHint event handler.

If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint function. If a control has no Hint value specified, but its parent control does, the control uses the Hint value of the parent control (as long as the control's ShowHint property is true).

Note: If the application's ShowHint property is false, the Help Hint does not appear, but the OnHint event handler is still called.


Raize Components 6

TRzTabCollectionItem.Hint Example
TRzTabCollectionItem


TRzTabCollectionItem.ImageIndex

Specifies the image to use when the control is in a normal state.

Declaration
property ImageIndex: TImageIndex default -1;

__property Imglist::TImageIndex ImageIndex

Description

Use ImageIndex to specify the image to be displayed when the control is in a normal state.


Raize Components 6

TRzTabCollectionItem.ImageIndex Example
TRzTabCollectionItem


Raize Components 6

TRzTabCollectionItem Properties
TRzTabCollectionItem

Public
Caption
Color
Data
DisabledIndex
Enabled
Hint
ImageIndex
Tag
Visible


TRzTabCollection.Items
TRzTabCollection Properties

Declaration
property Items[Index: Integer]: TRzTabCollectionItem read GetItem write SetItem;

__property TRzTabCollectionItem *Items[int Index]

Description

Allows access to individual items in the list. This is the default property and can thus be omitted, e.g. Tabs[1] is equivalent to Tabs.Items[1].


Raize Components 6

TRzTabCollection.Items Example
TRzTabCollection


TRzTabCollectionItem.Tag

Declaration
property Tag: Longint default 0;

__property int Tag

Description

Use this property to associate an integer tag with the collection item.


Raize Components 6

TRzTabCollectionItem.Tag Example
TRzTabCollectionItem


TRzTabCollectionItem.Visible

Determines if the control is visible at runtime.

Declaration
property Visible: Boolean default True;

__property bool Visible

Description

Use the Visible property to control the visibility of the control at runtime. If Visible is True, the control appears. If Visible is False, the control is not visible.

Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.


Raize Components 6

TRzTabCollectionItem.Visible Example
TRzTabCollectionItem


Raize Components 6

TRzTabCollection Methods
TRzTabCollection

Public
Add
Clear
Delete
Insert
Move


TRzTabCollection.Move

Declaration
procedure Move(CurIndex, NewIndex: Integer);

void __fastcall Move(int CurIndex, int NewIndex)

Description

Moves the item at position CurIndex to position NewIndex.


Raize Components 6

TRzTabCollection.Move Example
TRzTabCollection


Raize Components 6

TRzTabCollection Properties
TRzTabCollection

Public
Items


TRzTabColors

Properties

Unit
RzTabs

Declaration
TRzTabColors=Class(TPersistent);

Description

TRzTabColors is used to hold color values for displaying tabs.


TRzTabColors.HighlightBar

Declaration
property HighlightBar: TColor default clHighlight;

__property Graphics::TColor HighlightBar

Description

Specifies the color to use to display the highlight bar on the active tab.


Raize Components 6

TRzTabColors.HighlightBar Example
TRzTabColors


Raize Components 6

TRzTabColors Properties
TRzTabColors

Public
HighlightBar
Shadow
Unselected


TRzTabColors.Shadow

Declaration
property Shadow: TColor default clBtnFace;

__property Graphics::TColor Shadow

Description

Specifies the color used when displaying unselected tabs when UseGradients is True.


Raize Components 6

TRzTabColors.Shadow Example
TRzTabColors


TRzTabColors.Unselected

Declaration
property Unselected: TColor default clWindow;

__property Graphics::TColor Unselected

Description

Specifies the color used to display unselected tabs.


Raize Components 6

TRzTabColors.Unselected Example
TRzTabColors


TRzTabControl.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzTabControl.About Example
TRzTabControl


Raize Components 6

TRzTabControl Events
TRzTabControl

Public


Raize Components 6

TRzTabControl Methods
TRzTabControl


Raize Components 6

TRzTabControl Properties
TRzTabControl

Public
About
Align
AlignTabs
AllowTabDragging
Anchors
BackgroundColor
BoldCurrentTab
Color
Constraints
CutCornerSize
DisplayRect
DragIndicatorColor
Enabled
FlatColor
FlatColorAdjustment
Font
HelpContext
Hint
HotTrack
HotTrackColor
HotTrackColorType
HotTrackStyle
ImageAlignment
ImageAlignmentVertical
ImageMargin
ImagePosition
Images
Margin
MultiLine
Padding
ParentBackgroundColor
ParentColor
ParentFont
ParentShowHint
PopupMenu
RowIndent
RowOverlap
ShowCard
ShowCardFrame
ShowCloseButton
ShowFocusRect
ShowFullFrame
ShowHint
ShowMenuButton
ShowShadow
SoftCorners
TabColors
TabHeight
TabHints
TabIndex
TabIndexDefault
TabOrder
TabOrientation
TabOverlap
Tabs
TabSequence
TabStop
TabStyle
TabWidth
TextAlignment
TextAlignmentVertical
TextColors
TextOrientation
Transparent
UseColoredTabs
UseGradients
Visible


TRzTabHotTrackStyle

Unit
RzTabs

Declaration
TRzTabHotTrackStyle =(htsTab, htsText);

Description

Value Meaning

htsTab:

htsText:


TRzTabOrderChangeEvent

Unit
RzTabs

Declaration
TRzTabOrderChangeEvent=procedure(Sender: TObject; OldIndex, NewIndex: Integer) of object;

typedef void __fastcall(__closure *TRzTabOrderChangeEvent)(System::TObject *Sender, int OldIndex, int NewIndex);

Description

.


TRzTabOrientation

Unit
RzTabs

Declaration
TRzTabOrientation =(toTop, toLeft, toBottom, toRight);

enum TRzTabOrientation toTop, toLeft, toBottom, toRight ;

Description

Value Meaning

toTop:

toLeft:

toBottom:

toRight:


TRzTabScrollerBtn

Unit
RzTabs

Declaration
TRzTabScrollerBtn =(sbDownLeft, sbUpRight);

Description

Value Meaning

sbDownLeft:

sbUpRight:


TRzTabSequence

Unit
RzTabs

Declaration
TRzTabSequence =(tsStandard, tsReverse);

enum TRzTabSequence tsStandard, tsReverse ;

Description

Value Meaning

tsStandard:

tsReverse:


TRzTabSheet

Unit
RzTabs

Declaration
TRzTabSheet=Class(TCustomControl);

Description

The TRzTabSheet component is used for each page of a TRzPageControl component. The TRzTabSheet component contains all the controls on a single page of the page control as well as having properties for specifying the attributes of the associated tab. Each item in the Pages property is a TRzTabSheet object.


TRzTabSheet.Color

Declaration
property Color: TColor default clBtnFace;

__property Graphics::TColor Color

Description

The Color property determines the color of the tab. The Color property will be ignored unless the UseColoredTabs property of the associated control is True.


Raize Components 6

TRzTabSheet.Color Example
TRzTabSheet


TRzTabSheet.Data

Declaration
property Data: Pointer;

__property void *Data

Description

Use this property to associate an untype data reference to the tab sheet.


Raize Components 6

TRzTabSheet.Data Example
TRzTabSheet


TRzTabSheet.DisabledIndex

Specifies the image to use when the control is disabled.

Declaration
property DisabledIndex: TImageIndex default -1;

__property Imglist::TImageIndex DisabledIndex

Description

Use DisabledIndex to specify an alternate image to be displayed when the control is disabled.


Raize Components 6

TRzTabSheet.DisabledIndex Example
TRzTabSheet


Raize Components 6

TRzTabSheet Events
TRzTabSheet

Public
OnHide
OnPaintBackground
OnShow


TRzTabSheet.ImageIndex

Specifies the image to use when the control is in a normal state.

Declaration
property ImageIndex: TImageIndex default -1;

__property Imglist::TImageIndex ImageIndex

Description

Use ImageIndex to specify the image to be displayed when the control is in a normal state.


Raize Components 6

TRzTabSheet.ImageIndex Example
TRzTabSheet


TRzTabSheet.OnHide

Occurs when tab sheet is hidden.

Declaration
property OnHide: TNotifyEvent;

__property Classes::TNotifyEvent OnHide

Description

This event occurs when the tab sheet is hidden.


Raize Components 6

TRzTabSheet.OnHide Example
TRzTabSheet


TRzTabSheet.OnPaintBackground

Declaration
property OnPaintBackground: TRzPaintBackgroundEvent;

__property TRzPaintBackgroundEvent OnPaintBackground

Description

The OnPaintBackground event occurs when the background of the component needs to be painted. If you dont respond to this event and set the Handled parameter to True, the default behaviour is to fill the background with the appropriate color (depending on the Color and ParentColor properties of the component and its parent and the UseColoredTabs property of the page control).


Raize Components 6

TRzTabSheet.OnPaintBackground Example
TRzTabSheet


TRzTabSheet.OnShow

Occurs when tab sheet is made visible.

Declaration
property OnShow: TNotifyEvent;

__property Classes::TNotifyEvent OnShow

Description

This event occurs when the tab sheet is made visible.


Raize Components 6

TRzTabSheet.OnShow Example
TRzTabSheet


TRzTabSheet.PageControl

Declaration
property PageControl: TRzPageControl;

__property TRzPageControl *PageControl

Description

Run-time only. The PageControl property determines the page control associated with the TRzTabSheet component. When the PageControl property of a TRzTabSheet component is set to a particular page control, the page will be added to that page controls pages.


Raize Components 6

TRzTabSheet.PageControl Example
TRzTabSheet


TRzTabSheet.PageIndex

Declaration
property PageIndex: Integer;

__property int PageIndex

Description

The PageIndex property determines the position of the page in the list of pages for the page control. The first page has a PageIndex of 0, the second page has a PageIndex of 1 and so on. When the PageIndex value is changed the associated tab is also moved.


Raize Components 6

TRzTabSheet.PageIndex Example
TRzTabSheet


Raize Components 6

TRzTabSheet Properties
TRzTabSheet

Public
Caption
Color
Constraints
Data
DisabledIndex
Enabled
Font
Height
ImageIndex
Left
Padding
PageControl
PageIndex
ParentFont
ParentShowHint
PopupMenu
ShowHint
TabEnabled
TabIndex
TabVisible
Top
Visible
Width


TRzTabSheet.TabEnabled

Declaration
property TabEnabled: Boolean default True;

__property bool TabEnabled

Description

The TabEnabled property determines whether the tab associated with the page is enabled or disabled. The captions of disabled tabs will be displayed in a grayed style. Note that disabled tabs will always be selectable at design-time. The TabEnabled property is distinct from the Enabled property which determines whether the page itself (not the tab associated with the page) is enabled or disabled.


Raize Components 6

TRzTabSheet.TabEnabled Example
TRzTabSheet


TRzTabSheet.TabIndex

Declaration
property TabIndex: Integer;

__property int TabIndex

Description

Run-time only. The read-only TabIndex property returns the zero-based index of the tab associated with the page. If the page does not have a visible tab, i.e. when TabVisible is False, TabIndex will be -1.


Raize Components 6

TRzTabSheet.TabIndex Example
TRzTabSheet


TRzTabSheet.TabVisible

Declaration
property TabVisible: Boolean default True;

__property bool TabVisible

Description

The TabVisible property determines whether the tab associated with the page is visible or hidden. A page which has a hidden tab is still selectable via the page controls ActivePage property.


Raize Components 6

TRzTabSheet.TabVisible Example
TRzTabSheet


TRzTabSheet.Visible

Determines if the control is visible at runtime.

Declaration
property Visible: Boolean;

__property bool Visible

Description

Use the Visible property to control the visibility of the control at runtime. If Visible is True, the control appears. If Visible is False, the control is not visible.

Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.


Raize Components 6

TRzTabSheet.Visible Example
TRzTabSheet


TRzTabStyle

Unit
RzTabs

Declaration
TRzTabStyle =(tsSingleSlant, tsDoubleSlant, tsCutCorner, tsRoundCorners, tsBackSlant);

enum TRzTabStyle tsSingleSlant, tsDoubleSlant, tsCutCorner, tsRoundCorners, tsBackSlant ;

Description

Value Meaning

tsSingleSlant:

tsDoubleSlant:

tsCutCorner:

tsRoundCorners:

tsBackSlant:


TRzTextColors

Properties

Unit
RzTabs

Declaration
TRzTextColors=Class(TPersistent);

Description

.


TRzTextColors.Disabled

Declaration
property Disabled: TColor default clGrayText;

__property Graphics::TColor DisabledShadow

Description

Specifies the color to be used when drawing the caption of a disabled tab.


Raize Components 6

TRzTextColors.Disabled Example
TRzTextColors


Raize Components 6

TRzTextColors Properties
TRzTextColors

Public
Disabled
Selected
Unselected


TRzTextColors.Selected

Declaration
property Selected: TColor default clBtnText;

__property Graphics::TColor Selected

Description

Specifies the color to be used when drawing the caption of the selected tab.


Raize Components 6

TRzTextColors.Selected Example
TRzTextColors


TRzTextColors.Unselected

Declaration
property Unselected: TColor default clBtnText;

__property Graphics::TColor Unselected

Description

Specifies the color to be used when drawing the caption of an unselected tab.


Raize Components 6

TRzTextColors.Unselected Example
TRzTextColors


TRzTextStyle

Unit
RzTabs

Declaration
TRzTextStyle =(tsHotTrack, tsSelected, tsUnselected, tsDisabled);

Description

Value Meaning

tsHotTrack:

tsSelected:

tsUnselected:

tsDisabled:


TRzVerticalAlignment

Unit
RzTabs

Declaration
TRzVerticalAlignment =(vaTop, vaCenter, vaBottom);

Description

Value Meaning

vaTop:

vaCenter:

vaBottom:


RzTray

RzTray File
List of Units

Unit Classes

ERzTrayIconError |
TRzBalloonHintIcon | TRzBalloonHintIcon defines the possible icons to be used in a balloon hint window.
TRzBalloonHintTimeout |
TRzTrayIcon | TRzTrayIcon is a nonvisual control for managing an icon in the Windows System Tray Notification Area.
TRzTrayIconClicks |


ERzTrayIconError

Unit
RzTray

Declaration
ERzTrayIconError=class(Exception);

Description

This exception is generated when a TRzTrayIcon component cannot communicate with the Shell Notification Tray Area.


TRzBalloonHintIcon

TRzBalloonHintIcon defines the possible icons to be used in a balloon hint window.

Unit
RzTray

Declaration
TRzBalloonHintIcon=(bhiNone, bhiInfo, bhiWarning, bhiError);

enum TRzBalloonHintIcon bhiNone, bhiInfo, bhiWarning, bhiError ;

Description

Value Meaning

bhiNone No icon.

bhiInfo Information icon.

bhiWarning Warning icon.

bhiError Error icon.


TRzBalloonHintTimeout

Unit
RzTray

Declaration
TRzBalloonHintTimeout=10..30;

typedef Shortint TRzBalloonHintTimeout;

Description

.


TRzTrayIcon.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzTrayIcon.About Example
TRzTrayIcon


TRzTrayIcon.Animate

Turns icon animation on or off.

Declaration
property Animate: Boolean default False;

__property bool Animate

Description

This property controls whether the component animates the images in the Icons property.


Raize Components 6

TRzTrayIcon.Animate Example
TRzTrayIcon


TRzTrayIconClicks

Unit
RzTray

Declaration
TRzTrayIconClicks=(ticNone, ticLeftClick, ticLeftDblClick, ticLeftClickUp, ticRightClick, ticRightDblClick, ticRightClickUp);

enum TRzTrayIconClicks ticNone, ticLeftClick, ticLeftDblClick, ticLeftClickUp, ticRightClick, ticRightDblClick, ticRightClickUp ;

Description

Value Meaning

ticNone

ticLeftClick

ticLeftDblClick

ticLeftClickUp

ticRightClick

ticRightDblClick

ticRightClickUp


TRzTrayIcon.Enabled

Determines whether or not the contol is enabled.

Declaration
property Enabled: Boolean default True;

__property bool Enabled

Description

Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to false. Disabled controls appear dimmed. If Enabled is False, the control ignores mouse, keyboard, and timer events.

To re-enable a control, set Enabled to True. The control is no longer dimmed, and the user can use the control.


Raize Components 6

TRzTrayIcon.Enabled Example
TRzTrayIcon


Raize Components 6

TRzTrayIcon Events
TRzTrayIcon

Public
OnBalloonHintClick
OnBalloonHintClose
OnBalloonHintHide
OnLButtonDblClick
OnLButtonDown
OnLButtonUp
OnMinimizeApp
OnRButtonDblClick
OnRButtonDown
OnRButtonUp
OnRestoreApp


TRzTrayIcon.HideBalloonHint

Declaration
procedure HideBalloonHint;

void __fastcall HideBalloonHint(void)

Description

Call HideBalloonHint to hide a currently displayed balloon hint window.


Raize Components 6

TRzTrayIcon.HideBalloonHint Example
TRzTrayIcon


TRzTrayIcon.HideOnMinimize

Declaration
property HideOnMinimize: Boolean default True;

__property bool HideOnMinimize

Description

Use HideOnMinimize to control whether the application's window is hidden when minimize or if an entry in the task bar remains visible.


Raize Components 6

TRzTrayIcon.HideOnMinimize Example
TRzTrayIcon


TRzTrayIcon.Hint

Specifies the text to be displayed as a popup hint when the mouse is positioned over the control.

Declaration
property Hint: string;

__property AnsiString Hint

Description

Use the Hint property to provide a string of help text either as a Help Hint, or as help text on a particular location such as a status bar.

A Help Hint is a box containing help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily. To set up Help Hints:

· Specify the Hint property of each control for which a Help Hint should appear.

· Set the ShowHint property of each appropriate control to true, or set the ParentShowHint property of all controls to true and set the ShowHint property of the form to true.

· At runtime, set the value of the application's ShowHint property to true.

To show the Hint on a status bar or other location, use the OnHint event handler of the application. The applications OnHint event occurs when the mouse pointer moves over the control.

Specify a hint to be used for both a Help Hint box and by an OnHint handler by specifying two values separated by a | character (the vertical bar or symbol). For example,

Edit1.Hint := 'Name|Enter Name in the edit box';

The 'Name' part appears in the Help Hint box and the 'Enter full name in the edit box' part can be extracted using the GetLongHint function for use in an OnHint event handler.

If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint function. If a control has no Hint value specified, but its parent control does, the control uses the Hint value of the parent control (as long as the control's ShowHint property is true).

Note: If the application's ShowHint property is false, the Help Hint does not appear, but the OnHint event handler is still called.


Raize Components 6

TRzTrayIcon.Hint Example
TRzTrayIcon


TRzTrayIcon.IconIndex

Specifies the image to use when the control is in a normal state.

Declaration
property IconIndex: Integer default 0;

__property int IconIndex

Description

Use ImageIndex to specify the image to be displayed when the control is in a normal state.


Raize Components 6

TRzTrayIcon.IconIndex Example
TRzTrayIcon


TRzTrayIcon.Icons

Specifies an associated image list.

Declaration
property Icons: TImageList;

__property Controls::TImageList *Icons

Description

Use Images to connect the control to an image list control.


Raize Components 6

TRzTrayIcon.Icons Example
TRzTrayIcon


TRzTrayIcon.Interval

Declaration
property Interval: Integer default 1000;

__property int Interval

Description

The Interval property specifies the number of milliseconds that pass before a new icon is displayed when Animate is True.


Raize Components 6

TRzTrayIcon.Interval Example
TRzTrayIcon


Raize Components 6

TRzTrayIcon Methods
TRzTrayIcon

Public
HideBalloonHint
MinimizeApp
RestoreApp
SetDefaultIcon
ShowBalloonHint
ShowMenu


TRzTrayIcon.MinimizeApp

Declaration
procedure MinimizeApp;

void __fastcall MinimizeApp(void)

Description

Call this method to minimize (i.e. hide) the application window.


Raize Components 6

TRzTrayIcon.MinimizeApp Example
TRzTrayIcon


TRzTrayIcon.OnBalloonHintClick

Declaration
property OnBalloonHintClick: TNotifyEvent;

__property Classes::TNotifyEvent OnBalloonHintClick

Description

This event is generated when the user clicks on the balloon hint window but NOT on the hint window's close button.


Raize Components 6

TRzTrayIcon.OnBalloonHintClick Example
TRzTrayIcon


TRzTrayIcon.OnBalloonHintClose

Declaration
property OnBalloonHintClose: TNotifyEvent;

__property Classes::TNotifyEvent OnBalloonHintClose

Description

This event is generated when the user clicks on the balloon hint window's Close button.


Raize Components 6

TRzTrayIcon.OnBalloonHintClose Example
TRzTrayIcon


TRzTrayIcon.OnBalloonHintHide

Declaration
property OnBalloonHintHide: TNotifyEvent;

__property Classes::TNotifyEvent OnBalloonHintHide

Description

This event is generated when the balloon hint window is closed because of a timeout.


Raize Components 6

TRzTrayIcon.OnBalloonHintHide Example
TRzTrayIcon


TRzTrayIcon.OnLButtonDblClick

Declaration
property OnLButtonDblClick: TNotifyEvent;

__property Classes::TNotifyEvent OnLButtonDblClick

Description

This event is generated when the user double-clicks the left (or primary) mouse button on the icon displayed in the System Tray.


Raize Components 6

TRzTrayIcon.OnLButtonDblClick Example
TRzTrayIcon


TRzTrayIcon.OnLButtonDown

Declaration
property OnLButtonDown: TNotifyEvent;

__property Classes::TNotifyEvent OnLButtonDown

Description

This event is generated when the user clicks the left (or primary) mouse button down on the icon displayed in the System Tray.


Raize Components 6

TRzTrayIcon.OnLButtonDown Example
TRzTrayIcon


TRzTrayIcon.OnLButtonUp

Declaration
property OnLButtonUp: TNotifyEvent;

__property Classes::TNotifyEvent OnLButtonUp

Description

This event is generated when the user releases the left (or primary) mouse button after clicking down on the icon displayed in the System Tray.


Raize Components 6

TRzTrayIcon.OnLButtonUp Example
TRzTrayIcon


TRzTrayIcon.OnMinimizeApp

Declaration
property OnMinimizeApp: TNotifyEvent;

__property Classes::TNotifyEvent OnMinimizeApp

Description

This event is generated when the user minimizes the application window. Use this event to specify a different icon to be displayed in the System Tray when the application window is minimized.


Raize Components 6

TRzTrayIcon.OnMinimizeApp Example
TRzTrayIcon


TRzTrayIcon.OnRButtonDblClick

Declaration
property OnRButtonDblClick: TNotifyEvent;

__property Classes::TNotifyEvent OnRButtonDblClick

Description

This event is generated when the user double-clicks the right (or secondary) mouse button on the icon displayed in the System Tray.


Raize Components 6

TRzTrayIcon.OnRButtonDblClick Example
TRzTrayIcon


TRzTrayIcon.OnRButtonDown

Declaration
property OnRButtonDown: TNotifyEvent;

__property Classes::TNotifyEvent OnRButtonDown

Description

This event is generated when the user clicks the right (or secondary) mouse button down on the icon displayed in the System Tray.


Raize Components 6

TRzTrayIcon.OnRButtonDown Example
TRzTrayIcon


TRzTrayIcon.OnRButtonUp

Declaration
property OnRButtonUp: TNotifyEvent;

__property Classes::TNotifyEvent OnRButtonUp

Description

This event is generated when the user releases the right (or secondary) mouse button after clicking down on the icon displayed in the System Tray.


Raize Components 6

TRzTrayIcon.OnRButtonUp Example
TRzTrayIcon


TRzTrayIcon.OnRestoreApp

Declaration
property OnRestoreApp: TNotifyEvent;

__property Classes::TNotifyEvent OnRestoreApp

Description

This event is generated when the application window is restored. The actual system event that triggers this event will depend on the value specified in the RestoreOn property. Use this event to specify a different icon to be displayed in the System Tray when the application window is restored.


Raize Components 6

TRzTrayIcon.OnRestoreApp Example
TRzTrayIcon


TRzTrayIcon.PopupMenu

Declaration
property PopupMenu: TPopupMenu;

__property Menus::TPopupMenu *PopupMenu

Description

Use this property to specify a TPopupMenu component to be used when the icon displayed in the System Tray is invoked via the event specified in the PopupMenuOn property. For example, by default, the PopupMenuOn property is set to ticRightClickUp. Therefore, when the user right-clicks on the icon in the System Tray, the popup menu specified by PopupMenu is displayed.


Raize Components 6

TRzTrayIcon.PopupMenu Example
TRzTrayIcon


TRzTrayIcon.PopupMenuOn

Declaration
property PopupMenuOn: TRzTrayIconClicks default ticRightClickUp;

__property TRzTrayIconClicks PopupMenuOn

Description

Use this property to specify when the popup menu specified in the PopupMenu property should be displayed. By default, the PopupMenuOn property is set to ticRightClickUp. Therefore, when the user right-clicks on the icon in the System Tray, the popup menu specified by PopupMenu is displayed.


Raize Components 6

TRzTrayIcon.PopupMenuOn Example
TRzTrayIcon


Raize Components 6

TRzTrayIcon Properties
TRzTrayIcon

Public
About
Animate
Enabled
HideOnMinimize
Hint
IconIndex
Icons
Interval
PopupMenu
PopupMenuOn
RestoreOn


TRzTrayIcon.RestoreApp

Declaration
procedure RestoreApp;

void __fastcall RestoreApp(void)

Description

Call this method to restore (i.e. show) the application window.


Raize Components 6

TRzTrayIcon.RestoreApp Example
TRzTrayIcon


TRzTrayIcon.RestoreOn

Declaration
property RestoreOn: TRzTrayIconClicks default ticLeftDblClick;

__property TRzTrayIconClicks RestoreOn

Description

Use this property to specify when the application window should be restored to view. By default, the RestoreOn property is set to ticLeftDblClick. Therefore, when the user double-clicks with the left (or primary) mouse button, the application window is restored.


Raize Components 6

TRzTrayIcon.RestoreOn Example
TRzTrayIcon


TRzTrayIcon.SetDefaultIcon

Declaration
procedure SetDefaultIcon;

void __fastcall SetDefaultIcon(void)

Description

Call this method to reset the icon displayed in the System Tray to be the icon defined by the application (i.e. the default icon). To change the icon displayed in the System Tray use the Icons and IconIndex properties.


Raize Components 6

TRzTrayIcon.SetDefaultIcon Example
TRzTrayIcon


TRzTrayIcon.ShowBalloonHint

Declaration
procedure ShowBalloonHint(const Title: string; const Msg: string; IconType: TRzBalloonHintIcon=bhiInfo; TimeoutSecs: TRzBalloonHintTimeOut=10);

void __fastcall ShowBalloonHint(const AnsiString Title, const AnsiString Msg, TRzBalloonHintIcon IconType=(TRzBalloonHintIcon)(0x1), TRzBalloonHintTimeout TimeoutSecs=(TRzBalloonHintTimeout)(0xa))

Description

Call ShowBalloonHint to display a new style balloon hint window above the tray icon.


Raize Components 6

TRzTrayIcon.ShowBalloonHint Example
TRzTrayIcon


TRzTrayIcon.ShowMenu

Declaration
procedure ShowMenu;

void __fastcall ShowMenu(void)

Description

Call this method to programmatically display the popup menu specified in the PopupMenu property.


Raize Components 6

TRzTrayIcon.ShowMenu Example
TRzTrayIcon


RzTreeVw

RzTreeVw File
List of Units

Unit Classes

TRzCheckState |
TRzCheckTree | TRzCheckTree associates a check box with each node in the tree.
TRzCheckTreeChangeEvent |
TRzCheckTreeChangingEvent |
TRzCustomTreeView | TRzCustomTreeView is the base class for all tree view controls in Raize Components.
TRzTreeView | TRzTreeView is an enhanced tree view.
TRzTvOnNodeContextMenuEvent |


TRzCheckState

Unit
RzTreeVw

Declaration
TRzCheckState=(csUnknown, csUnchecked, csChecked, csPartiallyChecked);

enum TRzCheckState csUnknown, csUnchecked, csChecked, csPartiallyChecked ;

Description

csUnknown State is unknown. No state icon is displayed next to the node.

csUnchecked State is unchecked. An empty check box is displayed next to the node.

csChecked State is checked. A checked check box is displayed next to the node.

csPartiallyChecked State is partially checked. A check box containing a box (not a check) is displayed next to the node. This state indicates that some child nodes of this node are checked and other child nodes are unchecked.


TRzCheckTree.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo stored False;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzCheckTree.About Example
TRzCheckTree


TRzCheckTree.CascadeChecks

Determines if changing a node's state causes parent nodes and child nodes to be updated as well.

Declaration
property CascadeChecks: Boolean default True;

__property bool CascadeChecks

Description

This runtime property provides access to the check states of the individual nodes in the tree. A node's check state can be one of the following values:

Value Meaning

csUnchecked The node is unchecked. If the node is a parent node and CascadeChecks is True, then all of its children are unchecked as well.

csChecked The node is checked. If the node is a parent node and CascadeChecks is True, then all of its children are checked as well.

csPartiallyChecked The node is a parent node, and some but not all of its children are checked.


Raize Components 6

TRzCheckTree.CascadeChecks Example
TRzCheckTree


TRzCheckTreeChangeEvent

Unit
RzTreeVw

Declaration
TRzCheckTreeChangeEvent=procedure(Sender: TObject; Node: TTreeNode; NewState: TRzCheckState) of object;

typedef void __fastcall(__closure *TRzCheckTreeChangeEvent)(System::TObject *Sender, Comctrls::TTreeNode *Node, TRzCheckState NewState);

Description

.


TRzCheckTree.ChangeNodeCheckState

This method allows you to change the check state of Node to NewState.

Declaration
procedure ChangeNodeCheckState(Node: TTreeNode; NewState: TRzCheckState);

void __fastcall ChangeNodeCheckState(Comctrls::TTreeNode *Node, TRzCheckState NewState)

Description

This method allows you to change the check state of Node to NewState.


Raize Components 6

TRzCheckTree.ChangeNodeCheckState Example
TRzCheckTree


TRzCheckTreeChangingEvent

Unit
RzTreeVw

Declaration
TRzCheckTreeChangingEvent=procedure(Sender: TObject; Node: TTreeNode; NewState: TRzCheckState; var AllowChange: Boolean) of object;

typedef void __fastcall(__closure *TRzCheckTreeChangingEvent)(System::TObject *Sender, Comctrls::TTreeNode *Node, TRzCheckState NewState, bool & AllowChange);

Description

.


Raize Components 6

TRzCheckTree Events
TRzCheckTree

Public
OnCascadeComplete
OnStateChange
OnStateChanging
OnUpdateChildren


TRzCheckTree.ForceCheckState

This method allows you to change the check state of Node without generating the OnStateChanging event.

Declaration
procedure ForceCheckState(Node: TTreeNode; NewState: TRzCheckState);

void __fastcall ForceCheckState(Comctrls::TTreeNode *Node, TRzCheckState NewState)

Description

This method allows you to change the check state of Node without generating the OnStateChanging event.


Raize Components 6

TRzCheckTree.ForceCheckState Example
TRzCheckTree


TRzCheckTree.HighlightColor

Specifies the color used for check marks.

Declaration
property HighlightColor: TColor default clHighlight;

Description

Use HighlightColor to specify the color to be used when displaying check marks in the check box.


Raize Components 6

TRzCheckTree.HighlightColor Example
TRzCheckTree


TRzCheckTree.Images

Specifies an associated image list.

Declaration
property Images: TCustomImageList;

__property Imglist::TCustomImageList *Images

Description

Use Images to connect the control to an image list control.


Raize Components 6

TRzCheckTree.Images Example
TRzCheckTree


TRzCheckTree.ItemState

Declaration
property ItemState[Index: Integer]: TRzCheckState;

__property TRzCheckState ItemState[int Index]

Description

Use the ItemState property to determine the current state of a node. The possible states are:

csUnknown State is unknown. No state icon is displayed next to the node.

csUnchecked State is unchecked. An empty check box is displayed next to the node.

csChecked State is checked. A checked check box is displayed next to the node.

csPartiallyChecked State is partially checked. A check box containing a box (not a check) is displayed next to the node. This state indicates that some child nodes of this node are checked and other child nodes are unchecked.


Raize Components 6

TRzCheckTree.ItemState Example
TRzCheckTree


TRzCheckTree.LoadFromFile

Use LoadFromFile to load a list of nodes including hierarchy and state information from a file.

Declaration
procedure LoadFromFile(const FileName: string);

void __fastcall LoadFromFile(const AnsiString FileName)

Description

Use LoadFromFile to load a list of nodes including hierarchy and state information from a file.


Raize Components 6

TRzCheckTree.LoadFromFile Example
TRzCheckTree


TRzCheckTree.LoadFromStream

Use LoadFromStream to load a list of nodes including hierarchy and state information from a stream.

Declaration
procedure LoadFromStream(Stream: TStream);

void __fastcall LoadFromStream(Classes::TStream *Stream)

Description

Use LoadFromStream to load a list of nodes including hierarchy and state information from a stream.


Raize Components 6

TRzCheckTree.LoadFromStream Example
TRzCheckTree


Raize Components 6

TRzCheckTree Methods
TRzCheckTree

Public
ChangeNodeCheckState
ForceCheckState
LoadFromFile
LoadFromStream
SaveToFile
SaveToStream
SetAllNodes
ToggleCheckState
UpdateCascadingStates
UpdateChildrenCascadingStates


TRzCheckTree.OnCascadeComplete

Occurs when a node's check state changes and all parent nodes and child nodes have been updated.

Declaration
property OnCascadeComplete: TRzCheckTreeCascadeCompleteEvent;

Description

This event fires when a node's check state changes and all parent nodes and child nodes have been updated accordingly.


Raize Components 6

TRzCheckTree.OnCascadeComplete Example
TRzCheckTree


TRzCheckTree.OnStateChange

Occurs whenever the state of a node in the tree view changes.

Declaration
property OnStateChange: TRzCheckTreeChangeEvent;

__property TRzCheckTreeChangeEvent OnStateChange

Description

This event occurs whenever the state of a node in the tree view changes. The Node parameter to the event handler represents the node that was changed and NewState represents the new check state.


Raize Components 6

TRzCheckTree.OnStateChange Example
TRzCheckTree


TRzCheckTree.OnStateChanging

Occurs whenever the state of a node in the tree view is about to change.

Declaration
property OnStateChanging: TRzCheckTreeChangingEvent;

__property TRzCheckTreeChangingEvent OnStateChanging

Description

This event occurs whenever the state of a node in the tree view is about to change. The Node parameter to the event handler represents the node that was changed and NewState represents the potential new check state. Set AllowChange in the event handler to False to prevent the state change from occurring.


Raize Components 6

TRzCheckTree.OnStateChanging Example
TRzCheckTree


TRzCheckTree.OnUpdateChildren

Occurs when the states of child nodes have been updated.

Declaration
property OnUpdateChildren: TNotifyEvent;

Description

This event fires when the states of child nodes have been updated.


Raize Components 6

TRzCheckTree.OnUpdateChildren Example
TRzCheckTree


Raize Components 6

TRzCheckTree Properties
TRzCheckTree

Public
About
Align
Anchors
AutoExpand
AutoSelect
BiDiMode
BorderStyle
BorderWidth
CascadeChecks
ChangeDelay
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
Enabled
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HideSelection
HighlightColor
HotTrack
Images
Indent
Items
ItemState
MultiSelect
MultiSelectStyle
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
RightClickSelect
RowSelect
SelectionPen
ShowButtons
ShowHint
ShowLines
ShowRoot
SilentCheckChanges
SortType
StateImages
TabOrder
TabStop
Visible


TRzCheckTree.SaveToFile

Use SaveToFile to save the current nodes in the tree including hierarchy and state information to a file.

Declaration
procedure SaveToFile(const FileName: string);

void __fastcall SaveToFile(const AnsiString FileName)

Description

Use SaveToFile to save the current nodes in the tree including hierarchy and state information to a file.


Raize Components 6

TRzCheckTree.SaveToFile Example
TRzCheckTree


TRzCheckTree.SaveToStream

Use SaveToStream to save the current nodes in the tree including hierarchy and state information to a stream.

Declaration
procedure SaveToStream(Stream: TStream);

void __fastcall SaveToStream(Classes::TStream *Stream)

Description

Use SaveToStream to save the current nodes in the tree including hierarchy and state information to a stream.


Raize Components 6

TRzCheckTree.SaveToStream Example
TRzCheckTree


TRzCheckTree.SetAllNodes

This method sets the check state of all nodes in the tree to NewState.

Declaration
procedure SetAllNodes(NewState: TRzCheckState);

void __fastcall SetAllNodes(TRzCheckState NewState)

Description

This method sets the check state of all nodes in the tree to NewState.


Raize Components 6

TRzCheckTree.SetAllNodes Example
TRzCheckTree


TRzCheckTree.SilentCheckChanges

Determines if node state changes result in OnStateChange and OnStateChanging events being generated.

Declaration
property SilentCheckChanges: Boolean;

__property bool SilentCheckChanges

Description

This runtime property can be used to control whether or not the OnStateChange and OnStateChanging events are generated when the state of a node changes. Setting this property to True may be useful when you need to initialize the states of all the nodes in the tree and do not want to generate the associated events.


Raize Components 6

TRzCheckTree.SilentCheckChanges Example
TRzCheckTree


TRzCheckTree.ToggleCheckState

Use ToggleCheckState to programmatically toggle the check state of the specified Node.

Declaration
procedure ToggleCheckState(Node: TTreeNode);

void __fastcall ToggleCheckState(Comctrls::TTreeNode *Node)

Description

Use ToggleCheckState to programmatically toggle the check state of the specified Node.


Raize Components 6

TRzCheckTree.ToggleCheckState Example
TRzCheckTree


TRzCheckTree.UpdateCascadingStates

Use to reset cascading check states after moving nodes.

Declaration
procedure UpdateCascadingStates(Node: TTreeNode);

void __fastcall UpdateCascadingStates(Comctrls::TTreeNode *Node)

Description

UpdateCascadingStates and UpdateChildrenCascadingStates are used after moving a node in a TRzCheckTree with the MoveTo method. These two methods need to be called after the move to ensure that the check states of the other nodes in the tree remain in sync. Please note that these methods are only needed when CascadeChecks is True.

Before moving a node in a TRzCheckTree, save the ParentNode of the node to be moved. After performing the move (and calling UpdateStateIndexDisplay), then make the following calls:

var

Node, ParentNode: TTreeNode;

begin

Node := RzCheckTree1.Selected;

ParentNode := Node.Parent;

Node.MoveTo( RzCheckTree1.Items[ 0 ], naAdd );

Node.Expand( False );

RzCheckTree1.UpdateStateIndexDisplay( Node );

RzCheckTree1.UpdateChildrenCascadingStates( ParentNode );

RzCheckTree1.UpdateCascadingStates( Node );

end;


Raize Components 6

TRzCheckTree.UpdateCascadingStates Example
TRzCheckTree


TRzCheckTree.UpdateChildrenCascadingStates

Use to reset cascading check states after moving nodes.

Declaration
procedure UpdateChildrenCascadingStates(ParentNode: TTreeNode);

void __fastcall UpdateChildrenCascadingStates(Comctrls::TTreeNode *ParentNode)

Description

UpdateCascadingStates and UpdateChildrenCascadingStates are used after moving a node in a TRzCheckTree with the MoveTo method. These two methods need to be called after the move to ensure that the check states of the other nodes in the tree remain in sync. Please note that these methods are only needed when CascadeChecks is True.

Before moving a node in a TRzCheckTree, save the ParentNode of the node to be moved. After performing the move (and calling UpdateStateIndexDisplay), then make the following calls:

var

Node, ParentNode: TTreeNode;

begin

Node := RzCheckTree1.Selected;

ParentNode := Node.Parent;

Node.MoveTo( RzCheckTree1.Items[ 0 ], naAdd );

Node.Expand( False );

RzCheckTree1.UpdateStateIndexDisplay( Node );

RzCheckTree1.UpdateChildrenCascadingStates( ParentNode );

RzCheckTree1.UpdateCascadingStates( Node );

end;


Raize Components 6

TRzCheckTree.UpdateChildrenCascadingStates Example
TRzCheckTree


TRzCustomTreeView

TRzCustomTreeView is the base class for all tree view controls in Raize Components.

Description

Do not create instances of TRzCustomTreeView--use TRzTreeView or some other descendant.


TRzCustomTreeView.AutoExpand

Determines if selected items are automatically expanded.

Declaration
property AutoExpand: Boolean default False;

__property bool AutoExpand

Description

Set AutoExpand to True to cause the selected item to expand and the unselected items to collapse.


Raize Components 6

TRzCustomTreeView.AutoExpand Example
TRzCustomTreeView


TRzCustomTreeView.AutoSelect

Determines if expanded nodes are automatically selected.

Declaration
property AutoSelect: Boolean default False;

__property bool AutoSelect

Description

When this property is set to True, and the user expands or collapses a node in the tree by clicking the plus or minus symbols, the corresponding node is automatically selected. Note that the AutoSelect property and the new AutoExpand property introduced in VCL 5 are mutually exclusive.


Raize Components 6

TRzCustomTreeView.AutoSelect Example
TRzCustomTreeView


TRzCustomTreeView.Color

Specifies the color used for the control's background.

Declaration
property Color: TColor default clWindow;

__property Graphics::TColor Color

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

TRzCustomTreeView.Color Example
TRzCustomTreeView


TRzCustomTreeView.DisabledColor

Specifies color to be used when control is disabled.

Declaration
property DisabledColor: TColor default clBtnFace;

__property Graphics::TColor DisabledColor

Description

Use DisabledColor to read or change the background color of the control when the control is disabled.


Raize Components 6

TRzCustomTreeView.DisabledColor Example
TRzCustomTreeView


Raize Components 6

TRzCustomTreeView Events
TRzCustomTreeView

Public
OnMouseEnter
OnMouseLeave
OnNodeContextMenu

Protected
OnMouseEnter
OnMouseLeave
OnNodeContextMenu


TRzCustomTreeView.FocusColor

Specifies color to be used when control has input focus.

Declaration
property FocusColor: TColor default clWindow;

__property Graphics::TColor FocusColor

Description

Use FocusColor to read or change the background color of the control when the control has the input focus.


Raize Components 6

TRzCustomTreeView.FocusColor Example
TRzCustomTreeView


TRzCustomTreeView.FrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property FrameColor: TColor default clBtnShadow;

__property Graphics::TColor FrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzCustomTreeView.FrameColor Example
TRzCustomTreeView


TRzCustomTreeView.FrameController

References a TRzFrameController instance.

Declaration
property FrameController: TRzFrameController;

__property Rzcommon::TRzFrameController *FrameController

Description

Use this property to connect the control to a particular TRzFrameController component. When a control is connected to a FrameController, the Custom Framing properties are managed by the controller rather than the individual properties implemented in the component.


Raize Components 6

TRzCustomTreeView.FrameController Example
TRzCustomTreeView


TRzCustomTreeView.FrameControllerNotifications

Determines which TRzFrameController properties will be propogated to the control.

Declaration
property FrameControllerNotifications: TRzFrameControllerNotifications default fccAll;

Description

The FrameControllerNotifications set property defines which TRzFrameController properties will be handled by the control. By default all TRzFrameController properties will be handled. Use this property to select which Custom Framing properties of the control will be managed by the connected TRzFrameController.


Raize Components 6

TRzCustomTreeView.FrameControllerNotifications Example
TRzCustomTreeView


TRzCustomTreeView.FrameHotColor

Specifies color to be used in drawing flat frames in "hot" style.

Declaration
property FrameHotColor: TColor default clBtnShadow;

__property Graphics::TColor FrameHotColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameHotStyle is set to fsFlat and the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzCustomTreeView.FrameHotColor Example
TRzCustomTreeView


TRzCustomTreeView.FrameHotStyle

Specifies the style of frame to be used when the mouse is over the control, or it has focus.

Declaration
property FrameHotStyle: TFrameStyle default fsFlatBold;

__property Rzcommon::TFrameStyle FrameHotStyle

Description

This property is only used when FrameHotTrack and FrameVisible are both True. Use this property to specify the style of the frame drawn around a component when the mouse is positioned over the control or the control has the input focus.


Raize Components 6

TRzCustomTreeView.FrameHotStyle Example
TRzCustomTreeView


TRzCustomTreeView.FrameHotTrack

Determines if the control switches between FrameStyle and FrameHotStyle when mouse is over the control or has focus.

Declaration
property FrameHotTrack: Boolean default False;

__property bool FrameHotTrack

Description

When this property is set to True (and FrameVisible is also set to True), the frame of the control toggles between the FrameStyle and the FrameHotStyle settings. Specifically, when the mouse is positioned over the control or the control has the input focus, the frame is drawn using the FrameHotStyle setting. When the mouse is not positioned over the control and the control does not have the input focus, the frame is drawn using the FrameStyle.


Raize Components 6

TRzCustomTreeView.FrameHotTrack Example
TRzCustomTreeView


TRzCustomTreeView.FrameSides

Specifies the sides of the frame that are to be drawn.

Declaration
property FrameSides: TSides default sdAllSides;

__property Rzcommon::TSides FrameSides

Description

Use this property to specify which sides of the control's frame will be displayed. This property is only used when FrameVisible is True.


Raize Components 6

TRzCustomTreeView.FrameSides Example
TRzCustomTreeView


TRzCustomTreeView.FrameStyle

Specifies the style of the frame.

Declaration
property FrameStyle: TFrameStyle default fsFlat;

__property Rzcommon::TFrameStyle FrameStyle

Description

This property is used to specify the style of the frame drawn around a component when FrameVisible is True.


Raize Components 6

TRzCustomTreeView.FrameStyle Example
TRzCustomTreeView


TRzCustomTreeView.FrameVisible

Determines if the Custom Framing properties are in effect.

Declaration
property FrameVisible: Boolean default False;

__property bool FrameVisible

Description

This property determines whether or not the border of the control is drawn as a standard border or if the control is drawn using the Raize Custom Framing properties, which include FrameColor, FrameHotTrack, FrameHotStyle, FrameSides, and FrameStyle.


Raize Components 6

TRzCustomTreeView.FrameVisible Example
TRzCustomTreeView


TRzCustomTreeView.FramingPreference

Determines what framing functionality is used when XP themes are present.

Declaration
property FramingPreference: TFramingPreference default fpXPThemes;

__property Rzcommon::TFramingPreference FramingPreference

Description

Use FramingPreference to specify whether or not a control picks up XP Themes when the owning application is running under Windows XP and specifies an appropriate manifest to use the Common Controls Version 6.0 library.

When FramingPreference is set to fpXPThemes (the default), the control will be displayed using XP Themes. Set FramingPreference to fpCustomFraming to use the Custom Framing properties to display the control even though XP Themes are available.


Raize Components 6

TRzCustomTreeView.FramingPreference Example
TRzCustomTreeView


TRzCustomTreeView.InvalidateNode

Repaint the specified node.

Declaration
procedure InvalidateNode(Node: TTreeNode; TextOnly: Boolean; EraseBkgnd: Boolean);

void __fastcall InvalidateNode(Comctrls::TTreeNode *Node, bool TextOnly, bool EraseBkgnd)

Description

This method tells Windows to repaint the portion of the control contained by Node after other important Windows messages are handled. Appropriate use of this method can result in significantly reduced flicker when updating a tree where only a few nodes have changed.

Follow calls to this method with calls to Update if you want the repaint to happen immediately.


Raize Components 6

TRzCustomTreeView.InvalidateNode Example
TRzCustomTreeView


Raize Components 6

TRzCustomTreeView Methods
TRzCustomTreeView

Public
InvalidateNode
NodeFromPath
PathFromNode
SelectByPath
UpdateStateIndexDisplay


TRzCustomTreeView.NodeFromPath

This method returns a reference to the node that corresponds to the passed in path.

Declaration
function NodeFromPath(Path: string): TTreeNode;

Comctrls::TTreeNode *__fastcall NodeFromPath(AnsiString Path)

Description

This method returns a reference to the node that corresponds to the passed in path. A path is a string containing the captions of each node in the parent node chain separated by ' haracters.


Raize Components 6

TRzCustomTreeView.NodeFromPath Example
TRzCustomTreeView


TRzCustomTreeView.OnMouseEnter

Occurs when the mouse is moved over the control.

Declaration
property OnMouseEnter: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseEnter

Description

Occurs when the mouse is moved over the control.


Raize Components 6

TRzCustomTreeView.OnMouseEnter Example
TRzCustomTreeView


TRzCustomTreeView.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Declaration
property OnMouseLeave: TNotifyEvent;

__property Classes::TNotifyEvent OnMouseLeave

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

TRzCustomTreeView.OnMouseLeave Example
TRzCustomTreeView


TRzCustomTreeView.OnNodeContextMenu

Occurs immediately before a popup menu is displayed for a node in the tree.

Declaration
property OnNodeContextMenu: TRzTvOnNodeContextMenuEvent;

__property TRzTvOnNodeContextMenuEvent OnNodeContextMenu

Description

This event is invoked immediately before a popup menu is shown for the tree view (in response to a user's right-click, Shift+F10 or menu-key). Node is the node for which the popup should be shown. If the PopupMenu property is assigned, then Menu is initialised to that value. You can change it by assigning some other menu, leave it unchanged or assign it nil to prevent any menu processing. When this event returns, the aMenu parameter will be used as the popup menu.

You can handle the menu display and processing yourself (the demo program demonstrates this) in which case you should assign Menu to nil.

You can also reposition the menu by modifying the Pt parameter.


Raize Components 6

TRzCustomTreeView.OnNodeContextMenu Example
TRzCustomTreeView


TRzCustomTreeView.PathFromNode

This method returns the path that locates the passed in node.

Declaration
function PathFromNode(Node: TTreeNode): string;

AnsiString __fastcall PathFromNode(Comctrls::TTreeNode *Node)

Description

This method returns the path that locates the passed in node. A path is a string containing the captions of each node in the parent node chain separated by ' haracters.


Raize Components 6

TRzCustomTreeView.PathFromNode Example
TRzCustomTreeView


Raize Components 6

TRzCustomTreeView Properties
TRzCustomTreeView

Protected
AutoExpand
AutoSelect
Color
DisabledColor
FocusColor
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
SelectionPen


TRzCustomTreeView.SelectByPath

Use this method to select a node in the tree by simply specifying the node's path,

Declaration
procedure SelectByPath(const Path: string);

void __fastcall SelectByPath(const AnsiString Path)

Description

Use this method to select a node in the tree by simply specifying the node's path, which is a string containing the captions of each node in the parent node chain separated by ' haracters.


Raize Components 6

TRzCustomTreeView.SelectByPath Example
TRzCustomTreeView


TRzCustomTreeView.SelectionPen

Specifies pen properties used in highlighting selected node.

Declaration
property SelectionPen: TPen;

__property Graphics::TPen *SelectionPen

Description

Use this property to specify the color and style of the Pen used to draw a border around the currently selected node when the tree view does not have focus. Note that HideSelection must be set to False for this property to have any effect.


Raize Components 6

TRzCustomTreeView.SelectionPen Example
TRzCustomTreeView


TRzCustomTreeView.UpdateStateIndexDisplay

This method is used after moving a node with the MoveTo method.

Declaration
procedure UpdateStateIndexDisplay(Node: TTreeNode);

void __fastcall UpdateStateIndexDisplay(Comctrls::TTreeNode *Node)

Description

This method is used after moving a node with the MoveTo method. The standard TTreeView component does not correctly update the display of a node that specifies a StateIndex. More precisely, the state image associated with the index is displayed next to the node after it has been moved. Call this method to ensure that the state image of the node (and all of its children) are displayed.


Raize Components 6

TRzCustomTreeView.UpdateStateIndexDisplay Example
TRzCustomTreeView


TRzTreeView.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzTreeView.About Example
TRzTreeView


Raize Components 6

TRzTreeView Events
TRzTreeView

Public


Raize Components 6

TRzTreeView Properties
TRzTreeView

Public
About
Align
Anchors
AutoExpand
AutoSelect
BiDiMode
BorderStyle
BorderWidth
ChangeDelay
Color
Constraints
Ctl3D
DisabledColor
DragCursor
DragKind
DragMode
Enabled
FocusColor
Font
FrameColor
FrameController
FrameControllerNotifications
FrameHotColor
FrameHotStyle
FrameHotTrack
FrameSides
FrameStyle
FrameVisible
FramingPreference
HideSelection
HotTrack
Images
Indent
Items
MultiSelect
MultiSelectStyle
ParentBiDiMode
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
PopupMenu
ReadOnly
RightClickSelect
RowSelect
SelectionPen
ShowButtons
ShowHint
ShowLines
ShowRoot
SortType
StateImages
TabOrder
TabStop
ToolTips
Visible


TRzTvOnNodeContextMenuEvent

Unit
RzTreeVw

Declaration
TRzTvOnNodeContextMenuEvent=procedure(aSender: TObject; aNode: TTreeNode; var aPos: TPoint; var aMenu: TPopupMenu) of object;

typedef void __fastcall(__closure *TRzTvOnNodeContextMenuEvent)(System::TObject *aSender, Comctrls::TTreeNode *aNode, Types::TPoint & aPos, Menus::TPopupMenu *& aMenu);

Description

.


RzTrkBar

RzTrkBar File
List of Units

Unit Classes

TBitmapType |
TDrawTickEvent |
TPointerType |
TRzTrackBar | TRzTrackBar is a custom slider control for selecting positional values.
TThumbStyle |
TTickStyle |


TBitmapType

Unit
RzTrkBar

Declaration
TBitmapType =(btThumb, btHot, btDisabled, btMask);

Description

Value Meaning

btThumb:

btHot:

btDisabled:

btMask:


TDrawTickEvent

Unit
RzTrkBar

Declaration
TDrawTickEvent=procedure(TrackBar: TRzTrackBar; Canvas: TCanvas; Location: TPoint; Index: Integer) of object;

typedef void __fastcall(__closure *TDrawTickEvent)(TRzTrackBar *TrackBar, Graphics::TCanvas *Canvas, const Types::TPoint & Location, int Index);

Description

.


TPointerType

Unit
RzTrkBar

Declaration
TPointerType =(ptStandard, ptWin95);

enum TPointerType ptStandard, ptWin95 ;

Description

Value Meaning

ptStandard:

ptWin95:


TRzTrackBar.About

Specifies version number of Raize Components in use.

Declaration
property About: TRzAboutInfo;

__property Rzcommon::TRzAboutInfo About

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

TRzTrackBar.About Example
TRzTrackBar


TRzTrackBar.CustomThumb

Declaration
property CustomThumb: TBitmap read FCustomThumb write SetCustomThumb;

__property Graphics::TBitmap *CustomThumb

Description

Use this property to specify a bitmap that defines a custom thumb for a track bar. The bitmap should contain three glyphs of the same width arranged in a row. The first glyph specifies the normal appearance of the thumb. Use black to fill transparent areas. The second glyph specifies the masking bitmap. This glyph only contains black and white pixels. Use black for areas defining the thumb. Use white for the transparent areas. The last glyph specifies the disable appearance of the thumb. It follows the same rules as the first glyph. The following figure gives an example of a custom thumb bitmap. The thumb is a percent sign, the areas around the percent sign and inside each circle are transparent.

Custom Thumb Sample


Raize Components 6

TRzTrackBar.CustomThumb Example
TRzTrackBar


Raize Components 6

TRzTrackBar Events
TRzTrackBar

Public
OnChange
OnChanging
OnDrawTick


TRzTrackBar.HighlightColor

Specifies the color used to display a "selected" portion of the control.

Declaration
property HighlightColor: TColor default clHighlight;

__property Graphics::TColor HighlightColor

Description

Use HighlightColor to specify the color to be used to draw a highlighted portion of the control. For radio buttons and check boxes, this would be the check or dot. For page controls and tab controls, this would be the highlight bar at the edge of the tab.


Raize Components 6

TRzTrackBar.HighlightColor Example
TRzTrackBar


TRzTrackBar.HotTrackColor

Determines if the control changes its appearance as the mouse is moved over the control.

Declaration
property HotTrackColor: TColor default xpHotTrackColor;

__property Graphics::TColor HotTrackColor

Description

Set HotTrack to True to display an additional border around a control when the mouse is positioned over the control.


Raize Components 6

TRzTrackBar.HotTrackColor Example
TRzTrackBar


TRzTrackBar.HotTrackColorType

Determines how the HotTrackColor property value is interpretted by the control.

Declaration
property HotTrackColorType: TRzHotTrackColorType default htctActual;

Description

Use HotTrackColorType to specify whether or not the HotTrackColor property value should be adjusted when being displayed by the control. There are two possible values for this property as described below. The default value is htctComplement:

Value Meaning

htctComplement The HotTrackColor property value is not used directly when painting the control. Instead, the complement color to the property value is used. For example, if a blue color is specified for the HotTrackColor property, the color displayed by the control will be an orange color. This behavior makes it much easier to define a set of colors that will work well together regardless of the color scheme specified by the user.

htctActual The actual HotTrackColor property value specified in used when painting the control. No adjustments are made to the color. This setting is useful if you wish to use a specific color for hot tracking.


Raize Components 6

TRzTrackBar.HotTrackColorType Example
TRzTrackBar


TRzTrackBar.Max

Specifies a maximum value for a range.

Declaration
property Max: Integer default 10;

__property int Max

Description

For track bars, use this property to specify the maximum position along the track.

For spin edits and numeric edits, use this property to specify the maximum value that can be entered.


Raize Components 6

TRzTrackBar.Max Example
TRzTrackBar


TRzTrackBar.Min

Specifies a minimum value for a range.

Declaration
property Min: Integer default 0;

__property int Min

Description

For track bars, use this property to specify the minimum position along the track.

For spin edits, use this property to specify the minimum value that can be entered.


Raize Components 6

TRzTrackBar.Min Example
TRzTrackBar


TRzTrackBar.OnChange

Declaration
property OnChange: TNotifyEvent;

__property Classes::TNotifyEvent OnChange

Description

This event is generated when the position of the track bar is changed.


Raize Components 6

TRzTrackBar.OnChange Example
TRzTrackBar


TRzTrackBar.OnChanging

Declaration
property OnChanging: TPositionChangingEvent;

__property Rzcommon::TPositionChangingEvent OnChanging

Description

This event is generated when the position of the track bar is about to be changed. The new position is passed to an event handler. To prevent the component from moving to the new position, set the AllowChange parameter to False.


Raize Components 6

TRzTrackBar.OnChanging Example
TRzTrackBar


TRzTrackBar.OnDrawTick

Declaration
property OnDrawTick: TDrawTickEvent;

__property TDrawTickEvent OnDrawTick

Description

This event occurs whenever a tick mark needs to be displayed. An OnDrawTick event handler is passed four parameters. The first parameter is a reference to the track bar. The next parameter is the canvas on which to draw the tick mark. A TPoint record is passed third. The X value holds the center location for the tick mark for a horizontal track bar. The Y value is used for a vertical track bar. The last parameter is the position number of the tick mark.


Raize Components 6

TRzTrackBar.OnDrawTick Example
TRzTrackBar


TRzTrackBar.Orientation

Specifies that the control is horizontally or veritcally oriented.

Declaration
property Orientation: TOrientation default orHorizontal;

__property Rzcommon::TOrientation Orientation

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

TRzTrackBar.Orientation Example
TRzTrackBar


TRzTrackBar.PageSize

Specifies the amount by which the Value property is adjusted when the PgUp or PgDn keys are pressed.

Declaration
property PageSize: Word default 1;

__property Word PageSize

Description

For track bars, use this property to specify the amount the Position changes when either the PgUp or PgDn key is pressed.

For spin edits, use this property to specify the amount the Value property is incremented or decremented by when either the PgUp or PgDn key is pressed. Note that the PageSize property can be set to a floating point value, thus allowing non-integer increments.


Raize Components 6

TRzTrackBar.PageSize Example
TRzTrackBar


TRzTrackBar.PointerType

Declaration
property PointerType: TPointerType default ptStandard;

__property TPointerType PointerType

Description

By default, the pointer style thumb is pointing up. To use the Windows 95 style of a down pointer, set this property to ptWin95.


Raize Components 6

TRzTrackBar.PointerType Example
TRzTrackBar


TRzTrackBar.Position

Declaration
property Position: Integer;

__property int Position

Description

This property indicates the current position of the thumb along the track.


Raize Components 6

TRzTrackBar.Position Example
TRzTrackBar


Raize Components 6

TRzTrackBar Properties
TRzTrackBar

Public
About
Align
Anchors
Color
Constraints
CustomThumb
DragCursor
DragKind
DragMode
Enabled
Height
HelpContext
HighlightColor
Hint
HotTrackColor
HotTrackColorType
Max
Min
Orientation
PageSize
ParentColor
ParentShowHint
PointerType
PopupMenu
Position
ShowFocusRect
ShowHint
ShowTicks
TabOnEnter
TabOrder
TabStop
ThemeAware
ThumbStyle
TickColor
TickStep
TickStyle
TrackColor
TrackFrame
TrackFrameColor
TrackOffset
TrackWidth
Transparent
Visible
Width


TRzTrackBar.ShowFocusRect

Declaration
property ShowFocusRect: Boolean default True;

__property bool ShowFocusRect

Description

When ShowFocusRect is True, a dotted line is drawn around the track bar when the control has the input focus.


Raize Components 6

TRzTrackBar.ShowFocusRect Example
TRzTrackBar


TRzTrackBar.ShowTicks

Declaration
property ShowTicks: Boolean default True;

__property bool ShowTicks

Description

This property determines whether tick marks are displayed along the track. Setting this property to False is useful when the tick marks cannot be distinguished.


Raize Components 6

TRzTrackBar.ShowTicks Example
TRzTrackBar


TRzTrackBar.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Declaration
property TabOnEnter: Boolean default False;

__property bool TabOnEnter

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

TRzTrackBar.TabOnEnter Example
TRzTrackBar


TRzTrackBar.ThemeAware

Determines if the control uses Windows XP Themes if available.

Declaration
property ThemeAware: Boolean default True;

__property bool ThemeAware

Description

When ThemeAware is True and Windows XP Themes are available to the application, the component will display itself according to active theme. This property has no effect if Windows XP Themes are not available.


Raize Components 6

TRzTrackBar.ThemeAware Example
TRzTrackBar


TRzTrackBar.ThumbStyle

Declaration
property ThumbStyle: TThumbStyle default tsPointer;

__property TThumbStyle ThumbStyle

Description

Use the ThumbStyle property to change the appearance of the track thumb. You can choose between four standard thumb styles (i.e. tsPointer, tsMixer, tsBox, tsFlat), or you can use a custom thumb by setting the CustomThumb property.


Raize Components 6

TRzTrackBar.ThumbStyle Example
TRzTrackBar


TRzTrackBar.TickColor

Declaration
property TickColor: TColor default clBtnShadow;

__property Graphics::TColor TickColor

Description

Use TickColor to specify the color used to display tick marks.


Raize Components 6

TRzTrackBar.TickColor Example
TRzTrackBar


TRzTrackBar.TickStep

Declaration
property TickStep: TPositiveInteger default 1;

__property Rzcommon::TPositiveInteger TickStep

Description

Use TickStep to control how frequently tick marks are drawn on the track bar. The default value is 1 meaning that a tick mark is drawn at every position. Setting TickStep to 5 will cause tick marks to only be drawn at every 5th position.


Raize Components 6

TRzTrackBar.TickStep Example
TRzTrackBar


TRzTrackBar.TickStyle

Declaration
property TickStyle: TTickStyle default tkStandard;

__property TTickStyle TickStyle

Description

By default, TickStyle is set to tsStandard, which instructs the track bar to display small lines (or tick marks) at each position. For more control over how the tick marks are displayed, set TickStyle to tsOwnerDraw and write an event handler for the OnDrawTick event.


Raize Components 6

TRzTrackBar.TickStyle Example
TRzTrackBar


TRzTrackBar.TrackColor

Declaration
property TrackColor: TColor default cl3DLight;

__property Graphics::TColor TrackColor

Description

Use this property to specify the color used to fill the interior of the track groove.


Raize Components 6

TRzTrackBar.TrackColor Example
TRzTrackBar


TRzTrackBar.TrackFrame

Declaration
property TrackFrame: TFrameStyle default fsStatus;

__property Rzcommon::TFrameStyle TrackFrame

Description

Use this property to customize the appearance of the border used to draw the track. The default value is fsLowered.


Raize Components 6

TRzTrackBar.TrackFrame Example
TRzTrackBar


TRzTrackBar.TrackFrameColor

Specifies color to be used in drawing flat frames around control.

Declaration
property TrackFrameColor: TColor default clBtnShadow;

__property Graphics::TColor TrackFrameColor

Description

Use this property to specify the color to be used to draw the control's frame when FrameStyle is set to fsFlat.


Raize Components 6

TRzTrackBar.TrackFrameColor Example
TRzTrackBar


TRzTrackBar.TrackOffset

Declaration
property TrackOffset: Word default 20;

__property Word TrackOffset

Description

Use this property to specify the number of pixels from the left or top the track is positioned in the track bar component.


Raize Components 6

TRzTrackBar.TrackOffset Example
TRzTrackBar


TRzTrackBar.TrackWidth

Declaration
property TrackWidth: Word default 8;

__property Word TrackWidth

Description

Use this property to adjust the width of the track groove. The default value is 8.


Raize Components 6

TRzTrackBar.TrackWidth Example
TRzTrackBar


TRzTrackBar.Transparent

Specifies the color to be considered as transparent in the CustomGlyphs bitmap.

Declaration
property Transparent: Boolean default False;

__property bool Transparent

Description

Use this property to specify the color in the CustomGlyphs bitmap that will be treated as transparent. The default value is clOlive.


Raize Components 6

TRzTrackBar.Transparent Example
TRzTrackBar


TThumbStyle

Unit
RzTrkBar

Declaration
TThumbStyle =(tsBox, tsCustom, tsMixer, tsPointer, tsFlat, tsXPPointer, tsXPBox);

enum TThumbStyle tsBox, tsCustom, tsMixer, tsPointer, tsFlat, tsXPPointer, tsXPBox ;

Description

Value Meaning

tsBox:

tsCustom:

tsMixer:

tsPointer:

tsFlat:

tsXPPointer:

tsXPBox:


TTickStyle

Unit
RzTrkBar

Declaration
TTickStyle =(tkStandard, tkOwnerDraw);

enum TTickStyle tkStandard, tkOwnerDraw ;

Description

Value Meaning

tkStandard:

tkOwnerDraw:


Shared

Description

The links above provide access to properties, methods, and events that are shared between multiple components.


Shared.About

Specifies version number of Raize Components in use.

Description

This property serves as a place holder for a custom property editor that displays a brief description of the component as well as copyright information. The dialog box that is displayed by the property editor is only available at design-time and is not linked into an application.


Raize Components 6

Shared.About Example
Shared


Shared.Action

Specifies TAction object to be associated with clicking the control.

Description

Action is the action object that is associated with the control. Actions allow an application to centralize the response to user commands. When a control is associated with an action, the action determines the appropriate properties and events of the control (such as whether the control is enabled or how it responds to an OnClick event).

To create actions at design time, place an action list component on a form or data module. Double click the action list to bring up the action list editor. Add actions in the editor using its context menu. Once the actions have been added using the action list editor, they appear in the drop-down list for the Action property in the Object Inspector.


Raize Components 6

Shared.Action Example
Shared


Shared.Active

Determines if status control receives polling notifications.

Description

This property indicates that the shared polling timer used by all Raize polling status components is generating timer events. Set this property to False to disable the shared timer. All status components relying on a timer (i.e. TRzClockStatus , TRzKeyStatus , TRzResourceStatus ), will not received timer events to update their displays.


Raize Components 6

Shared.Active Example
Shared


Shared.Align

Controls the positioning of the control within a container.

Description

Use Align to align a control to the top, bottom, left, or right of a form or panel and have it remain there even if the size of the form, panel, or component that contains the control changes. When the parent is resized, an aligned control also resizes so that it continues to span the top, bottom, left, or right edge of the parent.

For example, to use a panel component with various controls on it as a tool palette, change the panels Align value to alLeft. The value of alLeft for the Align property of the panel guarantees that the tool palette remains on the left side of the form and always equals the client height of the form.

The default value of Align is alNone, which means a control remains where it is positioned on a form or panel.

Tip: If Align is set to alClient, the control fills the entire client area so that it is impossible to select the parent form by clicking on it. In this case, select the parent by selecting the control on the form and pressing Esc, or by using the Object Inspector.

Any number of child components within a single parent can have the same Align value, in which case they stack up along the edge of the parent. The child controls stack up in z-order. To adjust the order in which the controls stack up, drag the controls into their desired positions.

Note: To cause a control to maintain a specified relationship with an edge of its parent, but not necessarily lie along one edge of the parent, use the Anchors property instead.


Raize Components 6

Shared.Align Example
Shared


Shared.Alignment

Specifies the horizontal alignement of text.

Description

Use Alignment to change the way the text is displayed in the control. Alignment can take one of the following values:

Value Meaning

taLeftJustify Align text to the left side of the control

taCenter Center text horizontally in the control.

taRightJustify Align text to the right side of the control.


Raize Components 6

Shared.Alignment Example
Shared


Shared.AlignmentVertical

Specifies the vertical alignment position.

Description

Use this property to change the vertical alignment of the caption. The caption can be positioned at the top, center, or bottom of the component's bounding rectangle.


Raize Components 6

Shared.AlignmentVertical Example
Shared


Shared.AllowBlank

Specifies that the edit control may be empty.

Description

Set the AllowBlank property to True to allow an empty edit field. If the edit field is empty and AllowBlank is True, when you try to get the value of the edit, the value specified in BlankValue is returned.


Raize Components 6

Shared.AllowBlank Example
Shared


Shared.AllowEdit

Specifies whether or not the control allows editing of its data.

Description

This property is defined in TRzCustomComboBox and provides a way for a csDropDown style combo box to only allow items currently in its list to be entered into the edit portion of the combo box. That is, if AllowEdit is True (the default) the user is allowed to enter any text they want into a csDropDown style combo box. Of course, the user could also select an item from the drop down list.

If AllowEdit is False, the user can only select items that appear in the list. However, the user can still use the keyboard to enter the first few characters of the desired item and let the combo box auto-complete the entry.


Raize Components 6

Shared.AllowEdit Example
Shared


Shared.AllowGrayed

Specifies if grayed state check boxes are allowed.

Description

Setting this property to True allows the user to change a check box to the grayed state. By default, AllowGrayed is False, meaning that for each check box only the checked and unchecked states are allowed. If AllowGrayed is True, you should use the State property to determine whether the check box is checked, unchecked, or grayed.


Raize Components 6

Shared.AllowGrayed Example
Shared


Shared.AllowKeyEdit

Specifies whether or not the control allows keyboard editing.

Description

Set this property to True to allow a user to type into the edit portion of the control. When this property is False, only the buttons (or arrow keys for spin edits) can be used to modify the value.


Raize Components 6

Shared.AllowKeyEdit Example
Shared


Shared.AllowScientificNotation

Controls whether or not the control allow numbers to be entered in scientific notation.

Description

When set to True (the default), the control allows entering "E" and "e" to specify a number in scientific notation. Setting this property to False, prevents the control from accepting "E" and "e" during data-entry and parsing.


Raize Components 6

Shared.AllowScientificNotation Example
Shared


Shared.BarColor

Specifies color used to fill progress area.

Description

Use this property to specify the color used to fill the progress area. When the BarStyle is bsTraditional, the BarColor is also used to display the percent value text in the unfilled area.

For meter components, this property is only used when the MeterType is mtNormal or mtBar3D.


Raize Components 6

Shared.BarColor Example
Shared


Shared.BeepOnInvalidKey

Determines if a beep is sounded on an invalid key press.

Description

This property is used by all Raize Components that provide intuitive keyboard speed searching (i.e. combo boxes and list boxes). If the user presses an invalid key, the BeepOnInvalidKey property determines whether or not a beep is indicated.


Raize Components 6

Shared.BeepOnInvalidKey Example
Shared


Shared.BevelWidth

Specifies the width in pixels of bevel.

Description

Use BevelWidth to specify how wide the inner or outer bevel should be. Do not confuse BevelWidth, which is the width of the bevels, with BorderWidth, which is the space between the bevels.

If both the BevelInner and BevelOuter properties are bvNone, BevelWidth has no effect. To remove both bevels, set the BevelInner and BevelOuter properties to bvNone, rather than setting the BevelWidth to 0, as this involves less overhead when painting.


Raize Components 6

Shared.BevelWidth Example
Shared


Shared.BlankValue

Specifies how a blank (empty) field is interpretted.

Description

Set the AllowBlank property to True to allow an empty edit field. If the edit field is empty and AllowBlank is True, when you try to get the value of the edit, the value specified in BlankValue is returned.


Raize Components 6

Shared.BlankValue Example
Shared


Shared.BlinkColor

Specifies color of control when blinking.

Description

This property determines the color the Caption of the component is drawn in when BlinkState is bsOn.


Raize Components 6

Shared.BlinkColor Example
Shared


Shared.Blinking

Controls whether component's text blinks.

Description

When this property is True, the Caption of the component will periodically be drawn using the BlinkColor value to give the appearance that the component is blinking. When Blinking is False, the Caption appears only in the color specified in Font.Color.


Raize Components 6

Shared.Blinking Example
Shared


Shared.BlinkIntervalOff

Specifies delay when a blinking caption is off.

Description

This property controls how long (in milliseconds) a blinking caption stays in the bsOff BlinkState.


Raize Components 6

Shared.BlinkIntervalOff Example
Shared


Shared.BlinkIntervalOn

Specifies delay when a blinking caption is on.

Description

This property controls how long (in milliseconds) a blinking caption stays in the bsOn BlinkState.


Raize Components 6

Shared.BlinkIntervalOn Example
Shared


Shared.BorderColor

Specifies the color used to fill interior of inner and outer borders.

Description

Use this property to specify the color used to fill the region between the inner and outer borders.


Raize Components 6

Shared.BorderColor Example
Shared


Shared.BorderHighlight

Specifies the color used to display highlighted portions of the border.

Description

Use this property to specify the color used when painting highlighted portions of the border.


Raize Components 6

Shared.BorderHighlight Example
Shared


Shared.BorderInner

Specifies the style of the inner border.

Description

Use this property to change the style of the inner border used by a component.


Raize Components 6

Shared.BorderInner Example
Shared


Shared.BorderOuter

Specifies the style of the outer border.

Description

Use this property to change the style of the outer border used by a component.


Raize Components 6

Shared.BorderOuter Example
Shared


Shared.BorderShadow

Specifies the color used to display shadow portions of the border.

Description

Use this property to specify the color used when painting shadowed portions of the border.


Raize Components 6

Shared.BorderShadow Example
Shared


Shared.BorderSides

Specifies which sides of the border are visible.

Description

Use this property to select which sides of the component will display a border.


Raize Components 6

Shared.BorderSides Example
Shared


Shared.BorderWidth

Specifies the width of the border.

Description

Use BorderWidth to specify how wide the border around the panel should be. A value of 0 (zero) means no border should appear.

The border of a panel is the area between the outer and inner bevels. It is visible only if the inner bevel is raised or lowered, but affects the inset of the caption within the panel even if BevelInner is bvNone. If the Alignment property is not taCenter, the Caption will be aligned to the inner edge of the border. This edge is BorderWidth pixels in from the outer bevel if BevelInner is bvNone. It is the inner edge of the inner bevel otherwise.

Do not confuse the border of the panel with line drawn around the panel itself. The line around the panel is specified by the BorderStyle property.


Raize Components 6

Shared.BorderWidth Example
Shared


Shared.Caption

Specifies the text to display on the control.

Description

Use Caption to specify the text string that labels the control.

To underline a character in a Caption that labels a component, include an ampersand (&) before the character. This type of character is called an accelerator character. The user can then select the component by pressing Alt while typing the underlined character. To display an ampersand character in the caption, use two ampersands (&&).

Note: Controls that display text use either the Caption property or the Text property to specify the text value. Which property is used depends on the type of control. In general, Caption is used for text that appears as a window title or label, while Text is used for text that appears as the content of a control.


Raize Components 6

Shared.Caption Example
Shared


Shared.CheckRange

Determines if range checking is performed.

Description

This property is used in the situation where the Min and Max properties are equal. Setting both Min and Max to the same value can be interpreted in two different ways. The first is when CheckRange is False. In this case, there is no range on the values that can be entered into the component. If CheckRange is set to True, then only the value represented by Min and Max can be entered into the component.


Raize Components 6

Shared.CheckRange Example
Shared


Shared.Color

Specifies the color used for the control's background.

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.


Raize Components 6

Shared.Color Example
Shared


Shared.CustomColors

Specifies a TRzCustomColors component for storing custom color values.

Description

Use this property to specify a TRzCustomColors component to be used to manage a list of custom color values to be saved and/or shared with other controls.


Raize Components 6

Shared.CustomColors Example
Shared


Shared.CustomGlyphs

Specifies a bitmap that contains glyphs to be used by the control.

Description

Use this property to change the glyphs used to display the current state. This bitmap must consist of a series of glyphs. Each glyph must be the same size and the order of each glyph in the bitmap determines when the glyph will be displayed. The number of glyphs that must be specified depends on the type of control: radio button, check box, or check list.

The following examples illustrate how to construct a custom glyph bitmap. Note that the samples use clTeal as the WinMaskColor and clOlive as the TransparentColor. Also note that the images below have been enlarged to show more detail.

Radio Button Example

Glyph # Description

1 Unchecked
2 Checked
3 Unchecked Down
4 Checked Down
5 Unchecked Disabled
6 Checked Disabled

Check Box Example

Glyph # Description

1 Unchecked
2 Checked
3 Grayed
4 Unchecked Down
5 Checked Down
6 Grayed Down
7 Unchecked Disabled
8 Checked Disabled
9 Grayed Disabled

Check List Example

Glyph # Description

1 Unchecked
2 Checked
3 Grayed
4 Unchecked Disabled
5 Checked Disabled
6 Grayed Disabled


Raize Components 6

Shared.CustomGlyphs Example
Shared


Shared.DataField

Specifies the field in a dataset to which the control maps to.

Description

Set DataField to the field name of the field component that the control represents:

Sample.DataField := 'Company';

Access to the dataset in which the field is located is provided by a TDataSource component, specified in the DataSource property.

If the DataField refers to a database field that contains integer or floating-point data, only characters that are valid in such a field can be entered in the edit box. Characters that are not legal are not accepted.


Raize Components 6

Shared.DataField Example
Shared


Shared.DataSource

Specifies the DataSource component that provides access to the desired data.

Description

Use DataSource to specify the data source component through which the data from a dataset component is provided to the control:

Sample.DataSource := DataSource1;

To allow the control to represent the data for a field, both the DataSource and the DataField properties must be set.


Raize Components 6

Shared.DataSource Example
Shared


Shared.DisabledImages

Specifies an associated image list containing disabled images.

Description

Use DisabledImages to specify a separate image list that contains the disabled versions of images contained in the Images image list.


Raize Components 6

Shared.DisabledImages Example
Shared


Shared.DisabledIndex

Specifies the image to use when the control is disabled.

Description

Use DisabledIndex to specify an alternate image to be displayed when the control is disabled.


Raize Components 6

Shared.DisabledIndex Example
Shared


Shared.DropDownMenu

Specifies the TPopupMenu that will be displayed when the control is clicked.

Description

Use this property to specify the TPopupMenu component that will be displayed when the user clicks this component.


Raize Components 6

Shared.DropDownMenu Example
Shared


Shared.Enabled

Determines whether or not the contol is enabled.

Description

Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to false. Disabled controls appear dimmed. If Enabled is False, the control ignores mouse, keyboard, and timer events.

To re-enable a control, set Enabled to True. The control is no longer dimmed, and the user can use the control.


Raize Components 6

Shared.Enabled Example
Shared


Raize Components 6

Shared Events
Shared

Public
OnMouseEnter
OnMouseLeave
OnRangeError


Shared.FixedLineColor

Specifies the color used to display fixed lines in grid cells.

Description

Use FixedLineColor to specify the color to be used when drawing the lines between the fixed cells of the grid.


Raize Components 6

Shared.FixedLineColor Example
Shared


Shared.FlatColor

Specifies the color to be used in drawing flat borders.

Description

Use FlatColor to specify the color to be used when the control's border is flat--specifically fsFlat style.


Raize Components 6

Shared.FlatColor Example
Shared


Shared.FlatColorAdjustment

Determines if the FlatColor property value is adjusted to be either lighter or darker.

Description

Use FlatColorAdjustment to lighten or darken the FlatColor used for the border of a control when the border is fsFlat. This property is used in TRzGroupBox components and TRzStatusPane components to allow the color of the border to be a lighter shade of the clBtnShadow color.


Raize Components 6

Shared.FlatColorAdjustment Example
Shared


Shared.FlyByColor

Specifies the color used to display the caption when the mouse is position over the control.

Description

Use this property to specify the color the label should change to when the mouse is positioned over the label. This property is only used when the FlyByEnabled property is True.


Raize Components 6

Shared.FlyByColor Example
Shared


Shared.FlyByEnabled

Determines if the control will display its caption differently when the mouse is moved over the control.

Description

When this property is set to True, the label will change the font color to that specified in the FlyByColor property whenever the mouse is positioned over the label.


Raize Components 6

Shared.FlyByEnabled Example
Shared


Shared.FrameColor

Specifies the color to be used in drawing the border around the control.

Description

Use the FrameColor property to specify a color to be used when drawing the frame (i.e. border) around the control.


Raize Components 6

Shared.FrameColor Example
Shared


Shared.Glyph

Specifies the bitmap image to display.

Description

Use Glyph to specify a separate bitmap file that contains the image to display.


Raize Components 6

Shared.Glyph Example
Shared


Shared.GradientColorDefault

Specifies that the colors used to display the gradient and frame are based on current system settings.

Description

Use GradientColorDefault to specify that the colors used to define the gradient (start and stop values) and frame are based on adjusted system colors. This setting ensures that the control appears appropriate regardless of the operating system colors. That is, the colors used match the current operating system colors.


Raize Components 6

Shared.GradientColorDefault Example
Shared


Shared.GradientColorStart

Specifies the starting color to be used when defining a gradient.

Description

Use GradientColorStart to specify the starting color that is used in defining a gradient color fill.


Raize Components 6

Shared.GradientColorStart Example
Shared


Shared.GradientColorStop

Specifies the stopping color to be used when defining a gradient.

Description

Use GradientColorStop to specify the stopping color that is used in defining a gradient color fill.


Raize Components 6

Shared.GradientColorStop Example
Shared


Shared.GradientColorStyle

Use GradientColorStyle to specify how gradient color values are obtained for the control.

Description

GradientColorStyle properties are active when the control's VisualStyle property is set to vsGradient. The default value of properties of this type is gcsSystem, which means that the gradient color values needed by the control are obtained from the current system colors. This value ensures that the control look great regardless of the users current color scheme. To mimic the Microsoft Office 2003 look when XP themes are active (i.e. blue, green, and silver backgrounds for toolbars, etc.) then select the gcsMSOffice value. If XP themes are not present, then the control will utilize the gcsSystem value. And finally, if you wish to select custom color values for the gradients used in a control, then select the gcsCustom value.


Raize Components 6

Shared.GradientColorStyle Example
Shared


Shared.GradientDirection

Determines the direction of the gradient fill path.

Description

This property determines which direction the gradient fill will flow. Your choices include:

Value Meaning

dBigSquareBox Top and bottom converge together to form a big square box in the center.

dDiagonalDown Top right to bottom left.

dDiagonalUp Top left to bottom right

dHorizontalBox Top and bottom converge together to form a box in the center.

dHorizontalCenter Top and bottom converge to the center.

dHorizontalEnd Horizontally downward

dSquareBox All sides converge into a square

dVerticalBox Sides converge into a box.

dVerticalCenter Sides converge into a box at the center.


Raize Components 6

Shared.GradientDirection Example
Shared


Shared.HighlightColor

Specifies the color used to display a "selected" portion of the control.

Description

Use HighlightColor to specify the color to be used to draw a highlighted portion of the control. For radio buttons and check boxes, this would be the check or dot. For page controls and tab controls, this would be the highlight bar at the edge of the tab.


Raize Components 6

Shared.HighlightColor Example
Shared


Shared.Hint

Specifies the text to be displayed as a popup hint when the mouse is positioned over the control.

Description

Use the Hint property to provide a string of help text either as a Help Hint, or as help text on a particular location such as a status bar.

A Help Hint is a box containing help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily. To set up Help Hints:

· Specify the Hint property of each control for which a Help Hint should appear.

· Set the ShowHint property of each appropriate control to true, or set the ParentShowHint property of all controls to true and set the ShowHint property of the form to true.

· At runtime, set the value of the application's ShowHint property to true.

To show the Hint on a status bar or other location, use the OnHint event handler of the application. The applications OnHint event occurs when the mouse pointer moves over the control.

Specify a hint to be used for both a Help Hint box and by an OnHint handler by specifying two values separated by a | character (the vertical bar or symbol). For example,

Edit1.Hint := 'Name|Enter Name in the edit box';

The 'Name' part appears in the Help Hint box and the 'Enter full name in the edit box' part can be extracted using the GetLongHint function for use in an OnHint event handler.

If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint function. If a control has no Hint value specified, but its parent control does, the control uses the Hint value of the parent control (as long as the control's ShowHint property is true).

Note: If the application's ShowHint property is false, the Help Hint does not appear, but the OnHint event handler is still called.


Raize Components 6

Shared.Hint Example
Shared


Shared.HotIndex

Specifies the image to use when the control is in a hot state.

Description

Use HotIndex to specify an alternate image to be displayed when the mouse is positioned over the control.


Raize Components 6

Shared.HotIndex Example
Shared


Shared.HotTrack

Determines if the control changes its appearance as the mouse is moved over the control.

Description

Set HotTrack to True to display an additional border around a control when the mouse is positioned over the control.


Raize Components 6

Shared.HotTrack Example
Shared


Shared.HotTrackColor

Specifies the color to be used when drawing the control in a "hot" state.

Description

Use HotTrackColor to specify the color to be used when drawing the control in the HotTrack state. That is, when the mouse is positioned over the control.


Raize Components 6

Shared.HotTrackColor Example
Shared


Shared.HotTrackColorType

Determines how the HotTrackColor property value is interpretted by the control.

Description

Use HotTrackColorType to specify whether or not the HotTrackColor property value should be adjusted when being displayed by the control. There are two possible values for this property as described below. The default value is htctComplement:

Value Meaning

htctComplement The HotTrackColor property value is not used directly when painting the control. Instead, the complement color to the property value is used. For example, if a blue color is specified for the HotTrackColor property, the color displayed by the control will be an orange color. This behavior makes it much easier to define a set of colors that will work well together regardless of the color scheme specified by the user.

htctActual The actual HotTrackColor property value specified in used when painting the control. No adjustments are made to the color. This setting is useful if you wish to use a specific color for hot tracking.


Raize Components 6

Shared.HotTrackColorType Example
Shared


Shared.ImageIndex

Specifies the image to use when the control is in a normal state.

Description

Use ImageIndex to specify the image to be displayed when the control is in a normal state.


Raize Components 6

Shared.ImageIndex Example
Shared


Shared.Images

Specifies an associated image list.

Description

Use Images to connect the control to an image list control.


Raize Components 6

Shared.Images Example
Shared


Shared.Increment

Specifies the single unit amount by which the Value property is adjusted.

Description

Use this property to specify the amount the Value property is incremented or decremented by when one of the spin buttons is pressed or when either the up or down arrow key is pressed. Note that the Increment property can be set to a floating point value, thus allowing non-integer increments.


Raize Components 6

Shared.Increment Example
Shared


Shared.IntValue

Represents the Integer value currently represented by the control.

Description

Use this property to retrieve the Value property converted to an Integer value. Since the Value property is a floating point number, using it in an Integer calculation will result in type-mismatch errors. The IntValue property eliminates the need to perform the typecast.


Raize Components 6

Shared.IntValue Example
Shared


Shared.ItemChecked

Provides access to checked state of individual items in the list.

Description

Use this run-time only property to get or set the check state of an item in the control. ItemChecked will return True if the item is checked, False otherwise. If you need to determine if an item is in the grayed state, use the ItemState property. The Index value is zero based and corresponds to the index used in the Items property.


Raize Components 6

Shared.ItemChecked Example
Shared


Shared.ItemEnabled

Provides access to enabled state of individual items in the list.

Description

Use this run-time only property to enable or disable individual list item in a control. Disabled list items appear in the disabled font style and the associated check box cannot be changed. The Index value is zero based and corresponds to the index used in the Items property.


Raize Components 6

Shared.ItemEnabled Example
Shared


Shared.Items

Provides access to the current set of items managed by the control.

Description

Use Items to add, insert, delete and move items to the controls list.


Raize Components 6

Shared.Items Example
Shared


Shared.ItemState

Provides access to state of individual items in the list.

Description

Use this run-time only property to set or get the state of the check box associated with an item in a control. A check box can be cbChecked, cbUnchecked, or cbGrayed. However, in order to set a check box to the grayed state, the AllowGrayed property must be set to True. The Index value is zero based and corresponds to the index used in the Items property.


Raize Components 6

Shared.ItemState Example
Shared


Shared.Layout

Specifies the relative position between an image and some text.

Description

Value Meaning

blGlyphLeft The image appears near the left side of the button.

blGlyphRight The image appears near the right side of the button.

blGlyphTop The image appears near the top of the button.

blGlyphBottom The image appears near the bottom of the button.


Raize Components 6

Shared.Layout Example
Shared


Shared.LightTextStyle

Determines if 3D appearance of text is made to be more subtle.

Description

When this property is set to True, only the HighlightColor is used to give the caption a three dimensional appearance.


Raize Components 6

Shared.LightTextStyle Example
Shared


Shared.LineColor

Specifies the color to be used in drawing lines in a grid.

Description

Use LineColor to specify the color to be used when drawing the lines between the non-fixed cells of the grid.


Raize Components 6

Shared.LineColor Example
Shared


Shared.Max

Specifies a maximum value for a range.

Description

For track bars, use this property to specify the maximum position along the track.

For spin edits and numeric edits, use this property to specify the maximum value that can be entered.


Raize Components 6

Shared.Max Example
Shared


Shared.Min

Specifies a minimum value for a range.

Description

For track bars, use this property to specify the minimum position along the track.

For spin edits, use this property to specify the minimum value that can be entered.


Raize Components 6

Shared.Min Example
Shared


Shared.NumGlyphs

Specifies the numer of separate images (glyphs) that are represented by the Glyph bitmap.

Description

Use this property to specify the number of glyphs embedded in the Glyph bitmap. All glyphs must be the same size and next to each other in a row. Valid values are 1 to 4. The default value is 1. The actual glyph displayed depends on the state of the control. The first glyph is used for the normal Up state. The second one is used when the control is Disabled, and the third is used for the Down state. The last glyph is used when the control can be kept in the Down state (such as a button). This last glyph is not used by the glyph status component.


Raize Components 6

Shared.NumGlyphs Example
Shared


Shared.OnMouseEnter

Occurs when the mouse is moved over the control.

Description

Occurs when the mouse is moved over the control.


Raize Components 6

Shared.OnMouseEnter Example
Shared


Shared.OnMouseLeave

Occurs when the mouse is moved outsides the bounds of the control.

Description

Occurs when the mouse is moved outsides the bounds of the control.


Raize Components 6

Shared.OnMouseLeave Example
Shared


Shared.OnRangeError

Occurs when a value exceeds the specified range.

Description

Occurs when the focus leaves the field and the value entered by the user exceeds the bounds defined by the Min and Max properties. An OnRangeError event handler receives 3 parameters in addition to Sender: EnteredValue, AdjustedValue, and AutoCorrect.

EnteredValue is the value the user entered, and AdjustedValue is the value the control wants to change it to (within the bounds of Min..Max). AutoCorrect defaults to True and means that the value of the control will indeed be changed to the AdjustedValue.

If the AutoCorrect parameter is set to False in an event handler, then the input focus is kept at the edit field. As such, clicking a Cancel button in a dialog box with the focus currently in a numeric edit with a value outside the specified range will not close the dialog box because the focus will be returned back the numeric edit. To handle this, the developer will need to set a flag that indicates that the cancel button is being clicked so as not to set AutoCorrect to False in the event handler.


Raize Components 6

Shared.OnRangeError Example
Shared


Shared.Orientation

Specifies that the control is horizontally or veritcally oriented.

Description

Use this property to specify whether a component has horizontal or vertical orientation.

For toolbars, this property specifies how the controls on the toolbar will wrap. When set to orHorizontal, controls are wrapped left-to-right/top-to-bottom. When set to orVertical, controls are wrapped top-to-bottom/left-to-right.


Raize Components 6

Shared.Orientation Example
Shared


Shared.PageSize

Specifies the amount by which the Value property is adjusted when the PgUp or PgDn keys are pressed.

Description

For track bars, use this property to specify the amount the Position changes when either the PgUp or PgDn key is pressed.

For spin edits, use this property to specify the amount the Value property is incremented or decremented by when either the PgUp or PgDn key is pressed. Note that the PageSize property can be set to a floating point value, thus allowing non-integer increments.


Raize Components 6

Shared.PageSize Example
Shared


Shared.PopupHeight

Specifies the height the popup window should be when displayed.

Description

Use this property to override the default size of the popup window when it is displayed. Both the PopupHeight and PopupWidth properties must be non-zero for the overridden value to be used.


Raize Components 6

Shared.PopupHeight Example
Shared


Shared.PopupWidth

Specifies the width the popup window should be when displayed.

Description

Use this property to override the default size of the popup window when it is displayed. Both the PopupHeight and PopupWidth properties must be non-zero for the overridden value to be used.


Raize Components 6

Shared.PopupWidth Example
Shared


Raize Components 6

Shared Properties
Shared

Public
About
Action
Active
Align
Alignment
AlignmentVertical
AllowBlank
AllowEdit
AllowGrayed
AllowKeyEdit
AllowScientificNotation
BarColor
BeepOnInvalidKey
BevelWidth
BlankValue
BlinkColor
Blinking
BlinkIntervalOff
BlinkIntervalOn
BorderColor
BorderHighlight
BorderInner
BorderOuter
BorderShadow
BorderSides
BorderWidth
Caption
CheckRange
Color
CustomColors
CustomGlyphs
DataField
DataSource
DisabledImages
DisabledIndex
DropDownMenu
Enabled
FixedLineColor
FlatColor
FlatColorAdjustment
FlyByColor
FlyByEnabled
FrameColor
Glyph
GradientColorDefault
GradientColorStart
GradientColorStop
GradientColorStyle
GradientDirection
HighlightColor
Hint
HotIndex
HotTrack
HotTrackColor
HotTrackColorType
ImageIndex
Images
Increment
IntValue
ItemChecked
ItemEnabled
Items
ItemState
Layout
LightTextStyle
LineColor
Max
Min
NumGlyphs
Orientation
PageSize
PopupHeight
PopupWidth
ReadOnly
RegIniFile
ShowDockClientCaptions
ShowGlyph
TabOnEnter
TextHighlightColor
TextShadowColor
TextShadowDepth
TextStyle
ThemeAware
Transparent
TransparentColor
TwoDigitYearConverter
UseCustomGlyphs
UseGradients
Visible
VisualStyle


Shared.ReadOnly

Determines if the control allows editing.

Description

Set ReadOnly to True to prevent the user from changing the contents of the database field. When ReadOnly is True, the edit control is used only to display the contents of the field. If ReadOnly is False, the user can change the field's value as long as the dataset is in edit mode.


Raize Components 6

Shared.ReadOnly Example
Shared


Shared.RegIniFile

Specifies a TRzRegIniFile component to be used for storage of settings.

Description

Use RegIniFile to specify a TRzRegIniFile component to be used by the control to read and write data to and from the Registry or an INI file.


Raize Components 6

Shared.RegIniFile Example
Shared


Shared.ShowDockClientCaptions

Specifies whether the Raize Custom Docking Manager displays captions for dock clients.

Description

This property is used by the Raize Custom Docking Manager in Delphi 4 and later versions. When set to True (the default), client controls docked inside this component will be displayed with a caption bar instead of the default grabber bars. Set this property to False to have the Docking Manager display the default grabber bars.


Raize Components 6

Shared.ShowDockClientCaptions Example
Shared


Shared.ShowGlyph

Determines if a glyph (if specified) is displayed.

Description

Use this property to show or hide the bitmap specified in the Glyph property.


Raize Components 6

Shared.ShowGlyph Example
Shared


Shared.TabOnEnter

Determines if pressing the Enter key in this control operates that same as the Tab key.

Description

When this property is set to True and the user presses the Enter key while the control has the focus, the focus is moved to the next control just as though the user pressed the Tab key.

Please note that when using this property on dialog boxes, you should set the Default property of your OK button to be False. Otherwise, as the user presses the Enter key, instead of tabbing to the next field, the dialog box will be closed. If you are using the TRzDialogButtons component, please see the OKDefault property.


Raize Components 6

Shared.TabOnEnter Example
Shared


Shared.TextHighlightColor

Specifies the color to be used in displaying (3D) highlighted areas of text.

Description

Use this property to specify the highlight color used in the 3D text styles.


Raize Components 6

Shared.TextHighlightColor Example
Shared


Shared.TextShadowColor

Specifies the color to be used in displaying (3D) shadow areas of text.

Description

Use this property to specify the shadow color used in the 3D text styles.


Raize Components 6

Shared.TextShadowColor Example
Shared


Shared.TextShadowDepth

Specifies the depth (in pixels) the text shadow appears below the text.

Description

Use this property to specify how far down and to the right the shadow text will be displayed from the main text. This property is only applicable when TextStyle is set to tsShadow.


Raize Components 6

Shared.TextShadowDepth Example
Shared


Shared.TextStyle

Specifies the 3D style used to display the control's Caption.

Description

Use this property to change the 3D style of the component's caption. The four possible values are: tsNormal, tsRaised, tsRecessed, and tsShadow.


Raize Components 6

Shared.TextStyle Example
Shared


Shared.ThemeAware

Determines if the control uses Windows XP Themes if available.

Description

When ThemeAware is True and Windows XP Themes are available to the application, the component will display itself according to active theme. This property has no effect if Windows XP Themes are not available.


Raize Components 6

Shared.ThemeAware Example
Shared


Shared.Transparent

Determines if the control appears transparent.

Description

When this property is set to True, the background behind the control shows through.


Raize Components 6

Shared.Transparent Example
Shared


Shared.TransparentColor

Specifies the color to be considered as transparent in the CustomGlyphs bitmap.

Description

Use this property to specify the color in the CustomGlyphs bitmap that will be treated as transparent. The default value is clOlive.


Raize Components 6

Shared.TransparentColor Example
Shared


Shared.TwoDigitYearConverter

Specifies how 2-digit years are converted to 4-digit years.

Description

Use this property to control how 2-digit years are converted to 4-digit years. The default value is ycStandard, which means that 2-digit years are converted using the TwoDigitYearCenturyWindow value. The ycPastNotFuture value means that a date with a 2-digit year is interpreted as a date in the past rather than the future.

For example, consider entering '3/15/20' (in the U.S.). With the ycStandard converter value, the date gets converted to '3/15/2020'. But with the ycPastNotFuture converter, the converted date is '3/15/1920'. Entry of 4-digit years are that unaffected by this property.


Raize Components 6

Shared.TwoDigitYearConverter Example
Shared


Shared.UseCustomGlyphs

Determines if the control uses the glyphs in CustomGlyphs instead of standard glyphs.

Description

Use this property to instruct the component to use the glyphs embedded in the CustomGlyphs property instead of the standard glyphs that are used by default.


Raize Components 6

Shared.UseCustomGlyphs Example
Shared


Shared.UseGradients

Determines if the control displays control elements using gradient fills.

Description

When UseGradients is set to True (the default), the control will display elements of its interface using a gradient fill.


Raize Components 6

Shared.UseGradients Example
Shared


Shared.Visible

Determines if the control is visible at runtime.

Description

Use the Visible property to control the visibility of the control at runtime. If Visible is True, the control appears. If Visible is False, the control is not visible.

Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.


Raize Components 6

Shared.Visible Example
Shared


Shared.VisualStyle

Use VisualStyle to specify the general appearance of a control.

Description

VisualStyle properties are used to specify the general appearance of a control. The vsClassic style setting indicates that the control will take on the pre-WinXP style (i.e. classic). To utilize Windows XP themes (if they are present), the VisualStyle of vsWinXP is chosen. To give the control a more modern appearance, select the vsGradient style.


Raize Components 6

Shared.VisualStyle Example
Shared


ShellCommands

Declaration
const
RZSH_CMDS_DELETE ='delete';
RZSH_CMDS_PASTE ='paste';
RZSH_CMDS_CUT ='cut';
RZSH_CMDS_COPY ='copy';
RZSH_CMDS_PROPERTIES ='properties';
RZSH_CMDS_EXPLORE ='explore'; // Opens a Windows explorer
RZSH_CMDS_OPEN ='open'; // Opens a Windows explorer folder-view
RZSH_CMDS_FIND ='find'; // Open the find dialog
RZSH_CMDS_LINK ='link'; // Same as 'Create Shortcut' menu item
RZSH_CMDS_DUN_CREATE ='create'; // Create new connection wizard
RZSH_CMDS_DUN_CONNECT='connect'; // Make a connection

#define RZSH_CMDS_DELETE "delete"
#define RZSH_CMDS_PASTE "paste"
#define RZSH_CMDS_CUT "cut"
#define RZSH_CMDS_COPY "copy"
#define RZSH_CMDS_PROPERTIES "properties"
#define RZSH_CMDS_EXPLORE "explore"
#define RZSH_CMDS_OPEN "open"
#define RZSH_CMDS_FIND "find"
#define RZSH_CMDS_LINK "link"
#define RZSH_CMDS_DUN_CREATE "create"
#define RZSH_CMDS_DUN_CONNECT "connect"

Description

Most system folders support string-based command execution. If you tell any system folder to execute the "Properties" command, the folder will display its properties dialog. The RzShellUtils unit contains some of the most common command strings. The list is not exhaustive.

To execute one of these commands for a folder in the TRzShellTree component use the DoCommandForNode method.

To execute a command for an item in the TRzShellList component use the DoCommandForItem, DoCommandForFolder or DoCommandForAllSelected methods.